-- MySQL dump 10.19  Distrib 10.3.30-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: frontend_d9_pinteros
-- ------------------------------------------------------
-- Server version	10.3.30-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) CHARACTER SET ascii NOT NULL COMMENT 'A string token generated against the current user''s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob DEFAULT NULL COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores details about batches (processes that run in…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `batch` VALUES (6,'ivR5I63MUVsb6gq2rcz50zTmrEjecqxwEtClrscLUPA',1461578361,'a:12:{s:4:\"sets\";a:1:{i:0;a:15:{s:7:\"sandbox\";a:0:{}s:7:\"results\";a:0:{}s:7:\"success\";b:0;s:5:\"start\";i:0;s:7:\"elapsed\";i:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Downloading updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"init_message\";s:49:\"Preparing to download selected updates<br/>&nbsp;\";s:8:\"finished\";s:38:\"update_manager_download_batch_finished\";s:4:\"file\";s:38:\"core/modules/update/update.manager.inc\";s:16:\"progress_message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Completed @current of @total.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"error_message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"An error has occurred.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:3:\"css\";a:0:{}s:5:\"total\";i:1;s:5:\"count\";i:1;s:5:\"queue\";a:2:{s:4:\"name\";s:16:\"drupal_batch:6:0\";s:5:\"class\";s:23:\"Drupal\\Core\\Queue\\Batch\";}}}s:16:\"has_form_submits\";b:0;s:10:\"form_state\";O:26:\"Drupal\\Core\\Form\\FormState\":33:{s:16:\"\0*\0complete_form\";a:31:{s:11:\"#attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:26:\"update-manager-update-form\";}s:20:\"data-drupal-selector\";s:26:\"update-manager-update-form\";}s:10:\"last_check\";a:14:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:161:\"<p>\n      Last checked: 30 minutes 10 seconds ago\n    (<a href=\"/admin/reports/updates/check?destination=/admin/reports/updates/update\">Check manually</a>)\n</p>\n\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:1:{i:0;s:10:\"last_check\";}s:14:\"#array_parents\";a:1:{i:0;s:10:\"last_check\";}s:7:\"#weight\";i:0;s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:15:\"edit-last-check\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:15:\"edit-last-check\";s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:9:\"#attached\";a:3:{s:7:\"library\";a:1:{i:0;s:26:\"update/drupal.update.admin\";}s:12:\"placeholders\";a:1:{s:20:\"form_action_cc611e1d\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:40:\"form_builder:renderPlaceholderFormAction\";i:1;a:0:{}}}}s:14:\"drupalSettings\";a:1:{s:14:\"ajaxTrustedUrl\";a:1:{s:20:\"form_action_cc611e1d\";b:1;}}}s:17:\"project_downloads\";a:14:{s:5:\"#tree\";b:1;s:13:\"admin_toolbar\";a:19:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.14.tar.gz\";s:6:\"#input\";b:1;s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Value\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:1;s:8:\"#parents\";a:2:{i:0;s:17:\"project_downloads\";i:1;s:13:\"admin_toolbar\";}s:14:\"#array_parents\";a:2:{i:0;s:17:\"project_downloads\";i:1;s:13:\"admin_toolbar\";}s:7:\"#weight\";i:0;s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:36:\"edit-project-downloads-admin-toolbar\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:36:\"edit-project-downloads-admin-toolbar\";s:5:\"#name\";s:32:\"project_downloads[admin_toolbar]\";s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:8:\"#parents\";a:1:{i:0;s:17:\"project_downloads\";}s:14:\"#array_parents\";a:1:{i:0;s:17:\"project_downloads\";}s:7:\"#weight\";d:0.001;s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:22:\"edit-project-downloads\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:22:\"edit-project-downloads\";s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:8:\"projects\";a:32:{s:5:\"#type\";s:11:\"tableselect\";s:7:\"#header\";a:3:{s:5:\"title\";a:2:{s:4:\"data\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";a:1:{i:0;s:19:\"update-project-name\";}}s:17:\"installed_version\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Installed version\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"recommended_version\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Recommended version\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"#options\";a:1:{s:13:\"admin_toolbar\";a:4:{s:5:\"title\";a:1:{s:4:\"data\";a:2:{s:6:\"#title\";O:25:\"Drupal\\Core\\GeneratedLink\":5:{s:16:\"\0*\0generatedLink\";s:72:\"<a href=\"https://www.drupal.org/project/admin_toolbar\">Admin Toolbar</a>\";s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0attachments\";a:0:{}}s:7:\"#markup\";r:133;}}s:17:\"installed_version\";s:7:\"8.x-1.9\";s:19:\"recommended_version\";a:1:{s:4:\"data\";a:3:{s:5:\"#type\";s:15:\"inline_template\";s:9:\"#template\";s:104:\"{{ release_version }} (<a href=\"{{ release_link }}\" title=\"{{ project_title }}\">{{ release_notes }}</a>)\";s:8:\"#context\";a:6:{s:15:\"release_version\";s:8:\"8.x-1.14\";s:12:\"release_link\";s:35:\"https://www.drupal.org/node/2664674\";s:13:\"project_title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Release notes for @project_title\";s:12:\"\0*\0arguments\";a:1:{s:14:\"@project_title\";s:13:\"Admin Toolbar\";}s:10:\"\0*\0options\";a:0:{}}s:26:\"major_update_warning_title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Major upgrade warning\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:25:\"major_update_warning_text\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:206:\"This update is a major version update which means that it may not be backwards compatible with your currently running version. It is recommended that you read the release notes and proceed at your own risk.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"release_notes\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Release notes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:18:\"update-recommended\";}}}}s:6:\"#input\";b:1;s:10:\"#js_select\";b:1;s:9:\"#multiple\";b:1;s:11:\"#responsive\";b:1;s:7:\"#sticky\";b:0;s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:14:\"preRenderTable\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:20:\"preRenderTableselect\";}}s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:18:\"processTableselect\";}}s:6:\"#empty\";s:0:\"\";s:6:\"#theme\";s:18:\"table__tableselect\";s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:1;s:8:\"#parents\";a:1:{i:0;s:8:\"projects\";}s:14:\"#array_parents\";a:1:{i:0;s:8:\"projects\";}s:7:\"#weight\";d:0.002;s:10:\"#processed\";b:1;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:13:\"edit-projects\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:13:\"edit-projects\";s:5:\"#name\";s:8:\"projects\";s:6:\"#value\";a:1:{s:13:\"admin_toolbar\";s:13:\"admin_toolbar\";}s:17:\"#needs_validation\";b:1;s:14:\"#default_value\";a:0:{}s:13:\"admin_toolbar\";a:31:{s:5:\"#type\";s:8:\"checkbox\";s:6:\"#title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Update @title\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@title\";r:133;}s:10:\"\0*\0options\";a:0:{}}s:14:\"#title_display\";s:9:\"invisible\";s:13:\"#return_value\";s:13:\"admin_toolbar\";s:14:\"#default_value\";s:13:\"admin_toolbar\";s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:27:\"edit-projects-admin-toolbar\";}s:5:\"#ajax\";N;s:6:\"#input\";b:1;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:15:\"processCheckbox\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:17:\"preRenderCheckbox\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:15:\"input__checkbox\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:1;s:8:\"#parents\";a:2:{i:0;s:8:\"projects\";i:1;s:13:\"admin_toolbar\";}s:14:\"#array_parents\";a:2:{i:0;s:8:\"projects\";i:1;s:13:\"admin_toolbar\";}s:7:\"#weight\";i:0;s:10:\"#processed\";b:1;s:9:\"#required\";b:0;s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:27:\"edit-projects-admin-toolbar\";s:5:\"#name\";s:23:\"projects[admin_toolbar]\";s:6:\"#value\";s:13:\"admin_toolbar\";s:17:\"#needs_validation\";b:1;s:8:\"#checked\";b:1;s:15:\"#ajax_processed\";b:0;s:7:\"#groups\";a:1:{s:23:\"projects][admin_toolbar\";a:1:{s:13:\"#group_exists\";b:1;}}s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:7:\"actions\";a:18:{s:5:\"#type\";s:7:\"actions\";s:6:\"submit\";a:26:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Download these updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:8:\"#parents\";a:1:{i:0;s:6:\"submit\";}s:14:\"#array_parents\";a:2:{i:0;s:7:\"actions\";i:1;s:6:\"submit\";}s:7:\"#weight\";i:0;s:10:\"#processed\";b:1;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:11:\"edit-submit\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:11:\"edit-submit\";s:15:\"#ajax_processed\";b:0;s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:26:\"preRenderActionsDropbutton\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:14:\"processActions\";}i:2;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:16:\"processContainer\";}}s:7:\"#weight\";i:100;s:15:\"#theme_wrappers\";a:1:{i:0;s:9:\"container\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:8:\"#parents\";a:1:{i:0;s:7:\"actions\";}s:14:\"#array_parents\";a:1:{i:0;s:7:\"actions\";}s:10:\"#processed\";b:1;s:9:\"#required\";b:0;s:11:\"#attributes\";a:2:{s:20:\"data-drupal-selector\";s:12:\"edit-actions\";s:5:\"class\";a:1:{i:0;s:12:\"form-actions\";}}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:12:\"edit-actions\";s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:8:\"#form_id\";s:26:\"update_manager_update_form\";s:5:\"#type\";s:4:\"form\";s:7:\"#action\";s:20:\"form_action_cc611e1d\";s:9:\"#build_id\";s:48:\"form-bVC7hWRia1phOnbigUCFiPfXinDotE_cKjOw33O8WfI\";s:13:\"form_build_id\";a:23:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-bVC7hWRia1phOnbigUCFiPfXinDotE_cKjOw33O8WfI\";s:3:\"#id\";s:48:\"form-bVC7hWRia1phOnbigUCFiPfXinDotE_cKjOw33O8WfI\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:14:\"#array_parents\";a:1:{i:0;s:13:\"form_build_id\";}s:7:\"#weight\";d:0.0040000000000000001;s:10:\"#processed\";b:1;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:48:\"form-bvc7hwria1phonbigucfipfxindote-ckjow33o8wfi\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:15:\"#ajax_processed\";b:0;s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:6:\"#cache\";a:1:{s:8:\"contexts\";a:1:{i:0;s:24:\"user.roles:authenticated\";}}s:6:\"#token\";s:31:\"form_token_placeholder_54e31262\";s:10:\"form_token\";a:25:{s:3:\"#id\";s:42:\"edit-update-manager-update-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:31:\"form_token_placeholder_54e31262\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}s:9:\"#attached\";a:1:{s:12:\"placeholders\";a:1:{s:31:\"form_token_placeholder_54e31262\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:39:\"form_builder:renderFormTokenPlaceholder\";i:1;a:1:{i:0;s:31:\"form_token_placeholder_54e31262\";}}}}}s:6:\"#cache\";a:1:{s:7:\"max-age\";i:0;}s:6:\"#input\";b:1;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Token\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Token\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:14:\"#array_parents\";a:1:{i:0;s:10:\"form_token\";}s:7:\"#weight\";d:0.0050000000000000001;s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:42:\"edit-update-manager-update-form-form-token\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:5:\"#name\";s:10:\"form_token\";s:6:\"#value\";s:43:\"MDSJ7Dyrz4lvcQKIo0dW1xAktI0h4BjIEY1gjsNU19U\";s:17:\"#needs_validation\";b:1;s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:7:\"form_id\";a:23:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:26:\"update_manager_update_form\";s:3:\"#id\";s:31:\"edit-update-manager-update-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:14:\"#array_parents\";a:1:{i:0;s:7:\"form_id\";}s:7:\"#weight\";d:0.0060000000000000001;s:10:\"#processed\";b:1;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:31:\"edit-update-manager-update-form\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:5:\"#name\";s:7:\"form_id\";s:15:\"#ajax_processed\";b:0;s:7:\"#sorted\";b:1;s:10:\"#validated\";b:1;}s:3:\"#id\";s:26:\"update-manager-update-form\";s:7:\"#method\";s:4:\"post\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:1:{i:0;s:14:\"::validateForm\";}s:7:\"#submit\";a:1:{i:0;s:12:\"::submitForm\";}s:6:\"#theme\";a:1:{i:0;s:26:\"update_manager_update_form\";}s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:14:\"#array_parents\";a:0:{}s:10:\"#validated\";b:1;}s:13:\"\0*\0build_info\";a:4:{s:4:\"args\";a:0:{}s:5:\"files\";a:0:{}s:15:\"callback_object\";O:38:\"Drupal\\update\\Form\\UpdateManagerUpdate\":7:{s:15:\"\0*\0requestStack\";N;s:16:\"\0*\0configFactory\";N;s:16:\"\0*\0loggerFactory\";N;s:13:\"\0*\0routeMatch\";N;s:14:\"\0*\0_serviceIds\";a:4:{s:13:\"moduleHandler\";s:14:\"module_handler\";s:5:\"state\";s:5:\"state\";s:13:\"linkGenerator\";s:14:\"link_generator\";s:17:\"stringTranslation\";s:18:\"string_translation\";}s:22:\"\0*\0redirectDestination\";N;s:15:\"\0*\0urlGenerator\";N;}s:7:\"form_id\";s:26:\"update_manager_update_form\";}s:15:\"\0*\0rebuild_info\";a:0:{}s:10:\"\0*\0rebuild\";b:0;s:15:\"\0*\0invalidToken\";b:0;s:11:\"\0*\0response\";N;s:11:\"\0*\0redirect\";N;s:14:\"\0*\0no_redirect\";N;s:9:\"\0*\0method\";s:4:\"POST\";s:16:\"\0*\0requestMethod\";s:4:\"POST\";s:8:\"\0*\0cache\";b:0;s:11:\"\0*\0no_cache\";N;s:9:\"\0*\0values\";a:7:{s:17:\"project_downloads\";a:1:{s:13:\"admin_toolbar\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.14.tar.gz\";}s:8:\"projects\";a:1:{s:13:\"admin_toolbar\";s:13:\"admin_toolbar\";}s:6:\"submit\";r:276;s:13:\"form_build_id\";s:48:\"form-bVC7hWRia1phOnbigUCFiPfXinDotE_cKjOw33O8WfI\";s:10:\"form_token\";s:43:\"MDSJ7Dyrz4lvcQKIo0dW1xAktI0h4BjIEY1gjsNU19U\";s:7:\"form_id\";s:26:\"update_manager_update_form\";s:2:\"op\";r:276;}s:17:\"\0*\0cleanValueKeys\";a:4:{i:0;s:7:\"form_id\";i:1;s:10:\"form_token\";i:2;s:13:\"form_build_id\";i:3;s:2:\"op\";}s:8:\"\0*\0input\";a:5:{s:8:\"projects\";a:1:{s:13:\"admin_toolbar\";s:13:\"admin_toolbar\";}s:13:\"form_build_id\";s:48:\"form-PNH-PMCPcOL6_9eJPwmfG-VSeFoV0oKFROnchtYzNWA\";s:10:\"form_token\";s:43:\"MDSJ7Dyrz4lvcQKIo0dW1xAktI0h4BjIEY1gjsNU19U\";s:7:\"form_id\";s:26:\"update_manager_update_form\";s:2:\"op\";s:22:\"Download these updates\";}s:17:\"\0*\0always_process\";N;s:16:\"\0*\0must_validate\";N;s:13:\"\0*\0programmed\";b:0;s:33:\"\0*\0programmed_bypass_access_check\";b:1;s:16:\"\0*\0process_input\";b:1;s:12:\"\0*\0submitted\";b:1;s:11:\"\0*\0executed\";b:0;s:21:\"\0*\0triggering_element\";a:23:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";r:276;s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:8:\"#parents\";a:1:{i:0;s:6:\"submit\";}s:14:\"#array_parents\";a:2:{i:0;s:7:\"actions\";i:1;s:6:\"submit\";}s:7:\"#weight\";i:0;s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:11:\"edit-submit\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:11:\"edit-submit\";}s:19:\"\0*\0has_file_element\";N;s:9:\"\0*\0groups\";R:265;s:10:\"\0*\0storage\";a:0:{}s:10:\"\0*\0buttons\";a:1:{i:0;a:23:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";r:276;s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"valueCallback\";}s:16:\"#defaults_loaded\";b:1;s:5:\"#tree\";b:0;s:8:\"#parents\";a:1:{i:0;s:6:\"submit\";}s:14:\"#array_parents\";a:2:{i:0;s:7:\"actions\";i:1;s:6:\"submit\";}s:7:\"#weight\";i:0;s:10:\"#processed\";b:0;s:9:\"#required\";b:0;s:11:\"#attributes\";a:1:{s:20:\"data-drupal-selector\";s:11:\"edit-submit\";}s:14:\"#title_display\";s:6:\"before\";s:20:\"#description_display\";s:5:\"after\";s:7:\"#errors\";N;s:3:\"#id\";s:11:\"edit-submit\";}}s:12:\"\0*\0temporary\";a:0:{}s:22:\"\0*\0validation_complete\";b:1;s:9:\"\0*\0errors\";a:0:{}s:26:\"\0*\0limit_validation_errors\";N;s:20:\"\0*\0validate_handlers\";a:0:{}s:18:\"\0*\0submit_handlers\";a:0:{}}s:11:\"progressive\";b:1;s:11:\"current_set\";i:0;s:3:\"url\";O:15:\"Drupal\\Core\\Url\":11:{s:15:\"\0*\0urlGenerator\";N;s:15:\"\0*\0urlAssembler\";N;s:16:\"\0*\0accessManager\";N;s:12:\"\0*\0routeName\";s:22:\"system.batch_page.html\";s:18:\"\0*\0routeParameters\";a:0:{}s:10:\"\0*\0options\";a:0:{}s:11:\"\0*\0external\";b:0;s:11:\"\0*\0unrouted\";b:0;s:6:\"\0*\0uri\";N;s:15:\"\0*\0internalPath\";N;s:14:\"\0*\0_serviceIds\";a:0:{}}s:10:\"source_url\";O:15:\"Drupal\\Core\\Url\":11:{s:15:\"\0*\0urlGenerator\";N;s:15:\"\0*\0urlAssembler\";N;s:16:\"\0*\0accessManager\";N;s:12:\"\0*\0routeName\";s:20:\"update.report_update\";s:18:\"\0*\0routeParameters\";a:0:{}s:10:\"\0*\0options\";a:0:{}s:11:\"\0*\0external\";b:0;s:11:\"\0*\0unrouted\";b:0;s:6:\"\0*\0uri\";N;s:15:\"\0*\0internalPath\";N;s:14:\"\0*\0_serviceIds\";a:0:{}}s:14:\"batch_redirect\";N;s:5:\"theme\";s:5:\"seven\";s:17:\"redirect_callback\";N;s:2:\"id\";s:1:\"6\";s:13:\"error_message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"Please continue to <a href=\":error_url\">the error page</a>\";s:12:\"\0*\0arguments\";a:1:{s:10:\":error_url\";s:23:\"/batch?id=6&op=finished\";}s:10:\"\0*\0options\";a:0:{}}}');
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content`
--

DROP TABLE IF EXISTS `block_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `block_content_field__uuid__value` (`uuid`),
  UNIQUE KEY `block_content__revision_id` (`revision_id`),
  KEY `block_content_field__type__target_id` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content`
--

LOCK TABLES `block_content` WRITE;
/*!40000 ALTER TABLE `block_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content` VALUES (1,1,'basic','c34649b6-7d7d-4ecb-9a00-d27d624355cc','en'),(2,2,'basic','e2fcb25d-f9ba-495c-af43-67376323d90d','en'),(3,3,'basic','80b09ffe-6d04-4e54-8e07-0733af0d3b5f','en'),(4,4,'basic','47646f79-b713-49b5-a800-b301163bd033','en'),(5,5,'basic','5ba20cbb-a1dc-4247-8929-417ac7b8906a','en'),(6,6,'basic','c32d587c-e8ce-4c98-9c00-af5275014b78','en');
/*!40000 ALTER TABLE `block_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__body`
--

DROP TABLE IF EXISTS `block_content__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__body`
--

LOCK TABLES `block_content__body` WRITE;
/*!40000 ALTER TABLE `block_content__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__body` VALUES ('basic',0,1,1,'en',0,'<ul class=\"social-list\">\r\n	<li><a href=\"http://facebook.com/weebpal\" target=\"_blank\" title=\"Facebook\"><i class=\"fa fa-facebook\" aria-hidden=\"true\"><span>Facebook</span></i></a></li>\r\n	<li><a href=\"http://twitter.com/weebpal\" target=\"_blank\" title=\"Twitter\"><i class=\"fa fa-twitter\" aria-hidden=\"true\"><span>Twitter</span></i></a></li>\r\n	<li><a href=\"https://plus.google.com/\" target=\"_blank\" title=\"Google plus\"><i class=\"fa fa-google-plus\" aria-hidden=\"true\"><span>Google plus</span></i></a></li>\r\n	<li><a href=\"https://www.rss.com/\" target=\"_blank\" title=\"RSS\"><i class=\"fa fa-rss\" aria-hidden=\"true\"><span>RSS</span></i></a></li>\r\n</ul>\r\n','','full_html'),('basic',0,2,2,'en',0,'Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company','','full_html'),('basic',0,3,3,'en',0,'<div class=\"clock\">\r\n<div><script>\r\n	setInterval(function() {\r\n		var dt = new Date();\r\n		var days = [\"Sunday\",\"Monday\",\"Tuesday\",\"Wednesday\",\"Thursday\",\"Friday\",\"Saturday\"];\r\n		var months = [\"Jan\", \"Feb\", \"Mar\", \"Apr\", \"May\", \"Jun\", \"Jul\", \"Aug\", \"Sep\", \"Oct\", \"Nov\", \"Dec\"];\r\n		var hour = dt.getHours() % 12;\r\n		var am = dt.getHours() <= 12 ? \"AM\" : \"PM\";\r\n		if (dt.getHours() == 0) {\r\n			hour = 12;\r\n			am = \"AM\";\r\n		} else if (dt.getHours() == 12) {\r\n			hour = 12;\r\n			am = \"PM\";\r\n		}\r\n		\r\n		var time = days[dt.getDay()] + \", \" + months[dt.getMonth()] + \" \" + dt.getDate() + \", \" + dt.getFullYear() + \", \" \r\n		+ hour + \":\" + dt.getMinutes() + \":\" + dt.getSeconds() + \" \" + am;\r\n		/*\r\n		var options = {\r\n			weekday: \"long\", year: \"numeric\", month: \"short\",\r\n			day: \"2-digit\", hour: \"2-digit\", minute: \"2-digit\", second: \"2-digit\"\r\n		};\r\n		var time = dt.toLocaleTimeString(\"en-us\", options);\r\n		*/\r\n		jQuery(\'.clock\').html(time);\r\n	}, 1000);\r\n</script></div>\r\n</div>\r\n','','full_html'),('basic',0,4,4,'en',0,'<p>Weebpal provides further quality premium Drupal themes with subtle designs, optimal distributions, and committed support, which is suited for a higher business/individual level...</p>\r\n','','basic_html'),('basic',0,5,5,'en',0,'<p><iframe allowfullscreen=\"\" frameborder=\"0\" height=\"350\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d14350.124185958159!2d-77.03459784304552!3d38.897930072232924!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89b7c6de5af6e45b%3A0xc2524522d4885d2a!2zV2FzaGluZ3RvbiwgUXXhuq1uIENvbHVtYmlhLCBIb2EgS-G7sw!5e0!3m2!1svi!2s!4v1439449484772\" width=\"100%\"></iframe></p>\r\n','','full_html'),('basic',0,6,6,'en',0,'<p><strong>Address :</strong><br />\n999 Hardway Street 12rd Floor We are hiring! Inc , New York City 7 Street , 077 United States.</p>\n\n<p><strong>Telephone :</strong><br />\n(+ 012 ) 20 7345 667</p>\n\n<p><strong>Fax :</strong><br />\n(+ 012 ) 20 7345 668</p>\n\n<p><strong>Mail :</strong><br />\n<a href=\"mailto:support@weebpal.com\">support@weebpal.com</a></p>\n\n<p><strong>Website :</strong><br />\n<a href=\"http://www.weebpal.com/\" target=\"_blank\">www.weebpal.com</a></p>\n','','full_html');
/*!40000 ALTER TABLE `block_content__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__field_address`
--

DROP TABLE IF EXISTS `block_content__field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__field_address` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field field_address.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__field_address`
--

LOCK TABLES `block_content__field_address` WRITE;
/*!40000 ALTER TABLE `block_content__field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__field_address` VALUES ('contact',0,8,8,'en',0,'Avenue des Champs Elysees, 75008 Paris, France');
/*!40000 ALTER TABLE `block_content__field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__field_contextual_link`
--

DROP TABLE IF EXISTS `block_content__field_contextual_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__field_contextual_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_contextual_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_contextual_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_contextual_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_contextual_link_uri` (`field_contextual_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field field_contextual_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__field_contextual_link`
--

LOCK TABLES `block_content__field_contextual_link` WRITE;
/*!40000 ALTER TABLE `block_content__field_contextual_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__field_contextual_link` VALUES ('banner',0,1,1,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,2,2,'en',0,'internal:/about','GET STARTED','a:0:{}'),('banner',0,3,3,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,4,4,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,5,5,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,6,6,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('advanced',0,9,9,'en',0,'internal:/about','ABOUT US','a:0:{}'),('advanced',0,11,11,'en',0,'internal:/contact','CONTACT US','a:0:{}'),('advanced',0,15,15,'en',0,'internal:/contact','CONTACT US','a:0:{}');
/*!40000 ALTER TABLE `block_content__field_contextual_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__field_email`
--

DROP TABLE IF EXISTS `block_content__field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__field_email` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_value` varchar(254) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field field_email.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__field_email`
--

LOCK TABLES `block_content__field_email` WRITE;
/*!40000 ALTER TABLE `block_content__field_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__field_email` VALUES ('contact',0,8,8,'en',0,'joshcrowe@ceinsys.com');
/*!40000 ALTER TABLE `block_content__field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__field_image`
--

DROP TABLE IF EXISTS `block_content__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__field_image`
--

LOCK TABLES `block_content__field_image` WRITE;
/*!40000 ALTER TABLE `block_content__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__field_image` VALUES ('banner',0,1,1,'en',0,48,'Home page banner','',1920,1079),('banner',0,2,2,'en',0,42,'Banner','',1366,768),('banner',0,3,3,'en',0,40,'Banner','',1366,768),('banner',0,4,4,'en',0,39,'Banner','',1366,768),('banner',0,5,5,'en',0,41,'Banner','',1366,768),('banner',0,6,6,'en',0,27,'About us','',1919,1200),('advanced',0,9,9,'en',0,57,'3 Reasons Why You Choose Us','',720,684),('advanced',0,15,15,'en',0,43,'Image','',1366,768),('advanced',0,19,19,'en',0,59,'About Our Services','',720,570);
/*!40000 ALTER TABLE `block_content__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__field_page`
--

DROP TABLE IF EXISTS `block_content__field_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__field_page` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_page_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_page_target_id` (`field_page_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field field_page.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__field_page`
--

LOCK TABLES `block_content__field_page` WRITE;
/*!40000 ALTER TABLE `block_content__field_page` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__field_page` VALUES ('banner',0,1,1,'en',0,4),('banner',0,2,2,'en',0,27),('banner',0,3,3,'en',0,6),('banner',0,4,4,'en',0,7),('banner',0,5,5,'en',0,8),('banner',0,6,6,'en',0,5);
/*!40000 ALTER TABLE `block_content__field_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__field_phone`
--

DROP TABLE IF EXISTS `block_content__field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__field_phone` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field field_phone.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__field_phone`
--

LOCK TABLES `block_content__field_phone` WRITE;
/*!40000 ALTER TABLE `block_content__field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__field_phone` VALUES ('contact',0,8,8,'en',0,'335 09 05 04 89');
/*!40000 ALTER TABLE `block_content__field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_field_data`
--

DROP TABLE IF EXISTS `block_content_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `info` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `reusable` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `block_content_field__type__target_id` (`type`),
  KEY `block_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `block_content__revision_id` (`revision_id`),
  KEY `block_content__status_type` (`status`,`type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_field_data`
--

LOCK TABLES `block_content_field_data` WRITE;
/*!40000 ALTER TABLE `block_content_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_field_data` VALUES (1,1,'basic','en','Social Menu',1475554809,1,1,1,1),(2,2,'basic','en','Copyright',1592192820,1,1,1,1),(3,3,'basic','en','Real time',1450060716,1,1,1,1),(4,4,'basic','en','About us',1450068105,1,1,1,1),(5,5,'basic','en','Gmap',1450076577,1,1,1,1),(6,6,'basic','en','General Information',1450938282,1,1,1,1);
/*!40000 ALTER TABLE `block_content_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_field_revision`
--

DROP TABLE IF EXISTS `block_content_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_field_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `info` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `block_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_field_revision`
--

LOCK TABLES `block_content_field_revision` WRITE;
/*!40000 ALTER TABLE `block_content_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_field_revision` VALUES (1,1,'en','Social Menu',1475554809,1,1,1),(2,2,'en','Copyright',1592192820,1,1,1),(3,3,'en','Real time',1450060716,1,1,1),(4,4,'en','About us',1450068105,1,1,1),(5,5,'en','Gmap',1450076577,1,1,1),(6,6,'en','General Information',1450938282,1,1,1);
/*!40000 ALTER TABLE `block_content_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision`
--

DROP TABLE IF EXISTS `block_content_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_log` longtext DEFAULT NULL,
  `revision_created` int(11) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `block_content_field__revision_user__target_id` (`revision_user`),
  KEY `block_content__id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision`
--

LOCK TABLES `block_content_revision` WRITE;
/*!40000 ALTER TABLE `block_content_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision` VALUES (1,1,'en',NULL,NULL,NULL,1),(2,2,'en',NULL,NULL,NULL,1),(3,3,'en',NULL,NULL,NULL,1),(4,4,'en',NULL,NULL,NULL,1),(5,5,'en',NULL,NULL,NULL,1),(6,6,'en',NULL,NULL,NULL,1);
/*!40000 ALTER TABLE `block_content_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__body`
--

DROP TABLE IF EXISTS `block_content_revision__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__body`
--

LOCK TABLES `block_content_revision__body` WRITE;
/*!40000 ALTER TABLE `block_content_revision__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__body` VALUES ('basic',0,1,1,'en',0,'<ul class=\"social-list\">\r\n	<li><a href=\"http://facebook.com/weebpal\" target=\"_blank\" title=\"Facebook\"><i class=\"fa fa-facebook\" aria-hidden=\"true\"><span>Facebook</span></i></a></li>\r\n	<li><a href=\"http://twitter.com/weebpal\" target=\"_blank\" title=\"Twitter\"><i class=\"fa fa-twitter\" aria-hidden=\"true\"><span>Twitter</span></i></a></li>\r\n	<li><a href=\"https://plus.google.com/\" target=\"_blank\" title=\"Google plus\"><i class=\"fa fa-google-plus\" aria-hidden=\"true\"><span>Google plus</span></i></a></li>\r\n	<li><a href=\"https://www.rss.com/\" target=\"_blank\" title=\"RSS\"><i class=\"fa fa-rss\" aria-hidden=\"true\"><span>RSS</span></i></a></li>\r\n</ul>\r\n','','full_html'),('basic',0,2,2,'en',0,'Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company','','full_html'),('basic',0,3,3,'en',0,'<div class=\"clock\">\r\n<div><script>\r\n	setInterval(function() {\r\n		var dt = new Date();\r\n		var days = [\"Sunday\",\"Monday\",\"Tuesday\",\"Wednesday\",\"Thursday\",\"Friday\",\"Saturday\"];\r\n		var months = [\"Jan\", \"Feb\", \"Mar\", \"Apr\", \"May\", \"Jun\", \"Jul\", \"Aug\", \"Sep\", \"Oct\", \"Nov\", \"Dec\"];\r\n		var hour = dt.getHours() % 12;\r\n		var am = dt.getHours() <= 12 ? \"AM\" : \"PM\";\r\n		if (dt.getHours() == 0) {\r\n			hour = 12;\r\n			am = \"AM\";\r\n		} else if (dt.getHours() == 12) {\r\n			hour = 12;\r\n			am = \"PM\";\r\n		}\r\n		\r\n		var time = days[dt.getDay()] + \", \" + months[dt.getMonth()] + \" \" + dt.getDate() + \", \" + dt.getFullYear() + \", \" \r\n		+ hour + \":\" + dt.getMinutes() + \":\" + dt.getSeconds() + \" \" + am;\r\n		/*\r\n		var options = {\r\n			weekday: \"long\", year: \"numeric\", month: \"short\",\r\n			day: \"2-digit\", hour: \"2-digit\", minute: \"2-digit\", second: \"2-digit\"\r\n		};\r\n		var time = dt.toLocaleTimeString(\"en-us\", options);\r\n		*/\r\n		jQuery(\'.clock\').html(time);\r\n	}, 1000);\r\n</script></div>\r\n</div>\r\n','','full_html'),('basic',0,4,4,'en',0,'<p>Weebpal provides further quality premium Drupal themes with subtle designs, optimal distributions, and committed support, which is suited for a higher business/individual level...</p>\r\n','','basic_html'),('basic',0,5,5,'en',0,'<p><iframe allowfullscreen=\"\" frameborder=\"0\" height=\"350\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d14350.124185958159!2d-77.03459784304552!3d38.897930072232924!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89b7c6de5af6e45b%3A0xc2524522d4885d2a!2zV2FzaGluZ3RvbiwgUXXhuq1uIENvbHVtYmlhLCBIb2EgS-G7sw!5e0!3m2!1svi!2s!4v1439449484772\" width=\"100%\"></iframe></p>\r\n','','full_html'),('basic',0,6,6,'en',0,'<p><strong>Address :</strong><br />\n999 Hardway Street 12rd Floor We are hiring! Inc , New York City 7 Street , 077 United States.</p>\n\n<p><strong>Telephone :</strong><br />\n(+ 012 ) 20 7345 667</p>\n\n<p><strong>Fax :</strong><br />\n(+ 012 ) 20 7345 668</p>\n\n<p><strong>Mail :</strong><br />\n<a href=\"mailto:support@weebpal.com\">support@weebpal.com</a></p>\n\n<p><strong>Website :</strong><br />\n<a href=\"http://www.weebpal.com/\" target=\"_blank\">www.weebpal.com</a></p>\n','','full_html');
/*!40000 ALTER TABLE `block_content_revision__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__field_address`
--

DROP TABLE IF EXISTS `block_content_revision__field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__field_address` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__field_address`
--

LOCK TABLES `block_content_revision__field_address` WRITE;
/*!40000 ALTER TABLE `block_content_revision__field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__field_address` VALUES ('contact',0,8,8,'en',0,'Avenue des Champs Elysees, 75008 Paris, France');
/*!40000 ALTER TABLE `block_content_revision__field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__field_contextual_link`
--

DROP TABLE IF EXISTS `block_content_revision__field_contextual_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__field_contextual_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_contextual_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_contextual_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_contextual_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_contextual_link_uri` (`field_contextual_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__field_contextual_link`
--

LOCK TABLES `block_content_revision__field_contextual_link` WRITE;
/*!40000 ALTER TABLE `block_content_revision__field_contextual_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__field_contextual_link` VALUES ('banner',0,1,1,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,2,2,'en',0,'internal:/about','GET STARTED','a:0:{}'),('banner',0,3,3,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,4,4,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,5,5,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('banner',0,6,6,'en',0,'internal:/contact','GET STARTED','a:0:{}'),('advanced',0,9,9,'en',0,'internal:/about','ABOUT US','a:0:{}'),('advanced',0,11,11,'en',0,'internal:/contact','CONTACT US','a:0:{}'),('advanced',0,15,15,'en',0,'internal:/contact','CONTACT US','a:0:{}');
/*!40000 ALTER TABLE `block_content_revision__field_contextual_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__field_email`
--

DROP TABLE IF EXISTS `block_content_revision__field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__field_email` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_value` varchar(254) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__field_email`
--

LOCK TABLES `block_content_revision__field_email` WRITE;
/*!40000 ALTER TABLE `block_content_revision__field_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__field_email` VALUES ('contact',0,8,8,'en',0,'joshcrowe@ceinsys.com');
/*!40000 ALTER TABLE `block_content_revision__field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__field_image`
--

DROP TABLE IF EXISTS `block_content_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__field_image`
--

LOCK TABLES `block_content_revision__field_image` WRITE;
/*!40000 ALTER TABLE `block_content_revision__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__field_image` VALUES ('banner',0,1,1,'en',0,48,'Home page banner','',1920,1079),('banner',0,2,2,'en',0,42,'Banner','',1366,768),('banner',0,3,3,'en',0,40,'Banner','',1366,768),('banner',0,4,4,'en',0,39,'Banner','',1366,768),('banner',0,5,5,'en',0,41,'Banner','',1366,768),('banner',0,6,6,'en',0,27,'About us','',1919,1200),('advanced',0,9,9,'en',0,57,'3 Reasons Why You Choose Us','',720,684),('advanced',0,15,15,'en',0,43,'Image','',1366,768),('advanced',0,19,19,'en',0,59,'About Our Services','',720,570);
/*!40000 ALTER TABLE `block_content_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__field_page`
--

DROP TABLE IF EXISTS `block_content_revision__field_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__field_page` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_page_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_page_target_id` (`field_page_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field field_page.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__field_page`
--

LOCK TABLES `block_content_revision__field_page` WRITE;
/*!40000 ALTER TABLE `block_content_revision__field_page` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__field_page` VALUES ('banner',0,1,1,'en',0,4),('banner',0,2,2,'en',0,27),('banner',0,3,3,'en',0,6),('banner',0,4,4,'en',0,7),('banner',0,5,5,'en',0,8),('banner',0,6,6,'en',0,5);
/*!40000 ALTER TABLE `block_content_revision__field_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__field_phone`
--

DROP TABLE IF EXISTS `block_content_revision__field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__field_phone` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__field_phone`
--

LOCK TABLES `block_content_revision__field_phone` WRITE;
/*!40000 ALTER TABLE `block_content_revision__field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__field_phone` VALUES ('contact',0,8,8,'en',0,'335 09 05 04 89');
/*!40000 ALTER TABLE `block_content_revision__field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_config`
--

DROP TABLE IF EXISTS `cache_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_config` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_config`
--

LOCK TABLES `cache_config` WRITE;
/*!40000 ALTER TABLE `cache_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_config` VALUES ('admin_toolbar_tools.settings','a:2:{s:17:\"max_bundle_number\";i:20;s:25:\"hoverintent_functionality\";b:1;}',-1,1674804012.730,1,'','0'),('block.block.aboutus','a:12:{s:4:\"uuid\";s:36:\"eb0aaaf3-8604-4897-bf00-debaa4620d39\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:47646f79-b713-49b5-a800-b301163bd033\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:7:\"aboutus\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:47646f79-b713-49b5-a800-b301163bd033\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:47646f79-b713-49b5-a800-b301163bd033\";s:5:\"label\";s:8:\"About us\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}',-1,1674804011.048,1,'','0'),('block.block.anonymousmenu','a:12:{s:4:\"uuid\";s:36:\"a7449418-70e0-40bf-a621-337af2645841\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:26:\"system.menu.anonymous-menu\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:13:\"anonymousmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-6;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"system_menu_block:anonymous-menu\";s:8:\"settings\";a:7:{s:2:\"id\";s:32:\"system_menu_block:anonymous-menu\";s:5:\"label\";s:14:\"Anonymous Menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}s:5:\"roles\";a:1:{s:9:\"anonymous\";s:9:\"anonymous\";}}}}',-1,1674804011.048,1,'','0'),('block.block.bartik_account_menu','a:12:{s:4:\"uuid\";s:36:\"86c61364-670f-427d-9506-065eb118189a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:19:\"bartik_account_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_branding','a:12:{s:4:\"uuid\";s:36:\"e42bf66d-e9e2-49ba-b101-1b270b44e8a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:15:\"bartik_branding\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"8400bf81-40ec-4bf7-9306-6f06ff9ee55f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:18:\"bartik_breadcrumbs\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_content','a:12:{s:4:\"uuid\";s:36:\"46f55af5-ca11-43a8-875d-9324cd73e2c8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:14:\"bartik_content\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_footer','a:12:{s:4:\"uuid\";s:36:\"f11cb45c-c042-4b90-8100-bd15e4e1d854\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:13:\"bartik_footer\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_help','a:12:{s:4:\"uuid\";s:36:\"ce069e88-a6f9-437d-8404-4bff811ee546\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:11:\"bartik_help\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"help\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_local_actions','a:12:{s:4:\"uuid\";s:36:\"273062a2-60b2-4309-b700-fdb813827f73\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:20:\"bartik_local_actions\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_local_tasks','a:12:{s:4:\"uuid\";s:36:\"298cd438-1a63-4fa1-831b-270cdcde4cc6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:18:\"bartik_local_tasks\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-40;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_main_menu','a:12:{s:4:\"uuid\";s:36:\"768a3b1b-2c74-4bea-b805-5c6836749018\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:16:\"bartik_main_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_messages','a:12:{s:4:\"uuid\";s:36:\"7673fbfc-bc8b-46e3-9d00-f05c9e29baa2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:15:\"bartik_messages\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_page_title','a:12:{s:4:\"uuid\";s:36:\"58d1da15-7c7a-471b-b800-d01a91d1becc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:17:\"bartik_page_title\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-50;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_powered','a:12:{s:4:\"uuid\";s:36:\"ca820f2c-0e88-403f-9900-c645588ffed5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:14:\"bartik_powered\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_search','a:12:{s:4:\"uuid\";s:36:\"c4f5a4af-6cdd-452b-9f05-05c57fb131d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:13:\"bartik_search\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-1;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"search\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.bartik_tools','a:12:{s:4:\"uuid\";s:36:\"7455856f-deb6-4f43-9400-d5531266da14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:12:\"bartik_tools\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.021,1,'','0'),('block.block.categoriesmenu_2','a:12:{s:4:\"uuid\";s:36:\"5256fbdd-1337-4182-a458-c9f75e498001\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"categoriesmenu_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"we_megamenu_block:categories-menu\";s:8:\"settings\";a:4:{s:2:\"id\";s:33:\"we_megamenu_block:categories-menu\";s:5:\"label\";s:15:\"Categories Menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:11:\"we_megamenu\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.copyright','a:12:{s:4:\"uuid\";s:36:\"ee32d695-45fe-480a-822c-442ceb5877eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:e2fcb25d-f9ba-495c-af43-67376323d90d\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:9:\"copyright\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"footer\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:e2fcb25d-f9ba-495c-af43-67376323d90d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:e2fcb25d-f9ba-495c-af43-67376323d90d\";s:5:\"label\";s:9:\"Copyright\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.generalinformation','a:12:{s:4:\"uuid\";s:36:\"3fdfa7a7-1a25-40d5-9600-b0ad4eaca477\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:c32d587c-e8ce-4c98-9c00-af5275014b78\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:18:\"generalinformation\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:c32d587c-e8ce-4c98-9c00-af5275014b78\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:c32d587c-e8ce-4c98-9c00-af5275014b78\";s:5:\"label\";s:19:\"General Information\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:8:\"/contact\";}}}',-1,1674804011.048,1,'','0'),('block.block.gmap','a:12:{s:4:\"uuid\";s:36:\"cb82d2ab-3df2-491e-8000-f6170a902b67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:4:\"gmap\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:3:\"map\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";s:5:\"label\";s:4:\"Gmap\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:8:\"/contact\";}}}',-1,1674804011.048,1,'','0'),('block.block.mainnavigation_2','a:12:{s:4:\"uuid\";s:36:\"a148b110-6a1f-4f43-8844-7981b325790b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"mainnavigation_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"we_megamenu_block:main\";s:8:\"settings\";a:4:{s:2:\"id\";s:22:\"we_megamenu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:11:\"we_megamenu\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_account_menu','a:12:{s:4:\"uuid\";s:36:\"976e2584-b31c-4a11-8900-f8c8ef7dcc41\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:21:\"pinteros_account_menu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_branding','a:12:{s:4:\"uuid\";s:36:\"d1689f22-0570-4076-b600-ad73038154ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:17:\"pinteros_branding\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:0;s:15:\"use_site_slogan\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"8661cd83-ed76-423d-9b00-ecb08f0d7f72\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:20:\"pinteros_breadcrumbs\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_content','a:12:{s:4:\"uuid\";s:36:\"35052860-ba48-46dd-8003-3c75488837f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"pinteros_content\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_footer','a:12:{s:4:\"uuid\";s:36:\"6a4ea91f-69f2-4ba3-ac02-2fd3e0c817f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"pinteros_footer\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_help','a:12:{s:4:\"uuid\";s:36:\"8b508ee2-0c65-4b12-b400-d7f882f8281a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:13:\"pinteros_help\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"help\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_local_actions','a:12:{s:4:\"uuid\";s:36:\"11a8e6a3-da71-4e7a-8104-4d69aaabc305\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:22:\"pinteros_local_actions\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_local_tasks','a:12:{s:4:\"uuid\";s:36:\"9d05d774-08ed-4550-a757-87f9891912dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:20:\"pinteros_local_tasks\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_main_menu','a:12:{s:4:\"uuid\";s:36:\"7feaaa35-d6d6-43a7-9436-547861d4aec0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:18:\"pinteros_main_menu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_messages','a:12:{s:4:\"uuid\";s:36:\"21ac98c0-9597-490d-9a00-fe6f851419c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:17:\"pinteros_messages\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_page_title','a:12:{s:4:\"uuid\";s:36:\"09fd4d37-129c-4e20-883b-59db5a41b62c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:19:\"pinteros_page_title\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:5:\"title\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_powered','a:12:{s:4:\"uuid\";s:36:\"4a8e1e1f-b24f-488b-9607-7b61f2492e20\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"pinteros_powered\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_search','a:12:{s:4:\"uuid\";s:36:\"5c886255-5822-4b10-9600-a191964931a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"pinteros_search\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"search\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.pinteros_tools','a:12:{s:4:\"uuid\";s:36:\"a1c931d9-c7e4-443c-bf63-99a8475e0cac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:14:\"pinteros_tools\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.realtime','a:12:{s:4:\"uuid\";s:36:\"82c03747-046b-41bc-9800-af905d08381a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:8:\"realtime\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";s:5:\"label\";s:9:\"Real time\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.searchform','a:12:{s:4:\"uuid\";s:36:\"bb7578bd-2063-447a-8e00-b09ce11dc7a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:10:\"searchform\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:11:\"Search form\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"search\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.seven_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"ac91a6d9-d7a3-4f94-a55d-9386d3110175\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:17:\"seven_breadcrumbs\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.034,1,'','0'),('block.block.seven_content','a:12:{s:4:\"uuid\";s:36:\"fcadb69b-15df-447c-af00-cb661ae1bf4b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:13:\"seven_content\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.034,1,'','0'),('block.block.seven_help','a:12:{s:4:\"uuid\";s:36:\"5a746e72-4d16-40ab-af53-83c4296da261\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:10:\"seven_help\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:4:\"help\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"help\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.034,1,'','0'),('block.block.seven_local_actions','a:12:{s:4:\"uuid\";s:36:\"71c371a5-caf1-4d26-9400-e65de9dd49c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:19:\"seven_local_actions\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.035,1,'','0'),('block.block.seven_login','a:12:{s:4:\"uuid\";s:36:\"d00b6c17-ebc5-4bd1-8104-4c6cce946cde\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:11:\"seven_login\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"user_login_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"user_login_block\";s:5:\"label\";s:10:\"User login\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:4:\"user\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.035,1,'','0'),('block.block.seven_messages','a:12:{s:4:\"uuid\";s:36:\"0ac206bc-1efd-49d2-925e-942224e1786e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:14:\"seven_messages\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.035,1,'','0'),('block.block.seven_page_title','a:12:{s:4:\"uuid\";s:36:\"02eec555-fdd6-411f-8005-5b7c390079ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:16:\"seven_page_title\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.035,1,'','0'),('block.block.seven_primary_local_tasks','a:12:{s:4:\"uuid\";s:36:\"16e4a1a7-71bf-4a92-984b-7508a3536d94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:25:\"seven_primary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:12:\"Primary tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:1;s:9:\"secondary\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1674804011.035,1,'','0'),('block.block.seven_secondary_local_tasks','a:12:{s:4:\"uuid\";s:36:\"ec10af86-614e-48fd-9800-dccd6ca7d02f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:27:\"seven_secondary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"pre_content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:14:\"Secondary tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:0;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1674804011.035,1,'','0'),('block.block.simplenewssubscription','a:12:{s:4:\"uuid\";s:36:\"b5e7ca76-9f8e-406d-8b2f-4760c7a3f9e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:22:\"simplenewssubscription\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"simplenews_subscription_block\";s:8:\"settings\";a:9:{s:2:\"id\";s:29:\"simplenews_subscription_block\";s:5:\"label\";s:10:\"Newsletter\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:10:\"simplenews\";s:11:\"newsletters\";a:0:{}s:7:\"message\";s:44:\"Stay informed - subscribe to our newsletter.\";s:9:\"unique_id\";s:36:\"9c251c3f-0b46-44b2-8403-3de25c090fff\";s:19:\"default_newsletters\";a:1:{s:7:\"default\";s:7:\"default\";}s:11:\"show_manage\";b:1;}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}',-1,1674804011.048,1,'','0'),('block.block.socialmenu','a:12:{s:4:\"uuid\";s:36:\"efe429a4-036f-4c42-9802-2b2270cd5eb3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:10:\"socialmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";s:5:\"label\";s:11:\"Social Menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}',-1,1674804011.048,1,'','0'),('block.block.useraccountmenu','a:12:{s:4:\"uuid\";s:36:\"449db4ef-1fd1-462d-9003-3d2fedcd373f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"useraccountmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-7;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}s:5:\"roles\";a:2:{s:13:\"authenticated\";s:13:\"authenticated\";s:13:\"administrator\";s:13:\"administrator\";}}}}',-1,1674804011.048,1,'','0'),('block.block.views_block__comments_recent_block_1','a:12:{s:4:\"uuid\";s:36:\"714fcd62-a37a-43fc-a200-d60c4870846c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:26:\"views.view.comments_recent\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:36:\"views_block__comments_recent_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:35:\"views_block:comments_recent-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:35:\"views_block:comments_recent-block_1\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}',-1,1674804011.048,1,'','0'),('block.block.views_block__featured_posts_block_1','a:12:{s:4:\"uuid\";s:36:\"5c4f63f1-2d44-46ca-b300-dd34d4db4385\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.featured_posts\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:35:\"views_block__featured_posts_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:34:\"views_block:featured_posts-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:34:\"views_block:featured_posts-block_1\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:62:\"<front>\r\n/showcase\r\n/showcase/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}',-1,1674804011.048,1,'','0'),('block.block.views_block__featured_posts_block_2','a:12:{s:4:\"uuid\";s:36:\"50e6478a-b18a-428f-ac03-032b1f4ebb06\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.featured_posts\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:35:\"views_block__featured_posts_block_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:34:\"views_block:featured_posts-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:34:\"views_block:featured_posts-block_2\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}',-1,1674804011.048,1,'','0'),('block.block.views_block__tags_in_tags_block_1','a:12:{s:4:\"uuid\";s:36:\"87682036-f6e6-4609-a909-9c479afbed64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.tags_in_tags\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:33:\"views_block__tags_in_tags_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:tags_in_tags-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:tags_in_tags-block_1\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}',-1,1674804011.048,1,'','0'),('block_content.type.basic','a:8:{s:4:\"uuid\";s:36:\"d9f58d5f-5aca-4faf-8a00-a3dc3f2913c2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"basic\";s:5:\"label\";s:11:\"Basic block\";s:8:\"revision\";i:0;s:11:\"description\";s:42:\"A basic block contains a title and a body.\";}',-1,1674804011.762,1,'','0'),('comment.type.comment','a:8:{s:4:\"uuid\";s:36:\"b4b4dd30-3530-476a-a800-aedb48be3df1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:16:\"Default comments\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:28:\"Allows commenting on content\";}',-1,1674804011.774,1,'','0'),('comment.type.comment_forum','a:8:{s:4:\"uuid\";s:36:\"543c8291-2fbd-40c1-bc00-bb0eed844e5d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"comment_forum\";s:5:\"label\";s:13:\"Comment_forum\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:21:\"Default comment field\";}',-1,1674804011.774,1,'','0'),('component_builder.component_item_type.accordion','a:7:{s:4:\"uuid\";s:36:\"4bf357ff-e2d3-40af-9007-88df671933ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"accordion\";s:5:\"label\";s:9:\"Accordion\";s:11:\"description\";N;}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.article_summary','a:7:{s:4:\"uuid\";s:36:\"60657529-4ad3-40cb-bbc9-a3cec7bc9aa3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"article_summary\";s:5:\"label\";s:15:\"Article Summary\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.banner_grid','a:7:{s:4:\"uuid\";s:36:\"4d9fa8c4-e3a7-46df-8d07-462c8c3b3464\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:11:\"banner_grid\";s:5:\"label\";s:11:\"Banner Grid\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.basic_component','a:7:{s:4:\"uuid\";s:36:\"9e367dc7-f15a-4dc5-8fb5-953ce082ab11\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"basic_component\";s:5:\"label\";s:15:\"Basic component\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.card','a:7:{s:4:\"uuid\";s:36:\"30be4c19-6362-4109-a196-b06ddbab67ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"card\";s:5:\"label\";s:4:\"Card\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.carousel','a:7:{s:4:\"uuid\";s:36:\"f19f3677-12c3-4f99-baa7-0e530df99d7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"carousel\";s:5:\"label\";s:8:\"Carousel\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.classified_ads','a:7:{s:4:\"uuid\";s:36:\"c4ed8fe0-4c72-4657-944d-5a96632991cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:14:\"classified_ads\";s:5:\"label\";s:14:\"Classified Ads\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.counter','a:7:{s:4:\"uuid\";s:36:\"0dac5e0e-4d95-4fbc-b519-3b7f10f7e753\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"counter\";s:5:\"label\";s:7:\"Counter\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.divider_section','a:7:{s:4:\"uuid\";s:36:\"31e96950-6392-4af3-a392-8f9b1185250c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"divider_section\";s:5:\"label\";s:15:\"Divider Section\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.grid','a:7:{s:4:\"uuid\";s:36:\"40292fdb-1c2a-4fb0-b42e-ddf2a15a1c0b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"grid\";s:5:\"label\";s:4:\"Grid\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.grid_carousel','a:7:{s:4:\"uuid\";s:36:\"f8289bc0-ebe9-4c4b-926b-da690771e0ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"grid_carousel\";s:5:\"label\";s:13:\"Grid Carousel\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.horizontal_push_image','a:7:{s:4:\"uuid\";s:36:\"bb041594-60f4-4825-885c-792e8b06e08e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:21:\"horizontal_push_image\";s:5:\"label\";s:21:\"Horizontal push image\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.push_image','a:7:{s:4:\"uuid\";s:36:\"3ebedcde-3bf8-4d0a-ba93-736f1d0d96fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:10:\"push_image\";s:5:\"label\";s:10:\"Push image\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.push_video','a:7:{s:4:\"uuid\";s:36:\"4f50ceb1-4e6f-4c6b-b394-d1c382180a42\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:10:\"push_video\";s:5:\"label\";s:10:\"Push Video\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.quote','a:7:{s:4:\"uuid\";s:36:\"f46b7fb9-d07a-417f-94b5-a2e1ccdae679\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"quote\";s:5:\"label\";s:5:\"Quote\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.related_content','a:7:{s:4:\"uuid\";s:36:\"d850291e-8fd3-4f38-99f9-6e843b88d216\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"related_content\";s:5:\"label\";s:15:\"Related Content\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.service_block','a:7:{s:4:\"uuid\";s:36:\"c4bd0d33-e1de-46ce-bd4e-35b0cdf2aed7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"service_block\";s:5:\"label\";s:13:\"Service Block\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.sidebar_link_text','a:7:{s:4:\"uuid\";s:36:\"d2b40328-dd12-4a13-b231-d4799f4eb250\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:17:\"sidebar_link_text\";s:5:\"label\";s:17:\"Sidebar Link Text\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.sidebar_service','a:7:{s:4:\"uuid\";s:36:\"617ed368-3885-446d-a24e-013f70100234\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"sidebar_service\";s:5:\"label\";s:15:\"Sidebar Service\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.sidebar_summary','a:7:{s:4:\"uuid\";s:36:\"fd98a7d9-8f91-4377-a10a-a351378d0c49\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"sidebar_summary\";s:5:\"label\";s:15:\"Sidebar Summary\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.slideshow','a:7:{s:4:\"uuid\";s:36:\"554a51b7-1e93-443b-8dd9-a831b99a80bd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"slideshow\";s:5:\"label\";s:9:\"Slideshow\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.slideshow_flexible','a:7:{s:4:\"uuid\";s:36:\"9d096d9b-5898-48f3-976c-d2a03e4fc365\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:18:\"slideshow_flexible\";s:5:\"label\";s:18:\"Slideshow Flexible\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.statistic_bar','a:7:{s:4:\"uuid\";s:36:\"4ebdf503-584d-4998-98e7-290dec0513e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"statistic_bar\";s:5:\"label\";s:13:\"Statistic bar\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.statistic_bar_progress','a:7:{s:4:\"uuid\";s:36:\"b7b57627-27bc-424b-9a41-26032558b301\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:22:\"statistic_bar_progress\";s:5:\"label\";s:22:\"Statistic bar progress\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.summary_information','a:7:{s:4:\"uuid\";s:36:\"8b06662e-cbb3-493a-a110-c0898bf609c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:19:\"summary_information\";s:5:\"label\";s:19:\"Summary Information\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.table','a:7:{s:4:\"uuid\";s:36:\"c4cf8338-84db-40a0-ac49-897057b4cafd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"table\";s:5:\"label\";s:5:\"Table\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.table_column','a:7:{s:4:\"uuid\";s:36:\"163f376f-e7db-49c7-80c4-256c62ef2753\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:12:\"table_column\";s:5:\"label\";s:12:\"Table column\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.testimonial','a:7:{s:4:\"uuid\";s:36:\"901cc43c-e123-49af-bcec-cc9f93d99dff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:11:\"testimonial\";s:5:\"label\";s:11:\"Testimonial\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.timeline','a:7:{s:4:\"uuid\";s:36:\"de93114e-70f8-4a72-a4fc-5520621f8b0c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"timeline\";s:5:\"label\";s:8:\"Timeline\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.timeline_item','a:7:{s:4:\"uuid\";s:36:\"a1f934aa-f3cd-427d-91ab-870f2c0f5232\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"timeline_item\";s:5:\"label\";s:13:\"Timeline Item\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('component_builder.component_item_type.topic_summary','a:7:{s:4:\"uuid\";s:36:\"b1769b1c-00b7-4ef4-8805-3327fb3eeaa2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"topic_summary\";s:5:\"label\";s:13:\"Topic Summary\";s:11:\"description\";s:0:\"\";}',-1,1674804011.786,1,'','0'),('contact.form.feedback','a:11:{s:4:\"uuid\";s:36:\"be7e8aa3-a5d2-403e-9204-4c718d2f29d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"feedback\";s:5:\"label\";s:7:\"Contact\";s:10:\"recipients\";a:1:{i:0;s:19:\"contact@weebpal.com\";}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}',-1,1674804011.817,1,'','0'),('contact.form.personal','a:11:{s:4:\"uuid\";s:36:\"f81c0d9b-43b3-4ea8-9f04-044cb2f8805b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"personal\";s:5:\"label\";s:21:\"Personal contact form\";s:10:\"recipients\";a:0:{}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}',-1,1674804011.817,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.bundle','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.changed','a:16:{s:4:\"uuid\";s:36:\"c43a6244-c2f1-45b1-b807-633831e1262e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:43:\"menu_link_content.menu_link_content.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:44:\"The time that the menu link was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.default_langcode','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.description','a:16:{s:4:\"uuid\";s:36:\"5029bff9-74e7-4690-8ace-dc8bf36bf331\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:47:\"menu_link_content.menu_link_content.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:39:\"Shown when hovering over the menu link.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.enabled','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.expanded','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.external','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.id','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.langcode','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.link','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.menu_name','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.parent','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.rediscover','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_created','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_default','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_id','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_log_message','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_translation_affected','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_user','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.title','a:16:{s:4:\"uuid\";s:36:\"7c1d2065-a618-439a-ba73-619aebc8f0f1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:41:\"menu_link_content.menu_link_content.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:15:\"Menu link title\";s:11:\"description\";s:46:\"The text to be used for this link in the menu.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.uuid','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.weight','b:0;',-1,1674804012.800,1,'','0'),('core.base_field_override.node.page.changed','a:16:{s:4:\"uuid\";s:36:\"c49cf851-e51e-436f-8460-a97215ca7464\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.content_translation_outdated','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.content_translation_source','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.created','a:16:{s:4:\"uuid\";s:36:\"55b1b365-3284-47af-b6ea-997546126316\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.default_langcode','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.langcode','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.menu_link','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.nid','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.path','a:16:{s:4:\"uuid\";s:36:\"4cb47357-00ea-4cc9-b82a-fb9a53407b41\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:14:\"node.page.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.promote','a:16:{s:4:\"uuid\";s:36:\"d192b746-24ba-4ad1-863c-60b2a4cc69d4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.revision_default','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.revision_log','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.revision_timestamp','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.revision_translation_affected','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.revision_uid','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.status','a:16:{s:4:\"uuid\";s:36:\"65cd136f-1b6b-4c69-bafc-38cb8094bf3a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.sticky','a:16:{s:4:\"uuid\";s:36:\"d2d15c60-f769-45c4-bbed-c120eeafafe0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.title','a:16:{s:4:\"uuid\";s:36:\"5e3daea0-431f-4b6c-acb8-a4887538cd06\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:15:\"node.page.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.type','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.uid','a:16:{s:4:\"uuid\";s:36:\"a7eaa803-ab3e-417c-b4be-49d12bc5aed8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:13:\"node.page.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.uuid','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.node.page.vid','b:0;',-1,1674804013.023,1,'','0'),('core.base_field_override.taxonomy_term.categories.changed','a:16:{s:4:\"uuid\";s:36:\"dbe35bd2-2826-42d1-877a-2af754d464ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.default_langcode','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.description','a:16:{s:4:\"uuid\";s:36:\"2fd7f228-6245-44a9-abe0-a59124611c31\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:36:\"taxonomy_term.categories.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.langcode','b:0;',-1,1674804012.917,1,'','0'),('core.base_field_override.taxonomy_term.categories.name','a:16:{s:4:\"uuid\";s:36:\"dca87aeb-d08e-46cf-9bff-deba3159e5ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:29:\"taxonomy_term.categories.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.parent','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.path','a:16:{s:4:\"uuid\";s:36:\"98ce929a-52a2-47cb-8bb1-04bc9a90a103\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:29:\"taxonomy_term.categories.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.revision_created','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.revision_default','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.revision_id','b:0;',-1,1674804012.917,1,'','0'),('core.base_field_override.taxonomy_term.categories.revision_log_message','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.revision_translation_affected','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.revision_user','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.status','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.tid','b:0;',-1,1674804012.917,1,'','0'),('core.base_field_override.taxonomy_term.categories.uuid','b:0;',-1,1674804012.917,1,'','0'),('core.base_field_override.taxonomy_term.categories.vid','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.taxonomy_term.categories.weight','b:0;',-1,1674804012.918,1,'','0'),('core.base_field_override.user.user.access','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.changed','a:16:{s:4:\"uuid\";s:36:\"5c2f9469-ce8f-46b5-a434-28cf69bfae07\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the user was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.created','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.default_langcode','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.init','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.langcode','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.login','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.mail','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.name','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.pass','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.path','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.preferred_admin_langcode','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.preferred_langcode','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.roles','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.status','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.timezone','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.uid','b:0;',-1,1674804012.904,1,'','0'),('core.base_field_override.user.user.uuid','b:0;',-1,1674804012.904,1,'','0'),('core.extension','a:3:{s:6:\"module\";a:64:{s:13:\"admin_toolbar\";i:0;s:20:\"admin_toolbar_search\";i:0;s:19:\"admin_toolbar_tools\";i:0;s:14:\"automated_cron\";i:0;s:5:\"block\";i:0;s:13:\"block_content\";i:0;s:10:\"breakpoint\";i:0;s:8:\"ckeditor\";i:0;s:5:\"color\";i:0;s:11:\"color_field\";i:0;s:7:\"comment\";i:0;s:17:\"component_builder\";i:0;s:6:\"config\";i:0;s:18:\"config_translation\";i:0;s:7:\"contact\";i:0;s:10:\"contextual\";i:0;s:6:\"ctools\";i:0;s:8:\"datetime\";i:0;s:5:\"dblog\";i:0;s:18:\"dynamic_page_cache\";i:0;s:6:\"editor\";i:0;s:6:\"entity\";i:0;s:5:\"field\";i:0;s:11:\"field_group\";i:0;s:8:\"field_ui\";i:0;s:4:\"file\";i:0;s:6:\"filter\";i:0;s:4:\"help\";i:0;s:7:\"history\";i:0;s:5:\"image\";i:0;s:18:\"inline_entity_form\";i:0;s:8:\"language\";i:0;s:4:\"link\";i:0;s:6:\"locale\";i:0;s:7:\"menu_ui\";i:0;s:13:\"module_filter\";i:0;s:5:\"mysql\";i:0;s:4:\"node\";i:0;s:7:\"options\";i:0;s:10:\"page_cache\";i:0;s:4:\"path\";i:0;s:10:\"path_alias\";i:0;s:9:\"quickedit\";i:0;s:3:\"rdf\";i:0;s:6:\"search\";i:0;s:8:\"shortcut\";i:0;s:10:\"simplenews\";i:0;s:6:\"system\";i:0;s:8:\"taxonomy\";i:0;s:4:\"text\";i:0;s:5:\"token\";i:0;s:7:\"toolbar\";i:0;s:4:\"tour\";i:0;s:6:\"update\";i:0;s:4:\"user\";i:0;s:17:\"video_embed_field\";i:0;s:8:\"views_ui\";i:0;s:11:\"we_megamenu\";i:0;s:5:\"forum\";i:1;s:17:\"menu_link_content\";i:1;s:8:\"pathauto\";i:1;s:19:\"content_translation\";i:10;s:5:\"views\";i:10;s:8:\"standard\";i:1000;}s:5:\"theme\";a:5:{s:6:\"stable\";i:0;s:6:\"classy\";i:0;s:6:\"bartik\";i:0;s:5:\"seven\";i:0;s:8:\"pinteros\";i:0;}s:7:\"profile\";s:8:\"standard\";}',-1,1674804010.741,1,'','0'),('core.menu.static_menu_link_overrides','a:1:{s:11:\"definitions\";a:3:{s:18:\"contact__site_page\";a:5:{s:9:\"menu_name\";s:6:\"footer\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:20:\"standard__front_page\";a:5:{s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:-49;s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:12:\"user__logout\";a:5:{s:9:\"menu_name\";s:7:\"account\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:10;s:8:\"expanded\";b:0;s:7:\"enabled\";b:0;}}}',-1,1674804013.044,1,'','0'),('field.field.node.page.body','a:16:{s:4:\"uuid\";s:36:\"eb14539d-5149-49a3-a105-5b8415181203\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.page.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1674804013.026,1,'','0'),('field.field.node.page.field_components','a:16:{s:4:\"uuid\";s:36:\"1cad4593-7829-457d-b8fc-94831dceafca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_components\";i:1;s:14:\"node.type.page\";}}s:2:\"id\";s:26:\"node.page.field_components\";s:10:\"field_name\";s:16:\"field_components\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:10:\"Components\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:25:\"default:component_wrapper\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";N;s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1674804013.026,1,'','0'),('field.field.taxonomy_term.categories.field_image','a:16:{s:4:\"uuid\";s:36:\"611418e9-9dce-485b-8256-86d21d0c4613\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:36:\"taxonomy_term.categories.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}',-1,1674804012.920,1,'','0'),('field.field.user.user.user_picture','a:16:{s:4:\"uuid\";s:36:\"99445da3-dda1-42f9-8d01-1ad860f82981\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:22:\"user.user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Picture\";s:11:\"description\";s:29:\"Your virtual face or picture.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:5:\"30 KB\";s:14:\"max_resolution\";s:5:\"85x85\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}',-1,1674804012.906,1,'','0'),('field.storage.component_item.field_as_address','a:16:{s:4:\"uuid\";s:36:\"29649109-de2f-43e3-953b-a60877312e98\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:31:\"component_item.field_as_address\";s:10:\"field_name\";s:16:\"field_as_address\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_as_country','a:16:{s:4:\"uuid\";s:36:\"3e45b49a-7497-41c8-9fe0-ef35c448737f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:31:\"component_item.field_as_country\";s:10:\"field_name\";s:16:\"field_as_country\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_as_date_of_establishment','a:16:{s:4:\"uuid\";s:36:\"9963b3ad-9973-4733-b4f3-0a07939b2d1b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:45:\"component_item.field_as_date_of_establishment\";s:10:\"field_name\";s:30:\"field_as_date_of_establishment\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_as_description','a:16:{s:4:\"uuid\";s:36:\"d69cd62b-e070-443e-931c-2fb65467b8ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_item.field_as_description\";s:10:\"field_name\";s:20:\"field_as_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_as_image','a:16:{s:4:\"uuid\";s:36:\"0df357f9-9000-4d10-a1d5-b95ca58ad347\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_as_image\";s:10:\"field_name\";s:14:\"field_as_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_as_link','a:16:{s:4:\"uuid\";s:36:\"3e64ac45-b787-4b8c-bd29-a4c756766c32\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_as_link\";s:10:\"field_name\";s:13:\"field_as_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_as_opening_hours','a:16:{s:4:\"uuid\";s:36:\"f237390d-1b71-4d34-989e-b25083742132\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_item.field_as_opening_hours\";s:10:\"field_name\";s:22:\"field_as_opening_hours\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_body','a:16:{s:4:\"uuid\";s:36:\"2af0b498-1eda-4d91-b1f2-7e701bf27734\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:25:\"component_item.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_captions','a:16:{s:4:\"uuid\";s:36:\"ddbeb4e2-40fb-4f77-ba33-1479e6f4958a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_item.field_captions\";s:10:\"field_name\";s:14:\"field_captions\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_card_body','a:16:{s:4:\"uuid\";s:36:\"38ffb927-b300-4e20-b658-f929679ada4d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:30:\"component_item.field_card_body\";s:10:\"field_name\";s:15:\"field_card_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_card_color','a:16:{s:4:\"uuid\";s:36:\"0ceafd0a-ac62-4625-9657-4ae96581b3dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:2:\"id\";s:31:\"component_item.field_card_color\";s:10:\"field_name\";s:16:\"field_card_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:5:{i:0;a:2:{s:5:\"value\";s:6:\"purple\";s:5:\"label\";s:6:\"Purple\";}i:1;a:2:{s:5:\"value\";s:6:\"orange\";s:5:\"label\";s:6:\"Orange\";}i:2;a:2:{s:5:\"value\";s:5:\"green\";s:5:\"label\";s:5:\"Green\";}i:3;a:2:{s:5:\"value\";s:6:\"yellow\";s:5:\"label\";s:6:\"Yellow\";}i:4;a:2:{s:5:\"value\";s:4:\"blue\";s:5:\"label\";s:4:\"Blue\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_card_icon','a:16:{s:4:\"uuid\";s:36:\"e0e0f150-60e3-4847-a845-289a3f8b4956\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:30:\"component_item.field_card_icon\";s:10:\"field_name\";s:15:\"field_card_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_card_link','a:16:{s:4:\"uuid\";s:36:\"f00e1e48-2ce6-46dd-a4fa-4747b65c213d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:30:\"component_item.field_card_link\";s:10:\"field_name\";s:15:\"field_card_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_cells','a:16:{s:4:\"uuid\";s:36:\"b761d1a0-b698-4d91-8bed-62a95e5fe05d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:26:\"component_item.field_cells\";s:10:\"field_name\";s:11:\"field_cells\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"text\";s:8:\"settings\";a:1:{s:10:\"max_length\";i:255;}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_classified_ads_image','a:16:{s:4:\"uuid\";s:36:\"a6dfe7e3-7776-48f6-8174-9bf2aeea4854\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:41:\"component_item.field_classified_ads_image\";s:10:\"field_name\";s:26:\"field_classified_ads_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_classified_ads_text','a:16:{s:4:\"uuid\";s:36:\"a949f6b4-5ac8-405a-84ff-7c09dd7bc66e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:40:\"component_item.field_classified_ads_text\";s:10:\"field_name\";s:25:\"field_classified_ads_text\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_content_statistic_bar','a:16:{s:4:\"uuid\";s:36:\"aa3f583c-4227-4142-b163-9eedafa87b3c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_item.field_content_statistic_bar\";s:10:\"field_name\";s:27:\"field_content_statistic_bar\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_counter_image','a:16:{s:4:\"uuid\";s:36:\"3e48c0cd-cbbd-4843-9cd7-28dc7a9dbfc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:34:\"component_item.field_counter_image\";s:10:\"field_name\";s:19:\"field_counter_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_counter_number','a:16:{s:4:\"uuid\";s:36:\"064e4341-d78d-4183-9f6c-7d6feb435228\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_item.field_counter_number\";s:10:\"field_name\";s:20:\"field_counter_number\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:7:\"integer\";s:8:\"settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_date','a:16:{s:4:\"uuid\";s:36:\"b119dd22-b72c-4419-8dc6-48e357cb07d8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:25:\"component_item.field_date\";s:10:\"field_name\";s:10:\"field_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_description','a:16:{s:4:\"uuid\";s:36:\"e0defae0-36de-41f7-83f6-d5480cc3108d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:32:\"component_item.field_description\";s:10:\"field_name\";s:17:\"field_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_description_information','a:16:{s:4:\"uuid\";s:36:\"b5753c99-7e2b-44d4-afc3-f667c5f579b0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:44:\"component_item.field_description_information\";s:10:\"field_name\";s:29:\"field_description_information\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_divider_section_color','a:16:{s:4:\"uuid\";s:36:\"fc08a9e3-2a76-475d-8bb8-52d53df85011\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_item.field_divider_section_color\";s:10:\"field_name\";s:27:\"field_divider_section_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"color_field_type\";s:8:\"settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:6:\"module\";s:11:\"color_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_divider_section_desc','a:16:{s:4:\"uuid\";s:36:\"13277562-7e47-4f7b-bfc0-1de5e0af4c8b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_item.field_divider_section_desc\";s:10:\"field_name\";s:26:\"field_divider_section_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_divider_section_image','a:16:{s:4:\"uuid\";s:36:\"769afb6e-740d-473b-b0a2-12f59b58b8a6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.field_divider_section_image\";s:10:\"field_name\";s:27:\"field_divider_section_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_gc_date','a:16:{s:4:\"uuid\";s:36:\"2f441837-fe29-4737-8c1c-877c554fdc77\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:28:\"component_item.field_gc_date\";s:10:\"field_name\";s:13:\"field_gc_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_gc_description','a:16:{s:4:\"uuid\";s:36:\"247c5671-a349-4094-928c-c4e07eb5d86f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.field_gc_description\";s:10:\"field_name\";s:20:\"field_gc_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_gc_image','a:16:{s:4:\"uuid\";s:36:\"47a7966e-0272-4534-9176-ea2a6c980d7d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_gc_image\";s:10:\"field_name\";s:14:\"field_gc_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_gc_link','a:16:{s:4:\"uuid\";s:36:\"c4733456-7beb-4319-9290-76ff7bc82374\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_gc_link\";s:10:\"field_name\";s:13:\"field_gc_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_grid_date','a:16:{s:4:\"uuid\";s:36:\"fa1a769e-672f-4acc-b68f-ba3d95c6e639\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:30:\"component_item.field_grid_date\";s:10:\"field_name\";s:15:\"field_grid_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_hero_image','a:16:{s:4:\"uuid\";s:36:\"4efd9db0-acd7-4fef-9953-b722aa44eca0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:31:\"component_item.field_hero_image\";s:10:\"field_name\";s:16:\"field_hero_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_hpi_image','a:16:{s:4:\"uuid\";s:36:\"ebcd0742-9d35-419d-8a26-d22939c478ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:30:\"component_item.field_hpi_image\";s:10:\"field_name\";s:15:\"field_hpi_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_icon','a:16:{s:4:\"uuid\";s:36:\"b4b9461a-ead6-4667-b348-ac386dc77c61\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:25:\"component_item.field_icon\";s:10:\"field_name\";s:10:\"field_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_image','a:16:{s:4:\"uuid\";s:36:\"8da319df-3752-41c3-acae-5cab6bdba54c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:26:\"component_item.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_information','a:16:{s:4:\"uuid\";s:36:\"25865b85-1eb3-488c-9e76-5203d24856b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:32:\"component_item.field_information\";s:10:\"field_name\";s:17:\"field_information\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_large_image','a:16:{s:4:\"uuid\";s:36:\"4e39385c-2822-4720-bbea-0e625958fee0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:32:\"component_item.field_large_image\";s:10:\"field_name\";s:17:\"field_large_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_link','a:16:{s:4:\"uuid\";s:36:\"19453461-238e-4a8b-b18b-50baa27f81ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:25:\"component_item.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_mobile_hero_image','a:16:{s:4:\"uuid\";s:36:\"3c8e6a52-d7d7-4e25-88b1-fe2a8c31e8a7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:38:\"component_item.field_mobile_hero_image\";s:10:\"field_name\";s:23:\"field_mobile_hero_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pi_body','a:16:{s:4:\"uuid\";s:36:\"9e7b41e1-2339-43da-a3f5-af6ff15eb406\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_pi_body\";s:10:\"field_name\";s:13:\"field_pi_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pi_image','a:16:{s:4:\"uuid\";s:36:\"e6681696-99e7-41ae-81f0-07605b47b599\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_pi_image\";s:10:\"field_name\";s:14:\"field_pi_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pi_link','a:16:{s:4:\"uuid\";s:36:\"687b0a24-ad3e-4eb5-a685-acbddf6b07cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_pi_link\";s:10:\"field_name\";s:13:\"field_pi_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_process','a:16:{s:4:\"uuid\";s:36:\"c7305801-a2b8-49d5-a395-bcae249c13fb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_item.field_process\";s:10:\"field_name\";s:13:\"field_process\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:7:\"integer\";s:8:\"settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pv_body','a:16:{s:4:\"uuid\";s:36:\"619be666-5172-48ad-aab2-ffd9c882408a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_pv_body\";s:10:\"field_name\";s:13:\"field_pv_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pv_display','a:16:{s:4:\"uuid\";s:36:\"f1317a3e-8da7-4077-9aaf-857d8768a5e2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:2:\"id\";s:31:\"component_item.field_pv_display\";s:10:\"field_name\";s:16:\"field_pv_display\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:2:{i:0;a:2:{s:5:\"value\";s:11:\"video_embed\";s:5:\"label\";s:11:\"Video Embed\";}i:1;a:2:{s:5:\"value\";s:10:\"video_file\";s:5:\"label\";s:10:\"Video File\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pv_embed_video','a:16:{s:4:\"uuid\";s:36:\"4f57c952-1b2f-4a58-8b79-4db7ce93edf0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:2:\"id\";s:35:\"component_item.field_pv_embed_video\";s:10:\"field_name\";s:20:\"field_pv_embed_video\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"video_embed_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pv_link','a:16:{s:4:\"uuid\";s:36:\"9faac48c-0616-4991-8552-fa73654bf547\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_pv_link\";s:10:\"field_name\";s:13:\"field_pv_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_pv_video_file','a:16:{s:4:\"uuid\";s:36:\"cef29921-f15f-4a7b-855d-314603639f52\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";}}s:2:\"id\";s:34:\"component_item.field_pv_video_file\";s:10:\"field_name\";s:19:\"field_pv_video_file\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"file\";s:8:\"settings\";a:4:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";}s:6:\"module\";s:4:\"file\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_quote','a:16:{s:4:\"uuid\";s:36:\"88c7118b-2a64-4b0b-8afd-bfa7c50dce23\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:26:\"component_item.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_quote_description_infor','a:16:{s:4:\"uuid\";s:36:\"00a3013b-7b5d-4fef-9805-c21e6eb7b986\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:44:\"component_item.field_quote_description_infor\";s:10:\"field_name\";s:29:\"field_quote_description_infor\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_quote_image','a:16:{s:4:\"uuid\";s:36:\"997a6fa0-bbc6-48b2-82b5-08b62e31d98a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:32:\"component_item.field_quote_image\";s:10:\"field_name\";s:17:\"field_quote_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_quote_information','a:16:{s:4:\"uuid\";s:36:\"58065421-cde4-4347-88f5-b7d5a2d6c559\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:38:\"component_item.field_quote_information\";s:10:\"field_name\";s:23:\"field_quote_information\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_rc_body','a:16:{s:4:\"uuid\";s:36:\"6b3bf3e7-1eda-4c1b-bc9c-8ba1651d5796\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_rc_body\";s:10:\"field_name\";s:13:\"field_rc_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_rc_image','a:16:{s:4:\"uuid\";s:36:\"0d867af5-278d-42ee-90b7-0f9ab324c9cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_rc_image\";s:10:\"field_name\";s:14:\"field_rc_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_rc_link','a:16:{s:4:\"uuid\";s:36:\"0702f0fb-3c07-4e34-8e38-377eb6b2e486\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_rc_link\";s:10:\"field_name\";s:13:\"field_rc_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sbp_color','a:16:{s:4:\"uuid\";s:36:\"01d4343a-2f59-4982-a45b-65f26210a364\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:2:\"id\";s:30:\"component_item.field_sbp_color\";s:10:\"field_name\";s:15:\"field_sbp_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"color_field_type\";s:8:\"settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:6:\"module\";s:11:\"color_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_service_block_color','a:16:{s:4:\"uuid\";s:36:\"7e21538f-daf2-43d7-b9c7-8f3736ea14da\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:2:\"id\";s:40:\"component_item.field_service_block_color\";s:10:\"field_name\";s:25:\"field_service_block_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"color_field_type\";s:8:\"settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:6:\"module\";s:11:\"color_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_service_block_description','a:16:{s:4:\"uuid\";s:36:\"68777643-84d2-4f21-addf-0fbae5c8e516\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:46:\"component_item.field_service_block_description\";s:10:\"field_name\";s:31:\"field_service_block_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_service_block_image','a:16:{s:4:\"uuid\";s:36:\"63538f7a-6fef-469d-a616-af393994c131\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:40:\"component_item.field_service_block_image\";s:10:\"field_name\";s:25:\"field_service_block_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_service_block_link','a:16:{s:4:\"uuid\";s:36:\"c76066c1-180e-43da-acca-ca7edcb55f58\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:39:\"component_item.field_service_block_link\";s:10:\"field_name\";s:24:\"field_service_block_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_link_text','a:16:{s:4:\"uuid\";s:36:\"4c8a74b5-5416-4a21-b35a-d822fb887719\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.field_sidebar_link_text\";s:10:\"field_name\";s:23:\"field_sidebar_link_text\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_link_text_desc','a:16:{s:4:\"uuid\";s:36:\"afee4116-0aa6-4aae-b0d2-65a525a9f0f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_item.field_sidebar_link_text_desc\";s:10:\"field_name\";s:28:\"field_sidebar_link_text_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_service_image','a:16:{s:4:\"uuid\";s:36:\"c5b13407-15fa-42ee-9c03-127a5bf7d7b7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.field_sidebar_service_image\";s:10:\"field_name\";s:27:\"field_sidebar_service_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_service_link','a:16:{s:4:\"uuid\";s:36:\"0cd7bad3-6c44-4035-acb5-9e75c3c90e46\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_service_link\";s:10:\"field_name\";s:26:\"field_sidebar_service_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_summary_created_by','a:16:{s:4:\"uuid\";s:36:\"c63c0a41-fe49-4318-8246-8a3002748e90\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:47:\"component_item.field_sidebar_summary_created_by\";s:10:\"field_name\";s:32:\"field_sidebar_summary_created_by\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_summary_date','a:16:{s:4:\"uuid\";s:36:\"2ee66812-1877-425f-85c1-d826eb79f02c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_summary_date\";s:10:\"field_name\";s:26:\"field_sidebar_summary_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_summary_desc','a:16:{s:4:\"uuid\";s:36:\"9eef7e00-dbaa-478b-8fc7-f34c7e8d41d3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_summary_desc\";s:10:\"field_name\";s:26:\"field_sidebar_summary_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_summary_image','a:16:{s:4:\"uuid\";s:36:\"759e9249-4138-4851-a49e-170feb76aefb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.field_sidebar_summary_image\";s:10:\"field_name\";s:27:\"field_sidebar_summary_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_sidebar_summary_link','a:16:{s:4:\"uuid\";s:36:\"1ba40339-faab-4195-9a3f-1439e604025b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_summary_link\";s:10:\"field_name\";s:26:\"field_sidebar_summary_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_slideshow_flexible_date','a:16:{s:4:\"uuid\";s:36:\"f6ddd448-d211-4856-9da4-11760e8a0e03\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:44:\"component_item.field_slideshow_flexible_date\";s:10:\"field_name\";s:29:\"field_slideshow_flexible_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_slideshow_flexible_image','a:16:{s:4:\"uuid\";s:36:\"9649a571-0fd5-4e7a-8d33-16a1b70880f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:45:\"component_item.field_slideshow_flexible_image\";s:10:\"field_name\";s:30:\"field_slideshow_flexible_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_slideshow_flexible_link','a:16:{s:4:\"uuid\";s:36:\"0e89bc6a-f054-4725-b1b3-99b49fbc0605\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:44:\"component_item.field_slideshow_flexible_link\";s:10:\"field_name\";s:29:\"field_slideshow_flexible_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.364,1,'','0'),('field.storage.component_item.field_slideshow_flexible_sdesc','a:16:{s:4:\"uuid\";s:36:\"ffca2e43-e9d1-482f-bd13-60eb1f343f8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:10:\"field_name\";s:30:\"field_slideshow_flexible_sdesc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_small_image','a:16:{s:4:\"uuid\";s:36:\"dcf5e31d-536f-485a-9aaf-d89efd3582fb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:32:\"component_item.field_small_image\";s:10:\"field_name\";s:17:\"field_small_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_statistic_bar_progress','a:16:{s:4:\"uuid\";s:36:\"a23196a8-d216-4f63-80f4-494f779ed0fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_item.field_statistic_bar_progress\";s:10:\"field_name\";s:28:\"field_statistic_bar_progress\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_summary','a:16:{s:4:\"uuid\";s:36:\"a06bfa21-fd72-44e5-9446-1c701a5c83b1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_summary\";s:10:\"field_name\";s:13:\"field_summary\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_table_columns','a:16:{s:4:\"uuid\";s:36:\"fa48bf78-58ac-4f12-b308-4720ea3b5860\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_item.field_table_columns\";s:10:\"field_name\";s:19:\"field_table_columns\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_body','a:16:{s:4:\"uuid\";s:36:\"a0f4c01f-e880-4e50-8f40-e2aa27457580\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_ti_body\";s:10:\"field_name\";s:13:\"field_ti_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_icon','a:16:{s:4:\"uuid\";s:36:\"4a892c1c-81f4-45e4-8804-1a1f23d41c73\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:28:\"component_item.field_ti_icon\";s:10:\"field_name\";s:13:\"field_ti_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_image','a:16:{s:4:\"uuid\";s:36:\"c84a3ffc-8007-47d8-80cd-2d59f1f9b195\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_ti_image\";s:10:\"field_name\";s:14:\"field_ti_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_left','a:16:{s:4:\"uuid\";s:36:\"752b7b9b-194d-4ebe-a748-dd330b193597\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_item.field_ti_left\";s:10:\"field_name\";s:13:\"field_ti_left\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_link','a:16:{s:4:\"uuid\";s:36:\"aae31211-fc86-4161-a57b-c72b881f2def\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_ti_link\";s:10:\"field_name\";s:13:\"field_ti_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_right','a:16:{s:4:\"uuid\";s:36:\"6ff5cda7-0402-4d91-b4cc-65ba513ecb90\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_item.field_ti_right\";s:10:\"field_name\";s:14:\"field_ti_right\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_ti_video','a:16:{s:4:\"uuid\";s:36:\"a6d1b8d3-2807-4fdd-aa30-7cd6fde483eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:2:\"id\";s:29:\"component_item.field_ti_video\";s:10:\"field_name\";s:14:\"field_ti_video\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"video_embed_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_item.field_type','a:16:{s:4:\"uuid\";s:36:\"b70990d4-3b40-4af7-87c8-90236dd35868\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:2:\"id\";s:25:\"component_item.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:2:{i:0;a:2:{s:5:\"value\";s:5:\"image\";s:5:\"label\";s:5:\"Image\";}i:1;a:2:{s:5:\"value\";s:5:\"video\";s:5:\"label\";s:5:\"Video\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.365,1,'','0'),('field.storage.component_wrapper.field_accordion','a:16:{s:4:\"uuid\";s:36:\"535aabf9-053f-4403-86aa-b87054849c65\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:33:\"component_wrapper.field_accordion\";s:10:\"field_name\";s:15:\"field_accordion\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_article_summary','a:16:{s:4:\"uuid\";s:36:\"769ab229-95f2-4b66-af20-ea658e2327ea\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_article_summary\";s:10:\"field_name\";s:21:\"field_article_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_banner_grid','a:16:{s:4:\"uuid\";s:36:\"81abd263-0af2-4201-9b86-66f84ad516ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_wrapper.field_banner_grid\";s:10:\"field_name\";s:17:\"field_banner_grid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_basic_component','a:16:{s:4:\"uuid\";s:36:\"5af2e220-2326-4d90-9148-1ead88277eb1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_basic_component\";s:10:\"field_name\";s:21:\"field_basic_component\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_card','a:16:{s:4:\"uuid\";s:36:\"d00e5eb0-82dd-4835-aec2-6f75a86d95e9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_wrapper.field_card\";s:10:\"field_name\";s:10:\"field_card\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_carousel','a:16:{s:4:\"uuid\";s:36:\"ab4e3f11-4bdb-465c-b960-19c747b618ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:32:\"component_wrapper.field_carousel\";s:10:\"field_name\";s:14:\"field_carousel\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_classified_ads','a:16:{s:4:\"uuid\";s:36:\"a8ab7b61-2c44-44c3-aad7-445725afe610\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:38:\"component_wrapper.field_classified_ads\";s:10:\"field_name\";s:20:\"field_classified_ads\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_counter','a:16:{s:4:\"uuid\";s:36:\"170f9378-4953-480f-a169-ee6ebd8d915d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:31:\"component_wrapper.field_counter\";s:10:\"field_name\";s:13:\"field_counter\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_divider_section','a:16:{s:4:\"uuid\";s:36:\"7365a73d-2f7f-4347-911c-fc91f20b43b8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_divider_section\";s:10:\"field_name\";s:21:\"field_divider_section\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_grid','a:16:{s:4:\"uuid\";s:36:\"384f895c-0f6f-483c-a1f9-702bb4558cbe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_wrapper.field_grid\";s:10:\"field_name\";s:10:\"field_grid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_grid_carousel','a:16:{s:4:\"uuid\";s:36:\"b99f21b6-fe34-46f8-865d-0e7331fe8bdc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_grid_carousel\";s:10:\"field_name\";s:19:\"field_grid_carousel\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_horizontal_push_image','a:16:{s:4:\"uuid\";s:36:\"7c10e925-ebb9-4999-84ce-b789dc361274\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:45:\"component_wrapper.field_horizontal_push_image\";s:10:\"field_name\";s:27:\"field_horizontal_push_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_push_image','a:16:{s:4:\"uuid\";s:36:\"87a09dd3-89d2-4d92-971b-fb4b5cb1bd9a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_wrapper.field_push_image\";s:10:\"field_name\";s:16:\"field_push_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_push_video','a:16:{s:4:\"uuid\";s:36:\"a07bbc94-b860-4ff8-9bc3-a5366ee97f68\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_wrapper.field_push_video\";s:10:\"field_name\";s:16:\"field_push_video\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_quote','a:16:{s:4:\"uuid\";s:36:\"6362b15b-0f28-4a4e-84ee-79415c438f60\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_wrapper.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_related_content','a:16:{s:4:\"uuid\";s:36:\"8d9e9548-c38f-43fc-b4d7-2220f4a47b95\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_related_content\";s:10:\"field_name\";s:21:\"field_related_content\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_service_block','a:16:{s:4:\"uuid\";s:36:\"8ac406a2-4eb1-46d9-9331-b272b53a8893\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_service_block\";s:10:\"field_name\";s:19:\"field_service_block\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_sidebar_link_text','a:16:{s:4:\"uuid\";s:36:\"2c88ce93-2589-4f77-8126-129f683da763\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_wrapper.field_sidebar_link_text\";s:10:\"field_name\";s:23:\"field_sidebar_link_text\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_sidebar_service','a:16:{s:4:\"uuid\";s:36:\"6260677c-b7a4-45f1-bfa2-aa390f8e2c1d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_sidebar_service\";s:10:\"field_name\";s:21:\"field_sidebar_service\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_sidebar_summary','a:16:{s:4:\"uuid\";s:36:\"b288c663-361f-4705-885d-741898cad8ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_sidebar_summary\";s:10:\"field_name\";s:21:\"field_sidebar_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_slideshow','a:16:{s:4:\"uuid\";s:36:\"1f7d4c01-1ef1-4f24-8767-4f60d4a78120\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:33:\"component_wrapper.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_slideshow_flexible','a:16:{s:4:\"uuid\";s:36:\"edc686e2-1db3-4ae5-803e-1ac7a727f041\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_wrapper.field_slideshow_flexible\";s:10:\"field_name\";s:24:\"field_slideshow_flexible\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_statistic_bar','a:16:{s:4:\"uuid\";s:36:\"4ead576e-49a0-4dc6-9395-ac2b41002396\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_statistic_bar\";s:10:\"field_name\";s:19:\"field_statistic_bar\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_summary_information','a:16:{s:4:\"uuid\";s:36:\"e1f7474b-76f5-4a33-8b20-13122d95a4cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_wrapper.field_summary_information\";s:10:\"field_name\";s:25:\"field_summary_information\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_table','a:16:{s:4:\"uuid\";s:36:\"75f5ae2f-1a9a-46a2-933b-7c02ed875539\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_wrapper.field_table\";s:10:\"field_name\";s:11:\"field_table\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_testimonial','a:16:{s:4:\"uuid\";s:36:\"c7adf258-713f-43be-b146-2d87592a280b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_wrapper.field_testimonial\";s:10:\"field_name\";s:17:\"field_testimonial\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_timeline','a:16:{s:4:\"uuid\";s:36:\"64300233-879c-4914-9ee2-8ff88b73801e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:32:\"component_wrapper.field_timeline\";s:10:\"field_name\";s:14:\"field_timeline\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.component_wrapper.field_topic_summary','a:16:{s:4:\"uuid\";s:36:\"26506a3a-2ec1-4797-8e00-d5dc55538371\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_topic_summary\";s:10:\"field_name\";s:19:\"field_topic_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.424,1,'','0'),('field.storage.node.body','a:16:{s:4:\"uuid\";s:36:\"578317ee-54b9-4df9-aa00-b7f5187e366a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:2:\"id\";s:9:\"node.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.comment','a:16:{s:4:\"uuid\";s:36:\"6fc15e30-a3fc-4891-b64c-76364b4468ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:2:\"id\";s:12:\"node.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.comment_forum','a:16:{s:4:\"uuid\";s:36:\"45c6e113-b684-438c-b44a-74b94c3aa85e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:2:\"id\";s:18:\"node.comment_forum\";s:10:\"field_name\";s:13:\"comment_forum\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.field_category','a:16:{s:4:\"uuid\";s:36:\"cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"node.field_category\";s:10:\"field_name\";s:14:\"field_category\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.field_components','a:16:{s:4:\"uuid\";s:36:\"7c1b343c-89db-4b14-a5b6-0b94f7e80c2a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_components\";s:10:\"field_name\";s:16:\"field_components\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:17:\"component_wrapper\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.field_image','a:16:{s:4:\"uuid\";s:36:\"c03a055a-f28b-47f0-a100-adec96658707\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:16:\"node.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.field_link','a:16:{s:4:\"uuid\";s:36:\"04fa4ba3-2961-4922-a200-e292be5448c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:15:\"node.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.field_tags','a:16:{s:4:\"uuid\";s:36:\"81ac884e-d9c8-406a-9a1d-29b262c313e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:15:\"node.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.field_video_link','a:16:{s:4:\"uuid\";s:36:\"656196f0-e0ae-4388-be00-ad0dd28c612f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_video_link\";s:10:\"field_name\";s:16:\"field_video_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.simplenews_issue','a:16:{s:4:\"uuid\";s:36:\"4990045a-0df4-40e5-8436-545f18512a15\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"simplenews_issue\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.node.taxonomy_forums','a:16:{s:4:\"uuid\";s:36:\"036ad012-28b8-484d-8c00-c0e6030f093e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:20:\"node.taxonomy_forums\";s:10:\"field_name\";s:15:\"taxonomy_forums\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804013.028,1,'','0'),('field.storage.taxonomy_term.field_image','a:16:{s:4:\"uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:2:\"id\";s:25:\"taxonomy_term.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.927,1,'','0'),('field.storage.taxonomy_term.forum_container','a:16:{s:4:\"uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:29:\"taxonomy_term.forum_container\";s:10:\"field_name\";s:15:\"forum_container\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:1;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:0;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.927,1,'','0'),('field.storage.user.user_picture','a:16:{s:4:\"uuid\";s:36:\"8067c901-4997-4726-9a00-d85626469302\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1674804012.907,1,'','0'),('forum.settings','a:3:{s:5:\"block\";a:2:{s:6:\"active\";a:1:{s:5:\"limit\";i:5;}s:3:\"new\";a:1:{s:5:\"limit\";i:5;}}s:6:\"topics\";a:3:{s:13:\"hot_threshold\";i:15;s:5:\"order\";i:1;s:10:\"page_limit\";i:25;}s:10:\"vocabulary\";s:6:\"forums\";}',-1,1674804012.199,1,'','0'),('language.content_settings.block_content.basic','a:10:{s:4:\"uuid\";s:36:\"2d14a4e1-75c0-423e-b805-cf475bbabd6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:19:\"block_content.basic\";s:21:\"target_entity_type_id\";s:13:\"block_content\";s:13:\"target_bundle\";s:5:\"basic\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804011.878,1,'','0'),('language.content_settings.comment.comment','a:10:{s:4:\"uuid\";s:36:\"815b20a8-9589-49a6-a1fe-f27bcb28ff42\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:15:\"comment.comment\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:7:\"comment\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804011.905,1,'','0'),('language.content_settings.comment.comment_forum','a:10:{s:4:\"uuid\";s:36:\"ca45d53a-39c6-4581-99fe-80a4d9b377c9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"comment.comment_forum\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:13:\"comment_forum\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804011.916,1,'','0'),('language.content_settings.component_item.accordion','b:0;',-1,1674804011.924,1,'','0'),('language.content_settings.component_item.article_summary','b:0;',-1,1674804011.928,1,'','0'),('language.content_settings.component_item.banner_grid','b:0;',-1,1674804011.932,1,'','0'),('language.content_settings.component_item.basic_component','b:0;',-1,1674804011.935,1,'','0'),('language.content_settings.component_item.card','b:0;',-1,1674804011.939,1,'','0'),('language.content_settings.component_item.carousel','b:0;',-1,1674804011.943,1,'','0'),('language.content_settings.component_item.classified_ads','b:0;',-1,1674804011.946,1,'','0'),('language.content_settings.component_item.counter','b:0;',-1,1674804011.950,1,'','0'),('language.content_settings.component_item.divider_section','b:0;',-1,1674804011.954,1,'','0'),('language.content_settings.component_item.grid','b:0;',-1,1674804011.958,1,'','0'),('language.content_settings.component_item.grid_carousel','b:0;',-1,1674804011.962,1,'','0'),('language.content_settings.component_item.horizontal_push_image','b:0;',-1,1674804011.966,1,'','0'),('language.content_settings.component_item.push_image','b:0;',-1,1674804011.977,1,'','0'),('language.content_settings.component_item.push_video','b:0;',-1,1674804011.987,1,'','0'),('language.content_settings.component_item.quote','b:0;',-1,1674804011.993,1,'','0'),('language.content_settings.component_item.related_content','b:0;',-1,1674804011.999,1,'','0'),('language.content_settings.component_item.service_block','b:0;',-1,1674804012.004,1,'','0'),('language.content_settings.component_item.sidebar_link_text','b:0;',-1,1674804012.010,1,'','0'),('language.content_settings.component_item.sidebar_service','b:0;',-1,1674804012.015,1,'','0'),('language.content_settings.component_item.sidebar_summary','b:0;',-1,1674804012.021,1,'','0'),('language.content_settings.component_item.slideshow','b:0;',-1,1674804012.026,1,'','0'),('language.content_settings.component_item.slideshow_flexible','b:0;',-1,1674804012.032,1,'','0'),('language.content_settings.component_item.statistic_bar','b:0;',-1,1674804012.036,1,'','0'),('language.content_settings.component_item.statistic_bar_progress','b:0;',-1,1674804012.040,1,'','0'),('language.content_settings.component_item.summary_information','b:0;',-1,1674804012.044,1,'','0'),('language.content_settings.component_item.table','b:0;',-1,1674804012.048,1,'','0'),('language.content_settings.component_item.table_column','b:0;',-1,1674804012.052,1,'','0'),('language.content_settings.component_item.testimonial','b:0;',-1,1674804012.056,1,'','0'),('language.content_settings.component_item.timeline','b:0;',-1,1674804012.060,1,'','0'),('language.content_settings.component_item.timeline_item','b:0;',-1,1674804012.064,1,'','0'),('language.content_settings.component_item.topic_summary','b:0;',-1,1674804012.067,1,'','0'),('language.content_settings.component_wrapper.component_wrapper','b:0;',-1,1674804012.071,1,'','0'),('language.content_settings.menu_link_content.menu_link_content','a:10:{s:4:\"uuid\";s:36:\"d8047971-9394-4c21-ac60-3da0514a6276\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:17:\"menu_link_content\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:35:\"menu_link_content.menu_link_content\";s:21:\"target_entity_type_id\";s:17:\"menu_link_content\";s:13:\"target_bundle\";s:17:\"menu_link_content\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.192,1,'','0'),('language.content_settings.node.article','a:10:{s:4:\"uuid\";s:36:\"31bd1a32-53ff-4cb5-8efe-7c39d32a5987\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:12:\"node.article\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:7:\"article\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.075,1,'','0'),('language.content_settings.node.blog','a:10:{s:4:\"uuid\";s:36:\"89bbdd76-1acd-4043-91e7-e531d559a1a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.blog\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"blog\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}',-1,1674804012.083,1,'','0'),('language.content_settings.node.forum','a:10:{s:4:\"uuid\";s:36:\"78f224c1-6f10-4078-b5a6-06ba264bfdf1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:10:\"node.forum\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:5:\"forum\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.091,1,'','0'),('language.content_settings.node.page','a:10:{s:4:\"uuid\";s:36:\"1e515e85-405d-4a49-80c5-7e40f5b3e371\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:9:\"node.page\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"page\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.100,1,'','0'),('language.content_settings.node.showcase','a:10:{s:4:\"uuid\";s:36:\"36835ccd-366e-491e-aeb0-b83be728f77e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:13:\"node.showcase\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:8:\"showcase\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.112,1,'','0'),('language.content_settings.node.simplenews_issue','a:10:{s:4:\"uuid\";s:36:\"78cf3d3d-3f74-437a-8e17-0d4c1f720743\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:16:\"simplenews_issue\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.123,1,'','0'),('language.content_settings.shortcut.default','a:10:{s:4:\"uuid\";s:36:\"64bb6941-38dd-4af0-a7e6-e9b9a162345e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"shortcut.default\";s:21:\"target_entity_type_id\";s:8:\"shortcut\";s:13:\"target_bundle\";s:7:\"default\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.134,1,'','0'),('language.content_settings.taxonomy_term.categories','a:10:{s:4:\"uuid\";s:36:\"bda84855-c231-4215-8903-2bd814323457\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:24:\"taxonomy_term.categories\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:10:\"categories\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.145,1,'','0'),('language.content_settings.taxonomy_term.component_types','b:0;',-1,1674804012.156,1,'','0'),('language.content_settings.taxonomy_term.forums','a:10:{s:4:\"uuid\";s:36:\"8b771040-d9d6-4d71-9bc5-53ee1473c19d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:20:\"taxonomy_term.forums\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:6:\"forums\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.162,1,'','0'),('language.content_settings.taxonomy_term.tags','a:10:{s:4:\"uuid\";s:36:\"670d23d8-606b-4433-a9dc-cb2ca82920ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:4:\"tags\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.173,1,'','0'),('language.content_settings.user.user','a:10:{s:4:\"uuid\";s:36:\"5666e943-9e07-4c15-9bb7-5880c6d10638\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:9:\"user.user\";s:21:\"target_entity_type_id\";s:4:\"user\";s:13:\"target_bundle\";s:4:\"user\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1674804012.184,1,'','0'),('language.en:admin_toolbar_tools.settings','b:0;',-1,1674804012.731,1,'','0'),('language.en:block.block.aboutus','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.anonymousmenu','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.bartik_account_menu','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_branding','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_breadcrumbs','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_content','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_footer','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_help','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_local_actions','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_local_tasks','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_main_menu','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_messages','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_page_title','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_powered','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_search','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.bartik_tools','b:0;',-1,1674804011.028,1,'','0'),('language.en:block.block.categoriesmenu_2','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.copyright','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.generalinformation','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.gmap','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.mainnavigation_2','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_account_menu','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_branding','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_breadcrumbs','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_content','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_footer','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_help','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_local_actions','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_local_tasks','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_main_menu','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_messages','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_page_title','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_powered','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_search','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.pinteros_tools','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.realtime','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.searchform','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.seven_breadcrumbs','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_content','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_help','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_local_actions','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_login','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_messages','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_page_title','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_primary_local_tasks','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.seven_secondary_local_tasks','b:0;',-1,1674804011.041,1,'','0'),('language.en:block.block.simplenewssubscription','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.socialmenu','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.useraccountmenu','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.views_block__comments_recent_block_1','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.views_block__featured_posts_block_1','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.views_block__featured_posts_block_2','b:0;',-1,1674804011.075,1,'','0'),('language.en:block.block.views_block__tags_in_tags_block_1','b:0;',-1,1674804011.075,1,'','0'),('language.en:block_content.type.basic','b:0;',-1,1674804011.768,1,'','0'),('language.en:comment.type.comment','b:0;',-1,1674804011.779,1,'','0'),('language.en:comment.type.comment_forum','b:0;',-1,1674804011.779,1,'','0'),('language.en:component_builder.component_item_type.accordion','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.article_summary','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.banner_grid','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.basic_component','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.card','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.carousel','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.classified_ads','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.counter','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.divider_section','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.grid','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.grid_carousel','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.horizontal_push_image','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.push_image','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.push_video','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.quote','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.related_content','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.service_block','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.sidebar_link_text','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.sidebar_service','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.sidebar_summary','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.slideshow','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.slideshow_flexible','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.statistic_bar','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.statistic_bar_progress','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.summary_information','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.table','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.table_column','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.testimonial','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.timeline','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.timeline_item','b:0;',-1,1674804011.811,1,'','0'),('language.en:component_builder.component_item_type.topic_summary','b:0;',-1,1674804011.811,1,'','0'),('language.en:contact.form.feedback','b:0;',-1,1674804011.821,1,'','0'),('language.en:contact.form.personal','b:0;',-1,1674804011.821,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.bundle','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.changed','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.default_langcode','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.description','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.enabled','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.expanded','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.external','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.id','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.langcode','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.link','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.menu_name','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.parent','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.rediscover','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_created','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_default','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_id','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_log_message','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_translation_affected','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_user','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.title','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.uuid','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.weight','b:0;',-1,1674804012.801,1,'','0'),('language.en:core.base_field_override.node.page.changed','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.content_translation_outdated','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.content_translation_source','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.created','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.default_langcode','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.langcode','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.menu_link','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.nid','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.path','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.promote','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.revision_default','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.revision_log','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.revision_timestamp','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.revision_translation_affected','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.revision_uid','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.status','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.sticky','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.title','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.type','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.uid','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.uuid','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.node.page.vid','b:0;',-1,1674804013.024,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.changed','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.default_langcode','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.description','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.langcode','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.name','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.parent','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.path','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.revision_created','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.revision_default','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.revision_id','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.revision_log_message','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.revision_translation_affected','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.revision_user','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.status','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.tid','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.uuid','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.vid','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.taxonomy_term.categories.weight','b:0;',-1,1674804012.919,1,'','0'),('language.en:core.base_field_override.user.user.access','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.changed','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.created','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.default_langcode','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.init','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.langcode','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.login','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.mail','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.name','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.pass','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.path','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.preferred_admin_langcode','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.preferred_langcode','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.roles','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.status','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.timezone','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.uid','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.base_field_override.user.user.uuid','b:0;',-1,1674804012.905,1,'','0'),('language.en:core.extension','b:0;',-1,1674804010.746,1,'','0'),('language.en:field.field.node.page.body','b:0;',-1,1674804013.026,1,'','0'),('language.en:field.field.node.page.field_components','b:0;',-1,1674804013.026,1,'','0'),('language.en:field.field.taxonomy_term.categories.field_image','b:0;',-1,1674804012.921,1,'','0'),('language.en:field.field.user.user.user_picture','b:0;',-1,1674804012.906,1,'','0'),('language.en:field.storage.component_item.field_as_address','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_as_country','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_as_date_of_establishment','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_as_description','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_as_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_as_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_as_opening_hours','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_body','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_captions','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_card_body','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_card_color','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_card_icon','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_card_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_cells','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_classified_ads_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_classified_ads_text','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_content_statistic_bar','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_counter_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_counter_number','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_date','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_description','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_description_information','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_divider_section_color','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_divider_section_desc','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_divider_section_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_gc_date','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_gc_description','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_gc_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_gc_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_grid_date','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_hero_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_hpi_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_icon','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_information','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_large_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_mobile_hero_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pi_body','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pi_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pi_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_process','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pv_body','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pv_display','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pv_embed_video','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pv_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_pv_video_file','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_quote','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_quote_description_infor','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_quote_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_quote_information','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_rc_body','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_rc_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_rc_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sbp_color','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_service_block_color','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_service_block_description','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_service_block_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_service_block_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_link_text','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_link_text_desc','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_service_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_service_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_summary_created_by','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_summary_date','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_summary_desc','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_summary_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_sidebar_summary_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_slideshow_flexible_date','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_slideshow_flexible_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_slideshow_flexible_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_slideshow_flexible_sdesc','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_small_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_statistic_bar_progress','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_summary','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_table_columns','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_body','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_icon','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_image','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_left','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_link','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_right','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_ti_video','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_item.field_type','b:0;',-1,1674804012.372,1,'','0'),('language.en:field.storage.component_wrapper.field_accordion','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_article_summary','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_banner_grid','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_basic_component','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_card','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_carousel','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_classified_ads','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_counter','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_divider_section','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_grid','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_grid_carousel','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_horizontal_push_image','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_push_image','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_push_video','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_quote','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_related_content','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_service_block','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_sidebar_link_text','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_sidebar_service','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_sidebar_summary','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_slideshow','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_slideshow_flexible','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_statistic_bar','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_summary_information','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_table','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_testimonial','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_timeline','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.component_wrapper.field_topic_summary','b:0;',-1,1674804012.431,1,'','0'),('language.en:field.storage.node.body','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.comment','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.comment_forum','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.field_category','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.field_components','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.field_image','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.field_link','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.field_tags','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.field_video_link','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.simplenews_issue','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.node.taxonomy_forums','b:0;',-1,1674804013.029,1,'','0'),('language.en:field.storage.taxonomy_term.field_image','b:0;',-1,1674804012.928,1,'','0'),('language.en:field.storage.taxonomy_term.forum_container','b:0;',-1,1674804012.928,1,'','0'),('language.en:field.storage.user.user_picture','b:0;',-1,1674804012.908,1,'','0'),('language.en:forum.settings','b:0;',-1,1674804012.203,1,'','0'),('language.en:language.content_settings.block_content.basic','b:0;',-1,1674804011.887,1,'','0'),('language.en:language.content_settings.comment.comment','b:0;',-1,1674804011.910,1,'','0'),('language.en:language.content_settings.comment.comment_forum','b:0;',-1,1674804011.920,1,'','0'),('language.en:language.content_settings.menu_link_content.menu_link_content','b:0;',-1,1674804012.195,1,'','0'),('language.en:language.content_settings.node.article','b:0;',-1,1674804012.079,1,'','0'),('language.en:language.content_settings.node.blog','b:0;',-1,1674804012.087,1,'','0'),('language.en:language.content_settings.node.forum','b:0;',-1,1674804012.095,1,'','0'),('language.en:language.content_settings.node.page','b:0;',-1,1674804012.106,1,'','0'),('language.en:language.content_settings.node.showcase','b:0;',-1,1674804012.117,1,'','0'),('language.en:language.content_settings.node.simplenews_issue','b:0;',-1,1674804012.128,1,'','0'),('language.en:language.content_settings.shortcut.default','b:0;',-1,1674804012.140,1,'','0'),('language.en:language.content_settings.taxonomy_term.categories','b:0;',-1,1674804012.151,1,'','0'),('language.en:language.content_settings.taxonomy_term.forums','b:0;',-1,1674804012.168,1,'','0'),('language.en:language.content_settings.taxonomy_term.tags','b:0;',-1,1674804012.179,1,'','0'),('language.en:language.content_settings.user.user','b:0;',-1,1674804012.187,1,'','0'),('language.en:language.entity.ar','b:0;',-1,1674804011.093,1,'','0'),('language.en:language.entity.en','b:0;',-1,1674804011.093,1,'','0'),('language.en:language.entity.und','b:0;',-1,1674804011.093,1,'','0'),('language.en:language.entity.zxx','b:0;',-1,1674804011.093,1,'','0'),('language.en:language.negotiation','b:0;',-1,1674804011.124,1,'','0'),('language.en:language.types','b:0;',-1,1674804011.101,1,'','0'),('language.en:locale.settings','b:0;',-1,1674804011.750,1,'','0'),('language.en:node.settings','b:0;',-1,1674804012.482,1,'','0'),('language.en:node.type.article','b:0;',-1,1674804011.829,1,'','0'),('language.en:node.type.blog','b:0;',-1,1674804011.829,1,'','0'),('language.en:node.type.forum','b:0;',-1,1674804011.829,1,'','0'),('language.en:node.type.page','b:0;',-1,1674804011.829,1,'','0'),('language.en:node.type.showcase','b:0;',-1,1674804011.829,1,'','0'),('language.en:node.type.simplenews_issue','b:0;',-1,1674804011.829,1,'','0'),('language.en:pathauto.settings','b:0;',-1,1674804012.259,1,'','0'),('language.en:search.page.node_search','b:0;',-1,1674804011.305,1,'','0'),('language.en:search.page.user_search','b:0;',-1,1674804011.305,1,'','0'),('language.en:search.settings','b:0;',-1,1674804011.317,1,'','0'),('language.en:shortcut.set.default','b:0;',-1,1674804011.838,1,'','0'),('language.en:system.file','b:0;',-1,1674804012.401,1,'','0'),('language.en:system.menu.account','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.menu.admin','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.menu.anonymous-menu','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.menu.categories-menu','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.menu.footer','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.menu.main','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.menu.tools','b:0;',-1,1674804012.789,1,'','0'),('language.en:system.theme','b:0;',-1,1674804012.791,1,'','0'),('language.en:taxonomy.vocabulary.categories','b:0;',-1,1674804011.871,1,'','0'),('language.en:taxonomy.vocabulary.component_types','b:0;',-1,1674804011.871,1,'','0'),('language.en:taxonomy.vocabulary.forums','b:0;',-1,1674804011.871,1,'','0'),('language.en:taxonomy.vocabulary.tags','b:0;',-1,1674804011.871,1,'','0'),('language.en:user.role.administrator','b:0;',-1,1674804012.787,1,'','0'),('language.en:user.role.anonymous','b:0;',-1,1674804012.787,1,'','0'),('language.en:user.role.authenticated','b:0;',-1,1674804012.787,1,'','0'),('language.en:user.settings','b:0;',-1,1674804012.805,1,'','0'),('language.en:views.settings','b:0;',-1,1674804011.133,1,'','0'),('language.en:views.view.archive','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.block_content','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.categories','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.comment','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.comments_recent','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.content','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.content_recent','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.featured_posts','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.files','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.frontpage','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.glossary','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.showcase','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.simplenews_newsletters','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.simplenews_subscribers','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.tags_in_tags','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.taxonomy_term','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.user_admin_people','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.watchdog','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.who_s_new','b:0;',-1,1674804011.441,1,'','0'),('language.en:views.view.who_s_online','b:0;',-1,1674804011.441,1,'','0'),('language.entity.ar','a:9:{s:4:\"uuid\";s:36:\"0763f888-fe2f-44f7-bf6a-e3a5ce5efed2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:2:\"ar\";s:5:\"label\";s:6:\"Arabic\";s:9:\"direction\";s:3:\"rtl\";s:6:\"weight\";i:1;s:6:\"locked\";b:0;}',-1,1674804011.089,1,'','0'),('language.entity.en','a:10:{s:4:\"uuid\";s:36:\"53321b20-74d1-44aa-aa3e-b576a42f950a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}',-1,1674804011.089,1,'','0'),('language.entity.und','a:10:{s:4:\"uuid\";s:36:\"552a445a-f85c-4467-ae9c-7ec788f7ce3f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eNX6lLCKDaY83nCMh20My---y03KbiFlv802DKCCpvg\";}s:2:\"id\";s:3:\"und\";s:5:\"label\";s:13:\"Not specified\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:2;s:6:\"locked\";b:1;}',-1,1674804011.089,1,'','0'),('language.entity.zxx','a:10:{s:4:\"uuid\";s:36:\"2d2b8a6a-a53e-410e-b9c1-df7d68197ae8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"35CefWbnzaiytcg3acexxz_GTvuwIjYd_ZTcmmR-tXA\";}s:2:\"id\";s:3:\"zxx\";s:5:\"label\";s:14:\"Not applicable\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:3;s:6:\"locked\";b:1;}',-1,1674804011.089,1,'','0'),('language.negotiation','a:4:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"uEePITI9tV6WqzmsTb7MfPCi5yPWXSxAN1xeLcYFQbM\";}s:7:\"session\";a:1:{s:9:\"parameter\";s:8:\"language\";}s:3:\"url\";a:3:{s:6:\"source\";s:11:\"path_prefix\";s:8:\"prefixes\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:2:\"ar\";}s:7:\"domains\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:0:\"\";}}s:17:\"selected_langcode\";s:12:\"site_default\";}',-1,1674804011.121,1,'','0'),('language.types','a:4:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dqouFqVseNJNvEjsoYKxbinFOITuCxYhi4y2OTNQP_8\";}s:3:\"all\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:12:\"configurable\";a:1:{i:0;s:18:\"language_interface\";}s:11:\"negotiation\";a:3:{s:16:\"language_content\";a:1:{s:7:\"enabled\";a:1:{s:18:\"language-interface\";i:0;}}s:12:\"language_url\";a:1:{s:7:\"enabled\";a:2:{s:12:\"language-url\";i:0;s:21:\"language-url-fallback\";i:1;}}s:18:\"language_interface\";a:1:{s:7:\"enabled\";a:1:{s:12:\"language-url\";i:0;}}}}',-1,1674804011.097,1,'','0'),('locale.settings','a:5:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Lqw8pAQIfr4sRSts2RRWG97eNG6vRT7FhqF_b5COPGk\";}s:13:\"cache_strings\";b:1;s:17:\"translate_english\";b:0;s:10:\"javascript\";a:1:{s:9:\"directory\";s:9:\"languages\";}s:11:\"translation\";a:8:{s:10:\"use_source\";s:16:\"remote_and_local\";s:16:\"default_filename\";s:30:\"%project-%version.%language.po\";s:22:\"default_server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:20:\"overwrite_customized\";b:0;s:24:\"overwrite_not_customized\";b:1;s:20:\"update_interval_days\";i:0;s:4:\"path\";s:32:\"sites/default/files/translations\";s:14:\"import_enabled\";b:1;}}',-1,1674804011.745,1,'','0'),('node.settings','a:1:{s:15:\"use_admin_theme\";b:1;}',-1,1674804012.478,1,'','0'),('node.type.article','a:11:{s:4:\"uuid\";s:36:\"e60edb83-c65a-4c76-8800-a9db0029a3f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:7:\"Article\";s:4:\"type\";s:7:\"article\";s:11:\"description\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}',-1,1674804011.825,1,'','0'),('node.type.blog','a:12:{s:4:\"uuid\";s:36:\"79184f6b-5f8a-4aaa-9800-d112ab435ccc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:0:{}s:6:\"parent\";s:0:\"\";}}s:4:\"name\";s:4:\"Blog\";s:4:\"type\";s:4:\"blog\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}',-1,1674804011.825,1,'','0'),('node.type.forum','a:11:{s:4:\"uuid\";s:36:\"95c1f9fb-9e56-4cac-9500-0a090bab42e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"forum\";}}}s:4:\"name\";s:11:\"Forum topic\";s:4:\"type\";s:5:\"forum\";s:11:\"description\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}',-1,1674804011.825,1,'','0'),('node.type.page','a:11:{s:4:\"uuid\";s:36:\"be2272ce-1c6f-4f9f-8400-cf289ffcaf85\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Basic page\";s:4:\"type\";s:4:\"page\";s:11:\"description\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1674804011.825,1,'','0'),('node.type.showcase','a:12:{s:4:\"uuid\";s:36:\"8a36541e-ca19-45b8-8116-22952499837f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:0:{}s:6:\"parent\";s:0:\"\";}}s:4:\"name\";s:8:\"Showcase\";s:4:\"type\";s:8:\"showcase\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1674804011.825,1,'','0'),('node.type.simplenews_issue','a:11:{s:4:\"uuid\";s:36:\"60c78140-02a4-488e-b200-c9084a97d5cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:16:\"Newsletter Issue\";s:4:\"type\";s:16:\"simplenews_issue\";s:11:\"description\";s:46:\"Use <em>Newsletter Issue</em> for newsletters.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1674804011.825,1,'','0'),('pathauto.settings','a:13:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YrQtUD-tjwXmWch1oNpPqr3qb5S17-dXdlKwqhiHjNI\";}s:20:\"enabled_entity_types\";a:1:{i:0;s:4:\"user\";}s:11:\"punctuation\";a:1:{s:6:\"hyphen\";i:1;}s:7:\"verbose\";b:0;s:9:\"separator\";s:1:\"-\";s:10:\"max_length\";i:100;s:20:\"max_component_length\";i:100;s:13:\"transliterate\";b:1;s:12:\"reduce_ascii\";b:0;s:4:\"case\";b:1;s:12:\"ignore_words\";s:134:\"a, an, as, at, before, but, by, for, from, is, in, into, like, of, off, on, onto, per, since, than, the, this, that, to, up, via, with\";s:13:\"update_action\";i:2;s:11:\"safe_tokens\";a:7:{i:0;s:5:\"alias\";i:1;s:5:\"alias\";i:2;s:4:\"path\";i:3;s:9:\"join-path\";i:4;s:9:\"login-url\";i:5;s:3:\"url\";i:6;s:9:\"url-brief\";}}',-1,1674804012.253,1,'','0'),('search.page.node_search','a:10:{s:4:\"uuid\";s:36:\"e4b4595b-d6fe-4f25-a737-55889be9f8d6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:11:\"node_search\";s:5:\"label\";s:7:\"Content\";s:4:\"path\";s:4:\"node\";s:6:\"weight\";i:-10;s:6:\"plugin\";s:11:\"node_search\";s:13:\"configuration\";a:1:{s:8:\"rankings\";a:0:{}}}',-1,1674804011.300,1,'','0'),('search.page.user_search','a:10:{s:4:\"uuid\";s:36:\"5b3c12c9-39e0-4abd-a808-8ba36978abd5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:11:\"user_search\";s:5:\"label\";s:5:\"Users\";s:4:\"path\";s:4:\"user\";s:6:\"weight\";i:0;s:6:\"plugin\";s:11:\"user_search\";s:13:\"configuration\";a:0:{}}',-1,1674804011.300,1,'','0'),('search.settings','a:4:{s:12:\"and_or_limit\";i:7;s:12:\"default_page\";s:11:\"node_search\";s:5:\"index\";a:4:{s:10:\"cron_limit\";i:100;s:11:\"overlap_cjk\";b:1;s:17:\"minimum_word_size\";i:3;s:11:\"tag_weights\";a:12:{s:2:\"h1\";i:25;s:2:\"h2\";i:18;s:2:\"h3\";i:15;s:2:\"h4\";i:14;s:2:\"h5\";i:9;s:2:\"h6\";i:6;s:1:\"u\";i:3;s:1:\"b\";i:3;s:1:\"i\";i:3;s:6:\"strong\";i:3;s:2:\"em\";i:3;s:1:\"a\";i:10;}}s:7:\"logging\";b:0;}',-1,1674804011.311,1,'','0'),('shortcut.set.default','a:6:{s:4:\"uuid\";s:36:\"de172eb0-3714-4af2-8e2f-475125bfbdd8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"default\";s:5:\"label\";s:7:\"Default\";}',-1,1674804011.834,1,'','0'),('system.file','a:4:{s:22:\"allow_insecure_uploads\";b:0;s:14:\"default_scheme\";s:6:\"public\";s:4:\"path\";a:0:{}s:21:\"temporary_maximum_age\";i:21600;}',-1,1674804012.395,1,'','0'),('system.menu.account','a:8:{s:4:\"uuid\";s:36:\"754ea27e-0618-4746-bd33-51f2f07defef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"account\";s:5:\"label\";s:17:\"User account menu\";s:11:\"description\";s:40:\"Links related to the active user account\";s:6:\"locked\";b:1;}',-1,1674804012.788,1,'','0'),('system.menu.admin','a:8:{s:4:\"uuid\";s:36:\"c3e4c83b-39ea-48b3-bc03-3d1b6ee08966\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"admin\";s:5:\"label\";s:14:\"Administration\";s:11:\"description\";s:25:\"Administrative task links\";s:6:\"locked\";b:1;}',-1,1674804012.788,1,'','0'),('system.menu.anonymous-menu','a:8:{s:4:\"uuid\";s:36:\"d4f019aa-2a40-4601-a90a-105362c087e7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:14:\"anonymous-menu\";s:5:\"label\";s:14:\"Anonymous Menu\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}',-1,1674804012.788,1,'','0'),('system.menu.categories-menu','a:8:{s:4:\"uuid\";s:36:\"c89c9391-91f6-4f4c-9606-06170b00487a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"categories-menu\";s:5:\"label\";s:15:\"Categories Menu\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}',-1,1674804012.788,1,'','0'),('system.menu.footer','a:8:{s:4:\"uuid\";s:36:\"1fea7611-4fe0-491f-a800-efcefae9eb2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:6:\"footer\";s:5:\"label\";s:6:\"Footer\";s:11:\"description\";s:22:\"Site information links\";s:6:\"locked\";b:1;}',-1,1674804012.788,1,'','0'),('system.menu.main','a:8:{s:4:\"uuid\";s:36:\"2df9d83c-80b7-4ede-be00-e854bc4d3434\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"main\";s:5:\"label\";s:15:\"Main navigation\";s:11:\"description\";s:18:\"Site section links\";s:6:\"locked\";b:1;}',-1,1674804012.788,1,'','0'),('system.menu.tools','a:8:{s:4:\"uuid\";s:36:\"1dfc6c27-936b-4bbf-8200-b11269ea3355\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"tools\";s:5:\"label\";s:5:\"Tools\";s:11:\"description\";s:39:\"User tool links, often added by modules\";s:6:\"locked\";b:1;}',-1,1674804012.788,1,'','0'),('system.theme','a:2:{s:5:\"admin\";s:5:\"seven\";s:7:\"default\";s:8:\"pinteros\";}',-1,1674804012.790,1,'','0'),('taxonomy.vocabulary.categories','a:8:{s:4:\"uuid\";s:36:\"ea3e3f7f-a9b0-4392-af56-86c5d602c3cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Categories\";s:3:\"vid\";s:10:\"categories\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}',-1,1674804011.842,1,'','0'),('taxonomy.vocabulary.component_types','a:9:{s:4:\"uuid\";s:36:\"f8a75a6c-d150-4615-af42-0c390e6a8467\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"abmmzYeLdkKgT_psAApn9APuH_JPky6OpaHuEFGv-u0\";}s:4:\"name\";s:15:\"Component Types\";s:3:\"vid\";s:15:\"component_types\";s:11:\"description\";s:15:\"Component Types\";s:6:\"weight\";i:0;}',-1,1674804011.842,1,'','0'),('taxonomy.vocabulary.forums','a:8:{s:4:\"uuid\";s:36:\"671b16a7-b6e0-4384-9251-81abeedece08\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"forum\";}}}s:4:\"name\";s:6:\"Forums\";s:3:\"vid\";s:6:\"forums\";s:11:\"description\";s:27:\"Forum navigation vocabulary\";s:6:\"weight\";i:-10;}',-1,1674804011.842,1,'','0'),('taxonomy.vocabulary.tags','a:8:{s:4:\"uuid\";s:36:\"f09a3045-db8b-4075-a10f-1554c37b0660\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:4:\"Tags\";s:3:\"vid\";s:4:\"tags\";s:11:\"description\";s:61:\"Use tags to group articles on similar topics into categories.\";s:6:\"weight\";i:0;}',-1,1674804011.842,1,'','0'),('user.role.administrator','a:9:{s:4:\"uuid\";s:36:\"498f8330-efea-425e-b203-3e41cf260662\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"administrator\";s:5:\"label\";s:13:\"Administrator\";s:6:\"weight\";i:2;s:8:\"is_admin\";b:1;s:11:\"permissions\";a:0:{}}',-1,1674804012.787,1,'','0'),('user.role.anonymous','a:9:{s:4:\"uuid\";s:36:\"0997490d-3c00-4854-b300-be44480e6027\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:29:\"filter.format.restricted_html\";}s:6:\"module\";a:7:{i:0;s:7:\"comment\";i:1;s:17:\"component_builder\";i:2;s:7:\"contact\";i:3;s:6:\"filter\";i:4;s:6:\"search\";i:5;s:10:\"simplenews\";i:6;s:6:\"system\";}}s:2:\"id\";s:9:\"anonymous\";s:5:\"label\";s:14:\"Anonymous user\";s:6:\"weight\";i:0;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:9:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:29:\"access site-wide contact form\";i:3;s:14:\"search content\";i:4;s:24:\"subscribe to newsletters\";i:5;s:19:\"use advanced search\";i:6;s:31:\"use text format restricted_html\";i:7;s:19:\"view component_item\";i:8;s:22:\"view component_wrapper\";}}',-1,1674804012.787,1,'','0'),('user.role.authenticated','a:9:{s:4:\"uuid\";s:36:\"139c45bc-251a-4821-973f-63fc64bdf175\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"filter.format.basic_html\";}s:6:\"module\";a:8:{i:0;s:7:\"comment\";i:1;s:17:\"component_builder\";i:2;s:7:\"contact\";i:3;s:6:\"filter\";i:4;s:6:\"search\";i:5;s:8:\"shortcut\";i:6;s:10:\"simplenews\";i:7;s:6:\"system\";}}s:2:\"id\";s:13:\"authenticated\";s:5:\"label\";s:18:\"Authenticated user\";s:6:\"weight\";i:1;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:13:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:16:\"access shortcuts\";i:3;s:29:\"access site-wide contact form\";i:4;s:17:\"administer search\";i:5;s:13:\"post comments\";i:6;s:14:\"search content\";i:7;s:21:\"skip comment approval\";i:8;s:24:\"subscribe to newsletters\";i:9;s:19:\"use advanced search\";i:10;s:26:\"use text format basic_html\";i:11;s:19:\"view component_item\";i:12;s:22:\"view component_wrapper\";}}',-1,1674804012.787,1,'','0'),('user.settings','a:8:{s:8:\"langcode\";s:2:\"en\";s:9:\"anonymous\";s:9:\"Anonymous\";s:11:\"verify_mail\";b:1;s:6:\"notify\";a:8:{s:14:\"cancel_confirm\";b:1;s:14:\"password_reset\";b:1;s:16:\"status_activated\";b:1;s:14:\"status_blocked\";b:0;s:15:\"status_canceled\";b:0;s:22:\"register_admin_created\";b:1;s:29:\"register_no_approval_required\";b:1;s:25:\"register_pending_approval\";b:1;}s:8:\"register\";s:10:\"admin_only\";s:13:\"cancel_method\";s:17:\"user_cancel_block\";s:22:\"password_reset_timeout\";i:86400;s:17:\"password_strength\";b:1;}',-1,1674804012.804,1,'','0'),('views.settings','a:5:{s:17:\"display_extenders\";a:0:{}s:10:\"skip_cache\";b:0;s:13:\"sql_signature\";b:0;s:2:\"ui\";a:3:{s:4:\"show\";a:7:{s:18:\"additional_queries\";b:0;s:15:\"advanced_column\";b:0;s:15:\"default_display\";b:0;s:22:\"performance_statistics\";b:0;s:19:\"preview_information\";b:1;s:9:\"sql_query\";a:2:{s:7:\"enabled\";b:0;s:5:\"where\";s:5:\"above\";}s:13:\"display_embed\";b:0;}s:19:\"always_live_preview\";b:1;s:24:\"exposed_filter_any_label\";s:7:\"old_any\";}s:22:\"field_rewrite_elements\";a:29:{s:3:\"div\";s:3:\"DIV\";s:4:\"span\";s:4:\"SPAN\";s:2:\"h1\";s:2:\"H1\";s:2:\"h2\";s:2:\"H2\";s:2:\"h3\";s:2:\"H3\";s:2:\"h4\";s:2:\"H4\";s:2:\"h5\";s:2:\"H5\";s:2:\"h6\";s:2:\"H6\";s:1:\"p\";s:1:\"P\";s:6:\"header\";s:6:\"HEADER\";s:6:\"footer\";s:6:\"FOOTER\";s:7:\"article\";s:7:\"ARTICLE\";s:7:\"section\";s:7:\"SECTION\";s:5:\"aside\";s:5:\"ASIDE\";s:7:\"details\";s:7:\"DETAILS\";s:10:\"blockquote\";s:10:\"BLOCKQUOTE\";s:6:\"figure\";s:6:\"FIGURE\";s:7:\"address\";s:7:\"ADDRESS\";s:4:\"code\";s:4:\"CODE\";s:3:\"pre\";s:3:\"PRE\";s:3:\"var\";s:3:\"VAR\";s:4:\"samp\";s:4:\"SAMP\";s:3:\"kbd\";s:3:\"KBD\";s:6:\"strong\";s:6:\"STRONG\";s:2:\"em\";s:2:\"EM\";s:3:\"del\";s:3:\"DEL\";s:3:\"ins\";s:3:\"INS\";s:1:\"q\";s:1:\"Q\";s:1:\"s\";s:1:\"S\";}}',-1,1674804011.129,1,'','0'),('views.view.archive','a:12:{s:4:\"uuid\";s:36:\"1d7c19cb-f1e2-4de0-a102-2b581f63ed6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"archive\";s:5:\"label\";s:7:\"Archive\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:22:\"All content, by month.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:15:\"Monthly archive\";s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:15:\"date_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:15:\"summary_options\";a:2:{s:8:\"override\";b:1;s:14:\"items_per_page\";i:30;}s:7:\"summary\";a:2:{s:10:\"sort_order\";s:4:\"desc\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:15:\"date_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";i:30;}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:7:\"archive\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.block_content','a:12:{s:4:\"uuid\";s:36:\"ae1ab4a9-ef8b-4b61-9518-24a93fab4a15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"user\";}}s:2:\"id\";s:13:\"block_content\";s:5:\"label\";s:20:\"Custom block library\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:30:\"Find and manage custom blocks.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:24:\"block_content_field_data\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:20:\"Custom block library\";s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:8:\"tokenize\";b:0;}s:27:\"block_content_listing_empty\";a:10:{s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:27:\"block_content_listing_empty\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:19:\"block.admin_display\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.categories','a:12:{s:4:\"uuid\";s:36:\"a90ee9da-e74b-42fc-8c00-d9e60fda0454\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:10:\"categories\";s:5:\"label\";s:10:\"Categories\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"title\";s:10:\"Categories\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:26:\"taxonomy_term__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:3:\"vid\";a:16:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:15:\"categories-list\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:46:\"config:field.storage.taxonomy_term.field_image\";}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:10:\"categories\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:46:\"config:field.storage.taxonomy_term.field_image\";}}}}}',-1,1674804011.349,1,'','0'),('views.view.comment','a:12:{s:4:\"uuid\";s:36:\"80d942cf-7d88-4dc3-8ad9-9fad9398dc14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:8:\"Comments\";s:6:\"module\";s:7:\"comment\";s:11:\"description\";s:25:\"Find and manage comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:26:{s:5:\"title\";s:8:\"Comments\";s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"changed\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:9:\"css_class\";s:0:\"\";s:8:\"use_ajax\";b:0;s:8:\"group_by\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:23:\"hide_attachment_summary\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}s:9:\"cacheable\";b:0;}}s:14:\"page_published\";a:6:{s:2:\"id\";s:14:\"page_published\";s:13:\"display_title\";s:18:\"Published comments\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:19:\"display_description\";s:30:\"The approved comments listing.\";s:15:\"display_comment\";s:0:\"\";s:13:\"exposed_block\";b:0;s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:21:\"admin/content/comment\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}s:9:\"cacheable\";b:0;}}s:15:\"page_unapproved\";a:6:{s:2:\"id\";s:15:\"page_unapproved\";s:13:\"display_title\";s:19:\"Unapproved comments\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:30:\"admin/content/comment/approval\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"weight\";i:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}s:9:\"cacheable\";b:0;}}}}',-1,1674804011.349,1,'','0'),('views.view.comments_recent','a:12:{s:4:\"uuid\";s:36:\"65af5761-1e55-45ed-bc00-0d85c9511443\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:15:\"comments_recent\";s:5:\"label\";s:15:\"Recent comments\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:16:\"Recent comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:14:{s:5:\"title\";s:15:\"Recent comments\";s:6:\"fields\";a:2:{s:7:\"subject\";a:26:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:2;}}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:2:{s:7:\"created\";a:12:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;}s:3:\"cid\";a:12:{s:2:\"id\";s:3:\"cid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"cid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"cid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:16:\"field_identifier\";s:3:\"cid\";}}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:11:\"status_node\";a:10:{s:2:\"id\";s:11:\"status_node\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"node\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:2:{s:7:\"subject\";s:7:\"subject\";s:7:\"changed\";s:7:\"changed\";}s:9:\"separator\";s:1:\" \";s:10:\"hide_empty\";b:0;}}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:13:\"relationships\";a:1:{s:4:\"node\";a:5:{s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"node\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:15:\"Recent comments\";s:14:\"block_category\";s:13:\"Lists (Views)\";s:5:\"allow\";a:1:{s:14:\"items_per_page\";b:1;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.content','a:12:{s:4:\"uuid\";s:36:\"bcc0f32a-084c-40f8-853f-63eb73b3a2c7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"content\";s:5:\"label\";s:7:\"Content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:24:\"Find and manage content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:7:\"Content\";s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:12:\"Content Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:11:\"Unpublished\";s:18:\"format_custom_true\";s:9:\"Published\";}}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:5:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:16:\"show_admin_links\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:18:\"admin/content/node\";s:4:\"menu\";a:8:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:6:\"weight\";i:-10;s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.content_recent','a:12:{s:4:\"uuid\";s:36:\"3666a46c-3fd9-4583-ad00-ea567b46c05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:14:\"content_recent\";s:5:\"label\";s:14:\"Recent content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:15:\"Recent content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:22:{s:5:\"title\";s:14:\"Recent content\";s:6:\"fields\";a:2:{s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"changed\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:12:\"status_extra\";a:15:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"More\";s:12:\"link_display\";s:1:\"0\";s:8:\"link_url\";s:0:\"\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.featured_posts','a:12:{s:4:\"uuid\";s:36:\"b2edd34f-ecf2-40ef-a45d-9321abf7ba6e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:24:\"image.style.image_60x60_\";i:3;s:22:\"image.style.image_622x\";i:4;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:14:\"featured_posts\";s:5:\"label\";s:10:\"Blog Posts\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:4:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:14:\"Featured Posts\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:10:\"image_622x\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:3;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:14:\"Featured Posts\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:8:\"defaults\";a:3:{s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:9:\"css_class\";s:14:\"featured-posts\";s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_2\";a:6:{s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:14:\"Trending Posts\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:5:\"title\";s:14:\"Trending Posts\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:12:\"image_60x60_\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:4;}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:8:\"defaults\";a:6:{s:5:\"title\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:9:\"css_class\";s:14:\"trending-posts\";s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:3;s:15:\"display_options\";a:10:{s:5:\"title\";s:4:\"Blog\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:3;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:8:\"defaults\";a:6:{s:5:\"title\";b:0;s:5:\"pager\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:5:\"blogs\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}}}',-1,1674804011.349,1,'','0'),('views.view.files','a:12:{s:4:\"uuid\";s:36:\"14cedef4-92e4-417f-a10f-15e2aa57aef1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:4:\"user\";}}s:2:\"id\";s:5:\"files\";s:5:\"label\";s:5:\"Files\";s:6:\"module\";s:4:\"file\";s:11:\"description\";s:22:\"Find and manage files.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:12:\"file_managed\";s:10:\"base_field\";s:3:\"fid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:5:\"title\";s:5:\"Files\";s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:9:\"Mime type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"Mime type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:11:\"file_status\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:8:\"group_by\";b:1;s:16:\"show_admin_links\";b:1;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:14:\"Files overview\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:8:\"defaults\";a:2:{s:5:\"pager\";b:1;s:13:\"relationships\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/content/files\";s:4:\"menu\";a:8:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:7:\"context\";s:0:\"\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_2\";a:6:{s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:10:\"File usage\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:16:{s:5:\"title\";s:10:\"File usage\";s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:12:\"entity_label\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"empty\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";s:9:\"plugin_id\";s:8:\"file_fid\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:8:\"override\";b:0;s:14:\"items_per_page\";i:25;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;}}s:7:\"filters\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:7:\"default\";s:12:\"entity_label\";s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:11:{s:5:\"empty\";b:0;s:5:\"title\";b:0;s:5:\"pager\";b:0;s:8:\"group_by\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:9:\"arguments\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:8:\"group_by\";b:0;s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.frontpage','a:12:{s:4:\"uuid\";s:36:\"f158fc9e-bd54-4cd7-8404-4e339ee75f6a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:9:\"frontpage\";s:5:\"label\";s:9:\"Frontpage\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:39:\"All content promoted to the front page.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:0:\"\";s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:12;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:43:\"No front page content has been created yet.\";s:8:\"tokenize\";b:0;}s:18:\"node_listing_empty\";a:10:{s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:18:\"node_listing_empty\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"sticky\";}s:7:\"exposed\";b:0;}s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"promote\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:14:\"url.query_args\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:7:\"enabled\";b:0;s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:3:\"rss\";}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:7:\"rss.xml\";s:14:\"sitename_title\";b:1;s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:0:\"\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:21:\"user.node_grants:view\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"node\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:14:\"url.query_args\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.glossary','a:12:{s:4:\"uuid\";s:36:\"c2100dc2-f241-459a-8700-a4648bf71e05\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"glossary\";s:5:\"label\";s:8:\"Glossary\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:23:\"All content, by letter.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"fields\";a:3:{s:5:\"title\";a:24:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Last update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:4:\"long\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:36;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:0:{}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:12:\"break_phrase\";b:0;}}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;s:7:\"columns\";a:3:{s:5:\"title\";s:5:\"title\";s:4:\"name\";s:4:\"name\";s:7:\"changed\";s:7:\"changed\";}s:7:\"default\";s:5:\"title\";s:4:\"info\";a:3:{s:5:\"title\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:4:\"name\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:7:\"changed\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:5:\"order\";s:3:\"asc\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:8:\"use_ajax\";b:1;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:12:\"attachment_1\";a:6:{s:2:\"id\";s:12:\"attachment_1\";s:13:\"display_title\";s:10:\"Attachment\";s:14:\"display_plugin\";s:10:\"attachment\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:3:{s:14:\"items_per_page\";i:25;s:6:\"inline\";b:1;s:9:\"separator\";s:3:\" | \";}s:7:\"summary\";a:1:{s:6:\"format\";s:19:\"unformatted_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:12:\"break_phrase\";b:0;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:17:\"display_extenders\";a:0:{}s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:6:\"page_1\";s:6:\"page_1\";}s:17:\"inherit_arguments\";b:0;}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:8:\"glossary\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Glossary\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.showcase','a:12:{s:4:\"uuid\";s:36:\"80194863-f0f2-4e64-b03b-596934fb22cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"showcase\";s:5:\"label\";s:8:\"Showcase\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"title\";s:8:\"Showcase\";s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:13:\"showcase-list\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:8:\"showcase\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.simplenews_newsletters','a:12:{s:4:\"uuid\";s:36:\"84908b76-6b39-4318-8954-84c4195a566d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";i:2;s:4:\"user\";}}s:2:\"id\";s:22:\"simplenews_newsletters\";s:5:\"label\";s:11:\"Newsletters\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:11:\"Newsletters\";s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:19:\"format_custom_false\";s:0:\"\";s:18:\"format_custom_true\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:1;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}s:9:\"cacheable\";b:0;}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}s:9:\"cacheable\";b:0;}}}}',-1,1674804011.349,1,'','0'),('views.view.simplenews_subscribers','a:12:{s:4:\"uuid\";s:36:\"2df9591e-5940-4d54-b753-83a1a6cc780c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:0:{}s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:4:\"user\";}}s:2:\"id\";s:22:\"simplenews_subscribers\";s:5:\"label\";s:11:\"Subscribers\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:21:\"simplenews_subscriber\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:11:\"Subscribers\";s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:23:\"subscriptions_target_id\";a:34:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:30;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:1;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}s:9:\"cacheable\";b:0;}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:11;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:16:\"user.admin_index\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}s:9:\"cacheable\";b:0;}}}}',-1,1674804011.349,1,'','0'),('views.view.tags_in_tags','a:12:{s:4:\"uuid\";s:36:\"6ec20b4a-d2ce-40ac-b90d-13df266b94f2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"user\";}}s:2:\"id\";s:12:\"tags_in_tags\";s:5:\"label\";s:12:\"Tags in Tags\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"title\";s:12:\"Tags in Tags\";s:6:\"fields\";a:1:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:9:\"tags-list\";s:6:\"header\";a:0:{}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:92:\"<p class=\"more\"><a href=\"[site:url]tagscloud\" target=\"_blank\" title=\"More tags\">More</a></p>\";s:6:\"format\";s:9:\"full_html\";}s:8:\"tokenize\";b:0;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:10:{s:5:\"title\";s:4:\"Tags\";s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";i:0;}}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:8:\"defaults\";a:3:{s:5:\"title\";b:0;s:5:\"pager\";b:0;s:6:\"footer\";b:0;}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:9:\"tagscloud\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.taxonomy_term','a:12:{s:4:\"uuid\";s:36:\"cf73c925-1bf5-40f1-8800-e70611e8157d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:13:\"taxonomy_term\";s:5:\"label\";s:13:\"Taxonomy term\";s:6:\"module\";s:8:\"taxonomy\";s:11:\"description\";s:45:\"Content belonging to a certain taxonomy term.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"sticky\";}s:7:\"exposed\";b:0;}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:8:\"override\";b:0;s:14:\"items_per_page\";i:25;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:7:\"bundles\";a:0:{}s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;}}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:6:\"entity\";s:5:\"empty\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:8:\"tokenize\";b:1;s:13:\"bypass_access\";b:0;}}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"taxonomy/term/%\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.user_admin_people','a:12:{s:4:\"uuid\";s:36:\"ea3cb363-b8b2-44c4-8827-39d4a2c5998e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user_admin_people\";s:5:\"label\";s:6:\"People\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:25:{s:5:\"title\";s:6:\"People\";s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:7:\"Blocked\";s:18:\"format_custom_true\";s:6:\"Active\";}}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:10:\"user_roles\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:20:\"No people available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:10:\"user_roles\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:16:\"user_permissions\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:7:\"default\";s:7:\"created\";s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:9:\"css_class\";s:0:\"\";s:8:\"use_ajax\";b:0;s:8:\"group_by\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:15:\"display_comment\";s:0:\"\";s:23:\"hide_attachment_summary\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:8:\"defaults\";a:1:{s:16:\"show_admin_links\";b:0;}s:16:\"show_admin_links\";b:0;s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"admin/people/list\";s:4:\"menu\";a:8:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.watchdog','a:12:{s:4:\"uuid\";s:36:\"d9f94bc4-7b51-4441-9654-b5cd69975634\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:5:\"dblog\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"watchdog\";s:5:\"label\";s:8:\"Watchdog\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:19:\"Recent log messages\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:8:\"watchdog\";s:10:\"base_field\";s:3:\"wid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:5:\"title\";s:19:\"Recent log messages\";s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:9:\"plugin_id\";s:6:\"custom\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:12:\"machine_name\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:13:\"dblog_message\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:16:\"dblog_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:26:\"No log messages available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:3:\"wid\";}s:7:\"exposed\";b:0;}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"dblog_types\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:7:\"default\";s:3:\"wid\";s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:0;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:9:\"css_class\";s:11:\"admin-dblog\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:4:\"page\";a:6:{s:2:\"id\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.who_s_new','a:12:{s:4:\"uuid\";s:36:\"096fe5b0-a8a6-47cf-9319-25a9788344e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"who_s_new\";s:5:\"label\";s:9:\"Who\'s new\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:53:\"Shows a list of the newest user accounts on the site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:9:\"Who\'s new\";s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:5;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:4:\"date\";s:8:\"operator\";s:1:\">\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:10:\"1970-01-01\";s:4:\"type\";s:4:\"date\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:9:\"html_list\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:9:\"Who\'s new\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:19:\"display_description\";s:19:\"A list of new users\";s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:9:\"Who\'s new\";s:14:\"block_category\";s:4:\"User\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0'),('views.view.who_s_online','a:12:{s:4:\"uuid\";s:36:\"940a00dd-bbb3-4656-964e-78bf1813e33d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:12:\"who_s_online\";s:5:\"label\";s:18:\"Who\'s online block\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:93:\"Shows the user names of the most recently active users, and the total number of active users.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:12:\"Who\'s online\";s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:35:\"There are currently 0 users online.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:6:\"access\";a:13:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"access\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:4:\"date\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:11:\"-15 minutes\";s:4:\"type\";s:6:\"offset\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:9:\"access_op\";s:5:\"label\";s:11:\"Last access\";s:11:\"description\";s:77:\"A user is considered online for this long after they have last viewed a page.\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"access_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"access\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:1:{s:6:\"result\";a:9:{s:2:\"id\";s:6:\"result\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:6:\"result\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:6:\"result\";s:5:\"empty\";b:0;s:7:\"content\";s:40:\"There are currently @total users online.\";}}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:18:\"who_s_online_block\";a:6:{s:2:\"id\";s:18:\"who_s_online_block\";s:13:\"display_title\";s:12:\"Who\'s online\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:19:\"display_description\";s:45:\"A list of users that are currently logged in.\";s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:12:\"Who\'s online\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1674804011.349,1,'','0');
/*!40000 ALTER TABLE `cache_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_container`
--

DROP TABLE IF EXISTS `cache_container`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_container` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_container`
--

LOCK TABLES `cache_container` WRITE;
/*!40000 ALTER TABLE `cache_container` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_container` VALUES ('service_container:prod:9.5.2::Linux:a:1:{i:0;s:58:\"/home/frontend/drupal9/pinteros/sites/default/services.yml\";}','a:5:{s:7:\"aliases\";a:6:{s:32:\"Psr\\Container\\ContainerInterface\";s:17:\"service_container\";s:56:\"Symfony\\Component\\DependencyInjection\\ContainerInterface\";s:17:\"service_container\";s:22:\"config.storage.staging\";s:19:\"config.storage.sync\";s:15:\"session_handler\";s:26:\"session_handler.write_safe\";s:12:\"element_info\";s:27:\"plugin.manager.element_info\";s:23:\"field_ui.route_enhancer\";s:28:\"route_enhancer.entity_bundle\";}s:10:\"parameters\";a:25:{s:18:\"kernel.environment\";s:4:\"prod\";s:17:\"container.modules\";a:64:{s:13:\"admin_toolbar\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:52:\"modules/contrib/admin_toolbar/admin_toolbar.info.yml\";s:8:\"filename\";s:20:\"admin_toolbar.module\";}s:20:\"admin_toolbar_search\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:80:\"modules/contrib/admin_toolbar/admin_toolbar_search/admin_toolbar_search.info.yml\";s:8:\"filename\";s:27:\"admin_toolbar_search.module\";}s:19:\"admin_toolbar_tools\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:78:\"modules/contrib/admin_toolbar/admin_toolbar_tools/admin_toolbar_tools.info.yml\";s:8:\"filename\";s:26:\"admin_toolbar_tools.module\";}s:14:\"automated_cron\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:51:\"core/modules/automated_cron/automated_cron.info.yml\";s:8:\"filename\";s:21:\"automated_cron.module\";}s:5:\"block\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/block/block.info.yml\";s:8:\"filename\";s:12:\"block.module\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:49:\"core/modules/block_content/block_content.info.yml\";s:8:\"filename\";s:20:\"block_content.module\";}s:10:\"breakpoint\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/breakpoint/breakpoint.info.yml\";s:8:\"filename\";s:17:\"breakpoint.module\";}s:8:\"ckeditor\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/ckeditor/ckeditor.info.yml\";s:8:\"filename\";s:15:\"ckeditor.module\";}s:5:\"color\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/color/color.info.yml\";s:8:\"filename\";s:12:\"color.module\";}s:11:\"color_field\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:48:\"modules/contrib/color_field/color_field.info.yml\";s:8:\"filename\";s:18:\"color_field.module\";}s:7:\"comment\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/comment/comment.info.yml\";s:8:\"filename\";s:14:\"comment.module\";}s:17:\"component_builder\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:60:\"modules/contrib/component_builder/component_builder.info.yml\";s:8:\"filename\";s:24:\"component_builder.module\";}s:6:\"config\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/config/config.info.yml\";s:8:\"filename\";s:13:\"config.module\";}s:18:\"config_translation\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:59:\"core/modules/config_translation/config_translation.info.yml\";s:8:\"filename\";s:25:\"config_translation.module\";}s:7:\"contact\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/contact/contact.info.yml\";s:8:\"filename\";s:14:\"contact.module\";}s:10:\"contextual\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/contextual/contextual.info.yml\";s:8:\"filename\";s:17:\"contextual.module\";}s:6:\"ctools\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:38:\"modules/contrib/ctools/ctools.info.yml\";s:8:\"filename\";s:13:\"ctools.module\";}s:8:\"datetime\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/datetime/datetime.info.yml\";s:8:\"filename\";s:15:\"datetime.module\";}s:5:\"dblog\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/dblog/dblog.info.yml\";s:8:\"filename\";s:12:\"dblog.module\";}s:18:\"dynamic_page_cache\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:59:\"core/modules/dynamic_page_cache/dynamic_page_cache.info.yml\";s:8:\"filename\";s:25:\"dynamic_page_cache.module\";}s:6:\"editor\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/editor/editor.info.yml\";s:8:\"filename\";s:13:\"editor.module\";}s:6:\"entity\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:38:\"modules/contrib/entity/entity.info.yml\";s:8:\"filename\";s:13:\"entity.module\";}s:5:\"field\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/field/field.info.yml\";s:8:\"filename\";s:12:\"field.module\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:48:\"modules/contrib/field_group/field_group.info.yml\";s:8:\"filename\";s:18:\"field_group.module\";}s:8:\"field_ui\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/field_ui/field_ui.info.yml\";s:8:\"filename\";s:15:\"field_ui.module\";}s:4:\"file\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/file/file.info.yml\";s:8:\"filename\";s:11:\"file.module\";}s:6:\"filter\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/filter/filter.info.yml\";s:8:\"filename\";s:13:\"filter.module\";}s:4:\"help\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/help/help.info.yml\";s:8:\"filename\";s:11:\"help.module\";}s:7:\"history\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/history/history.info.yml\";s:8:\"filename\";s:14:\"history.module\";}s:5:\"image\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/image/image.info.yml\";s:8:\"filename\";s:12:\"image.module\";}s:18:\"inline_entity_form\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:62:\"modules/contrib/inline_entity_form/inline_entity_form.info.yml\";s:8:\"filename\";s:25:\"inline_entity_form.module\";}s:8:\"language\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/language/language.info.yml\";s:8:\"filename\";s:15:\"language.module\";}s:4:\"link\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/link/link.info.yml\";s:8:\"filename\";s:11:\"link.module\";}s:6:\"locale\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/locale/locale.info.yml\";s:8:\"filename\";s:13:\"locale.module\";}s:7:\"menu_ui\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/menu_ui/menu_ui.info.yml\";s:8:\"filename\";s:14:\"menu_ui.module\";}s:13:\"module_filter\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:52:\"modules/contrib/module_filter/module_filter.info.yml\";s:8:\"filename\";s:20:\"module_filter.module\";}s:5:\"mysql\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/mysql/mysql.info.yml\";s:8:\"filename\";s:12:\"mysql.module\";}s:4:\"node\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/node/node.info.yml\";s:8:\"filename\";s:11:\"node.module\";}s:7:\"options\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/options/options.info.yml\";s:8:\"filename\";s:14:\"options.module\";}s:10:\"page_cache\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/page_cache/page_cache.info.yml\";s:8:\"filename\";s:17:\"page_cache.module\";}s:4:\"path\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/path/path.info.yml\";s:8:\"filename\";s:11:\"path.module\";}s:10:\"path_alias\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/path_alias/path_alias.info.yml\";s:8:\"filename\";N;}s:9:\"quickedit\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:41:\"core/modules/quickedit/quickedit.info.yml\";s:8:\"filename\";s:16:\"quickedit.module\";}s:3:\"rdf\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:29:\"core/modules/rdf/rdf.info.yml\";s:8:\"filename\";s:10:\"rdf.module\";}s:6:\"search\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/search/search.info.yml\";s:8:\"filename\";s:13:\"search.module\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/shortcut/shortcut.info.yml\";s:8:\"filename\";s:15:\"shortcut.module\";}s:10:\"simplenews\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:46:\"modules/contrib/simplenews/simplenews.info.yml\";s:8:\"filename\";s:17:\"simplenews.module\";}s:6:\"system\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/system/system.info.yml\";s:8:\"filename\";s:13:\"system.module\";}s:8:\"taxonomy\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/taxonomy/taxonomy.info.yml\";s:8:\"filename\";s:15:\"taxonomy.module\";}s:4:\"text\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/text/text.info.yml\";s:8:\"filename\";s:11:\"text.module\";}s:5:\"token\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:36:\"modules/contrib/token/token.info.yml\";s:8:\"filename\";s:12:\"token.module\";}s:7:\"toolbar\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/toolbar/toolbar.info.yml\";s:8:\"filename\";s:14:\"toolbar.module\";}s:4:\"tour\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/tour/tour.info.yml\";s:8:\"filename\";s:11:\"tour.module\";}s:6:\"update\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/update/update.info.yml\";s:8:\"filename\";s:13:\"update.module\";}s:4:\"user\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/user/user.info.yml\";s:8:\"filename\";s:11:\"user.module\";}s:17:\"video_embed_field\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:60:\"modules/contrib/video_embed_field/video_embed_field.info.yml\";s:8:\"filename\";s:24:\"video_embed_field.module\";}s:8:\"views_ui\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/views_ui/views_ui.info.yml\";s:8:\"filename\";s:15:\"views_ui.module\";}s:11:\"we_megamenu\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:48:\"modules/contrib/we_megamenu/we_megamenu.info.yml\";s:8:\"filename\";s:18:\"we_megamenu.module\";}s:5:\"forum\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/forum/forum.info.yml\";s:8:\"filename\";s:12:\"forum.module\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:57:\"core/modules/menu_link_content/menu_link_content.info.yml\";s:8:\"filename\";s:24:\"menu_link_content.module\";}s:8:\"pathauto\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:42:\"modules/contrib/pathauto/pathauto.info.yml\";s:8:\"filename\";s:15:\"pathauto.module\";}s:19:\"content_translation\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:61:\"core/modules/content_translation/content_translation.info.yml\";s:8:\"filename\";s:26:\"content_translation.module\";}s:5:\"views\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/views/views.info.yml\";s:8:\"filename\";s:12:\"views.module\";}s:8:\"standard\";a:3:{s:4:\"type\";s:7:\"profile\";s:8:\"pathname\";s:40:\"core/profiles/standard/standard.info.yml\";s:8:\"filename\";s:16:\"standard.profile\";}}s:15:\"install_profile\";s:8:\"standard\";s:20:\"container.namespaces\";a:79:{s:20:\"Drupal\\admin_toolbar\";s:33:\"modules/contrib/admin_toolbar/src\";s:27:\"Drupal\\admin_toolbar_search\";s:54:\"modules/contrib/admin_toolbar/admin_toolbar_search/src\";s:26:\"Drupal\\admin_toolbar_tools\";s:53:\"modules/contrib/admin_toolbar/admin_toolbar_tools/src\";s:21:\"Drupal\\automated_cron\";s:31:\"core/modules/automated_cron/src\";s:12:\"Drupal\\block\";s:22:\"core/modules/block/src\";s:20:\"Drupal\\block_content\";s:30:\"core/modules/block_content/src\";s:17:\"Drupal\\breakpoint\";s:27:\"core/modules/breakpoint/src\";s:15:\"Drupal\\ckeditor\";s:25:\"core/modules/ckeditor/src\";s:12:\"Drupal\\color\";s:22:\"core/modules/color/src\";s:18:\"Drupal\\color_field\";s:31:\"modules/contrib/color_field/src\";s:14:\"Drupal\\comment\";s:24:\"core/modules/comment/src\";s:24:\"Drupal\\component_builder\";s:37:\"modules/contrib/component_builder/src\";s:13:\"Drupal\\config\";s:23:\"core/modules/config/src\";s:25:\"Drupal\\config_translation\";s:35:\"core/modules/config_translation/src\";s:14:\"Drupal\\contact\";s:24:\"core/modules/contact/src\";s:17:\"Drupal\\contextual\";s:27:\"core/modules/contextual/src\";s:13:\"Drupal\\ctools\";s:26:\"modules/contrib/ctools/src\";s:15:\"Drupal\\datetime\";s:25:\"core/modules/datetime/src\";s:12:\"Drupal\\dblog\";s:22:\"core/modules/dblog/src\";s:25:\"Drupal\\dynamic_page_cache\";s:35:\"core/modules/dynamic_page_cache/src\";s:13:\"Drupal\\editor\";s:23:\"core/modules/editor/src\";s:13:\"Drupal\\entity\";s:26:\"modules/contrib/entity/src\";s:12:\"Drupal\\field\";s:22:\"core/modules/field/src\";s:18:\"Drupal\\field_group\";s:31:\"modules/contrib/field_group/src\";s:15:\"Drupal\\field_ui\";s:25:\"core/modules/field_ui/src\";s:11:\"Drupal\\file\";s:21:\"core/modules/file/src\";s:13:\"Drupal\\filter\";s:23:\"core/modules/filter/src\";s:11:\"Drupal\\help\";s:21:\"core/modules/help/src\";s:14:\"Drupal\\history\";s:24:\"core/modules/history/src\";s:12:\"Drupal\\image\";s:22:\"core/modules/image/src\";s:25:\"Drupal\\inline_entity_form\";s:38:\"modules/contrib/inline_entity_form/src\";s:15:\"Drupal\\language\";s:25:\"core/modules/language/src\";s:11:\"Drupal\\link\";s:21:\"core/modules/link/src\";s:13:\"Drupal\\locale\";s:23:\"core/modules/locale/src\";s:14:\"Drupal\\menu_ui\";s:24:\"core/modules/menu_ui/src\";s:20:\"Drupal\\module_filter\";s:33:\"modules/contrib/module_filter/src\";s:12:\"Drupal\\mysql\";s:22:\"core/modules/mysql/src\";s:11:\"Drupal\\node\";s:21:\"core/modules/node/src\";s:14:\"Drupal\\options\";s:24:\"core/modules/options/src\";s:17:\"Drupal\\page_cache\";s:27:\"core/modules/page_cache/src\";s:11:\"Drupal\\path\";s:21:\"core/modules/path/src\";s:17:\"Drupal\\path_alias\";s:27:\"core/modules/path_alias/src\";s:16:\"Drupal\\quickedit\";s:26:\"core/modules/quickedit/src\";s:10:\"Drupal\\rdf\";s:20:\"core/modules/rdf/src\";s:13:\"Drupal\\search\";s:23:\"core/modules/search/src\";s:15:\"Drupal\\shortcut\";s:25:\"core/modules/shortcut/src\";s:17:\"Drupal\\simplenews\";s:30:\"modules/contrib/simplenews/src\";s:13:\"Drupal\\system\";s:23:\"core/modules/system/src\";s:15:\"Drupal\\taxonomy\";s:25:\"core/modules/taxonomy/src\";s:11:\"Drupal\\text\";s:21:\"core/modules/text/src\";s:12:\"Drupal\\token\";s:25:\"modules/contrib/token/src\";s:14:\"Drupal\\toolbar\";s:24:\"core/modules/toolbar/src\";s:11:\"Drupal\\tour\";s:21:\"core/modules/tour/src\";s:13:\"Drupal\\update\";s:23:\"core/modules/update/src\";s:11:\"Drupal\\user\";s:21:\"core/modules/user/src\";s:24:\"Drupal\\video_embed_field\";s:37:\"modules/contrib/video_embed_field/src\";s:15:\"Drupal\\views_ui\";s:25:\"core/modules/views_ui/src\";s:18:\"Drupal\\we_megamenu\";s:31:\"modules/contrib/we_megamenu/src\";s:12:\"Drupal\\forum\";s:22:\"core/modules/forum/src\";s:24:\"Drupal\\menu_link_content\";s:34:\"core/modules/menu_link_content/src\";s:15:\"Drupal\\pathauto\";s:28:\"modules/contrib/pathauto/src\";s:26:\"Drupal\\content_translation\";s:36:\"core/modules/content_translation/src\";s:12:\"Drupal\\views\";s:22:\"core/modules/views/src\";s:15:\"Drupal\\standard\";s:26:\"core/profiles/standard/src\";s:16:\"Drupal\\Core\\Mail\";s:25:\"core/lib/Drupal/Core/Mail\";s:22:\"Drupal\\Core\\ProxyClass\";s:31:\"core/lib/Drupal/Core/ProxyClass\";s:18:\"Drupal\\Core\\Action\";s:27:\"core/lib/Drupal/Core/Action\";s:20:\"Drupal\\Core\\Datetime\";s:29:\"core/lib/Drupal/Core/Datetime\";s:17:\"Drupal\\Core\\Block\";s:26:\"core/lib/Drupal/Core/Block\";s:18:\"Drupal\\Core\\Config\";s:27:\"core/lib/Drupal/Core/Config\";s:18:\"Drupal\\Core\\Entity\";s:27:\"core/lib/Drupal/Core/Entity\";s:16:\"Drupal\\Core\\Menu\";s:25:\"core/lib/Drupal/Core/Menu\";s:17:\"Drupal\\Core\\Field\";s:26:\"core/lib/Drupal/Core/Field\";s:22:\"Drupal\\Core\\Validation\";s:31:\"core/lib/Drupal/Core/Validation\";s:18:\"Drupal\\Core\\Render\";s:27:\"core/lib/Drupal/Core/Render\";s:16:\"Drupal\\Core\\Path\";s:25:\"core/lib/Drupal/Core/Path\";s:21:\"Drupal\\Core\\TempStore\";s:30:\"core/lib/Drupal/Core/TempStore\";s:21:\"Drupal\\Core\\TypedData\";s:30:\"core/lib/Drupal/Core/TypedData\";s:27:\"Drupal\\Component\\Annotation\";s:36:\"core/lib/Drupal/Component/Annotation\";}s:23:\"language.default_values\";a:10:{s:4:\"uuid\";s:36:\"53321b20-74d1-44aa-aa3e-b576a42f950a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}s:8:\"app.root\";s:31:\"/home/frontend/drupal9/pinteros\";s:9:\"site.path\";s:13:\"sites/default\";s:23:\"session.storage.options\";a:6:{s:14:\"gc_probability\";i:1;s:10:\"gc_divisor\";i:100;s:14:\"gc_maxlifetime\";i:200000;s:15:\"cookie_lifetime\";i:2000000;s:10:\"sid_length\";i:48;s:22:\"sid_bits_per_character\";i:6;}s:11:\"twig.config\";a:4:{s:5:\"debug\";b:0;s:11:\"auto_reload\";N;s:5:\"cache\";b:1;s:23:\"allowed_file_extensions\";a:5:{i:0;s:3:\"css\";i:1;s:4:\"html\";i:2;s:2:\"js\";i:3;s:3:\"svg\";i:4;s:4:\"twig\";}}s:15:\"renderer.config\";a:3:{s:23:\"required_cache_contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:27:\"auto_placeholder_conditions\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:2:{i:0;s:7:\"session\";i:1;s:4:\"user\";}s:4:\"tags\";a:0:{}}s:5:\"debug\";b:0;}s:16:\"factory.keyvalue\";a:1:{s:7:\"default\";s:17:\"keyvalue.database\";}s:40:\"http.response.debug_cacheability_headers\";b:0;s:26:\"factory.keyvalue.expirable\";a:1:{s:7:\"default\";s:27:\"keyvalue.expirable.database\";}s:16:\"filter_protocols\";a:13:{i:0;s:4:\"http\";i:1;s:5:\"https\";i:2;s:3:\"ftp\";i:3;s:4:\"news\";i:4;s:4:\"nntp\";i:5;s:3:\"tel\";i:6;s:6:\"telnet\";i:7;s:6:\"mailto\";i:8;s:3:\"irc\";i:9;s:3:\"ssh\";i:10;s:4:\"sftp\";i:11;s:6:\"webcal\";i:12;s:4:\"rtsp\";}s:11:\"cors.config\";a:7:{s:7:\"enabled\";b:0;s:14:\"allowedHeaders\";a:0:{}s:14:\"allowedMethods\";a:0:{}s:14:\"allowedOrigins\";a:1:{i:0;s:1:\"*\";}s:14:\"exposedHeaders\";b:0;s:6:\"maxAge\";b:0;s:19:\"supportsCredentials\";b:0;}s:16:\"tempstore.expire\";i:604800;s:11:\"persist_ids\";a:4:{i:0;s:12:\"class_loader\";i:1;s:6:\"kernel\";i:2;s:13:\"request_stack\";i:3;s:22:\"router.request_context\";}s:22:\"main_content_renderers\";a:7:{s:4:\"html\";s:26:\"main_content_renderer.html\";s:11:\"drupal_ajax\";s:26:\"main_content_renderer.ajax\";s:12:\"iframeupload\";s:26:\"main_content_renderer.ajax\";s:13:\"drupal_dialog\";s:28:\"main_content_renderer.dialog\";s:24:\"drupal_dialog.off_canvas\";s:32:\"main_content_renderer.off_canvas\";s:28:\"drupal_dialog.off_canvas_top\";s:36:\"main_content_renderer.off_canvas_top\";s:12:\"drupal_modal\";s:27:\"main_content_renderer.modal\";}s:19:\"twig_extension_hash\";s:43:\"wKjaDkA4Qe3v3bT31Pt7hr16jBg2WLnt9AgBFJ_qo0k\";s:29:\"dynamic_access_check_services\";a:1:{i:0;s:24:\"access_check.header.csrf\";}s:10:\"cache_bins\";a:12:{s:12:\"cache.static\";s:6:\"static\";s:15:\"cache.bootstrap\";s:9:\"bootstrap\";s:12:\"cache.config\";s:6:\"config\";s:13:\"cache.default\";s:7:\"default\";s:12:\"cache.entity\";s:6:\"entity\";s:10:\"cache.menu\";s:4:\"menu\";s:12:\"cache.render\";s:6:\"render\";s:10:\"cache.data\";s:4:\"data\";s:15:\"cache.discovery\";s:9:\"discovery\";s:24:\"cache.dynamic_page_cache\";s:18:\"dynamic_page_cache\";s:10:\"cache.page\";s:4:\"page\";s:13:\"cache.toolbar\";s:7:\"toolbar\";}s:26:\"cache_default_bin_backends\";a:4:{s:6:\"static\";s:20:\"cache.backend.memory\";s:9:\"bootstrap\";s:25:\"cache.backend.chainedfast\";s:6:\"config\";s:25:\"cache.backend.chainedfast\";s:9:\"discovery\";s:25:\"cache.backend.chainedfast\";}s:14:\"cache_contexts\";a:25:{i:0;s:7:\"cookies\";i:1;s:7:\"headers\";i:2;s:2:\"ip\";i:3;s:9:\"languages\";i:4;s:16:\"protocol_version\";i:5;s:14:\"request_format\";i:6;s:5:\"route\";i:7;s:24:\"route.menu_active_trails\";i:8;s:10:\"route.name\";i:9;s:7:\"session\";i:10;s:14:\"session.exists\";i:11;s:5:\"theme\";i:12;s:8:\"timezone\";i:13;s:3:\"url\";i:14;s:8:\"url.path\";i:15;s:17:\"url.path.is_front\";i:16;s:15:\"url.path.parent\";i:17;s:14:\"url.query_args\";i:18;s:21:\"url.query_args.pagers\";i:19;s:8:\"url.site\";i:20;s:4:\"user\";i:21;s:18:\"user.is_super_user\";i:22;s:16:\"user.node_grants\";i:23;s:16:\"user.permissions\";i:24;s:10:\"user.roles\";}s:24:\"authentication_providers\";a:1:{s:6:\"cookie\";s:4:\"user\";}s:24:\"_deprecated_service_list\";a:32:{s:8:\"app.root\";s:163:\"The \"app.root\" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the app.root parameter instead. See https://www.drupal.org/node/3080612\";s:16:\"app.root.factory\";s:171:\"The \"app.root.factory\" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the app.root parameter instead. See https://www.drupal.org/node/3080612\";s:9:\"site.path\";s:165:\"The \"site.path\" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the site.path parameter instead. See https://www.drupal.org/node/3080612\";s:17:\"site.path.factory\";s:173:\"The \"site.path.factory\" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the site.path parameter instead. See https://www.drupal.org/node/3080612\";s:18:\"feed.bridge.reader\";s:217:\"The \"feed.bridge.reader\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. Use \\Laminas\\Feed\\Reader\\StandaloneExtensionManager or create your own service. See https://www.drupal.org/node/3258656\";s:18:\"feed.bridge.writer\";s:217:\"The \"feed.bridge.writer\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. Use \\Laminas\\Feed\\Writer\\StandaloneExtensionManager or create your own service. See https://www.drupal.org/node/3258440\";s:27:\"feed.reader.dublincoreentry\";s:234:\"The \"feed.reader.dublincoreentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'DublinCore\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:26:\"feed.reader.dublincorefeed\";s:232:\"The \"feed.reader.dublincorefeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'DublinCore\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:24:\"feed.reader.contententry\";s:228:\"The \"feed.reader.contententry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Content\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:21:\"feed.reader.atomentry\";s:222:\"The \"feed.reader.atomentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Atom\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:20:\"feed.reader.atomfeed\";s:220:\"The \"feed.reader.atomfeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Atom\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:22:\"feed.reader.slashentry\";s:224:\"The \"feed.reader.slashentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Slash\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:30:\"feed.reader.wellformedwebentry\";s:240:\"The \"feed.reader.wellformedwebentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'WellFormedWeb\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:23:\"feed.reader.threadentry\";s:226:\"The \"feed.reader.threadentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Thread\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:24:\"feed.reader.podcastentry\";s:228:\"The \"feed.reader.podcastentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Podcast\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:23:\"feed.reader.podcastfeed\";s:226:\"The \"feed.reader.podcastfeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.reader\')->get(\'Podcast\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:28:\"feed.writer.atomrendererfeed\";s:237:\"The \"feed.writer.atomrendererfeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'Atom\\Renderer\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:32:\"feed.writer.contentrendererentry\";s:245:\"The \"feed.writer.contentrendererentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'Content\\Renderer\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:35:\"feed.writer.dublincorerendererentry\";s:251:\"The \"feed.writer.dublincorerendererentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'DublinCore\\Renderer\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:34:\"feed.writer.dublincorerendererfeed\";s:249:\"The \"feed.writer.dublincorerendererfeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'DublinCore\\Renderer\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:23:\"feed.writer.itunesentry\";s:226:\"The \"feed.writer.itunesentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'ITunes\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:22:\"feed.writer.itunesfeed\";s:224:\"The \"feed.writer.itunesfeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'ITunes\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:31:\"feed.writer.itunesrendererentry\";s:243:\"The \"feed.writer.itunesrendererentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'ITunes\\Renderer\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:30:\"feed.writer.itunesrendererfeed\";s:241:\"The \"feed.writer.itunesrendererfeed\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'ITunes\\Renderer\\Feed\') instead. See https://www.drupal.org/node/2979042\";s:30:\"feed.writer.slashrendererentry\";s:241:\"The \"feed.writer.slashrendererentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'Slash\\Renderer\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:34:\"feed.writer.threadingrendererentry\";s:249:\"The \"feed.writer.threadingrendererentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'Threading\\Renderer\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:38:\"feed.writer.wellformedwebrendererentry\";s:257:\"The \"feed.writer.wellformedwebrendererentry\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(\'feed.bridge.writer\')->get(\'WellFormedWeb\\Renderer\\Entry\') instead. See https://www.drupal.org/node/2979042\";s:37:\"ctools.serializable.tempstore.factory\";s:132:\"The \"ctools.serializable.tempstore.factory\" service is deprecated. You should use the core shared tempstore factory service instead.\";s:26:\"access_check.node.revision\";s:153:\"The \"access_check.node.revision\" service is deprecated. You should use the \'access_check.entity\' service instead. See https://www.drupal.org/node/3161210\";s:21:\"access_check.node.add\";s:218:\"The \"access_check.node.add\" service is deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use _entity_create_access or _entity_create_any_access access checks instead. See https://www.drupal.org/node/2836069\";s:22:\"config.storage.staging\";s:188:\"The \"config.storage.staging\" service is deprecated in drupal:8.0.0 and is removed from drupal:10.0.0. Use the \"config.storage.sync\" service instead. See https://www.drupal.org/node/2574957\";s:23:\"field_ui.route_enhancer\";s:198:\"The \"field_ui.route_enhancer\" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. Use the \"route_enhancer.entity_bundle\" service instead. See https://www.drupal.org/node/3245017\";}}s:8:\"services\";a:620:{s:17:\"service_container\";s:129:\"a:3:{s:5:\"class\";s:56:\"Symfony\\Component\\DependencyInjection\\ContainerInterface\";s:9:\"synthetic\";b:1;s:15:\"arguments_count\";i:0;}\";s:12:\"class_loader\";s:53:\"a:2:{s:9:\"synthetic\";b:1;s:15:\"arguments_count\";i:0;}\";s:6:\"kernel\";s:117:\"a:3:{s:5:\"class\";s:44:\"Symfony\\Component\\HttpKernel\\KernelInterface\";s:9:\"synthetic\";b:1;s:15:\"arguments_count\";i:0;}\";s:16:\"cache_context.ip\";s:298:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Cache\\Context\\IpCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"cache_context.protocol_version\";s:311:\"a:3:{s:5:\"class\";s:53:\"Drupal\\Core\\Cache\\Context\\ProtocolVersionCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"cache_context.headers\";s:303:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\Cache\\Context\\HeadersCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"cache_context.cookies\";s:303:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\Cache\\Context\\CookiesCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"cache_context.session\";s:303:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\Cache\\Context\\SessionCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:28:\"cache_context.session.exists\";s:422:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\Cache\\Context\\SessionExistsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:28:\"cache_context.request_format\";s:309:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\Cache\\Context\\RequestFormatCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:17:\"cache_context.url\";s:299:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Cache\\Context\\UrlCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:22:\"cache_context.url.site\";s:300:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Cache\\Context\\SiteCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:22:\"cache_context.url.path\";s:300:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Cache\\Context\\PathCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:29:\"cache_context.url.path.parent\";s:306:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Cache\\Context\\PathParentCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:31:\"cache_context.url.path.is_front\";s:306:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\Cache\\Context\\IsFrontPathCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:28:\"cache_context.url.query_args\";s:305:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\QueryArgsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:35:\"cache_context.url.query_args.pagers\";s:305:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Cache\\Context\\PagersCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"pager.parameters\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"cache_context.route\";s:307:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\Context\\RouteCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:24:\"cache_context.route.name\";s:311:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\RouteNameCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:38:\"cache_context.route.menu_active_trails\";s:356:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\Cache\\Context\\MenuActiveTrailsCacheContext\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:18:\"cache_context.user\";s:299:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Cache\\Context\\UserCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"cache_context.user.permissions\";s:436:\"a:3:{s:5:\"class\";s:56:\"Drupal\\Core\\Cache\\Context\\AccountPermissionsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"user_permissions_hash_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:24:\"cache_context.user.roles\";s:304:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\UserRolesCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:32:\"cache_context.user.is_super_user\";s:306:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\Cache\\Context\\IsSuperUserCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"cache_context.languages\";s:308:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\LanguagesCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"cache_context.theme\";s:301:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\Context\\ThemeCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:22:\"cache_context.timezone\";s:99:\"a:2:{s:5:\"class\";s:46:\"Drupal\\Core\\Cache\\Context\\TimeZoneCacheContext\";s:15:\"arguments_count\";i:0;}\";s:13:\"cache_factory\";s:626:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Cache\\CacheFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:26:\"cache_default_bin_backends\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:22:\"cache_contexts_manager\";s:391:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Cache\\Context\\CacheContextsManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:14:\"cache_contexts\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:22:\"cache_tags.invalidator\";s:818:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Cache\\CacheTagsInvalidator\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:14:\"addInvalidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:31:\"cache_tags.invalidator.checksum\";s:295:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\DatabaseCacheTagsChecksum\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:25:\"cache.backend.chainedfast\";s:544:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\ChainedFastBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:22:\"cache.backend.database\";s:514:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Cache\\DatabaseBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:18:\"cache.backend.apcu\";s:380:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Cache\\ApcuBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;s:13:\"sites/default\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:17:\"cache.backend.php\";s:311:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Cache\\PhpBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:20:\"cache.backend.memory\";s:91:\"a:2:{s:5:\"class\";s:38:\"Drupal\\Core\\Cache\\MemoryBackendFactory\";s:15:\"arguments_count\";i:0;}\";s:12:\"cache.static\";s:270:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"static\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:15:\"cache.bootstrap\";s:273:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:9:\"bootstrap\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:12:\"cache.config\";s:270:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"config\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:13:\"cache.default\";s:271:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:7:\"default\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:12:\"cache.entity\";s:270:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"entity\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:10:\"cache.menu\";s:268:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:4:\"menu\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:12:\"cache.render\";s:270:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"render\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:10:\"cache.data\";s:268:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:4:\"data\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:15:\"cache.discovery\";s:273:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:9:\"discovery\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:31:\"cache_router_rebuild_subscriber\";s:109:\"a:2:{s:5:\"class\";s:56:\"Drupal\\Core\\EventSubscriber\\CacheRouterRebuildSubscriber\";s:15:\"arguments_count\";i:0;}\";s:25:\"page_cache_request_policy\";s:588:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\PageCache\\DefaultRequestPolicy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:52:\"toolbar.page_cache_request_policy.allow_toolbar_path\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:26:\"page_cache_response_policy\";s:382:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\PageCache\\ChainResponsePolicy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:56:\"drupal.proxy_original_service.page_cache_response_policy\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:22:\"page_cache_kill_switch\";s:100:\"a:2:{s:5:\"class\";s:47:\"Drupal\\Core\\PageCache\\ResponsePolicy\\KillSwitch\";s:15:\"arguments_count\";i:0;}\";s:14:\"config.manager\";s:1054:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Config\\ConfigManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"extension.path.resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}\";s:14:\"config.factory\";s:766:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Config\\ConfigFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:11:\"addOverride\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"language.config_factory_override\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:26:\"config.importer_subscriber\";s:110:\"a:2:{s:5:\"class\";s:57:\"Drupal\\Core\\Config\\Importer\\FinalMissingContentSubscriber\";s:15:\"arguments_count\";i:0;}\";s:16:\"config.installer\";s:365:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\ProxyClass\\Config\\ConfigInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:46:\"drupal.proxy_original_service.config.installer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"config.storage\";s:764:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Config\\CachedStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__iippmE3zvNM7poZWNLe9KCo1TBvrcSIYWA79dl3VOK4\";s:5:\"value\";a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Config\\DatabaseStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"config\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"cache.config\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:25:\"config.import_transformer\";s:605:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Config\\ImportStorageTransformer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"lock.persistent\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:21:\"config.storage.export\";s:958:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Config\\ManagedStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__5EBCzeeBo8IOl_3fl-LbLaVxGnKihlnDb1Olt-VZsNY\";s:5:\"value\";a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Config\\ExportStorageManager\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"config.storage.sync\";s:170:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Config\\FileStorage\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;s:37:\"Drupal\\Core\\Config\\FileStorageFactory\";i:1;s:7:\"getSync\";}}\";s:23:\"config.storage.snapshot\";s:313:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Config\\DatabaseStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;s:15:\"config_snapshot\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:21:\"config.storage.schema\";s:364:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Config\\ExtensionInstallStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;s:13:\"config/schema\";i:2;s:0:\"\";i:3;b:1;i:4;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:12:\"config.typed\";s:999:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Config\\TypedConfigManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"config.storage.schema\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:30:\"setValidationConstraintManager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"validation.constraint\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:15:\"context.handler\";s:94:\"a:2:{s:5:\"class\";s:41:\"Drupal\\Core\\Plugin\\Context\\ContextHandler\";s:15:\"arguments_count\";i:0;}\";s:18:\"context.repository\";s:490:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Plugin\\Context\\LazyContextRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:4:{i:0;s:33:\"language.current_language_context\";i:1;s:23:\"node.node_route_context\";i:2;s:41:\"taxonomy_term.taxonomy_term_route_context\";i:3;s:25:\"user.current_user_context\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:53:\"Drupal\\Component\\DependencyInjection\\ReverseContainer\";s:315:\"a:3:{s:5:\"class\";s:53:\"Drupal\\Component\\DependencyInjection\\ReverseContainer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:4:\"cron\";s:335:\"a:3:{s:5:\"class\";s:27:\"Drupal\\Core\\ProxyClass\\Cron\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:34:\"drupal.proxy_original_service.cron\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"diff.formatter\";s:289:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Diff\\DiffFormatter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:8:\"database\";s:210:\"a:4:{s:5:\"class\";s:31:\"Drupal\\Core\\Database\\Connection\";s:9:\"arguments\";a:1:{i:0;s:7:\"default\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;s:29:\"Drupal\\Core\\Database\\Database\";i:1;s:13:\"getConnection\";}}\";s:16:\"database.replica\";s:210:\"a:4:{s:5:\"class\";s:31:\"Drupal\\Core\\Database\\Connection\";s:9:\"arguments\";a:1:{i:0;s:7:\"replica\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;s:29:\"Drupal\\Core\\Database\\Database\";i:1;s:13:\"getConnection\";}}\";s:28:\"database.replica_kill_switch\";s:493:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Database\\ReplicaKillSwitch\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"datetime.time\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:7:\"session\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:13:\"datetime.time\";s:288:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Component\\Datetime\\Time\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:11:\"file_system\";s:504:\"a:3:{s:5:\"class\";s:27:\"Drupal\\Core\\File\\FileSystem\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.file\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:18:\"file_url_generator\";s:511:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\File\\FileUrlGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:12:\"form_builder\";s:2295:\"a:3:{s:5:\"class\";s:28:\"Drupal\\Core\\Form\\FormBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:10:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"form_validator\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"form_submitter\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__FZPRGSRKFKgHKXGBW-cjsjNbhjFYaXCK6vI9y4ph0gY\";s:5:\"value\";a:4:{s:5:\"class\";s:26:\"Drupal\\Core\\Form\\FormCache\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.form\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}s:6:\"shared\";b:0;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:3;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:10;}\";s:14:\"form_validator\";s:721:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Form\\FormValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.form\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"form_error_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:14:\"form_submitter\";s:393:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Form\\FormSubmitter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:18:\"form_error_handler\";s:86:\"a:2:{s:5:\"class\";s:33:\"Drupal\\Core\\Form\\FormErrorHandler\";s:15:\"arguments_count\";i:0;}\";s:8:\"keyvalue\";s:388:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\KeyValueStore\\KeyValueFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:16:\"factory.keyvalue\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:17:\"keyvalue.database\";s:419:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\KeyValueStore\\KeyValueDatabaseFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"serialization.phpserialize\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:18:\"keyvalue.expirable\";s:407:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\KeyValueStore\\KeyValueExpirableFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:26:\"factory.keyvalue.expirable\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"keyvalue.expirable.database\";s:428:\"a:3:{s:5:\"class\";s:58:\"Drupal\\Core\\KeyValueStore\\KeyValueDatabaseExpirableFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"serialization.phpserialize\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"logger.factory\";s:571:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Logger\\LoggerChannelFactory\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addLogger\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"logger.dblog\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:22:\"logger.channel.default\";s:264:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:6:\"system\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:18:\"logger.channel.php\";s:261:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:3:\"php\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:20:\"logger.channel.image\";s:263:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:5:\"image\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:19:\"logger.channel.cron\";s:262:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"cron\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:19:\"logger.channel.file\";s:262:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"file\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:19:\"logger.channel.form\";s:262:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"form\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:23:\"logger.channel.security\";s:266:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:8:\"security\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:25:\"logger.log_message_parser\";s:88:\"a:2:{s:5:\"class\";s:35:\"Drupal\\Core\\Logger\\LogMessageParser\";s:15:\"arguments_count\";i:0;}\";s:18:\"serialization.json\";s:88:\"a:2:{s:5:\"class\";s:35:\"Drupal\\Component\\Serialization\\Json\";s:15:\"arguments_count\";i:0;}\";s:26:\"serialization.phpserialize\";s:96:\"a:2:{s:5:\"class\";s:43:\"Drupal\\Component\\Serialization\\PhpSerialize\";s:15:\"arguments_count\";i:0;}\";s:18:\"serialization.yaml\";s:88:\"a:2:{s:5:\"class\";s:35:\"Drupal\\Component\\Serialization\\Yaml\";s:15:\"arguments_count\";i:0;}\";s:8:\"settings\";s:158:\"a:3:{s:5:\"class\";s:25:\"Drupal\\Core\\Site\\Settings\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;s:25:\"Drupal\\Core\\Site\\Settings\";i:1;s:11:\"getInstance\";}}\";s:5:\"state\";s:275:\"a:3:{s:5:\"class\";s:23:\"Drupal\\Core\\State\\State\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:5:\"queue\";s:531:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Queue\\QueueFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"queue.database\";s:290:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Queue\\QueueDatabaseFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:12:\"path.current\";s:291:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Path\\CurrentPathStack\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:11:\"http_client\";s:224:\"a:3:{s:5:\"class\";s:17:\"GuzzleHttp\\Client\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"http_client_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:11:\"fromOptions\";}}\";s:19:\"http_client_factory\";s:1034:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Http\\ClientFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__2i5FjkeRC6Vc7PWR5LdG3PRuCttDvRDyMUY6XsHzapc\";s:5:\"value\";a:5:{s:5:\"class\";s:23:\"GuzzleHttp\\HandlerStack\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;s:23:\"GuzzleHttp\\HandlerStack\";i:1;s:6:\"create\";}s:12:\"configurator\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__WjN_c7oQM_lsfryd4mPfbEhm7nV93eUSgEmLNALMX84\";s:5:\"value\";a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Http\\HandlerStackConfigurator\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:0:{}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}s:6:\"shared\";b:0;}i:1;s:9:\"configure\";}}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:33:\"plugin.manager.link_relation_type\";s:450:\"a:3:{s:5:\"class\";s:41:\"\\Drupal\\Core\\Http\\LinkRelationTypeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:16:\"theme.negotiator\";s:662:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Theme\\ThemeNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"access_check.theme\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;a:6:{i:0;s:31:\"theme.negotiator.ajax_base_page\";i:1;s:33:\"theme.negotiator.block.admin_demo\";i:2;s:29:\"theme.negotiator.system.batch\";i:3;s:33:\"theme.negotiator.system.db_update\";i:4;s:28:\"theme.negotiator.admin_theme\";i:5;s:24:\"theme.negotiator.default\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:24:\"theme.negotiator.default\";s:294:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Theme\\DefaultNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:31:\"theme.negotiator.ajax_base_page\";s:506:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Theme\\AjaxBasePageNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:20:\"container.namespaces\";s:253:\"a:3:{s:5:\"class\";s:11:\"ArrayObject\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:20:\"container.namespaces\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:14:\"module_handler\";s:424:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Extension\\ModuleHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:17:\"container.modules\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:16:\"module_installer\";s:368:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\ProxyClass\\Extension\\ModuleInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:46:\"drupal.proxy_original_service.module_installer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:21:\"extension.list.module\";s:991:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Extension\\ModuleExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:10:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;s:6:\"module\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"extension.list.profile\";s:15:\"invalidBehavior\";i:1;}i:8;s:8:\"standard\";i:9;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:17:\"container.modules\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:10;}\";s:22:\"extension.list.profile\";s:685:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Extension\\ProfileExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;s:7:\"profile\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:20:\"extension.list.theme\";s:906:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Extension\\ThemeExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;s:5:\"theme\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"extension.list.theme_engine\";s:15:\"invalidBehavior\";i:1;}i:8;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;}\";s:27:\"extension.list.theme_engine\";s:695:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Extension\\ThemeEngineExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;s:12:\"theme_engine\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:23:\"extension.path.resolver\";s:654:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Extension\\ExtensionPathResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"extension.list.profile\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"extension.list.theme\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"extension.list.theme_engine\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:27:\"content_uninstall_validator\";s:386:\"a:3:{s:5:\"class\";s:55:\"Drupal\\Core\\ProxyClass\\Entity\\ContentUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:57:\"drupal.proxy_original_service.content_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:35:\"required_module_uninstall_validator\";s:404:\"a:3:{s:5:\"class\";s:65:\"Drupal\\Core\\ProxyClass\\Extension\\RequiredModuleUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:45:\"module_required_by_themes_uninstall_validator\";s:422:\"a:3:{s:5:\"class\";s:73:\"Drupal\\Core\\ProxyClass\\Extension\\ModuleRequiredByThemesUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:35:\"database_driver_uninstall_validator\";s:404:\"a:3:{s:5:\"class\";s:65:\"Drupal\\Core\\ProxyClass\\Extension\\DatabaseDriverUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:65:\"drupal.proxy_original_service.database_driver_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:13:\"theme_handler\";s:448:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Extension\\ThemeHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"extension.list.theme\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:15:\"theme_installer\";s:1273:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Extension\\ThemeInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:10:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"config.installer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"asset.css.collection_optimizer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.default\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:10;}\";s:19:\"entity.memory_cache\";s:94:\"a:2:{s:5:\"class\";s:41:\"Drupal\\Core\\Cache\\MemoryCache\\MemoryCache\";s:15:\"arguments_count\";i:0;}\";s:19:\"entity_type.manager\";s:1110:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Entity\\EntityTypeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:22:\"entity_type.repository\";s:303:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Entity\\EntityTypeRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"entity_type.bundle.info\";s:734:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Entity\\EntityTypeBundleInfo\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:17:\"entity.repository\";s:517:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Entity\\EntityRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"context.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"entity_display.repository\";s:627:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\EntityDisplayRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:20:\"entity_field.manager\";s:1194:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Entity\\EntityFieldManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"entity_display.repository\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;}\";s:20:\"entity_type.listener\";s:652:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Entity\\EntityTypeListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:22:\"entity_bundle.listener\";s:636:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Entity\\EntityBundleListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:23:\"entity_route_subscriber\";s:321:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\EventSubscriber\\EntityRouteProviderSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:32:\"entity.definition_update_manager\";s:792:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\EntityDefinitionUpdateManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_type.listener\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"field_storage_definition.listener\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:39:\"entity.last_installed_schema.repository\";s:413:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\EntityLastInstalledSchemaRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:38:\"entity_field.deleted_fields_repository\";s:290:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Field\\DeletedFieldsRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:33:\"field_storage_definition.listener\";s:793:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Field\\FieldStorageDefinitionListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:38:\"entity_field.deleted_fields_repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:25:\"field_definition.listener\";s:623:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Field\\FieldDefinitionListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:19:\"entity.form_builder\";s:404:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Entity\\EntityFormBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:37:\"entity.bundle_config_import_validator\";s:421:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\Entity\\Event\\BundleConfigImportValidate\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"entity.autocomplete_matcher\";s:330:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Entity\\EntityAutocompleteMatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:41:\"plugin.manager.entity_reference_selection\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"plugin_form.factory\";s:295:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Plugin\\PluginFormFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:41:\"plugin.manager.entity_reference_selection\";s:544:\"a:3:{s:5:\"class\";s:66:\"Drupal\\Core\\Entity\\EntityReferenceSelection\\SelectionPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:20:\"plugin.manager.block\";s:622:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Block\\BlockManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:31:\"plugin.manager.field.field_type\";s:628:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Field\\FieldTypePluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:27:\"plugin.manager.field.widget\";s:638:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Field\\WidgetPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:30:\"plugin.manager.field.formatter\";s:641:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Field\\FormatterPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:23:\"plugin.manager.archiver\";s:617:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Archiver\\ArchiverManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:21:\"plugin.manager.action\";s:510:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Action\\ActionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:24:\"plugin.manager.menu.link\";s:1066:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"menu.tree_storage\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuTreeStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;s:9:\"menu_tree\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"menu_link.static.overrides\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:14:\"menu.link_tree\";s:1288:\"a:3:{s:5:\"class\";s:29:\"Drupal\\Core\\Menu\\MenuLinkTree\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"menu.tree_storage\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuTreeStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;s:9:\"menu_tree\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"menu.active_trail\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:30:\"menu.default_tree_manipulators\";s:522:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Menu\\DefaultMenuLinkTreeManipulators\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:17:\"menu.active_trail\";s:609:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuActiveTrail\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:25:\"menu.parent_form_selector\";s:519:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Menu\\MenuParentFormSelector\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"menu.link_tree\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:32:\"plugin.manager.menu.local_action\";s:1180:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;}\";s:30:\"plugin.manager.menu.local_task\";s:1178:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;}\";s:35:\"plugin.manager.menu.contextual_link\";s:938:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:30:\"plugin.manager.display_variant\";s:512:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Display\\VariantManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:27:\"plugin.manager.queue_worker\";s:514:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Queue\\QueueWorkerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:20:\"plugin.cache_clearer\";s:14572:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\Plugin\\CachedDiscoveryClearer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:50:\"drupal.proxy_original_service.plugin.cache_clearer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:5:\"calls\";a:57:{i:0;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"plugin.manager.link_relation_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:41:\"plugin.manager.entity_reference_selection\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"plugin.manager.block\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.field.widget\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.field.formatter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:8;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"plugin.manager.archiver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:9;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.action\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:10;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"plugin.manager.menu.local_action\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:11;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.menu.local_task\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:12;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"plugin.manager.menu.contextual_link\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:13;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.display_variant\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:14;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.queue_worker\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:15;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:16;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"validation.constraint\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:17;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"plugin.manager.mail\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:18;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.condition\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:19;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:20;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"image.toolkit.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:21;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"image.toolkit.operation.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:22;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"breakpoint.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:23;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.ckeditor.plugin\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:24;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"plugin.manager.component_builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:25;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:26;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:34:\"plugin.manager.ctools.relationship\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:27;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:28;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.field_group.formatters\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:29;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:30;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.help_section\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:31;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.image.effect\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:32;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:42:\"plugin.manager.language_negotiation_method\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:33;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.quickedit.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:34;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.search\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:35;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:43:\"plugin.manager.simplenews_recipient_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:36;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"plugin.manager.tour.tip\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:37;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.alias_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:38;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.views.access\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:39;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.views.area\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:40;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"plugin.manager.views.argument\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:41;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.views.argument_default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:42;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"plugin.manager.views.argument_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:43;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.cache\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:44;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.views.display_extender\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:45;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"plugin.manager.views.display\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:46;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"plugin.manager.views.exposed_form\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:47;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.field\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:48;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.views.filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:49;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.views.join\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:50;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.pager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:51;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.query\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:52;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"plugin.manager.views.relationship\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:53;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.views.row\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:54;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.views.sort\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:55;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.style\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:56;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.views.wizard\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:24:\"paramconverter.menu_link\";s:389:\"a:3:{s:5:\"class\";s:61:\"Drupal\\Core\\ProxyClass\\ParamConverter\\MenuLinkPluginConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:26:\"menu_link.static.overrides\";s:299:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Menu\\StaticMenuLinkOverrides\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:13:\"request_stack\";s:82:\"a:2:{s:5:\"class\";s:29:\"Drupal\\Core\\Http\\RequestStack\";s:15:\"arguments_count\";i:0;}\";s:19:\"current_route_match\";s:295:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Routing\\CurrentRouteMatch\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:16:\"event_dispatcher\";s:14719:\"a:3:{s:5:\"class\";s:62:\"Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:34:{s:22:\"routing.route_finished\";a:4:{i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:31:\"cache_router_rebuild_subscriber\";i:1;s:16:\"onRouterFinished\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"menu.rebuild_subscriber\";i:1;s:15:\"onRouterRebuild\";}}}i:0;a:4:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"router.route_provider\";i:1;s:5:\"reset\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"router.route_preloader\";i:1;s:16:\"onFinishedRoutes\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"router.path_roots_subscriber\";i:1;s:15:\"onRouteFinished\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"views.route_subscriber\";i:1;s:20:\"routeRebuildFinished\";}}}i:-3000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"router.route_provider.lazy_builder\";i:1;s:21:\"routerRebuildFinished\";}}}}s:11:\"config.save\";a:4:{i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:14:\"config.factory\";i:1;s:12:\"onConfigSave\";}}}i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"entity.query.config\";i:1;s:12:\"onConfigSave\";}}}i:20;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:12:\"onConfigSave\";}}}i:0;a:11:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"exception.fast_404_html\";i:1;s:12:\"onConfigSave\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"update.post_update_registry\";i:1;s:12:\"onConfigSave\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"color.config_cache_invalidator\";i:1;s:8:\"onChange\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"language.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:4;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"locale.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:5;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"node.admin_path.route_subscriber\";i:1;s:12:\"onConfigSave\";}}i:6;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:7;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"system.config_cache_tag\";i:1;s:6:\"onSave\";}}i:8;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.timezone_resolver\";i:1;s:12:\"onConfigSave\";}}i:9;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"system.advisories_config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:10;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"pathauto.settings_cache_tag\";i:1;s:6:\"onSave\";}}}}s:13:\"config.delete\";a:4:{i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:14:\"config.factory\";i:1;s:14:\"onConfigDelete\";}}}i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"entity.query.config\";i:1;s:14:\"onConfigDelete\";}}}i:20;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:14:\"onConfigDelete\";}}}i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"color.config_cache_invalidator\";i:1;s:8:\"onChange\";}}}}s:31:\"config.importer.missing_content\";a:1:{i:-1024;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"config.importer_subscriber\";i:1;s:16:\"onMissingContent\";}}}}s:14:\"kernel.request\";a:10:{i:1000;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"options_request_listener\";i:1;s:9:\"onRequest\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"redirect_leading_slashes_subscriber\";i:1;s:8:\"redirect\";}}}i:300;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:27:\"onKernelRequestAuthenticate\";}}}i:299;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.timezone_resolver\";i:1;s:18:\"setDefaultTimeZone\";}}}i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"language_request_subscriber\";i:1;s:23:\"onKernelRequestLanguage\";}}}i:50;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"ajax_response.subscriber\";i:1;s:9:\"onRequest\";}}}i:32;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"router_listener\";i:1;s:15:\"onKernelRequest\";}}}i:31;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:29:\"onKernelRequestFilterProvider\";}}}i:30;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"maintenance_mode_subscriber\";i:1;s:26:\"onKernelRequestMaintenance\";}}}i:27;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"dynamic_page_cache_subscriber\";i:1;s:9:\"onRequest\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"database.replica_kill_switch\";i:1;s:18:\"checkReplicaServer\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"router.route_preloader\";i:1;s:9:\"onRequest\";}}}}s:21:\"routing.route_dynamic\";a:2:{i:3000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"router.route_provider.lazy_builder\";i:1;s:16:\"routerRebuilding\";}}}i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"entity_route_subscriber\";i:1;s:19:\"onDynamicRouteEvent\";}}}}s:24:\"config.importer.validate\";a:3:{i:512;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.config_subscriber\";i:1;s:32:\"onConfigImporterValidateNotEmpty\";}}}i:256;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.config_subscriber\";i:1;s:32:\"onConfigImporterValidateSiteUUID\";}}}i:20;a:3:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:37:\"entity.bundle_config_import_validator\";i:1;s:24:\"onConfigImporterValidate\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"config_import_subscriber\";i:1;s:24:\"onConfigImporterValidate\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"config.config_subscriber\";i:1;s:24:\"onConfigImporterValidate\";}}}}s:19:\"routing.route_alter\";a:11:{i:5000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"route_http_method_subscriber\";i:1;s:15:\"onRouteBuilding\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"token.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:0;a:5:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"route_subscriber.module\";i:1;s:13:\"onAlterRoutes\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"route_special_attributes_subscriber\";i:1;s:13:\"onAlterRoutes\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"module_filter.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"node.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}i:4;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"node.admin_path.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"field_ui.subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-110;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"config_translation.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-150;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"route_subscriber.entity\";i:1;s:26:\"onRoutingRouteAlterSetType\";}}}i:-175;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"views.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"system.admin_path.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-210;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"field_group.subscriber\";i:1;s:13:\"onAlterRoutes\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"content_translation.subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-220;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"paramconverter_subscriber\";i:1;s:41:\"onRoutingRouteAlterSetParameterConverters\";}}}i:-1024;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"router.route_preloader\";i:1;s:13:\"onAlterRoutes\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"router.path_roots_subscriber\";i:1;s:12:\"onRouteAlter\";}}}}s:15:\"kernel.response\";a:9:{i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"exception.enforced_form_response\";i:1;s:16:\"onKernelResponse\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"dynamic_page_cache_subscriber\";i:1;s:10:\"onResponse\";}}}i:16;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"finish_response_subscriber\";i:1;s:13:\"onAllResponds\";}}}i:10;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"route_access_response_subscriber\";i:1;s:9:\"onRespond\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"client_error_response_subscriber\";i:1;s:9:\"onRespond\";}}}i:5;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"anonymous_user_response_subscriber\";i:1;s:9:\"onRespond\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:45:\"html_response.placeholder_strategy_subscriber\";i:1;s:9:\"onRespond\";}}}i:0;a:4:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"html_response.subscriber\";i:1;s:9:\"onRespond\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"finish_response_subscriber\";i:1;s:9:\"onRespond\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"response_generator_subscriber\";i:1;s:9:\"onRespond\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"redirect_response_subscriber\";i:1;s:16:\"checkRedirectUrl\";}}}i:-100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"ajax_response.subscriber\";i:1;s:10:\"onResponse\";}}}i:-512;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"response_filter.active_link\";i:1;s:10:\"onResponse\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"response_filter.rss.relative_url\";i:1;s:10:\"onResponse\";}}}i:-1000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"user.authentication.cookie\";i:1;s:13:\"addCheckToUrl\";}}}}s:16:\"kernel.exception\";a:13:{i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"exception.fast_404_html\";i:1;s:11:\"onException\";}}}i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"exception.enforced_form_response\";i:1;s:17:\"onKernelException\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"exception.needs_installer\";i:1;s:11:\"onException\";}}}i:80;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:23:\"onExceptionAccessDenied\";}}}i:75;a:3:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:31:\"route_enhancer.param_conversion\";i:1;s:11:\"onException\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:24:\"onExceptionSendChallenge\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"user_access_denied_subscriber\";i:1;s:11:\"onException\";}}}i:51;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:20:\"form_ajax_subscriber\";i:1;s:11:\"onException\";}}}i:50;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:16:\"exception.logger\";i:1;s:11:\"onException\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"maintenance_mode_subscriber\";i:1;s:26:\"onKernelRequestMaintenance\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:31:\"node.node_translation_exception\";i:1;s:11:\"onException\";}}}i:-50;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"exception.custom_page_html\";i:1;s:11:\"onException\";}}}i:-64;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"router_listener\";i:1;s:17:\"onKernelException\";}}}i:-75;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"exception.default_json\";i:1;s:11:\"onException\";}}}i:-128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"exception.default_html\";i:1;s:11:\"onException\";}}}i:-256;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"exception.final\";i:1;s:11:\"onException\";}}}}s:11:\"kernel.view\";a:3:{i:1;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:20:\"form_ajax_subscriber\";i:1;s:6:\"onView\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"psr_response_view_subscriber\";i:1;s:12:\"onKernelView\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"main_content_view_subscriber\";i:1;s:17:\"onViewRenderArray\";}}}i:-10;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:17:\"renderer_non_html\";i:1;s:9:\"onRespond\";}}}}s:21:\"kernel.finish_request\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"router_listener\";i:1;s:21:\"onKernelFinishRequest\";}}}}s:29:\"site.maintenance_mode_request\";a:2:{i:-900;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"user_maintenance_mode_subscriber\";i:1;s:24:\"onMaintenanceModeRequest\";}}}i:-1000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"maintenance_mode_subscriber\";i:1;s:24:\"onMaintenanceModeRequest\";}}}}s:16:\"kernel.terminate\";a:3:{i:300;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"user_last_access_subscriber\";i:1;s:17:\"onKernelTerminate\";}}}i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"path_alias.subscriber\";i:1;s:17:\"onKernelTerminate\";}}}i:100;a:3:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"request_close_subscriber\";i:1;s:11:\"onTerminate\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"kernel_destruct_subscriber\";i:1;s:17:\"onKernelTerminate\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"automated_cron.subscriber\";i:1;s:11:\"onTerminate\";}}}}s:22:\"config.importer.import\";a:1:{i:40;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"config_snapshot_subscriber\";i:1;s:22:\"onConfigImporterImport\";}}}}s:23:\"config.transform.import\";a:1:{i:-500;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:33:\"config_exclude_modules_subscriber\";i:1;s:23:\"onConfigTransformImport\";}}}}s:23:\"config.transform.export\";a:1:{i:500;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:33:\"config_exclude_modules_subscriber\";i:1;s:23:\"onConfigTransformExport\";}}}}s:17:\"kernel.controller\";a:2:{i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"path_alias.subscriber\";i:1;s:18:\"onKernelController\";}}}i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:45:\"early_rendering_controller_wrapper_subscriber\";i:1;s:12:\"onController\";}}}}s:34:\"render.page_display_variant.select\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:37:\"block.page_display_variant_subscriber\";i:1;s:26:\"onSelectPageDisplayVariant\";}}}}s:34:\"config_translation.populate_mapper\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:43:\"editor.config_translation_mapper_subscriber\";i:1;s:14:\"addConfigNames\";}}}}s:16:\"entity.duplicate\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"entity.entity_duplicate_subscriber\";i:1;s:17:\"onEntityDuplicate\";}}}}s:22:\"config.collection_info\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:14:\"addCollections\";}}}}s:13:\"config.rename\";a:1:{i:20;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:14:\"onConfigRename\";}}}}s:22:\"language.save_override\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"locale.config_subscriber\";i:1;s:16:\"onOverrideChange\";}}}}s:24:\"language.delete_override\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"locale.config_subscriber\";i:1;s:16:\"onOverrideChange\";}}}}s:23:\"locale.save_translation\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"locale.locale_translation_cache_tag\";i:1;s:15:\"saveTranslation\";}}}}s:11:\"account.set\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.timezone_resolver\";i:1;s:18:\"setDefaultTimeZone\";}}}}s:50:\"Drupal\\Core\\File\\Event\\FileUploadSanitizeNameEvent\";a:1:{i:-9223372036854775808;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"system.file_event.subscriber\";i:1;s:12:\"sanitizeName\";}}}}s:23:\"user.flood_blocked_user\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"user.flood_subscriber\";i:1;s:11:\"blockedUser\";}}}}s:21:\"user.flood_blocked_ip\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"user.flood_subscriber\";i:1;s:9:\"blockedIp\";}}}}s:29:\"entity_type.definition.create\";a:1:{i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"views.entity_schema_subscriber\";i:1;s:17:\"onEntityTypeEvent\";}}}}s:29:\"entity_type.definition.update\";a:1:{i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"views.entity_schema_subscriber\";i:1;s:17:\"onEntityTypeEvent\";}}}}s:29:\"entity_type.definition.delete\";a:1:{i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"views.entity_schema_subscriber\";i:1;s:17:\"onEntityTypeEvent\";}}}}s:55:\"kernel.container.finish_container_initialize_subrequest\";a:1:{i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"language_request_subscriber\";i:1;s:39:\"onContainerInitializeSubrequestFinished\";}}}}}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:8:\"app.root\";s:509:\"a:3:{s:5:\"class\";s:10:\"\\SplString\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:16:\"app.root.factory\";s:5:\"value\";a:4:{s:5:\"class\";s:26:\"Drupal\\Core\\AppRootFactory\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}i:1;s:3:\"get\";}}\";s:9:\"site.path\";s:511:\"a:3:{s:5:\"class\";s:10:\"\\SplString\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"site.path.factory\";s:5:\"value\";a:4:{s:5:\"class\";s:27:\"Drupal\\Core\\SitePathFactory\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}i:1;s:3:\"get\";}}\";s:19:\"controller_resolver\";s:417:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Controller\\ControllerResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"psr7.http_message_factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"class_resolver\";s:347:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\DependencyInjection\\ClassResolver\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"title_resolver\";s:542:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Controller\\TitleResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:11:\"http_kernel\";s:1090:\"a:3:{s:5:\"class\";s:23:\"Stack\\StackedHttpKernel\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"http_middleware.negotiation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"http_middleware.negotiation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"http_middleware.reverse_proxy\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"http_middleware.page_cache\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"http_middleware.kernel_pre_handle\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"http_middleware.session\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"http_kernel.basic\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:17:\"http_kernel.basic\";s:663:\"a:4:{s:5:\"class\";s:39:\"Symfony\\Component\\HttpKernel\\HttpKernel\";s:4:\"lazy\";b:1;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:40:\"http_kernel.controller.argument_resolver\";s:2302:\"a:3:{s:5:\"class\";s:56:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__aVVgmTsbLy2mehkCW1XkPCxoNfAe-gToi9ed1epV65A\";s:5:\"value\";a:3:{s:5:\"class\";s:71:\"Symfony\\Component\\HttpKernel\\ControllerMetadata\\ArgumentMetadataFactory\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__4paxHwrBqZgLMOLaRrJsmOfZ3q3b8GmysfCJVR59dww\";s:5:\"value\";a:3:{s:5:\"class\";s:86:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\RequestAttributeValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__s9WvKxAAioSxnrbszotBL4p3vALnLB-MHJQxkpMqIAU\";s:5:\"value\";a:3:{s:5:\"class\";s:77:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\RequestValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__eDpbPL4wwnQyhPmwwLlalHD-HQzju54CeEhnePoq77M\";s:5:\"value\";a:4:{s:5:\"class\";s:64:\"Drupal\\Core\\Controller\\ArgumentResolver\\Psr7RequestValueResolver\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"psr7.http_message_factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__jmHlQ8DenPOz2Y1rQPf6wcbGV3XZvwuMnC6wCu8cgXM\";s:5:\"value\";a:3:{s:5:\"class\";s:63:\"Drupal\\Core\\Controller\\ArgumentResolver\\RouteMatchValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__E5RB7EPjMp2Q_miXb0vh6M0K5wUh779hDQkqBCZjB2g\";s:5:\"value\";a:3:{s:5:\"class\";s:77:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\DefaultValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"http_middleware.negotiation\";s:447:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\StackMiddleware\\NegotiationMiddleware\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"http_middleware.reverse_proxy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:14:\"registerFormat\";i:1;a:2:{i:0;s:3:\"bin\";i:1;a:1:{i:0;s:24:\"application/octet-stream\";}}}}}\";s:29:\"http_middleware.reverse_proxy\";s:420:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"http_middleware.page_cache\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:33:\"http_middleware.kernel_pre_handle\";s:423:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\StackMiddleware\\KernelPreHandle\";s:4:\"lazy\";b:1;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"http_middleware.session\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:23:\"http_middleware.session\";s:561:\"a:5:{s:5:\"class\";s:35:\"Drupal\\Core\\StackMiddleware\\Session\";s:4:\"lazy\";b:1;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"http_kernel.basic\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:28:\"psr7.http_foundation_factory\";s:112:\"a:2:{s:5:\"class\";s:59:\"Symfony\\Bridge\\PsrHttpMessage\\Factory\\HttpFoundationFactory\";s:15:\"arguments_count\";i:0;}\";s:25:\"psr7.http_message_factory\";s:1244:\"a:3:{s:5:\"class\";s:52:\"Symfony\\Bridge\\PsrHttpMessage\\Factory\\PsrHttpFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__Q1ZW9d-4zQaM9-PvPak8VjhEaAkCzGy--a8QZDTNMAc\";s:5:\"value\";a:3:{s:5:\"class\";s:38:\"Laminas\\Diactoros\\ServerRequestFactory\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__9xxEGJ93CDA8wf36RuX6ihhjHblQ_4bDB3Q-Sjf6U3o\";s:5:\"value\";a:3:{s:5:\"class\";s:31:\"Laminas\\Diactoros\\StreamFactory\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__87VZ3oIhxtLVlhqHy5ZlsKTNmzPqgMLYq2UReCUWpZU\";s:5:\"value\";a:3:{s:5:\"class\";s:37:\"Laminas\\Diactoros\\UploadedFileFactory\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__NS93cXnV98CBJVbkFdgjTG2p4MYnD4vdFtrnDSJfnuo\";s:5:\"value\";a:3:{s:5:\"class\";s:33:\"Laminas\\Diactoros\\ResponseFactory\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:16:\"language_manager\";s:745:\"a:3:{s:5:\"class\";s:43:\"Drupal\\language\\ConfigurableLanguageManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"language.config_factory_override\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:33:\"language.current_language_context\";s:320:\"a:3:{s:5:\"class\";s:59:\"Drupal\\Core\\Language\\ContextProvider\\CurrentLanguageContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:16:\"language.default\";s:281:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Language\\LanguageDefault\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:23:\"language.default_values\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:32:\"string_translator.custom_strings\";s:306:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\StringTranslation\\Translator\\CustomStrings\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:18:\"string_translation\";s:837:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\StringTranslation\\TranslationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:13:\"addTranslator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"string_translator.custom_strings\";s:15:\"invalidBehavior\";i:1;}i:1;i:30;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:13:\"addTranslator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"string_translator.locale.lookup\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:18:\"typed_data_manager\";s:893:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\TypedData\\TypedDataManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:30:\"setValidationConstraintManager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"validation.constraint\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:21:\"validation.constraint\";s:518:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Validation\\ConstraintManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:4:\"lock\";s:355:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\ProxyClass\\Lock\\DatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:34:\"drupal.proxy_original_service.lock\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:15:\"lock.persistent\";s:376:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\ProxyClass\\Lock\\PersistentDatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:45:\"drupal.proxy_original_service.lock.persistent\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:22:\"router.request_context\";s:336:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Routing\\RequestContext\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:16:\"fromRequestStack\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:20:\"router.admin_context\";s:296:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\AdminContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"router.route_provider\";s:940:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Routing\\RouteProvider\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:6;s:6:\"router\";i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}\";s:34:\"router.route_provider.lazy_builder\";s:416:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Routing\\RouteProviderLazyBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:22:\"router.route_preloader\";s:503:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Routing\\RoutePreloader\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:13:\"url_generator\";s:1692:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Render\\MetadataBubblingUrlGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__zpo0hTnDUvjD5VJF99cYFfEg3efThaha5qz1wHgNfRA\";s:5:\"value\";a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\UrlGenerator\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"route_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:16:\"filter_protocols\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:10:\"setContext\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:3;}}s:7:\"resolve\";b:1;}}}}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:10:\"setContext\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:3;}}s:7:\"resolve\";b:1;}}}}\";s:20:\"redirect.destination\";s:402:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Routing\\RedirectDestination\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:22:\"unrouted_url_assembler\";s:497:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Utility\\UnroutedUrlAssembler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:16:\"filter_protocols\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:14:\"link_generator\";s:496:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Utility\\LinkGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:6:\"router\";s:515:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Routing\\AccessAwareRouter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:23:\"router.no_access_checks\";s:2929:\"a:4:{s:5:\"class\";s:27:\"\\Drupal\\Core\\Routing\\Router\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:5:\"calls\";a:10:{i:0;a:2:{i:0;s:10:\"setContext\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"route_enhancer.param_conversion\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"route_enhancer.entity\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"route_enhancer.form\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"route_enhancer.entity_bundle\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"route_enhancer.entity_revision\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"ctools.wizard_enhancer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:14:\"addRouteFilter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"method_filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:8;a:2:{i:0;s:14:\"addRouteFilter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"content_type_header_matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:9;a:2:{i:0;s:14:\"addRouteFilter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"request_format_route_filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:28:\"router.path_roots_subscriber\";s:296:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\EventSubscriber\\PathRootsSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"entity.query.config\";s:508:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Config\\Entity\\Query\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:16:\"entity.query.sql\";s:293:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Entity\\Query\\Sql\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:22:\"pgsql.entity.query.sql\";s:299:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Entity\\Query\\Sql\\pgsql\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:17:\"entity.query.null\";s:95:\"a:2:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\Query\\Null\\QueryFactory\";s:15:\"arguments_count\";i:0;}\";s:21:\"entity.query.keyvalue\";s:303:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\Entity\\KeyValueStore\\Query\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:13:\"router.dumper\";s:361:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\ProxyClass\\Routing\\MatcherDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:43:\"drupal.proxy_original_service.router.dumper\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"router.builder\";s:361:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\ProxyClass\\Routing\\RouteBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:44:\"drupal.proxy_original_service.router.builder\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:23:\"menu.rebuild_subscriber\";s:638:\"a:3:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\MenuRouterRebuildSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"database.replica_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:12:\"path.matcher\";s:398:\"a:3:{s:5:\"class\";s:28:\"Drupal\\Core\\Path\\PathMatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"path.validator\";s:613:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Path\\PathValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"router\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:8:\"password\";s:125:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Password\\PhpassHashedPassword\";s:9:\"arguments\";a:1:{i:0;i:16;}s:15:\"arguments_count\";i:1;}\";s:18:\"password_generator\";s:98:\"a:2:{s:5:\"class\";s:45:\"Drupal\\Core\\Password\\DefaultPasswordGenerator\";s:15:\"arguments_count\";i:0;}\";s:27:\"request_format_route_filter\";s:97:\"a:2:{s:5:\"class\";s:44:\"Drupal\\Core\\Routing\\RequestFormatRouteFilter\";s:15:\"arguments_count\";i:0;}\";s:13:\"method_filter\";s:85:\"a:2:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\MethodFilter\";s:15:\"arguments_count\";i:0;}\";s:27:\"content_type_header_matcher\";s:97:\"a:2:{s:5:\"class\";s:44:\"Drupal\\Core\\Routing\\ContentTypeHeaderMatcher\";s:15:\"arguments_count\";i:0;}\";s:22:\"paramconverter_manager\";s:2891:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\ParamConverter\\ParamConverterManager\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:9:{i:0;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";s:15:\"invalidBehavior\";i:1;}i:1;s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";s:15:\"invalidBehavior\";i:1;}i:1;s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"paramconverter.entity\";s:15:\"invalidBehavior\";i:1;}i:1;s:21:\"paramconverter.entity\";}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"paramconverter.entity_revision\";s:15:\"invalidBehavior\";i:1;}i:1;s:30:\"paramconverter.entity_revision\";}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"ctools.paramconverter.tempstore\";s:15:\"invalidBehavior\";i:1;}i:1;s:31:\"ctools.paramconverter.tempstore\";}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"field_group.param_converter\";s:15:\"invalidBehavior\";i:1;}i:1;s:27:\"field_group.param_converter\";}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";s:15:\"invalidBehavior\";i:1;}i:1;s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:48:\"drupal.proxy_original_service.language_converter\";s:15:\"invalidBehavior\";i:1;}i:1;s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"resolve\";b:1;}}i:8;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:42:\"drupal.proxy_original_service.node_preview\";s:15:\"invalidBehavior\";i:1;}i:1;s:42:\"drupal.proxy_original_service.node_preview\";}s:7:\"resolve\";b:1;}}}}\";s:25:\"paramconverter_subscriber\";s:319:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\ParamConverterSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"paramconverter_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"paramconverter.entity\";s:415:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\ParamConverter\\EntityConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:30:\"paramconverter.entity_revision\";s:428:\"a:3:{s:5:\"class\";s:55:\"Drupal\\Core\\ParamConverter\\EntityRevisionParamConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:33:\"paramconverter.configentity_admin\";s:405:\"a:3:{s:5:\"class\";s:68:\"Drupal\\Core\\ProxyClass\\ParamConverter\\AdminPathConfigEntityConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:23:\"route_subscriber.module\";s:308:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\EventSubscriber\\ModuleRouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"resolver_manager.entity\";s:410:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Entity\\EntityResolverManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:23:\"route_subscriber.entity\";s:322:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\EventSubscriber\\EntityRouteAlterSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"resolver_manager.entity\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:24:\"ajax_response.subscriber\";s:330:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\AjaxResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"ajax_response.attachments_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:20:\"form_ajax_subscriber\";s:532:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\Form\\EventSubscriber\\FormAjaxSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"form_ajax_response_builder\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:31:\"route_enhancer.param_conversion\";s:319:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\Routing\\Enhancer\\ParamConversionEnhancer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"paramconverter_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"route_enhancer.form\";s:99:\"a:2:{s:5:\"class\";s:46:\"Drupal\\Core\\Routing\\Enhancer\\FormRouteEnhancer\";s:15:\"arguments_count\";i:0;}\";s:21:\"route_enhancer.entity\";s:100:\"a:2:{s:5:\"class\";s:47:\"Drupal\\Core\\Entity\\Enhancer\\EntityRouteEnhancer\";s:15:\"arguments_count\";i:0;}\";s:28:\"route_enhancer.entity_bundle\";s:317:\"a:3:{s:5:\"class\";s:53:\"Drupal\\Core\\Entity\\Enhancer\\EntityBundleRouteEnhancer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"route_enhancer.entity_revision\";s:109:\"a:2:{s:5:\"class\";s:56:\"Drupal\\Core\\Routing\\Enhancer\\EntityRevisionRouteEnhancer\";s:15:\"arguments_count\";i:0;}\";s:35:\"route_special_attributes_subscriber\";s:113:\"a:2:{s:5:\"class\";s:60:\"Drupal\\Core\\EventSubscriber\\SpecialAttributesRouteSubscriber\";s:15:\"arguments_count\";i:0;}\";s:28:\"route_http_method_subscriber\";s:102:\"a:2:{s:5:\"class\";s:49:\"Drupal\\Core\\EventSubscriber\\RouteMethodSubscriber\";s:15:\"arguments_count\";i:0;}\";s:28:\"psr_response_view_subscriber\";s:322:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\EventSubscriber\\PsrResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"psr7.http_foundation_factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:28:\"main_content_view_subscriber\";s:514:\"a:3:{s:5:\"class\";s:53:\"Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:22:\"main_content_renderers\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:17:\"renderer_non_html\";s:109:\"a:2:{s:5:\"class\";s:56:\"Drupal\\Core\\EventSubscriber\\RenderArrayNonHtmlSubscriber\";s:15:\"arguments_count\";i:0;}\";s:26:\"main_content_renderer.html\";s:1030:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Render\\MainContent\\HtmlRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.display_variant\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"render_cache\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}\";s:26:\"main_content_renderer.ajax\";s:414:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Render\\MainContent\\AjaxRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:28:\"main_content_renderer.dialog\";s:403:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\Render\\MainContent\\DialogRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:32:\"main_content_renderer.off_canvas\";s:406:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Render\\MainContent\\OffCanvasRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:36:\"main_content_renderer.off_canvas_top\";s:420:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Render\\MainContent\\OffCanvasRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:2;s:3:\"top\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:27:\"main_content_renderer.modal\";s:402:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Render\\MainContent\\ModalRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:15:\"controller.form\";s:536:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Controller\\HtmlFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:22:\"controller.entity_form\";s:543:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Entity\\HtmlEntityFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:26:\"form_ajax_response_builder\";s:422:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Form\\FormAjaxResponseBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"main_content_renderer.ajax\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:15:\"router_listener\";s:532:\"a:3:{s:5:\"class\";s:57:\"Symfony\\Component\\HttpKernel\\EventListener\\RouterListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"router\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}i:3;N;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:24:\"options_request_listener\";s:318:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\OptionsRequestSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"bare_html_page_renderer\";s:377:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\ProxyClass\\Render\\BareHtmlPageRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:53:\"drupal.proxy_original_service.bare_html_page_renderer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:11:\"private_key\";s:271:\"a:3:{s:5:\"class\";s:22:\"Drupal\\Core\\PrivateKey\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:10:\"csrf_token\";s:413:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Access\\CsrfTokenGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"private_key\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"session_manager.metadata_bag\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:33:\"access_arguments_resolver_factory\";s:102:\"a:2:{s:5:\"class\";s:49:\"Drupal\\Core\\Access\\AccessArgumentsResolverFactory\";s:15:\"arguments_count\";i:0;}\";s:14:\"access_manager\";s:5875:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Access\\AccessManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"paramconverter_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"access_arguments_resolver_factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:29:\"access_manager.check_provider\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Access\\CheckProvider\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:5:\"calls\";a:32:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:20:\"access_check.default\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:7:\"_access\";}i:3;b:0;}}i:2;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.entity\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_entity_access\";}i:3;b:0;}}i:3;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:27:\"access_check.entity_bundles\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:15:\"_entity_bundles\";}i:3;b:0;}}i:4;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.entity_create\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_entity_create_access\";}i:3;b:0;}}i:5;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.entity_create_any\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:25:\"_entity_create_any_access\";}i:3;b:0;}}i:6;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.entity_delete_multiple\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_entity_delete_multiple_access\";}i:3;b:0;}}i:7;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:18:\"access_check.theme\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:13:\"_access_theme\";}i:3;b:0;}}i:8;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.custom\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_custom_access\";}i:3;b:0;}}i:9;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.csrf\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_csrf_token\";}i:3;b:1;}}i:10;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:24:\"access_check.header.csrf\";i:1;s:6:\"access\";i:2;a:0:{}i:3;b:1;}}i:11;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"config_translation.access.overview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:35:\"_config_translation_overview_access\";}i:3;b:0;}}i:12;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"config_translation.access.form\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:31:\"_config_translation_form_access\";}i:3;b:0;}}i:13;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:29:\"access_check.contact_personal\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:28:\"_access_contact_personal_tab\";}i:3;b:0;}}i:14;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:13:\"ctools.access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_ctools_access\";}i:3;b:0;}}i:15;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_checker.entity_revision\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:23:\"_entity_access_revision\";}i:3;b:0;}}i:16;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.view_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_view_mode_access\";}i:3;b:0;}}i:17;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.form_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_form_mode_access\";}i:3;b:0;}}i:18;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.node.revision\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_node_revision\";}i:3;b:0;}}i:19;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:21:\"access_check.node.add\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:16:\"_node_add_access\";}i:3;b:0;}}i:20;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:25:\"access_check.node.preview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:20:\"_node_preview_access\";}i:3;b:0;}}i:21;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.quickedit.entity_field\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_access_quickedit_entity_field\";}i:3;b:0;}}i:22;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.cron\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:19:\"_access_system_cron\";}i:3;b:0;}}i:23;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.db_update\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_system_update\";}i:3;b:0;}}i:24;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"access_check.update.manager_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:22:\"_access_update_manager\";}i:3;b:0;}}i:25;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:23:\"access_check.permission\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_permission\";}i:3;b:0;}}i:26;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.user.register\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_user_register\";}i:3;b:0;}}i:27;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.user.role\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:5:\"_role\";}i:3;b:0;}}i:28;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.user.login_status\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:18:\"_user_is_logged_in\";}i:3;b:0;}}i:29;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.delete_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_delete\";}i:3;b:0;}}i:30;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"content_translation.overview_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:36:\"_access_content_translation_overview\";}i:3;b:0;}}i:31;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.manage_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_manage\";}i:3;b:0;}}}}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:20:\"access_check.default\";s:90:\"a:2:{s:5:\"class\";s:37:\"Drupal\\Core\\Access\\DefaultAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:19:\"access_check.entity\";s:89:\"a:2:{s:5:\"class\";s:36:\"Drupal\\Core\\Entity\\EntityAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:27:\"access_check.entity_bundles\";s:95:\"a:2:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\EntityBundleAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:26:\"access_check.entity_create\";s:306:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\EntityCreateAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"access_check.entity_create_any\";s:424:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\Entity\\EntityCreateAnyAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:35:\"access_check.entity_delete_multiple\";s:528:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\Entity\\EntityDeleteMultipleAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"tempstore.private\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:18:\"access_check.theme\";s:292:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Theme\\ThemeAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"access_check.custom\";s:425:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Access\\CustomAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"access_arguments_resolver_factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:17:\"access_check.csrf\";s:289:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Access\\CsrfAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:24:\"access_check.header.csrf\";s:415:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Access\\CsrfRequestHeaderAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:16:\"maintenance_mode\";s:387:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Site\\MaintenanceMode\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"maintenance_mode_subscriber\";s:1062:\"a:3:{s:5:\"class\";s:53:\"Drupal\\Core\\EventSubscriber\\MaintenanceModeSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"maintenance_mode\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"bare_html_page_renderer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}\";s:32:\"route_access_response_subscriber\";s:110:\"a:2:{s:5:\"class\";s:57:\"Drupal\\Core\\EventSubscriber\\RouteAccessResponseSubscriber\";s:15:\"arguments_count\";i:0;}\";s:32:\"client_error_response_subscriber\";s:110:\"a:2:{s:5:\"class\";s:57:\"Drupal\\Core\\EventSubscriber\\ClientErrorResponseSubscriber\";s:15:\"arguments_count\";i:0;}\";s:34:\"anonymous_user_response_subscriber\";s:316:\"a:3:{s:5:\"class\";s:59:\"Drupal\\Core\\EventSubscriber\\AnonymousUserResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:35:\"ajax_response.attachments_processor\";s:965:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\Ajax\\AjaxResponseAttachmentsProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"asset.resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"asset.css.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"asset.js.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:35:\"html_response.attachments_processor\";s:967:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"asset.resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"asset.css.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"asset.js.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:24:\"html_response.subscriber\";s:330:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"html_response.attachments_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:26:\"finish_response_subscriber\";s:776:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\FinishResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"page_cache_response_policy\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_contexts_manager\";s:15:\"invalidBehavior\";i:1;}i:5;b:0;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:29:\"response_generator_subscriber\";s:108:\"a:2:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\ResponseGeneratorSubscriber\";s:15:\"arguments_count\";i:0;}\";s:28:\"redirect_response_subscriber\";s:435:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\EventSubscriber\\RedirectResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"unrouted_url_assembler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:35:\"redirect_leading_slashes_subscriber\";s:113:\"a:2:{s:5:\"class\";s:60:\"Drupal\\Core\\EventSubscriber\\RedirectLeadingSlashesSubscriber\";s:15:\"arguments_count\";i:0;}\";s:24:\"request_close_subscriber\";s:309:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\RequestCloseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:24:\"config_import_subscriber\";s:2691:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\ConfigImportSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:5:\"calls\";a:8:{i:0;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"entity.bundle_plugin.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:57:\"drupal.proxy_original_service.content_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:65:\"drupal.proxy_original_service.database_driver_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:55:\"drupal.proxy_original_service.field.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:55:\"drupal.proxy_original_service.forum.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:26:\"config_snapshot_subscriber\";s:532:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\ConfigSnapshotSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"config.storage.snapshot\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:33:\"config_exclude_modules_subscriber\";s:522:\"a:3:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\ExcludedModulesEventSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"exception.needs_installer\";s:317:\"a:3:{s:5:\"class\";s:65:\"Drupal\\Core\\EventSubscriber\\ExceptionDetectNeedsInstallSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:22:\"exception.default_json\";s:104:\"a:2:{s:5:\"class\";s:51:\"Drupal\\Core\\EventSubscriber\\ExceptionJsonSubscriber\";s:15:\"arguments_count\";i:0;}\";s:22:\"exception.default_html\";s:651:\"a:3:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_kernel\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"logger.channel.php\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"redirect.destination\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:15:\"exception.final\";s:311:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\FinalExceptionSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:16:\"exception.logger\";s:313:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\EventSubscriber\\ExceptionLoggingSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:26:\"exception.custom_page_html\";s:866:\"a:3:{s:5:\"class\";s:61:\"Drupal\\Core\\EventSubscriber\\CustomPageExceptionHtmlSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_kernel\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"logger.channel.php\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"redirect.destination\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:23:\"exception.fast_404_html\";s:431:\"a:3:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\Fast404ExceptionHtmlSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:32:\"exception.enforced_form_response\";s:111:\"a:2:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\EnforcedFormResponseSubscriber\";s:15:\"arguments_count\";i:0;}\";s:23:\"route_processor_manager\";s:606:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\RouteProcessor\\RouteProcessorManager\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"route_processor_current\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"route_processor_csrf\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:22:\"path_processor_manager\";s:2080:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\PathProcessor\\PathProcessorManager\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:8:{i:0;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_processor_decode\";s:15:\"invalidBehavior\";i:1;}i:1;i:1000;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"path_processor.image_styles\";s:15:\"invalidBehavior\";i:1;}i:1;i:300;}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"path_processor_language\";s:15:\"invalidBehavior\";i:1;}i:1;i:300;}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_processor_front\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_processor.files\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"path_alias.path_processor\";s:15:\"invalidBehavior\";i:1;}i:1;i:100;}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"path_alias.path_processor\";s:15:\"invalidBehavior\";i:1;}i:1;i:300;}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"path_processor_language\";s:15:\"invalidBehavior\";i:1;}i:1;i:100;}s:7:\"resolve\";b:1;}}}}\";s:21:\"path_processor_decode\";s:98:\"a:2:{s:5:\"class\";s:45:\"Drupal\\Core\\PathProcessor\\PathProcessorDecode\";s:15:\"arguments_count\";i:0;}\";s:20:\"path_processor_front\";s:303:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\PathProcessor\\PathProcessorFront\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"route_processor_current\";s:312:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\RouteProcessor\\RouteProcessorCurrent\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:20:\"route_processor_csrf\";s:292:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Access\\RouteProcessorCsrf\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:15:\"transliteration\";s:311:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Transliteration\\PhpTransliteration\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;N;i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:5:\"flood\";s:390:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Flood\\DatabaseBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:19:\"plugin.manager.mail\";s:927:\"a:3:{s:5:\"class\";s:28:\"Drupal\\Core\\Mail\\MailManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:24:\"plugin.manager.condition\";s:516:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Condition\\ConditionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:27:\"plugin.manager.element_info\";s:734:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Render\\ElementInfoManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:22:\"stream_wrapper_manager\";s:822:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\StreamWrapper\\StreamWrapperManager\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:4:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:21:\"stream_wrapper.public\";i:1;s:38:\"Drupal\\Core\\StreamWrapper\\PublicStream\";i:2;s:6:\"public\";}}i:2;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:24:\"stream_wrapper.temporary\";i:1;s:41:\"Drupal\\Core\\StreamWrapper\\TemporaryStream\";i:2;s:9:\"temporary\";}}i:3;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:27:\"stream_wrapper.translations\";i:1;s:46:\"Drupal\\locale\\StreamWrapper\\TranslationsStream\";i:2;s:12:\"translations\";}}}}\";s:21:\"stream_wrapper.public\";s:91:\"a:2:{s:5:\"class\";s:38:\"Drupal\\Core\\StreamWrapper\\PublicStream\";s:15:\"arguments_count\";i:0;}\";s:24:\"stream_wrapper.temporary\";s:94:\"a:2:{s:5:\"class\";s:41:\"Drupal\\Core\\StreamWrapper\\TemporaryStream\";s:15:\"arguments_count\";i:0;}\";s:26:\"kernel_destruct_subscriber\";s:1038:\"a:3:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\KernelDestructionSubscriber\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:9:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:17:\"menu.active_trail\";}}i:2;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:14:\"theme.registry\";}}i:3;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:27:\"library.discovery.collector\";}}i:4;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:25:\"block_content.uuid_lookup\";}}i:5;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:31:\"string_translator.locale.lookup\";}}i:6;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:20:\"path_alias.whitelist\";}}i:7;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:31:\"simplenews.subscription_manager\";}}i:8;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:44:\"drupal.proxy_original_service.router.builder\";}}}}\";s:21:\"image.toolkit.manager\";s:628:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\ImageToolkit\\ImageToolkitManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:31:\"image.toolkit.operation.manager\";s:756:\"a:3:{s:5:\"class\";s:53:\"Drupal\\Core\\ImageToolkit\\ImageToolkitOperationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"logger.channel.image\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"image.toolkit.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:13:\"image.factory\";s:296:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Image\\ImageFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"image.toolkit.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:10:\"breadcrumb\";s:1791:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Breadcrumb\\BreadcrumbManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:6:{i:0;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"component_builder.breadcrumb\";s:15:\"invalidBehavior\";i:1;}i:1;i:1003;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"taxonomy_term.breadcrumb\";s:15:\"invalidBehavior\";i:1;}i:1;i:1002;}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"forum.breadcrumb.node\";s:15:\"invalidBehavior\";i:1;}i:1;i:1001;}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"forum.breadcrumb.listing\";s:15:\"invalidBehavior\";i:1;}i:1;i:1001;}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"comment.breadcrumb\";s:15:\"invalidBehavior\";i:1;}i:1;i:100;}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"system.breadcrumb.default\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:5:\"token\";s:704:\"a:3:{s:5:\"class\";s:19:\"\\Drupal\\token\\Token\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:13:\"batch.storage\";s:358:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\ProxyClass\\Batch\\BatchStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:43:\"drupal.proxy_original_service.batch.storage\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:15:\"country_manager\";s:292:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Locale\\CountryManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:14:\"date.formatter\";s:727:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Datetime\\DateFormatter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:18:\"feed.bridge.reader\";s:505:\"a:4:{s:5:\"class\";s:53:\"Drupal\\Component\\Bridge\\ZfExtensionManagerSfContainer\";s:9:\"arguments\";a:1:{i:0;s:12:\"feed.reader.\";}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:13:\"setStandalone\";i:1;a:1:{i:0;s:47:\"\\Laminas\\Feed\\Reader\\StandaloneExtensionManager\";}}}}\";s:18:\"feed.bridge.writer\";s:505:\"a:4:{s:5:\"class\";s:53:\"Drupal\\Component\\Bridge\\ZfExtensionManagerSfContainer\";s:9:\"arguments\";a:1:{i:0;s:12:\"feed.writer.\";}s:15:\"arguments_count\";i:1;s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:13:\"setStandalone\";i:1;a:1:{i:0;s:47:\"\\Laminas\\Feed\\Writer\\StandaloneExtensionManager\";}}}}\";s:27:\"feed.reader.dublincoreentry\";s:116:\"a:3:{s:5:\"class\";s:46:\"Laminas\\Feed\\Reader\\Extension\\DublinCore\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:26:\"feed.reader.dublincorefeed\";s:115:\"a:3:{s:5:\"class\";s:45:\"Laminas\\Feed\\Reader\\Extension\\DublinCore\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:24:\"feed.reader.contententry\";s:113:\"a:3:{s:5:\"class\";s:43:\"Laminas\\Feed\\Reader\\Extension\\Content\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:21:\"feed.reader.atomentry\";s:110:\"a:3:{s:5:\"class\";s:40:\"Laminas\\Feed\\Reader\\Extension\\Atom\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:20:\"feed.reader.atomfeed\";s:109:\"a:3:{s:5:\"class\";s:39:\"Laminas\\Feed\\Reader\\Extension\\Atom\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:22:\"feed.reader.slashentry\";s:111:\"a:3:{s:5:\"class\";s:41:\"Laminas\\Feed\\Reader\\Extension\\Slash\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:30:\"feed.reader.wellformedwebentry\";s:119:\"a:3:{s:5:\"class\";s:49:\"Laminas\\Feed\\Reader\\Extension\\WellFormedWeb\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:23:\"feed.reader.threadentry\";s:112:\"a:3:{s:5:\"class\";s:42:\"Laminas\\Feed\\Reader\\Extension\\Thread\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:24:\"feed.reader.podcastentry\";s:113:\"a:3:{s:5:\"class\";s:43:\"Laminas\\Feed\\Reader\\Extension\\Podcast\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:23:\"feed.reader.podcastfeed\";s:112:\"a:3:{s:5:\"class\";s:42:\"Laminas\\Feed\\Reader\\Extension\\Podcast\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:28:\"feed.writer.atomrendererfeed\";s:118:\"a:3:{s:5:\"class\";s:48:\"Laminas\\Feed\\Writer\\Extension\\Atom\\Renderer\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:32:\"feed.writer.contentrendererentry\";s:122:\"a:3:{s:5:\"class\";s:52:\"Laminas\\Feed\\Writer\\Extension\\Content\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:35:\"feed.writer.dublincorerendererentry\";s:125:\"a:3:{s:5:\"class\";s:55:\"Laminas\\Feed\\Writer\\Extension\\DublinCore\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:34:\"feed.writer.dublincorerendererfeed\";s:124:\"a:3:{s:5:\"class\";s:54:\"Laminas\\Feed\\Writer\\Extension\\DublinCore\\Renderer\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:23:\"feed.writer.itunesentry\";s:112:\"a:3:{s:5:\"class\";s:42:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:22:\"feed.writer.itunesfeed\";s:111:\"a:3:{s:5:\"class\";s:41:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:31:\"feed.writer.itunesrendererentry\";s:121:\"a:3:{s:5:\"class\";s:51:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:30:\"feed.writer.itunesrendererfeed\";s:120:\"a:3:{s:5:\"class\";s:50:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Renderer\\Feed\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:30:\"feed.writer.slashrendererentry\";s:120:\"a:3:{s:5:\"class\";s:50:\"Laminas\\Feed\\Writer\\Extension\\Slash\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:34:\"feed.writer.threadingrendererentry\";s:124:\"a:3:{s:5:\"class\";s:54:\"Laminas\\Feed\\Writer\\Extension\\Threading\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:38:\"feed.writer.wellformedwebrendererentry\";s:128:\"a:3:{s:5:\"class\";s:58:\"Laminas\\Feed\\Writer\\Extension\\WellFormedWeb\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:6:\"shared\";b:0;}\";s:13:\"theme.manager\";s:802:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Theme\\ThemeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"theme.negotiator\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"theme.initialization\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:16:\"setThemeRegistry\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"theme.registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:20:\"theme.initialization\";s:551:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Theme\\ThemeInitialization\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:14:\"theme.registry\";s:1213:\"a:4:{s:5:\"class\";s:26:\"Drupal\\Core\\Theme\\Registry\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"theme.initialization\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:15:\"setThemeManager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"authentication\";s:317:\"a:3:{s:5:\"class\";s:48:\"Drupal\\Core\\Authentication\\AuthenticationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"authentication_collector\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:24:\"authentication_collector\";s:393:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\Authentication\\AuthenticationCollector\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:11:\"addProvider\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"user.authentication.cookie\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"cookie\";i:2;i:0;i:3;b:1;}s:7:\"resolve\";b:1;}}}}\";s:25:\"authentication_subscriber\";s:415:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\AuthenticationSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"authentication\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:16:\"account_switcher\";s:410:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Session\\AccountSwitcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"session_handler.write_safe\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:31:\"user_permissions_hash_generator\";s:511:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Session\\PermissionsHashGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"private_key\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"cache.static\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:12:\"current_user\";s:293:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Session\\AccountProxy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"session_configuration\";s:285:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Session\\SessionConfiguration\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:23:\"session.storage.options\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:7:\"session\";s:841:\"a:3:{s:5:\"class\";s:48:\"Symfony\\Component\\HttpFoundation\\Session\\Session\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"session_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__g9uAg6Wct6g4hzpSWnSSQC4s0UIIVnnc9tWJB9kq-_A\";s:5:\"value\";a:3:{s:5:\"class\";s:63:\"Symfony\\Component\\HttpFoundation\\Session\\Attribute\\AttributeBag\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"session.flash_bag\";s:5:\"value\";a:3:{s:5:\"class\";s:55:\"Symfony\\Component\\HttpFoundation\\Session\\Flash\\FlashBag\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:23:\"session_handler.storage\";s:391:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Session\\SessionHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:26:\"session_handler.write_safe\";s:311:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Session\\WriteSafeSessionHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"session_handler.storage\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:15:\"session_manager\";s:1007:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Session\\SessionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"session_manager.metadata_bag\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"session_handler.write_safe\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:19:\"setWriteSafeHandler\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"session_handler.write_safe\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:28:\"session_manager.metadata_bag\";s:283:\"a:3:{s:5:\"class\";s:31:\"Drupal\\Core\\Session\\MetadataBag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:29:\"asset.css.collection_renderer\";s:398:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Asset\\CssCollectionRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"file_url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:30:\"asset.css.collection_optimizer\";s:731:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Asset\\CssCollectionOptimizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"asset.css.collection_grouper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"asset.css.optimizer\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"asset.css.dumper\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:19:\"asset.css.optimizer\";s:293:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Asset\\CssOptimizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"file_url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:28:\"asset.css.collection_grouper\";s:91:\"a:2:{s:5:\"class\";s:38:\"Drupal\\Core\\Asset\\CssCollectionGrouper\";s:15:\"arguments_count\";i:0;}\";s:16:\"asset.css.dumper\";s:285:\"a:3:{s:5:\"class\";s:29:\"Drupal\\Core\\Asset\\AssetDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:28:\"asset.js.collection_renderer\";s:397:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Asset\\JsCollectionRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"file_url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:29:\"asset.js.collection_optimizer\";s:727:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Asset\\JsCollectionOptimizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"asset.js.collection_grouper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"asset.js.optimizer\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"asset.js.dumper\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:18:\"asset.js.optimizer\";s:82:\"a:2:{s:5:\"class\";s:29:\"Drupal\\Core\\Asset\\JsOptimizer\";s:15:\"arguments_count\";i:0;}\";s:27:\"asset.js.collection_grouper\";s:90:\"a:2:{s:5:\"class\";s:37:\"Drupal\\Core\\Asset\\JsCollectionGrouper\";s:15:\"arguments_count\";i:0;}\";s:15:\"asset.js.dumper\";s:285:\"a:3:{s:5:\"class\";s:29:\"Drupal\\Core\\Asset\\AssetDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:17:\"library.discovery\";s:306:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Asset\\LibraryDiscovery\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"library.discovery.collector\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:27:\"library.discovery.collector\";s:619:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Asset\\LibraryDiscoveryCollector\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"library.discovery.parser\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:24:\"library.discovery.parser\";s:807:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Asset\\LibraryDiscoveryParser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"library.libraries_directory_file_finder\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"extension.path.resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:39:\"library.libraries_directory_file_finder\";s:400:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Asset\\LibrariesDirectoryFileFinder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;s:13:\"sites/default\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"extension.list.profile\";s:15:\"invalidBehavior\";i:1;}i:3;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:27:\"library.dependency_resolver\";s:305:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Core\\Asset\\LibraryDependencyResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"library.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:14:\"asset.resolver\";s:833:\"a:3:{s:5:\"class\";s:31:\"Drupal\\Core\\Asset\\AssetResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"library.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"library.dependency_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:11:\"info_parser\";s:150:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Extension\\InfoParser\";s:9:\"arguments\";a:1:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";}s:15:\"arguments_count\";i:1;}\";s:4:\"twig\";s:2248:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Template\\TwigEnvironment\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;s:43:\"wKjaDkA4Qe3v3bT31Pt7hr16jBg2WLnt9AgBFJ_qo0k\";i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__htkP5TZKkKnAHTtZ3W5dYCXSb37oII-iaBzRJnCt0IY\";s:5:\"value\";a:4:{s:5:\"class\";s:23:\"Twig\\Loader\\ChainLoader\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:9:\"addLoader\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"twig.loader.filesystem\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addLoader\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"twig.loader.theme_registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:9:\"addLoader\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"twig.loader.string\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}s:6:\"shared\";b:0;}i:5;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:11:\"twig.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:12:\"addExtension\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"twig.extension\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:12:\"addExtension\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"twig.extension.debug\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:12:\"addExtension\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"twig.extension.varDumper\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"twig.extension\";s:712:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Template\\TwigExtension\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"date.formatter\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"file_url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:20:\"twig.extension.debug\";s:82:\"a:2:{s:5:\"class\";s:29:\"Twig\\Extension\\DebugExtension\";s:15:\"arguments_count\";i:0;}\";s:24:\"twig.extension.varDumper\";s:88:\"a:2:{s:5:\"class\";s:35:\"Drupal\\Core\\Template\\DebugExtension\";s:15:\"arguments_count\";i:0;}\";s:22:\"twig.loader.filesystem\";s:500:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Template\\Loader\\FilesystemLoader\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:1:\".\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:11:\"twig.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:26:\"twig.loader.theme_registry\";s:306:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Template\\Loader\\ThemeRegistryLoader\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"theme.registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:18:\"twig.loader.string\";s:93:\"a:2:{s:5:\"class\";s:40:\"Drupal\\Core\\Template\\Loader\\StringLoader\";s:15:\"arguments_count\";i:0;}\";s:20:\"file.htaccess_writer\";s:413:\"a:3:{s:5:\"class\";s:31:\"Drupal\\Core\\File\\HtaccessWriter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"logger.channel.security\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:22:\"file.mime_type.guesser\";s:686:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\File\\MimeType\\MimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:52:\"drupal.proxy_original_service.file.mime_type.guesser\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:18:\"addMimeTypeGuesser\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:32:\"file.mime_type.guesser.extension\";s:397:\"a:3:{s:5:\"class\";s:61:\"Drupal\\Core\\ProxyClass\\File\\MimeType\\ExtensionMimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:28:\"render_placeholder_generator\";s:276:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Render\\PlaceholderGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:12:\"render_cache\";s:641:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Render\\PlaceholderingRenderCache\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_contexts_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"render_placeholder_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:8:\"renderer\";s:928:\"a:3:{s:5:\"class\";s:27:\"Drupal\\Core\\Render\\Renderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"render_placeholder_generator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"render_cache\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:45:\"early_rendering_controller_wrapper_subscriber\";s:453:\"a:3:{s:5:\"class\";s:69:\"Drupal\\Core\\EventSubscriber\\EarlyRenderingControllerWrapperSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:45:\"html_response.placeholder_strategy_subscriber\";s:334:\"a:3:{s:5:\"class\";s:69:\"Drupal\\Core\\EventSubscriber\\HtmlResponsePlaceholderStrategySubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"placeholder_strategy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:20:\"placeholder_strategy\";s:385:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\Render\\Placeholder\\ChainedPlaceholderStrategy\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:22:\"addPlaceholderStrategy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"placeholder_strategy.single_flush\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:33:\"placeholder_strategy.single_flush\";s:103:\"a:2:{s:5:\"class\";s:50:\"Drupal\\Core\\Render\\Placeholder\\SingleFlushStrategy\";s:15:\"arguments_count\";i:0;}\";s:15:\"email.validator\";s:92:\"a:2:{s:5:\"class\";s:39:\"Drupal\\Component\\Utility\\EmailValidator\";s:15:\"arguments_count\";i:0;}\";s:27:\"update.update_hook_registry\";s:254:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Update\\UpdateHookRegistry\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"update.update_hook_registry_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"create\";}}\";s:35:\"update.update_hook_registry_factory\";s:346:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Update\\UpdateHookRegistryFactory\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:27:\"update.post_update_registry\";s:250:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Update\\UpdateRegistry\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"update.post_update_registry_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"create\";}}\";s:35:\"update.post_update_registry_factory\";s:342:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Update\\UpdateRegistryFactory\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:4:\"uuid\";s:78:\"a:2:{s:5:\"class\";s:25:\"Drupal\\Component\\Uuid\\Php\";s:15:\"arguments_count\";i:0;}\";s:27:\"response_filter.active_link\";s:625:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\ActiveLinkResponseFilter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.matcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:32:\"response_filter.rss.relative_url\";s:109:\"a:2:{s:5:\"class\";s:56:\"Drupal\\Core\\EventSubscriber\\RssResponseRelativeUrlFilter\";s:15:\"arguments_count\";i:0;}\";s:9:\"messenger\";s:543:\"a:3:{s:5:\"class\";s:31:\"Drupal\\Core\\Messenger\\Messenger\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"session.flash_bag\";s:5:\"value\";a:3:{s:5:\"class\";s:55:\"Symfony\\Component\\HttpFoundation\\Session\\Flash\\FlashBag\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"page_cache_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:17:\"tempstore.private\";s:625:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\TempStore\\PrivateTempStoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:4;i:604800;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:16:\"tempstore.shared\";s:624:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\TempStore\\SharedTempStoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;i:604800;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:13:\"pager.manager\";s:291:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Pager\\PagerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"pager.parameters\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:16:\"pager.parameters\";s:291:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Pager\\PagerParameters\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:33:\"admin_toolbar_search.search_links\";s:847:\"a:3:{s:5:\"class\";s:39:\"Drupal\\admin_toolbar_search\\SearchLinks\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_contexts_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.toolbar\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:26:\"admin_toolbar_tools.helper\";s:547:\"a:3:{s:5:\"class\";s:50:\"Drupal\\admin_toolbar_tools\\AdminToolbarToolsHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.menu.local_task\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"automated_cron.subscriber\";s:501:\"a:3:{s:5:\"class\";s:51:\"Drupal\\automated_cron\\EventSubscriber\\AutomatedCron\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"cron\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:33:\"theme.negotiator.block.admin_demo\";s:91:\"a:2:{s:5:\"class\";s:38:\"Drupal\\block\\Theme\\AdminDemoNegotiator\";s:15:\"arguments_count\";i:0;}\";s:37:\"block.page_display_variant_subscriber\";s:115:\"a:2:{s:5:\"class\";s:62:\"Drupal\\block\\EventSubscriber\\BlockPageDisplayVariantSubscriber\";s:15:\"arguments_count\";i:0;}\";s:16:\"block.repository\";s:504:\"a:3:{s:5:\"class\";s:28:\"Drupal\\block\\BlockRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"context.handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"block_content.uuid_lookup\";s:510:\"a:3:{s:5:\"class\";s:44:\"\\Drupal\\block_content\\BlockContentUuidLookup\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:18:\"breakpoint.manager\";s:616:\"a:3:{s:5:\"class\";s:35:\"Drupal\\breakpoint\\BreakpointManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:30:\"plugin.manager.ckeditor.plugin\";s:515:\"a:3:{s:5:\"class\";s:37:\"Drupal\\ckeditor\\CKEditorPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:30:\"color.config_cache_invalidator\";s:323:\"a:3:{s:5:\"class\";s:56:\"Drupal\\color\\EventSubscriber\\ColorConfigCacheInvalidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:18:\"comment.breadcrumb\";s:303:\"a:3:{s:5:\"class\";s:39:\"Drupal\\comment\\CommentBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:15:\"comment.manager\";s:948:\"a:3:{s:5:\"class\";s:29:\"Drupal\\comment\\CommentManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"entity_display.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:18:\"comment.statistics\";s:703:\"a:3:{s:5:\"class\";s:32:\"Drupal\\comment\\CommentStatistics\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"database.replica\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:21:\"comment.lazy_builders\";s:825:\"a:3:{s:5:\"class\";s:34:\"Drupal\\comment\\CommentLazyBuilders\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity.form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"comment.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:20:\"comment.link_builder\";s:724:\"a:3:{s:5:\"class\";s:33:\"Drupal\\comment\\CommentLinkBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"comment.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:32:\"plugin.manager.component_builder\";s:526:\"a:3:{s:5:\"class\";s:48:\"Drupal\\component_builder\\ComponentBuilderManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:41:\"component_builder.import_config_component\";s:652:\"a:3:{s:5:\"class\";s:46:\"Drupal\\component_builder\\ImportConfigComponent\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"plugin.manager.component_builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:24:\"component_builder.helper\";s:768:\"a:3:{s:5:\"class\";s:47:\"Drupal\\component_builder\\ComponentBuilderHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"plugin.manager.component_builder\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:28:\"component_builder.breadcrumb\";s:97:\"a:2:{s:5:\"class\";s:44:\"Drupal\\component_builder\\ComponentBreadcrumb\";s:15:\"arguments_count\";i:0;}\";s:24:\"config.config_subscriber\";s:83:\"a:2:{s:5:\"class\";s:30:\"Drupal\\config\\ConfigSubscriber\";s:15:\"arguments_count\";i:0;}\";s:35:\"config_translation.route_subscriber\";s:334:\"a:3:{s:5:\"class\";s:49:\"Drupal\\config_translation\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:34:\"config_translation.access.overview\";s:457:\"a:3:{s:5:\"class\";s:64:\"Drupal\\config_translation\\Access\\ConfigTranslationOverviewAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:30:\"config_translation.access.form\";s:453:\"a:3:{s:5:\"class\";s:60:\"Drupal\\config_translation\\Access\\ConfigTranslationFormAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:40:\"plugin.manager.config_translation.mapper\";s:728:\"a:3:{s:5:\"class\";s:45:\"Drupal\\config_translation\\ConfigMapperManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:29:\"access_check.contact_personal\";s:398:\"a:3:{s:5:\"class\";s:39:\"Drupal\\contact\\Access\\ContactPageAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"user.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:20:\"contact.mail_handler\";s:733:\"a:3:{s:5:\"class\";s:26:\"Drupal\\contact\\MailHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"plugin.manager.mail\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.contact\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:22:\"logger.channel.contact\";s:265:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:7:\"contact\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:18:\"ctools.wizard.form\";s:547:\"a:3:{s:5:\"class\";s:45:\"Drupal\\ctools\\Controller\\WizardFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"ctools.wizard.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"ctools.wizard.entity.form\";s:664:\"a:3:{s:5:\"class\";s:51:\"Drupal\\ctools\\Controller\\WizardEntityFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"ctools.wizard.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:22:\"ctools.wizard_enhancer\";s:98:\"a:2:{s:5:\"class\";s:45:\"Drupal\\ctools\\Routing\\Enhancer\\WizardEnhancer\";s:15:\"arguments_count\";i:0;}\";s:21:\"ctools.wizard.factory\";s:498:\"a:3:{s:5:\"class\";s:34:\"Drupal\\ctools\\Wizard\\WizardFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:31:\"ctools.paramconverter.tempstore\";s:419:\"a:3:{s:5:\"class\";s:47:\"Drupal\\ctools\\ParamConverter\\TempstoreConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"tempstore.shared\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:26:\"ctools.typed_data.resolver\";s:404:\"a:3:{s:5:\"class\";s:31:\"Drupal\\ctools\\TypedDataResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:13:\"ctools.access\";s:297:\"a:3:{s:5:\"class\";s:36:\"Drupal\\ctools\\Access\\TempstoreAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"tempstore.shared\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:34:\"plugin.manager.ctools.relationship\";s:518:\"a:3:{s:5:\"class\";s:40:\"Drupal\\ctools\\Plugin\\RelationshipManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:21:\"ctools.context_mapper\";s:289:\"a:3:{s:5:\"class\";s:27:\"Drupal\\ctools\\ContextMapper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:37:\"ctools.serializable.tempstore.factory\";s:622:\"a:3:{s:5:\"class\";s:42:\"Drupal\\ctools\\SerializableTempstoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;i:604800;i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:12:\"logger.dblog\";s:394:\"a:3:{s:5:\"class\";s:25:\"Drupal\\dblog\\Logger\\DbLog\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"logger.log_message_parser\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:24:\"cache.dynamic_page_cache\";s:283:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:18:\"dynamic_page_cache\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:29:\"dynamic_page_cache_subscriber\";s:660:\"a:3:{s:5:\"class\";s:68:\"Drupal\\dynamic_page_cache\\EventSubscriber\\DynamicPageCacheSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"dynamic_page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:34:\"dynamic_page_cache_response_policy\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"render_cache\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:33:\"dynamic_page_cache_request_policy\";s:123:\"a:2:{s:5:\"class\";s:70:\"Drupal\\dynamic_page_cache\\PageCache\\RequestPolicy\\DefaultRequestPolicy\";s:15:\"arguments_count\";i:0;}\";s:34:\"dynamic_page_cache_response_policy\";s:390:\"a:3:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\PageCache\\ChainResponsePolicy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:64:\"drupal.proxy_original_service.dynamic_page_cache_response_policy\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:21:\"plugin.manager.editor\";s:512:\"a:3:{s:5:\"class\";s:34:\"Drupal\\editor\\Plugin\\EditorManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:14:\"element.editor\";s:287:\"a:3:{s:5:\"class\";s:21:\"Drupal\\editor\\Element\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:43:\"editor.config_translation_mapper_subscriber\";s:322:\"a:3:{s:5:\"class\";s:63:\"Drupal\\editor\\EventSubscriber\\EditorConfigTranslationSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"access_checker.entity_revision\";s:429:\"a:3:{s:5:\"class\";s:54:\"\\Drupal\\entity\\Access\\EntityRevisionRouteAccessChecker\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:34:\"entity.entity_duplicate_subscriber\";s:331:\"a:3:{s:5:\"class\";s:55:\"Drupal\\entity\\EventSubscriber\\EntityDuplicateSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"entity.bundle_entity_duplicator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:31:\"entity.bundle_entity_duplicator\";s:300:\"a:3:{s:5:\"class\";s:36:\"Drupal\\entity\\BundleEntityDuplicator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"entity.bundle_plugin_installer\";s:668:\"a:3:{s:5:\"class\";s:48:\"Drupal\\entity\\BundlePlugin\\BundlePluginInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"entity_bundle.listener\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"field_storage_definition.listener\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"field_definition.listener\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:40:\"entity.bundle_plugin.uninstall_validator\";s:431:\"a:3:{s:5:\"class\";s:57:\"Drupal\\entity\\BundlePlugin\\BundlePluginUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:25:\"field.uninstall_validator\";s:376:\"a:3:{s:5:\"class\";s:47:\"Drupal\\field\\ProxyClass\\FieldUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:55:\"drupal.proxy_original_service.field.uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:37:\"plugin.manager.field_group.formatters\";s:529:\"a:3:{s:5:\"class\";s:51:\"Drupal\\field_group\\FieldGroupFormatterPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:22:\"field_group.subscriber\";s:306:\"a:3:{s:5:\"class\";s:42:\"Drupal\\field_group\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:27:\"field_group.param_converter\";s:99:\"a:2:{s:5:\"class\";s:46:\"Drupal\\field_group\\Routing\\FieldGroupConverter\";s:15:\"arguments_count\";i:0;}\";s:19:\"field_ui.subscriber\";s:303:\"a:3:{s:5:\"class\";s:39:\"Drupal\\field_ui\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:31:\"access_check.field_ui.view_mode\";s:306:\"a:3:{s:5:\"class\";s:42:\"Drupal\\field_ui\\Access\\ViewModeAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:31:\"access_check.field_ui.form_mode\";s:306:\"a:3:{s:5:\"class\";s:42:\"Drupal\\field_ui\\Access\\FormModeAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:10:\"file.usage\";s:426:\"a:3:{s:5:\"class\";s:46:\"Drupal\\file\\FileUsage\\DatabaseFileUsageBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;s:10:\"file_usage\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:19:\"file.upload_handler\";s:948:\"a:3:{s:5:\"class\";s:36:\"Drupal\\file\\Upload\\FileUploadHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"file.mime_type.guesser\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:15:\"file.repository\";s:819:\"a:3:{s:5:\"class\";s:26:\"Drupal\\file\\FileRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"file.usage\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:21:\"plugin.manager.filter\";s:511:\"a:3:{s:5:\"class\";s:33:\"Drupal\\filter\\FilterPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:26:\"filter.uninstall_validator\";s:379:\"a:3:{s:5:\"class\";s:49:\"Drupal\\filter\\ProxyClass\\FilterUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"plugin.manager.help_section\";s:508:\"a:3:{s:5:\"class\";s:30:\"Drupal\\help\\HelpSectionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:27:\"path_processor.image_styles\";s:318:\"a:3:{s:5:\"class\";s:51:\"Drupal\\image\\PathProcessor\\PathProcessorImageStyles\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:27:\"plugin.manager.image.effect\";s:509:\"a:3:{s:5:\"class\";s:31:\"Drupal\\image\\ImageEffectManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:42:\"plugin.manager.language_negotiation_method\";s:526:\"a:3:{s:5:\"class\";s:48:\"Drupal\\language\\LanguageNegotiationMethodManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:19:\"language_negotiator\";s:808:\"a:4:{s:5:\"class\";s:34:\"Drupal\\language\\LanguageNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:42:\"plugin.manager.language_negotiation_method\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:19:\"initLanguageManager\";i:1;a:0:{}}}}\";s:26:\"language.config_subscriber\";s:634:\"a:3:{s:5:\"class\";s:48:\"Drupal\\language\\EventSubscriber\\ConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"language_negotiator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:32:\"language.config_factory_override\";s:631:\"a:3:{s:5:\"class\";s:52:\"Drupal\\language\\Config\\LanguageConfigFactoryOverride\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:18:\"language_converter\";s:366:\"a:3:{s:5:\"class\";s:44:\"Drupal\\language\\ProxyClass\\LanguageConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:21:\"locale.config_manager\";s:1420:\"a:3:{s:5:\"class\";s:33:\"Drupal\\locale\\LocaleConfigManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"locale.storage\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__YhlVDCROPjEsVMwZ107mF8NZYp3f0CnlPOEIIbZ5p54\";s:5:\"value\";a:4:{s:5:\"class\";s:40:\"Drupal\\locale\\LocaleDefaultConfigStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}s:6:\"shared\";b:0;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:14:\"locale.storage\";s:287:\"a:3:{s:5:\"class\";s:35:\"Drupal\\locale\\StringDatabaseStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:14:\"locale.project\";s:286:\"a:3:{s:5:\"class\";s:34:\"Drupal\\locale\\LocaleProjectStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"locale.plural.formula\";s:384:\"a:3:{s:5:\"class\";s:27:\"Drupal\\locale\\PluralFormula\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:31:\"string_translator.locale.lookup\";s:809:\"a:3:{s:5:\"class\";s:31:\"Drupal\\locale\\LocaleTranslation\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"locale.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:27:\"stream_wrapper.translations\";s:99:\"a:2:{s:5:\"class\";s:46:\"Drupal\\locale\\StreamWrapper\\TranslationsStream\";s:15:\"arguments_count\";i:0;}\";s:24:\"locale.config_subscriber\";s:408:\"a:3:{s:5:\"class\";s:36:\"Drupal\\locale\\LocaleConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"locale.config_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:35:\"locale.locale_translation_cache_tag\";s:322:\"a:3:{s:5:\"class\";s:55:\"Drupal\\locale\\EventSubscriber\\LocaleTranslationCacheTag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:30:\"module_filter.route_subscriber\";s:97:\"a:2:{s:5:\"class\";s:44:\"Drupal\\module_filter\\Routing\\RouteSubscriber\";s:15:\"arguments_count\";i:0;}\";s:21:\"node.route_subscriber\";s:88:\"a:2:{s:5:\"class\";s:35:\"Drupal\\node\\Routing\\RouteSubscriber\";s:15:\"arguments_count\";i:0;}\";s:18:\"node.grant_storage\";s:502:\"a:3:{s:5:\"class\";s:36:\"Drupal\\node\\NodeGrantDatabaseStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:26:\"access_check.node.revision\";s:306:\"a:3:{s:5:\"class\";s:42:\"Drupal\\node\\Access\\NodeRevisionAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"access_check.node.add\";s:301:\"a:3:{s:5:\"class\";s:37:\"Drupal\\node\\Access\\NodeAddAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:25:\"access_check.node.preview\";s:305:\"a:3:{s:5:\"class\";s:41:\"Drupal\\node\\Access\\NodePreviewAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:32:\"node.admin_path.route_subscriber\";s:417:\"a:3:{s:5:\"class\";s:52:\"Drupal\\node\\EventSubscriber\\NodeAdminRouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:12:\"node_preview\";s:374:\"a:3:{s:5:\"class\";s:58:\"Drupal\\node\\ProxyClass\\ParamConverter\\NodePreviewConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:42:\"drupal.proxy_original_service.node_preview\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:30:\"cache_context.user.node_grants\";s:303:\"a:3:{s:5:\"class\";s:46:\"Drupal\\node\\Cache\\NodeAccessGrantsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"node.node_route_context\";s:308:\"a:3:{s:5:\"class\";s:44:\"Drupal\\node\\ContextProvider\\NodeRouteContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:26:\"http_middleware.page_cache\";s:658:\"a:3:{s:5:\"class\";s:43:\"Drupal\\page_cache\\StackMiddleware\\PageCache\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"http_middleware.kernel_pre_handle\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.page\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"page_cache_response_policy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:10:\"cache.page\";s:268:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:4:\"page\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:21:\"path_alias.subscriber\";s:420:\"a:3:{s:5:\"class\";s:53:\"Drupal\\path_alias\\EventSubscriber\\PathAliasSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:25:\"path_alias.path_processor\";s:313:\"a:3:{s:5:\"class\";s:50:\"Drupal\\path_alias\\PathProcessor\\AliasPathProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:18:\"path_alias.manager\";s:618:\"a:3:{s:5:\"class\";s:30:\"Drupal\\path_alias\\AliasManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_alias.whitelist\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:21:\"path_alias.repository\";s:285:\"a:3:{s:5:\"class\";s:33:\"Drupal\\path_alias\\AliasRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:20:\"path_alias.whitelist\";s:628:\"a:3:{s:5:\"class\";s:32:\"Drupal\\path_alias\\AliasWhitelist\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:20:\"path_alias_whitelist\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:31:\"plugin.manager.quickedit.editor\";s:522:\"a:3:{s:5:\"class\";s:44:\"Drupal\\quickedit\\Plugin\\InPlaceEditorManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:35:\"access_check.quickedit.entity_field\";s:108:\"a:2:{s:5:\"class\";s:55:\"Drupal\\quickedit\\Access\\QuickEditEntityFieldAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:25:\"quickedit.editor.selector\";s:429:\"a:3:{s:5:\"class\";s:31:\"Drupal\\quickedit\\EditorSelector\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.quickedit.editor\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.field.formatter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:28:\"quickedit.metadata.generator\";s:554:\"a:3:{s:5:\"class\";s:34:\"Drupal\\quickedit\\MetadataGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"access_check.quickedit.entity_field\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"quickedit.editor.selector\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.quickedit.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:21:\"plugin.manager.search\";s:511:\"a:3:{s:5:\"class\";s:33:\"Drupal\\search\\SearchPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:29:\"search.search_page_repository\";s:404:\"a:3:{s:5:\"class\";s:34:\"Drupal\\search\\SearchPageRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:12:\"search.index\";s:718:\"a:3:{s:5:\"class\";s:25:\"Drupal\\search\\SearchIndex\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"database.replica\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"search.text_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:21:\"search.text_processor\";s:505:\"a:3:{s:5:\"class\";s:33:\"Drupal\\search\\SearchTextProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"transliteration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:22:\"shortcut.lazy_builders\";s:288:\"a:3:{s:5:\"class\";s:36:\"Drupal\\shortcut\\ShortcutLazyBuilders\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:43:\"plugin.manager.simplenews_recipient_handler\";s:536:\"a:3:{s:5:\"class\";s:58:\"Drupal\\simplenews\\RecipientHandler\\RecipientHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:24:\"simplenews.spool_storage\";s:730:\"a:3:{s:5:\"class\";s:36:\"Drupal\\simplenews\\Spool\\SpoolStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:43:\"plugin.manager.simplenews_recipient_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:25:\"logger.channel.simplenews\";s:269:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:10:\"simplenews\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:17:\"simplenews.mailer\";s:1372:\"a:3:{s:5:\"class\";s:29:\"Drupal\\simplenews\\Mail\\Mailer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:11:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"simplenews.spool_storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"plugin.manager.mail\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"logger.channel.simplenews\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"account_switcher\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"simplenews.mail_cache\";s:15:\"invalidBehavior\";i:1;}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:11;}\";s:23:\"simplenews.mail_builder\";s:512:\"a:3:{s:5:\"class\";s:34:\"Drupal\\simplenews\\Mail\\MailBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"simplenews.subscription_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:31:\"simplenews.subscription_manager\";s:843:\"a:3:{s:5:\"class\";s:50:\"Drupal\\simplenews\\Subscription\\SubscriptionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"simplenews.mailer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"logger.channel.simplenews\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:21:\"simplenews.mail_cache\";s:90:\"a:2:{s:5:\"class\";s:37:\"Drupal\\simplenews\\Mail\\MailCacheBuild\";s:15:\"arguments_count\";i:0;}\";s:31:\"simplenews.migration_subscriber\";s:435:\"a:3:{s:5:\"class\";s:53:\"Drupal\\simplenews\\EventSubscriber\\MigrationSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"entity_display.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:17:\"access_check.cron\";s:89:\"a:2:{s:5:\"class\";s:36:\"Drupal\\system\\Access\\CronAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:22:\"access_check.db_update\";s:93:\"a:2:{s:5:\"class\";s:40:\"Drupal\\system\\Access\\DbUpdateAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:14:\"system.manager\";s:606:\"a:3:{s:5:\"class\";s:27:\"Drupal\\system\\SystemManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"menu.link_tree\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"menu.active_trail\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:25:\"system.breadcrumb.default\";s:1148:\"a:3:{s:5:\"class\";s:40:\"Drupal\\system\\PathBasedBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"router\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;}\";s:20:\"path_processor.files\";s:99:\"a:2:{s:5:\"class\";s:46:\"Drupal\\system\\PathProcessor\\PathProcessorFiles\";s:15:\"arguments_count\";i:0;}\";s:34:\"system.admin_path.route_subscriber\";s:103:\"a:2:{s:5:\"class\";s:50:\"Drupal\\system\\EventSubscriber\\AdminRouteSubscriber\";s:15:\"arguments_count\";i:0;}\";s:29:\"theme.negotiator.system.batch\";s:398:\"a:3:{s:5:\"class\";s:35:\"Drupal\\system\\Theme\\BatchNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"batch.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:33:\"theme.negotiator.system.db_update\";s:402:\"a:3:{s:5:\"class\";s:38:\"Drupal\\system\\Theme\\DbUpdateNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:24:\"system.config_subscriber\";s:295:\"a:3:{s:5:\"class\";s:36:\"Drupal\\system\\SystemConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:23:\"system.config_cache_tag\";s:416:\"a:3:{s:5:\"class\";s:44:\"Drupal\\system\\EventSubscriber\\ConfigCacheTag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:24:\"system.timezone_resolver\";s:393:\"a:3:{s:5:\"class\";s:30:\"Drupal\\system\\TimeZoneResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:28:\"system.file_event.subscriber\";s:322:\"a:3:{s:5:\"class\";s:63:\"Drupal\\system\\EventSubscriber\\SecurityFileUploadEventSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:21:\"logger.channel.system\";s:264:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:6:\"system\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:17:\"system.sa_fetcher\";s:1081:\"a:3:{s:5:\"class\";s:58:\"Drupal\\system\\SecurityAdvisories\\SecurityAdvisoriesFetcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_client\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"extension.list.theme\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"extension.list.profile\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"logger.channel.system\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}\";s:35:\"system.advisories_config_subscriber\";s:318:\"a:3:{s:5:\"class\";s:56:\"Drupal\\system\\EventSubscriber\\AdvisoriesConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"system.sa_fetcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:24:\"taxonomy_term.breadcrumb\";s:410:\"a:3:{s:5:\"class\";s:37:\"Drupal\\taxonomy\\TermBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:41:\"taxonomy_term.taxonomy_term_route_context\";s:312:\"a:3:{s:5:\"class\";s:48:\"Drupal\\taxonomy\\ContextProvider\\TermRouteContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"token.entity_mapper\";s:400:\"a:3:{s:5:\"class\";s:30:\"Drupal\\token\\TokenEntityMapper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:18:\"token.tree_builder\";s:594:\"a:3:{s:5:\"class\";s:24:\"Drupal\\token\\TreeBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"token.entity_mapper\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:22:\"token.route_subscriber\";s:406:\"a:3:{s:5:\"class\";s:36:\"Drupal\\token\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:13:\"cache.toolbar\";s:271:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:7:\"toolbar\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:52:\"toolbar.page_cache_request_policy.allow_toolbar_path\";s:94:\"a:2:{s:5:\"class\";s:41:\"Drupal\\toolbar\\PageCache\\AllowToolbarPath\";s:15:\"arguments_count\";i:0;}\";s:17:\"toolbar.menu_tree\";s:1298:\"a:3:{s:5:\"class\";s:39:\"Drupal\\toolbar\\Menu\\ToolbarMenuLinkTree\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"menu.tree_storage\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuTreeStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;s:9:\"menu_tree\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"menu.active_trail\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:23:\"plugin.manager.tour.tip\";s:506:\"a:3:{s:5:\"class\";s:28:\"Drupal\\tour\\TipPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:34:\"access_check.update.manager_access\";s:297:\"a:3:{s:5:\"class\";s:45:\"Drupal\\update\\Access\\UpdateManagerAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:14:\"update.manager\";s:938:\"a:3:{s:5:\"class\";s:27:\"Drupal\\update\\UpdateManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"update.processor\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:16:\"update.processor\";s:898:\"a:3:{s:5:\"class\";s:29:\"Drupal\\update\\UpdateProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"queue\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"update.fetcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"private_key\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:14:\"update.fetcher\";s:488:\"a:3:{s:5:\"class\";s:27:\"Drupal\\update\\UpdateFetcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_client\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:11:\"update.root\";s:379:\"a:3:{s:5:\"class\";s:24:\"Drupal\\update\\UpdateRoot\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:23:\"access_check.permission\";s:93:\"a:2:{s:5:\"class\";s:40:\"Drupal\\user\\Access\\PermissionAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:26:\"access_check.user.register\";s:91:\"a:2:{s:5:\"class\";s:38:\"Drupal\\user\\Access\\RegisterAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:22:\"access_check.user.role\";s:87:\"a:2:{s:5:\"class\";s:34:\"Drupal\\user\\Access\\RoleAccessCheck\";s:15:\"arguments_count\";i:0;}\";s:30:\"access_check.user.login_status\";s:88:\"a:2:{s:5:\"class\";s:35:\"Drupal\\user\\Access\\LoginStatusCheck\";s:15:\"arguments_count\";i:0;}\";s:26:\"user.authentication.cookie\";s:507:\"a:3:{s:5:\"class\";s:42:\"Drupal\\user\\Authentication\\Provider\\Cookie\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:9:\"user.data\";s:272:\"a:3:{s:5:\"class\";s:20:\"Drupal\\user\\UserData\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:32:\"user_maintenance_mode_subscriber\";s:418:\"a:3:{s:5:\"class\";s:53:\"Drupal\\user\\EventSubscriber\\MaintenanceModeSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"maintenance_mode\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:29:\"user_access_denied_subscriber\";s:307:\"a:3:{s:5:\"class\";s:50:\"Drupal\\user\\EventSubscriber\\AccessDeniedSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:27:\"user_last_access_subscriber\";s:417:\"a:3:{s:5:\"class\";s:49:\"Drupal\\user\\EventSubscriber\\UserRequestSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:28:\"theme.negotiator.admin_theme\";s:619:\"a:3:{s:5:\"class\";s:33:\"Drupal\\user\\Theme\\AdminNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"router.admin_context\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:9:\"user.auth\";s:383:\"a:3:{s:5:\"class\";s:20:\"Drupal\\user\\UserAuth\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"password\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:16:\"user.permissions\";s:509:\"a:3:{s:5:\"class\";s:29:\"Drupal\\user\\PermissionHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"user.current_user_context\";s:414:\"a:3:{s:5:\"class\";s:46:\"Drupal\\user\\ContextProvider\\CurrentUserContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:25:\"user.toolbar_link_builder\";s:287:\"a:3:{s:5:\"class\";s:30:\"Drupal\\user\\ToolbarLinkBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:18:\"user.flood_control\";s:490:\"a:3:{s:5:\"class\";s:28:\"Drupal\\user\\UserFloodControl\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"flood\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:21:\"user.flood_subscriber\";s:311:\"a:3:{s:5:\"class\";s:47:\"Drupal\\user\\EventSubscriber\\UserFloodSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:19:\"logger.channel.user\";s:262:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"user\";}s:15:\"arguments_count\";i:1;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:34:\"video_embed_field.provider_manager\";s:518:\"a:3:{s:5:\"class\";s:40:\"Drupal\\video_embed_field\\ProviderManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:23:\"paramconverter.views_ui\";s:384:\"a:3:{s:5:\"class\";s:57:\"Drupal\\views_ui\\ProxyClass\\ParamConverter\\ViewUIConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:13:\"forum_manager\";s:823:\"a:3:{s:5:\"class\";s:25:\"Drupal\\forum\\ForumManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"comment.manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:21:\"forum.breadcrumb.node\";s:635:\"a:3:{s:5:\"class\";s:50:\"Drupal\\forum\\Breadcrumb\\ForumNodeBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"forum_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:24:\"forum.breadcrumb.listing\";s:638:\"a:3:{s:5:\"class\";s:53:\"Drupal\\forum\\Breadcrumb\\ForumListingBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"forum_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:19:\"forum.index_storage\";s:282:\"a:3:{s:5:\"class\";s:30:\"Drupal\\forum\\ForumIndexStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:25:\"forum.uninstall_validator\";s:376:\"a:3:{s:5:\"class\";s:47:\"Drupal\\forum\\ProxyClass\\ForumUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:55:\"drupal.proxy_original_service.forum.uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:18:\"pathauto.generator\";s:1416:\"a:3:{s:5:\"class\";s:33:\"Drupal\\pathauto\\PathautoGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:11:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"pathauto.alias_cleaner\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"pathauto.alias_storage_helper\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"pathauto.alias_uniquifier\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"pathauto.verbose_messenger\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"token.entity_mapper\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.alias_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:11;}\";s:22:\"pathauto.alias_cleaner\";s:836:\"a:3:{s:5:\"class\";s:28:\"Drupal\\pathauto\\AliasCleaner\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"pathauto.alias_storage_helper\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"transliteration\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:29:\"pathauto.alias_storage_helper\";s:844:\"a:3:{s:5:\"class\";s:34:\"Drupal\\pathauto\\AliasStorageHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"pathauto.verbose_messenger\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:25:\"pathauto.alias_uniquifier\";s:740:\"a:3:{s:5:\"class\";s:31:\"Drupal\\pathauto\\AliasUniquifier\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"pathauto.alias_storage_helper\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:26:\"pathauto.verbose_messenger\";s:495:\"a:3:{s:5:\"class\";s:32:\"Drupal\\pathauto\\VerboseMessenger\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:25:\"plugin.manager.alias_type\";s:510:\"a:3:{s:5:\"class\";s:32:\"Drupal\\pathauto\\AliasTypeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:27:\"pathauto.settings_cache_tag\";s:438:\"a:3:{s:5:\"class\";s:56:\"Drupal\\pathauto\\EventSubscriber\\PathautoSettingsCacheTag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.alias_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:32:\"content_translation.synchronizer\";s:442:\"a:3:{s:5:\"class\";s:55:\"Drupal\\content_translation\\FieldTranslationSynchronizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:30:\"content_translation.subscriber\";s:340:\"a:3:{s:5:\"class\";s:68:\"Drupal\\content_translation\\Routing\\ContentTranslationRouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"content_translation.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:33:\"content_translation.delete_access\";s:447:\"a:3:{s:5:\"class\";s:64:\"Drupal\\content_translation\\Access\\ContentTranslationDeleteAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"content_translation.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:35:\"content_translation.overview_access\";s:330:\"a:3:{s:5:\"class\";s:66:\"Drupal\\content_translation\\Access\\ContentTranslationOverviewAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:33:\"content_translation.manage_access\";s:441:\"a:3:{s:5:\"class\";s:69:\"Drupal\\content_translation\\Access\\ContentTranslationManageAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"content_translation.manager\";s:431:\"a:3:{s:5:\"class\";s:52:\"Drupal\\content_translation\\ContentTranslationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:27:\"plugin.manager.views.access\";s:533:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:6:\"access\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:25:\"plugin.manager.views.area\";s:640:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:4:\"area\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:29:\"plugin.manager.views.argument\";s:644:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:8:\"argument\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:37:\"plugin.manager.views.argument_default\";s:544:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:16:\"argument_default\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:39:\"plugin.manager.views.argument_validator\";s:546:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:18:\"argument_validator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:26:\"plugin.manager.views.cache\";s:532:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"cache\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:37:\"plugin.manager.views.display_extender\";s:544:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:16:\"display_extender\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:28:\"plugin.manager.views.display\";s:534:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:7:\"display\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:33:\"plugin.manager.views.exposed_form\";s:540:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:12:\"exposed_form\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:26:\"plugin.manager.views.field\";s:641:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:5:\"field\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:27:\"plugin.manager.views.filter\";s:642:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:6:\"filter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:25:\"plugin.manager.views.join\";s:640:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:4:\"join\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:26:\"plugin.manager.views.pager\";s:532:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"pager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:26:\"plugin.manager.views.query\";s:532:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"query\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:33:\"plugin.manager.views.relationship\";s:649:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:12:\"relationship\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:24:\"plugin.manager.views.row\";s:530:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:3:\"row\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:25:\"plugin.manager.views.sort\";s:640:\"a:3:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:4:\"sort\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:26:\"plugin.manager.views.style\";s:532:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"style\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:27:\"plugin.manager.views.wizard\";s:533:\"a:3:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:6:\"wizard\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:16:\"views.views_data\";s:600:\"a:3:{s:5:\"class\";s:22:\"Drupal\\views\\ViewsData\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:23:\"views.views_data_helper\";s:289:\"a:3:{s:5:\"class\";s:28:\"Drupal\\views\\ViewsDataHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:16:\"views.executable\";s:617:\"a:3:{s:5:\"class\";s:34:\"Drupal\\views\\ViewExecutableFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:14:\"views.analyzer\";s:280:\"a:3:{s:5:\"class\";s:21:\"Drupal\\views\\Analyzer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:22:\"views.route_subscriber\";s:404:\"a:3:{s:5:\"class\";s:44:\"Drupal\\views\\EventSubscriber\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:24:\"views.exposed_form_cache\";s:82:\"a:2:{s:5:\"class\";s:29:\"Drupal\\views\\ExposedFormCache\";s:15:\"arguments_count\";i:0;}\";s:30:\"views.entity_schema_subscriber\";s:434:\"a:3:{s:5:\"class\";s:56:\"Drupal\\views\\EventSubscriber\\ViewsEntitySchemaSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:14:\"views.date_sql\";s:296:\"a:3:{s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\query\\MysqlDateSql\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:27:\"language_request_subscriber\";s:643:\"a:3:{s:5:\"class\";s:57:\"Drupal\\language\\EventSubscriber\\LanguageRequestSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"language_negotiator\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:23:\"path_processor_language\";s:818:\"a:4:{s:5:\"class\";s:48:\"Drupal\\language\\HttpKernel\\PathProcessorLanguage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"language_negotiator\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"language.config_subscriber\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:20:\"initConfigSubscriber\";i:1;a:0:{}}}}\";s:31:\"node.node_translation_exception\";s:623:\"a:3:{s:5:\"class\";s:62:\"Drupal\\node\\EventSubscriber\\NodeTranslationExceptionSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:56:\"drupal.proxy_original_service.page_cache_response_policy\";s:2487:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\PageCache\\ChainResponsePolicy\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:5:{i:0;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"page_cache_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_cache_routes\";s:5:\"value\";a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\PageCache\\ResponsePolicy\\DenyNoCacheRoutes\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_server_error\";s:5:\"value\";a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\PageCache\\ResponsePolicy\\NoServerError\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__F1OS6M_fMxC2jDEfVZbGJ1Es-a5S2P1N1kq2aotUsfs\";s:5:\"value\";a:4:{s:5:\"class\";s:52:\"Drupal\\image\\PageCache\\DenyPrivateImageStyleDownload\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:49:\"node.page_cache_response_policy.deny_node_preview\";s:5:\"value\";a:4:{s:5:\"class\";s:37:\"Drupal\\node\\PageCache\\DenyNodePreview\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}}}\";s:46:\"drupal.proxy_original_service.config.installer\";s:851:\"a:3:{s:5:\"class\";s:34:\"Drupal\\Core\\Config\\ConfigInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:5;s:8:\"standard\";i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"extension.path.resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;}\";s:34:\"drupal.proxy_original_service.cron\";s:1005:\"a:3:{s:5:\"class\";s:16:\"Drupal\\Core\\Cron\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"queue\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"account_switcher\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.cron\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.queue_worker\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"datetime.time\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}\";s:46:\"drupal.proxy_original_service.module_installer\";s:2924:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Extension\\ModuleInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:31:\"/home/frontend/drupal9/pinteros\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"update.update_hook_registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:8:{i:0;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"entity.bundle_plugin.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:57:\"drupal.proxy_original_service.content_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:65:\"drupal.proxy_original_service.database_driver_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:55:\"drupal.proxy_original_service.field.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:55:\"drupal.proxy_original_service.forum.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:57:\"drupal.proxy_original_service.content_uninstall_validator\";s:418:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Entity\\ContentUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";s:430:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\Extension\\RequiredModuleUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";s:550:\"a:3:{s:5:\"class\";s:62:\"Drupal\\Core\\Extension\\ModuleRequiredByThemesUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"extension.list.theme\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:65:\"drupal.proxy_original_service.database_driver_uninstall_validator\";s:529:\"a:3:{s:5:\"class\";s:54:\"Drupal\\Core\\Extension\\DatabaseDriverUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:50:\"drupal.proxy_original_service.plugin.cache_clearer\";s:94:\"a:2:{s:5:\"class\";s:41:\"Drupal\\Core\\Plugin\\CachedDiscoveryClearer\";s:15:\"arguments_count\";i:0;}\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";s:319:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\ParamConverter\\MenuLinkPluginConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:34:\"drupal.proxy_original_service.lock\";s:288:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Lock\\DatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:45:\"drupal.proxy_original_service.lock.persistent\";s:298:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Lock\\PersistentDatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:43:\"drupal.proxy_original_service.router.dumper\";s:381:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Routing\\MatcherDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:44:\"drupal.proxy_original_service.router.builder\";s:5944:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\RouteBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"router.dumper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:29:\"access_manager.check_provider\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Access\\CheckProvider\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:5:\"calls\";a:32:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:20:\"access_check.default\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:7:\"_access\";}i:3;b:0;}}i:2;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.entity\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_entity_access\";}i:3;b:0;}}i:3;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:27:\"access_check.entity_bundles\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:15:\"_entity_bundles\";}i:3;b:0;}}i:4;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.entity_create\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_entity_create_access\";}i:3;b:0;}}i:5;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.entity_create_any\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:25:\"_entity_create_any_access\";}i:3;b:0;}}i:6;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.entity_delete_multiple\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_entity_delete_multiple_access\";}i:3;b:0;}}i:7;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:18:\"access_check.theme\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:13:\"_access_theme\";}i:3;b:0;}}i:8;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.custom\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_custom_access\";}i:3;b:0;}}i:9;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.csrf\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_csrf_token\";}i:3;b:1;}}i:10;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:24:\"access_check.header.csrf\";i:1;s:6:\"access\";i:2;a:0:{}i:3;b:1;}}i:11;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"config_translation.access.overview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:35:\"_config_translation_overview_access\";}i:3;b:0;}}i:12;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"config_translation.access.form\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:31:\"_config_translation_form_access\";}i:3;b:0;}}i:13;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:29:\"access_check.contact_personal\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:28:\"_access_contact_personal_tab\";}i:3;b:0;}}i:14;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:13:\"ctools.access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_ctools_access\";}i:3;b:0;}}i:15;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_checker.entity_revision\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:23:\"_entity_access_revision\";}i:3;b:0;}}i:16;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.view_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_view_mode_access\";}i:3;b:0;}}i:17;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.form_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_form_mode_access\";}i:3;b:0;}}i:18;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.node.revision\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_node_revision\";}i:3;b:0;}}i:19;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:21:\"access_check.node.add\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:16:\"_node_add_access\";}i:3;b:0;}}i:20;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:25:\"access_check.node.preview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:20:\"_node_preview_access\";}i:3;b:0;}}i:21;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.quickedit.entity_field\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_access_quickedit_entity_field\";}i:3;b:0;}}i:22;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.cron\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:19:\"_access_system_cron\";}i:3;b:0;}}i:23;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.db_update\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_system_update\";}i:3;b:0;}}i:24;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"access_check.update.manager_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:22:\"_access_update_manager\";}i:3;b:0;}}i:25;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:23:\"access_check.permission\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_permission\";}i:3;b:0;}}i:26;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.user.register\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_user_register\";}i:3;b:0;}}i:27;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.user.role\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:5:\"_role\";}i:3;b:0;}}i:28;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.user.login_status\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:18:\"_user_is_logged_in\";}i:3;b:0;}}i:29;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.delete_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_delete\";}i:3;b:0;}}i:30;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"content_translation.overview_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:36:\"_access_content_translation_overview\";}i:3;b:0;}}i:31;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.manage_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_manage\";}i:3;b:0;}}}}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;}\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";s:648:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\ParamConverter\\AdminPathConfigEntityConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"router.admin_context\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}\";s:53:\"drupal.proxy_original_service.bare_html_page_renderer\";s:418:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Core\\Render\\BareHtmlPageRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"html_response.attachments_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}\";s:43:\"drupal.proxy_original_service.batch.storage\";s:482:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Batch\\BatchStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:7:\"session\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:52:\"drupal.proxy_original_service.file.mime_type.guesser\";s:308:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\File\\MimeType\\MimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";s:309:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\File\\MimeType\\ExtensionMimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:64:\"drupal.proxy_original_service.dynamic_page_cache_response_policy\";s:2501:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\PageCache\\ChainResponsePolicy\";s:15:\"arguments_count\";i:0;s:5:\"calls\";a:5:{i:0;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"page_cache_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_cache_routes\";s:5:\"value\";a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\PageCache\\ResponsePolicy\\DenyNoCacheRoutes\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_server_error\";s:5:\"value\";a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\PageCache\\ResponsePolicy\\NoServerError\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__HX5I7sfEFqcrtchl5GWkd90OTCfJaL7qil0Yyt1WSDA\";s:5:\"value\";a:4:{s:5:\"class\";s:66:\"Drupal\\dynamic_page_cache\\PageCache\\ResponsePolicy\\DenyAdminRoutes\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:49:\"node.page_cache_response_policy.deny_node_preview\";s:5:\"value\";a:4:{s:5:\"class\";s:37:\"Drupal\\node\\PageCache\\DenyNodePreview\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}}}\";s:55:\"drupal.proxy_original_service.field.uninstall_validator\";s:533:\"a:3:{s:5:\"class\";s:36:\"Drupal\\field\\FieldUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";s:525:\"a:3:{s:5:\"class\";s:38:\"Drupal\\filter\\FilterUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.filter\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";s:48:\"drupal.proxy_original_service.language_converter\";s:294:\"a:3:{s:5:\"class\";s:33:\"Drupal\\language\\LanguageConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:42:\"drupal.proxy_original_service.node_preview\";s:309:\"a:3:{s:5:\"class\";s:47:\"Drupal\\node\\ParamConverter\\NodePreviewConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"tempstore.private\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";s:745:\"a:3:{s:5:\"class\";s:46:\"Drupal\\views_ui\\ParamConverter\\ViewUIConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"tempstore.shared\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"router.admin_context\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;}\";s:55:\"drupal.proxy_original_service.forum.uninstall_validator\";s:516:\"a:3:{s:5:\"class\";s:36:\"Drupal\\forum\\ForumUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}\";}s:6:\"frozen\";b:1;s:14:\"machine_format\";b:1;}',-1,1674804010.145,1,'','0');
/*!40000 ALTER TABLE `cache_container` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_data`
--

DROP TABLE IF EXISTS `cache_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_data` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_data`
--

LOCK TABLES `cache_data` WRITE;
/*!40000 ALTER TABLE `cache_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_data` VALUES ('route:[language]=en:/blogs:','a:3:{s:4:\"path\";s:6:\"/blogs\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:26:\"view.featured_posts.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/blogs\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:14:\"featured_posts\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/blogs$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/blogs\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/blogs\";s:8:\"numParts\";i:1;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.890,1,'route_match','123'),('route:[language]=en:/categories:','a:3:{s:4:\"path\";s:11:\"/categories\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:22:\"view.categories.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/categories\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:10:\"categories\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/categories$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/categories\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:11:\"/categories\";s:8:\"numParts\";i:1;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.887,1,'route_match','123'),('route:[language]=en:/contact:','a:3:{s:4:\"path\";s:8:\"/contact\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:17:\"contact.site_page\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:8:\"/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";s:12:\"contact_form\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"access site-wide contact form\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:15:\"#^/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/contact\";s:8:\"numParts\";i:1;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.892,1,'route_match','123'),('route:[language]=en:/forum:','a:3:{s:4:\"path\";s:6:\"/forum\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:11:\"forum.index\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/forum\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\forum\\Controller\\ForumController::forumIndex\";s:6:\"_title\";s:6:\"Forums\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/forum$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/forum\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/forum\";s:8:\"numParts\";i:1;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.886,1,'route_match','123'),('route:[language]=en:/node/38:','a:3:{s:4:\"path\";s:8:\"/node/38\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"entity.node.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804013.020,1,'route_match','123'),('route:[language]=en:/showcase:','a:3:{s:4:\"path\";s:9:\"/showcase\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:20:\"view.showcase.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:9:\"/showcase\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:8:\"showcase\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/showcase$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/showcase\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:9:\"/showcase\";s:8:\"numParts\";i:1;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.889,1,'route_match','123'),('route:[language]=en:/taxonomy/term/10:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/10\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.894,1,'route_match','123'),('route:[language]=en:/taxonomy/term/13:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/13\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.994,1,'route_match','123'),('route:[language]=en:/taxonomy/term/17:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/17\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804013.004,1,'route_match','123'),('route:[language]=en:/taxonomy/term/20:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/20\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804013.007,1,'route_match','123'),('route:[language]=en:/taxonomy/term/23:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/23\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804013.000,1,'route_match','123'),('route:[language]=en:/taxonomy/term/25:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/25\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804013.017,1,'route_match','123'),('route:[language]=en:/taxonomy/term/30:','a:3:{s:4:\"path\";s:17:\"/taxonomy/term/30\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.991,1,'route_match','123'),('route:[language]=en:/taxonomy/term/3:','a:3:{s:4:\"path\";s:16:\"/taxonomy/term/3\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.936,1,'route_match','123'),('route:[language]=en:/taxonomy/term/4:','a:3:{s:4:\"path\";s:16:\"/taxonomy/term/4\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804013.014,1,'route_match','123'),('route:[language]=en:/taxonomy/term/6:','a:3:{s:4:\"path\";s:16:\"/taxonomy/term/6\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.955,1,'route_match','123'),('route:[language]=en:/taxonomy/term/7:','a:3:{s:4:\"path\";s:16:\"/taxonomy/term/7\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:30:\"entity.taxonomy_term.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}s:25:\"view.taxonomy_term.page_1\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.997,1,'route_match','123'),('route:[language]=en:/user/login:','a:3:{s:4:\"path\";s:11:\"/user/login\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:3:{s:10:\"user.login\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}s:15:\"user.login.http\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\user\\Controller\\UserAuthenticationController::login\";}s:12:\"requirements\";a:2:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}s:21:\"entity.user.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.881,1,'route_match','123'),('route:[language]=en:/user/logout:','a:3:{s:4:\"path\";s:12:\"/user/logout\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:3:{s:11:\"user.logout\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\user\\Controller\\UserController::logout\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}s:16:\"user.logout.http\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:60:\"\\Drupal\\user\\Controller\\UserAuthenticationController::logout\";}s:12:\"requirements\";a:3:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:30:\"access_check.user.login_status\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}s:21:\"entity.user.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.893,1,'route_match','123'),('route:[language]=en:/user/register:','a:3:{s:4:\"path\";s:14:\"/user/register\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:13:\"user.register\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/user/register\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:18:\"Create new account\";}s:12:\"requirements\";a:1:{s:21:\"_access_user_register\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.user.register\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/register$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/register\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/register\";s:8:\"numParts\";i:2;}}s:21:\"entity.user.canonical\";O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1674804012.879,1,'route_match','123'),('route_provider.route_load:07198062dd03239fb143a21ea16977ba98dd288b57f42b51310b1dcf33cce7cfa0c689e2b65a68ca25461a7248183b63339f6e6c9854fc9d89c1b7915c7e586c','a:0:{}',-1,1674804012.746,1,'routes','119'),('route_provider.route_load:23b444c945c9ed4cd37f97984084397dfcf691793a474532765fb94b2566ad9fdb49a7104073c941b22e0df79089257300e3fa8e77f0578efcba2e95867fce1a','a:1:{s:50:\"entity.taxonomy_vocabulary.entity_permissions_form\";s:1663:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:18:\"bundle_entity_type\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:3:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/overview/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:55:\"/admin/structure/taxonomy/manage/%/overview/permissions\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.785,1,'routes','119'),('route_provider.route_load:2538eaa1715d47c67748c6844b68f463892f9ae7592f8d22e7118fce775981a93dd8962534876d91faeb28d74f2e674e823f87dbe28065fb89ae0fcb7603cc74','a:1:{s:37:\"entity.block_content_type.delete_form\";s:1586:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"block_content_type.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/delete\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.737,1,'routes','119'),('route_provider.route_load:29c8ab2503922999d524f2b5f8eb0a90d28e9b1cd6cfcda0b9c42988095f9d461c20a209eb6d313867fc5691888ccaa9f8101a62c497379765c17284f367f36f','a:1:{s:36:\"entity.taxonomy_vocabulary.edit_form\";s:1484:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:34:\"/admin/structure/taxonomy/manage/%\";s:8:\"numParts\";i:5;}}\";}',-1,1674804012.779,1,'routes','119'),('route_provider.route_load:2c668e41bb26e393c9c4a2f53a40c287b5873c5c2eb7e7f8fa8de24123c35a2e8e9d70dd30439835b9556a80b213eb8b89dc2f75cb96f337dfaf1f90184b3102','a:1:{s:36:\"entity.block_content.field_ui_fields\";s:1626:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/fields\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.732,1,'routes','119'),('route_provider.route_load:3066469d934a36ee7910b1a137deadb94dc53c925fe6e457811290e88d0059af1f841b228d1369b2ce772aeb8858b64b5a8eecc72fea6290e957ea32f19492b2','a:1:{s:39:\"entity.entity_view_display.node.default\";s:1510:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/admin/structure/types/manage/{node_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/types/manage/%/display\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.767,1,'routes','119'),('route_provider.route_load:322c7ca28a855d3991709816364b866ad6448befdcd18725eb3e51b43eb1cf41bfd2aca093ef97b458d1405e1f2080989333b571d0bd46cbe4698be1567bbb16','a:0:{}',-1,1674804012.765,1,'routes','119'),('route_provider.route_load:3369f1a883644aecd0f18cfe97137a7028d8331b527a9e7bcc84cf296e00767f2c070904d43a71cf30afd7d649f75bd42a34611cb1222cd732781a04d6d3e6c6','a:1:{s:43:\"entity.comment_type.entity_permissions_form\";s:1667:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/structure/comment/manage/{comment_type}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:7:\"comment\";s:18:\"bundle_entity_type\";s:12:\"comment_type\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:22:\"administer permissions\";s:14:\"_custom_access\";s:47:\"\\Drupal\\user\\Form\\EntityPermissionsForm::access\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:3:{s:4:\"type\";s:19:\"entity:comment_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:45:\"/admin/structure/comment/manage/%/permissions\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.744,1,'routes','119'),('route_provider.route_load:3a46d102cdce859d3dcd5f6af6a53e27218fdb1c39be258679680cc4162c2677d7965d88fc79f8958252e24b07e25c69ff9fd335dd371d1117c9e806e5abac98','a:1:{s:26:\"entity.node_type.edit_form\";s:1380:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/structure/types/manage/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:14:\"node_type.edit\";s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/types/manage/%\";s:8:\"numParts\";i:5;}}\";}',-1,1674804012.766,1,'routes','119'),('route_provider.route_load:4114d7f0e8d1f71713ac678720d0e0df0eefcea04ec94db3c3186e0cc663f20d233e77e3d61eb869dcfa8e3a336a04caabf7422210c20c4b5d8cfe60edb76d9d','a:1:{s:40:\"entity.taxonomy_vocabulary.overview_form\";s:1560:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";s:5:\"_form\";s:34:\"Drupal\\taxonomy\\Form\\OverviewTerms\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:44:\"taxonomy_vocabulary.access taxonomy overview\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:3:{s:21:\"with_config_overrides\";b:1;s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/overview\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/taxonomy/manage/%/overview\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.774,1,'routes','119'),('route_provider.route_load:4632218a43c6fc181408a49c38fc99e6d3b38007dcf50ff196021e9e4ac1af750827cdf2abf5f57a427e08c24d8ca88563ca0e4f864bc34c21de07ebc4f61051','a:1:{s:48:\"entity.entity_view_display.block_content.default\";s:1654:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/block/block-content/manage/{block_content_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/structure/block/block-content/manage/%/display\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.733,1,'routes','119'),('route_provider.route_load:56981abaf3e2e8bba5d6888c7011a285a329f1805055347833992af7c2903bff77ac1e55dc43bd75df015e30f178547c88aa53793219b5a0a921ff38f8305a1c','a:1:{s:30:\"entity.comment.field_ui_fields\";s:1521:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/fields\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.738,1,'routes','119'),('route_provider.route_load:63e8451784272a16422ca586cee379185c3ce4670b6520f85ebe9033547539c8c4c15537b3023df6811d7e78757a54d84b922d2ac82f4e8ae96dc3353ee51058','a:0:{}',-1,1674804012.753,1,'routes','119'),('route_provider.route_load:65b7065b03febbf9d0730e93a0a4cc89303bcb3fff1aac4d1b2b6a1e9015424a9b3bb6c85fd6281736a46204495b9d0a10a83b43e5f74e5ef579f762de64c76c','a:1:{s:38:\"entity.component_item_type.delete_form\";s:1570:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/structure/component-item/types/{component_item_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"component_item_type.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"component_item_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/component-item/types/%/delete\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.753,1,'routes','119'),('route_provider.route_load:6c5e3b85a909783cc8bc4edf95c71abb121964af6704f5856c7df3d3bea3c66b6465168f9cf0e6db9b50e77e7cb9d329638a07d4755368bfcf4d40fa70c4cc18','a:0:{}',-1,1674804012.738,1,'routes','119'),('route_provider.route_load:731c1f53ea20a221276ba1113504ce9f9761468f3824ccd71dad06194d9ca483481fe16feec38a698329a9fd1eab51f416877ad4f864cd442676fa2404e3d674','a:0:{}',-1,1674804012.732,1,'routes','119'),('route_provider.route_load:7b6e0951a45a88b635ee666f7c78262cdfb112ab7f30cea07ff9fee3fd711c3f3e915d429629cf116296fc0894a4de57c773662e56b3cdf8fa694e8bec835353','a:1:{s:29:\"entity.contact_form.edit_form\";s:1363:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"contact_form.edit\";s:6:\"_title\";s:17:\"Edit contact form\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/contact/manage/%\";s:8:\"numParts\";i:5;}}\";}',-1,1674804012.758,1,'routes','119'),('route_provider.route_load:7b9e452c215ae30ebf44b432e606d5fced3284bc8e7c795d760a4b380351edf4518eb6fb11cb418002b8a957bf482424da26d492fbfd63dd113c159469ad4126','a:1:{s:31:\"entity.contact_form.delete_form\";s:1417:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"contact_form.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/delete\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.759,1,'routes','119'),('route_provider.route_load:846f77dc3db5536cc4540de912498f67194716be4baa85dc4b4e2ae423081848af24965bbad5087ddb41c656317a91696e51ee449b9120e73b2fe14819a85963','a:0:{}',-1,1674804012.757,1,'routes','119'),('route_provider.route_load:85370d56dcf4152e9a12fbd4ceb6a950bceac8ce37d1fe56674a9c0df9a728e79fea2597e92478c208208577a48f5ed61d35db9884b724430026dcf9bd1e01cd','a:1:{s:28:\"entity.node_type.delete_form\";s:1378:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"node_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"node_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/delete\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.772,1,'routes','119'),('route_provider.route_load:8c06960980bcaf12150f1dd0c206b5323dfdd4f521083f05d443ebf327a57ed55be37fe30359d54d3995bea9602ffdf580eae6bd9b2da898d2cfc858d4d4b167','a:1:{s:49:\"entity.entity_form_display.component_item.default\";s:1691:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:57:\"/admin/structure/component-item/types/%/edit/form-display\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.747,1,'routes','119'),('route_provider.route_load:8d91c4c913305747ad0fce44fbd470b275ec704b22b05a2f963499d76f8ca7e2296224afc791aef531cc30f3e9357156ddce5bf0c58ca33670b6bedc3df06418','a:1:{s:50:\"entity.entity_form_display.contact_message.default\";s:1598:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/contact/manage/{contact_form}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/contact/manage/%/form-display\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.758,1,'routes','119'),('route_provider.route_load:8e4c87698a9689c93864e177748d8c1b55aa92e185e4ebd1ec5b2cacc6762fcef74a779f1d260041fffbb02db7d6308db2387777571102e1629ccceefc0f1d7f','a:1:{s:36:\"entity.taxonomy_term.field_ui_fields\";s:1625:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:70:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/taxonomy/manage/%/overview/fields\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.779,1,'routes','119'),('route_provider.route_load:95fcebe76ae85b7828d8ce1ab7cad02c8c705a2d085e5785abfdb6836cb270bc42fdfab7169f256f78483b4f45725e77f2446e38b13baf44a3e9947e008d6513','a:1:{s:29:\"entity.comment_type.edit_form\";s:1349:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"comment_type.edit\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/comment/manage/%\";s:8:\"numParts\";i:5;}}\";}',-1,1674804012.738,1,'routes','119'),('route_provider.route_load:96ecf6cad638178b1fe68773e6b3710371e3ae3e90ad003e0625d44fc1aa21f3433b44ad03123b82f5e0bd2aaccbde06d32acdb28f22292448561d2ef3675077','a:1:{s:43:\"entity.contact_form.entity_permissions_form\";s:1676:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/structure/contact/manage/{contact_form}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:18:\"bundle_entity_type\";s:12:\"contact_form\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:22:\"administer permissions\";s:14:\"_custom_access\";s:47:\"\\Drupal\\user\\Form\\EntityPermissionsForm::access\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:3:{s:4:\"type\";s:19:\"entity:contact_form\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:45:\"/admin/structure/contact/manage/%/permissions\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.759,1,'routes','119'),('route_provider.route_load:976011096be7531b257ed1dac04832c8ec600fc3d6ccf5b3972e1d15a75d87a9f514a95f9e9ad75853ded85476b0e8a8888a8237b1eb95e2c300d57a15525c94','a:1:{s:31:\"entity.comment_type.delete_form\";s:1417:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"comment_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/delete\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.744,1,'routes','119'),('route_provider.route_load:9767132658725f3350812bcf23bfef78c7fea3059c64a9c20c8ba298dd46937d12fa28ac6d7d0fc54a4fefa2ca517d64166b9ecd0325b5eef9912c560d8d5cb8','a:1:{s:17:\"view.files.page_1\";s:1385:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/content/files\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:5:\"files\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:21:\"access files overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/content/files$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/content/files\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/content/files\";s:8:\"numParts\";i:3;}}\";}',-1,1674804012.791,1,'routes','119'),('route_provider.route_load:abfae45df8183b5f30c96a3839e9e07c3c981616152e9609eea2acf6538bdb64c122d47100d7eb7bebcb41ac6c6d80e388b21bbb89807f08718f88dc3cebe2e4','a:1:{s:42:\"entity.entity_view_display.comment.default\";s:1549:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/comment/manage/{comment_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/comment/manage/%/display\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.739,1,'routes','119'),('route_provider.route_load:adcdb1da31fcd33cc402f4858e9e5d70afb8136d70b2cf4a0a02609509a7f50489c04200b5ef027f49f16d0035e1ac4256df63b59361fdc8e441b4f0e568daa2','a:1:{s:49:\"entity.block_content_type.entity_permissions_form\";s:1772:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/block/block-content/manage/{block_content_type}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:13:\"block_content\";s:18:\"bundle_entity_type\";s:18:\"block_content_type\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:22:\"administer permissions\";s:14:\"_custom_access\";s:47:\"\\Drupal\\user\\Form\\EntityPermissionsForm::access\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:3:{s:4:\"type\";s:25:\"entity:block_content_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:57:\"/admin/structure/block/block-content/manage/%/permissions\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.737,1,'routes','119'),('route_provider.route_load:b1b9ff5666df805628c0041e9de4f45f9db7e8dd49c4cf85fccca3908ec8e1a20f40c298ac917991b7caaf7611dc1408a04e659adc471b4a3213fbd5438da2b1','a:1:{s:35:\"entity.block_content_type.edit_form\";s:1517:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"block_content_type.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:45:\"/admin/structure/block/block-content/manage/%\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.732,1,'routes','119'),('route_provider.route_load:bae46e4ca4714519e3929a34e690940aafd6d8b6ced5668c3874e89e88a6579d9567887dbea347c6b6b4745ff7f8b6fe951b72c865cf9fc7ed8337778b17ffd5','a:1:{s:48:\"entity.entity_form_display.taxonomy_term.default\";s:1684:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:56:\"/admin/structure/taxonomy/manage/%/overview/form-display\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.780,1,'routes','119'),('route_provider.route_load:bb1629009dcaf13b726488e04ac08fb163b89e08bec80edaa55b9b9b84725d741db0a15354954fbbd499ef7c316e676e5d838c4c829e146618f06f440fea9cad','a:1:{s:38:\"entity.contact_message.field_ui_fields\";s:1538:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/fields\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.758,1,'routes','119'),('route_provider.route_load:bc07fa62bf8a45e533d56875ba57e16221a071a396b3c17c654bb4cd658b14491f24b97df0aa87b28ab5288da4e6065d34e37535290cff84facf6e1bcaab7168','a:1:{s:48:\"entity.entity_view_display.taxonomy_term.default\";s:1653:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/taxonomy/manage/%/overview/display\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.780,1,'routes','119'),('route_provider.route_load:bc5fc68f4ea72f51f0dc5d117cc8001b3c08747115e5e10327b3f25c16ae471d8f30b00cb3cfabc1a6966279cf117099049974b3bc0318031393762e055a4cac','a:1:{s:49:\"entity.entity_view_display.component_item.default\";s:1660:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/component-item/types/{component_item_type}/edit/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:52:\"/admin/structure/component-item/types/%/edit/display\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.752,1,'routes','119'),('route_provider.route_load:bcb238b010b8b67aac8e985382fb828c08f6b1003efe881ea77b8719514fd7787972c4e8a61a475ba6edc05ef60a44aa8dd8a3932b50b78490de55fa66d1b072','a:1:{s:42:\"entity.entity_form_display.comment.default\";s:1581:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/comment/manage/{comment_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/comment/manage/%/form-display\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.739,1,'routes','119'),('route_provider.route_load:c206b5ed0b7c92d07e106856e4d80b34ee4460f830bf3629b6349ab6ce4df5b82c2e5e6e56b9865cb2fb2e7a86e2418761a711ae70925713cd9e10542bf07706','a:1:{s:27:\"entity.node.field_ui_fields\";s:1482:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/fields\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.766,1,'routes','119'),('route_provider.route_load:c31706c82999de9cf59329eb92832613116749fe8300217122977ba33e5fd5f65eaaf56dede12046d5ca3a7aab5295bda56a21ccbf06bf430ea402dda332c164','a:1:{s:37:\"entity.component_item.field_ui_fields\";s:1632:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/component-item/types/{component_item_type}/edit/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer component_item fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/component-item/types/%/edit/fields\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.746,1,'routes','119'),('route_provider.route_load:d60e8621521a5fda906c50bc0221d593352be63ace492828540f216984f6e39bd5fb757fb12b0a556a44388c5cbe7928293317ddc1c5fdcc56b8f483e07128cc','a:1:{s:37:\"entity.component_item_type.collection\";s:1109:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/structure/component-item/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:19:\"component_item_type\";s:6:\"_title\";s:20:\"Component Item types\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer component_item_type\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/structure/component\\-item/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/structure/component-item/types\";s:8:\"numParts\";i:4;}}\";}',-1,1674804012.745,1,'routes','119'),('route_provider.route_load:da09154fdb5036dcbc6f4eba6fcbd25259d912820efe9fd385c3e2c70ca8afc429fd6cd201de091347dc920e607335dee627f6e4d25cb32e68b962c02017a8e8','a:1:{s:36:\"entity.component_item_type.edit_form\";s:1558:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/component-item/types/{component_item_type}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"component_item_type.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"component_item_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/component-item/types/%/edit\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.746,1,'routes','119'),('route_provider.route_load:e3970f8f38c0e8aa3400f878babc2fc344df01d5fe992c949c3255cab734d248b040fb25a43e44a2ee9b4e87ad1e1ae09e14126508757dd1ac18cb36224ac39d','a:1:{s:48:\"entity.entity_form_display.block_content.default\";s:1686:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:58:\"/admin/structure/block/block-content/manage/%/form-display\";s:8:\"numParts\";i:7;}}\";}',-1,1674804012.733,1,'routes','119'),('route_provider.route_load:f58c08274877baf8255ab47712237538b002d421ad9e099ca2873f9d824ef4297272d2f3363f24edcbbea859602c6987f65a24089817e4ccbb2ba5191826e63f','a:1:{s:39:\"entity.entity_form_display.node.default\";s:1542:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/types/manage/{node_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/types/manage/%/form-display\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.766,1,'routes','119'),('route_provider.route_load:f8058d857b1ee11cd6774fd4df965677cd17a39ea886fff5c71aa9328394941b033ac7db579e7aae19b506ca5bfeebb426b69cd3fd4699ae7b5199947a95936f','a:1:{s:50:\"entity.entity_view_display.contact_message.default\";s:1566:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/contact/manage/{contact_form}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/contact/manage/%/display\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.759,1,'routes','119'),('route_provider.route_load:f8fa52d56dc28b591aa944b6dc3ffcfde3e0575415aaf21089bb24f58d6dedc78551003f4e985d87862d2db2d63e6c991a320ba2e2b78c45e1713f6161203c1f','a:1:{s:40:\"entity.node_type.entity_permissions_form\";s:1519:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/types/manage/{node_type}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:4:\"node\";s:18:\"bundle_entity_type\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:3:{s:4:\"type\";s:16:\"entity:node_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/types/manage/%/permissions\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.767,1,'routes','119'),('route_provider.route_load:febaad96a91461680f71bffb65625d795389df3f1b98a2f8a87624edc77fa73310c08ad1b7d9931ccc8b877003fe660076be319232edfcb6d5e7ec8d64ab2645','a:1:{s:38:\"entity.taxonomy_vocabulary.delete_form\";s:1549:\"O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"taxonomy_vocabulary.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/taxonomy/manage/%/delete\";s:8:\"numParts\";i:6;}}\";}',-1,1674804012.786,1,'routes','119'),('views:unpack_options:01db3def85d7cb825dc8c92c704e86d7ec057f543b01b6bac390afafabf73ef6:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:4:\"Blog\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:3;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:5:\"blogs\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.539,1,'config:views.view.featured_posts','8'),('views:unpack_options:0d1b8e656351497234c2efa2db3e67b6da6f2f5be64e3e27055a08cfb8da7825:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:0;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:4:\"Tags\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:9:\"tagscloud\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.648,1,'config:views.view.tags_in_tags','7'),('views:unpack_options:0f9c9e790bbb39c1211405665071837a5c7aaecacf94bc7b375e7ab440424110:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:11;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:16:\"user.admin_index\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.632,1,'config:views.view.simplenews_subscribers','7'),('views:unpack_options:1036d91b1083517324464b3d64c4d3499f8c29e696c6266d1ce84b03d8f3b220:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:10:\"route_name\";s:0:\"\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}s:14:\"sitename_title\";b:0;}',-1,1674804011.656,1,'config:views.view.taxonomy_term','7'),('views:unpack_options:143bf7821dc7921bcc98ca15addab5394064ed193ebaf49cc548636068fa934b:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:0;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"admin/people/list\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:5:\"admin\";}}',-1,1674804011.676,1,'config:views.view.user_admin_people','8'),('views:unpack_options:19e05766a19ec9870e242d36174ac5e1d36e55ee53629717623739d280288341:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:18:\"admin/content/node\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:6:\"weight\";i:-10;s:9:\"menu_name\";s:5:\"admin\";}}',-1,1674804011.531,1,'config:views.view.content','7'),('views:unpack_options:1cc7e9e61a777dce1c9c0ce4b9db2cb54a6a7bac09f4e14077a7cddfc79d536d:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:30:\"admin/content/comment/approval\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"weight\";i:1;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.509,1,'config:views.view.comment','9'),('views:unpack_options:1d19704324eba1229473c71e1947e9686e8c25a552beedcf50f15b9677d1fbab:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:30:\"The approved comments listing.\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:21:\"admin/content/comment\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.504,1,'config:views.view.comment','9'),('views:unpack_options:257a6c863ec9a4c161239ad6a8190d898b805edfedf55b03c53fd9f25b9d3507:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.615,1,'config:views.view.simplenews_newsletters','8'),('views:unpack_options:2acf8b8a42b6018a6f6971906ea15eaa6894a1114fb73bf2984075a44cfc4586:en','a:33:{s:5:\"title\";s:19:\"Recent log messages\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:11:\"admin-dblog\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:7:\"default\";s:3:\"wid\";s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:0;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:26:\"No log messages available.\";s:8:\"tokenize\";b:0;}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:9:\"plugin_id\";s:6:\"custom\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:12:\"machine_name\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:13:\"dblog_message\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:16:\"dblog_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:3:\"wid\";}s:7:\"exposed\";b:0;}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"dblog_types\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.680,1,'config:views.view.watchdog','10'),('views:unpack_options:3720334f87588a16f4adc08dddf2a0981153478e3340a270756ce9a416238308:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:8:\"showcase\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.603,1,'config:views.view.showcase','7'),('views:unpack_options:41e27c8c57a32eeb2fb6f1e30e4d43ab3e28e0976befc5bb581f877baa00cd04:en','a:33:{s:5:\"title\";s:11:\"Newsletters\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:1;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:8:\"tokenize\";b:0;}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:19:\"format_custom_false\";s:0:\"\";s:18:\"format_custom_true\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.609,1,'config:views.view.simplenews_newsletters','8'),('views:unpack_options:4ab08ccda4eac0cbe943f6e632c68a8af970abbffe9aba313007e03be531d4ea:en','a:33:{s:5:\"title\";s:14:\"Featured Posts\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:3;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:10:\"image_622x\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.535,1,'config:views.view.featured_posts','8'),('views:unpack_options:5005d3c778cc2baad57a4c06d3ed6e9cb2c657b08fb7e45620892dea27125f4f:en','a:33:{s:5:\"title\";s:8:\"Showcase\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:13:\"showcase-list\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.592,1,'config:views.view.showcase','7'),('views:unpack_options:56aed3a27a2d5eab84d8952559d748a39034fe2c2e07d34c72ce010e4b53ec04:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.692,1,'config:views.view.watchdog','10'),('views:unpack_options:5d22aec4f86225c686205b201364f2fbdc404a7c2c8c525c1708380df8ca3e1d:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:0;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:10:\"File usage\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:7:\"default\";s:12:\"entity_label\";s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:12:\"entity_label\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";s:9:\"plugin_id\";s:8:\"file_fid\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:8:\"override\";b:0;s:14:\"items_per_page\";i:25;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.565,1,'config:views.view.files','7'),('views:unpack_options:7bbfe30269e1fd9d4ef670994b39c99dc70339170463e12fa43904f428dfad03:en','a:33:{s:5:\"title\";s:12:\"Tags in Tags\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:9:\"tags-list\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:92:\"<p class=\"more\"><a href=\"[site:url]tagscloud\" target=\"_blank\" title=\"More tags\">More</a></p>\";s:6:\"format\";s:9:\"full_html\";}s:8:\"tokenize\";b:0;}}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.640,1,'config:views.view.tags_in_tags','7'),('views:unpack_options:7dd319c43605bb73cfc7602d85d4cc3ba277d47384a716a5f790b86206a26a96:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"node\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.587,1,'config:views.view.frontpage','7'),('views:unpack_options:7f6a9861c9c2a9bdfed93147d2bc7f6134f0ddf74cb6b2c808132c5c3f1f10fb:en','a:33:{s:5:\"title\";s:20:\"Custom block library\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:8:\"tokenize\";b:0;}s:27:\"block_content_listing_empty\";a:10:{s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:27:\"block_content_listing_empty\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.456,1,'config:views.view.block_content','8'),('views:unpack_options:8c8a0da5eb71bde584a345c43fb9fc63b488917f5ed17a94971c5323174c4cbf:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:0;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/content/files\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.558,1,'config:views.view.files','7'),('views:unpack_options:8d9c295296bca108f59b46a6de4fd4cb289505a70b58e3a143f99eb9a95c56bf:en','a:33:{s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:6:\"entity\";s:5:\"empty\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:8:\"tokenize\";b:1;s:13:\"bypass_access\";b:0;}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"sticky\";}s:7:\"exposed\";b:0;}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:8:\"override\";b:0;s:14:\"items_per_page\";i:25;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:7:\"bundles\";a:0:{}s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.652,1,'config:views.view.taxonomy_term','7'),('views:unpack_options:954e29a9f9fce83d414524f36fbf20809eb193a492dae9974f2a6b878e7d465a:en','a:33:{s:5:\"title\";s:6:\"People\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:7:\"default\";s:7:\"created\";s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:20:\"No people available.\";s:8:\"tokenize\";b:0;}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:7:\"Blocked\";s:18:\"format_custom_true\";s:6:\"Active\";}}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:10:\"user_roles\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:10:\"user_roles\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:16:\"user_permissions\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.668,1,'config:views.view.user_admin_people','8'),('views:unpack_options:95543288a6380588e400850f0053d0e1bbb38c731f0fde303cfe5f9586c71156:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:19:\"block.admin_display\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.464,1,'config:views.view.block_content','8'),('views:unpack_options:9828b1acfb9f36d52eae1cfa5963e96ec0f642205ec741540d1acb6eb015a298:en','a:33:{s:5:\"title\";s:11:\"Subscribers\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:30;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:1;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:8:\"tokenize\";b:0;}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:23:\"subscriptions_target_id\";a:34:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.621,1,'config:views.view.simplenews_subscribers','7'),('views:unpack_options:a1bb00dac8f592076d313b76865905a0f6a732e35764c27af4da27122071d2af:en','a:33:{s:5:\"title\";s:7:\"Content\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:12:\"Content Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:11:\"Unpublished\";s:18:\"format_custom_true\";s:9:\"Published\";}}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:5:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.523,1,'config:views.view.content','7'),('views:unpack_options:ab89d44ddf547d90766597cf8aa4b7055af81e309a5077f12337ced88e5eb8f0:en','a:33:{s:5:\"title\";s:8:\"Comments\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"changed\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.496,1,'config:views.view.comment','9'),('views:unpack_options:bdc6ea4332b3cc2cc5e1a5c0cd57ebd119945b248a3b053809d3acc02654c4cf:en','a:33:{s:5:\"title\";s:10:\"Categories\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:15:\"categories-list\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:26:\"taxonomy_term__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:3:\"vid\";a:16:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.487,1,'config:views.view.categories','8'),('views:unpack_options:caf05077ec95e287175763c577447a072f54370aad961080af290e544240ab59:en','a:33:{s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:12;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:43:\"No front page content has been created yet.\";s:8:\"tokenize\";b:0;}s:18:\"node_listing_empty\";a:10:{s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:18:\"node_listing_empty\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"sticky\";}s:7:\"exposed\";b:0;}s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"promote\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.576,1,'config:views.view.frontpage','7'),('views:unpack_options:d5d2f9c953c44733e03ac188995830be87b4952dc1c454973145156c2a5d0452:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:10:\"categories\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.492,1,'config:views.view.categories','8'),('views:unpack_options:e9c484b09f384766fbe24be8df8f654a76f0ab92eb5c84f2c6b87c3c0396e51c:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"taxonomy/term/%\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1674804011.664,1,'config:views.view.taxonomy_term','7'),('views:unpack_options:f58942fc3147ce36feff2ba2b930427de3911c87628e079b93b3671eae7f3522:en','a:33:{s:5:\"title\";s:5:\"Files\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:1;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:9:\"Mime type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"Mime type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:11:\"file_status\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1674804011.547,1,'config:views.view.files','7');
/*!40000 ALTER TABLE `cache_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_default`
--

DROP TABLE IF EXISTS `cache_default`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_default` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_default`
--

LOCK TABLES `cache_default` WRITE;
/*!40000 ALTER TABLE `cache_default` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_default` VALUES ('core.extension.list.profile','a:15:{s:10:\"demo_umami\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:44:\"core/profiles/demo_umami/demo_umami.info.yml\";s:11:\"\0*\0filename\";s:18:\"demo_umami.profile\";s:7:\"subpath\";s:19:\"profiles/demo_umami\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:40:\"Demo: Umami Food Magazine (Experimental)\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:71:\"Install an example site that shows off some of Drupal’s capabilities.\";s:7:\"version\";s:5:\"9.5.2\";s:7:\"install\";a:42:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:8:\"big_pipe\";i:3;s:5:\"block\";i:4;s:10:\"breakpoint\";i:5;s:9:\"ckeditor5\";i:6;s:6:\"config\";i:7;s:10:\"contextual\";i:8;s:7:\"contact\";i:9;s:14:\"layout_builder\";i:10;s:16:\"layout_discovery\";i:11;s:17:\"menu_link_content\";i:12;s:8:\"datetime\";i:13;s:13:\"block_content\";i:14;s:6:\"editor\";i:15;s:4:\"help\";i:16;s:5:\"image\";i:17;s:5:\"media\";i:18;s:13:\"media_library\";i:19;s:7:\"menu_ui\";i:20;s:7:\"options\";i:21;s:4:\"path\";i:22;s:10:\"page_cache\";i:23;s:18:\"dynamic_page_cache\";i:24;s:8:\"taxonomy\";i:25;s:5:\"dblog\";i:26;s:6:\"search\";i:27;s:8:\"shortcut\";i:28;s:7:\"toolbar\";i:29;s:8:\"field_ui\";i:30;s:4:\"file\";i:31;s:5:\"views\";i:32;s:8:\"views_ui\";i:33;s:4:\"tour\";i:34;s:14:\"automated_cron\";i:35;s:16:\"responsive_image\";i:36;s:18:\"content_moderation\";i:37;s:9:\"workflows\";i:38;s:8:\"language\";i:39;s:6:\"locale\";i:40;s:18:\"config_translation\";i:41;s:19:\"content_translation\";}s:6:\"themes\";a:2:{i:0;s:5:\"claro\";i:1;s:5:\"umami\";}s:12:\"keep_english\";b:1;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:7:\"minimal\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:38:\"core/profiles/minimal/minimal.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:16:\"profiles/minimal\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:7:\"Minimal\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:86:\"Build a custom site without pre-configured functionality. Suitable for advanced users.\";s:7:\"version\";s:5:\"9.5.2\";s:7:\"install\";a:5:{i:0;s:4:\"node\";i:1;s:5:\"block\";i:2;s:5:\"dblog\";i:3;s:10:\"page_cache\";i:4;s:18:\"dynamic_page_cache\";}s:6:\"themes\";a:1:{i:0;s:5:\"stark\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:18:\"nightwatch_testing\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:60:\"core/profiles/nightwatch_testing/nightwatch_testing.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:27:\"profiles/nightwatch_testing\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:18:\"Nightwatch Testing\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:88:\"Minimal profile for running Nightwatch tests. Includes absolutely required modules only.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:19:\"js_testing_log_test\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:8:\"standard\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:40:\"core/profiles/standard/standard.info.yml\";s:11:\"\0*\0filename\";s:16:\"standard.profile\";s:7:\"subpath\";s:17:\"profiles/standard\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:8:\"Standard\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:5:\"9.5.2\";s:7:\"install\";a:32:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:5:\"block\";i:3;s:10:\"breakpoint\";i:4;s:9:\"ckeditor5\";i:5;s:6:\"config\";i:6;s:7:\"comment\";i:7;s:10:\"contextual\";i:8;s:7:\"contact\";i:9;s:17:\"menu_link_content\";i:10;s:8:\"datetime\";i:11;s:13:\"block_content\";i:12;s:6:\"editor\";i:13;s:4:\"help\";i:14;s:5:\"image\";i:15;s:7:\"menu_ui\";i:16;s:7:\"options\";i:17;s:4:\"path\";i:18;s:10:\"page_cache\";i:19;s:18:\"dynamic_page_cache\";i:20;s:8:\"big_pipe\";i:21;s:8:\"taxonomy\";i:22;s:5:\"dblog\";i:23;s:6:\"search\";i:24;s:8:\"shortcut\";i:25;s:7:\"toolbar\";i:26;s:8:\"field_ui\";i:27;s:4:\"file\";i:28;s:5:\"views\";i:29;s:8:\"views_ui\";i:30;s:4:\"tour\";i:31;s:14:\"automated_cron\";}s:6:\"themes\";a:2:{i:0;s:7:\"olivero\";i:1;s:5:\"claro\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:7:\"testing\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:38:\"core/profiles/testing/testing.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:16:\"profiles/testing\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:7:\"Testing\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:77:\"Minimal profile for running tests. Includes absolutely required modules only.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:7:\"install\";a:2:{i:0;s:17:\"drupal:page_cache\";i:1;s:18:\"dynamic_page_cache\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:21:\"testing_config_import\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:66:\"core/profiles/testing_config_import/testing_config_import.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:30:\"profiles/testing_config_import\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:21:\"Testing config import\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:46:\"Tests install profiles in the config importer.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:6:\"syslog\";}s:6:\"themes\";a:1:{i:0;s:5:\"stark\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:24:\"testing_config_overrides\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:72:\"core/profiles/testing_config_overrides/testing_config_overrides.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:33:\"profiles/testing_config_overrides\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:24:\"Testing config overrides\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:69:\"Minimal profile for running tests with config overrides in a profile.\";s:7:\"version\";s:5:\"9.5.2\";s:24:\"core_version_requirement\";s:1:\"*\";s:6:\"hidden\";b:1;s:7:\"install\";a:4:{i:0;s:6:\"action\";i:1;s:8:\"language\";i:2;s:31:\"testing_config_overrides_module\";i:3;s:4:\"tour\";}s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:40:\"testing_install_profile_all_dependencies\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:104:\"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:49:\"profiles/testing_install_profile_all_dependencies\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:40:\"Testing install profile all dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:63:\"Profile for testing that install profiles can require a module.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:10:\"drupal:ban\";i:1;s:12:\"drupal:dblog\";}s:7:\"install\";a:0:{}s:6:\"themes\";a:1:{i:0;s:16:\"starterkit_theme\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:36:\"testing_install_profile_dependencies\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:96:\"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:45:\"profiles/testing_install_profile_dependencies\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:36:\"Testing install profile dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:63:\"Profile for testing that install profiles can require a module.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:dblog\";}s:7:\"install\";a:1:{i:0;s:3:\"ban\";}s:6:\"themes\";a:1:{i:0;s:16:\"starterkit_theme\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:28:\"testing_missing_dependencies\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:80:\"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:37:\"profiles/testing_missing_dependencies\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:28:\"Testing missing dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:76:\"Minimal profile for running a test when dependencies are listed but missing.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:7:\"install\";a:5:{i:0;s:5:\"block\";i:1;s:11:\"drupal:node\";i:2;s:16:\"drupal:fictional\";i:3;s:15:\"missing_module1\";i:4;s:15:\"missing_module2\";}s:12:\"keep_english\";b:1;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:20:\"testing_multilingual\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:64:\"core/profiles/testing_multilingual/testing_multilingual.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:29:\"profiles/testing_multilingual\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:20:\"Testing multilingual\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:64:\"Minimal profile for running tests with a multilingual installer.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:7:\"install\";a:3:{i:0;s:6:\"locale\";i:1;s:21:\"locale_test_translate\";i:2;s:4:\"tour\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:33:\"testing_multilingual_with_english\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:90:\"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:42:\"profiles/testing_multilingual_with_english\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:33:\"Testing multilingual with English\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:64:\"Minimal profile for running tests with a multilingual installer.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:6:\"locale\";}s:12:\"keep_english\";b:1;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:20:\"testing_requirements\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:64:\"core/profiles/testing_requirements/testing_requirements.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:29:\"profiles/testing_requirements\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:20:\"Testing requirements\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:40:\"Profile for testing hook_requirements().\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"install\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:19:\"testing_site_config\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:62:\"core/profiles/testing_site_config/testing_site_config.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:28:\"profiles/testing_site_config\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:19:\"Testing site config\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:53:\"Minimal profile for testing with default site config.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"install\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}s:21:\"testing_themes_blocks\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:66:\"core/profiles/testing_themes_blocks/testing_themes_blocks.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:30:\"profiles/testing_themes_blocks\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:14:{s:4:\"name\";s:21:\"Testing themes blocks\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:57:\"Minimal profile for testing block installation of themes.\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:6:\"themes\";a:3:{i:0;s:29:\"testing_theme_optional_blocks\";i:1;s:29:\"testing_theme_required_blocks\";i:2;s:28:\"testing_theme_without_blocks\";}s:7:\"install\";a:1:{i:0;s:5:\"block\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.3.0\";}}}',-1,1674804010.991,1,'','0'),('core.extension.list.theme','a:10:{s:5:\"claro\";O:31:\"Drupal\\Core\\Extension\\Extension\":13:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/claro/claro.info.yml\";s:11:\"\0*\0filename\";s:11:\"claro.theme\";s:7:\"subpath\";s:12:\"themes/claro\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:25:{s:4:\"name\";s:5:\"Claro\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:62:\"A clean, accessible, and powerful Drupal administration theme.\";s:8:\"alt text\";s:49:\"Screenshot of Claro, Drupal administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:9:\"libraries\";a:3:{i:0;s:19:\"core/drupal.message\";i:1;s:14:\"core/normalize\";i:2;s:20:\"claro/global-styling\";}s:18:\"libraries-override\";a:15:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:6:{s:39:\"css/components/ajax-progress.module.css\";s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:40:\"css/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:28:\"css/components/tabledrag.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";b:0;}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:1:{s:4:\"base\";a:1:{s:32:\"misc/dialog/off-canvas.theme.css\";s:29:\"css/base/off-canvas.theme.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:29:\"css/components/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";b:0;}}}s:24:\"core/drupal.autocomplete\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:26:\"core/drupal.tabbingmanager\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:18:\"core/drupal.dialog\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";b:0;}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:28:\"css/theme/field-ui.admin.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";b:0;}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";b:0;}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:33:\"css/components/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:27:\"css/theme/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:33:\"css/theme/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:26:\"css/state/toolbar.menu.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:33:\"css/components/views_ui.admin.css\";}s:5:\"theme\";a:1:{s:28:\"css/views_ui.admin.theme.css\";s:34:\"css/theme/views_ui.admin.theme.css\";}}}}s:16:\"libraries-extend\";a:26:{s:24:\"ckeditor/drupal.ckeditor\";a:1:{i:0;s:21:\"claro/ckeditor-editor\";}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{i:0;s:20:\"claro/ckeditor-admin\";}s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"claro/ckeditor-dialog\";}s:20:\"core/drupal.collapse\";a:1:{i:0;s:19:\"claro/details-focus\";}s:18:\"core/drupal.dialog\";a:2:{i:0;s:25:\"claro/claro.drupal.dialog\";i:1;s:21:\"claro/claro.jquery.ui\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:16:\"claro/dropbutton\";}s:20:\"core/drupal.checkbox\";a:1:{i:0;s:14:\"claro/checkbox\";}s:19:\"core/drupal.message\";a:1:{i:0;s:14:\"claro/messages\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:14:\"claro/progress\";}s:26:\"core/drupal.tabbingmanager\";a:1:{i:0;s:21:\"claro/claro.jquery.ui\";}s:21:\"core/drupal.tabledrag\";a:1:{i:0;s:21:\"claro/claro.tabledrag\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"claro/vertical-tabs\";}s:16:\"file/drupal.file\";a:1:{i:0;s:10:\"claro/file\";}s:26:\"filter/drupal.filter.admin\";a:1:{i:0;s:12:\"claro/filter\";}s:20:\"filter/drupal.filter\";a:1:{i:0;s:12:\"claro/filter\";}s:12:\"system/admin\";a:1:{i:0;s:18:\"claro/system.admin\";}s:24:\"core/drupal.autocomplete\";a:2:{i:0;s:18:\"claro/autocomplete\";i:1;s:21:\"claro/claro.jquery.ui\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"claro/tour-styling\";}s:24:\"shortcut/drupal.shortcut\";a:1:{i:0;s:21:\"claro/drupal.shortcut\";}s:16:\"core/drupal.ajax\";a:1:{i:0;s:10:\"claro/ajax\";}s:16:\"user/drupal.user\";a:1:{i:0;s:27:\"claro/form.password-confirm\";}s:18:\"views/views.module\";a:1:{i:0;s:11:\"claro/views\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"claro/classy.media_embed_ckeditor_theme\";}s:16:\"media_library/ui\";a:1:{i:0;s:22:\"claro/media_library.ui\";}s:18:\"media_library/view\";a:1:{i:0;s:25:\"claro/media_library.theme\";}s:20:\"media_library/widget\";a:1:{i:0;s:25:\"claro/media_library.theme\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:20:\"ckeditor_stylesheets\";a:4:{i:0;s:21:\"css/base/elements.css\";i:1;s:23:\"css/base/typography.css\";i:2;s:28:\"css/theme/ckeditor-frame.css\";i:3;s:43:\"css/classy/components/media-embed-error.css\";}s:21:\"ckeditor5-stylesheets\";b:0;s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/claro/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:19:\"module_dependencies\";a:0:{}}s:7:\"olivero\";O:31:\"Drupal\\Core\\Extension\\Extension\":13:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:36:\"core/themes/olivero/olivero.info.yml\";s:11:\"\0*\0filename\";s:13:\"olivero.theme\";s:7:\"subpath\";s:14:\"themes/olivero\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:24:{s:4:\"name\";s:7:\"Olivero\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:57:\"A clean, accessible, and flexible Drupal front-end theme.\";s:8:\"alt text\";s:46:\"Screenshot of Olivero, Drupal front-end theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:9:\"libraries\";a:1:{i:0;s:22:\"olivero/global-styling\";}s:7:\"regions\";a:13:{s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:4:\"hero\";s:17:\"Hero (full width)\";s:11:\"highlighted\";s:11:\"Highlighted\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:6:\"social\";s:10:\"Social Bar\";s:13:\"content_above\";s:13:\"Content Above\";s:7:\"content\";s:7:\"Content\";s:7:\"sidebar\";s:7:\"Sidebar\";s:13:\"content_below\";s:13:\"Content Below\";s:10:\"footer_top\";s:10:\"Footer Top\";s:13:\"footer_bottom\";s:13:\"Footer Bottom\";}s:18:\"libraries-override\";a:9:{s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";b:0;}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:2:{s:39:\"css/components/ajax-progress.module.css\";s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";}}}s:20:\"core/drupal.checkbox\";b:0;s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:29:\"css/components/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:32:\"css/components/vertical-tabs.css\";}}}s:22:\"media/oembed.formatter\";b:0;s:29:\"layout_builder/twocol_section\";s:37:\"olivero/layout_builder_twocol_section\";s:31:\"layout_builder/threecol_section\";s:39:\"olivero/layout_builder_threecol_section\";s:30:\"layout_builder/fourcol_section\";s:38:\"olivero/layout_builder_fourcol_section\";}s:16:\"libraries-extend\";a:13:{s:19:\"core/drupal.message\";a:1:{i:0;s:22:\"olivero/drupal.message\";}s:20:\"core/drupal.collapse\";a:1:{i:0;s:15:\"olivero/details\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:21:\"olivero/drupal.dialog\";}s:29:\"core/drupal.dialog.off_canvas\";a:1:{i:0;s:25:\"olivero/dialog.off_canvas\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:16:\"olivero/progress\";}s:23:\"layout_discovery/onecol\";a:1:{i:0;s:32:\"olivero/layout_discovery_section\";}s:30:\"layout_discovery/twocol_bricks\";a:1:{i:0;s:32:\"olivero/layout_discovery_section\";}s:23:\"layout_discovery/twocol\";a:1:{i:0;s:32:\"olivero/layout_discovery_section\";}s:34:\"layout_discovery/threecol_25_50_25\";a:1:{i:0;s:32:\"olivero/layout_discovery_section\";}s:34:\"layout_discovery/threecol_33_34_33\";a:1:{i:0;s:32:\"olivero/layout_discovery_section\";}s:24:\"node/drupal.node.preview\";a:1:{i:0;s:27:\"olivero/drupal.node.preview\";}s:13:\"core/ckeditor\";a:1:{i:0;s:18:\"olivero/cke-dialog\";}s:37:\"content_moderation/content_moderation\";a:1:{i:0;s:26:\"olivero/content_moderation\";}}s:20:\"ckeditor_stylesheets\";a:6:{i:0;s:18:\"css/base/fonts.css\";i:1;s:17:\"css/base/base.css\";i:2;s:33:\"css/components/embedded-media.css\";i:3;s:24:\"css/components/table.css\";i:4;s:31:\"css/components/text-content.css\";i:5;s:28:\"css/theme/ckeditor-frame.css\";}s:21:\"ckeditor5-stylesheets\";b:0;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:34:\"core/themes/olivero/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:19:\"module_dependencies\";a:0:{}}s:5:\"stark\";O:31:\"Drupal\\Core\\Extension\\Extension\":13:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/stark/stark.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:12:\"themes/stark\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:20:{s:4:\"name\";s:5:\"Stark\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:211:\"An intentionally plain theme with no styling to demonstrate default Drupal’s HTML and CSS. Learn how to build a custom theme from Stark in the <a href=\"https://www.drupal.org/docs/8/theming\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:10:\"starterkit\";b:0;s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/stark/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:19:\"module_dependencies\";a:0:{}}s:7:\"stable9\";O:31:\"Drupal\\Core\\Extension\\Extension\":14:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:36:\"core/themes/stable9/stable9.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:14:\"themes/stable9\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:8:\"Stable 9\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:54:\"A base theme using Drupal 9.0.0\'s core markup and CSS.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:18:\"libraries-override\";a:59:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:14:\"core/normalize\";s:17:\"stable9/normalize\";s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:23:\"layout_discovery/onecol\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:25:\"layouts/onecol/onecol.css\";s:42:\"layouts/layout_discovery/onecol/onecol.css\";}}}s:30:\"layout_discovery/twocol_bricks\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:39:\"layouts/twocol_bricks/twocol_bricks.css\";s:56:\"layouts/layout_discovery/twocol_bricks/twocol_bricks.css\";}}}s:23:\"layout_discovery/twocol\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:25:\"layouts/twocol/twocol.css\";s:42:\"layouts/layout_discovery/twocol/twocol.css\";}}}s:34:\"layout_discovery/threecol_25_50_25\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"layouts/threecol_25_50_25/threecol_25_50_25.css\";s:64:\"layouts/layout_discovery/threecol_25_50_25/threecol_25_50_25.css\";}}}s:34:\"layout_discovery/threecol_33_34_33\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"layouts/threecol_33_34_33/threecol_33_34_33.css\";s:64:\"layouts/layout_discovery/threecol_33_34_33/threecol_33_34_33.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:29:\"layout_builder/twocol_section\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:41:\"layouts/twocol_section/twocol_section.css\";s:56:\"layouts/layout_builder/twocol_section/twocol_section.css\";}}}s:31:\"layout_builder/threecol_section\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"layouts/threecol_section/threecol_section.css\";s:60:\"layouts/layout_builder/threecol_section/threecol_section.css\";}}}s:30:\"layout_builder/fourcol_section\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:43:\"layouts/fourcol_section/fourcol_section.css\";s:58:\"layouts/layout_builder/fourcol_section/fourcol_section.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:47:\"quickedit/quickedit.inPlaceEditor.formattedText\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:2:{s:38:\"css/editors/formattedText.ckeditor.css\";s:48:\"css/quickedit/editors/formattedText.ckeditor.css\";s:39:\"css/editors/formattedText.ckeditor5.css\";s:49:\"css/quickedit/editors/formattedText.ckeditor5.css\";}}}s:39:\"quickedit/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:31:\"css/quickedit/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:37:\"css/quickedit/editors/image.theme.css\";}}}s:51:\"quickedit/quickedit.ckeditor5-temporary-work-around\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:50:\"css/editors/formattedText/ckeditor5.workaround.css\";s:60:\"css/quickedit/editors/formattedText/ckeditor5.workaround.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:16:\"libraries-extend\";a:1:{s:9:\"tour/tour\";a:1:{i:0;s:12:\"stable9/tour\";}}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:34:\"core/themes/stable9/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:1:{s:16:\"starterkit_theme\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"stable9\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:10:\"sub_themes\";a:1:{s:16:\"starterkit_theme\";s:16:\"starterkit_theme\";}s:19:\"module_dependencies\";a:0:{}}s:16:\"starterkit_theme\";O:31:\"Drupal\\Core\\Extension\\Extension\":14:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:54:\"core/themes/starterkit_theme/starterkit_theme.info.yml\";s:11:\"\0*\0filename\";s:22:\"starterkit_theme.theme\";s:7:\"subpath\";s:23:\"themes/starterkit_theme\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:16:\"starterkit_theme\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:7:\"stable9\";s:6:\"hidden\";b:1;s:10:\"starterkit\";b:1;s:7:\"version\";s:5:\"9.5.2\";s:9:\"libraries\";a:3:{i:0;s:21:\"starterkit_theme/base\";i:1;s:25:\"starterkit_theme/messages\";i:2;s:14:\"core/normalize\";}s:16:\"libraries-extend\";a:5:{s:16:\"user/drupal.user\";a:1:{i:0;s:21:\"starterkit_theme/user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:27:\"starterkit_theme/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:23:\"starterkit_theme/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:21:\"starterkit_theme/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:25:\"starterkit_theme/progress\";}}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:11:\"description\";s:0:\"\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:43:\"core/themes/starterkit_theme/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:7:\"stable9\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:7:\"stable9\";r:700;}s:4:\"sort\";i:-1;s:11:\"base_themes\";a:1:{s:7:\"stable9\";s:8:\"Stable 9\";}s:19:\"module_dependencies\";a:0:{}}s:6:\"bartik\";O:31:\"Drupal\\Core\\Extension\\Extension\":15:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/bartik/bartik.info.yml\";s:11:\"\0*\0filename\";s:12:\"bartik.theme\";s:7:\"subpath\";s:13:\"themes/bartik\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:6:\"Bartik\";s:4:\"type\";s:5:\"theme\";s:9:\"lifecycle\";s:10:\"deprecated\";s:14:\"lifecycle_link\";s:44:\"https://www.drupal.org/node/3223395#s-bartik\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:9:\"libraries\";a:4:{i:0;s:18:\"bartik/classy.base\";i:1;s:22:\"bartik/classy.messages\";i:2;s:14:\"core/normalize\";i:3;s:21:\"bartik/global-styling\";}s:16:\"libraries-extend\";a:11:{s:18:\"core/drupal.dialog\";a:1:{i:0;s:20:\"bartik/classy.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:24:\"bartik/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:22:\"bartik/classy.progress\";}s:16:\"file/drupal.file\";a:1:{i:0;s:18:\"bartik/classy.file\";}s:26:\"filter/drupal.filter.admin\";a:1:{i:0;s:13:\"bartik/filter\";}s:20:\"filter/drupal.filter\";a:1:{i:0;s:13:\"bartik/filter\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:40:\"bartik/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:27:\"bartik/classy.media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:27:\"bartik/classy.media_library\";}s:9:\"tour/tour\";a:1:{i:0;s:11:\"bartik/tour\";}s:16:\"user/drupal.user\";a:1:{i:0;s:11:\"bartik/user\";}}s:20:\"ckeditor_stylesheets\";a:5:{i:0;s:21:\"css/base/elements.css\";i:1;s:27:\"css/components/captions.css\";i:2;s:24:\"css/components/table.css\";i:3;s:33:\"css/components/text-formatted.css\";i:4;s:43:\"css/classy/components/media-embed-error.css\";}s:7:\"regions\";a:19:{s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:12:\"featured_top\";s:12:\"Featured top\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:21:\"featured_bottom_first\";s:21:\"Featured bottom first\";s:22:\"featured_bottom_second\";s:22:\"Featured bottom second\";s:21:\"featured_bottom_third\";s:21:\"Featured bottom third\";s:12:\"footer_first\";s:12:\"Footer first\";s:13:\"footer_second\";s:13:\"Footer second\";s:12:\"footer_third\";s:12:\"Footer third\";s:13:\"footer_fourth\";s:13:\"Footer fourth\";s:12:\"footer_fifth\";s:12:\"Footer fifth\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:4:{i:0;s:18:\"bartik/classy.base\";i:1;s:22:\"bartik/classy.messages\";i:2;s:14:\"core/normalize\";i:3;s:21:\"bartik/global-styling\";}s:6:\"engine\";s:4:\"twig\";}s:5:\"seven\";O:31:\"Drupal\\Core\\Extension\\Extension\":15:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/seven/seven.info.yml\";s:11:\"\0*\0filename\";s:11:\"seven.theme\";s:7:\"subpath\";s:12:\"themes/seven\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:25:{s:4:\"name\";s:5:\"Seven\";s:4:\"type\";s:5:\"theme\";s:9:\"lifecycle\";s:10:\"deprecated\";s:14:\"lifecycle_link\";s:43:\"https://www.drupal.org/node/3223395#s-seven\";s:11:\"description\";s:153:\"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.\";s:8:\"alt text\";s:77:\"Default administration theme for Drupal 8 with simple blocks and clean lines.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:9:\"libraries\";a:3:{i:0;s:21:\"seven/classy.messages\";i:1;s:14:\"core/normalize\";i:2;s:20:\"seven/global-styling\";}s:18:\"libraries-override\";a:5:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:3:{s:40:\"css/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";b:0;}}}s:24:\"core/drupal.autocomplete\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:26:\"core/drupal.tabbingmanager\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:18:\"core/drupal.dialog\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}}s:16:\"libraries-extend\";a:15:{s:13:\"core/ckeditor\";a:2:{i:0;s:21:\"seven/ckeditor-dialog\";i:1;s:20:\"seven/ckeditor-admin\";}s:24:\"core/drupal.autocomplete\";a:1:{i:0;s:21:\"seven/seven.jquery.ui\";}s:18:\"core/drupal.dialog\";a:2:{i:0;s:25:\"seven/seven.drupal.dialog\";i:1;s:21:\"seven/seven.jquery.ui\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:23:\"seven/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:21:\"seven/classy.progress\";}s:26:\"core/drupal.tabbingmanager\";a:1:{i:0;s:21:\"seven/seven.jquery.ui\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"seven/vertical-tabs\";}s:16:\"file/drupal.file\";a:1:{i:0;s:17:\"seven/classy.file\";}s:26:\"filter/drupal.filter.admin\";a:1:{i:0;s:12:\"seven/filter\";}s:20:\"filter/drupal.filter\";a:1:{i:0;s:12:\"seven/filter\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"seven/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:19:\"seven/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:19:\"seven/media_library\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"seven/tour-styling\";}s:16:\"user/drupal.user\";a:1:{i:0;s:10:\"seven/user\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:43:\"css/classy/components/media-embed-error.css\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/seven/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:3:{i:0;s:21:\"seven/classy.messages\";i:1;s:14:\"core/normalize\";i:2;s:20:\"seven/global-styling\";}s:6:\"engine\";s:4:\"twig\";}s:6:\"stable\";O:31:\"Drupal\\Core\\Extension\\Extension\":15:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/stable/stable.info.yml\";s:11:\"\0*\0filename\";s:12:\"stable.theme\";s:7:\"subpath\";s:13:\"themes/stable\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:23:{s:4:\"name\";s:6:\"Stable\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:62:\"A default base theme using Drupal 8.0.0\'s core markup and CSS.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:9:\"lifecycle\";s:10:\"deprecated\";s:14:\"lifecycle_link\";s:52:\"https://www.drupal.org/project/drupal/issues/3308890\";s:18:\"libraries-override\";a:54:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:14:\"core/normalize\";s:16:\"stable/normalize\";s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:47:\"quickedit/quickedit.inPlaceEditor.formattedText\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:2:{s:38:\"css/editors/formattedText.ckeditor.css\";s:48:\"css/quickedit/editors/formattedText.ckeditor.css\";s:39:\"css/editors/formattedText.ckeditor5.css\";s:49:\"css/quickedit/editors/formattedText.ckeditor5.css\";}}}s:39:\"quickedit/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:31:\"css/quickedit/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:37:\"css/quickedit/editors/image.theme.css\";}}}s:51:\"quickedit/quickedit.ckeditor5-temporary-work-around\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:50:\"css/editors/formattedText/ckeditor5.workaround.css\";s:60:\"css/quickedit/editors/formattedText/ckeditor5.workaround.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:16:\"libraries-extend\";a:3:{s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"stable/drupal.user\";}s:9:\"tour/tour\";a:1:{i:0;s:11:\"stable/tour\";}}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/stable/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:2:{s:6:\"classy\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"stable\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:8:\"pinteros\";r:1329;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:10:\"sub_themes\";a:2:{s:6:\"classy\";s:6:\"Classy\";s:8:\"pinteros\";s:8:\"Pinteros\";}s:19:\"module_dependencies\";a:0:{}s:6:\"engine\";s:4:\"twig\";}s:6:\"classy\";O:31:\"Drupal\\Core\\Extension\\Extension\":18:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/classy/classy.info.yml\";s:11:\"\0*\0filename\";s:12:\"classy.theme\";s:7:\"subpath\";s:13:\"themes/classy\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:24:{s:4:\"name\";s:6:\"Classy\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"stable\";s:9:\"lifecycle\";s:10:\"deprecated\";s:14:\"lifecycle_link\";s:40:\"https://drupal.org/node/3223395#s-classy\";s:11:\"description\";s:176:\"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href=\"https://www.drupal.org/docs/8/theming\">Drupal 8 Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.5.2\";s:6:\"hidden\";b:1;s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:16:\"libraries-extend\";a:8:{s:16:\"user/drupal.user\";a:1:{i:0;s:11:\"classy/user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:17:\"classy/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:13:\"classy/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:11:\"classy/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:15:\"classy/progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:20:\"classy/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:20:\"classy/media_library\";}}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:36:\"css/components/media-embed-error.css\";}s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1674046100;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/classy/screenshot.png\";s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"stable\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:1:{s:8:\"pinteros\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:6:\"stable\";r:1329;}s:4:\"sort\";i:-1;s:11:\"base_themes\";a:1:{s:6:\"stable\";s:6:\"Stable\";}s:10:\"sub_themes\";a:1:{s:8:\"pinteros\";s:8:\"Pinteros\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"stable\";}s:8:\"pinteros\";O:31:\"Drupal\\Core\\Extension\\Extension\":17:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:33:\"themes/pinteros/pinteros.info.yml\";s:11:\"\0*\0filename\";s:14:\"pinteros.theme\";s:7:\"subpath\";s:15:\"themes/pinteros\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:20:{s:4:\"name\";s:8:\"Pinteros\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:24:\"core_version_requirement\";s:8:\"^8 || ^9\";s:9:\"libraries\";a:2:{i:0;s:23:\"pinteros/global-styling\";i:1;s:19:\"pinteros/corescript\";}s:7:\"regions\";a:17:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:9:\"left_menu\";s:9:\"Left menu\";s:3:\"map\";s:3:\"Map\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"featured\";s:8:\"Featured\";s:5:\"title\";s:5:\"Title\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";}s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1627981789;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:30:\"themes/pinteros/screenshot.png\";s:7:\"version\";N;s:3:\"php\";s:5:\"7.3.0\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";r:1416;s:6:\"stable\";r:1329;}s:4:\"sort\";i:-2;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:2:{i:0;s:23:\"pinteros/global-styling\";i:1;s:19:\"pinteros/corescript\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"classy\";}}',-1,1674804011.012,1,'','0'),('core.extension.list.theme_engine','a:1:{s:4:\"twig\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:12:\"theme_engine\";s:11:\"\0*\0pathname\";s:38:\"core/themes/engines/twig/twig.info.yml\";s:11:\"\0*\0filename\";s:11:\"twig.engine\";s:7:\"subpath\";s:19:\"themes/engines/twig\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"type\";s:12:\"theme_engine\";s:4:\"name\";s:4:\"Twig\";s:7:\"version\";s:5:\"9.5.2\";s:7:\"package\";s:4:\"Core\";s:24:\"core_version_requirement\";s:5:\"9.5.2\";s:17:\"core_incompatible\";b:0;s:9:\"lifecycle\";s:6:\"stable\";s:5:\"mtime\";i:1674046100;s:12:\"dependencies\";a:0:{}s:11:\"description\";s:0:\"\";s:3:\"php\";s:5:\"7.3.0\";}}}',-1,1674804011.006,1,'','0'),('system.profile.files','a:15:{s:10:\"demo_umami\";s:44:\"core/profiles/demo_umami/demo_umami.info.yml\";s:7:\"minimal\";s:38:\"core/profiles/minimal/minimal.info.yml\";s:18:\"nightwatch_testing\";s:60:\"core/profiles/nightwatch_testing/nightwatch_testing.info.yml\";s:8:\"standard\";s:40:\"core/profiles/standard/standard.info.yml\";s:7:\"testing\";s:38:\"core/profiles/testing/testing.info.yml\";s:21:\"testing_config_import\";s:66:\"core/profiles/testing_config_import/testing_config_import.info.yml\";s:24:\"testing_config_overrides\";s:72:\"core/profiles/testing_config_overrides/testing_config_overrides.info.yml\";s:40:\"testing_install_profile_all_dependencies\";s:104:\"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml\";s:36:\"testing_install_profile_dependencies\";s:96:\"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml\";s:28:\"testing_missing_dependencies\";s:80:\"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml\";s:20:\"testing_multilingual\";s:64:\"core/profiles/testing_multilingual/testing_multilingual.info.yml\";s:33:\"testing_multilingual_with_english\";s:90:\"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml\";s:20:\"testing_requirements\";s:64:\"core/profiles/testing_requirements/testing_requirements.info.yml\";s:19:\"testing_site_config\";s:62:\"core/profiles/testing_site_config/testing_site_config.info.yml\";s:21:\"testing_themes_blocks\";s:66:\"core/profiles/testing_themes_blocks/testing_themes_blocks.info.yml\";}',-1,1674804011.001,1,'','0');
/*!40000 ALTER TABLE `cache_default` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_discovery`
--

DROP TABLE IF EXISTS `cache_discovery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_discovery` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_discovery`
--

LOCK TABLES `cache_discovery` WRITE;
/*!40000 ALTER TABLE `cache_discovery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_discovery` VALUES ('block_content.field_storage_definitions.installed','a:16:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Custom block ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The custom block ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"The revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:112;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"info\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Block description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A brief description of your block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:11:\"constraints\";a:1:{s:11:\"UniqueField\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:151;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The block type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:18:\"block_content_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:195;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The log entry explaining the changes in this revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:230;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the custom block was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:261;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:291;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:331;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"block_content.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3d354244-c393-4078-b73e-6288a45e6101\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:18:\"block_content.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:408;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:437;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:473;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:518;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"reusable\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reusable\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"A boolean indicating whether this block is reusable.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:12:\"revisionable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:8:\"reusable\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:561;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.806,1,'','0'),('comment.field_storage_definitions.installed','a:20:{s:3:\"cid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The comment ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"cid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"pid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Parent ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The parent comment ID if this is a reply to a comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"pid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:7:\"comment\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:9:\"entity_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:9:\"entity_id\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"node\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:110;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:146;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:64;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:184;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The user ID of the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";i:0;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:220;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment author\'s name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:60;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:259;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The comment author\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:296;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"homepage\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Homepage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The comment author\'s home page address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:326;}s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"hostname\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The comment author\'s hostname.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:22:\"default_value_callback\";s:49:\"Drupal\\comment\\Entity\\Comment::getDefaultHostname\";}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:359;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:394;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The time that the comment was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:423;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";r:454;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"A boolean indicating whether the comment is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";r:471;s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"thread\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Thread place\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"The alphadecimal representation of the comment\'s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"thread\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:519;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"entity_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The entity type to which this comment is attached.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:11:\"entity_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:8:\"required\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:552;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"comment_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:12:\"comment_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"comment_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:586;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:10:\"field_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The field name through which this comment was added.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:10:\"field_name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:8:\"required\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:621;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:655;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"comment_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"comment.comment_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a0c95dfd-eefb-4340-a535-530e96af7242\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:20:\"comment.comment_body\";s:13:\"\0*\0field_name\";s:12:\"comment_body\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}}',-1,1674804012.809,1,'','0'),('component_item.field_storage_definitions.installed','a:98:{s:17:\"component_item_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"component_item_id\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:36;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:69;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:103;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";s:19:\"Component Item type\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"component_item_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:141;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:68:\"Drupal\\component_builder\\Entity\\ComponentItem::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The entity author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:172;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:219;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"admin_title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Admin title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:11:\"admin_title\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:263;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Optional, this field will be displayed in front end if not empty.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:308;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The time when the entity was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:356;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time when the entity was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:396;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:427;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:470;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:512;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:10:\"field_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2af0b498-1eda-4d91-b1f2-7e701bf27734\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_body\";s:13:\"\0*\0field_name\";s:10:\"field_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_large_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_large_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4e39385c-2822-4720-bbea-0e625958fee0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_large_image\";s:13:\"\0*\0field_name\";s:17:\"field_large_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_small_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_small_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"dcf5e31d-536f-485a-9aaf-d89efd3582fb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_small_image\";s:13:\"\0*\0field_name\";s:17:\"field_small_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8da319df-3752-41c3-acae-5cab6bdba54c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"19453461-238e-4a8b-b18b-50baa27f81ba\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:14:\"component_item\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"38ffb927-b300-4e20-b658-f929679ada4d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_body\";s:13:\"\0*\0field_name\";s:15:\"field_card_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_card_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_card_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0ceafd0a-ac62-4625-9657-4ae96581b3dc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_card_color\";s:13:\"\0*\0field_name\";s:16:\"field_card_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:5:{s:6:\"purple\";s:6:\"Purple\";s:6:\"orange\";s:6:\"Orange\";s:5:\"green\";s:5:\"Green\";s:6:\"yellow\";s:6:\"Yellow\";s:4:\"blue\";s:4:\"Blue\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e0e0f150-60e3-4847-a845-289a3f8b4956\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_icon\";s:13:\"\0*\0field_name\";s:15:\"field_card_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f00e1e48-2ce6-46dd-a4fa-4747b65c213d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_link\";s:13:\"\0*\0field_name\";s:15:\"field_card_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e0defae0-36de-41f7-83f6-d5480cc3108d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_description\";s:13:\"\0*\0field_name\";s:17:\"field_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b119dd22-b72c-4419-8dc6-48e357cb07d8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_date\";s:13:\"\0*\0field_name\";s:10:\"field_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_classified_ads_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_classified_ads_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a6dfe7e3-7776-48f6-8174-9bf2aeea4854\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_classified_ads_image\";s:13:\"\0*\0field_name\";s:26:\"field_classified_ads_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_classified_ads_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_classified_ads_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a949f6b4-5ac8-405a-84ff-7c09dd7bc66e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_classified_ads_text\";s:13:\"\0*\0field_name\";s:25:\"field_classified_ads_text\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b4b9461a-ead6-4667-b348-ac386dc77c61\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:14:\"component_item\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_icon\";s:13:\"\0*\0field_name\";s:10:\"field_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_grid_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_grid_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa1a769e-672f-4acc-b68f-ba3d95c6e639\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_grid_date\";s:13:\"\0*\0field_name\";s:15:\"field_grid_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_gc_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_gc_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"247c5671-a349-4094-928c-c4e07eb5d86f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_gc_description\";s:13:\"\0*\0field_name\";s:20:\"field_gc_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_gc_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_gc_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"47a7966e-0272-4534-9176-ea2a6c980d7d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_gc_image\";s:13:\"\0*\0field_name\";s:14:\"field_gc_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_gc_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_gc_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c4733456-7beb-4319-9290-76ff7bc82374\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_gc_link\";s:13:\"\0*\0field_name\";s:13:\"field_gc_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_gc_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_gc_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2f441837-fe29-4737-8c1c-877c554fdc77\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_gc_date\";s:13:\"\0*\0field_name\";s:13:\"field_gc_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_hpi_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_hpi_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ebcd0742-9d35-419d-8a26-d22939c478ff\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:14:\"component_item\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_hpi_image\";s:13:\"\0*\0field_name\";s:15:\"field_hpi_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pi_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pi_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9e7b41e1-2339-43da-a3f5-af6ff15eb406\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pi_body\";s:13:\"\0*\0field_name\";s:13:\"field_pi_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_pi_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_pi_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e6681696-99e7-41ae-81f0-07605b47b599\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_pi_image\";s:13:\"\0*\0field_name\";s:14:\"field_pi_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pi_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pi_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"687b0a24-ad3e-4eb5-a685-acbddf6b07cc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pi_link\";s:13:\"\0*\0field_name\";s:13:\"field_pi_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_quote\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_quote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"88c7118b-2a64-4b0b-8afd-bfa7c50dce23\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_quote\";s:13:\"\0*\0field_name\";s:11:\"field_quote\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_quote_description_infor\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_quote_description_infor\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"00a3013b-7b5d-4fef-9805-c21e6eb7b986\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_quote_description_infor\";s:13:\"\0*\0field_name\";s:29:\"field_quote_description_infor\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_quote_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_quote_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"997a6fa0-bbc6-48b2-82b5-08b62e31d98a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_quote_image\";s:13:\"\0*\0field_name\";s:17:\"field_quote_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_quote_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_quote_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"58065421-cde4-4347-88f5-b7d5a2d6c559\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_quote_information\";s:13:\"\0*\0field_name\";s:23:\"field_quote_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_rc_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_rc_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0d867af5-278d-42ee-90b7-0f9ab324c9cf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_rc_image\";s:13:\"\0*\0field_name\";s:14:\"field_rc_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_rc_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_rc_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6b3bf3e7-1eda-4c1b-bc9c-8ba1651d5796\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_rc_body\";s:13:\"\0*\0field_name\";s:13:\"field_rc_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_rc_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_rc_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0702f0fb-3c07-4e34-8e38-377eb6b2e486\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_rc_link\";s:13:\"\0*\0field_name\";s:13:\"field_rc_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_sidebar_link_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_sidebar_link_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4c8a74b5-5416-4a21-b35a-d822fb887719\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_sidebar_link_text\";s:13:\"\0*\0field_name\";s:23:\"field_sidebar_link_text\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:28:\"field_sidebar_link_text_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_item.field_sidebar_link_text_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"afee4116-0aa6-4aae-b0d2-65a525a9f0f3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_item.field_sidebar_link_text_desc\";s:13:\"\0*\0field_name\";s:28:\"field_sidebar_link_text_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_sidebar_service_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_sidebar_service_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c5b13407-15fa-42ee-9c03-127a5bf7d7b7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_sidebar_service_image\";s:13:\"\0*\0field_name\";s:27:\"field_sidebar_service_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_service_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_service_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0cd7bad3-6c44-4035-acb5-9e75c3c90e46\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_service_link\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_service_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_captions\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_captions\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ddbeb4e2-40fb-4f77-ba33-1479e6f4958a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_captions\";s:13:\"\0*\0field_name\";s:14:\"field_captions\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_hero_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_hero_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4efd9db0-acd7-4fef-9953-b722aa44eca0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_hero_image\";s:13:\"\0*\0field_name\";s:16:\"field_hero_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_mobile_hero_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_mobile_hero_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3c8e6a52-d7d7-4e25-88b1-fe2a8c31e8a7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_mobile_hero_image\";s:13:\"\0*\0field_name\";s:23:\"field_mobile_hero_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a06bfa21-fd72-44e5-9446-1c701a5c83b1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_summary\";s:13:\"\0*\0field_name\";s:13:\"field_summary\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_slideshow_flexible_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_slideshow_flexible_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f6ddd448-d211-4856-9da4-11760e8a0e03\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_slideshow_flexible_date\";s:13:\"\0*\0field_name\";s:29:\"field_slideshow_flexible_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_slideshow_flexible_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_slideshow_flexible_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9649a571-0fd5-4e7a-8d33-16a1b70880f5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_slideshow_flexible_image\";s:13:\"\0*\0field_name\";s:30:\"field_slideshow_flexible_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_slideshow_flexible_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_slideshow_flexible_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0e89bc6a-f054-4725-b1b3-99b49fbc0605\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_slideshow_flexible_link\";s:13:\"\0*\0field_name\";s:29:\"field_slideshow_flexible_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_slideshow_flexible_sdesc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ffca2e43-e9d1-482f-bd13-60eb1f343f8e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:13:\"\0*\0field_name\";s:30:\"field_slideshow_flexible_sdesc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_cells\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_cells\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b761d1a0-b698-4d91-8bed-62a95e5fe05d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:14:\"component_item\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_cells\";s:13:\"\0*\0field_name\";s:11:\"field_cells\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"text\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:1:{s:10:\"max_length\";i:255;}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_table_columns\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_table_columns\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa48bf78-58ac-4f12-b308-4720ea3b5860\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:14:\"component_item\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_table_columns\";s:13:\"\0*\0field_name\";s:19:\"field_table_columns\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"25865b85-1eb3-488c-9e76-5203d24856b3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_information\";s:13:\"\0*\0field_name\";s:17:\"field_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_description_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_description_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b5753c99-7e2b-44d4-afc3-f667c5f579b0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_description_information\";s:13:\"\0*\0field_name\";s:29:\"field_description_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_as_address\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_as_address\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"29649109-de2f-43e3-953b-a60877312e98\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_as_address\";s:13:\"\0*\0field_name\";s:16:\"field_as_address\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_as_country\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_as_country\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e45b49a-7497-41c8-9fe0-ef35c448737f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_as_country\";s:13:\"\0*\0field_name\";s:16:\"field_as_country\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_as_date_of_establishment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_as_date_of_establishment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9963b3ad-9973-4733-b4f3-0a07939b2d1b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_as_date_of_establishment\";s:13:\"\0*\0field_name\";s:30:\"field_as_date_of_establishment\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_as_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_as_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d69cd62b-e070-443e-931c-2fb65467b8ac\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_as_description\";s:13:\"\0*\0field_name\";s:20:\"field_as_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_as_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_as_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0df357f9-9000-4d10-a1d5-b95ca58ad347\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_as_image\";s:13:\"\0*\0field_name\";s:14:\"field_as_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_as_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_as_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e64ac45-b787-4b8c-bd29-a4c756766c32\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_as_link\";s:13:\"\0*\0field_name\";s:13:\"field_as_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:22:\"field_as_opening_hours\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_item.field_as_opening_hours\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f237390d-1b71-4d34-989e-b25083742132\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_item.field_as_opening_hours\";s:13:\"\0*\0field_name\";s:22:\"field_as_opening_hours\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_counter_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_counter_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e48c0cd-cbbd-4843-9cd7-28dc7a9dbfc3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_counter_image\";s:13:\"\0*\0field_name\";s:19:\"field_counter_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_counter_number\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_counter_number\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"064e4341-d78d-4183-9f6c-7d6feb435228\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_counter_number\";s:13:\"\0*\0field_name\";s:20:\"field_counter_number\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_divider_section_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_divider_section_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fc08a9e3-2a76-475d-8bb8-52d53df85011\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_divider_section_color\";s:13:\"\0*\0field_name\";s:27:\"field_divider_section_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_divider_section_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_divider_section_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"13277562-7e47-4f7b-bfc0-1de5e0af4c8b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_divider_section_desc\";s:13:\"\0*\0field_name\";s:26:\"field_divider_section_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_divider_section_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_divider_section_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"769afb6e-740d-473b-b0a2-12f59b58b8a6\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_divider_section_image\";s:13:\"\0*\0field_name\";s:27:\"field_divider_section_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pv_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pv_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"619be666-5172-48ad-aab2-ffd9c882408a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pv_body\";s:13:\"\0*\0field_name\";s:13:\"field_pv_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_pv_embed_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_pv_embed_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4f57c952-1b2f-4a58-8b79-4db7ce93edf0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_pv_embed_video\";s:13:\"\0*\0field_name\";s:20:\"field_pv_embed_video\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_pv_video_file\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_pv_video_file\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cef29921-f15f-4a7b-855d-314603639f52\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_pv_video_file\";s:13:\"\0*\0field_name\";s:19:\"field_pv_video_file\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"file\";s:9:\"\0*\0module\";s:4:\"file\";s:11:\"\0*\0settings\";a:4:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pv_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pv_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9faac48c-0616-4991-8552-fa73654bf547\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pv_link\";s:13:\"\0*\0field_name\";s:13:\"field_pv_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_pv_display\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_pv_display\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f1317a3e-8da7-4077-9aaf-857d8768a5e2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_pv_display\";s:13:\"\0*\0field_name\";s:16:\"field_pv_display\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{s:11:\"video_embed\";s:11:\"Video Embed\";s:10:\"video_file\";s:10:\"Video File\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_service_block_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_service_block_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7e21538f-daf2-43d7-b9c7-8f3736ea14da\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_service_block_color\";s:13:\"\0*\0field_name\";s:25:\"field_service_block_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:31:\"field_service_block_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:46:\"component_item.field_service_block_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"68777643-84d2-4f21-addf-0fbae5c8e516\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:46:\"component_item.field_service_block_description\";s:13:\"\0*\0field_name\";s:31:\"field_service_block_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_service_block_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_service_block_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"63538f7a-6fef-469d-a616-af393994c131\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_service_block_image\";s:13:\"\0*\0field_name\";s:25:\"field_service_block_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:24:\"field_service_block_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_item.field_service_block_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c76066c1-180e-43da-acca-ca7edcb55f58\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_item.field_service_block_link\";s:13:\"\0*\0field_name\";s:24:\"field_service_block_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9eef7e00-dbaa-478b-8fc7-f34c7e8d41d3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_desc\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_sidebar_summary_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_sidebar_summary_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"759e9249-4138-4851-a49e-170feb76aefb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_sidebar_summary_image\";s:13:\"\0*\0field_name\";s:27:\"field_sidebar_summary_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1ba40339-faab-4195-9a3f-1439e604025b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_link\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:32:\"field_sidebar_summary_created_by\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:47:\"component_item.field_sidebar_summary_created_by\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c63c0a41-fe49-4318-8246-8a3002748e90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:47:\"component_item.field_sidebar_summary_created_by\";s:13:\"\0*\0field_name\";s:32:\"field_sidebar_summary_created_by\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2ee66812-1877-425f-85c1-d826eb79f02c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_date\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_process\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_process\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7305801-a2b8-49d5-a395-bcae249c13fb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_process\";s:13:\"\0*\0field_name\";s:13:\"field_process\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_sbp_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_sbp_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"01d4343a-2f59-4982-a45b-65f26210a364\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_sbp_color\";s:13:\"\0*\0field_name\";s:15:\"field_sbp_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_content_statistic_bar\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_content_statistic_bar\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aa3f583c-4227-4142-b163-9eedafa87b3c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_content_statistic_bar\";s:13:\"\0*\0field_name\";s:27:\"field_content_statistic_bar\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:28:\"field_statistic_bar_progress\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_item.field_statistic_bar_progress\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a23196a8-d216-4f63-80f4-494f779ed0fe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_item.field_statistic_bar_progress\";s:13:\"\0*\0field_name\";s:28:\"field_statistic_bar_progress\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a0f4c01f-e880-4e50-8f40-e2aa27457580\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_body\";s:13:\"\0*\0field_name\";s:13:\"field_ti_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4a892c1c-81f4-45e4-8804-1a1f23d41c73\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_icon\";s:13:\"\0*\0field_name\";s:13:\"field_ti_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aae31211-fc86-4161-a57b-c72b881f2def\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_link\";s:13:\"\0*\0field_name\";s:13:\"field_ti_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c84a3ffc-8007-47d8-80cd-2d59f1f9b195\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_image\";s:13:\"\0*\0field_name\";s:14:\"field_ti_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a6d1b8d3-2807-4fdd-aa30-7cd6fde483eb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_video\";s:13:\"\0*\0field_name\";s:14:\"field_ti_video\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b70990d4-3b40-4af7-87c8-90236dd35868\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_type\";s:13:\"\0*\0field_name\";s:10:\"field_type\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{s:5:\"image\";s:5:\"Image\";s:5:\"video\";s:5:\"Video\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_left\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_left\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"752b7b9b-194d-4ebe-a748-dd330b193597\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_left\";s:13:\"\0*\0field_name\";s:13:\"field_ti_left\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_right\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_right\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6ff5cda7-0402-4d91-b4cc-65ba513ecb90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_right\";s:13:\"\0*\0field_name\";s:14:\"field_ti_right\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.265,1,'','0'),('component_wrapper.field_storage_definitions.installed','a:56:{s:20:\"component_wrapper_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:20:\"component_wrapper_id\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:36;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:69;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:103;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:71:\"Drupal\\component_builder\\Entity\\ComponentWrapper::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The entity author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:141;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:188;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-1;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-1;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:232;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"display_title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:13:\"display_title\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:277;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:14:\"display_header\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Header\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"display_header\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:323;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:14:\"display_footer\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Footer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"display_footer\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:369;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:17:\"display_in_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Display in region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"display_in_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:415;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:14:\"component_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Component Types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"component_type\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{s:13:\"taxonomy_term\";s:15:\"component_types\";}}}}s:18:\"\0*\0fieldDefinition\";r:461;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:0;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:505;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:22:\"field_weight_in_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Weight in region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:92:\"Put component weight here. Please visit Structure > Block Layout to check other block weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:3;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:0;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:22:\"field_weight_in_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:547;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_header\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Header\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_header\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:594;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:17:\"field_left_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Left Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"field_left_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:638;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:19:\"field_middle_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Middle Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:19:\"field_middle_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:683;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"field_right_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Right Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:18:\"field_right_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:728;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_footer\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Footer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:9;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_footer\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:773;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"field_properties\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Properties\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"field_properties\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:817;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"field_display_mode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Display mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:18:\"field_display_mode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:851;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The time when the entity was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:897;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time when the entity was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:937;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:968;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1011;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1053;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:15:\"field_accordion\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:33:\"component_wrapper.field_accordion\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"535aabf9-053f-4403-86aa-b87054849c65\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:33:\"component_wrapper.field_accordion\";s:13:\"\0*\0field_name\";s:15:\"field_accordion\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_banner_grid\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_wrapper.field_banner_grid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"81abd263-0af2-4201-9b86-66f84ad516ff\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_wrapper.field_banner_grid\";s:13:\"\0*\0field_name\";s:17:\"field_banner_grid\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_basic_component\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_basic_component\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5af2e220-2326-4d90-9148-1ead88277eb1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_basic_component\";s:13:\"\0*\0field_name\";s:21:\"field_basic_component\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_card\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_wrapper.field_card\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d00e5eb0-82dd-4835-aec2-6f75a86d95e9\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_wrapper.field_card\";s:13:\"\0*\0field_name\";s:10:\"field_card\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_carousel\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_wrapper.field_carousel\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ab4e3f11-4bdb-465c-b960-19c747b618ae\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_wrapper.field_carousel\";s:13:\"\0*\0field_name\";s:14:\"field_carousel\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_classified_ads\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_wrapper.field_classified_ads\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a8ab7b61-2c44-44c3-aad7-445725afe610\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_wrapper.field_classified_ads\";s:13:\"\0*\0field_name\";s:20:\"field_classified_ads\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_grid\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_wrapper.field_grid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"384f895c-0f6f-483c-a1f9-702bb4558cbe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_wrapper.field_grid\";s:13:\"\0*\0field_name\";s:10:\"field_grid\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_grid_carousel\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_grid_carousel\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b99f21b6-fe34-46f8-865d-0e7331fe8bdc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_grid_carousel\";s:13:\"\0*\0field_name\";s:19:\"field_grid_carousel\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_horizontal_push_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_wrapper.field_horizontal_push_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c10e925-ebb9-4999-84ce-b789dc361274\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_wrapper.field_horizontal_push_image\";s:13:\"\0*\0field_name\";s:27:\"field_horizontal_push_image\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_push_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_wrapper.field_push_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"87a09dd3-89d2-4d92-971b-fb4b5cb1bd9a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_wrapper.field_push_image\";s:13:\"\0*\0field_name\";s:16:\"field_push_image\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_quote\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_wrapper.field_quote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6362b15b-0f28-4a4e-84ee-79415c438f60\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_wrapper.field_quote\";s:13:\"\0*\0field_name\";s:11:\"field_quote\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_related_content\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_related_content\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8d9e9548-c38f-43fc-b4d7-2220f4a47b95\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_related_content\";s:13:\"\0*\0field_name\";s:21:\"field_related_content\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_sidebar_link_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_wrapper.field_sidebar_link_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2c88ce93-2589-4f77-8126-129f683da763\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_wrapper.field_sidebar_link_text\";s:13:\"\0*\0field_name\";s:23:\"field_sidebar_link_text\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_sidebar_service\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_sidebar_service\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6260677c-b7a4-45f1-bfa2-aa390f8e2c1d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_sidebar_service\";s:13:\"\0*\0field_name\";s:21:\"field_sidebar_service\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_slideshow\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:33:\"component_wrapper.field_slideshow\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1f7d4c01-1ef1-4f24-8767-4f60d4a78120\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:33:\"component_wrapper.field_slideshow\";s:13:\"\0*\0field_name\";s:15:\"field_slideshow\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:24:\"field_slideshow_flexible\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_wrapper.field_slideshow_flexible\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"edc686e2-1db3-4ae5-803e-1ac7a727f041\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_wrapper.field_slideshow_flexible\";s:13:\"\0*\0field_name\";s:24:\"field_slideshow_flexible\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_summary_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_wrapper.field_summary_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e1f7474b-76f5-4a33-8b20-13122d95a4cf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_wrapper.field_summary_information\";s:13:\"\0*\0field_name\";s:25:\"field_summary_information\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_table\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_wrapper.field_table\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"75f5ae2f-1a9a-46a2-933b-7c02ed875539\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_wrapper.field_table\";s:13:\"\0*\0field_name\";s:11:\"field_table\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_testimonial\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_wrapper.field_testimonial\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7adf258-713f-43be-b146-2d87592a280b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_wrapper.field_testimonial\";s:13:\"\0*\0field_name\";s:17:\"field_testimonial\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_topic_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_topic_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"26506a3a-2ec1-4797-8e00-d5dc55538371\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_topic_summary\";s:13:\"\0*\0field_name\";s:19:\"field_topic_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_article_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_article_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"769ab229-95f2-4b66-af20-ea658e2327ea\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_article_summary\";s:13:\"\0*\0field_name\";s:21:\"field_article_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_counter\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_wrapper.field_counter\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"170f9378-4953-480f-a169-ee6ebd8d915d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_wrapper.field_counter\";s:13:\"\0*\0field_name\";s:13:\"field_counter\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_divider_section\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_divider_section\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7365a73d-2f7f-4347-911c-fc91f20b43b8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_divider_section\";s:13:\"\0*\0field_name\";s:21:\"field_divider_section\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_push_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_wrapper.field_push_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a07bbc94-b860-4ff8-9bc3-a5366ee97f68\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_wrapper.field_push_video\";s:13:\"\0*\0field_name\";s:16:\"field_push_video\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_service_block\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_service_block\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8ac406a2-4eb1-46d9-9331-b272b53a8893\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_service_block\";s:13:\"\0*\0field_name\";s:19:\"field_service_block\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_sidebar_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_sidebar_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b288c663-361f-4705-885d-741898cad8ec\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_sidebar_summary\";s:13:\"\0*\0field_name\";s:21:\"field_sidebar_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_statistic_bar\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_statistic_bar\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4ead576e-49a0-4dc6-9395-ac2b41002396\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_statistic_bar\";s:13:\"\0*\0field_name\";s:19:\"field_statistic_bar\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_timeline\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_wrapper.field_timeline\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"64300233-879c-4914-9ee2-8ff88b73801e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_wrapper.field_timeline\";s:13:\"\0*\0field_name\";s:14:\"field_timeline\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_image\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Images\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The image of component wrapper.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:8:\"provider\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:image\";s:8:\"settings\";a:16:{s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:15:\"file_extensions\";s:12:\"png jpg jpeg\";s:9:\"alt_field\";i:1;s:18:\"alt_field_required\";i:1;s:11:\"title_field\";i:0;s:20:\"title_field_required\";i:0;s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:12:\"max_filesize\";s:0:\"\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:1990;}s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:5:{s:9:\"target_id\";a:3:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}s:3:\"alt\";a:3:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;}s:5:\"title\";a:3:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;}s:5:\"width\";a:3:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}s:6:\"height\";a:3:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:12:\"foreign keys\";a:1:{s:9:\"target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:9:\"target_id\";s:3:\"fid\";}}}s:11:\"unique keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"display_image\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:10:\"field_name\";s:13:\"display_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:8:\"provider\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:2077;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.407,1,'','0'),('config_translation_info_plugins:en','a:34:{s:19:\"simplenews.settings\";a:7:{s:5:\"title\";s:19:\"Simplenews settings\";s:5:\"names\";a:1:{i:0;s:19:\"simplenews.settings\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:26:\"simplenews.newsletter_list\";s:8:\"provider\";s:10:\"simplenews\";s:2:\"id\";s:19:\"simplenews.settings\";}s:28:\"system.site_maintenance_mode\";a:7:{s:5:\"title\";s:18:\"System maintenance\";s:5:\"names\";a:1:{i:0;s:18:\"system.maintenance\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:28:\"system.site_maintenance_mode\";s:8:\"provider\";s:6:\"system\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";}s:32:\"system.site_information_settings\";a:7:{s:5:\"title\";s:18:\"System information\";s:5:\"names\";a:1:{i:0;s:11:\"system.site\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:32:\"system.site_information_settings\";s:8:\"provider\";s:6:\"system\";s:2:\"id\";s:32:\"system.site_information_settings\";}s:25:\"system.rss_feeds_settings\";a:7:{s:5:\"title\";s:14:\"RSS publishing\";s:5:\"names\";a:1:{i:0;s:10:\"system.rss\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:25:\"system.rss_feeds_settings\";s:8:\"provider\";s:6:\"system\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";}s:22:\"entity.user.admin_form\";a:7:{s:5:\"title\";s:16:\"Account settings\";s:5:\"names\";a:2:{i:0;s:13:\"user.settings\";i:1;s:9:\"user.mail\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:22:\"entity.user.admin_form\";s:8:\"provider\";s:4:\"user\";s:2:\"id\";s:22:\"entity.user.admin_form\";}s:20:\"block_content_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:49:\"entity.field_config.block_content_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:13:\"block_content\";}s:14:\"comment_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:43:\"entity.field_config.comment_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:7:\"comment\";}s:21:\"component_item_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:50:\"entity.field_config.component_item_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:14:\"component_item\";}s:24:\"component_wrapper_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:53:\"entity.field_config.component_wrapper_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:17:\"component_wrapper\";}s:22:\"contact_message_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:51:\"entity.field_config.contact_message_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:15:\"contact_message\";}s:11:\"node_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:40:\"entity.field_config.node_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:4:\"node\";}s:28:\"simplenews_subscriber_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:57:\"entity.field_config.simplenews_subscriber_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:21:\"simplenews_subscriber\";}s:20:\"taxonomy_term_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:49:\"entity.field_config.taxonomy_term_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:13:\"taxonomy_term\";}s:11:\"user_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:40:\"entity.field_config.user_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:4:\"user\";}s:5:\"block\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:22:\"entity.block.edit_form\";s:11:\"entity_type\";s:5:\"block\";}s:18:\"block_content_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:35:\"entity.block_content_type.edit_form\";s:11:\"entity_type\";s:18:\"block_content_type\";}s:12:\"comment_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:29:\"entity.comment_type.edit_form\";s:11:\"entity_type\";s:12:\"comment_type\";}s:19:\"component_item_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:36:\"entity.component_item_type.edit_form\";s:11:\"entity_type\";s:19:\"component_item_type\";}s:12:\"contact_form\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:29:\"entity.contact_form.edit_form\";s:11:\"entity_type\";s:12:\"contact_form\";}s:13:\"filter_format\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:30:\"entity.filter_format.edit_form\";s:11:\"entity_type\";s:13:\"filter_format\";}s:11:\"image_style\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:28:\"entity.image_style.edit_form\";s:11:\"entity_type\";s:11:\"image_style\";}s:21:\"configurable_language\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:38:\"entity.configurable_language.edit_form\";s:11:\"entity_type\";s:21:\"configurable_language\";}s:9:\"node_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\node\\ConfigTranslation\\NodeTypeMapper\";s:15:\"base_route_name\";s:26:\"entity.node_type.edit_form\";s:11:\"entity_type\";s:9:\"node_type\";}s:11:\"search_page\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:28:\"entity.search_page.edit_form\";s:11:\"entity_type\";s:11:\"search_page\";}s:12:\"shortcut_set\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:29:\"entity.shortcut_set.edit_form\";s:11:\"entity_type\";s:12:\"shortcut_set\";}s:21:\"simplenews_newsletter\";a:6:{s:5:\"title\";s:21:\"simplenews newsletter\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:38:\"entity.simplenews_newsletter.edit_form\";s:11:\"entity_type\";s:21:\"simplenews_newsletter\";}s:4:\"menu\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:21:\"entity.menu.edit_form\";s:11:\"entity_type\";s:4:\"menu\";}s:19:\"taxonomy_vocabulary\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";}s:9:\"user_role\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:26:\"entity.user_role.edit_form\";s:11:\"entity_type\";s:9:\"user_role\";}s:16:\"pathauto_pattern\";a:6:{s:5:\"title\";s:16:\"pathauto pattern\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:33:\"entity.pathauto_pattern.edit_form\";s:11:\"entity_type\";s:16:\"pathauto_pattern\";}s:4:\"view\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:21:\"entity.view.edit_form\";s:11:\"entity_type\";s:4:\"view\";}s:11:\"date_format\";a:6:{s:5:\"title\";s:11:\"date format\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:28:\"entity.date_format.edit_form\";s:11:\"entity_type\";s:11:\"date_format\";}s:16:\"entity_form_mode\";a:6:{s:5:\"title\";s:9:\"form mode\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:33:\"entity.entity_form_mode.edit_form\";s:11:\"entity_type\";s:16:\"entity_form_mode\";}s:16:\"entity_view_mode\";a:6:{s:5:\"title\";s:9:\"view mode\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:33:\"entity.entity_view_mode.edit_form\";s:11:\"entity_type\";s:16:\"entity_view_mode\";}}',-1,1674804012.489,1,'config_translation_info_plugins','119'),('entity_base_field_definitions:block_content:en','a:15:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Custom block ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The custom block ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"The revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:86;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The block type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:18:\"block_content_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:120;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:147;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:170;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The log entry explaining the changes in this revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:196;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:230;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"info\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Block description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A brief description of your block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:11:\"constraints\";a:1:{s:11:\"UniqueField\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:261;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the custom block was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:297;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"reusable\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reusable\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"A boolean indicating whether this block is reusable.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:12:\"revisionable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"reusable\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:321;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:356;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:391;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:425;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.807,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:comment:en','a:19:{s:3:\"cid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The comment ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"cid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"comment_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:12:\"comment_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"comment_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:90;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:22:\"default_value_callback\";s:47:\"Drupal\\comment\\Entity\\Comment::getDefaultStatus\";s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:117;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:52:\"Drupal\\comment\\Entity\\Comment::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The user ID of the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:149;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"pid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Parent ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The parent comment ID if this is a reply to a comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"pid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:7:\"comment\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:176;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:9:\"entity_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:9:\"entity_id\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"node\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:201;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:64;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:227;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment author\'s name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:60;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:255;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The comment author\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:284;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"homepage\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Homepage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The comment author\'s home page address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:307;}s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"hostname\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The comment author\'s hostname.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:49:\"Drupal\\comment\\Entity\\Comment::getDefaultHostname\";s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:332;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:359;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The time that the comment was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:382;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"thread\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Thread place\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"The alphadecimal representation of the comment\'s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"thread\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:405;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"entity_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The entity type to which this comment is attached.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:11:\"entity_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:430;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:10:\"field_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The field name through which this comment was added.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:10:\"field_name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:456;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:482;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.810,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:component_item:en','a:14:{s:17:\"component_item_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"component_item_id\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:27;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:49;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:74;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";s:19:\"Component Item type\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"component_item_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:104;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:68:\"Drupal\\component_builder\\Entity\\ComponentItem::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The entity author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:124;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:160;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"admin_title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Admin title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:11:\"admin_title\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:196;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Optional, this field will be displayed in front end if not empty.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:232;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The time when the entity was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:271;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time when the entity was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:304;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:328;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:363;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:397;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.321,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:component_wrapper:en','a:28:{s:20:\"component_wrapper_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:20:\"component_wrapper_id\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:27;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:49;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:74;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:71:\"Drupal\\component_builder\\Entity\\ComponentWrapper::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The entity author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:104;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:140;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-1;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-1;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:176;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:14:\"component_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Component Types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"component_type\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{s:13:\"taxonomy_term\";s:15:\"component_types\";}}}}s:18:\"\0*\0fieldDefinition\";r:212;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:13:\"display_title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:13:\"display_title\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:245;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:14:\"display_header\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Header\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"display_header\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:283;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:14:\"display_footer\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Footer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"display_footer\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:321;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:13:\"display_image\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Images\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:13:\"display_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:359;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:17:\"display_in_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Display in region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"display_in_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:397;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"field_image\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Images\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The image of component wrapper.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:image\";s:8:\"settings\";a:16:{s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:15:\"file_extensions\";s:12:\"png jpg jpeg\";s:9:\"alt_field\";i:1;s:18:\"alt_field_required\";i:1;s:11:\"title_field\";i:0;s:20:\"title_field_required\";i:0;s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:12:\"max_filesize\";s:0:\"\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:435;}s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:0;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:492;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:22:\"field_weight_in_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Weight in region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:92:\"Put component weight here. Please visit Structure > Block Layout to check other block weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:3;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:0;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:22:\"field_weight_in_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:525;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_header\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Header\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_header\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:563;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:17:\"field_left_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Left Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"field_left_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:594;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:19:\"field_middle_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Middle Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:19:\"field_middle_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:629;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:18:\"field_right_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Right Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:18:\"field_right_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:664;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_footer\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Footer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:9;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_footer\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:699;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"field_properties\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Properties\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"field_properties\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:730;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:18:\"field_display_mode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Display mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:18:\"field_display_mode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:756;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The time when the entity was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:793;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time when the entity was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:826;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:850;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:885;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:919;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.415,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:contact_message:en','a:9:{s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The message UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The message language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:28;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"contact_form\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Form ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The ID of the associated form.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:12:\"contact_form\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"contact_form\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:60;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The sender\'s name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The name of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:87;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The sender\'s email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The email of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:112;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:100;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:134;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:4:\"rows\";i:12;}}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;s:5:\"label\";s:5:\"above\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"message\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:162;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"copy\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Copy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Whether to send a copy of the message to the sender.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"copy\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:196;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:9:\"recipient\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Recipient ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The ID of the recipient user for personal contact messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:9:\"recipient\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:226;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.811,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:file:en','a:11:{s:3:\"fid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The file ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"fid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The file UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The file language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:22:\"default_value_callback\";s:46:\"Drupal\\file\\Entity\\File::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user ID of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:89;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"filename\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Filename\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Name of the file with no path components.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filename\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:116;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uri\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URI to access the file (either local or remote).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:13:\"FileUriUnique\";N;}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uri\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:file_uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:1;}}s:18:\"\0*\0fieldDefinition\";r:141;}s:7:\"\0*\0type\";s:8:\"file_uri\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"filemime\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The file\'s MIME type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filemime\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:167;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"filesize\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The size of the file in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filesize\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:192;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The status of the file, temporary (FALSE) and permanent (TRUE).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:220;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The timestamp that the file was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:253;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The timestamp that the file was last changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:275;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.812,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:menu_link_content:en','a:22:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:82;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";s:23:\"Custom menu link bundle\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:116;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:140;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:163;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:189;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:220;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:266;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:305;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:342;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}s:18:\"\0*\0fieldDefinition\";r:370;}s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:401;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:435;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:464;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:164:\"If selected and this menu link has children, the menu will always appear expanded. This option may be overridden for the entire menu tree when placing a menu block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:505;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:549;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:574;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:598;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:633;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:667;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.798,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:node:en','a:22:{s:3:\"nid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"nid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:27;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:49;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:74;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";s:12:\"Content type\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"node_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:104;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:18:\"revision_timestamp\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:18:\"revision_timestamp\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:124;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:147;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:173;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:120;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:207;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The username of the content author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"author\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:3:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";s:2:\"60\";s:11:\"placeholder\";s:0:\"\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:246;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:289;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"timestamp\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:324;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:359;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"promote\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:383;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"sticky\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:422;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:461;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:496;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:530;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;}s:12:\"configurable\";b:1;}}s:8:\"computed\";b:1;s:8:\"provider\";s:4:\"path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:path\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:563;}s:7:\"\0*\0type\";s:4:\"path\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:9:\"menu_link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:12:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"Computed menu link for the node (only available during node saving).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:5:\"class\";s:35:\"\\Drupal\\token\\MenuLinkFieldItemList\";s:12:\"translatable\";b:1;s:8:\"internal\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:2:{s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}}}s:8:\"computed\";b:1;s:8:\"provider\";s:5:\"token\";s:10:\"field_name\";s:9:\"menu_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"menu_link_content\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:589;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:627;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:657;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.840,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:path_alias:en','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:27;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:49;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:0;}}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:74;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"System path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The path that this alias belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:9:\"ValidPath\";a:0:{}s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The source path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}s:18:\"\0*\0fieldDefinition\";r:108;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"alias\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"An alias used with this path.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:5:\"alias\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The alias path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}s:18:\"\0*\0fieldDefinition\";r:152;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:195;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:226;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.445,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:shortcut:en','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The ID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The UUID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The language code of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:12:\"shortcut_set\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The bundle of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:12:\"shortcut_set\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"shortcut_set\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:90;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The name of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"size\";i:40;}}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:117;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Weight among shortcuts in the same shortcut set.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:151;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The location this shortcut points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:1;}}s:18:\"\0*\0fieldDefinition\";r:179;}s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:210;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.843,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:simplenews_subscriber:en','a:9:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Primary key: Unique subscriber ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The subscriber UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Boolean indicating the status of the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The subscriber\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"constraints\";a:1:{s:11:\"UniqueField\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:13:\"email_default\";s:8:\"settings\";a:0:{}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:1:{s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:90;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The corresponding user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:122;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The subscriber\'s preferred language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:147;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changes\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Contains the requested subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"changes\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:169;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time that the subscriber was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:192;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:13:\"subscriptions\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:11:\"cardinality\";i:-1;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriptions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"Check the newsletters you want to subscribe to. Uncheck the ones you want to unsubscribe from.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:4:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:34:\"field_item:simplenews_subscription\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:214;}s:7:\"\0*\0type\";s:23:\"simplenews_subscription\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.844,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:taxonomy_term:en','a:18:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:82;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:116;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:143;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:166;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:192;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:100;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"class\";s:22:\"Drupal\\user\\StatusItem\";}s:18:\"\0*\0fieldDefinition\";r:223;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:263;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:298;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:330;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:361;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:387;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:411;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:446;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:480;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;}s:12:\"configurable\";b:1;}}s:8:\"computed\";b:1;s:8:\"provider\";s:4:\"path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:path\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:513;}s:7:\"\0*\0type\";s:4:\"path\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.847,1,'entity_field_info entity_types','572'),('entity_base_field_definitions:user:en','a:18:{s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:31;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:57;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:18:\"preferred_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Preferred language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"The user\'s preferred language code for receiving emails and viewing the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:18:\"preferred_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}s:18:\"\0*\0fieldDefinition\";r:89;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:24:\"preferred_admin_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Preferred admin language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"The user\'s preferred language code for viewing administration pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";N;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:24:\"preferred_admin_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}s:18:\"\0*\0fieldDefinition\";r:118;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The name of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"constraints\";a:2:{s:8:\"UserName\";a:0:{}s:14:\"UserNameUnique\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:5:\"class\";s:25:\"\\Drupal\\user\\UserNameItem\";}s:18:\"\0*\0fieldDefinition\";r:150;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"pass\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"pass\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:password\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:180;}s:7:\"\0*\0type\";s:8:\"password\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The email of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:11:\"constraints\";a:3:{s:14:\"UserMailUnique\";N;s:16:\"UserMailRequired\";N;s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:207;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:8:\"timezone\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"timezone\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:4:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:44:\"Drupal\\user\\Entity\\User::getAllowedTimezones\";}}}}s:5:\"class\";s:24:\"Drupal\\user\\TimeZoneItem\";}s:18:\"\0*\0fieldDefinition\";r:236;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"class\";s:22:\"Drupal\\user\\StatusItem\";}s:18:\"\0*\0fieldDefinition\";r:267;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:301;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:323;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:6:\"access\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"access\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:346;}s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"login\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"login\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:371;}s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"init\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"init\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:396;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:5:\"roles\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The roles the user has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"roles\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"user_role\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:421;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:447;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:14:\"custom_storage\";b:1;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"computed\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"pathauto\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:path\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:482;}s:7:\"\0*\0type\";s:4:\"path\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.850,1,'entity_field_info entity_types','572'),('entity_bundle_field_definitions:menu_link_content:menu_link_content:en','a:3:{s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"menu_link_content.menu_link_content.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c1d2065-a618-439a-ba73-619aebc8f0f1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"menu_link_content.menu_link_content.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:17:\"menu_link_content\";s:9:\"\0*\0bundle\";s:17:\"menu_link_content\";s:8:\"\0*\0label\";s:15:\"Menu link title\";s:14:\"\0*\0description\";s:46:\"The text to be used for this link in the menu.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:11:\"description\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:47:\"menu_link_content.menu_link_content.description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5029bff9-74e7-4690-8ace-dc8bf36bf331\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:47:\"menu_link_content.menu_link_content.description\";s:13:\"\0*\0field_name\";s:11:\"description\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:17:\"menu_link_content\";s:9:\"\0*\0bundle\";s:17:\"menu_link_content\";s:8:\"\0*\0label\";s:11:\"Description\";s:14:\"\0*\0description\";s:39:\"Shown when hovering over the menu link.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"menu_link_content.menu_link_content.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c43a6244-c2f1-45b1-b807-633831e1262e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"menu_link_content.menu_link_content.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:17:\"menu_link_content\";s:9:\"\0*\0bundle\";s:17:\"menu_link_content\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:44:\"The time that the menu link was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}}',-1,1674804012.802,1,'entity_field_info entity_types','572'),('entity_bundle_field_definitions:node:page:en','a:10:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.page.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"65cd136f-1b6b-4c69-bafc-38cb8094bf3a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:16:\"node.page.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:13:\"node.page.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a7eaa803-ab3e-417c-b4be-49d12bc5aed8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:13:\"node.page.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.page.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5e3daea0-431f-4b6c-acb8-a4887538cd06\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.page.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.page.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"55b1b365-3284-47af-b6ea-997546126316\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:17:\"node.page.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.page.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c49cf851-e51e-436f-8460-a97215ca7464\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:17:\"node.page.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.page.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d192b746-24ba-4ad1-863c-60b2a4cc69d4\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:17:\"node.page.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.page.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d2d15c60-f769-45c4-bbed-c120eeafafe0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:16:\"node.page.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:4:\"path\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:14:\"node.page.path\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4cb47357-00ea-4cc9-b82a-fb9a53407b41\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:14:\"node.page.path\";s:13:\"\0*\0field_name\";s:4:\"path\";s:13:\"\0*\0field_type\";s:4:\"path\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:9:\"URL alias\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:14:\"node.page.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"eb14539d-5149-49a3-a105-5b8415181203\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:14:\"node.page.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_components\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"node.page.field_components\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1cad4593-7829-457d-b8fc-94831dceafca\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_components\";i:1;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"node.page.field_components\";s:13:\"\0*\0field_name\";s:16:\"field_components\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:10:\"Components\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:25:\"default:component_wrapper\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";N;s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804013.027,1,'entity_field_info entity_types','572'),('entity_bundle_field_definitions:taxonomy_term:categories:en','a:6:{s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}}}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"taxonomy_term.categories.name\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"dca87aeb-d08e-46cf-9bff-deba3159e5ec\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"taxonomy_term.categories.name\";s:13:\"\0*\0field_name\";s:4:\"name\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:10:\"categories\";s:8:\"\0*\0label\";s:4:\"Name\";s:14:\"\0*\0description\";s:14:\"The term name.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:11:\"description\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:36:\"taxonomy_term.categories.description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2fd7f228-6245-44a9-abe0-a59124611c31\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:36:\"taxonomy_term.categories.description\";s:13:\"\0*\0field_name\";s:11:\"description\";s:13:\"\0*\0field_type\";s:9:\"text_long\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:10:\"categories\";s:8:\"\0*\0label\";s:11:\"Description\";s:14:\"\0*\0description\";s:26:\"A description of the term.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"taxonomy_term.categories.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"dbe35bd2-2826-42d1-877a-2af754d464ac\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"taxonomy_term.categories.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:10:\"categories\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the term was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:4:\"path\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"taxonomy_term.categories.path\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"98ce929a-52a2-47cb-8bb1-04bc9a90a103\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"taxonomy_term.categories.path\";s:13:\"\0*\0field_name\";s:4:\"path\";s:13:\"\0*\0field_type\";s:4:\"path\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:10:\"categories\";s:8:\"\0*\0label\";s:9:\"URL alias\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:11:\"field_image\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:36:\"taxonomy_term.categories.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"611418e9-9dce-485b-8256-86d21d0c4613\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:36:\"taxonomy_term.categories.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:10:\"categories\";s:8:\"\0*\0label\";s:5:\"Image\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.921,1,'entity_field_info entity_types','572'),('entity_bundle_field_definitions:user:user:en','a:2:{s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"user.user.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5c2f9469-ce8f-46b5-a434-28cf69bfae07\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:17:\"user.user.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:9:\"\0*\0bundle\";s:4:\"user\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the user was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}}s:12:\"user_picture\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"user.user.user_picture\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"99445da3-dda1-42f9-8d01-1ad860f82981\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:22:\"user.user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:9:\"\0*\0bundle\";s:4:\"user\";s:8:\"\0*\0label\";s:7:\"Picture\";s:14:\"\0*\0description\";s:29:\"Your virtual face or picture.\";s:11:\"\0*\0settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:5:\"30 KB\";s:14:\"max_resolution\";s:5:\"85x85\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.907,1,'entity_field_info entity_types','572'),('entity_bundle_info:en','a:43:{s:5:\"block\";a:1:{s:5:\"block\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:18:\"block_content_type\";a:1:{s:18:\"block_content_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:13:\"block_content\";a:1:{s:5:\"basic\";a:2:{s:5:\"label\";s:11:\"Basic block\";s:12:\"translatable\";b:0;}}s:12:\"comment_type\";a:1:{s:12:\"comment_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:7:\"comment\";a:2:{s:7:\"comment\";a:2:{s:5:\"label\";s:16:\"Default comments\";s:12:\"translatable\";b:0;}s:13:\"comment_forum\";a:2:{s:5:\"label\";s:13:\"Comment_forum\";s:12:\"translatable\";b:0;}}s:14:\"component_item\";a:31:{s:9:\"accordion\";a:2:{s:5:\"label\";s:9:\"Accordion\";s:12:\"translatable\";b:0;}s:15:\"article_summary\";a:2:{s:5:\"label\";s:15:\"Article Summary\";s:12:\"translatable\";b:0;}s:11:\"banner_grid\";a:2:{s:5:\"label\";s:11:\"Banner Grid\";s:12:\"translatable\";b:0;}s:15:\"basic_component\";a:2:{s:5:\"label\";s:15:\"Basic component\";s:12:\"translatable\";b:0;}s:4:\"card\";a:2:{s:5:\"label\";s:4:\"Card\";s:12:\"translatable\";b:0;}s:8:\"carousel\";a:2:{s:5:\"label\";s:8:\"Carousel\";s:12:\"translatable\";b:0;}s:14:\"classified_ads\";a:2:{s:5:\"label\";s:14:\"Classified Ads\";s:12:\"translatable\";b:0;}s:7:\"counter\";a:2:{s:5:\"label\";s:7:\"Counter\";s:12:\"translatable\";b:0;}s:15:\"divider_section\";a:2:{s:5:\"label\";s:15:\"Divider Section\";s:12:\"translatable\";b:0;}s:4:\"grid\";a:2:{s:5:\"label\";s:4:\"Grid\";s:12:\"translatable\";b:0;}s:13:\"grid_carousel\";a:2:{s:5:\"label\";s:13:\"Grid Carousel\";s:12:\"translatable\";b:0;}s:21:\"horizontal_push_image\";a:2:{s:5:\"label\";s:21:\"Horizontal push image\";s:12:\"translatable\";b:0;}s:10:\"push_image\";a:2:{s:5:\"label\";s:10:\"Push image\";s:12:\"translatable\";b:0;}s:10:\"push_video\";a:2:{s:5:\"label\";s:10:\"Push Video\";s:12:\"translatable\";b:0;}s:5:\"quote\";a:2:{s:5:\"label\";s:5:\"Quote\";s:12:\"translatable\";b:0;}s:15:\"related_content\";a:2:{s:5:\"label\";s:15:\"Related Content\";s:12:\"translatable\";b:0;}s:13:\"service_block\";a:2:{s:5:\"label\";s:13:\"Service Block\";s:12:\"translatable\";b:0;}s:17:\"sidebar_link_text\";a:2:{s:5:\"label\";s:17:\"Sidebar Link Text\";s:12:\"translatable\";b:0;}s:15:\"sidebar_service\";a:2:{s:5:\"label\";s:15:\"Sidebar Service\";s:12:\"translatable\";b:0;}s:15:\"sidebar_summary\";a:2:{s:5:\"label\";s:15:\"Sidebar Summary\";s:12:\"translatable\";b:0;}s:9:\"slideshow\";a:2:{s:5:\"label\";s:9:\"Slideshow\";s:12:\"translatable\";b:0;}s:18:\"slideshow_flexible\";a:2:{s:5:\"label\";s:18:\"Slideshow Flexible\";s:12:\"translatable\";b:0;}s:13:\"statistic_bar\";a:2:{s:5:\"label\";s:13:\"Statistic bar\";s:12:\"translatable\";b:0;}s:22:\"statistic_bar_progress\";a:2:{s:5:\"label\";s:22:\"Statistic bar progress\";s:12:\"translatable\";b:0;}s:19:\"summary_information\";a:2:{s:5:\"label\";s:19:\"Summary Information\";s:12:\"translatable\";b:0;}s:5:\"table\";a:2:{s:5:\"label\";s:5:\"Table\";s:12:\"translatable\";b:0;}s:12:\"table_column\";a:2:{s:5:\"label\";s:12:\"Table column\";s:12:\"translatable\";b:0;}s:11:\"testimonial\";a:2:{s:5:\"label\";s:11:\"Testimonial\";s:12:\"translatable\";b:0;}s:8:\"timeline\";a:2:{s:5:\"label\";s:8:\"Timeline\";s:12:\"translatable\";b:0;}s:13:\"timeline_item\";a:2:{s:5:\"label\";s:13:\"Timeline Item\";s:12:\"translatable\";b:0;}s:13:\"topic_summary\";a:2:{s:5:\"label\";s:13:\"Topic Summary\";s:12:\"translatable\";b:0;}}s:19:\"component_item_type\";a:1:{s:19:\"component_item_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:17:\"component_wrapper\";a:1:{s:17:\"component_wrapper\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:15:\"contact_message\";a:2:{s:8:\"feedback\";a:2:{s:5:\"label\";s:7:\"Contact\";s:12:\"translatable\";b:0;}s:8:\"personal\";a:2:{s:5:\"label\";s:21:\"Personal contact form\";s:12:\"translatable\";b:0;}}s:12:\"contact_form\";a:1:{s:12:\"contact_form\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:6:\"editor\";a:1:{s:6:\"editor\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:20:\"field_storage_config\";a:1:{s:20:\"field_storage_config\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:12:\"field_config\";a:1:{s:12:\"field_config\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"file\";a:1:{s:4:\"file\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:13:\"filter_format\";a:1:{s:13:\"filter_format\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:11:\"image_style\";a:1:{s:11:\"image_style\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:25:\"language_content_settings\";a:1:{s:25:\"language_content_settings\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:21:\"configurable_language\";a:1:{s:21:\"configurable_language\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"node\";a:6:{s:7:\"article\";a:2:{s:5:\"label\";s:7:\"Article\";s:12:\"translatable\";b:0;}s:4:\"blog\";a:3:{s:5:\"label\";s:4:\"Blog\";s:12:\"translatable\";b:1;s:50:\"untranslatable_fields.default_translation_affected\";b:0;}s:5:\"forum\";a:2:{s:5:\"label\";s:11:\"Forum topic\";s:12:\"translatable\";b:0;}s:4:\"page\";a:2:{s:5:\"label\";s:10:\"Basic page\";s:12:\"translatable\";b:0;}s:8:\"showcase\";a:2:{s:5:\"label\";s:8:\"Showcase\";s:12:\"translatable\";b:0;}s:16:\"simplenews_issue\";a:2:{s:5:\"label\";s:16:\"Newsletter Issue\";s:12:\"translatable\";b:0;}}s:9:\"node_type\";a:1:{s:9:\"node_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:10:\"path_alias\";a:1:{s:10:\"path_alias\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:11:\"rdf_mapping\";a:1:{s:11:\"rdf_mapping\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:11:\"search_page\";a:1:{s:11:\"search_page\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:12:\"shortcut_set\";a:1:{s:12:\"shortcut_set\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:8:\"shortcut\";a:1:{s:7:\"default\";a:2:{s:5:\"label\";s:7:\"Default\";s:12:\"translatable\";b:0;}}s:21:\"simplenews_newsletter\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:21:\"simplenews_subscriber\";a:1:{s:21:\"simplenews_subscriber\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"menu\";a:1:{s:4:\"menu\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:6:\"action\";a:1:{s:6:\"action\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:13:\"taxonomy_term\";a:4:{s:10:\"categories\";a:2:{s:5:\"label\";s:10:\"Categories\";s:12:\"translatable\";b:0;}s:15:\"component_types\";a:2:{s:5:\"label\";s:15:\"Component Types\";s:12:\"translatable\";b:0;}s:6:\"forums\";a:3:{s:5:\"label\";s:6:\"Forums\";s:12:\"translatable\";b:0;s:12:\"uri_callback\";s:9:\"forum_uri\";}s:4:\"tags\";a:2:{s:5:\"label\";s:4:\"Tags\";s:12:\"translatable\";b:0;}}s:19:\"taxonomy_vocabulary\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"tour\";a:1:{s:4:\"tour\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"user\";a:1:{s:4:\"user\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:9:\"user_role\";a:1:{s:9:\"user_role\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:17:\"menu_link_content\";a:1:{s:17:\"menu_link_content\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:16:\"pathauto_pattern\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"view\";a:1:{s:4:\"view\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:12:\"translatable\";b:0;}}s:11:\"date_format\";a:1:{s:11:\"date_format\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:16:\"entity_form_mode\";a:1:{s:16:\"entity_form_mode\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:16:\"entity_view_mode\";a:1:{s:16:\"entity_view_mode\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:19:\"entity_view_display\";a:1:{s:19:\"entity_view_display\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:19:\"entity_form_display\";a:1:{s:19:\"entity_form_display\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:19:\"base_field_override\";a:1:{s:19:\"base_field_override\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}}',-1,1674804012.207,1,'entity_bundles entity_types','268'),('entity_field_map','a:13:{s:13:\"block_content\";a:16:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:16:\"revision_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:13:\"revision_user\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:12:\"revision_log\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"info\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:8:\"reusable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}}s:7:\"comment\";a:20:{s:3:\"cid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:12:\"comment_type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:3:\"pid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:9:\"entity_id\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:7:\"subject\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:8:\"homepage\";a:2:{s:4:\"type\";s:3:\"uri\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:8:\"hostname\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:6:\"thread\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:11:\"entity_type\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:10:\"field_name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}s:12:\"comment_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}}s:14:\"component_item\";a:98:{s:17:\"component_item_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:3:\"vid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:4:\"type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:11:\"admin_title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:31:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"article_summary\";s:15:\"article_summary\";s:11:\"banner_grid\";s:11:\"banner_grid\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"card\";s:4:\"card\";s:8:\"carousel\";s:8:\"carousel\";s:14:\"classified_ads\";s:14:\"classified_ads\";s:7:\"counter\";s:7:\"counter\";s:15:\"divider_section\";s:15:\"divider_section\";s:4:\"grid\";s:4:\"grid\";s:13:\"grid_carousel\";s:13:\"grid_carousel\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:10:\"push_image\";s:10:\"push_image\";s:10:\"push_video\";s:10:\"push_video\";s:5:\"quote\";s:5:\"quote\";s:15:\"related_content\";s:15:\"related_content\";s:13:\"service_block\";s:13:\"service_block\";s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";s:15:\"sidebar_service\";s:15:\"sidebar_service\";s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";s:9:\"slideshow\";s:9:\"slideshow\";s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";s:13:\"statistic_bar\";s:13:\"statistic_bar\";s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";s:19:\"summary_information\";s:19:\"summary_information\";s:5:\"table\";s:5:\"table\";s:12:\"table_column\";s:12:\"table_column\";s:11:\"testimonial\";s:11:\"testimonial\";s:8:\"timeline\";s:8:\"timeline\";s:13:\"timeline_item\";s:13:\"timeline_item\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:10:\"field_body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:6:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"grid\";s:4:\"grid\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:19:\"summary_information\";s:19:\"summary_information\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:17:\"field_large_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:11:\"banner_grid\";s:11:\"banner_grid\";}}s:17:\"field_small_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:11:\"banner_grid\";s:11:\"banner_grid\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:5:{s:15:\"basic_component\";s:15:\"basic_component\";s:8:\"carousel\";s:8:\"carousel\";s:19:\"summary_information\";s:19:\"summary_information\";s:13:\"topic_summary\";s:13:\"topic_summary\";s:11:\"testimonial\";s:11:\"testimonial\";}}s:10:\"field_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:7:{s:15:\"basic_component\";s:15:\"basic_component\";s:8:\"carousel\";s:8:\"carousel\";s:4:\"grid\";s:4:\"grid\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:9:\"slideshow\";s:9:\"slideshow\";s:19:\"summary_information\";s:19:\"summary_information\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:15:\"field_card_body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:16:\"field_card_color\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:15:\"field_card_icon\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:15:\"field_card_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:17:\"field_description\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:8:\"carousel\";s:8:\"carousel\";}}s:10:\"field_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:8:\"carousel\";s:8:\"carousel\";}}s:26:\"field_classified_ads_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:14:\"classified_ads\";s:14:\"classified_ads\";}}s:25:\"field_classified_ads_text\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:14:\"classified_ads\";s:14:\"classified_ads\";}}s:10:\"field_icon\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"grid\";s:4:\"grid\";}}s:15:\"field_grid_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:4:\"grid\";s:4:\"grid\";}}s:20:\"field_gc_description\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:14:\"field_gc_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:13:\"field_gc_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:13:\"field_gc_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:15:\"field_hpi_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";}}s:13:\"field_pi_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:10:\"push_image\";s:10:\"push_image\";}}s:14:\"field_pi_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:10:\"push_image\";s:10:\"push_image\";}}s:13:\"field_pi_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:10:\"push_image\";s:10:\"push_image\";}}s:11:\"field_quote\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:2:{s:5:\"quote\";s:5:\"quote\";s:11:\"testimonial\";s:11:\"testimonial\";}}s:29:\"field_quote_description_infor\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:5:\"quote\";s:5:\"quote\";}}s:17:\"field_quote_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:5:\"quote\";s:5:\"quote\";}}s:23:\"field_quote_information\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:5:\"quote\";s:5:\"quote\";}}s:14:\"field_rc_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"related_content\";s:15:\"related_content\";}}s:13:\"field_rc_body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:15:\"related_content\";s:15:\"related_content\";}}s:13:\"field_rc_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"related_content\";s:15:\"related_content\";}}s:23:\"field_sidebar_link_text\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";}}s:28:\"field_sidebar_link_text_desc\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";}}s:27:\"field_sidebar_service_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"sidebar_service\";s:15:\"sidebar_service\";}}s:26:\"field_sidebar_service_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"sidebar_service\";s:15:\"sidebar_service\";}}s:14:\"field_captions\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:16:\"field_hero_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:23:\"field_mobile_hero_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:13:\"field_summary\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:29:\"field_slideshow_flexible_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:30:\"field_slideshow_flexible_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:29:\"field_slideshow_flexible_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:30:\"field_slideshow_flexible_sdesc\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:11:\"field_cells\";a:2:{s:4:\"type\";s:4:\"text\";s:7:\"bundles\";a:1:{s:12:\"table_column\";s:12:\"table_column\";}}s:19:\"field_table_columns\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"table\";s:5:\"table\";}}s:17:\"field_information\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:11:\"testimonial\";s:11:\"testimonial\";}}s:29:\"field_description_information\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:11:\"testimonial\";s:11:\"testimonial\";}}s:16:\"field_as_address\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:16:\"field_as_country\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:30:\"field_as_date_of_establishment\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:20:\"field_as_description\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:14:\"field_as_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:13:\"field_as_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:22:\"field_as_opening_hours\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:19:\"field_counter_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:7:\"counter\";s:7:\"counter\";}}s:20:\"field_counter_number\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"counter\";s:7:\"counter\";}}s:27:\"field_divider_section_color\";a:2:{s:4:\"type\";s:16:\"color_field_type\";s:7:\"bundles\";a:1:{s:15:\"divider_section\";s:15:\"divider_section\";}}s:26:\"field_divider_section_desc\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:15:\"divider_section\";s:15:\"divider_section\";}}s:27:\"field_divider_section_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"divider_section\";s:15:\"divider_section\";}}s:13:\"field_pv_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:20:\"field_pv_embed_video\";a:2:{s:4:\"type\";s:17:\"video_embed_field\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:19:\"field_pv_video_file\";a:2:{s:4:\"type\";s:4:\"file\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:13:\"field_pv_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:16:\"field_pv_display\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:25:\"field_service_block_color\";a:2:{s:4:\"type\";s:16:\"color_field_type\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:31:\"field_service_block_description\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:25:\"field_service_block_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:24:\"field_service_block_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:26:\"field_sidebar_summary_desc\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:27:\"field_sidebar_summary_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:26:\"field_sidebar_summary_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:32:\"field_sidebar_summary_created_by\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:26:\"field_sidebar_summary_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:13:\"field_process\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";}}s:15:\"field_sbp_color\";a:2:{s:4:\"type\";s:16:\"color_field_type\";s:7:\"bundles\";a:1:{s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";}}s:27:\"field_content_statistic_bar\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:13:\"statistic_bar\";s:13:\"statistic_bar\";}}s:28:\"field_statistic_bar_progress\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:13:\"statistic_bar\";s:13:\"statistic_bar\";}}s:13:\"field_ti_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:13:\"field_ti_icon\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:13:\"field_ti_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:14:\"field_ti_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:14:\"field_ti_video\";a:2:{s:4:\"type\";s:17:\"video_embed_field\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:10:\"field_type\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:13:\"field_ti_left\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:8:\"timeline\";s:8:\"timeline\";}}s:14:\"field_ti_right\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:8:\"timeline\";s:8:\"timeline\";}}}s:17:\"component_wrapper\";a:56:{s:20:\"component_wrapper_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:3:\"vid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"component_type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:13:\"display_title\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"display_header\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"display_footer\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:13:\"display_image\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:17:\"display_in_region\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:12:\"field_region\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:22:\"field_weight_in_region\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:12:\"field_header\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:17:\"field_left_column\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_middle_column\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:18:\"field_right_column\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:12:\"field_footer\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"field_properties\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:18:\"field_display_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:15:\"field_accordion\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:17:\"field_banner_grid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_basic_component\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:10:\"field_card\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"field_carousel\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:20:\"field_classified_ads\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:10:\"field_grid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_grid_carousel\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:27:\"field_horizontal_push_image\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"field_push_image\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:11:\"field_quote\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_related_content\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:23:\"field_sidebar_link_text\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_sidebar_service\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:15:\"field_slideshow\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:24:\"field_slideshow_flexible\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:25:\"field_summary_information\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:11:\"field_table\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:17:\"field_testimonial\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_topic_summary\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_article_summary\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:13:\"field_counter\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_divider_section\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"field_push_video\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_service_block\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_sidebar_summary\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_statistic_bar\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"field_timeline\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}}s:15:\"contact_message\";a:9:{s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:12:\"contact_form\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:7:\"subject\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:7:\"message\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:4:\"copy\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:9:\"recipient\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}}s:4:\"file\";a:11:{s:3:\"fid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"filename\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:3:\"uri\";a:2:{s:4:\"type\";s:8:\"file_uri\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"filemime\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"filesize\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}}s:4:\"node\";a:33:{s:3:\"nid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:3:\"vid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:4:\"type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:18:\"revision_timestamp\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:12:\"revision_uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:12:\"revision_log\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:7:\"promote\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:6:\"sticky\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:9:\"menu_link\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:26:\"content_translation_source\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:28:\"content_translation_outdated\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"forum\";s:5:\"forum\";s:4:\"page\";s:4:\"page\";s:8:\"showcase\";s:8:\"showcase\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"page\";s:4:\"page\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:4:\"blog\";s:4:\"blog\";s:8:\"showcase\";s:8:\"showcase\";s:5:\"forum\";s:5:\"forum\";}}s:7:\"comment\";a:2:{s:4:\"type\";s:7:\"comment\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:3:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:8:\"showcase\";s:8:\"showcase\";}}s:10:\"field_tags\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:16:\"simplenews_issue\";a:2:{s:4:\"type\";s:16:\"simplenews_issue\";s:7:\"bundles\";a:1:{s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:14:\"field_category\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:10:\"field_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}}s:13:\"comment_forum\";a:2:{s:4:\"type\";s:7:\"comment\";s:7:\"bundles\";a:1:{s:5:\"forum\";s:5:\"forum\";}}s:15:\"taxonomy_forums\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"forum\";s:5:\"forum\";}}s:16:\"field_video_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:16:\"field_components\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"page\";s:4:\"page\";}}}s:10:\"path_alias\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:5:\"alias\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}}s:8:\"shortcut\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:4:\"link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}}s:21:\"simplenews_subscriber\";a:9:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:7:\"changes\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:13:\"subscriptions\";a:2:{s:4:\"type\";s:23:\"simplenews_subscription\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}}s:13:\"taxonomy_term\";a:20:{s:3:\"tid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:3:\"vid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:16:\"revision_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:13:\"revision_user\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:20:\"revision_log_message\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:11:\"description\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:6:\"parent\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:7:\"bundles\";a:4:{s:10:\"categories\";s:10:\"categories\";s:15:\"component_types\";s:15:\"component_types\";s:6:\"forums\";s:6:\"forums\";s:4:\"tags\";s:4:\"tags\";}}s:15:\"forum_container\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:6:\"forums\";s:6:\"forums\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}}}s:4:\"user\";a:19:{s:3:\"uid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:18:\"preferred_langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:24:\"preferred_admin_langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"pass\";a:2:{s:4:\"type\";s:8:\"password\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:8:\"timezone\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:6:\"access\";a:2:{s:4:\"type\";s:9:\"timestamp\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:5:\"login\";a:2:{s:4:\"type\";s:9:\"timestamp\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"init\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:5:\"roles\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:12:\"user_picture\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}}s:17:\"menu_link_content\";a:22:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:6:\"bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:16:\"revision_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:13:\"revision_user\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:20:\"revision_log_message\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:11:\"description\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:9:\"menu_name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:4:\"link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:8:\"external\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:10:\"rediscover\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:8:\"expanded\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:6:\"parent\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}}}',-1,1674804012.851,1,'entity_field_info entity_types','572'),('entity_field_storage_definitions:component_item:en','a:84:{s:16:\"field_as_address\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_as_address\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"29649109-de2f-43e3-953b-a60877312e98\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_as_address\";s:13:\"\0*\0field_name\";s:16:\"field_as_address\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_as_country\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_as_country\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e45b49a-7497-41c8-9fe0-ef35c448737f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_as_country\";s:13:\"\0*\0field_name\";s:16:\"field_as_country\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_as_date_of_establishment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_as_date_of_establishment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9963b3ad-9973-4733-b4f3-0a07939b2d1b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_as_date_of_establishment\";s:13:\"\0*\0field_name\";s:30:\"field_as_date_of_establishment\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_as_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_as_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d69cd62b-e070-443e-931c-2fb65467b8ac\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_as_description\";s:13:\"\0*\0field_name\";s:20:\"field_as_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_as_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_as_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0df357f9-9000-4d10-a1d5-b95ca58ad347\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_as_image\";s:13:\"\0*\0field_name\";s:14:\"field_as_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_as_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_as_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e64ac45-b787-4b8c-bd29-a4c756766c32\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_as_link\";s:13:\"\0*\0field_name\";s:13:\"field_as_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:22:\"field_as_opening_hours\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_item.field_as_opening_hours\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f237390d-1b71-4d34-989e-b25083742132\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_item.field_as_opening_hours\";s:13:\"\0*\0field_name\";s:22:\"field_as_opening_hours\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2af0b498-1eda-4d91-b1f2-7e701bf27734\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_body\";s:13:\"\0*\0field_name\";s:10:\"field_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_captions\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_captions\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ddbeb4e2-40fb-4f77-ba33-1479e6f4958a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_captions\";s:13:\"\0*\0field_name\";s:14:\"field_captions\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"38ffb927-b300-4e20-b658-f929679ada4d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_body\";s:13:\"\0*\0field_name\";s:15:\"field_card_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_card_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_card_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0ceafd0a-ac62-4625-9657-4ae96581b3dc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_card_color\";s:13:\"\0*\0field_name\";s:16:\"field_card_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:5:{s:6:\"purple\";s:6:\"Purple\";s:6:\"orange\";s:6:\"Orange\";s:5:\"green\";s:5:\"Green\";s:6:\"yellow\";s:6:\"Yellow\";s:4:\"blue\";s:4:\"Blue\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e0e0f150-60e3-4847-a845-289a3f8b4956\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_icon\";s:13:\"\0*\0field_name\";s:15:\"field_card_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f00e1e48-2ce6-46dd-a4fa-4747b65c213d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_link\";s:13:\"\0*\0field_name\";s:15:\"field_card_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_cells\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_cells\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b761d1a0-b698-4d91-8bed-62a95e5fe05d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_cells\";s:13:\"\0*\0field_name\";s:11:\"field_cells\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"text\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:1:{s:10:\"max_length\";i:255;}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_classified_ads_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_classified_ads_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a6dfe7e3-7776-48f6-8174-9bf2aeea4854\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_classified_ads_image\";s:13:\"\0*\0field_name\";s:26:\"field_classified_ads_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_classified_ads_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_classified_ads_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a949f6b4-5ac8-405a-84ff-7c09dd7bc66e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_classified_ads_text\";s:13:\"\0*\0field_name\";s:25:\"field_classified_ads_text\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_content_statistic_bar\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_content_statistic_bar\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aa3f583c-4227-4142-b163-9eedafa87b3c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_content_statistic_bar\";s:13:\"\0*\0field_name\";s:27:\"field_content_statistic_bar\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_counter_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_counter_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e48c0cd-cbbd-4843-9cd7-28dc7a9dbfc3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_counter_image\";s:13:\"\0*\0field_name\";s:19:\"field_counter_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_counter_number\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_counter_number\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"064e4341-d78d-4183-9f6c-7d6feb435228\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_counter_number\";s:13:\"\0*\0field_name\";s:20:\"field_counter_number\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b119dd22-b72c-4419-8dc6-48e357cb07d8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_date\";s:13:\"\0*\0field_name\";s:10:\"field_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e0defae0-36de-41f7-83f6-d5480cc3108d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_description\";s:13:\"\0*\0field_name\";s:17:\"field_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_description_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_description_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b5753c99-7e2b-44d4-afc3-f667c5f579b0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_description_information\";s:13:\"\0*\0field_name\";s:29:\"field_description_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_divider_section_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_divider_section_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fc08a9e3-2a76-475d-8bb8-52d53df85011\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_divider_section_color\";s:13:\"\0*\0field_name\";s:27:\"field_divider_section_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_divider_section_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_divider_section_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"13277562-7e47-4f7b-bfc0-1de5e0af4c8b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_divider_section_desc\";s:13:\"\0*\0field_name\";s:26:\"field_divider_section_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_divider_section_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_divider_section_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"769afb6e-740d-473b-b0a2-12f59b58b8a6\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_divider_section_image\";s:13:\"\0*\0field_name\";s:27:\"field_divider_section_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_gc_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_gc_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2f441837-fe29-4737-8c1c-877c554fdc77\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_gc_date\";s:13:\"\0*\0field_name\";s:13:\"field_gc_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_gc_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_gc_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"247c5671-a349-4094-928c-c4e07eb5d86f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_gc_description\";s:13:\"\0*\0field_name\";s:20:\"field_gc_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_gc_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_gc_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"47a7966e-0272-4534-9176-ea2a6c980d7d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_gc_image\";s:13:\"\0*\0field_name\";s:14:\"field_gc_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_gc_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_gc_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c4733456-7beb-4319-9290-76ff7bc82374\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_gc_link\";s:13:\"\0*\0field_name\";s:13:\"field_gc_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_grid_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_grid_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa1a769e-672f-4acc-b68f-ba3d95c6e639\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_grid_date\";s:13:\"\0*\0field_name\";s:15:\"field_grid_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_hero_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_hero_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4efd9db0-acd7-4fef-9953-b722aa44eca0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_hero_image\";s:13:\"\0*\0field_name\";s:16:\"field_hero_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_hpi_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_hpi_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ebcd0742-9d35-419d-8a26-d22939c478ff\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_hpi_image\";s:13:\"\0*\0field_name\";s:15:\"field_hpi_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b4b9461a-ead6-4667-b348-ac386dc77c61\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_icon\";s:13:\"\0*\0field_name\";s:10:\"field_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8da319df-3752-41c3-acae-5cab6bdba54c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"25865b85-1eb3-488c-9e76-5203d24856b3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_information\";s:13:\"\0*\0field_name\";s:17:\"field_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_large_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_large_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4e39385c-2822-4720-bbea-0e625958fee0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_large_image\";s:13:\"\0*\0field_name\";s:17:\"field_large_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"19453461-238e-4a8b-b18b-50baa27f81ba\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_mobile_hero_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_mobile_hero_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3c8e6a52-d7d7-4e25-88b1-fe2a8c31e8a7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_mobile_hero_image\";s:13:\"\0*\0field_name\";s:23:\"field_mobile_hero_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pi_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pi_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9e7b41e1-2339-43da-a3f5-af6ff15eb406\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pi_body\";s:13:\"\0*\0field_name\";s:13:\"field_pi_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_pi_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_pi_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e6681696-99e7-41ae-81f0-07605b47b599\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_pi_image\";s:13:\"\0*\0field_name\";s:14:\"field_pi_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pi_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pi_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"687b0a24-ad3e-4eb5-a685-acbddf6b07cc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pi_link\";s:13:\"\0*\0field_name\";s:13:\"field_pi_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_process\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_process\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7305801-a2b8-49d5-a395-bcae249c13fb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_process\";s:13:\"\0*\0field_name\";s:13:\"field_process\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pv_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pv_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"619be666-5172-48ad-aab2-ffd9c882408a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pv_body\";s:13:\"\0*\0field_name\";s:13:\"field_pv_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_pv_display\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_pv_display\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f1317a3e-8da7-4077-9aaf-857d8768a5e2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_pv_display\";s:13:\"\0*\0field_name\";s:16:\"field_pv_display\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{s:11:\"video_embed\";s:11:\"Video Embed\";s:10:\"video_file\";s:10:\"Video File\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_pv_embed_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_pv_embed_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4f57c952-1b2f-4a58-8b79-4db7ce93edf0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_pv_embed_video\";s:13:\"\0*\0field_name\";s:20:\"field_pv_embed_video\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pv_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pv_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9faac48c-0616-4991-8552-fa73654bf547\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pv_link\";s:13:\"\0*\0field_name\";s:13:\"field_pv_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_pv_video_file\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_pv_video_file\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cef29921-f15f-4a7b-855d-314603639f52\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_pv_video_file\";s:13:\"\0*\0field_name\";s:19:\"field_pv_video_file\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"file\";s:9:\"\0*\0module\";s:4:\"file\";s:11:\"\0*\0settings\";a:4:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_quote\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_quote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"88c7118b-2a64-4b0b-8afd-bfa7c50dce23\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_quote\";s:13:\"\0*\0field_name\";s:11:\"field_quote\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_quote_description_infor\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_quote_description_infor\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"00a3013b-7b5d-4fef-9805-c21e6eb7b986\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_quote_description_infor\";s:13:\"\0*\0field_name\";s:29:\"field_quote_description_infor\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_quote_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_quote_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"997a6fa0-bbc6-48b2-82b5-08b62e31d98a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_quote_image\";s:13:\"\0*\0field_name\";s:17:\"field_quote_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_quote_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_quote_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"58065421-cde4-4347-88f5-b7d5a2d6c559\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_quote_information\";s:13:\"\0*\0field_name\";s:23:\"field_quote_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_rc_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_rc_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6b3bf3e7-1eda-4c1b-bc9c-8ba1651d5796\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_rc_body\";s:13:\"\0*\0field_name\";s:13:\"field_rc_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_rc_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_rc_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0d867af5-278d-42ee-90b7-0f9ab324c9cf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_rc_image\";s:13:\"\0*\0field_name\";s:14:\"field_rc_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_rc_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_rc_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0702f0fb-3c07-4e34-8e38-377eb6b2e486\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_rc_link\";s:13:\"\0*\0field_name\";s:13:\"field_rc_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_sbp_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_sbp_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"01d4343a-2f59-4982-a45b-65f26210a364\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_sbp_color\";s:13:\"\0*\0field_name\";s:15:\"field_sbp_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_service_block_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_service_block_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7e21538f-daf2-43d7-b9c7-8f3736ea14da\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_service_block_color\";s:13:\"\0*\0field_name\";s:25:\"field_service_block_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:31:\"field_service_block_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:46:\"component_item.field_service_block_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"68777643-84d2-4f21-addf-0fbae5c8e516\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:46:\"component_item.field_service_block_description\";s:13:\"\0*\0field_name\";s:31:\"field_service_block_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_service_block_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_service_block_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"63538f7a-6fef-469d-a616-af393994c131\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_service_block_image\";s:13:\"\0*\0field_name\";s:25:\"field_service_block_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:24:\"field_service_block_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_item.field_service_block_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c76066c1-180e-43da-acca-ca7edcb55f58\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_item.field_service_block_link\";s:13:\"\0*\0field_name\";s:24:\"field_service_block_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_sidebar_link_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_sidebar_link_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4c8a74b5-5416-4a21-b35a-d822fb887719\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_sidebar_link_text\";s:13:\"\0*\0field_name\";s:23:\"field_sidebar_link_text\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:28:\"field_sidebar_link_text_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_item.field_sidebar_link_text_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"afee4116-0aa6-4aae-b0d2-65a525a9f0f3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_item.field_sidebar_link_text_desc\";s:13:\"\0*\0field_name\";s:28:\"field_sidebar_link_text_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_sidebar_service_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_sidebar_service_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c5b13407-15fa-42ee-9c03-127a5bf7d7b7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_sidebar_service_image\";s:13:\"\0*\0field_name\";s:27:\"field_sidebar_service_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_service_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_service_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0cd7bad3-6c44-4035-acb5-9e75c3c90e46\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_service_link\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_service_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:32:\"field_sidebar_summary_created_by\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:47:\"component_item.field_sidebar_summary_created_by\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c63c0a41-fe49-4318-8246-8a3002748e90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:47:\"component_item.field_sidebar_summary_created_by\";s:13:\"\0*\0field_name\";s:32:\"field_sidebar_summary_created_by\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2ee66812-1877-425f-85c1-d826eb79f02c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_date\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9eef7e00-dbaa-478b-8fc7-f34c7e8d41d3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_desc\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_sidebar_summary_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_sidebar_summary_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"759e9249-4138-4851-a49e-170feb76aefb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_sidebar_summary_image\";s:13:\"\0*\0field_name\";s:27:\"field_sidebar_summary_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1ba40339-faab-4195-9a3f-1439e604025b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_link\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_slideshow_flexible_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_slideshow_flexible_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f6ddd448-d211-4856-9da4-11760e8a0e03\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_slideshow_flexible_date\";s:13:\"\0*\0field_name\";s:29:\"field_slideshow_flexible_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_slideshow_flexible_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_slideshow_flexible_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9649a571-0fd5-4e7a-8d33-16a1b70880f5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_slideshow_flexible_image\";s:13:\"\0*\0field_name\";s:30:\"field_slideshow_flexible_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_slideshow_flexible_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_slideshow_flexible_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0e89bc6a-f054-4725-b1b3-99b49fbc0605\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_slideshow_flexible_link\";s:13:\"\0*\0field_name\";s:29:\"field_slideshow_flexible_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_slideshow_flexible_sdesc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ffca2e43-e9d1-482f-bd13-60eb1f343f8e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:13:\"\0*\0field_name\";s:30:\"field_slideshow_flexible_sdesc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_small_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_small_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"dcf5e31d-536f-485a-9aaf-d89efd3582fb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_small_image\";s:13:\"\0*\0field_name\";s:17:\"field_small_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:28:\"field_statistic_bar_progress\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_item.field_statistic_bar_progress\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a23196a8-d216-4f63-80f4-494f779ed0fe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_item.field_statistic_bar_progress\";s:13:\"\0*\0field_name\";s:28:\"field_statistic_bar_progress\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a06bfa21-fd72-44e5-9446-1c701a5c83b1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_summary\";s:13:\"\0*\0field_name\";s:13:\"field_summary\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_table_columns\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_table_columns\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa48bf78-58ac-4f12-b308-4720ea3b5860\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_table_columns\";s:13:\"\0*\0field_name\";s:19:\"field_table_columns\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a0f4c01f-e880-4e50-8f40-e2aa27457580\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_body\";s:13:\"\0*\0field_name\";s:13:\"field_ti_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4a892c1c-81f4-45e4-8804-1a1f23d41c73\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_icon\";s:13:\"\0*\0field_name\";s:13:\"field_ti_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c84a3ffc-8007-47d8-80cd-2d59f1f9b195\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_image\";s:13:\"\0*\0field_name\";s:14:\"field_ti_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_left\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_left\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"752b7b9b-194d-4ebe-a748-dd330b193597\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_left\";s:13:\"\0*\0field_name\";s:13:\"field_ti_left\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aae31211-fc86-4161-a57b-c72b881f2def\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_link\";s:13:\"\0*\0field_name\";s:13:\"field_ti_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_right\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_right\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6ff5cda7-0402-4d91-b4cc-65ba513ecb90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_right\";s:13:\"\0*\0field_name\";s:14:\"field_ti_right\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a6d1b8d3-2807-4fdd-aa30-7cd6fde483eb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_video\";s:13:\"\0*\0field_name\";s:14:\"field_ti_video\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b70990d4-3b40-4af7-87c8-90236dd35868\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_type\";s:13:\"\0*\0field_name\";s:10:\"field_type\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{s:5:\"image\";s:5:\"Image\";s:5:\"video\";s:5:\"Video\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.385,1,'entity_field_info entity_types','572'),('entity_field_storage_definitions:component_wrapper:en','a:28:{s:15:\"field_accordion\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:33:\"component_wrapper.field_accordion\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"535aabf9-053f-4403-86aa-b87054849c65\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:33:\"component_wrapper.field_accordion\";s:13:\"\0*\0field_name\";s:15:\"field_accordion\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_article_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_article_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"769ab229-95f2-4b66-af20-ea658e2327ea\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_article_summary\";s:13:\"\0*\0field_name\";s:21:\"field_article_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_banner_grid\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_wrapper.field_banner_grid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"81abd263-0af2-4201-9b86-66f84ad516ff\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_wrapper.field_banner_grid\";s:13:\"\0*\0field_name\";s:17:\"field_banner_grid\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_basic_component\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_basic_component\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5af2e220-2326-4d90-9148-1ead88277eb1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_basic_component\";s:13:\"\0*\0field_name\";s:21:\"field_basic_component\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_card\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_wrapper.field_card\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d00e5eb0-82dd-4835-aec2-6f75a86d95e9\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_wrapper.field_card\";s:13:\"\0*\0field_name\";s:10:\"field_card\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_carousel\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_wrapper.field_carousel\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ab4e3f11-4bdb-465c-b960-19c747b618ae\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_wrapper.field_carousel\";s:13:\"\0*\0field_name\";s:14:\"field_carousel\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_classified_ads\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_wrapper.field_classified_ads\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a8ab7b61-2c44-44c3-aad7-445725afe610\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_wrapper.field_classified_ads\";s:13:\"\0*\0field_name\";s:20:\"field_classified_ads\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_counter\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_wrapper.field_counter\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"170f9378-4953-480f-a169-ee6ebd8d915d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_wrapper.field_counter\";s:13:\"\0*\0field_name\";s:13:\"field_counter\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_divider_section\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_divider_section\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7365a73d-2f7f-4347-911c-fc91f20b43b8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_divider_section\";s:13:\"\0*\0field_name\";s:21:\"field_divider_section\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_grid\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_wrapper.field_grid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"384f895c-0f6f-483c-a1f9-702bb4558cbe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_wrapper.field_grid\";s:13:\"\0*\0field_name\";s:10:\"field_grid\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_grid_carousel\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_grid_carousel\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b99f21b6-fe34-46f8-865d-0e7331fe8bdc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_grid_carousel\";s:13:\"\0*\0field_name\";s:19:\"field_grid_carousel\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_horizontal_push_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_wrapper.field_horizontal_push_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c10e925-ebb9-4999-84ce-b789dc361274\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_wrapper.field_horizontal_push_image\";s:13:\"\0*\0field_name\";s:27:\"field_horizontal_push_image\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_push_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_wrapper.field_push_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"87a09dd3-89d2-4d92-971b-fb4b5cb1bd9a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_wrapper.field_push_image\";s:13:\"\0*\0field_name\";s:16:\"field_push_image\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_push_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_wrapper.field_push_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a07bbc94-b860-4ff8-9bc3-a5366ee97f68\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_wrapper.field_push_video\";s:13:\"\0*\0field_name\";s:16:\"field_push_video\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_quote\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_wrapper.field_quote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6362b15b-0f28-4a4e-84ee-79415c438f60\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_wrapper.field_quote\";s:13:\"\0*\0field_name\";s:11:\"field_quote\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_related_content\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_related_content\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8d9e9548-c38f-43fc-b4d7-2220f4a47b95\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_related_content\";s:13:\"\0*\0field_name\";s:21:\"field_related_content\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_service_block\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_service_block\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8ac406a2-4eb1-46d9-9331-b272b53a8893\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_service_block\";s:13:\"\0*\0field_name\";s:19:\"field_service_block\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_sidebar_link_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_wrapper.field_sidebar_link_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2c88ce93-2589-4f77-8126-129f683da763\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_wrapper.field_sidebar_link_text\";s:13:\"\0*\0field_name\";s:23:\"field_sidebar_link_text\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_sidebar_service\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_sidebar_service\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6260677c-b7a4-45f1-bfa2-aa390f8e2c1d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_sidebar_service\";s:13:\"\0*\0field_name\";s:21:\"field_sidebar_service\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_sidebar_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_sidebar_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b288c663-361f-4705-885d-741898cad8ec\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_sidebar_summary\";s:13:\"\0*\0field_name\";s:21:\"field_sidebar_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_slideshow\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:33:\"component_wrapper.field_slideshow\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1f7d4c01-1ef1-4f24-8767-4f60d4a78120\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:33:\"component_wrapper.field_slideshow\";s:13:\"\0*\0field_name\";s:15:\"field_slideshow\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:24:\"field_slideshow_flexible\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_wrapper.field_slideshow_flexible\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"edc686e2-1db3-4ae5-803e-1ac7a727f041\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_wrapper.field_slideshow_flexible\";s:13:\"\0*\0field_name\";s:24:\"field_slideshow_flexible\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_statistic_bar\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_statistic_bar\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4ead576e-49a0-4dc6-9395-ac2b41002396\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_statistic_bar\";s:13:\"\0*\0field_name\";s:19:\"field_statistic_bar\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_summary_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_wrapper.field_summary_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e1f7474b-76f5-4a33-8b20-13122d95a4cf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_wrapper.field_summary_information\";s:13:\"\0*\0field_name\";s:25:\"field_summary_information\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_table\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_wrapper.field_table\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"75f5ae2f-1a9a-46a2-933b-7c02ed875539\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_wrapper.field_table\";s:13:\"\0*\0field_name\";s:11:\"field_table\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_testimonial\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_wrapper.field_testimonial\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7adf258-713f-43be-b146-2d87592a280b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_wrapper.field_testimonial\";s:13:\"\0*\0field_name\";s:17:\"field_testimonial\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_timeline\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_wrapper.field_timeline\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"64300233-879c-4914-9ee2-8ff88b73801e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_wrapper.field_timeline\";s:13:\"\0*\0field_name\";s:14:\"field_timeline\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_topic_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_topic_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"26506a3a-2ec1-4797-8e00-d5dc55538371\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_topic_summary\";s:13:\"\0*\0field_name\";s:19:\"field_topic_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.438,1,'entity_field_info entity_types','572'),('entity_field_storage_definitions:node:en','a:11:{s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:9:\"node.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"578317ee-54b9-4df9-aa00-b7f5187e366a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:9:\"node.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:7:\"comment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:12:\"node.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6fc15e30-a3fc-4891-b64c-76364b4468ee\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:12:\"node.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"comment_forum\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.comment_forum\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"45c6e113-b684-438c-b44a-74b94c3aa85e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:18:\"node.comment_forum\";s:13:\"\0*\0field_name\";s:13:\"comment_forum\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_category\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.field_category\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:19:\"node.field_category\";s:13:\"\0*\0field_name\";s:14:\"field_category\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_components\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.field_components\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c1b343c-89db-4b14-a5b6-0b94f7e80c2a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.field_components\";s:13:\"\0*\0field_name\";s:16:\"field_components\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:17:\"component_wrapper\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c03a055a-f28b-47f0-a100-adec96658707\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:16:\"node.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"04fa4ba3-2961-4922-a200-e292be5448c1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_tags\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"81ac884e-d9c8-406a-9a1d-29b262c313e8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_video_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.field_video_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"656196f0-e0ae-4388-be00-ad0dd28c612f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.field_video_link\";s:13:\"\0*\0field_name\";s:16:\"field_video_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"simplenews_issue\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.simplenews_issue\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4990045a-0df4-40e5-8436-545f18512a15\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.simplenews_issue\";s:13:\"\0*\0field_name\";s:16:\"simplenews_issue\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"simplenews_issue\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"taxonomy_forums\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.taxonomy_forums\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"036ad012-28b8-484d-8c00-c0e6030f093e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:20:\"node.taxonomy_forums\";s:13:\"\0*\0field_name\";s:15:\"taxonomy_forums\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804013.030,1,'entity_field_info entity_types','572'),('entity_field_storage_definitions:path_alias:en','a:0:{}',-1,1674804012.457,1,'entity_field_info entity_types','572'),('entity_field_storage_definitions:taxonomy_term:en','a:2:{s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"taxonomy_term.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"taxonomy_term.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"forum_container\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"taxonomy_term.forum_container\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"taxonomy_term.forum_container\";s:13:\"\0*\0field_name\";s:15:\"forum_container\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:0;s:9:\"\0*\0locked\";b:1;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.928,1,'entity_field_info entity_types','572'),('entity_field_storage_definitions:user:en','a:1:{s:12:\"user_picture\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"user.user_picture\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8067c901-4997-4726-9a00-d85626469302\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:17:\"user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;}}',-1,1674804012.908,1,'entity_field_info entity_types','572'),('entity_type','a:43:{s:5:\"block\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:5:\"block\";s:8:\"\0*\0class\";s:25:\"Drupal\\block\\Entity\\Block\";s:11:\"\0*\0provider\";s:5:\"block\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:25:\"Drupal\\block\\Entity\\Block\";s:11:\"\0*\0handlers\";a:7:{s:6:\"access\";s:38:\"Drupal\\block\\BlockAccessControlHandler\";s:12:\"view_builder\";s:29:\"Drupal\\block\\BlockViewBuilder\";s:12:\"list_builder\";s:29:\"Drupal\\block\\BlockListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:22:\"Drupal\\block\\BlockForm\";s:6:\"delete\";s:33:\"Drupal\\block\\Form\\BlockDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:70:\"Drupal\\config_translation\\Controller\\ConfigTranslationBlockListBuilder\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:9:\"edit-form\";s:37:\"/admin/structure/block/manage/{block}\";s:6:\"enable\";s:44:\"/admin/structure/block/manage/{block}/enable\";s:7:\"disable\";s:45:\"/admin/structure/block/manage/{block}/disable\";s:27:\"config-translation-overview\";s:47:\"/admin/structure/block/manage/{block}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:12:\"@count block\";s:6:\"plural\";s:13:\"@count blocks\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:17:\"config:block_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:5:\"block\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:5:\"theme\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"theme\";i:2;s:6:\"region\";i:3;s:6:\"weight\";i:4;s:8:\"provider\";i:5;s:6:\"plugin\";i:6;s:8:\"settings\";i:7;s:10:\"visibility\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:18:\"block_content_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:18:\"block_content_type\";s:8:\"\0*\0class\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:11:\"\0*\0handlers\";a:7:{s:4:\"form\";a:4:{s:7:\"default\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:3:\"add\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:4:\"edit\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:6:\"delete\";s:52:\"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm\";}s:14:\"route_provider\";a:2:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";s:11:\"permissions\";s:58:\"Drupal\\user\\Entity\\EntityPermissionsRouteProviderWithCheck\";}s:12:\"list_builder\";s:48:\"Drupal\\block_content\\BlockContentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:9:\"edit-form\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:23:\"entity-permissions-form\";s:76:\"/admin/structure/block/block-content/manage/{block_content_type}/permissions\";s:10:\"collection\";s:42:\"/admin/structure/block/block-content/types\";s:27:\"config-translation-overview\";s:74:\"/admin/structure/block/block-content/manage/{block_content_type}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"block_content\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"custom block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:24:\"@count custom block type\";s:6:\"plural\";s:25:\"@count custom block types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:30:\"config:block_content_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:18:\"block_content_type\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:8:\"revision\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:13:\"block_content\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:13:\"block_content\";s:8:\"\0*\0class\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:0;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:4:\"info\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:6:\"access\";s:53:\"Drupal\\block_content\\BlockContentAccessControlHandler\";s:12:\"list_builder\";s:44:\"Drupal\\block_content\\BlockContentListBuilder\";s:12:\"view_builder\";s:44:\"Drupal\\block_content\\BlockContentViewBuilder\";s:10:\"views_data\";s:42:\"Drupal\\block_content\\BlockContentViewsData\";s:4:\"form\";a:5:{s:3:\"add\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:4:\"edit\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:6:\"delete\";s:48:\"Drupal\\block_content\\Form\\BlockContentDeleteForm\";s:7:\"default\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:51:\"Drupal\\block_content\\BlockContentTranslationHandler\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:9:{s:9:\"canonical\";s:22:\"/block/{block_content}\";s:11:\"delete-form\";s:29:\"/block/{block_content}/delete\";s:9:\"edit-form\";s:22:\"/block/{block_content}\";s:10:\"collection\";s:36:\"/admin/structure/block/block-content\";s:6:\"create\";s:6:\"/block\";s:35:\"drupal:content-translation-overview\";s:35:\"/block/{block_content}/translations\";s:30:\"drupal:content-translation-add\";s:57:\"/block/{block_content}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:51:\"/block/{block_content}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:53:\"/block/{block_content}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:18:\"block_content_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:13:\"block_content\";s:22:\"\0*\0revision_data_table\";s:28:\"block_content_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"block_content_revision\";s:13:\"\0*\0data_table\";s:24:\"block_content_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Custom blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"custom blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count custom block\";s:6:\"plural\";s:20:\"@count custom blocks\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:35:\"entity.block_content_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"block_content_list\";}s:14:\"\0*\0constraints\";a:3:{s:26:\"EntityUntranslatableFields\";N;s:25:\"BlockContentEntityChanged\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:11:\"translation\";a:2:{s:13:\"block_content\";b:1;s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}s:10:\"token_type\";s:13:\"block_content\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}}s:12:\"comment_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:12:\"comment_type\";s:8:\"\0*\0class\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:11:\"\0*\0provider\";s:7:\"comment\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:11:\"\0*\0handlers\";a:7:{s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:3:\"add\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:4:\"edit\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:6:\"delete\";s:41:\"Drupal\\comment\\Form\\CommentTypeDeleteForm\";}s:14:\"route_provider\";a:1:{s:11:\"permissions\";s:58:\"Drupal\\user\\Entity\\EntityPermissionsRouteProviderWithCheck\";}s:12:\"list_builder\";s:37:\"Drupal\\comment\\CommentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer comment types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:11:\"delete-form\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:8:\"add-form\";s:34:\"/admin/structure/comment/types/add\";s:23:\"entity-permissions-form\";s:58:\"/admin/structure/comment/manage/{comment_type}/permissions\";s:10:\"collection\";s:24:\"/admin/structure/comment\";s:27:\"config-translation-overview\";s:56:\"/admin/structure/comment/manage/{comment_type}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:7:\"comment\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"comment types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count comment type\";s:6:\"plural\";s:20:\"@count comment types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:comment_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"comment_type\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:21:\"target_entity_type_id\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:7:\"comment\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:7:\"comment\";s:8:\"\0*\0class\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0provider\";s:7:\"comment\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:3:\"cid\";s:6:\"bundle\";s:12:\"comment_type\";s:5:\"label\";s:7:\"subject\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0handlers\";a:10:{s:7:\"storage\";s:29:\"Drupal\\comment\\CommentStorage\";s:14:\"storage_schema\";s:35:\"Drupal\\comment\\CommentStorageSchema\";s:6:\"access\";s:42:\"Drupal\\comment\\CommentAccessControlHandler\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:12:\"view_builder\";s:33:\"Drupal\\comment\\CommentViewBuilder\";s:10:\"views_data\";s:31:\"Drupal\\comment\\CommentViewsData\";s:4:\"form\";a:3:{s:7:\"default\";s:26:\"Drupal\\comment\\CommentForm\";s:6:\"delete\";s:30:\"Drupal\\comment\\Form\\DeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:40:\"Drupal\\comment\\CommentTranslationHandler\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:9:{s:9:\"canonical\";s:18:\"/comment/{comment}\";s:11:\"delete-form\";s:25:\"/comment/{comment}/delete\";s:20:\"delete-multiple-form\";s:29:\"/admin/content/comment/delete\";s:9:\"edit-form\";s:23:\"/comment/{comment}/edit\";s:6:\"create\";s:8:\"/comment\";s:35:\"drupal:content-translation-overview\";s:31:\"/comment/{comment}/translations\";s:30:\"drupal:content-translation-add\";s:53:\"/comment/{comment}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:47:\"/comment/{comment}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:49:\"/comment/{comment}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:12:\"comment_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:7:\"comment\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:18:\"comment_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:14:\"@count comment\";s:6:\"plural\";s:15:\"@count comments\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";s:11:\"comment_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.comment_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:12:\"comment_list\";}s:14:\"\0*\0constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:7:\"comment\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:14:\"component_item\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:14:\"component_item\";s:8:\"\0*\0class\";s:45:\"Drupal\\component_builder\\Entity\\ComponentItem\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:11:{s:2:\"id\";s:17:\"component_item_id\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:11:\"admin_title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:3:\"uid\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:45:\"Drupal\\component_builder\\Entity\\ComponentItem\";s:11:\"\0*\0handlers\";a:13:{s:6:\"access\";s:40:\"Drupal\\entity\\EntityAccessControlHandler\";s:12:\"query_access\";s:44:\"Drupal\\entity\\QueryAccess\\QueryAccessHandler\";s:19:\"permission_provider\";s:38:\"Drupal\\entity\\EntityPermissionProvider\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:49:\"Drupal\\component_builder\\ComponentItemListBuilder\";s:10:\"views_data\";s:28:\"Drupal\\views\\EntityViewsData\";s:10:\"moderation\";s:40:\"Drupal\\content_moderation\\Entity\\Handler\";s:4:\"form\";a:5:{s:7:\"default\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:3:\"add\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:4:\"edit\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"inline_form\";s:53:\"Drupal\\component_builder\\Form\\ComponentItemInlineForm\";s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:2:{s:7:\"default\";s:44:\"Drupal\\entity\\Routing\\AdminHtmlRouteProvider\";s:15:\"delete-multiple\";s:49:\"Drupal\\entity\\Routing\\DeleteMultipleRouteProvider\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:25:\"administer component_item\";s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:11:{s:9:\"canonical\";s:32:\"/component-item/{component_item}\";s:8:\"add-page\";s:35:\"/admin/structure/component-item/add\";s:8:\"add-form\";s:57:\"/admin/structure/component-item/add/{component_item_type}\";s:9:\"edit-form\";s:53:\"/admin/structure/component-item/{component_item}/edit\";s:11:\"delete-form\";s:55:\"/admin/structure/component-item/{component_item}/delete\";s:20:\"delete-multiple-form\";s:38:\"/admin/structure/component-item/delete\";s:10:\"collection\";s:32:\"/admin/structure/component-items\";s:35:\"drupal:content-translation-overview\";s:45:\"/component-item/{component_item}/translations\";s:30:\"drupal:content-translation-add\";s:67:\"/component-item/{component_item}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:61:\"/component-item/{component_item}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:63:\"/component-item/{component_item}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:19:\"component_item_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:14:\"component_item\";s:22:\"\0*\0revision_data_table\";s:29:\"component_item_field_revision\";s:17:\"\0*\0revision_table\";s:23:\"component_item_revision\";s:13:\"\0*\0data_table\";s:25:\"component_item_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Component Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:21:\"@count Component Item\";s:6:\"plural\";s:22:\"@count Component Items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:36:\"entity.component_item_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:19:\"component_item_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:14:\"component_item\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:19:\"component_item_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"component_item_type\";s:8:\"\0*\0class\";s:49:\"Drupal\\component_builder\\Entity\\ComponentItemType\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:49:\"Drupal\\component_builder\\Entity\\ComponentItemType\";s:11:\"\0*\0handlers\";a:8:{s:6:\"access\";s:46:\"Drupal\\entity\\BundleEntityAccessControlHandler\";s:12:\"list_builder\";s:53:\"Drupal\\component_builder\\ComponentItemTypeListBuilder\";s:4:\"form\";a:4:{s:3:\"add\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:4:\"edit\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:9:\"duplicate\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:1:{s:7:\"default\";s:46:\"Drupal\\entity\\Routing\\DefaultHtmlRouteProvider\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:30:\"administer component_item_type\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:41:\"/admin/structure/component-item/types/add\";s:9:\"edit-form\";s:64:\"/admin/structure/component-item/types/{component_item_type}/edit\";s:14:\"duplicate-form\";s:69:\"/admin/structure/component-item/types/{component_item_type}/duplicate\";s:11:\"delete-form\";s:66:\"/admin/structure/component-item/types/{component_item_type}/delete\";s:10:\"collection\";s:37:\"/admin/structure/component-item/types\";s:27:\"config-translation-overview\";s:74:\"/admin/structure/component-item/types/{component_item_type}/edit/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:14:\"component_item\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:26:\"@count Component Item type\";s:6:\"plural\";s:27:\"@count Component Item types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:component_item_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"component_item_type\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:19:\"component_item_type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:17:\"component_wrapper\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:17:\"component_wrapper\";s:8:\"\0*\0class\";s:48:\"Drupal\\component_builder\\Entity\\ComponentWrapper\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:11:{s:2:\"id\";s:20:\"component_wrapper_id\";s:8:\"revision\";s:3:\"vid\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:3:\"uid\";s:3:\"uid\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:48:\"Drupal\\component_builder\\Entity\\ComponentWrapper\";s:11:\"\0*\0handlers\";a:13:{s:6:\"access\";s:40:\"Drupal\\entity\\EntityAccessControlHandler\";s:12:\"query_access\";s:44:\"Drupal\\entity\\QueryAccess\\QueryAccessHandler\";s:19:\"permission_provider\";s:38:\"Drupal\\entity\\EntityPermissionProvider\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:52:\"Drupal\\component_builder\\ComponentWrapperListBuilder\";s:10:\"views_data\";s:28:\"Drupal\\views\\EntityViewsData\";s:10:\"moderation\";s:40:\"Drupal\\content_moderation\\Entity\\Handler\";s:4:\"form\";a:5:{s:7:\"default\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:3:\"add\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:4:\"edit\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"inline_form\";s:56:\"Drupal\\component_builder\\Form\\ComponentWrapperInlineForm\";s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:2:{s:7:\"default\";s:44:\"Drupal\\entity\\Routing\\AdminHtmlRouteProvider\";s:15:\"delete-multiple\";s:49:\"Drupal\\entity\\Routing\\DeleteMultipleRouteProvider\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:28:\"administer component_wrapper\";s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:10:{s:9:\"canonical\";s:38:\"/component-wrapper/{component_wrapper}\";s:8:\"add-form\";s:38:\"/admin/structure/component-wrapper/add\";s:9:\"edit-form\";s:59:\"/admin/structure/component-wrapper/{component_wrapper}/edit\";s:11:\"delete-form\";s:61:\"/admin/structure/component-wrapper/{component_wrapper}/delete\";s:20:\"delete-multiple-form\";s:41:\"/admin/structure/component-wrapper/delete\";s:10:\"collection\";s:35:\"/admin/structure/component-wrappers\";s:35:\"drupal:content-translation-overview\";s:51:\"/component-wrapper/{component_wrapper}/translations\";s:30:\"drupal:content-translation-add\";s:73:\"/component-wrapper/{component_wrapper}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:67:\"/component-wrapper/{component_wrapper}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:69:\"/component-wrapper/{component_wrapper}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Component Wrapper type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:17:\"component_wrapper\";s:22:\"\0*\0revision_data_table\";s:32:\"component_wrapper_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"component_wrapper_revision\";s:13:\"\0*\0data_table\";s:28:\"component_wrapper_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Components\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Component\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Components\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:24:\"@count Component Wrapper\";s:6:\"plural\";s:25:\"@count Component Wrappers\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:33:\"entity.component_wrapper.settings\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"component_wrapper_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:17:\"component_wrapper\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:15:\"contact_message\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:15:\"contact_message\";s:8:\"\0*\0class\";s:29:\"Drupal\\contact\\Entity\\Message\";s:11:\"\0*\0provider\";s:7:\"contact\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:6:\"bundle\";s:12:\"contact_form\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:29:\"Drupal\\contact\\Entity\\Message\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:49:\"Drupal\\contact\\ContactMessageAccessControlHandler\";s:7:\"storage\";s:43:\"Drupal\\Core\\Entity\\ContentEntityNullStorage\";s:12:\"view_builder\";s:33:\"Drupal\\contact\\MessageViewBuilder\";s:4:\"form\";a:1:{s:7:\"default\";s:26:\"Drupal\\contact\\MessageForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";s:12:\"contact_form\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Contact messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"contact messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:22:\"@count contact message\";s:6:\"plural\";s:23:\"@count contact messages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.contact_form.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:20:\"contact_message_list\";}s:14:\"\0*\0constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:15:\"contact_message\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:12:\"contact_form\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:12:\"contact_form\";s:8:\"\0*\0class\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:11:\"\0*\0provider\";s:7:\"contact\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:11:\"\0*\0handlers\";a:7:{s:6:\"access\";s:46:\"Drupal\\contact\\ContactFormAccessControlHandler\";s:12:\"list_builder\";s:37:\"Drupal\\contact\\ContactFormListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:4:\"edit\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:14:\"route_provider\";a:1:{s:11:\"permissions\";s:58:\"Drupal\\user\\Entity\\EntityPermissionsRouteProviderWithCheck\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:11:\"delete-form\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:23:\"entity-permissions-form\";s:58:\"/admin/structure/contact/manage/{contact_form}/permissions\";s:10:\"collection\";s:24:\"/admin/structure/contact\";s:9:\"canonical\";s:23:\"/contact/{contact_form}\";s:27:\"config-translation-overview\";s:56:\"/admin/structure/contact/manage/{contact_form}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:15:\"contact_message\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count contact form\";s:6:\"plural\";s:20:\"@count contact forms\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:contact_form_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"contact_form\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"form\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:10:\"recipients\";i:3;s:5:\"reply\";i:4;s:6:\"weight\";i:5;s:7:\"message\";i:6;s:8:\"redirect\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:6:\"editor\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:6:\"editor\";s:8:\"\0*\0class\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:11:\"\0*\0provider\";s:6:\"editor\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:6:\"format\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:40:\"Drupal\\editor\\EditorAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text Editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"text editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"text editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count text editor\";s:6:\"plural\";s:19:\"@count text editors\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:editor_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:6:\"editor\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:6:\"format\";i:1;s:6:\"editor\";i:2;s:8:\"settings\";i:3;s:12:\"image_upload\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:20:\"field_storage_config\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:20:\"field_storage_config\";s:8:\"\0*\0class\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:11:\"\0*\0provider\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:51:\"Drupal\\field\\FieldStorageConfigAccessControlHandler\";s:7:\"storage\";s:38:\"Drupal\\field\\FieldStorageConfigStorage\";s:4:\"form\";a:1:{s:4:\"edit\";s:47:\"Drupal\\field_ui\\Form\\FieldStorageConfigEditForm\";}s:12:\"list_builder\";s:45:\"Drupal\\field_ui\\FieldStorageConfigListBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:1:{s:10:\"collection\";s:21:\"/admin/reports/fields\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field storages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"field storages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:20:\"@count field storage\";s:6:\"plural\";s:21:\"@count field storages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:32:\"config:field_storage_config_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:20:\"field_storage_config\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:7:\"storage\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:4:\"type\";i:4;s:8:\"settings\";i:5;s:6:\"module\";i:6;s:6:\"locked\";i:7;s:11:\"cardinality\";i:8;s:12:\"translatable\";i:9;s:7:\"indexes\";i:10;s:22:\"persist_with_no_fields\";i:11;s:14:\"custom_storage\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:12:\"field_config\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:12:\"field_config\";s:8:\"\0*\0class\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:11:\"\0*\0provider\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:44:\"Drupal\\field\\FieldConfigAccessControlHandler\";s:7:\"storage\";s:31:\"Drupal\\field\\FieldConfigStorage\";s:4:\"form\";a:2:{s:4:\"edit\";s:40:\"Drupal\\field_ui\\Form\\FieldConfigEditForm\";s:6:\"delete\";s:42:\"Drupal\\field_ui\\Form\\FieldConfigDeleteForm\";}s:12:\"list_builder\";s:38:\"Drupal\\field_ui\\FieldConfigListBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:70:\"Drupal\\config_translation\\Controller\\ConfigTranslationFieldListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:1:{s:27:\"config-translation-overview\";s:10:\"/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:12:\"@count field\";s:6:\"plural\";s:13:\"@count fields\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:field_config_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"field_config\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:5:\"field\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:4:\"file\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:4:\"file\";s:8:\"\0*\0class\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0provider\";s:4:\"file\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"fid\";s:5:\"label\";s:8:\"filename\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:5:\"owner\";s:3:\"uid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:23:\"Drupal\\file\\FileStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\file\\FileStorageSchema\";s:6:\"access\";s:36:\"Drupal\\file\\FileAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\file\\FileViewsData\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:12:\"file_managed\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"file\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count file\";s:6:\"plural\";s:12:\"@count files\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"file_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"file\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:13:\"filter_format\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:13:\"filter_format\";s:8:\"\0*\0class\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:11:\"\0*\0provider\";s:6:\"filter\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:6:\"format\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:11:\"\0*\0handlers\";a:6:{s:4:\"form\";a:3:{s:3:\"add\";s:33:\"Drupal\\filter\\FilterFormatAddForm\";s:4:\"edit\";s:34:\"Drupal\\filter\\FilterFormatEditForm\";s:7:\"disable\";s:36:\"Drupal\\filter\\Form\\FilterDisableForm\";}s:12:\"list_builder\";s:37:\"Drupal\\filter\\FilterFormatListBuilder\";s:6:\"access\";s:46:\"Drupal\\filter\\FilterFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:18:\"administer filters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:7:\"disable\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";s:27:\"config-translation-overview\";s:62:\"/admin/config/content/formats/manage/{filter_format}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"text formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count text format\";s:6:\"plural\";s:19:\"@count text formats\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:25:\"config:filter_format_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:13:\"filter_format\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:6:\"format\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:6:\"format\";i:2;s:6:\"weight\";i:3;s:5:\"roles\";i:4;s:7:\"filters\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:11:\"image_style\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:11:\"image_style\";s:8:\"\0*\0class\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:11:\"\0*\0provider\";s:5:\"image\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:11:\"\0*\0handlers\";a:6:{s:4:\"form\";a:4:{s:3:\"add\";s:35:\"Drupal\\image\\Form\\ImageStyleAddForm\";s:4:\"edit\";s:36:\"Drupal\\image\\Form\\ImageStyleEditForm\";s:6:\"delete\";s:38:\"Drupal\\image\\Form\\ImageStyleDeleteForm\";s:5:\"flush\";s:37:\"Drupal\\image\\Form\\ImageStyleFlushForm\";}s:12:\"list_builder\";s:34:\"Drupal\\image\\ImageStyleListBuilder\";s:7:\"storage\";s:30:\"Drupal\\image\\ImageStyleStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:23:\"administer image styles\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:10:\"flush-form\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:9:\"edit-form\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:11:\"delete-form\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:10:\"collection\";s:32:\"/admin/config/media/image-styles\";s:27:\"config-translation-overview\";s:63:\"/admin/config/media/image-styles/manage/{image_style}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count image style\";s:6:\"plural\";s:19:\"@count image styles\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:image_style_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"image_style\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:5:\"style\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"label\";i:2;s:7:\"effects\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:25:\"language_content_settings\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:25:\"language_content_settings\";s:8:\"\0*\0class\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:11:\"\0*\0provider\";s:8:\"language\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"content language setting\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"content languages settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:31:\"@count content language setting\";s:6:\"plural\";s:33:\"@count content languages settings\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:25:\"language_content_settings\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:16:\"content_settings\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:21:\"target_entity_type_id\";i:2;s:13:\"target_bundle\";i:3;s:16:\"default_langcode\";i:4;s:18:\"language_alterable\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:21:\"configurable_language\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:21:\"configurable_language\";s:8:\"\0*\0class\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:11:\"\0*\0provider\";s:8:\"language\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:11:\"\0*\0handlers\";a:6:{s:12:\"list_builder\";s:35:\"Drupal\\language\\LanguageListBuilder\";s:6:\"access\";s:44:\"Drupal\\language\\LanguageAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\language\\Form\\LanguageAddForm\";s:4:\"edit\";s:37:\"Drupal\\language\\Form\\LanguageEditForm\";s:6:\"delete\";s:39:\"Drupal\\language\\Form\\LanguageDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:9:\"edit-form\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:10:\"collection\";s:31:\"/admin/config/regional/language\";s:27:\"config-translation-overview\";s:70:\"/admin/config/regional/language/edit/{configurable_language}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:15:\"@count language\";s:6:\"plural\";s:16:\"@count languages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:configurable_language_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"configurable_language\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:6:\"entity\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:9:\"direction\";i:3;s:6:\"weight\";i:4;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:4:\"node\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:4:\"node\";s:8:\"\0*\0class\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0provider\";s:4:\"node\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:12:{s:2:\"id\";s:3:\"nid\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"status\";s:6:\"status\";s:9:\"published\";s:6:\"status\";s:3:\"uid\";s:3:\"uid\";s:5:\"owner\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0handlers\";a:11:{s:7:\"storage\";s:23:\"Drupal\\node\\NodeStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\node\\NodeStorageSchema\";s:12:\"view_builder\";s:27:\"Drupal\\node\\NodeViewBuilder\";s:6:\"access\";s:36:\"Drupal\\node\\NodeAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\node\\NodeViewsData\";s:4:\"form\";a:5:{s:7:\"default\";s:20:\"Drupal\\node\\NodeForm\";s:6:\"delete\";s:31:\"Drupal\\node\\Form\\NodeDeleteForm\";s:4:\"edit\";s:20:\"Drupal\\node\\NodeForm\";s:23:\"delete-multiple-confirm\";s:31:\"Drupal\\node\\Form\\DeleteMultiple\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\node\\Entity\\NodeRouteProvider\";}s:12:\"list_builder\";s:27:\"Drupal\\node\\NodeListBuilder\";s:11:\"translation\";s:34:\"Drupal\\node\\NodeTranslationHandler\";s:11:\"inline_form\";s:46:\"\\Drupal\\inline_entity_form\\Form\\NodeInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:11:{s:9:\"canonical\";s:12:\"/node/{node}\";s:11:\"delete-form\";s:19:\"/node/{node}/delete\";s:20:\"delete-multiple-form\";s:26:\"/admin/content/node/delete\";s:9:\"edit-form\";s:17:\"/node/{node}/edit\";s:15:\"version-history\";s:22:\"/node/{node}/revisions\";s:8:\"revision\";s:43:\"/node/{node}/revisions/{node_revision}/view\";s:6:\"create\";s:5:\"/node\";s:35:\"drupal:content-translation-overview\";s:25:\"/node/{node}/translations\";s:30:\"drupal:content-translation-add\";s:47:\"/node/{node}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:41:\"/node/{node}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:43:\"/node/{node}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:9:\"node_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:4:\"node\";s:22:\"\0*\0revision_data_table\";s:19:\"node_field_revision\";s:17:\"\0*\0revision_table\";s:13:\"node_revision\";s:13:\"\0*\0data_table\";s:15:\"node_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"content items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count content item\";s:6:\"plural\";s:20:\"@count content items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:26:\"entity.node_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"node_list\";}s:14:\"\0*\0constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:4:\"node\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:12:\"revision_uid\";s:16:\"revision_created\";s:18:\"revision_timestamp\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}}s:9:\"node_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:9:\"node_type\";s:8:\"\0*\0class\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:11:\"\0*\0provider\";s:4:\"node\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:11:\"\0*\0handlers\";a:7:{s:6:\"access\";s:40:\"Drupal\\node\\NodeTypeAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:24:\"Drupal\\node\\NodeTypeForm\";s:4:\"edit\";s:24:\"Drupal\\node\\NodeTypeForm\";s:6:\"delete\";s:38:\"Drupal\\node\\Form\\NodeTypeDeleteConfirm\";}s:14:\"route_provider\";a:1:{s:11:\"permissions\";s:49:\"Drupal\\user\\Entity\\EntityPermissionsRouteProvider\";}s:12:\"list_builder\";s:31:\"Drupal\\node\\NodeTypeListBuilder\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer content types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:9:\"edit-form\";s:41:\"/admin/structure/types/manage/{node_type}\";s:11:\"delete-form\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:23:\"entity-permissions-form\";s:53:\"/admin/structure/types/manage/{node_type}/permissions\";s:10:\"collection\";s:22:\"/admin/structure/types\";s:27:\"config-translation-overview\";s:51:\"/admin/structure/types/manage/{node_type}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:4:\"node\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count content type\";s:6:\"plural\";s:20:\"@count content types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:node_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:9:\"node_type\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:4:\"name\";i:1;s:4:\"type\";i:2;s:11:\"description\";i:3;s:4:\"help\";i:4;s:12:\"new_revision\";i:5;s:12:\"preview_mode\";i:6;s:17:\"display_submitted\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:10:\"path_alias\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:10:\"path_alias\";s:8:\"\0*\0class\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0provider\";s:10:\"path_alias\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:34:\"Drupal\\path_alias\\PathAliasStorage\";s:14:\"storage_schema\";s:40:\"Drupal\\path_alias\\PathAliasStorageSchema\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";s:4:\"form\";a:2:{s:7:\"default\";s:25:\"Drupal\\path\\PathAliasForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";}s:12:\"list_builder\";s:32:\"Drupal\\path\\PathAliasListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer url aliases\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"collection\";s:25:\"/admin/config/search/path\";s:8:\"add-form\";s:29:\"/admin/config/search/path/add\";s:9:\"edit-form\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:11:\"delete-form\";s:45:\"/admin/config/search/path/delete/{path_alias}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:10:\"path_alias\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";s:19:\"path_alias_revision\";s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:16:\"@count URL alias\";s:6:\"plural\";s:18:\"@count URL aliases\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:11:\"route_match\";}s:14:\"\0*\0constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:10:\"path_alias\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:11:\"rdf_mapping\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:11:\"rdf_mapping\";s:8:\"\0*\0class\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:11:\"\0*\0provider\";s:3:\"rdf\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"RDF mapping item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"RDF mappings items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:23:\"@count RDF mapping item\";s:6:\"plural\";s:24:\"@count RDF mapping items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:rdf_mapping_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"rdf_mapping\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:7:\"mapping\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:5:\"types\";i:4;s:13:\"fieldMappings\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:11:\"search_page\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:11:\"search_page\";s:8:\"\0*\0class\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:11:\"\0*\0provider\";s:6:\"search\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:44:\"Drupal\\search\\SearchPageAccessControlHandler\";s:12:\"list_builder\";s:35:\"Drupal\\search\\SearchPageListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\search\\Form\\SearchPageAddForm\";s:4:\"edit\";s:37:\"Drupal\\search\\Form\\SearchPageEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:17:\"administer search\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:9:\"edit-form\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:11:\"delete-form\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:6:\"enable\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:7:\"disable\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:11:\"set-default\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:10:\"collection\";s:26:\"/admin/config/search/pages\";s:27:\"config-translation-overview\";s:57:\"/admin/config/search/pages/manage/{search_page}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count search page\";s:6:\"plural\";s:19:\"@count search pages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:search_page_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"search_page\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"page\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"path\";i:3;s:6:\"weight\";i:4;s:6:\"plugin\";i:5;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:12:\"shortcut_set\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:12:\"shortcut_set\";s:8:\"\0*\0class\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:11:\"\0*\0handlers\";a:6:{s:7:\"storage\";s:34:\"Drupal\\shortcut\\ShortcutSetStorage\";s:6:\"access\";s:47:\"Drupal\\shortcut\\ShortcutSetAccessControlHandler\";s:12:\"list_builder\";s:38:\"Drupal\\shortcut\\ShortcutSetListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:3:\"add\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:4:\"edit\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:9:\"customize\";s:33:\"Drupal\\shortcut\\Form\\SetCustomize\";s:6:\"delete\";s:42:\"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:14:\"customize-form\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:11:\"delete-form\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:9:\"edit-form\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:10:\"collection\";s:37:\"/admin/config/user-interface/shortcut\";s:27:\"config-translation-overview\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:8:\"shortcut\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut sets\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"shortcut sets\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count shortcut set\";s:6:\"plural\";s:20:\"@count shortcut sets\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"shortcut_set\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:3:\"set\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:2:{i:0;s:2:\"id\";i:1;s:5:\"label\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:8:\"shortcut\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:8:\"shortcut\";s:8:\"\0*\0class\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:12:\"shortcut_set\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:11:\"\0*\0handlers\";a:7:{s:6:\"access\";s:44:\"Drupal\\shortcut\\ShortcutAccessControlHandler\";s:4:\"form\";a:5:{s:7:\"default\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:3:\"add\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:4:\"edit\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:6:\"delete\";s:39:\"Drupal\\shortcut\\Form\\ShortcutDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:9:\"canonical\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:11:\"delete-form\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:9:\"edit-form\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:35:\"drupal:content-translation-overview\";s:66:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations\";s:30:\"drupal:content-translation-add\";s:88:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:82:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:84:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:12:\"shortcut_set\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:8:\"shortcut\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:19:\"shortcut_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Shortcut links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"shortcut links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:20:\"@count shortcut link\";s:6:\"plural\";s:21:\"@count shortcut links\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:8:\"shortcut\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:21:\"simplenews_newsletter\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:21:\"simplenews_newsletter\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:11:\"\0*\0handlers\";a:6:{s:12:\"list_builder\";s:39:\"Drupal\\simplenews\\NewsletterListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:4:\"edit\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\NewsletterDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer newsletters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:9:\"edit-form\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";s:27:\"config-translation-overview\";s:74:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:simplenews_newsletter_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:10:\"newsletter\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:14:{i:0;s:4:\"name\";i:1;s:2:\"id\";i:2;s:11:\"description\";i:3;s:6:\"format\";i:4;s:8:\"priority\";i:5;s:7:\"receipt\";i:6;s:9:\"from_name\";i:7;s:7:\"subject\";i:8;s:12:\"from_address\";i:9;s:10:\"hyperlinks\";i:10;s:16:\"allowed_handlers\";i:11;s:11:\"new_account\";i:12;s:6:\"access\";i:13;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:21:\"simplenews_subscriber\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:21:\"simplenews_subscriber\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:4:\"uuid\";s:4:\"uuid\";s:5:\"label\";s:4:\"mail\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:11:\"\0*\0handlers\";a:8:{s:7:\"storage\";s:50:\"Drupal\\simplenews\\Subscription\\SubscriptionStorage\";s:6:\"access\";s:48:\"Drupal\\simplenews\\SubscriberAccessControlHandler\";s:4:\"form\";a:6:{s:3:\"add\";s:37:\"Drupal\\simplenews\\Form\\SubscriberForm\";s:7:\"default\";s:37:\"Drupal\\simplenews\\Form\\SubscriberForm\";s:7:\"account\";s:47:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm\";s:5:\"block\";s:45:\"Drupal\\simplenews\\Form\\SubscriptionsBlockForm\";s:4:\"page\";s:44:\"Drupal\\simplenews\\Form\\SubscriptionsPageForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\SubscriberDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:10:\"views_data\";s:37:\"Drupal\\simplenews\\SubscriberViewsData\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";s:35:\"administer simplenews subscriptions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:11:\"delete-form\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:21:\"simplenews_subscriber\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:30:\"simplenews.settings_subscriber\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:26:\"simplenews_subscriber_list\";}s:14:\"\0*\0constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"simplenews-subscriber\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:4:\"menu\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:4:\"menu\";s:8:\"\0*\0class\";s:25:\"Drupal\\system\\Entity\\Menu\";s:11:\"\0*\0provider\";s:6:\"system\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:25:\"Drupal\\system\\Entity\\Menu\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:38:\"Drupal\\system\\MenuAccessControlHandler\";s:7:\"storage\";s:25:\"Drupal\\system\\MenuStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:4:\"form\";a:3:{s:3:\"add\";s:23:\"Drupal\\menu_ui\\MenuForm\";s:4:\"edit\";s:23:\"Drupal\\menu_ui\\MenuForm\";s:6:\"delete\";s:34:\"Drupal\\menu_ui\\Form\\MenuDeleteForm\";}s:12:\"list_builder\";s:30:\"Drupal\\menu_ui\\MenuListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:25:\"/admin/structure/menu/add\";s:11:\"delete-form\";s:42:\"/admin/structure/menu/manage/{menu}/delete\";s:9:\"edit-form\";s:35:\"/admin/structure/menu/manage/{menu}\";s:13:\"add-link-form\";s:39:\"/admin/structure/menu/manage/{menu}/add\";s:10:\"collection\";s:21:\"/admin/structure/menu\";s:27:\"config-translation-overview\";s:45:\"/admin/structure/menu/manage/{menu}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count menu\";s:6:\"plural\";s:12:\"@count menus\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:menu_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"menu\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";i:3;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:6:\"action\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:6:\"action\";s:8:\"\0*\0class\";s:27:\"Drupal\\system\\Entity\\Action\";s:11:\"\0*\0provider\";s:6:\"system\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:27:\"Drupal\\system\\Entity\\Action\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:18:\"administer actions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Actions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"actions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:13:\"@count action\";s:6:\"plural\";s:14:\"@count actions\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:action_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:6:\"action\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:6:\"plugin\";i:4;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:13:\"taxonomy_term\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"tid\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0handlers\";a:10:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:5:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";s:5:\"forum\";s:27:\"Drupal\\forum\\Form\\ForumForm\";s:9:\"container\";s:31:\"Drupal\\forum\\Form\\ContainerForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:11:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";s:6:\"create\";s:14:\"/taxonomy/term\";s:25:\"forum-edit-container-form\";s:53:\"/admin/structure/forum/edit/container/{taxonomy_term}\";s:17:\"forum-delete-form\";s:51:\"/admin/structure/forum/delete/forum/{taxonomy_term}\";s:15:\"forum-edit-form\";s:49:\"/admin/structure/forum/edit/forum/{taxonomy_term}\";s:35:\"drupal:content-translation-overview\";s:43:\"/taxonomy/term/{taxonomy_term}/translations\";s:30:\"drupal:content-translation-add\";s:65:\"/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:59:\"/taxonomy/term/{taxonomy_term}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:61:\"/taxonomy/term/{taxonomy_term}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";s:28:\"taxonomy_term_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"taxonomy_term_revision\";s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:20:\"@count taxonomy term\";s:6:\"plural\";s:21:\"@count taxonomy terms\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:4:\"term\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";s:16:\"revision_default\";s:16:\"revision_default\";}}s:19:\"taxonomy_vocabulary\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"taxonomy_vocabulary\";s:8:\"\0*\0class\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:33:\"Drupal\\taxonomy\\VocabularyStorage\";s:12:\"list_builder\";s:37:\"Drupal\\taxonomy\\VocabularyListBuilder\";s:6:\"access\";s:46:\"Drupal\\taxonomy\\VocabularyAccessControlHandler\";s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\taxonomy\\VocabularyForm\";s:5:\"reset\";s:40:\"Drupal\\taxonomy\\Form\\VocabularyResetForm\";s:6:\"delete\";s:41:\"Drupal\\taxonomy\\Form\\VocabularyDeleteForm\";s:8:\"overview\";s:34:\"Drupal\\taxonomy\\Form\\OverviewTerms\";}s:14:\"route_provider\";a:2:{s:4:\"html\";s:54:\"Drupal\\taxonomy\\Entity\\Routing\\VocabularyRouteProvider\";s:11:\"permissions\";s:49:\"Drupal\\user\\Entity\\EntityPermissionsRouteProvider\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:19:\"administer taxonomy\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:8:{s:8:\"add-form\";s:29:\"/admin/structure/taxonomy/add\";s:11:\"delete-form\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:10:\"reset-form\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:13:\"overview-form\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:9:\"edit-form\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:23:\"entity-permissions-form\";s:75:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions\";s:10:\"collection\";s:25:\"/admin/structure/taxonomy\";s:27:\"config-translation-overview\";s:64:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"taxonomy_term\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Taxonomy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"vocabularies\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:17:\"@count vocabulary\";s:6:\"plural\";s:19:\"@count vocabularies\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:taxonomy_vocabulary_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:10:\"vocabulary\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:10:\"vocabulary\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:4:\"name\";i:1;s:3:\"vid\";i:2;s:11:\"description\";i:3;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:4:\"tour\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:4:\"tour\";s:8:\"\0*\0class\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:11:\"\0*\0provider\";s:4:\"tour\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:11:\"\0*\0handlers\";a:5:{s:12:\"view_builder\";s:27:\"Drupal\\tour\\TourViewBuilder\";s:6:\"access\";s:36:\"Drupal\\tour\\TourAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tours\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"tours\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count tour\";s:6:\"plural\";s:12:\"@count tours\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:tour_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"tour\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:19:\"routes.*.route_name\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:6:\"routes\";i:4;s:4:\"tips\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:4:\"user\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:4:\"user\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\User\";s:11:\"\0*\0provider\";s:4:\"user\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:3:\"uid\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:23:\"Drupal\\user\\Entity\\User\";s:11:\"\0*\0handlers\";a:11:{s:7:\"storage\";s:23:\"Drupal\\user\\UserStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\user\\UserStorageSchema\";s:6:\"access\";s:36:\"Drupal\\user\\UserAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\UserListBuilder\";s:10:\"views_data\";s:25:\"Drupal\\user\\UserViewsData\";s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\user\\Entity\\UserRouteProvider\";}s:4:\"form\";a:4:{s:7:\"default\";s:23:\"Drupal\\user\\ProfileForm\";s:6:\"cancel\";s:31:\"Drupal\\user\\Form\\UserCancelForm\";s:8:\"register\";s:24:\"Drupal\\user\\RegisterForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:37:\"Drupal\\user\\ProfileTranslationHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";}s:19:\"\0*\0admin_permission\";s:16:\"administer users\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:9:{s:9:\"canonical\";s:12:\"/user/{user}\";s:9:\"edit-form\";s:17:\"/user/{user}/edit\";s:11:\"cancel-form\";s:19:\"/user/{user}/cancel\";s:10:\"collection\";s:13:\"/admin/people\";s:12:\"contact-form\";s:20:\"/user/{user}/contact\";s:35:\"drupal:content-translation-overview\";s:25:\"/user/{user}/translations\";s:30:\"drupal:content-translation-add\";s:47:\"/user/{user}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:41:\"/user/{user}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:43:\"/user/{user}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:5:\"users\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:16:\"users_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count user\";s:6:\"plural\";s:12:\"@count users\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:22:\"entity.user.admin_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"user_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:4:\"user\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:9:\"user_role\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:9:\"user_role\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\Role\";s:11:\"\0*\0provider\";s:4:\"user\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:6:\"weight\";s:6:\"weight\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:23:\"Drupal\\user\\Entity\\Role\";s:11:\"\0*\0handlers\";a:6:{s:7:\"storage\";s:23:\"Drupal\\user\\RoleStorage\";s:6:\"access\";s:36:\"Drupal\\user\\RoleAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\RoleListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:20:\"Drupal\\user\\RoleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer permissions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:9:\"edit-form\";s:38:\"/admin/people/roles/manage/{user_role}\";s:21:\"edit-permissions-form\";s:37:\"/admin/people/permissions/{user_role}\";s:10:\"collection\";s:19:\"/admin/people/roles\";s:27:\"config-translation-overview\";s:48:\"/admin/people/roles/manage/{user_role}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count role\";s:6:\"plural\";s:12:\"@count roles\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:user_role_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:9:\"user_role\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"role\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"weight\";i:3;s:8:\"is_admin\";i:4;s:11:\"permissions\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:17:\"menu_link_content\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:9:\"published\";s:7:\"enabled\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:48:\"\\Drupal\\menu_link_content\\MenuLinkContentStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:3:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:12:\"query_access\";s:53:\"Drupal\\entity\\QueryAccess\\EventOnlyQueryAccessHandler\";s:10:\"moderation\";s:0:\"\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";s:35:\"drupal:content-translation-overview\";s:64:\"/admin/structure/menu/item/{menu_link_content}/edit/translations\";s:30:\"drupal:content-translation-add\";s:86:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:80:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:82:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";s:32:\"menu_link_content_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"menu_link_content_revision\";s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom menu links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"custom menu links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:23:\"@count custom menu link\";s:6:\"plural\";s:24:\"@count custom menu links\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:4:{s:17:\"MenuTreeHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:17:\"menu_link_content\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";s:16:\"revision_default\";s:16:\"revision_default\";}}s:16:\"pathauto_pattern\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:16:\"pathauto_pattern\";s:8:\"\0*\0class\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:11:\"\0*\0provider\";s:8:\"pathauto\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:11:\"\0*\0handlers\";a:7:{s:12:\"list_builder\";s:42:\"Drupal\\pathauto\\PathautoPatternListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:36:\"Drupal\\pathauto\\Form\\PatternEditForm\";s:9:\"duplicate\";s:41:\"Drupal\\pathauto\\Form\\PatternDuplicateForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:6:\"enable\";s:38:\"Drupal\\pathauto\\Form\\PatternEnableForm\";s:7:\"disable\";s:39:\"Drupal\\pathauto\\Form\\PatternDisableForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:51:\"Drupal\\Core\\Entity\\Routing\\DefaultHtmlRouteProvider\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:19:\"administer pathauto\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:10:\"collection\";s:34:\"/admin/config/search/path/patterns\";s:9:\"edit-form\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:11:\"delete-form\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:6:\"enable\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:7:\"disable\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";s:14:\"duplicate-form\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/duplicate\";s:27:\"config-translation-overview\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:pathauto_pattern_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"pathauto_pattern\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:7:\"pattern\";s:14:\"\0*\0lookup_keys\";a:3:{i:0;s:4:\"type\";i:1;s:6:\"status\";i:2;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:7:\"pattern\";i:4;s:18:\"selection_criteria\";i:5;s:15:\"selection_logic\";i:6;s:6:\"weight\";i:7;s:13:\"relationships\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:4:\"view\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:4:\"view\";s:8:\"\0*\0class\";s:24:\"Drupal\\views\\Entity\\View\";s:11:\"\0*\0provider\";s:5:\"views\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:24:\"Drupal\\views\\Entity\\View\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:4:\"form\";a:6:{s:4:\"edit\";s:28:\"Drupal\\views_ui\\ViewEditForm\";s:3:\"add\";s:27:\"Drupal\\views_ui\\ViewAddForm\";s:7:\"preview\";s:31:\"Drupal\\views_ui\\ViewPreviewForm\";s:9:\"duplicate\";s:33:\"Drupal\\views_ui\\ViewDuplicateForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:10:\"break_lock\";s:34:\"Drupal\\views_ui\\Form\\BreakLockForm\";}s:12:\"list_builder\";s:31:\"Drupal\\views_ui\\ViewListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:16:\"administer views\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:10:{s:9:\"edit-form\";s:34:\"/admin/structure/views/view/{view}\";s:17:\"edit-display-form\";s:52:\"/admin/structure/views/view/{view}/edit/{display_id}\";s:12:\"preview-form\";s:55:\"/admin/structure/views/view/{view}/preview/{display_id}\";s:14:\"duplicate-form\";s:44:\"/admin/structure/views/view/{view}/duplicate\";s:11:\"delete-form\";s:41:\"/admin/structure/views/view/{view}/delete\";s:6:\"enable\";s:41:\"/admin/structure/views/view/{view}/enable\";s:7:\"disable\";s:42:\"/admin/structure/views/view/{view}/disable\";s:15:\"break-lock-form\";s:45:\"/admin/structure/views/view/{view}/break-lock\";s:10:\"collection\";s:22:\"/admin/structure/views\";s:27:\"config-translation-overview\";s:44:\"/admin/structure/views/view/{view}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count view\";s:6:\"plural\";s:12:\"@count views\";s:7:\"context\";s:16:\"View entity type\";}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:view_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"view\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:11:\"description\";i:4;s:3:\"tag\";i:5;s:10:\"base_table\";i:6;s:10:\"base_field\";i:7;s:7:\"display\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:11:\"date_format\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:11:\"date_format\";s:8:\"\0*\0class\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:44:\"Drupal\\system\\DateFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\system\\Form\\DateFormatAddForm\";s:4:\"edit\";s:37:\"Drupal\\system\\Form\\DateFormatEditForm\";s:6:\"delete\";s:39:\"Drupal\\system\\Form\\DateFormatDeleteForm\";}s:12:\"list_builder\";s:35:\"Drupal\\system\\DateFormatListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"edit-form\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:11:\"delete-form\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:10:\"collection\";s:40:\"/admin/config/regional/date-time/formats\";s:27:\"config-translation-overview\";s:71:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"date_format\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"locked\";i:3;s:7:\"pattern\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:16:\"entity_form_mode\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:16:\"entity_form_mode\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:12:\"list_builder\";s:41:\"Drupal\\field_ui\\EntityFormModeListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:42:\"Drupal\\field_ui\\Form\\EntityFormModeAddForm\";s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityDisplayModeEditForm\";s:6:\"delete\";s:48:\"Drupal\\field_ui\\Form\\EntityDisplayModeDeleteForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer display modes\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:68:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/delete\";s:9:\"edit-form\";s:61:\"/admin/structure/display-modes/form/manage/{entity_form_mode}\";s:8:\"add-form\";s:56:\"/admin/structure/display-modes/form/add/{entity_type_id}\";s:10:\"collection\";s:35:\"/admin/structure/display-modes/form\";s:27:\"config-translation-overview\";s:71:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_form_mode_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"entity_form_mode\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:16:\"entity_view_mode\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:16:\"entity_view_mode\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:12:\"list_builder\";s:44:\"Drupal\\field_ui\\EntityDisplayModeListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:45:\"Drupal\\field_ui\\Form\\EntityDisplayModeAddForm\";s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityDisplayModeEditForm\";s:6:\"delete\";s:48:\"Drupal\\field_ui\\Form\\EntityDisplayModeDeleteForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer display modes\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:68:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/delete\";s:9:\"edit-form\";s:61:\"/admin/structure/display-modes/view/manage/{entity_view_mode}\";s:8:\"add-form\";s:56:\"/admin/structure/display-modes/view/add/{entity_type_id}\";s:10:\"collection\";s:35:\"/admin/structure/display-modes/view\";s:27:\"config-translation-overview\";s:71:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_view_mode_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"entity_view_mode\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:19:\"entity_view_display\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"entity_view_display\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:71:\"\\Drupal\\Core\\Entity\\Entity\\Access\\EntityViewDisplayAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:1:{s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityViewDisplayEditForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"entity_view_display\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:19:\"entity_form_display\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"entity_form_display\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:71:\"\\Drupal\\Core\\Entity\\Entity\\Access\\EntityFormDisplayAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:1:{s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityFormDisplayEditForm\";}s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"entity_form_display\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:19:\"base_field_override\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"base_field_override\";s:8:\"\0*\0class\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:42:\"Drupal\\Core\\Field\\BaseFieldOverrideStorage\";s:6:\"access\";s:55:\"Drupal\\Core\\Field\\BaseFieldOverrideAccessControlHandler\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:base_field_override_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"base_field_override\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:19:\"base_field_override\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}}',-1,1674804011.289,1,'entity_types','162');
INSERT INTO `cache_discovery` VALUES ('entity_type_definitions.installed','a:43:{s:6:\"action\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:6:\"action\";s:8:\"\0*\0class\";s:27:\"Drupal\\system\\Entity\\Action\";s:11:\"\0*\0provider\";s:6:\"system\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:18:\"administer actions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:action_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:6:\"plugin\";i:4;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:19:\"base_field_override\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:19:\"base_field_override\";s:8:\"\0*\0class\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:7:\"storage\";s:42:\"Drupal\\Core\\Field\\BaseFieldOverrideStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:base_field_override_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:19:\"base_field_override\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:5:\"block\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:5:\"block\";s:8:\"\0*\0class\";s:25:\"Drupal\\block\\Entity\\Block\";s:11:\"\0*\0provider\";s:5:\"block\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:38:\"Drupal\\block\\BlockAccessControlHandler\";s:12:\"view_builder\";s:29:\"Drupal\\block\\BlockViewBuilder\";s:12:\"list_builder\";s:29:\"Drupal\\block\\BlockListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:22:\"Drupal\\block\\BlockForm\";s:6:\"delete\";s:33:\"Drupal\\block\\Form\\BlockDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:11:\"delete-form\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:9:\"edit-form\";s:37:\"/admin/structure/block/manage/{block}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:17:\"config:block_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:5:\"theme\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"theme\";i:2;s:6:\"region\";i:3;s:6:\"weight\";i:4;s:8:\"provider\";i:5;s:6:\"plugin\";i:6;s:8:\"settings\";i:7;s:10:\"visibility\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:13:\"block_content\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:13:\"block_content\";s:8:\"\0*\0class\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:0;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:4:\"info\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:6:\"access\";s:53:\"Drupal\\block_content\\BlockContentAccessControlHandler\";s:12:\"list_builder\";s:44:\"Drupal\\block_content\\BlockContentListBuilder\";s:12:\"view_builder\";s:44:\"Drupal\\block_content\\BlockContentViewBuilder\";s:10:\"views_data\";s:42:\"Drupal\\block_content\\BlockContentViewsData\";s:4:\"form\";a:4:{s:3:\"add\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:4:\"edit\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:6:\"delete\";s:48:\"Drupal\\block_content\\Form\\BlockContentDeleteForm\";s:7:\"default\";s:37:\"Drupal\\block_content\\BlockContentForm\";}s:11:\"translation\";s:51:\"Drupal\\block_content\\BlockContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"canonical\";s:22:\"/block/{block_content}\";s:11:\"delete-form\";s:29:\"/block/{block_content}/delete\";s:9:\"edit-form\";s:22:\"/block/{block_content}\";s:10:\"collection\";s:36:\"/admin/structure/block/block-content\";}s:21:\"\0*\0bundle_entity_type\";s:18:\"block_content_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:13:\"block_content\";s:22:\"\0*\0revision_data_table\";s:28:\"block_content_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"block_content_revision\";s:13:\"\0*\0data_table\";s:24:\"block_content_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:35:\"entity.block_content_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"block_content_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}}s:18:\"block_content_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:18:\"block_content_type\";s:8:\"\0*\0class\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:7:\"default\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:3:\"add\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:4:\"edit\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:6:\"delete\";s:52:\"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm\";}s:12:\"list_builder\";s:48:\"Drupal\\block_content\\BlockContentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:9:\"edit-form\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:10:\"collection\";s:42:\"/admin/structure/block/block-content/types\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"block_content\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:30:\"config:block_content_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:8:\"revision\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:7:\"comment\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:7:\"comment\";s:8:\"\0*\0class\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0provider\";s:7:\"comment\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:3:\"cid\";s:6:\"bundle\";s:12:\"comment_type\";s:5:\"label\";s:7:\"subject\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:8:{s:7:\"storage\";s:29:\"Drupal\\comment\\CommentStorage\";s:14:\"storage_schema\";s:35:\"Drupal\\comment\\CommentStorageSchema\";s:6:\"access\";s:42:\"Drupal\\comment\\CommentAccessControlHandler\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:12:\"view_builder\";s:33:\"Drupal\\comment\\CommentViewBuilder\";s:10:\"views_data\";s:31:\"Drupal\\comment\\CommentViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:26:\"Drupal\\comment\\CommentForm\";s:6:\"delete\";s:30:\"Drupal\\comment\\Form\\DeleteForm\";}s:11:\"translation\";s:40:\"Drupal\\comment\\CommentTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:18:\"/comment/{comment}\";s:11:\"delete-form\";s:25:\"/comment/{comment}/delete\";s:9:\"edit-form\";s:23:\"/comment/{comment}/edit\";}s:21:\"\0*\0bundle_entity_type\";s:12:\"comment_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:7:\"comment\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:18:\"comment_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:11:\"comment_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.comment_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:12:\"comment_list\";}s:14:\"\0*\0constraints\";a:3:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:12:\"comment_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:12:\"comment_type\";s:8:\"\0*\0class\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:11:\"\0*\0provider\";s:7:\"comment\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:3:\"add\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:4:\"edit\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:6:\"delete\";s:41:\"Drupal\\comment\\Form\\CommentTypeDeleteForm\";}s:12:\"list_builder\";s:37:\"Drupal\\comment\\CommentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer comment types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:8:\"add-form\";s:34:\"/admin/structure/comment/types/add\";s:10:\"collection\";s:30:\"/admin/structure/comment/types\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:7:\"comment\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:comment_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:21:\"target_entity_type_id\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:14:\"component_item\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:14:\"component_item\";s:8:\"\0*\0class\";s:45:\"Drupal\\component_builder\\Entity\\ComponentItem\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:11:{s:2:\"id\";s:17:\"component_item_id\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:11:\"admin_title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:3:\"uid\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:45:\"Drupal\\component_builder\\Entity\\ComponentItem\";s:11:\"\0*\0handlers\";a:13:{s:6:\"access\";s:40:\"Drupal\\entity\\EntityAccessControlHandler\";s:12:\"query_access\";s:44:\"Drupal\\entity\\QueryAccess\\QueryAccessHandler\";s:19:\"permission_provider\";s:38:\"Drupal\\entity\\EntityPermissionProvider\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:49:\"Drupal\\component_builder\\ComponentItemListBuilder\";s:10:\"views_data\";s:28:\"Drupal\\views\\EntityViewsData\";s:10:\"moderation\";s:40:\"Drupal\\content_moderation\\Entity\\Handler\";s:4:\"form\";a:5:{s:7:\"default\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:3:\"add\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:4:\"edit\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"inline_form\";s:53:\"Drupal\\component_builder\\Form\\ComponentItemInlineForm\";s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:2:{s:7:\"default\";s:44:\"Drupal\\entity\\Routing\\AdminHtmlRouteProvider\";s:15:\"delete-multiple\";s:49:\"Drupal\\entity\\Routing\\DeleteMultipleRouteProvider\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:25:\"administer component_item\";s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:11:{s:9:\"canonical\";s:32:\"/component-item/{component_item}\";s:8:\"add-page\";s:35:\"/admin/structure/component-item/add\";s:8:\"add-form\";s:57:\"/admin/structure/component-item/add/{component_item_type}\";s:9:\"edit-form\";s:53:\"/admin/structure/component-item/{component_item}/edit\";s:11:\"delete-form\";s:55:\"/admin/structure/component-item/{component_item}/delete\";s:20:\"delete-multiple-form\";s:38:\"/admin/structure/component-item/delete\";s:10:\"collection\";s:32:\"/admin/structure/component-items\";s:35:\"drupal:content-translation-overview\";s:45:\"/component-item/{component_item}/translations\";s:30:\"drupal:content-translation-add\";s:67:\"/component-item/{component_item}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:61:\"/component-item/{component_item}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:63:\"/component-item/{component_item}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:19:\"component_item_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:14:\"component_item\";s:22:\"\0*\0revision_data_table\";s:29:\"component_item_field_revision\";s:17:\"\0*\0revision_table\";s:23:\"component_item_revision\";s:13:\"\0*\0data_table\";s:25:\"component_item_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Component Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:21:\"@count Component Item\";s:6:\"plural\";s:22:\"@count Component Items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:36:\"entity.component_item_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:19:\"component_item_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:14:\"component_item\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:19:\"component_item_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"component_item_type\";s:8:\"\0*\0class\";s:49:\"Drupal\\component_builder\\Entity\\ComponentItemType\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:49:\"Drupal\\component_builder\\Entity\\ComponentItemType\";s:11:\"\0*\0handlers\";a:8:{s:6:\"access\";s:46:\"Drupal\\entity\\BundleEntityAccessControlHandler\";s:12:\"list_builder\";s:53:\"Drupal\\component_builder\\ComponentItemTypeListBuilder\";s:4:\"form\";a:4:{s:3:\"add\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:4:\"edit\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:9:\"duplicate\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:1:{s:7:\"default\";s:46:\"Drupal\\entity\\Routing\\DefaultHtmlRouteProvider\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:30:\"administer component_item_type\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:41:\"/admin/structure/component-item/types/add\";s:9:\"edit-form\";s:64:\"/admin/structure/component-item/types/{component_item_type}/edit\";s:14:\"duplicate-form\";s:69:\"/admin/structure/component-item/types/{component_item_type}/duplicate\";s:11:\"delete-form\";s:66:\"/admin/structure/component-item/types/{component_item_type}/delete\";s:10:\"collection\";s:37:\"/admin/structure/component-item/types\";s:27:\"config-translation-overview\";s:74:\"/admin/structure/component-item/types/{component_item_type}/edit/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:14:\"component_item\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:26:\"@count Component Item type\";s:6:\"plural\";s:27:\"@count Component Item types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:component_item_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"component_item_type\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:19:\"component_item_type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}s:17:\"component_wrapper\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:17:\"component_wrapper\";s:8:\"\0*\0class\";s:48:\"Drupal\\component_builder\\Entity\\ComponentWrapper\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:11:{s:2:\"id\";s:20:\"component_wrapper_id\";s:8:\"revision\";s:3:\"vid\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:3:\"uid\";s:3:\"uid\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:48:\"Drupal\\component_builder\\Entity\\ComponentWrapper\";s:11:\"\0*\0handlers\";a:13:{s:6:\"access\";s:40:\"Drupal\\entity\\EntityAccessControlHandler\";s:12:\"query_access\";s:44:\"Drupal\\entity\\QueryAccess\\QueryAccessHandler\";s:19:\"permission_provider\";s:38:\"Drupal\\entity\\EntityPermissionProvider\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:52:\"Drupal\\component_builder\\ComponentWrapperListBuilder\";s:10:\"views_data\";s:28:\"Drupal\\views\\EntityViewsData\";s:10:\"moderation\";s:40:\"Drupal\\content_moderation\\Entity\\Handler\";s:4:\"form\";a:5:{s:7:\"default\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:3:\"add\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:4:\"edit\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"inline_form\";s:56:\"Drupal\\component_builder\\Form\\ComponentWrapperInlineForm\";s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:2:{s:7:\"default\";s:44:\"Drupal\\entity\\Routing\\AdminHtmlRouteProvider\";s:15:\"delete-multiple\";s:49:\"Drupal\\entity\\Routing\\DeleteMultipleRouteProvider\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:28:\"administer component_wrapper\";s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:10:{s:9:\"canonical\";s:38:\"/component-wrapper/{component_wrapper}\";s:8:\"add-form\";s:38:\"/admin/structure/component-wrapper/add\";s:9:\"edit-form\";s:59:\"/admin/structure/component-wrapper/{component_wrapper}/edit\";s:11:\"delete-form\";s:61:\"/admin/structure/component-wrapper/{component_wrapper}/delete\";s:20:\"delete-multiple-form\";s:41:\"/admin/structure/component-wrapper/delete\";s:10:\"collection\";s:35:\"/admin/structure/component-wrappers\";s:35:\"drupal:content-translation-overview\";s:51:\"/component-wrapper/{component_wrapper}/translations\";s:30:\"drupal:content-translation-add\";s:73:\"/component-wrapper/{component_wrapper}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:67:\"/component-wrapper/{component_wrapper}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:69:\"/component-wrapper/{component_wrapper}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Component Wrapper type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:17:\"component_wrapper\";s:22:\"\0*\0revision_data_table\";s:32:\"component_wrapper_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"component_wrapper_revision\";s:13:\"\0*\0data_table\";s:28:\"component_wrapper_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Components\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Component\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Components\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:24:\"@count Component Wrapper\";s:6:\"plural\";s:25:\"@count Component Wrappers\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:33:\"entity.component_wrapper.settings\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"component_wrapper_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:17:\"component_wrapper\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:21:\"configurable_language\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:21:\"configurable_language\";s:8:\"\0*\0class\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:11:\"\0*\0provider\";s:8:\"language\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:12:\"list_builder\";s:35:\"Drupal\\language\\LanguageListBuilder\";s:6:\"access\";s:44:\"Drupal\\language\\LanguageAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\language\\Form\\LanguageAddForm\";s:4:\"edit\";s:37:\"Drupal\\language\\Form\\LanguageEditForm\";s:6:\"delete\";s:39:\"Drupal\\language\\Form\\LanguageDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:9:\"edit-form\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:10:\"collection\";s:31:\"/admin/config/regional/language\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:configurable_language_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:6:\"entity\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:12:\"contact_form\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:12:\"contact_form\";s:8:\"\0*\0class\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:11:\"\0*\0provider\";s:7:\"contact\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:46:\"Drupal\\contact\\ContactFormAccessControlHandler\";s:12:\"list_builder\";s:37:\"Drupal\\contact\\ContactFormListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:4:\"edit\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:10:\"collection\";s:24:\"/admin/structure/contact\";s:9:\"canonical\";s:23:\"/contact/{contact_form}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:15:\"contact_message\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:contact_form_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"form\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:10:\"recipients\";i:3;s:5:\"reply\";i:4;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:15:\"contact_message\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:15:\"contact_message\";s:8:\"\0*\0class\";s:29:\"Drupal\\contact\\Entity\\Message\";s:11:\"\0*\0provider\";s:7:\"contact\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:6:\"bundle\";s:12:\"contact_form\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:49:\"Drupal\\contact\\ContactMessageAccessControlHandler\";s:7:\"storage\";s:43:\"Drupal\\Core\\Entity\\ContentEntityNullStorage\";s:12:\"view_builder\";s:33:\"Drupal\\contact\\MessageViewBuilder\";s:4:\"form\";a:1:{s:7:\"default\";s:26:\"Drupal\\contact\\MessageForm\";}}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";s:12:\"contact_form\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.contact_form.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:20:\"contact_message_list\";}s:14:\"\0*\0constraints\";a:1:{s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:11:\"date_format\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:11:\"date_format\";s:8:\"\0*\0class\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:44:\"Drupal\\system\\DateFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\system\\Form\\DateFormatAddForm\";s:4:\"edit\";s:37:\"Drupal\\system\\Form\\DateFormatEditForm\";s:6:\"delete\";s:39:\"Drupal\\system\\Form\\DateFormatDeleteForm\";}s:12:\"list_builder\";s:35:\"Drupal\\system\\DateFormatListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:11:\"delete-form\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:10:\"collection\";s:40:\"/admin/config/regional/date-time/formats\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"locked\";i:3;s:7:\"pattern\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:6:\"editor\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:6:\"editor\";s:8:\"\0*\0class\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:11:\"\0*\0provider\";s:6:\"editor\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:6:\"format\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:editor_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:6:\"format\";i:1;s:6:\"editor\";i:2;s:8:\"settings\";i:3;s:12:\"image_upload\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:19:\"entity_form_display\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:19:\"entity_form_display\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:16:\"entity_form_mode\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:16:\"entity_form_mode\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_form_mode_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:9:{s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:6:\"status\";s:6:\"status\";s:12:\"dependencies\";s:12:\"dependencies\";s:20:\"third_party_settings\";s:20:\"third_party_settings\";s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:16:\"targetEntityType\";s:16:\"targetEntityType\";s:5:\"cache\";s:5:\"cache\";}s:17:\"\0*\0label_callback\";N;}s:19:\"entity_view_display\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:19:\"entity_view_display\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:16:\"entity_view_mode\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:16:\"entity_view_mode\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:11:\"\0*\0provider\";s:4:\"core\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_view_mode_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:9:{s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:6:\"status\";s:6:\"status\";s:12:\"dependencies\";s:12:\"dependencies\";s:20:\"third_party_settings\";s:20:\"third_party_settings\";s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:16:\"targetEntityType\";s:16:\"targetEntityType\";s:5:\"cache\";s:5:\"cache\";}s:17:\"\0*\0label_callback\";N;}s:12:\"field_config\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:12:\"field_config\";s:8:\"\0*\0class\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:11:\"\0*\0provider\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:44:\"Drupal\\field\\FieldConfigAccessControlHandler\";s:7:\"storage\";s:31:\"Drupal\\field\\FieldConfigStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:field_config_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:5:\"field\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:20:\"field_storage_config\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:20:\"field_storage_config\";s:8:\"\0*\0class\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:11:\"\0*\0provider\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:7:\"storage\";s:38:\"Drupal\\field\\FieldStorageConfigStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:32:\"config:field_storage_config_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:7:\"storage\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:4:\"type\";i:4;s:8:\"settings\";i:5;s:6:\"module\";i:6;s:6:\"locked\";i:7;s:11:\"cardinality\";i:8;s:12:\"translatable\";i:9;s:7:\"indexes\";i:10;s:22:\"persist_with_no_fields\";i:11;s:14:\"custom_storage\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:4:\"file\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:4:\"file\";s:8:\"\0*\0class\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0provider\";s:4:\"file\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"fid\";s:5:\"label\";s:8:\"filename\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:23:\"Drupal\\file\\FileStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\file\\FileStorageSchema\";s:6:\"access\";s:36:\"Drupal\\file\\FileAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\file\\FileViewsData\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:12:\"file_managed\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"file_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:13:\"filter_format\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:13:\"filter_format\";s:8:\"\0*\0class\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:11:\"\0*\0provider\";s:6:\"filter\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:6:\"format\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:3:{s:3:\"add\";s:33:\"Drupal\\filter\\FilterFormatAddForm\";s:4:\"edit\";s:34:\"Drupal\\filter\\FilterFormatEditForm\";s:7:\"disable\";s:36:\"Drupal\\filter\\Form\\FilterDisableForm\";}s:12:\"list_builder\";s:37:\"Drupal\\filter\\FilterFormatListBuilder\";s:6:\"access\";s:46:\"Drupal\\filter\\FilterFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:18:\"administer filters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:7:\"disable\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:25:\"config:filter_format_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:6:\"format\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:6:\"format\";i:2;s:6:\"weight\";i:3;s:5:\"roles\";i:4;s:7:\"filters\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:11:\"image_style\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:11:\"image_style\";s:8:\"\0*\0class\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:11:\"\0*\0provider\";s:5:\"image\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:4:\"name\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:3:\"add\";s:35:\"Drupal\\image\\Form\\ImageStyleAddForm\";s:4:\"edit\";s:36:\"Drupal\\image\\Form\\ImageStyleEditForm\";s:6:\"delete\";s:38:\"Drupal\\image\\Form\\ImageStyleDeleteForm\";s:5:\"flush\";s:37:\"Drupal\\image\\Form\\ImageStyleFlushForm\";}s:12:\"list_builder\";s:34:\"Drupal\\image\\ImageStyleListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:23:\"administer image styles\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"flush-form\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:9:\"edit-form\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:11:\"delete-form\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:10:\"collection\";s:32:\"/admin/config/media/image-styles\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:image_style_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:5:\"style\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"label\";i:2;s:7:\"effects\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:25:\"language_content_settings\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:25:\"language_content_settings\";s:8:\"\0*\0class\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:11:\"\0*\0provider\";s:8:\"language\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:16:\"content_settings\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:4:\"menu\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:4:\"menu\";s:8:\"\0*\0class\";s:25:\"Drupal\\system\\Entity\\Menu\";s:11:\"\0*\0provider\";s:6:\"system\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:38:\"Drupal\\system\\MenuAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:menu_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";i:3;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:17:\"menu_link_content\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:8:\"revision\";s:11:\"revision_id\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:7:\"enabled\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:2:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";s:32:\"menu_link_content_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"menu_link_content_revision\";s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";}}s:4:\"node\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:4:\"node\";s:8:\"\0*\0class\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0provider\";s:4:\"node\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:12:{s:2:\"id\";s:3:\"nid\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"status\";s:6:\"status\";s:3:\"uid\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\node\\NodeStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\node\\NodeStorageSchema\";s:12:\"view_builder\";s:27:\"Drupal\\node\\NodeViewBuilder\";s:6:\"access\";s:36:\"Drupal\\node\\NodeAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\node\\NodeViewsData\";s:4:\"form\";a:3:{s:7:\"default\";s:20:\"Drupal\\node\\NodeForm\";s:6:\"delete\";s:31:\"Drupal\\node\\Form\\NodeDeleteForm\";s:4:\"edit\";s:20:\"Drupal\\node\\NodeForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\node\\Entity\\NodeRouteProvider\";}s:12:\"list_builder\";s:27:\"Drupal\\node\\NodeListBuilder\";s:11:\"translation\";s:34:\"Drupal\\node\\NodeTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:5:{s:9:\"canonical\";s:12:\"/node/{node}\";s:11:\"delete-form\";s:19:\"/node/{node}/delete\";s:9:\"edit-form\";s:17:\"/node/{node}/edit\";s:15:\"version-history\";s:22:\"/node/{node}/revisions\";s:8:\"revision\";s:43:\"/node/{node}/revisions/{node_revision}/view\";}s:21:\"\0*\0bundle_entity_type\";s:9:\"node_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:4:\"node\";s:22:\"\0*\0revision_data_table\";s:19:\"node_field_revision\";s:17:\"\0*\0revision_table\";s:13:\"node_revision\";s:13:\"\0*\0data_table\";s:15:\"node_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:26:\"entity.node_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"node_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:12:\"revision_uid\";s:16:\"revision_created\";s:18:\"revision_timestamp\";s:20:\"revision_log_message\";s:12:\"revision_log\";}}s:9:\"node_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:9:\"node_type\";s:8:\"\0*\0class\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:11:\"\0*\0provider\";s:4:\"node\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:4:\"type\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:40:\"Drupal\\node\\NodeTypeAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:24:\"Drupal\\node\\NodeTypeForm\";s:4:\"edit\";s:24:\"Drupal\\node\\NodeTypeForm\";s:6:\"delete\";s:38:\"Drupal\\node\\Form\\NodeTypeDeleteConfirm\";}s:12:\"list_builder\";s:31:\"Drupal\\node\\NodeTypeListBuilder\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer content types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:41:\"/admin/structure/types/manage/{node_type}\";s:11:\"delete-form\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:10:\"collection\";s:22:\"/admin/structure/types\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:4:\"node\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:node_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:4:\"name\";i:1;s:4:\"type\";i:2;s:11:\"description\";i:3;s:4:\"help\";i:4;s:12:\"new_revision\";i:5;s:12:\"preview_mode\";i:6;s:17:\"display_submitted\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:16:\"pathauto_pattern\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:16:\"pathauto_pattern\";s:8:\"\0*\0class\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:11:\"\0*\0provider\";s:8:\"pathauto\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:6:{s:12:\"list_builder\";s:42:\"Drupal\\pathauto\\PathautoPatternListBuilder\";s:4:\"form\";a:4:{s:7:\"default\";s:36:\"Drupal\\pathauto\\Form\\PatternEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:6:\"enable\";s:38:\"Drupal\\pathauto\\Form\\PatternEnableForm\";s:7:\"disable\";s:39:\"Drupal\\pathauto\\Form\\PatternDisableForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:51:\"Drupal\\Core\\Entity\\Routing\\DefaultHtmlRouteProvider\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:19:\"administer pathauto\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:10:\"collection\";s:34:\"/admin/config/search/path/patterns\";s:9:\"edit-form\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:11:\"delete-form\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:6:\"enable\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:7:\"disable\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";s:27:\"config-translation-overview\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:pathauto_pattern_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"pathauto_pattern\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:7:\"pattern\";s:14:\"\0*\0lookup_keys\";a:3:{i:0;s:4:\"type\";i:1;s:6:\"status\";i:2;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:7:\"pattern\";i:4;s:18:\"selection_criteria\";i:5;s:15:\"selection_logic\";i:6;s:6:\"weight\";i:7;s:13:\"relationships\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:10:\"path_alias\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:10:\"path_alias\";s:8:\"\0*\0class\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0provider\";s:10:\"path_alias\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:34:\"Drupal\\path_alias\\PathAliasStorage\";s:14:\"storage_schema\";s:40:\"Drupal\\path_alias\\PathAliasStorageSchema\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:25:\"Drupal\\path\\PathAliasForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";}s:12:\"list_builder\";s:32:\"Drupal\\path\\PathAliasListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer url aliases\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"collection\";s:25:\"/admin/config/search/path\";s:8:\"add-form\";s:29:\"/admin/config/search/path/add\";s:9:\"edit-form\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:11:\"delete-form\";s:45:\"/admin/config/search/path/delete/{path_alias}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:10:\"path_alias\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";s:19:\"path_alias_revision\";s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:16:\"@count URL alias\";s:6:\"plural\";s:18:\"@count URL aliases\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:11:\"route_match\";}s:14:\"\0*\0constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:2:{s:10:\"token_type\";s:10:\"path_alias\";s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:11:\"rdf_mapping\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:11:\"rdf_mapping\";s:8:\"\0*\0class\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:11:\"\0*\0provider\";s:3:\"rdf\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:rdf_mapping_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:7:\"mapping\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:5:\"types\";i:4;s:13:\"fieldMappings\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:11:\"search_page\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:11:\"search_page\";s:8:\"\0*\0class\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:11:\"\0*\0provider\";s:6:\"search\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:44:\"Drupal\\search\\SearchPageAccessControlHandler\";s:12:\"list_builder\";s:35:\"Drupal\\search\\SearchPageListBuilder\";s:4:\"form\";a:4:{s:3:\"add\";s:36:\"Drupal\\search\\Form\\SearchPageAddForm\";s:4:\"edit\";s:37:\"Drupal\\search\\Form\\SearchPageEditForm\";s:6:\"search\";s:33:\"Drupal\\search\\Form\\SearchPageForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer search\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:9:\"edit-form\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:11:\"delete-form\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:6:\"enable\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:7:\"disable\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:11:\"set-default\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:10:\"collection\";s:26:\"/admin/config/search/pages\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:search_page_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"page\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"path\";i:3;s:6:\"weight\";i:4;s:6:\"plugin\";i:5;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:8:\"shortcut\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:8:\"shortcut\";s:8:\"\0*\0class\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:12:\"shortcut_set\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\shortcut\\ShortcutAccessControlHandler\";s:4:\"form\";a:4:{s:7:\"default\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:3:\"add\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:4:\"edit\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:6:\"delete\";s:39:\"Drupal\\shortcut\\Form\\ShortcutDeleteForm\";}s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:11:\"delete-form\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:9:\"edit-form\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";}s:21:\"\0*\0bundle_entity_type\";s:12:\"shortcut_set\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:8:\"shortcut\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:19:\"shortcut_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:1:{s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:12:\"shortcut_set\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:12:\"shortcut_set\";s:8:\"\0*\0class\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:34:\"Drupal\\shortcut\\ShortcutSetStorage\";s:6:\"access\";s:47:\"Drupal\\shortcut\\ShortcutSetAccessControlHandler\";s:12:\"list_builder\";s:38:\"Drupal\\shortcut\\ShortcutSetListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:3:\"add\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:4:\"edit\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:9:\"customize\";s:33:\"Drupal\\shortcut\\Form\\SetCustomize\";s:6:\"delete\";s:42:\"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm\";}}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:14:\"customize-form\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:11:\"delete-form\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:9:\"edit-form\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:10:\"collection\";s:37:\"/admin/config/user-interface/shortcut\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:8:\"shortcut\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:3:\"set\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:2:{i:0;s:2:\"id\";i:1;s:5:\"label\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:21:\"simplenews_newsletter\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:21:\"simplenews_newsletter\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:12:\"list_builder\";s:39:\"Drupal\\simplenews\\NewsletterListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:4:\"edit\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\NewsletterDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:22:\"administer newsletters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:11:\"delete-form\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:9:\"edit-form\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:simplenews_newsletter_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:10:\"newsletter\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:13:{i:0;s:4:\"name\";i:1;s:2:\"id\";i:2;s:11:\"description\";i:3;s:6:\"format\";i:4;s:8:\"priority\";i:5;s:7:\"receipt\";i:6;s:9:\"from_name\";i:7;s:7:\"subject\";i:8;s:12:\"from_address\";i:9;s:10:\"hyperlinks\";i:10;s:11:\"new_account\";i:11;s:9:\"opt_inout\";i:12;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:21:\"simplenews_subscriber\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:21:\"simplenews_subscriber\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"mail\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:6:{s:4:\"form\";a:5:{s:7:\"default\";s:37:\"Drupal\\simplenews\\Form\\SubscriberForm\";s:7:\"account\";s:47:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm\";s:5:\"block\";s:45:\"Drupal\\simplenews\\Form\\SubscriptionsBlockForm\";s:4:\"page\";s:44:\"Drupal\\simplenews\\Form\\SubscriptionsPageForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\SubscriberDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:10:\"views_data\";s:37:\"Drupal\\simplenews\\SubscriberViewsData\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";}s:19:\"\0*\0admin_permission\";s:35:\"administer simplenews subscriptions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:11:\"delete-form\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:21:\"simplenews_subscriber\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:30:\"simplenews.settings_subscriber\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:26:\"simplenews_subscriber_list\";}s:14:\"\0*\0constraints\";a:1:{s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:13:\"taxonomy_term\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"tid\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:11:\"revision_id\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:31:\"Drupal\\taxonomy\\TermViewBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";}s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";s:28:\"taxonomy_term_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"taxonomy_term_revision\";s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:17:\"taxonomy_term_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";}}s:19:\"taxonomy_vocabulary\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:19:\"taxonomy_vocabulary\";s:8:\"\0*\0class\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:33:\"Drupal\\taxonomy\\VocabularyStorage\";s:12:\"list_builder\";s:37:\"Drupal\\taxonomy\\VocabularyListBuilder\";s:4:\"form\";a:3:{s:7:\"default\";s:30:\"Drupal\\taxonomy\\VocabularyForm\";s:5:\"reset\";s:40:\"Drupal\\taxonomy\\Form\\VocabularyResetForm\";s:6:\"delete\";s:41:\"Drupal\\taxonomy\\Form\\VocabularyDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";s:19:\"administer taxonomy\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:58:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add\";s:11:\"delete-form\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:10:\"reset-form\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:13:\"overview-form\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:9:\"edit-form\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:10:\"collection\";s:25:\"/admin/structure/taxonomy\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"taxonomy_term\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:taxonomy_vocabulary_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:10:\"vocabulary\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:3:\"vid\";i:2;s:11:\"description\";i:3;s:9:\"hierarchy\";i:4;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:4:\"tour\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:4:\"tour\";s:8:\"\0*\0class\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:11:\"\0*\0provider\";s:4:\"tour\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:3:{s:12:\"view_builder\";s:27:\"Drupal\\tour\\TourViewBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:tour_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:19:\"routes.*.route_name\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:6:\"routes\";i:4;s:4:\"tips\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:4:\"user\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:4:\"user\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\User\";s:11:\"\0*\0provider\";s:4:\"user\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:3:\"uid\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\user\\UserStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\user\\UserStorageSchema\";s:6:\"access\";s:36:\"Drupal\\user\\UserAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\UserListBuilder\";s:10:\"views_data\";s:25:\"Drupal\\user\\UserViewsData\";s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\user\\Entity\\UserRouteProvider\";}s:4:\"form\";a:3:{s:7:\"default\";s:23:\"Drupal\\user\\ProfileForm\";s:6:\"cancel\";s:31:\"Drupal\\user\\Form\\UserCancelForm\";s:8:\"register\";s:24:\"Drupal\\user\\RegisterForm\";}s:11:\"translation\";s:37:\"Drupal\\user\\ProfileTranslationHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:16:\"administer users\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"canonical\";s:12:\"/user/{user}\";s:9:\"edit-form\";s:17:\"/user/{user}/edit\";s:11:\"cancel-form\";s:19:\"/user/{user}/cancel\";s:10:\"collection\";s:13:\"/admin/people\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:5:\"users\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:16:\"users_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:22:\"entity.user.admin_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"user_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";s:16:\"user_format_name\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}s:9:\"user_role\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:9:\"user_role\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\Role\";s:11:\"\0*\0provider\";s:4:\"user\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"weight\";s:6:\"weight\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:23:\"Drupal\\user\\RoleStorage\";s:6:\"access\";s:36:\"Drupal\\user\\RoleAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\RoleListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:20:\"Drupal\\user\\RoleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}}s:19:\"\0*\0admin_permission\";s:22:\"administer permissions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:9:\"edit-form\";s:38:\"/admin/people/roles/manage/{user_role}\";s:21:\"edit-permissions-form\";s:37:\"/admin/people/permissions/{user_role}\";s:10:\"collection\";s:19:\"/admin/people/roles\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:user_role_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:4:\"role\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"weight\";i:3;s:8:\"is_admin\";i:4;s:11:\"permissions\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}s:4:\"view\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:5:\"\0*\0id\";s:4:\"view\";s:8:\"\0*\0class\";s:24:\"Drupal\\views\\Entity\\View\";s:11:\"\0*\0provider\";s:5:\"views\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:37:\"Drupal\\views\\ViewAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:16:\"administer views\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:view_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";N;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:9:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:11:\"description\";i:4;s:3:\"tag\";i:5;s:10:\"base_table\";i:6;s:10:\"base_field\";i:7;s:4:\"core\";i:8;s:7:\"display\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:17:\"\0*\0label_callback\";N;}}',-1,1674804012.332,1,'','0'),('field_types_plugins','a:33:{s:16:\"color_field_type\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"color_field_type\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Color\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Create and store color value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:26:\"color_field_widget_default\";s:17:\"default_formatter\";s:26:\"color_field_formatter_text\";s:5:\"class\";s:56:\"Drupal\\color_field\\Plugin\\Field\\FieldType\\ColorFieldType\";s:8:\"provider\";s:11:\"color_field\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"comment\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"comment\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"This field manages configuration and presentation of comments on an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:36:\"\\Drupal\\comment\\CommentFieldItemList\";s:14:\"default_widget\";s:15:\"comment_default\";s:17:\"default_formatter\";s:15:\"comment_default\";s:11:\"cardinality\";i:1;s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\Field\\FieldType\\CommentItem\";s:8:\"provider\";s:7:\"comment\";s:13:\"column_groups\";a:0:{}}s:8:\"datetime\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"datetime\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Create and store date values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"datetime_default\";s:17:\"default_formatter\";s:16:\"datetime_default\";s:10:\"list_class\";s:61:\"\\Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeFieldItemList\";s:11:\"constraints\";a:1:{s:14:\"DateTimeFormat\";a:0:{}}s:5:\"class\";s:51:\"Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeItem\";s:8:\"provider\";s:8:\"datetime\";s:13:\"column_groups\";a:0:{}}s:4:\"file\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"file\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"This field stores the ID of a file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"file_generic\";s:17:\"default_formatter\";s:12:\"file_default\";s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileItem\";s:8:\"provider\";s:4:\"file\";s:23:\"default_token_formatter\";s:14:\"file_url_plain\";s:13:\"column_groups\";a:0:{}}s:8:\"file_uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"file_uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"File URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"An entity field containing a file URI, and a computed root-relative file URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"file_uri\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:46:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileUriItem\";s:8:\"provider\";s:4:\"file\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:5:\"image\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"This field stores the ID of an image file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:11:\"image_image\";s:17:\"default_formatter\";s:5:\"image\";s:13:\"column_groups\";a:3:{s:4:\"file\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"columns\";a:3:{i:0;s:9:\"target_id\";i:1;s:5:\"width\";i:2;s:6:\"height\";}s:34:\"require_all_groups_for_translation\";b:1;}s:3:\"alt\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Alt\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}s:5:\"title\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}}s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:45:\"Drupal\\image\\Plugin\\Field\\FieldType\\ImageItem\";s:8:\"provider\";s:5:\"image\";s:23:\"default_token_formatter\";s:14:\"file_url_plain\";}s:4:\"link\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:100:\"Stores a URL string, optional varchar link text, and optional blob of attributes to assemble a link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"link_default\";s:17:\"default_formatter\";s:4:\"link\";s:11:\"constraints\";a:4:{s:8:\"LinkType\";a:0:{}s:10:\"LinkAccess\";a:0:{}s:21:\"LinkExternalProtocols\";a:0:{}s:23:\"LinkNotExistingInternal\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\link\\Plugin\\Field\\FieldType\\LinkItem\";s:8:\"provider\";s:4:\"link\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:11:\"list_string\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:11:\"list_string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"List (text)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:137:\"This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:52:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListStringItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"list_default\";s:13:\"column_groups\";a:0:{}}s:12:\"list_integer\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:12:\"list_integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"List (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:53:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListIntegerItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"list_default\";s:13:\"column_groups\";a:0:{}}s:10:\"list_float\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:10:\"list_float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"List (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:134:\"This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:51:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListFloatItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"list_default\";s:13:\"column_groups\";a:0:{}}s:4:\"path\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"path\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field containing a path alias and related data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:4:\"path\";s:10:\"list_class\";s:37:\"Drupal\\pathauto\\PathautoFieldItemList\";s:11:\"constraints\";a:1:{s:9:\"PathAlias\";a:0:{}}s:5:\"class\";s:28:\"Drupal\\pathauto\\PathautoItem\";s:8:\"provider\";s:4:\"path\";s:13:\"column_groups\";a:0:{}}s:16:\"simplenews_issue\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Simplenews issue\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"simplenews_issue\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:50:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\IssueItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:23:\"simplenews_subscription\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:23:\"simplenews_subscription\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Simplenews subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:30:\"simplenews_subscription_select\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:57:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\SubscriptionItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:17:\"text_with_summary\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:17:\"text_with_summary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Text (formatted, long, with summary)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"This field stores long text with a format and an optional summary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:26:\"text_textarea_with_summary\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:54:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextWithSummaryItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"text_default\";s:13:\"column_groups\";a:0:{}}s:4:\"text\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"text\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Text (formatted)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"This field stores a text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"text_textfield\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:43:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"text_default\";s:13:\"column_groups\";a:0:{}}s:9:\"text_long\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:9:\"text_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Text (formatted, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"This field stores a long text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"text_textarea\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:47:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextLongItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"text_default\";s:13:\"column_groups\";a:0:{}}s:17:\"video_embed_field\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:17:\"video_embed_field\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Video Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Stores a video and then outputs some embed code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:27:\"video_embed_field_textfield\";s:17:\"default_formatter\";s:23:\"video_embed_field_video\";s:11:\"constraints\";a:1:{s:20:\"VideoEmbedValidation\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldType\\VideoEmbedField\";s:8:\"provider\";s:17:\"video_embed_field\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:8:\"language\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"An entity field referencing a language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"language_select\";s:17:\"default_formatter\";s:8:\"language\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}s:5:\"class\";s:36:\"\\Drupal\\language\\DefaultLanguageItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:16:\"entity_reference\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"entity_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"An entity field containing an entity reference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:29:\"entity_reference_autocomplete\";s:17:\"default_formatter\";s:22:\"entity_reference_label\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:60:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EntityReferenceItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:5:\"email\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"email\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"An entity field containing an email value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"email_default\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EmailItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:4:\"uuid\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"uuid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"An entity field containing a UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:49:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UuidItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:8:\"password\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"password\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"An entity field containing a password value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\PasswordItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"integer\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"This field stores a number in the database as an integer.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_integer\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\IntegerItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"changed\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"changed\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:85:\"An entity field containing a UNIX timestamp of when the entity has been last updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:10:\"list_class\";s:39:\"\\Drupal\\Core\\Field\\ChangedFieldItemList\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\ChangedItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:9:\"timestamp\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"An entity field containing a UNIX timestamp value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Range\";a:2:{s:3:\"min\";s:11:\"-2147483648\";s:3:\"max\";s:10:\"2147483648\";}}}}s:5:\"class\";s:54:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\TimestampItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:5:\"float\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Number (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:70:\"This field stores a number in the database in a floating point format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\FloatItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:3:\"uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"An entity field containing a URI.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"uri_link\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UriItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:6:\"string\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text (plain)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"A field containing a plain string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"string_textfield\";s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:51:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:11:\"string_long\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:11:\"string_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Text (plain, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"A field containing a long string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"string_textarea\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:55:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringLongItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"boolean\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"An entity field containing a boolean value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"boolean_checkbox\";s:17:\"default_formatter\";s:7:\"boolean\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\BooleanItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"created\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"created\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:80:\"An entity field containing a UNIX timestamp of when the entity has been created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\CreatedItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"decimal\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"decimal\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (decimal)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"This field stores a number in the database in a fixed decimal format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\DecimalItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:3:\"map\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"map\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Map\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field for storing a serialized array of values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:35:\"\\Drupal\\Core\\Field\\MapFieldItemList\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\MapItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}}',-1,1674804011.721,1,'','0'),('language_negotiation_plugins','a:9:{s:16:\"language-session\";a:7:{s:2:\"id\";s:16:\"language-session\";s:6:\"weight\";i:-6;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Session\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Language from a request/session parameter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:28:\"language.negotiation_session\";s:5:\"class\";s:69:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationSession\";s:8:\"provider\";s:8:\"language\";}s:21:\"language-url-fallback\";a:7:{s:2:\"id\";s:21:\"language-url-fallback\";s:5:\"types\";a:1:{i:0;s:12:\"language_url\";}s:6:\"weight\";i:8;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"URL fallback\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Use an already detected language for URLs if none is found.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:73:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationUrlFallback\";s:8:\"provider\";s:8:\"language\";}s:17:\"language-selected\";a:7:{s:2:\"id\";s:17:\"language-selected\";s:6:\"weight\";i:12;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Selected language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Language based on a selected language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:29:\"language.negotiation_selected\";s:5:\"class\";s:70:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationSelected\";s:8:\"provider\";s:8:\"language\";}s:23:\"language-content-entity\";a:7:{s:2:\"id\";s:23:\"language-content-entity\";s:5:\"types\";a:1:{i:0;s:16:\"language_content\";}s:6:\"weight\";i:-9;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Content language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Determines the content language from the request parameter named \'language_content_entity\'.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:75:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationContentEntity\";s:8:\"provider\";s:8:\"language\";}s:12:\"language-url\";a:8:{s:2:\"id\";s:12:\"language-url\";s:5:\"types\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:6:\"weight\";i:-8;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Language from the URL (Path prefix or domain).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:24:\"language.negotiation_url\";s:5:\"class\";s:65:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationUrl\";s:8:\"provider\";s:8:\"language\";}s:18:\"language-interface\";a:7:{s:2:\"id\";s:18:\"language-interface\";s:5:\"types\";a:1:{i:0;s:16:\"language_content\";}s:6:\"weight\";i:9;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Use the detected interface language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:64:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationUI\";s:8:\"provider\";s:8:\"language\";}s:16:\"language-browser\";a:7:{s:2:\"id\";s:16:\"language-browser\";s:6:\"weight\";i:-2;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Browser\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Language from the browser\'s language settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:28:\"language.negotiation_browser\";s:5:\"class\";s:69:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationBrowser\";s:8:\"provider\";s:8:\"language\";}s:13:\"language-user\";a:6:{s:2:\"id\";s:13:\"language-user\";s:6:\"weight\";i:-4;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Follow the user\'s language preference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\user\\Plugin\\LanguageNegotiation\\LanguageNegotiationUser\";s:8:\"provider\";s:4:\"user\";}s:19:\"language-user-admin\";a:7:{s:2:\"id\";s:19:\"language-user-admin\";s:5:\"types\";a:1:{i:0;s:18:\"language_interface\";}s:6:\"weight\";i:-10;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Account administration pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Account administration pages language setting.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:67:\"Drupal\\user\\Plugin\\LanguageNegotiation\\LanguageNegotiationUserAdmin\";s:8:\"provider\";s:4:\"user\";}}',-1,1674804012.878,1,'','0'),('menu_link_content.field_storage_definitions.installed','a:22:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Bundle\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:109;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:156;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:201;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}s:18:\"\0*\0fieldDefinition\";r:237;}s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:289;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:330;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:366;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"If selected and this menu link has children, the menu will always appear expanded.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:415;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:466;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:518;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:557;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:590;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:620;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:662;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:695;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:736;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:776;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:805;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:841;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.792,1,'','0'),('node.field_storage_definitions.installed','a:31:{s:3:\"nid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Node ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The node ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"nid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The node UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The node revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The node type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"node_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:112;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The node language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:148;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:187;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The username of the content author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"author\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:3:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";s:2:\"60\";s:11:\"placeholder\";s:0:\"\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:230;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"A boolean indicating whether the node is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:283;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"timestamp\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:325;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:366;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"promote\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:396;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"sticky\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:442;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"revision_timestamp\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Revision timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"queryable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:18:\"revision_timestamp\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:488;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Revision user ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"queryable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:518;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:555;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:596;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:636;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:9:\"node.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"578317ee-54b9-4df9-aa00-b7f5187e366a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:9:\"node.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:7:\"comment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:12:\"node.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6fc15e30-a3fc-4891-b64c-76364b4468ee\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:12:\"node.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c03a055a-f28b-47f0-a100-adec96658707\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:16:\"node.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:10:\"field_tags\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"81ac884e-d9c8-406a-9a1d-29b262c313e8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:16:\"simplenews_issue\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.simplenews_issue\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4990045a-0df4-40e5-8436-545f18512a15\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:16:\"entity_reference\";i:1;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.simplenews_issue\";s:13:\"\0*\0field_name\";s:16:\"simplenews_issue\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"simplenews_issue\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:14:\"field_category\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.field_category\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:19:\"node.field_category\";s:13:\"\0*\0field_name\";s:14:\"field_category\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-qHne08Mmw4mYi7MfN1OBX4b4JQsyA3weByFUTuyktng\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"04fa4ba3-2961-4922-a200-e292be5448c1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:13:\"comment_forum\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.comment_forum\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"45c6e113-b684-438c-b44a-74b94c3aa85e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:18:\"node.comment_forum\";s:13:\"\0*\0field_name\";s:13:\"comment_forum\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:15:\"taxonomy_forums\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.taxonomy_forums\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"036ad012-28b8-484d-8c00-c0e6030f093e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:20:\"node.taxonomy_forums\";s:13:\"\0*\0field_name\";s:15:\"taxonomy_forums\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:16:\"field_video_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.field_video_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"656196f0-e0ae-4388-be00-ad0dd28c612f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.field_video_link\";s:13:\"\0*\0field_name\";s:16:\"field_video_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-Xbz96WWniY8-pGIAsPPOjjQLgzdQGslB9MYZN0SaWTA\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:1060;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1094;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:4:\"node\";s:8:\"provider\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1136;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"field_components\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.field_components\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c1b343c-89db-4b14-a5b6-0b94f7e80c2a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.field_components\";s:13:\"\0*\0field_name\";s:16:\"field_components\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:17:\"component_wrapper\";}s:14:\"\0*\0cardinality\";s:2:\"-1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"cardinality_number\";i:1;s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-IJLTpnk-cpuvRTvUFOjCuwimazenBe3_Grb1KhvCtbI\";s:10:\"form_token\";s:43:\"2c3_Y61tmW0fxstX38cicAxBz-aT9hQqleEC8eQD0s4\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}}',-1,1674804012.838,1,'','0'),('path_alias.field_storage_definitions.installed','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:36;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:69;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:0;}}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:103;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"System path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The path that this alias belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:9:\"ValidPath\";a:0:{}s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The source path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}s:18:\"\0*\0fieldDefinition\";r:145;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"alias\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"An alias used with this path.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:5:\"alias\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The alias path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}s:18:\"\0*\0fieldDefinition\";r:198;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:250;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:289;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.451,1,'','0'),('search_plugins','a:2:{s:11:\"node_search\";a:5:{s:15:\"use_admin_theme\";b:0;s:2:\"id\";s:11:\"node_search\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:36:\"Drupal\\node\\Plugin\\Search\\NodeSearch\";s:8:\"provider\";s:4:\"node\";}s:11:\"user_search\";a:5:{s:15:\"use_admin_theme\";b:0;s:2:\"id\";s:11:\"user_search\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\Search\\UserSearch\";s:8:\"provider\";s:4:\"user\";}}',-1,1674804011.324,1,'','0'),('shortcut.field_storage_definitions.installed','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The ID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The UUID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"shortcut_set\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The bundle of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:12:\"shortcut_set\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"shortcut_set\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The name of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"size\";i:40;}}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:111;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Weight among shortcuts in the same shortcut set.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:153;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The location this shortcut points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:1;}}s:18:\"\0*\0fieldDefinition\";r:189;}s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The language code of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:241;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:279;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.842,1,'','0'),('taxonomy_term.field_storage_definitions.installed','a:19:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:110;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:149;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"A description of the term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:196;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:244;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:14:\"custom_storage\";b:0;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:283;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:320;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:350;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:15:\"forum_container\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"taxonomy_term.forum_container\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"taxonomy_term.forum_container\";s:13:\"\0*\0field_name\";s:15:\"forum_container\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:0;s:9:\"\0*\0locked\";b:1;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"taxonomy_term.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"taxonomy_term.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-MgDCS9_EtGN-FVUTYvEK6pj8gAp0cSHwXQCPsOc_390\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:8:\"provider\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:480;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:525;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:558;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:599;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:639;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:668;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:704;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}',-1,1674804012.845,1,'','0'),('typed_data_types_plugins','a:143:{s:13:\"filter_format\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:13:\"filter_format\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Filter format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:42:\"Drupal\\filter\\Plugin\\DataType\\FilterFormat\";s:8:\"provider\";s:6:\"filter\";}s:6:\"entity\";a:10:{s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"All kind of entities, e.g. nodes, comments or users.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:8:\"provider\";s:4:\"core\";}s:12:\"entity:block\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:25:\"entity:block_content_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:block_content\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:26:\"EntityUntranslatableFields\";N;s:25:\"BlockContentEntityChanged\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:block_content:basic\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:11:\"Basic block\";s:11:\"constraints\";a:3:{s:26:\"EntityUntranslatableFields\";N;s:25:\"BlockContentEntityChanged\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:comment_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:14:\"entity:comment\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:22:\"entity:comment:comment\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:16:\"Default comments\";s:11:\"constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:comment:comment_forum\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:13:\"Comment_forum\";s:11:\"constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:21:\"entity:component_item\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Component Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:component_item:accordion\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:9:\"Accordion\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:37:\"entity:component_item:article_summary\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Article Summary\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:33:\"entity:component_item:banner_grid\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:11:\"Banner Grid\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:37:\"entity:component_item:basic_component\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Basic component\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:component_item:card\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:4:\"Card\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:30:\"entity:component_item:carousel\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:8:\"Carousel\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:36:\"entity:component_item:classified_ads\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:14:\"Classified Ads\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:29:\"entity:component_item:counter\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:7:\"Counter\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:37:\"entity:component_item:divider_section\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Divider Section\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:component_item:grid\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:4:\"Grid\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:35:\"entity:component_item:grid_carousel\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:13:\"Grid Carousel\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:43:\"entity:component_item:horizontal_push_image\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:21:\"Horizontal push image\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:32:\"entity:component_item:push_image\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:10:\"Push image\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:32:\"entity:component_item:push_video\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:10:\"Push Video\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:27:\"entity:component_item:quote\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:5:\"Quote\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:37:\"entity:component_item:related_content\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Related Content\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:35:\"entity:component_item:service_block\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:13:\"Service Block\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:39:\"entity:component_item:sidebar_link_text\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:17:\"Sidebar Link Text\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:37:\"entity:component_item:sidebar_service\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Sidebar Service\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:37:\"entity:component_item:sidebar_summary\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Sidebar Summary\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:component_item:slideshow\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:9:\"Slideshow\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:40:\"entity:component_item:slideshow_flexible\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:18:\"Slideshow Flexible\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:35:\"entity:component_item:statistic_bar\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:13:\"Statistic bar\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:44:\"entity:component_item:statistic_bar_progress\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:22:\"Statistic bar progress\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:41:\"entity:component_item:summary_information\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:19:\"Summary Information\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:27:\"entity:component_item:table\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:5:\"Table\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:34:\"entity:component_item:table_column\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:12:\"Table column\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:33:\"entity:component_item:testimonial\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:11:\"Testimonial\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:30:\"entity:component_item:timeline\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:8:\"Timeline\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:35:\"entity:component_item:timeline_item\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:13:\"Timeline Item\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:35:\"entity:component_item:topic_summary\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:13:\"Topic Summary\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:component_item_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:24:\"entity:component_wrapper\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:22:\"entity:contact_message\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:contact_message:feedback\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:7:\"Contact\";s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:contact_message:personal\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:21:\"Personal contact form\";s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:contact_form\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:13:\"entity:editor\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:27:\"entity:field_storage_config\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:field_config\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:file\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:filter_format\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:image_style\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:32:\"entity:language_content_settings\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:configurable_language\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:node\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:node:article\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:7:\"Article\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:node:blog\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:4:\"Blog\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:17:\"entity:node:forum\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:11:\"Forum topic\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:node:page\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:10:\"Basic page\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:node:showcase\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:8:\"Showcase\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:node:simplenews_issue\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:16:\"Newsletter Issue\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:node_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:17:\"entity:path_alias\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:rdf_mapping\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:search_page\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:shortcut_set\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:15:\"entity:shortcut\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:shortcut:default\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:7:\"Default\";s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:simplenews_newsletter\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:simplenews_subscriber\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:menu\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:13:\"entity:action\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:taxonomy_term\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:taxonomy_term:categories\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:10:\"Categories\";s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:36:\"entity:taxonomy_term:component_types\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:15:\"Component Types\";s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:27:\"entity:taxonomy_term:forums\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:6:\"Forums\";s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:25:\"entity:taxonomy_term:tags\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:4:\"Tags\";s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:taxonomy_vocabulary\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:tour\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:user\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:user_role\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:24:\"entity:menu_link_content\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:17:\"MenuTreeHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:42:\"entity:menu_link_content:menu_link_content\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";r:1349;s:11:\"constraints\";a:4:{s:17:\"MenuTreeHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:pathauto_pattern\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:view\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:date_format\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:entity_form_mode\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:entity_view_mode\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:entity_view_display\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:entity_form_display\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:base_field_override\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity_reference\";a:8:{s:16:\"definition_class\";s:46:\"\\Drupal\\Core\\TypedData\\DataReferenceDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"entity_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:50:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityReference\";s:8:\"provider\";s:4:\"core\";}s:27:\"field_item:color_field_type\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:16:\"color_field_type\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Color\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Create and store color value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:26:\"color_field_widget_default\";s:17:\"default_formatter\";s:26:\"color_field_formatter_text\";s:5:\"class\";s:56:\"Drupal\\color_field\\Plugin\\Field\\FieldType\\ColorFieldType\";s:8:\"provider\";s:11:\"color_field\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:comment\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"comment\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"This field manages configuration and presentation of comments on an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:36:\"\\Drupal\\comment\\CommentFieldItemList\";s:14:\"default_widget\";s:15:\"comment_default\";s:17:\"default_formatter\";s:15:\"comment_default\";s:11:\"cardinality\";i:1;s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\Field\\FieldType\\CommentItem\";s:8:\"provider\";s:7:\"comment\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:datetime\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"datetime\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Create and store date values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"datetime_default\";s:17:\"default_formatter\";s:16:\"datetime_default\";s:10:\"list_class\";s:61:\"\\Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeFieldItemList\";s:11:\"constraints\";a:1:{s:14:\"DateTimeFormat\";a:0:{}}s:5:\"class\";s:51:\"Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeItem\";s:8:\"provider\";s:8:\"datetime\";s:13:\"column_groups\";a:0:{}}s:15:\"field_item:file\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"file\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"This field stores the ID of a file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"file_generic\";s:17:\"default_formatter\";s:12:\"file_default\";s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileItem\";s:8:\"provider\";s:4:\"file\";s:23:\"default_token_formatter\";s:14:\"file_url_plain\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:file_uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"file_uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"File URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"An entity field containing a file URI, and a computed root-relative file URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"file_uri\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:46:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileUriItem\";s:8:\"provider\";s:4:\"file\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:16:\"field_item:image\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:5:\"image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"This field stores the ID of an image file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:11:\"image_image\";s:17:\"default_formatter\";s:5:\"image\";s:13:\"column_groups\";a:3:{s:4:\"file\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"columns\";a:3:{i:0;s:9:\"target_id\";i:1;s:5:\"width\";i:2;s:6:\"height\";}s:34:\"require_all_groups_for_translation\";b:1;}s:3:\"alt\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Alt\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}s:5:\"title\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}}s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:45:\"Drupal\\image\\Plugin\\Field\\FieldType\\ImageItem\";s:8:\"provider\";s:5:\"image\";s:23:\"default_token_formatter\";s:14:\"file_url_plain\";}s:15:\"field_item:link\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:100:\"Stores a URL string, optional varchar link text, and optional blob of attributes to assemble a link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"link_default\";s:17:\"default_formatter\";s:4:\"link\";s:11:\"constraints\";a:4:{s:8:\"LinkType\";a:0:{}s:10:\"LinkAccess\";a:0:{}s:21:\"LinkExternalProtocols\";a:0:{}s:23:\"LinkNotExistingInternal\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\link\\Plugin\\Field\\FieldType\\LinkItem\";s:8:\"provider\";s:4:\"link\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:22:\"field_item:list_string\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:11:\"list_string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"List (text)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:137:\"This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:52:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListStringItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"list_default\";s:13:\"column_groups\";a:0:{}}s:23:\"field_item:list_integer\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:12:\"list_integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"List (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:53:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListIntegerItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"list_default\";s:13:\"column_groups\";a:0:{}}s:21:\"field_item:list_float\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:10:\"list_float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"List (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:134:\"This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:51:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListFloatItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"list_default\";s:13:\"column_groups\";a:0:{}}s:15:\"field_item:path\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"path\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field containing a path alias and related data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:4:\"path\";s:10:\"list_class\";s:37:\"Drupal\\pathauto\\PathautoFieldItemList\";s:11:\"constraints\";a:1:{s:9:\"PathAlias\";a:0:{}}s:5:\"class\";s:28:\"Drupal\\pathauto\\PathautoItem\";s:8:\"provider\";s:4:\"path\";s:13:\"column_groups\";a:0:{}}s:27:\"field_item:simplenews_issue\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Simplenews issue\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"simplenews_issue\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:50:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\IssueItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:34:\"field_item:simplenews_subscription\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:23:\"simplenews_subscription\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Simplenews subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:30:\"simplenews_subscription_select\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:57:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\SubscriptionItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:28:\"field_item:text_with_summary\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:17:\"text_with_summary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Text (formatted, long, with summary)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"This field stores long text with a format and an optional summary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:26:\"text_textarea_with_summary\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:54:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextWithSummaryItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"text_default\";s:13:\"column_groups\";a:0:{}}s:15:\"field_item:text\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"text\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Text (formatted)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"This field stores a text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"text_textfield\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:43:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"text_default\";s:13:\"column_groups\";a:0:{}}s:20:\"field_item:text_long\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:9:\"text_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Text (formatted, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"This field stores a long text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"text_textarea\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:47:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextLongItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:23:\"default_token_formatter\";s:12:\"text_default\";s:13:\"column_groups\";a:0:{}}s:28:\"field_item:video_embed_field\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:17:\"video_embed_field\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Video Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Stores a video and then outputs some embed code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:27:\"video_embed_field_textfield\";s:17:\"default_formatter\";s:23:\"video_embed_field_video\";s:11:\"constraints\";a:1:{s:20:\"VideoEmbedValidation\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldType\\VideoEmbedField\";s:8:\"provider\";s:17:\"video_embed_field\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:language\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"An entity field referencing a language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"language_select\";s:17:\"default_formatter\";s:8:\"language\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}s:5:\"class\";s:35:\"Drupal\\language\\DefaultLanguageItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:27:\"field_item:entity_reference\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:16:\"entity_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"An entity field containing an entity reference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:29:\"entity_reference_autocomplete\";s:17:\"default_formatter\";s:22:\"entity_reference_label\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:60:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EntityReferenceItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:16:\"field_item:email\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:5:\"email\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"An entity field containing an email value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"email_default\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EmailItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:15:\"field_item:uuid\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"uuid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"An entity field containing a UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:49:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UuidItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:password\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"password\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"An entity field containing a password value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\PasswordItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:integer\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"This field stores a number in the database as an integer.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_integer\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\IntegerItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:changed\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"changed\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:85:\"An entity field containing a UNIX timestamp of when the entity has been last updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:10:\"list_class\";s:39:\"\\Drupal\\Core\\Field\\ChangedFieldItemList\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\ChangedItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:20:\"field_item:timestamp\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"An entity field containing a UNIX timestamp value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Range\";a:2:{s:3:\"min\";s:11:\"-2147483648\";s:3:\"max\";s:10:\"2147483648\";}}}}s:5:\"class\";s:54:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\TimestampItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:16:\"field_item:float\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:5:\"float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Number (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:70:\"This field stores a number in the database in a floating point format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\FloatItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:14:\"field_item:uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"An entity field containing a URI.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"uri_link\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UriItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:17:\"field_item:string\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text (plain)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"A field containing a plain string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"string_textfield\";s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:51:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:22:\"field_item:string_long\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:11:\"string_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Text (plain, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"A field containing a long string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"string_textarea\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:55:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringLongItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:boolean\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"An entity field containing a boolean value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"boolean_checkbox\";s:17:\"default_formatter\";s:7:\"boolean\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\BooleanItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:created\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"created\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:80:\"An entity field containing a UNIX timestamp of when the entity has been created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\CreatedItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:decimal\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"decimal\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (decimal)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"This field stores a number in the database in a fixed decimal format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\DecimalItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:14:\"field_item:map\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:3:\"map\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Map\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field for storing a serialized array of values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:35:\"\\Drupal\\Core\\Field\\MapFieldItemList\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\MapItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:3:\"uri\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Uri\";s:8:\"provider\";s:4:\"core\";}s:7:\"boolean\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\BooleanData\";s:8:\"provider\";s:4:\"core\";}s:4:\"list\";a:8:{s:16:\"definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"list\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"List of items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:8:\"provider\";s:4:\"core\";}s:3:\"any\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"any\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Any data\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Any\";s:8:\"provider\";s:4:\"core\";}s:3:\"map\";a:8:{s:16:\"definition_class\";s:40:\"\\Drupal\\Core\\TypedData\\MapDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"map\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Map\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Map\";s:8:\"provider\";s:4:\"core\";}s:8:\"timespan\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"timespan\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Time span in seconds\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\TimeSpan\";s:8:\"provider\";s:4:\"core\";}s:5:\"float\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Float\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\FloatData\";s:8:\"provider\";s:4:\"core\";}s:9:\"timestamp\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Timestamp\";s:8:\"provider\";s:4:\"core\";}s:5:\"email\";a:9:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"email\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:5:\"Email\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Email\";s:8:\"provider\";s:4:\"core\";}s:6:\"binary\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"binary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Binary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:48:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\BinaryData\";s:8:\"provider\";s:4:\"core\";}s:8:\"language\";a:9:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"A language object.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Language\";s:8:\"provider\";s:4:\"core\";}s:6:\"string\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"String\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:48:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\StringData\";s:8:\"provider\";s:4:\"core\";}s:16:\"datetime_iso8601\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"datetime_iso8601\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\DateTimeIso8601\";s:8:\"provider\";s:4:\"core\";}s:7:\"integer\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Integer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\IntegerData\";s:8:\"provider\";s:4:\"core\";}s:18:\"language_reference\";a:8:{s:16:\"definition_class\";s:46:\"\\Drupal\\Core\\TypedData\\DataReferenceDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:18:\"language_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Language reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:55:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\LanguageReference\";s:8:\"provider\";s:4:\"core\";}s:16:\"duration_iso8601\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"duration_iso8601\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Duration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\DurationIso8601\";s:8:\"provider\";s:4:\"core\";}}',-1,1674804012.215,1,'','0'),('user.field_storage_definitions.installed','a:18:{s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"preferred_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Preferred language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"The user\'s preferred language code for receiving emails and viewing the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:18:\"preferred_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}s:18:\"\0*\0fieldDefinition\";r:105;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:24:\"preferred_admin_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Preferred admin language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"The user\'s preferred language code for viewing administration pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";N;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:24:\"preferred_admin_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}s:18:\"\0*\0fieldDefinition\";r:141;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The name of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"constraints\";a:2:{s:8:\"UserName\";a:0:{}s:14:\"UserNameUnique\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:5:\"class\";s:25:\"\\Drupal\\user\\UserNameItem\";}s:18:\"\0*\0fieldDefinition\";r:180;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"pass\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"pass\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:password\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:218;}s:7:\"\0*\0type\";s:8:\"password\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The email of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:11:\"constraints\";a:3:{s:14:\"UserMailUnique\";N;s:16:\"UserMailRequired\";N;s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:253;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"timezone\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"timezone\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:44:\"Drupal\\user\\Entity\\User::getAllowedTimezones\";}}}}}s:18:\"\0*\0fieldDefinition\";r:289;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:327;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:367;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:395;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"access\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"access\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:424;}s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"login\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"login\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:455;}s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"init\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"init\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:486;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"roles\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The roles the user has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"roles\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"user_role\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:518;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:554;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"user_picture\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"user.user_picture\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8067c901-4997-4726-9a00-d85626469302\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:17:\"user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}}',-1,1674804012.849,1,'','0'),('views:access','a:3:{s:4:\"perm\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:6:\"access\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Permission\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"Access will be granted to users with the specified permission string.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"perm\";s:5:\"class\";s:42:\"Drupal\\user\\Plugin\\views\\access\\Permission\";s:8:\"provider\";s:4:\"user\";}s:4:\"role\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:6:\"access\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Access will be granted to users with any of the specified roles.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"role\";s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\views\\access\\Role\";s:8:\"provider\";s:4:\"user\";}s:4:\"none\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:6:\"access\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Unrestricted\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Will be available to all users.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"none\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\access\\None\";s:8:\"provider\";s:5:\"views\";}}',-1,1674804011.481,1,'','0'),('views:display','a:7:{s:5:\"embed\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"Provide a display which can be embedded using the views api.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:5:\"embed\";s:5:\"theme\";s:10:\"views_view\";s:15:\"uses_menu_links\";b:0;s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\display\\Embed\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:4:\"page\";a:15:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Display the view as a page, with a URL and menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"page\";s:15:\"uses_menu_links\";b:1;s:10:\"uses_route\";b:1;s:26:\"contextual_links_locations\";a:1:{i:0;s:4:\"page\";}s:5:\"theme\";s:10:\"views_view\";s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:5:\"block\";a:14:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Display the view as a block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:5:\"block\";s:5:\"theme\";s:10:\"views_view\";s:15:\"uses_hook_block\";b:1;s:26:\"contextual_links_locations\";a:1:{i:0;s:5:\"block\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\display\\Block\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:7:\"default\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Default settings for this view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:7:\"default\";s:5:\"theme\";s:10:\"views_view\";s:5:\"no_ui\";b:1;s:5:\"class\";s:48:\"Drupal\\views\\Plugin\\views\\display\\DefaultDisplay\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:4:\"feed\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Feed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Feed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Display the view as a feed, such as an RSS feed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"feed\";s:10:\"uses_route\";b:1;s:16:\"returns_response\";b:1;s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:16:\"entity_reference\";a:14:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Entity Reference Source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Selects referenceable entities for an entity reference field.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_reference\";s:5:\"theme\";s:10:\"views_view\";s:15:\"uses_menu_links\";b:0;s:24:\"entity_reference_display\";b:1;s:5:\"class\";s:49:\"Drupal\\views\\Plugin\\views\\display\\EntityReference\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:10:\"attachment\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Attachment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:79:\"Attachments added to other displays to achieve multiple views in the same view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:10:\"attachment\";s:5:\"theme\";s:10:\"views_view\";s:26:\"contextual_links_locations\";a:1:{i:0;s:0:\"\";}s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\display\\Attachment\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}}',-1,1674804011.341,1,'','0');
/*!40000 ALTER TABLE `cache_discovery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_dynamic_page_cache`
--

DROP TABLE IF EXISTS `cache_dynamic_page_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_dynamic_page_cache` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_dynamic_page_cache`
--

LOCK TABLES `cache_dynamic_page_cache` WRITE;
/*!40000 ALTER TABLE `cache_dynamic_page_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_dynamic_page_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_entity`
--

DROP TABLE IF EXISTS `cache_entity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_entity` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_entity`
--

LOCK TABLES `cache_entity` WRITE;
/*!40000 ALTER TABLE `cache_entity` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_entity` VALUES ('values:menu_link_content:1','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"c5d6929d-00de-42ac-9063-9988171e864f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Register\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:23:\"internal:/user/register\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450060536\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:14:\"anonymous-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"1\";s:8:\"revision\";s:1:\"1\";s:5:\"label\";s:8:\"Register\";s:4:\"uuid\";s:36:\"c5d6929d-00de-42ac-9063-9988171e864f\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"1\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:10','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"0d08bf56-025e-4ee8-a700-f6ba5648d3c0\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Log out\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:21:\"internal:/user/logout\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450065991\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:7:\"account\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"10\";s:8:\"revision\";s:2:\"10\";s:5:\"label\";s:7:\"Log out\";s:4:\"uuid\";s:36:\"0d08bf56-025e-4ee8-a700-f6ba5648d3c0\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"10\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:11','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"11\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"11\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"fd92bc46-e9e1-436a-9f04-4ae46fa5b016\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Business\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/10\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-50\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"11\";s:8:\"revision\";s:2:\"11\";s:5:\"label\";s:8:\"Business\";s:4:\"uuid\";s:36:\"fd92bc46-e9e1-436a-9f04-4ae46fa5b016\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"11\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:12','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"12\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"12\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"172c78c7-def1-4223-8a02-2fe370de8159\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:9:\"Education\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:25:\"internal:/taxonomy/term/3\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-49\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"12\";s:8:\"revision\";s:2:\"12\";s:5:\"label\";s:9:\"Education\";s:4:\"uuid\";s:36:\"172c78c7-def1-4223-8a02-2fe370de8159\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"12\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:13','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"13\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"13\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"a87533f7-ef49-4443-992f-47788a5b1dae\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Fashion\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:25:\"internal:/taxonomy/term/6\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-48\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"13\";s:8:\"revision\";s:2:\"13\";s:5:\"label\";s:7:\"Fashion\";s:4:\"uuid\";s:36:\"a87533f7-ef49-4443-992f-47788a5b1dae\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"13\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:14','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"14\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"14\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"2fc6e920-c293-4e23-bd07-7d5080159edf\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:15:\"Health & Beauty\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/30\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-47\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"14\";s:8:\"revision\";s:2:\"14\";s:5:\"label\";s:15:\"Health & Beauty\";s:4:\"uuid\";s:36:\"2fc6e920-c293-4e23-bd07-7d5080159edf\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"14\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:15','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"15\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"15\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"f6fb6125-edd4-459a-b400-c24827d008e9\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Hospital\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/13\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-46\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"15\";s:8:\"revision\";s:2:\"15\";s:5:\"label\";s:8:\"Hospital\";s:4:\"uuid\";s:36:\"f6fb6125-edd4-459a-b400-c24827d008e9\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"15\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:16','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"16\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"16\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"76326b7a-b3ca-4629-ac2b-432607c6a83f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Sports\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:25:\"internal:/taxonomy/term/7\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-45\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"16\";s:8:\"revision\";s:2:\"16\";s:5:\"label\";s:6:\"Sports\";s:4:\"uuid\";s:36:\"76326b7a-b3ca-4629-ac2b-432607c6a83f\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"16\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:17','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"17\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"17\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"a8d01f6b-3277-427a-9400-eaa7806644f9\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:4:\"More\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/23\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-44\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"17\";s:8:\"revision\";s:2:\"17\";s:5:\"label\";s:4:\"More\";s:4:\"uuid\";s:36:\"a8d01f6b-3277-427a-9400-eaa7806644f9\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"17\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:18','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"18\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"18\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"5aeb6703-c454-4d41-9b49-73e04f8078db\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Nature\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/17\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450066369\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-50\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"18\";s:8:\"revision\";s:2:\"18\";s:5:\"label\";s:6:\"Nature\";s:4:\"uuid\";s:36:\"5aeb6703-c454-4d41-9b49-73e04f8078db\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"18\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:19','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"19\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"19\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"58fba109-dc9e-4d88-ba04-4a67217ccfc6\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Others\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/20\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450938387\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-47\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"19\";s:8:\"revision\";s:2:\"19\";s:5:\"label\";s:6:\"Others\";s:4:\"uuid\";s:36:\"58fba109-dc9e-4d88-ba04-4a67217ccfc6\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"19\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:2','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"581338a7-370f-4cdb-8c05-5e6151d94574\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:5:\"Login\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:20:\"internal:/user/login\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450060555\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:14:\"anonymous-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"2\";s:8:\"revision\";s:1:\"2\";s:5:\"label\";s:5:\"Login\";s:4:\"uuid\";s:36:\"581338a7-370f-4cdb-8c05-5e6151d94574\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"2\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:20','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"20\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"20\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Travel\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:25:\"internal:/taxonomy/term/4\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450938387\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-49\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"20\";s:8:\"revision\";s:2:\"20\";s:5:\"label\";s:6:\"Travel\";s:4:\"uuid\";s:36:\"fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"20\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:21','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"21\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"21\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"45df0c1b-5560-49da-8761-9789fa68299e\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Wedding\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:26:\"internal:/taxonomy/term/25\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450938387\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:15:\"categories-menu\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-48\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"21\";s:8:\"revision\";s:2:\"21\";s:5:\"label\";s:7:\"Wedding\";s:4:\"uuid\";s:36:\"45df0c1b-5560-49da-8761-9789fa68299e\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"21\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:22','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"22\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"22\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"d29ce013-0882-4097-8800-bb5160bf01bb\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:5:\"Pages\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:15:\"internal:/pages\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450076095\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-48\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"22\";s:8:\"revision\";s:2:\"22\";s:5:\"label\";s:5:\"Pages\";s:4:\"uuid\";s:36:\"d29ce013-0882-4097-8800-bb5160bf01bb\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"22\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:4','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"ea317148-07e9-4d7c-a300-f6fac4d9f9e4\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Forums\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:15:\"internal:/forum\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450076095\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-50\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"4\";s:8:\"revision\";s:1:\"4\";s:5:\"label\";s:6:\"Forums\";s:4:\"uuid\";s:36:\"ea317148-07e9-4d7c-a300-f6fac4d9f9e4\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"4\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:5','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"13010224-23c2-4f52-a821-33e998c7b67a\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:10:\"Categories\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:20:\"internal:/categories\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450076095\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-49\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"5\";s:8:\"revision\";s:1:\"5\";s:5:\"label\";s:10:\"Categories\";s:4:\"uuid\";s:36:\"13010224-23c2-4f52-a821-33e998c7b67a\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"5\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:6','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"90715f0e-4a87-49e4-8700-ac85484106b2\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Showcase\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:18:\"internal:/showcase\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450076095\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-46\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"6\";s:8:\"revision\";s:1:\"6\";s:5:\"label\";s:8:\"Showcase\";s:4:\"uuid\";s:36:\"90715f0e-4a87-49e4-8700-ac85484106b2\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"6\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:7','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"3a682f53-74f2-4d7d-b652-825d873ffaa2\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:4:\"Blog\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:15:\"internal:/blogs\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450076095\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-45\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"7\";s:8:\"revision\";s:1:\"7\";s:5:\"label\";s:4:\"Blog\";s:4:\"uuid\";s:36:\"3a682f53-74f2-4d7d-b652-825d873ffaa2\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"7\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:menu_link_content:9','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"9\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"9\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"5d61c9f4-a774-49f9-9e02-2a8c41acf283\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Contact\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:17:\"internal:/contact\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450076095\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-44\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"9\";s:8:\"revision\";s:1:\"9\";s:5:\"label\";s:7:\"Contact\";s:4:\"uuid\";s:36:\"5d61c9f4-a774-49f9-9e02-2a8c41acf283\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"9\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:15:\"\0*\0insidePlugin\";b:0;}',-1,1674804012.853,1,'entity_field_info menu_link_content_values','410'),('values:node:38','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:22:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"38\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"38\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:4:\"page\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"505a7fb5-6eee-4029-b823-357c5fede922\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1450074687\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:5:\"Pages\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1450074658\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450074687\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:6140:\"<p>Aliquam aliquam tristique aliquam. Quisque eleifend eget turpis blandit commodo. Donec quis ante lacinia, dapibus diam at, auctor risus? Vestibulum porta interdum suscipit? Ut neque nunc, tincidunt nec nisl ut, elementum ultricies orci. Nam sit amet auctor enim. Suspendisse congue nulla sed sagittis auctor! Ut venenatis nulla turpis, vel fringilla lacus elementum sit amet. Nunc eu nunc gravida, dictum orci vel, cursus velit. Nam tincidunt nunc quis nunc congue, at sagittis nisi ultricies. Nam vitae consectetur ante. Phasellus at sapien metus.</p>\r\n\r\n<p>Proin leo purus, imperdiet et enim quis, faucibus rutrum nisi. Aliquam venenatis urna nec tellus commodo, vel auctor purus semper? Nullam ultricies dignissim nulla, vitae fermentum lectus faucibus nec. Nulla facilisi. In hac habitasse platea dictumst. Mauris orci arcu, imperdiet sed accumsan porttitor, vulputate sit amet augue. Sed ultricies est vitae libero semper; quis sagittis ligula fringilla. Maecenas a risus sed diam consequat aliquam. Vivamus molestie tempus luctus. Etiam condimentum nunc a purus accumsan bibendum.</p>\r\n\r\n<p>Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.</p>\r\n\r\n<p>Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sanctus sea sed takimata ut vero voluptua. Lorem ipsum dolor sit amet. At vero eos et accusam et justo duo dolores et ea rebum.</p>\r\n\r\n<p>Consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus.</p>\r\n\r\n<p>Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.</p>\r\n\r\n<p>Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus.</p>\r\n\r\n<p>Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Phasellus consectetuer vestibulum elit. Aenean tellus metus, bibendum sed, posuere ac, mattis non, nunc. Vestibulum fringilla pede sit amet augue. In turpis. Pellentesque posuere. Praesent turpis. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Nullam sagittis. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Ut varius tincidunt libero. Phasellus dolor. Maecenas vestibulum mollis</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:10:\"basic_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:4:\"page\";s:2:\"id\";s:2:\"38\";s:8:\"revision\";s:2:\"38\";s:5:\"label\";s:5:\"Pages\";s:4:\"uuid\";s:36:\"505a7fb5-6eee-4029-b823-357c5fede922\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"38\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:10:\"in_preview\";N;}',-1,1674804013.032,1,'entity_field_info node_values','410'),('values:taxonomy_term:10','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"3c8edc49-64de-4f33-8857-877631445f4f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:8:\"Business\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450074850\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"37\";s:3:\"alt\";s:8:\"Business\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"564\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"10\";s:8:\"revision\";s:2:\"10\";s:5:\"label\";s:8:\"Business\";s:4:\"uuid\";s:36:\"3c8edc49-64de-4f33-8857-877631445f4f\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"10\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.929,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:13','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"13\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"13\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"de02d3fe-c5e4-4471-8310-16d27844e597\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:8:\"Hospital\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075017\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"41\";s:3:\"alt\";s:8:\"Hospital\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"683\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"13\";s:8:\"revision\";s:2:\"13\";s:5:\"label\";s:8:\"Hospital\";s:4:\"uuid\";s:36:\"de02d3fe-c5e4-4471-8310-16d27844e597\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"13\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.996,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:17','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"17\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"17\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"9f091ec4-c8a6-44e8-a315-21fbf81a8fcd\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:6:\"Nature\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075381\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"47\";s:3:\"alt\";s:6:\"Nature\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"333\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"17\";s:8:\"revision\";s:2:\"17\";s:5:\"label\";s:6:\"Nature\";s:4:\"uuid\";s:36:\"9f091ec4-c8a6-44e8-a315-21fbf81a8fcd\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"17\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804013.006,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:20','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"20\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"20\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"37a7b323-75b9-40d5-a45f-95f16869af5f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:6:\"Others\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075418\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"48\";s:3:\"alt\";s:6:\"Others\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"167\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"20\";s:8:\"revision\";s:2:\"20\";s:5:\"label\";s:6:\"Others\";s:4:\"uuid\";s:36:\"37a7b323-75b9-40d5-a45f-95f16869af5f\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"20\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804013.009,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:23','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"23\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"23\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"20be78d5-a6e1-4aa4-a414-202adfe1e7a8\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:4:\"More\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075353\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"46\";s:3:\"alt\";s:4:\"More\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"511\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"23\";s:8:\"revision\";s:2:\"23\";s:5:\"label\";s:4:\"More\";s:4:\"uuid\";s:36:\"20be78d5-a6e1-4aa4-a414-202adfe1e7a8\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"23\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804013.002,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:25','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"25\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"25\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"33b3f693-304d-4409-8200-e1f80f0e9981\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:7:\"Wedding\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075520\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"51\";s:3:\"alt\";s:7:\"Wedding\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"500\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"25\";s:8:\"revision\";s:2:\"25\";s:5:\"label\";s:7:\"Wedding\";s:4:\"uuid\";s:36:\"33b3f693-304d-4409-8200-e1f80f0e9981\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"25\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804013.019,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:3','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"3\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"3\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"4cd5d5ab-b2d6-4b8a-9e01-01db59cc7d6f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:9:\"Education\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450074873\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"38\";s:3:\"alt\";s:9:\"Education\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"500\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:1:\"3\";s:8:\"revision\";s:1:\"3\";s:5:\"label\";s:9:\"Education\";s:4:\"uuid\";s:36:\"4cd5d5ab-b2d6-4b8a-9e01-01db59cc7d6f\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"3\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.953,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:30','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:2:\"30\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"30\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"1368d8d0-b897-446d-9507-07a8a784204b\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:15:\"Health & Beauty\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450074991\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"40\";s:3:\"alt\";s:17:\"Health and Beauty\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"563\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:2:\"30\";s:8:\"revision\";s:2:\"30\";s:5:\"label\";s:15:\"Health & Beauty\";s:4:\"uuid\";s:36:\"1368d8d0-b897-446d-9507-07a8a784204b\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"30\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.993,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:4','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"c7cb3fc2-b199-4818-9600-d4658d8cb94a\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:6:\"Travel\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075486\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"50\";s:3:\"alt\";s:6:\"Travel\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:3:\"500\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:1:\"4\";s:8:\"revision\";s:1:\"4\";s:5:\"label\";s:6:\"Travel\";s:4:\"uuid\";s:36:\"c7cb3fc2-b199-4818-9600-d4658d8cb94a\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"4\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804013.016,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:6','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"4a22b749-5eec-40f2-9008-8e460bff4cdf\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:7:\"Fashion\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450074957\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"39\";s:3:\"alt\";s:7:\"Fashion\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"750\";s:6:\"height\";s:4:\"1061\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:1:\"6\";s:8:\"revision\";s:1:\"6\";s:5:\"label\";s:7:\"Fashion\";s:4:\"uuid\";s:36:\"4a22b749-5eec-40f2-9008-8e460bff4cdf\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"6\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.989,1,'entity_field_info taxonomy_term_values','410'),('values:taxonomy_term:7','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:19:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:10:\"categories\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7001d617-172f-4dff-be00-c4ff4fe1e0da\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:6:\"Sports\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1450075462\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}s:11:\"field_image\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"49\";s:3:\"alt\";s:5:\"Sport\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"134\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:10:\"categories\";s:2:\"id\";s:1:\"7\";s:8:\"revision\";s:1:\"7\";s:5:\"label\";s:6:\"Sports\";s:4:\"uuid\";s:36:\"7001d617-172f-4dff-be00-c4ff4fe1e0da\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"7\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.999,1,'entity_field_info taxonomy_term_values','410'),('values:user:0','O:23:\"Drupal\\user\\Entity\\User\":28:{s:15:\"\0*\0entityTypeId\";s:4:\"user\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:9:\"\0*\0values\";a:16:{s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"59ea2ed1-a0de-4525-b800-eabff080b975\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:18:\"preferred_langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:24:\"preferred_admin_langcode\";a:1:{s:9:\"x-default\";N;}s:4:\"name\";a:1:{s:9:\"x-default\";s:0:\"\";}s:4:\"pass\";a:1:{s:9:\"x-default\";N;}s:4:\"mail\";a:1:{s:9:\"x-default\";N;}s:8:\"timezone\";a:1:{s:9:\"x-default\";s:0:\"\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1449816843\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1449816843\";}s:6:\"access\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:5:\"login\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:4:\"init\";a:1:{s:9:\"x-default\";N;}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:3:{s:6:\"bundle\";s:4:\"user\";s:2:\"id\";s:1:\"0\";s:4:\"uuid\";s:36:\"59ea2ed1-a0de-4525-b800-eabff080b975\";}s:25:\"\0*\0translatableEntityKeys\";a:2:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1674804012.909,1,'entity_field_info user_values','410');
/*!40000 ALTER TABLE `cache_entity` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_library`
--

DROP TABLE IF EXISTS `cache_library`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_library` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_library`
--

LOCK TABLES `cache_library` WRITE;
/*!40000 ALTER TABLE `cache_library` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_library` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_render`
--

DROP TABLE IF EXISTS `cache_render`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_render` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_render`
--

LOCK TABLES `cache_render` WRITE;
/*!40000 ALTER TABLE `cache_render` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_render` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_toolbar`
--

DROP TABLE IF EXISTS `cache_toolbar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_toolbar` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_toolbar`
--

LOCK TABLES `cache_toolbar` WRITE;
/*!40000 ALTER TABLE `cache_toolbar` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_toolbar` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cachetags`
--

DROP TABLE IF EXISTS `cachetags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cachetags` (
  `tag` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Namespace-prefixed tag string.',
  `invalidations` int(11) NOT NULL DEFAULT 0 COMMENT 'Number incremented when the tag is invalidated.',
  PRIMARY KEY (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Cache table for tracking cache tag invalidations.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cachetags`
--

LOCK TABLES `cachetags` WRITE;
/*!40000 ALTER TABLE `cachetags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cachetags` VALUES ('4xx-response',131),('block_content:2',1),('block_content_list',1),('block_content_list:basic',1),('block_content_view',1),('breakpoints',119),('comment_view',1),('component_item:17',1),('component_item:18',1),('component_item:31',1),('component_item_list',7),('component_item_list:accordion',1),('component_item_list:article_summary',2),('component_item_list:basic_component',1),('component_item_list:grid',5),('component_item_list:push_image',1),('component_item_list:sidebar_summary',1),('component_item_view',5),('component_wrapper:2',1),('component_wrapper:3',2),('component_wrapper:4',2),('component_wrapper:8',1),('component_wrapper_list',9),('component_wrapper_view',3),('config:action_list',4),('config:admin_toolbar_tools.settings',1),('config:automated_cron.settings',1),('config:block.block.aboutus',1),('config:block.block.anonymousmenu',2),('config:block.block.bartik_account_menu',2),('config:block.block.bartik_branding',1),('config:block.block.bartik_breadcrumbs',1),('config:block.block.bartik_content',1),('config:block.block.bartik_footer',2),('config:block.block.bartik_help',1),('config:block.block.bartik_local_actions',1),('config:block.block.bartik_local_tasks',1),('config:block.block.bartik_main_menu',2),('config:block.block.bartik_messages',1),('config:block.block.bartik_page_title',1),('config:block.block.bartik_powered',1),('config:block.block.bartik_search',2),('config:block.block.bartik_tools',2),('config:block.block.categoriesmenu_2',1),('config:block.block.copyright',1),('config:block.block.generalinformation',1),('config:block.block.gmap',1),('config:block.block.mainnavigation_2',1),('config:block.block.pinteros_account_menu',2),('config:block.block.pinteros_branding',1),('config:block.block.pinteros_breadcrumbs',1),('config:block.block.pinteros_content',1),('config:block.block.pinteros_footer',2),('config:block.block.pinteros_help',1),('config:block.block.pinteros_local_actions',1),('config:block.block.pinteros_local_tasks',1),('config:block.block.pinteros_main_menu',2),('config:block.block.pinteros_messages',1),('config:block.block.pinteros_page_title',1),('config:block.block.pinteros_powered',1),('config:block.block.pinteros_search',2),('config:block.block.pinteros_tools',2),('config:block.block.realtime',1),('config:block.block.searchform',2),('config:block.block.seven_breadcrumbs',1),('config:block.block.seven_content',1),('config:block.block.seven_help',1),('config:block.block.seven_local_actions',1),('config:block.block.seven_login',1),('config:block.block.seven_messages',1),('config:block.block.seven_page_title',1),('config:block.block.seven_primary_local_tasks',1),('config:block.block.seven_secondary_local_tasks',1),('config:block.block.simplenewssubscription',2),('config:block.block.socialmenu',1),('config:block.block.test_themes_aboutus',1),('config:block.block.test_themes_account_menu',2),('config:block.block.test_themes_anonymousmenu',2),('config:block.block.test_themes_branding',1),('config:block.block.test_themes_breadcrumbs',1),('config:block.block.test_themes_categoriesmenu',2),('config:block.block.test_themes_content',1),('config:block.block.test_themes_copyright',1),('config:block.block.test_themes_footer',2),('config:block.block.test_themes_generalinformation',1),('config:block.block.test_themes_gmap',1),('config:block.block.test_themes_help',1),('config:block.block.test_themes_local_actions',1),('config:block.block.test_themes_local_tasks',1),('config:block.block.test_themes_mainnavigation',2),('config:block.block.test_themes_main_menu',2),('config:block.block.test_themes_messages',1),('config:block.block.test_themes_page_title',1),('config:block.block.test_themes_powered',1),('config:block.block.test_themes_realtime',1),('config:block.block.test_themes_search',2),('config:block.block.test_themes_searchform',2),('config:block.block.test_themes_simplenewssubscription',1),('config:block.block.test_themes_socialmenu',1),('config:block.block.test_themes_tools',2),('config:block.block.test_themes_useraccountmenu',2),('config:block.block.test_themes_views_block__comments_recent_block_1',1),('config:block.block.test_themes_views_block__featured_posts_block_1',1),('config:block.block.test_themes_views_block__featured_posts_block_2',1),('config:block.block.test_themes_views_block__tags_in_tags_block_1',1),('config:block.block.useraccountmenu',2),('config:block.block.views_block__comments_recent_block_1',1),('config:block.block.views_block__featured_posts_block_1',1),('config:block.block.views_block__featured_posts_block_2',1),('config:block.block.views_block__tags_in_tags_block_1',1),('config:block_content.type.basic',1),('config:block_list',3),('config:comment.settings',1),('config:comment.type.comment',1),('config:comment.type.comment_forum',1),('config:component_item.component_item_setting',1),('config:component_item_type_list',3),('config:contact.form.feedback',1),('config:contact.form.personal',1),('config:contact.settings',2),('config:core.base_field_override.block_content.basic.changed',1),('config:core.base_field_override.block_content.basic.info',1),('config:core.base_field_override.comment.comment.changed',1),('config:core.base_field_override.comment.comment.created',1),('config:core.base_field_override.comment.comment.homepage',1),('config:core.base_field_override.comment.comment.hostname',1),('config:core.base_field_override.comment.comment.mail',1),('config:core.base_field_override.comment.comment.name',1),('config:core.base_field_override.comment.comment.status',1),('config:core.base_field_override.comment.comment.subject',1),('config:core.base_field_override.comment.comment.uid',1),('config:core.base_field_override.comment.comment_forum.changed',1),('config:core.base_field_override.comment.comment_forum.created',1),('config:core.base_field_override.comment.comment_forum.homepage',1),('config:core.base_field_override.comment.comment_forum.hostname',1),('config:core.base_field_override.comment.comment_forum.mail',1),('config:core.base_field_override.comment.comment_forum.name',1),('config:core.base_field_override.comment.comment_forum.status',1),('config:core.base_field_override.comment.comment_forum.subject',1),('config:core.base_field_override.comment.comment_forum.uid',1),('config:core.base_field_override.menu_link_content.menu_link_content.changed',1),('config:core.base_field_override.menu_link_content.menu_link_content.description',1),('config:core.base_field_override.menu_link_content.menu_link_content.title',1),('config:core.base_field_override.node.article.changed',1),('config:core.base_field_override.node.article.created',1),('config:core.base_field_override.node.article.path',1),('config:core.base_field_override.node.article.promote',1),('config:core.base_field_override.node.article.status',1),('config:core.base_field_override.node.article.sticky',1),('config:core.base_field_override.node.article.title',1),('config:core.base_field_override.node.article.uid',2),('config:core.base_field_override.node.forum.changed',1),('config:core.base_field_override.node.forum.created',1),('config:core.base_field_override.node.forum.path',1),('config:core.base_field_override.node.forum.promote',1),('config:core.base_field_override.node.forum.status',1),('config:core.base_field_override.node.forum.sticky',1),('config:core.base_field_override.node.forum.title',1),('config:core.base_field_override.node.forum.uid',2),('config:core.base_field_override.node.page.changed',1),('config:core.base_field_override.node.page.created',1),('config:core.base_field_override.node.page.path',1),('config:core.base_field_override.node.page.promote',1),('config:core.base_field_override.node.page.status',1),('config:core.base_field_override.node.page.sticky',1),('config:core.base_field_override.node.page.title',1),('config:core.base_field_override.node.page.uid',2),('config:core.base_field_override.node.showcase.changed',1),('config:core.base_field_override.node.showcase.created',1),('config:core.base_field_override.node.showcase.path',1),('config:core.base_field_override.node.showcase.promote',1),('config:core.base_field_override.node.showcase.status',1),('config:core.base_field_override.node.showcase.sticky',1),('config:core.base_field_override.node.showcase.title',1),('config:core.base_field_override.node.showcase.uid',2),('config:core.base_field_override.node.simplenews_issue.changed',1),('config:core.base_field_override.node.simplenews_issue.created',1),('config:core.base_field_override.node.simplenews_issue.path',1),('config:core.base_field_override.node.simplenews_issue.promote',1),('config:core.base_field_override.node.simplenews_issue.status',1),('config:core.base_field_override.node.simplenews_issue.sticky',1),('config:core.base_field_override.node.simplenews_issue.title',1),('config:core.base_field_override.node.simplenews_issue.uid',2),('config:core.base_field_override.shortcut.default.title',1),('config:core.base_field_override.taxonomy_term.categories.changed',1),('config:core.base_field_override.taxonomy_term.categories.description',1),('config:core.base_field_override.taxonomy_term.categories.name',1),('config:core.base_field_override.taxonomy_term.categories.path',1),('config:core.base_field_override.taxonomy_term.forums.changed',1),('config:core.base_field_override.taxonomy_term.forums.description',1),('config:core.base_field_override.taxonomy_term.forums.name',1),('config:core.base_field_override.taxonomy_term.forums.path',1),('config:core.base_field_override.taxonomy_term.tags.changed',1),('config:core.base_field_override.taxonomy_term.tags.description',1),('config:core.base_field_override.taxonomy_term.tags.name',1),('config:core.base_field_override.taxonomy_term.tags.path',1),('config:core.base_field_override.user.user.changed',1),('config:core.date_format.fallback',1),('config:core.date_format.html_date',1),('config:core.date_format.html_datetime',1),('config:core.date_format.html_month',1),('config:core.date_format.html_time',1),('config:core.date_format.html_week',1),('config:core.date_format.html_year',1),('config:core.date_format.html_yearless_date',1),('config:core.date_format.long',1),('config:core.date_format.medium',1),('config:core.date_format.short',1),('config:core.entity_form_display.block_content.basic.default',3),('config:core.entity_form_display.comment.comment.default',4),('config:core.entity_form_display.comment.comment_forum.default',4),('config:core.entity_form_display.component_wrapper.component_wrapper.default',3),('config:core.entity_form_display.node.article.default',4),('config:core.entity_form_display.node.blog.default',5),('config:core.entity_form_display.node.forum.default',4),('config:core.entity_form_display.node.page.default',7),('config:core.entity_form_display.node.showcase.default',4),('config:core.entity_form_display.node.simplenews_issue.default',4),('config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.account',2),('config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default',2),('config:core.entity_form_display.taxonomy_term.categories.default',2),('config:core.entity_form_display.taxonomy_term.forums.default',2),('config:core.entity_form_display.user.user.default',3),('config:core.entity_form_mode.simplenews_subscriber.account',1),('config:core.entity_form_mode.simplenews_subscriber.block',1),('config:core.entity_form_mode.simplenews_subscriber.page',1),('config:core.entity_form_mode.user.register',1),('config:core.entity_view_display.block_content.basic.default',1),('config:core.entity_view_display.comment.comment.default',2),('config:core.entity_view_display.comment.comment_forum.default',2),('config:core.entity_view_display.component_item.grid.grid_image_link',1),('config:core.entity_view_display.component_item.grid.grid_img_title',1),('config:core.entity_view_display.component_wrapper.component_wrapper.default',3),('config:core.entity_view_display.node.article.default',3),('config:core.entity_view_display.node.article.rss',2),('config:core.entity_view_display.node.article.teaser',3),('config:core.entity_view_display.node.blog.default',3),('config:core.entity_view_display.node.blog.teaser',3),('config:core.entity_view_display.node.forum.default',2),('config:core.entity_view_display.node.forum.teaser',2),('config:core.entity_view_display.node.page.default',4),('config:core.entity_view_display.node.page.teaser',3),('config:core.entity_view_display.node.showcase.default',2),('config:core.entity_view_display.node.showcase.teaser',2),('config:core.entity_view_display.node.simplenews_issue.email_html',1),('config:core.entity_view_display.node.simplenews_issue.email_plain',1),('config:core.entity_view_display.node.simplenews_issue.email_textalt',1),('config:core.entity_view_display.node.simplenews_issue.teaser',1),('config:core.entity_view_display.taxonomy_term.categories.default',1),('config:core.entity_view_display.taxonomy_term.forums.default',1),('config:core.entity_view_display.user.user.compact',2),('config:core.entity_view_display.user.user.default',3),('config:core.entity_view_mode.block.token',1),('config:core.entity_view_mode.block_content.full',1),('config:core.entity_view_mode.block_content.token',1),('config:core.entity_view_mode.comment.full',1),('config:core.entity_view_mode.comment.token',1),('config:core.entity_view_mode.contact_message.token',1),('config:core.entity_view_mode.file.token',1),('config:core.entity_view_mode.menu_link_content.token',1),('config:core.entity_view_mode.node.email_html',1),('config:core.entity_view_mode.node.email_plain',1),('config:core.entity_view_mode.node.email_textalt',1),('config:core.entity_view_mode.node.full',1),('config:core.entity_view_mode.node.rss',1),('config:core.entity_view_mode.node.search_index',1),('config:core.entity_view_mode.node.search_result',1),('config:core.entity_view_mode.node.teaser',1),('config:core.entity_view_mode.node.token',1),('config:core.entity_view_mode.shortcut.token',1),('config:core.entity_view_mode.simplenews_subscriber.token',1),('config:core.entity_view_mode.taxonomy_term.full',1),('config:core.entity_view_mode.taxonomy_term.token',1),('config:core.entity_view_mode.tour.token',1),('config:core.entity_view_mode.user.compact',1),('config:core.entity_view_mode.user.full',1),('config:core.entity_view_mode.user.token',1),('config:core.extension',12),('config:core.menu.static_menu_link_overrides',1),('config:dblog.settings',1),('config:editor.editor.basic_html',2),('config:editor.editor.full_html',2),('config:editor_list',1),('config:entity_form_display_list',10),('config:entity_view_display_list',10),('config:entity_view_mode_list',3),('config:field.field.block_content.basic.body',2),('config:field.field.comment.comment.comment_body',1),('config:field.field.comment.comment_forum.comment_body',1),('config:field.field.node.article.body',2),('config:field.field.node.article.comment',1),('config:field.field.node.article.field_image',1),('config:field.field.node.article.field_tags',1),('config:field.field.node.blog.body',2),('config:field.field.node.blog.comment',1),('config:field.field.node.blog.field_category',1),('config:field.field.node.blog.field_image',1),('config:field.field.node.blog.field_tags',1),('config:field.field.node.blog.field_video_link',1),('config:field.field.node.forum.body',2),('config:field.field.node.forum.comment_forum',1),('config:field.field.node.forum.taxonomy_forums',1),('config:field.field.node.page.body',2),('config:field.field.node.page.field_components',2),('config:field.field.node.showcase.body',2),('config:field.field.node.showcase.field_image',1),('config:field.field.node.showcase.field_link',1),('config:field.field.node.simplenews_issue.body',2),('config:field.field.node.simplenews_issue.simplenews_issue',2),('config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions',1),('config:field.field.taxonomy_term.categories.field_image',1),('config:field.field.taxonomy_term.forums.forum_container',1),('config:field.field.user.user.user_picture',1),('config:field.settings',1),('config:field.storage.block_content.body',1),('config:field.storage.comment.comment_body',1),('config:field.storage.node.body',1),('config:field.storage.node.comment',1),('config:field.storage.node.comment_forum',1),('config:field.storage.node.field_category',1),('config:field.storage.node.field_components',1),('config:field.storage.node.field_image',1),('config:field.storage.node.field_link',1),('config:field.storage.node.field_tags',1),('config:field.storage.node.field_video_link',1),('config:field.storage.node.simplenews_issue',1),('config:field.storage.node.taxonomy_forums',1),('config:field.storage.simplenews_subscriber.subscriptions',1),('config:field.storage.taxonomy_term.field_image',1),('config:field.storage.taxonomy_term.forum_container',1),('config:field.storage.user.user_picture',1),('config:field_ui.settings',1),('config:file.settings',2),('config:filter.format.basic_html',1),('config:filter.format.full_html',1),('config:filter.format.plain_text',1),('config:filter.format.restricted_html',1),('config:filter.settings',1),('config:forum.settings',1),('config:image.settings',1),('config:image.style.image_60x60_',2),('config:image.style.image_622x',2),('config:image.style.large',1),('config:image.style.medium',1),('config:image.style.thumbnail',1),('config:image_style_list',3),('config:language.content_settings.block_content.basic',1),('config:language.content_settings.comment.comment',1),('config:language.content_settings.comment.comment_forum',1),('config:language.content_settings.contact_message.feedback',1),('config:language.content_settings.contact_message.personal',1),('config:language.content_settings.file.file',1),('config:language.content_settings.menu_link_content.menu_link_content',1),('config:language.content_settings.node.article',1),('config:language.content_settings.node.blog',1),('config:language.content_settings.node.forum',1),('config:language.content_settings.node.page',1),('config:language.content_settings.node.showcase',1),('config:language.content_settings.node.simplenews_issue',1),('config:language.content_settings.path_alias.path_alias',2),('config:language.content_settings.shortcut.default',1),('config:language.content_settings.taxonomy_term.categories',1),('config:language.content_settings.taxonomy_term.forums',1),('config:language.content_settings.taxonomy_term.tags',1),('config:language.content_settings.user.user',1),('config:language.entity.ar',1),('config:language.entity.en',1),('config:language.entity.und',1),('config:language.entity.zxx',1),('config:language.mappings',1),('config:language.negotiation',1),('config:language.types',7),('config:locale.settings',3),('config:menu_ui.settings',1),('config:module_filter.settings',1),('config:node.settings',1),('config:node.type.article',1),('config:node.type.blog',1),('config:node.type.forum',1),('config:node.type.page',1),('config:node.type.showcase',1),('config:node.type.simplenews_issue',1),('config:pathauto.pattern.blog',2),('config:pathauto.pattern.showcase',2),('config:pathauto.settings',3),('config:pinteros.settings',1),('config:rdf.mapping.comment.comment',1),('config:rdf.mapping.node.article',1),('config:rdf.mapping.node.forum',1),('config:rdf.mapping.node.page',1),('config:rdf.mapping.taxonomy_term.forums',1),('config:rdf.mapping.taxonomy_term.tags',1),('config:rdf.mapping.user.user',1),('config:search.page.node_search',1),('config:search.page.user_search',1),('config:search.settings',1),('config:seven.settings',1),('config:shortcut.set.default',1),('config:simplenews.newsletter.default',2),('config:simplenews.settings',3),('config:simplenews_newsletter_list',1),('config:system.action.comment_delete_action',2),('config:system.action.comment_publish_action',2),('config:system.action.comment_save_action',2),('config:system.action.comment_unpublish_action',2),('config:system.action.node_delete_action',2),('config:system.action.node_make_sticky_action',1),('config:system.action.node_make_unsticky_action',1),('config:system.action.node_promote_action',1),('config:system.action.node_publish_action',2),('config:system.action.node_save_action',2),('config:system.action.node_unpromote_action',1),('config:system.action.node_unpublish_action',2),('config:system.action.pathauto_update_alias_node',1),('config:system.action.pathauto_update_alias_user',1),('config:system.action.simplenews_send_action',1),('config:system.action.simplenews_stop_action',1),('config:system.action.user_add_role_action.administrator',1),('config:system.action.user_block_user_action',1),('config:system.action.user_cancel_user_action',1),('config:system.action.user_remove_role_action.administrator',1),('config:system.action.user_unblock_user_action',1),('config:system.advisories',1),('config:system.authorize',1),('config:system.cron',1),('config:system.date',1),('config:system.diff',1),('config:system.file',3),('config:system.image',1),('config:system.image.gd',1),('config:system.logging',1),('config:system.mail',1),('config:system.maintenance',2),('config:system.menu.account',121),('config:system.menu.admin',121),('config:system.menu.anonymous-menu',121),('config:system.menu.categories-menu',121),('config:system.menu.footer',121),('config:system.menu.main',130),('config:system.menu.tools',121),('config:system.performance',2),('config:system.rss',2),('config:system.site',2),('config:system.theme',1),('config:system.theme.global',1),('config:taxonomy.settings',1),('config:taxonomy.vocabulary.categories',2),('config:taxonomy.vocabulary.forums',2),('config:taxonomy.vocabulary.tags',2),('config:taxonomy_vocabulary_list',2),('config:text.settings',1),('config:tour.tour.language',5),('config:tour.tour.language-add',2),('config:tour.tour.language-edit',2),('config:tour.tour.locale',2),('config:tour.tour.views-ui',2),('config:tour_list',1),('config:update.settings',1),('config:user.flood',1),('config:user.mail',2),('config:user.role.administrator',2),('config:user.role.anonymous',4),('config:user.role.authenticated',4),('config:user.settings',2),('config:user_role_list',5),('config:views.settings',2),('config:views.view.archive',7),('config:views.view.block_content',8),('config:views.view.categories',8),('config:views.view.comment',9),('config:views.view.comments_recent',7),('config:views.view.content',7),('config:views.view.content_recent',7),('config:views.view.featured_posts',8),('config:views.view.files',7),('config:views.view.frontpage',7),('config:views.view.glossary',8),('config:views.view.showcase',7),('config:views.view.simplenews_newsletters',8),('config:views.view.simplenews_subscribers',7),('config:views.view.tags_in_tags',7),('config:views.view.taxonomy_term',7),('config:views.view.user_admin_people',8),('config:views.view.watchdog',10),('config:views.view.who_s_new',8),('config:views.view.who_s_online',8),('config:view_list',8),('config_translation_info_plugins',119),('contextual_links_plugins',119),('element_info_build',119),('entity_bundles',106),('entity_field_info',410),('entity_types',162),('file:61',1),('file:63',1),('file:64',1),('file:65',1),('file:66',1),('file:67',1),('file:68',1),('file:69',1),('file:70',1),('file:71',1),('file:72',1),('file:73',1),('file:74',1),('file:75',1),('file:76',1),('file:77',1),('file:78',1),('file:79',1),('file:80',1),('file:81',1),('file:82',1),('file:83',1),('file:84',1),('file:85',1),('file:86',1),('file:87',1),('file:88',1),('file:89',1),('file:90',1),('file_list',36),('http_response',120),('link_relation_type',119),('local_action',119),('local_task',136),('menu_link_content:23',9),('menu_link_content_list',9),('menu_link_content_list:menu_link_content',9),('node:49',8),('node_list',9),('node_list:page',9),('node_view',9),('rendered',4),('routes',120),('route_match',123),('search_index:node_search',4),('simplenews_subscriber:1',1),('simplenews_subscriber:2',1),('simplenews_subscriber_list',2),('taxonomy_term_list',3),('taxonomy_term_list:component_types',3),('taxonomy_term_view',1),('theme_registry',12),('token_info',8),('user_view',2),('views_data',9);
/*!40000 ALTER TABLE `cachetags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `comment_type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`cid`),
  UNIQUE KEY `comment_field__uuid__value` (`uuid`),
  KEY `comment_field__comment_type__target_id` (`comment_type`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for comment entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,'comment','5c17ab18-7ed2-4871-bd5f-95f54b8a6ce3','en'),(2,'comment','c3657548-f914-4745-8b44-6872ee044153','en'),(3,'comment','e6459547-2ea6-47e4-8400-f25333799218','en'),(7,'comment','76a36bc5-266f-47fb-a0c9-e9010fba5ec6','en');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment__comment_body`
--

DROP TABLE IF EXISTS `comment__comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment__comment_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext NOT NULL,
  `comment_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for comment field comment_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment__comment_body`
--

LOCK TABLES `comment__comment_body` WRITE;
/*!40000 ALTER TABLE `comment__comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment__comment_body` VALUES ('comment',0,1,1,'en',0,'<p>The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.</p>\r\n','basic_html'),('comment',0,2,2,'en',0,'<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim.</p>\r\n','basic_html'),('comment',0,3,3,'en',0,'<p>Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit.</p>\r\n','basic_html'),('comment',0,7,7,'en',0,'<p>Nullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat.</p>\r\n','basic_html');
/*!40000 ALTER TABLE `comment__comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment__field_comment_body`
--

DROP TABLE IF EXISTS `comment__field_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment__field_comment_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_comment_body_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for comment field field_comment_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment__field_comment_body`
--

LOCK TABLES `comment__field_comment_body` WRITE;
/*!40000 ALTER TABLE `comment__field_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment__field_comment_body` VALUES ('comment',0,15,15,'en',0,'tesst'),('comment',0,16,16,'ar',0,'test RTL'),('comment',0,17,17,'en',0,'Corporis dolor in conubia? Congue minus hab'),('comment',0,18,18,'en',0,'e aperiam. Hic labore totam! Fu'),('comment',0,19,19,'en',0,'e aperiam. Hic labore totam! Fu'),('comment',0,20,20,'en',0,'quae id quisque quasi taciti? Ul'),('comment',0,21,21,'en',0,'quae id quisque quasi taciti? Ul'),('comment',0,22,22,'ar',0,'tetsjh hauwehfuihe RTL'),('comment',0,23,23,'ar',0,'tetsjh hauwehfuihe RTL'),('comment',0,24,24,'ar',0,'t tempus distinctio, do? Quibusdam quo ut '),('comment',0,26,26,'ar',0,'t tempus distinctio, do? Quibusdam quo ut '),('comment',0,27,27,'ar',0,'us tempor repellendus? Sollicitu'),('comment',0,28,28,'ar',0,'primis, nec cumque. Ab? Ma'),('comment',0,29,29,'en',0,'Cupidatat necessitatibus aliquip iaculis nisi pede fugit varius venenatis. Sociis aliquam. Dictum, accumsan aliquid nunc nisl voluptatibus? Eveniet aenean iure, fugit. Tempora dolorum ab, dolorum possimus ullam, a voluptas fugiat, per dis aenean soluta accumsan blandit dolorem, nascetur a, nemo. Ad elit esse odio rhoncus dis officiis lobortis aliquid? Dapibus nostrum interdum conubia cupidatat, vestibulum eleifend. Montes mollitia cupidatat accusamus.'),('comment',0,34,34,'ar',0,'test RTL'),('comment',0,35,35,'ar',0,'RTL again'),('comment',0,36,36,'en',0,'Test Comment'),('comment',0,38,38,'en',0,'Cmt 2'),('comment',0,39,39,'ar',0,'abc Test'),('comment',0,40,40,'ar',0,'Test 1'),('comment',0,43,43,'en',0,'abc test');
/*!40000 ALTER TABLE `comment__field_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment_entity_statistics`
--

DROP TABLE IF EXISTS `comment_entity_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment_entity_statistics` (
  `entity_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The entity_id of the entity for which the statistics are compiled.',
  `entity_type` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT 'node' COMMENT 'The entity_type of the entity to which this comment is a reply.',
  `field_name` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field_name of the field that was used to add this comment.',
  `cid` int(11) NOT NULL DEFAULT 0 COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The total number of comments on this entity.',
  PRIMARY KEY (`entity_id`,`entity_type`,`field_name`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maintains statistics of entity and comments posts to show …';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment_entity_statistics`
--

LOCK TABLES `comment_entity_statistics` WRITE;
/*!40000 ALTER TABLE `comment_entity_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment_entity_statistics` VALUES (1,'node','comment',0,1450062390,NULL,1,0),(2,'node','comment',0,1450062546,NULL,1,0),(3,'node','comment',0,1450062603,NULL,1,0),(4,'node','comment',0,1450062668,NULL,1,0),(5,'node','comment',0,1450062744,NULL,1,0),(6,'node','comment',0,1450062805,NULL,1,0),(7,'node','comment',0,1450062868,NULL,1,0),(8,'node','comment',0,1450062922,NULL,1,0),(9,'node','comment',0,1450062980,NULL,1,0),(10,'node','comment',0,1450063027,NULL,1,0),(11,'node','comment',0,1450063080,NULL,1,0),(12,'node','comment',0,1450063121,NULL,1,0),(13,'node','comment',0,1450063800,NULL,1,0),(14,'node','comment',0,1450063874,NULL,1,0),(15,'node','comment',0,1450063938,NULL,1,0),(16,'node','comment',3,1450075825,'',1,3),(17,'node','comment',0,1450064055,NULL,1,0),(18,'node','comment',0,1450064123,NULL,1,0),(19,'node','comment',0,1450064173,NULL,1,0),(20,'node','comment',0,1450064230,NULL,1,0),(21,'node','comment',0,1450064303,NULL,1,0),(22,'node','comment',0,1450064350,NULL,1,0),(23,'node','comment',0,1450064405,NULL,1,0),(24,'node','comment',0,1450064473,NULL,1,0),(25,'node','comment',0,1450064620,NULL,1,0),(26,'node','comment',0,1450064664,NULL,1,0),(27,'node','comment',0,1450064724,NULL,1,0),(28,'node','comment',0,1450064770,NULL,1,0),(29,'node','comment',0,1450064827,NULL,1,0),(30,'node','comment',0,1450065040,NULL,1,0),(31,'node','comment',0,1450065093,NULL,1,0),(32,'node','comment',0,1450065152,NULL,1,0),(33,'node','comment',0,1450065207,NULL,1,0),(34,'node','comment',0,1450065258,NULL,1,0),(35,'node','comment',0,1450065309,NULL,1,0),(36,'node','comment',7,1469162458,'',1,1),(48,'node','comment_forum',0,1450162433,NULL,1,0);
/*!40000 ALTER TABLE `comment_entity_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment_field_data`
--

DROP TABLE IF EXISTS `comment_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment_field_data` (
  `cid` int(10) unsigned NOT NULL,
  `comment_type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `pid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `entity_id` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `subject` varchar(64) DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `name` varchar(60) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `hostname` varchar(128) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `thread` varchar(255) NOT NULL,
  `entity_type` varchar(32) CHARACTER SET ascii NOT NULL,
  `field_name` varchar(32) CHARACTER SET ascii NOT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`cid`,`langcode`),
  KEY `comment_field__comment_type__target_id` (`comment_type`),
  KEY `comment_field__created` (`created`),
  KEY `comment__id__default_langcode__langcode` (`cid`,`default_langcode`,`langcode`),
  KEY `comment__status_comment_type` (`status`,`comment_type`,`cid`),
  KEY `comment__status_pid` (`pid`,`status`),
  KEY `comment__num_new` (`entity_id`,`entity_type`,`comment_type`,`status`,`created`,`cid`,`thread`(191)),
  KEY `comment__entity_langcode` (`entity_id`,`entity_type`,`comment_type`,`default_langcode`),
  KEY `comment_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for comment entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment_field_data`
--

LOCK TABLES `comment_field_data` WRITE;
/*!40000 ALTER TABLE `comment_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment_field_data` VALUES (1,'comment','en',NULL,16,'Companies Amendment Act 2014',1,'admin',NULL,NULL,'::1',1450075753,1450075753,1,'01/','node','comment',1),(2,'comment','en',1,16,'Phasellus quis vestibulum mauris',1,'admin',NULL,NULL,'::1',1450075787,1450075787,1,'01.00/','node','comment',1),(3,'comment','en',NULL,16,'Praesent id pellentesque ligula, sit amet vestibulum velit.',1,'admin',NULL,NULL,'::1',1450075825,1450075825,1,'02/','node','comment',1),(7,'comment','en',NULL,36,'Jack',1,'admin',NULL,NULL,'127.0.0.1',1469162458,1469162458,1,'01/','node','comment',1);
/*!40000 ALTER TABLE `comment_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item`
--

DROP TABLE IF EXISTS `component_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item` (
  `component_item_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`component_item_id`),
  UNIQUE KEY `component_item_field__uuid__value` (`uuid`),
  UNIQUE KEY `component_item__vid` (`vid`),
  KEY `component_item_field__type__target_id` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for component_item entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item`
--

LOCK TABLES `component_item` WRITE;
/*!40000 ALTER TABLE `component_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item` VALUES (1,1,'grid','ffe5b418-b7a3-4d0d-960e-1933917ebc58','en'),(2,2,'grid','8c280e5d-f143-418b-823d-b906cdb3bf61','en'),(3,3,'grid','78a7cdc5-59f0-4afa-ab98-3dc2def2618d','en'),(4,4,'grid','767c00ef-2681-421a-bdfb-fb86dbc603da','en'),(5,5,'grid','56e5d342-28cc-4b29-b4d5-7a402accc034','en'),(6,6,'grid','1a01f260-6d36-462d-9767-c491f09b3de6','en'),(7,7,'grid','56ced554-ea8d-4fec-a62b-2cb02a817edb','en'),(8,8,'grid','24aaf6ba-b0f9-47da-82c4-78afcff49d70','en'),(9,9,'grid','115b08d5-18b1-4d02-8b30-1e1a613b1f1b','en'),(10,10,'grid','b1c245a5-8805-4897-89bc-7ed2f8f2274d','en'),(11,11,'sidebar_summary','839a69ef-c4a7-478e-915d-ef1389e2264c','en'),(12,12,'sidebar_summary','1086b0f4-9fc4-498d-98d4-565e72d3c7a6','en'),(13,13,'grid','ca845955-242f-4aee-8faa-f8a16fd628c7','en'),(14,14,'grid','cef0fef0-d4ff-4cd7-8b75-0164d955cf38','en'),(15,15,'grid','e463cda5-2cde-4142-bc26-12a87bbc4c46','en'),(16,16,'grid','9bda4771-d4d6-4d20-90b7-6bdd9f1ab64c','en'),(17,17,'grid','cd63637c-50cc-4a61-b1e7-06bd0c0ec9ca','en'),(18,18,'grid','6a8adff8-8db5-4b25-940d-af97ef723910','en'),(19,19,'grid','c114e62b-5c96-461c-aeb2-e21fc9ee076d','en'),(20,20,'grid','649a265a-91be-4dbf-8c88-eedd41a273d7','en'),(21,21,'grid','23aa603d-9c74-4742-ba9f-d3dd23fb83dc','en'),(22,22,'basic_component','be207768-9b24-4adb-9ef7-e31e12e7b1a4','en'),(23,23,'accordion','fa79fe00-286f-48f6-aa03-6b4521eb7e84','en'),(24,24,'accordion','83609082-71c3-41b2-b165-9e1b10197b21','en'),(25,25,'accordion','eea1fd6b-08df-4335-9eba-424052b26990','en'),(26,26,'accordion','864525d8-d2b0-4e1b-bf35-0e39239da927','en'),(27,27,'push_image','b9bc1350-e714-42ea-b2da-c9411384138f','en'),(28,28,'push_image','2ffca09c-39d8-4c64-812e-dc97ee221100','en'),(29,29,'push_image','87b77a20-4a5c-41d5-84bc-e8ded92eeff4','en'),(30,30,'grid','cbb0279d-e334-49c3-98f5-c6b35fb98c5e','en'),(31,31,'article_summary','2c232b7c-bc82-4af9-ab5b-61ed74cb3dcc','en');
/*!40000 ALTER TABLE `component_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_address`
--

DROP TABLE IF EXISTS `component_item__field_as_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_address` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_address_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_address.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_address`
--

LOCK TABLES `component_item__field_as_address` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_address` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_as_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_country`
--

DROP TABLE IF EXISTS `component_item__field_as_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_country` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_country_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_country.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_country`
--

LOCK TABLES `component_item__field_as_country` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_country` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_as_country` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_date_of_establishment`
--

DROP TABLE IF EXISTS `component_item__field_as_date_of_establishment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_date_of_establishment` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_date_of_establishment_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_as_date_of_establishment_value` (`field_as_date_of_establishment_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_date_of…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_date_of_establishment`
--

LOCK TABLES `component_item__field_as_date_of_establishment` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_date_of_establishment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_as_date_of_establishment` VALUES ('article_summary',0,31,31,'en',0,'2022-10-18');
/*!40000 ALTER TABLE `component_item__field_as_date_of_establishment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_description`
--

DROP TABLE IF EXISTS `component_item__field_as_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_description_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_description.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_description`
--

LOCK TABLES `component_item__field_as_description` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_as_description` VALUES ('article_summary',0,31,31,'en',0,'Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this y');
/*!40000 ALTER TABLE `component_item__field_as_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_image`
--

DROP TABLE IF EXISTS `component_item__field_as_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_as_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_as_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_as_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_as_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_as_image_target_id` (`field_as_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_image`
--

LOCK TABLES `component_item__field_as_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_as_image` VALUES ('article_summary',0,31,31,'en',0,90,'demo-35 (1)','',750,500);
/*!40000 ALTER TABLE `component_item__field_as_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_link`
--

DROP TABLE IF EXISTS `component_item__field_as_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_as_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_as_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_as_link_uri` (`field_as_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_link`
--

LOCK TABLES `component_item__field_as_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_as_link` VALUES ('article_summary',0,31,31,'en',0,'internal:/blog/uw-hospital-emergency-department-nurses-receive-lantern-award','Read more','a:0:{}');
/*!40000 ALTER TABLE `component_item__field_as_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_as_opening_hours`
--

DROP TABLE IF EXISTS `component_item__field_as_opening_hours`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_as_opening_hours` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_opening_hours_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_as_opening…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_as_opening_hours`
--

LOCK TABLES `component_item__field_as_opening_hours` WRITE;
/*!40000 ALTER TABLE `component_item__field_as_opening_hours` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_as_opening_hours` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_body`
--

DROP TABLE IF EXISTS `component_item__field_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_body_value` longtext NOT NULL,
  `field_body_summary` longtext DEFAULT NULL,
  `field_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_body_format` (`field_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_body`
--

LOCK TABLES `component_item__field_body` WRITE;
/*!40000 ALTER TABLE `component_item__field_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_body` VALUES ('grid',0,5,5,'en',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why.</p>\r\n','','basic_html'),('grid',0,6,6,'en',0,'<p>Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extr</p>\r\n','','basic_html'),('grid',0,7,7,'en',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a comp</p>\r\n','','basic_html'),('grid',0,8,8,'en',0,'<p>Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling the</p>\r\n','','basic_html'),('grid',0,9,9,'en',0,'<p>The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two day</p>\r\n','','basic_html'),('grid',0,10,10,'en',0,'<p>If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chi</p>\r\n','','basic_html'),('basic_component',0,22,22,'en',0,'<p>Andre Schürrle became the first German to score a World Cup goal while wearing the number nine sh</p>\r\n','','basic_html'),('accordion',0,23,23,'en',0,'<p>Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syra</p>\r\n','','basic_html'),('accordion',0,24,24,'en',0,'<p>Welcome to your wedding day!</p>\r\n','','basic_html'),('accordion',0,25,25,'en',0,'<p>More than nine million Canadians are living with diabetes or prediabetes.</p>\r\n','','basic_html'),('accordion',0,26,26,'en',0,'<p>See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny cli</p>\r\n','','basic_html');
/*!40000 ALTER TABLE `component_item__field_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_captions`
--

DROP TABLE IF EXISTS `component_item__field_captions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_captions` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_captions_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_captions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_captions`
--

LOCK TABLES `component_item__field_captions` WRITE;
/*!40000 ALTER TABLE `component_item__field_captions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_captions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_card_body`
--

DROP TABLE IF EXISTS `component_item__field_card_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_card_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_body_value` longtext NOT NULL,
  `field_card_body_summary` longtext DEFAULT NULL,
  `field_card_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_body_format` (`field_card_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_card_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_card_body`
--

LOCK TABLES `component_item__field_card_body` WRITE;
/*!40000 ALTER TABLE `component_item__field_card_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_card_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_card_color`
--

DROP TABLE IF EXISTS `component_item__field_card_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_card_color` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_color_value` (`field_card_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_card_color.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_card_color`
--

LOCK TABLES `component_item__field_card_color` WRITE;
/*!40000 ALTER TABLE `component_item__field_card_color` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_card_color` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_card_icon`
--

DROP TABLE IF EXISTS `component_item__field_card_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_card_icon` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_icon_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_card_icon_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_card_icon_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_card_icon_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_card_icon_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_icon_target_id` (`field_card_icon_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_card_icon.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_card_icon`
--

LOCK TABLES `component_item__field_card_icon` WRITE;
/*!40000 ALTER TABLE `component_item__field_card_icon` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_card_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_card_link`
--

DROP TABLE IF EXISTS `component_item__field_card_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_card_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_card_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_card_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_link_uri` (`field_card_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_card_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_card_link`
--

LOCK TABLES `component_item__field_card_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_card_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_card_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_cells`
--

DROP TABLE IF EXISTS `component_item__field_cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_cells` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_cells_value` varchar(255) NOT NULL,
  `field_cells_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_cells_format` (`field_cells_format`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_cells.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_cells`
--

LOCK TABLES `component_item__field_cells` WRITE;
/*!40000 ALTER TABLE `component_item__field_cells` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_cells` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_classified_ads_image`
--

DROP TABLE IF EXISTS `component_item__field_classified_ads_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_classified_ads_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classified_ads_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_classified_ads_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_classified_ads_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_classified_ads_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_classified_ads_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_classified_ads_image_target_id` (`field_classified_ads_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_classified_ads…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_classified_ads_image`
--

LOCK TABLES `component_item__field_classified_ads_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_classified_ads_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_classified_ads_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_classified_ads_text`
--

DROP TABLE IF EXISTS `component_item__field_classified_ads_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_classified_ads_text` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classified_ads_text_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_classified_ads…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_classified_ads_text`
--

LOCK TABLES `component_item__field_classified_ads_text` WRITE;
/*!40000 ALTER TABLE `component_item__field_classified_ads_text` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_classified_ads_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_content_statistic_bar`
--

DROP TABLE IF EXISTS `component_item__field_content_statistic_bar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_content_statistic_bar` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_content_statistic_bar_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_content…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_content_statistic_bar`
--

LOCK TABLES `component_item__field_content_statistic_bar` WRITE;
/*!40000 ALTER TABLE `component_item__field_content_statistic_bar` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_content_statistic_bar` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_counter_image`
--

DROP TABLE IF EXISTS `component_item__field_counter_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_counter_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_counter_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_counter_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_counter_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_counter_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_counter_image_target_id` (`field_counter_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_counter_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_counter_image`
--

LOCK TABLES `component_item__field_counter_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_counter_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_counter_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_counter_number`
--

DROP TABLE IF EXISTS `component_item__field_counter_number`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_counter_number` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_number_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_counter_number.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_counter_number`
--

LOCK TABLES `component_item__field_counter_number` WRITE;
/*!40000 ALTER TABLE `component_item__field_counter_number` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_counter_number` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_date`
--

DROP TABLE IF EXISTS `component_item__field_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_date_value` (`field_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_date.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_date`
--

LOCK TABLES `component_item__field_date` WRITE;
/*!40000 ALTER TABLE `component_item__field_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_description`
--

DROP TABLE IF EXISTS `component_item__field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext NOT NULL,
  `field_description_summary` longtext DEFAULT NULL,
  `field_description_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_description.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_description`
--

LOCK TABLES `component_item__field_description` WRITE;
/*!40000 ALTER TABLE `component_item__field_description` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_description_information`
--

DROP TABLE IF EXISTS `component_item__field_description_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_description_information` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_information_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_description…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_description_information`
--

LOCK TABLES `component_item__field_description_information` WRITE;
/*!40000 ALTER TABLE `component_item__field_description_information` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_description_information` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_divider_section_color`
--

DROP TABLE IF EXISTS `component_item__field_divider_section_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_divider_section_color` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_color_color` varchar(7) DEFAULT NULL COMMENT 'The color value',
  `field_divider_section_color_opacity` float DEFAULT NULL COMMENT 'The opacity/alphavalue property',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_divider_section_color_color` (`field_divider_section_color_color`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_divider_section…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_divider_section_color`
--

LOCK TABLES `component_item__field_divider_section_color` WRITE;
/*!40000 ALTER TABLE `component_item__field_divider_section_color` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_divider_section_color` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_divider_section_desc`
--

DROP TABLE IF EXISTS `component_item__field_divider_section_desc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_divider_section_desc` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_desc_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_divider_section…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_divider_section_desc`
--

LOCK TABLES `component_item__field_divider_section_desc` WRITE;
/*!40000 ALTER TABLE `component_item__field_divider_section_desc` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_divider_section_desc` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_divider_section_image`
--

DROP TABLE IF EXISTS `component_item__field_divider_section_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_divider_section_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_divider_section_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_divider_section_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_divider_section_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_divider_section_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_divider_section_image_target_id` (`field_divider_section_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_divider_section…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_divider_section_image`
--

LOCK TABLES `component_item__field_divider_section_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_divider_section_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_divider_section_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_gc_date`
--

DROP TABLE IF EXISTS `component_item__field_gc_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_gc_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_date_value` (`field_gc_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_gc_date.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_gc_date`
--

LOCK TABLES `component_item__field_gc_date` WRITE;
/*!40000 ALTER TABLE `component_item__field_gc_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_gc_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_gc_description`
--

DROP TABLE IF EXISTS `component_item__field_gc_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_gc_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_description_value` longtext NOT NULL,
  `field_gc_description_summary` longtext DEFAULT NULL,
  `field_gc_description_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_description_format` (`field_gc_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_gc_description.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_gc_description`
--

LOCK TABLES `component_item__field_gc_description` WRITE;
/*!40000 ALTER TABLE `component_item__field_gc_description` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_gc_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_gc_image`
--

DROP TABLE IF EXISTS `component_item__field_gc_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_gc_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_gc_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_gc_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_gc_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gc_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_image_target_id` (`field_gc_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_gc_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_gc_image`
--

LOCK TABLES `component_item__field_gc_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_gc_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_gc_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_gc_link`
--

DROP TABLE IF EXISTS `component_item__field_gc_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_gc_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_gc_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_gc_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_link_uri` (`field_gc_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_gc_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_gc_link`
--

LOCK TABLES `component_item__field_gc_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_gc_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_gc_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_grid_date`
--

DROP TABLE IF EXISTS `component_item__field_grid_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_grid_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_grid_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_grid_date_value` (`field_grid_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_grid_date.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_grid_date`
--

LOCK TABLES `component_item__field_grid_date` WRITE;
/*!40000 ALTER TABLE `component_item__field_grid_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_grid_date` VALUES ('grid',0,5,5,'en',0,'2022-10-05T17:00:00'),('grid',0,6,6,'en',0,'2022-09-30T17:00:00'),('grid',0,7,7,'en',0,'2022-10-11T15:00:00'),('grid',0,8,8,'en',0,'2022-10-06T14:00:00'),('grid',0,9,9,'en',0,'2022-10-12T14:30:00'),('grid',0,10,10,'en',0,'2022-10-16T01:00:00');
/*!40000 ALTER TABLE `component_item__field_grid_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_hero_image`
--

DROP TABLE IF EXISTS `component_item__field_hero_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_hero_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_hero_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_hero_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_hero_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_hero_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_hero_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_hero_image_target_id` (`field_hero_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_hero_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_hero_image`
--

LOCK TABLES `component_item__field_hero_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_hero_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_hero_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_hpi_image`
--

DROP TABLE IF EXISTS `component_item__field_hpi_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_hpi_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_hpi_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_hpi_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_hpi_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_hpi_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_hpi_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_hpi_image_target_id` (`field_hpi_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_hpi_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_hpi_image`
--

LOCK TABLES `component_item__field_hpi_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_hpi_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_hpi_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_icon`
--

DROP TABLE IF EXISTS `component_item__field_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_icon` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_icon_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_icon_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_icon_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_icon_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_icon_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_icon_target_id` (`field_icon_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_icon.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_icon`
--

LOCK TABLES `component_item__field_icon` WRITE;
/*!40000 ALTER TABLE `component_item__field_icon` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_icon` VALUES ('grid',0,1,1,'en',0,69,'','',750,500),('grid',0,2,2,'en',0,70,'','',750,500),('grid',0,3,3,'en',0,71,'','',750,1061),('grid',0,4,4,'en',0,72,'','',250,134),('grid',0,5,5,'en',0,63,'','',750,391),('grid',0,6,6,'en',0,64,'','',750,762),('grid',0,7,7,'en',0,65,'','',750,500),('grid',0,8,8,'en',0,66,'','',750,1125),('grid',0,9,9,'en',0,67,'','',750,500),('grid',0,10,10,'en',0,68,'','',750,563),('grid',0,13,13,'en',0,73,'','',750,683),('grid',0,14,14,'en',0,74,'','',250,333),('grid',0,15,15,'en',0,75,'','',250,167),('grid',0,16,16,'en',0,76,'','',750,564),('grid',0,17,17,'en',0,79,'','',750,2283),('grid',0,18,18,'en',0,80,'','',750,750),('grid',0,19,19,'en',0,81,'','',750,917),('grid',0,20,20,'en',0,82,'','',750,1127),('grid',0,21,21,'en',0,83,'','',750,1017),('grid',0,30,30,'en',0,84,'','',750,1013);
/*!40000 ALTER TABLE `component_item__field_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_image`
--

DROP TABLE IF EXISTS `component_item__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_image`
--

LOCK TABLES `component_item__field_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_image` VALUES ('basic_component',0,22,22,'en',0,88,'','',900,481);
/*!40000 ALTER TABLE `component_item__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_information`
--

DROP TABLE IF EXISTS `component_item__field_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_information` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_information_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_information`
--

LOCK TABLES `component_item__field_information` WRITE;
/*!40000 ALTER TABLE `component_item__field_information` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_information` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_large_image`
--

DROP TABLE IF EXISTS `component_item__field_large_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_large_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_large_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_large_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_large_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_large_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_large_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_large_image_target_id` (`field_large_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_large_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_large_image`
--

LOCK TABLES `component_item__field_large_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_large_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_large_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_link`
--

DROP TABLE IF EXISTS `component_item__field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_link_uri` (`field_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_link`
--

LOCK TABLES `component_item__field_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_link` VALUES ('grid',0,1,1,'en',0,'internal:/category/education','Education','a:0:{}'),('grid',0,2,2,'en',0,'internal:/category/travel','Travel','a:0:{}'),('grid',0,3,3,'en',0,'internal:/category/fashion','Fashion','a:0:{}'),('grid',0,4,4,'en',0,'internal:/category/sports','Sports','a:0:{}'),('grid',0,5,5,'en',0,'internal:/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','Read more','a:0:{}'),('grid',0,6,6,'en',0,'internal:/blog/sip-slim-down-right-way-drink-green-tea-weight-loss','Read more','a:0:{}'),('grid',0,7,7,'en',0,'internal:/blog/branding-and-company-extract-changes','Read more','a:0:{}'),('grid',0,8,8,'en',0,'internal:/blog/etsy-weddings-handmade-object-week','Read more','a:0:{}'),('grid',0,9,9,'en',0,'internal:/blog/russias-other-art-biennial','Read more','a:0:{}'),('grid',0,10,10,'en',0,'internal:/blog/how-banish-stress-25-minutes','Read more','a:0:{}'),('grid',0,13,13,'en',0,'internal:/category/hospital','Hospital','a:0:{}'),('grid',0,14,14,'en',0,'internal:/category/nature','Nature','a:0:{}'),('grid',0,15,15,'en',0,'internal:/category/others','Others','a:0:{}'),('grid',0,16,16,'en',0,'internal:/category/business','Business','a:0:{}'),('grid',0,17,17,'en',0,'http://demo.weebpal.com/#onepage','Click to visit','a:0:{}'),('grid',0,18,18,'en',0,'http://demo.weebpal.com/#zircon_ii','Click to visit','a:0:{}'),('grid',0,19,19,'en',0,'http://demo.weebpal.com/#new-shopping','Click to visit','a:0:{}'),('grid',0,20,20,'en',0,'http://demo.weebpal.com/#business','Click to visit','a:0:{}'),('grid',0,21,21,'en',0,'http://demo.weebpal.com/#garnet','Click to visit','a:0:{}'),('basic_component',0,22,22,'en',0,'internal:/blog/world-cup-sportsday','Read more','a:0:{}'),('grid',0,30,30,'en',0,'http://demo.weebpal.com/#education','Click to visit','a:0:{}');
/*!40000 ALTER TABLE `component_item__field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_mobile_hero_image`
--

DROP TABLE IF EXISTS `component_item__field_mobile_hero_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_mobile_hero_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mobile_hero_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mobile_hero_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mobile_hero_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mobile_hero_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mobile_hero_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mobile_hero_image_target_id` (`field_mobile_hero_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_mobile_hero…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_mobile_hero_image`
--

LOCK TABLES `component_item__field_mobile_hero_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_mobile_hero_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_mobile_hero_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pi_body`
--

DROP TABLE IF EXISTS `component_item__field_pi_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pi_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pi_body_value` longtext NOT NULL,
  `field_pi_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pi_body_format` (`field_pi_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pi_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pi_body`
--

LOCK TABLES `component_item__field_pi_body` WRITE;
/*!40000 ALTER TABLE `component_item__field_pi_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_pi_body` VALUES ('push_image',0,27,27,'en',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why.</p>\r\n','basic_html'),('push_image',0,28,28,'en',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a comp</p>\r\n','basic_html'),('push_image',0,29,29,'en',0,'<p>The British Library has agreed to return a spoliated Sienese oil painting made for the binding o</p>\r\n','basic_html');
/*!40000 ALTER TABLE `component_item__field_pi_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pi_image`
--

DROP TABLE IF EXISTS `component_item__field_pi_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pi_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pi_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_pi_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_pi_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_pi_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_pi_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pi_image_target_id` (`field_pi_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pi_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pi_image`
--

LOCK TABLES `component_item__field_pi_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_pi_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_pi_image` VALUES ('push_image',0,27,27,'en',0,85,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','',750,391),('push_image',0,28,28,'en',0,86,'Branding and company extract changes','',750,500),('push_image',0,29,29,'en',0,87,'British Library returns painted Renaissance book panel','',750,493);
/*!40000 ALTER TABLE `component_item__field_pi_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pi_link`
--

DROP TABLE IF EXISTS `component_item__field_pi_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pi_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pi_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_pi_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_pi_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pi_link_uri` (`field_pi_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pi_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pi_link`
--

LOCK TABLES `component_item__field_pi_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_pi_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_pi_link` VALUES ('push_image',0,27,27,'en',0,'internal:/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','Read more','a:0:{}'),('push_image',0,28,28,'en',0,'internal:/blog/branding-and-company-extract-changes','Read more','a:0:{}'),('push_image',0,29,29,'en',0,'internal:/blog/british-library-returns-painted-renaissance-book-panel','Read more','a:0:{}');
/*!40000 ALTER TABLE `component_item__field_pi_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_process`
--

DROP TABLE IF EXISTS `component_item__field_process`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_process` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_process_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_process.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_process`
--

LOCK TABLES `component_item__field_process` WRITE;
/*!40000 ALTER TABLE `component_item__field_process` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_process` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pv_body`
--

DROP TABLE IF EXISTS `component_item__field_pv_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pv_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_body_value` longtext NOT NULL,
  `field_pv_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_body_format` (`field_pv_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pv_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pv_body`
--

LOCK TABLES `component_item__field_pv_body` WRITE;
/*!40000 ALTER TABLE `component_item__field_pv_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_pv_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pv_display`
--

DROP TABLE IF EXISTS `component_item__field_pv_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pv_display` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_display_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_display_value` (`field_pv_display_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pv_display.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pv_display`
--

LOCK TABLES `component_item__field_pv_display` WRITE;
/*!40000 ALTER TABLE `component_item__field_pv_display` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_pv_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pv_embed_video`
--

DROP TABLE IF EXISTS `component_item__field_pv_embed_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pv_embed_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_embed_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pv_embed_video.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pv_embed_video`
--

LOCK TABLES `component_item__field_pv_embed_video` WRITE;
/*!40000 ALTER TABLE `component_item__field_pv_embed_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_pv_embed_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pv_link`
--

DROP TABLE IF EXISTS `component_item__field_pv_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pv_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_pv_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_pv_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_link_uri` (`field_pv_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pv_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pv_link`
--

LOCK TABLES `component_item__field_pv_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_pv_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_pv_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_pv_video_file`
--

DROP TABLE IF EXISTS `component_item__field_pv_video_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_pv_video_file` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_video_file_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_pv_video_file_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_pv_video_file_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_video_file_target_id` (`field_pv_video_file_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_pv_video_file.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_pv_video_file`
--

LOCK TABLES `component_item__field_pv_video_file` WRITE;
/*!40000 ALTER TABLE `component_item__field_pv_video_file` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_pv_video_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_quote`
--

DROP TABLE IF EXISTS `component_item__field_quote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_quote` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_quote.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_quote`
--

LOCK TABLES `component_item__field_quote` WRITE;
/*!40000 ALTER TABLE `component_item__field_quote` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_quote` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_quote_description_infor`
--

DROP TABLE IF EXISTS `component_item__field_quote_description_infor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_quote_description_infor` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_description_infor_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_quote…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_quote_description_infor`
--

LOCK TABLES `component_item__field_quote_description_infor` WRITE;
/*!40000 ALTER TABLE `component_item__field_quote_description_infor` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_quote_description_infor` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_quote_image`
--

DROP TABLE IF EXISTS `component_item__field_quote_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_quote_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_quote_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_quote_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_quote_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_quote_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_quote_image_target_id` (`field_quote_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_quote_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_quote_image`
--

LOCK TABLES `component_item__field_quote_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_quote_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_quote_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_quote_information`
--

DROP TABLE IF EXISTS `component_item__field_quote_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_quote_information` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_information_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_quote…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_quote_information`
--

LOCK TABLES `component_item__field_quote_information` WRITE;
/*!40000 ALTER TABLE `component_item__field_quote_information` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_quote_information` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_rc_body`
--

DROP TABLE IF EXISTS `component_item__field_rc_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_rc_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rc_body_value` longtext NOT NULL,
  `field_rc_body_summary` longtext DEFAULT NULL,
  `field_rc_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_rc_body_format` (`field_rc_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_rc_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_rc_body`
--

LOCK TABLES `component_item__field_rc_body` WRITE;
/*!40000 ALTER TABLE `component_item__field_rc_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_rc_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_rc_image`
--

DROP TABLE IF EXISTS `component_item__field_rc_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_rc_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rc_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_rc_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_rc_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_rc_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_rc_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_rc_image_target_id` (`field_rc_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_rc_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_rc_image`
--

LOCK TABLES `component_item__field_rc_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_rc_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_rc_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_rc_link`
--

DROP TABLE IF EXISTS `component_item__field_rc_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_rc_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rc_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_rc_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_rc_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_rc_link_uri` (`field_rc_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_rc_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_rc_link`
--

LOCK TABLES `component_item__field_rc_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_rc_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_rc_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sbp_color`
--

DROP TABLE IF EXISTS `component_item__field_sbp_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sbp_color` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sbp_color_color` varchar(7) DEFAULT NULL COMMENT 'The color value',
  `field_sbp_color_opacity` float DEFAULT NULL COMMENT 'The opacity/alphavalue property',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sbp_color_color` (`field_sbp_color_color`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sbp_color.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sbp_color`
--

LOCK TABLES `component_item__field_sbp_color` WRITE;
/*!40000 ALTER TABLE `component_item__field_sbp_color` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sbp_color` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_service_block_color`
--

DROP TABLE IF EXISTS `component_item__field_service_block_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_service_block_color` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_color_color` varchar(7) DEFAULT NULL COMMENT 'The color value',
  `field_service_block_color_opacity` float DEFAULT NULL COMMENT 'The opacity/alphavalue property',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_color_color` (`field_service_block_color_color`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_service_block…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_service_block_color`
--

LOCK TABLES `component_item__field_service_block_color` WRITE;
/*!40000 ALTER TABLE `component_item__field_service_block_color` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_service_block_color` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_service_block_description`
--

DROP TABLE IF EXISTS `component_item__field_service_block_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_service_block_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_description_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_service_block…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_service_block_description`
--

LOCK TABLES `component_item__field_service_block_description` WRITE;
/*!40000 ALTER TABLE `component_item__field_service_block_description` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_service_block_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_service_block_image`
--

DROP TABLE IF EXISTS `component_item__field_service_block_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_service_block_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_service_block_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_service_block_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_service_block_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_service_block_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_image_target_id` (`field_service_block_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_service_block…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_service_block_image`
--

LOCK TABLES `component_item__field_service_block_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_service_block_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_service_block_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_service_block_link`
--

DROP TABLE IF EXISTS `component_item__field_service_block_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_service_block_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_service_block_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_service_block_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_link_uri` (`field_service_block_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_service_block…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_service_block_link`
--

LOCK TABLES `component_item__field_service_block_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_service_block_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_service_block_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_link_text`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_link_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_link_text` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_link_text_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_sidebar_link_text_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_sidebar_link_text_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_link_text_uri` (`field_sidebar_link_text_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_link…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_link_text`
--

LOCK TABLES `component_item__field_sidebar_link_text` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_link_text` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_link_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_link_text_desc`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_link_text_desc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_link_text_desc` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_link_text_desc_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_link…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_link_text_desc`
--

LOCK TABLES `component_item__field_sidebar_link_text_desc` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_link_text_desc` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_link_text_desc` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_service_image`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_service_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_service_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_service_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_sidebar_service_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_sidebar_service_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_sidebar_service_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_sidebar_service_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_service_image_target_id` (`field_sidebar_service_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_service…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_service_image`
--

LOCK TABLES `component_item__field_sidebar_service_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_service_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_service_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_service_link`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_service_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_service_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_service_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_sidebar_service_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_sidebar_service_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_service_link_uri` (`field_sidebar_service_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_service…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_service_link`
--

LOCK TABLES `component_item__field_sidebar_service_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_service_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_service_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_summary_created_by`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_summary_created_by`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_summary_created_by` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_created_by_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_summary…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_summary_created_by`
--

LOCK TABLES `component_item__field_sidebar_summary_created_by` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_created_by` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_created_by` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_summary_date`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_summary_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_summary_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_date_value` (`field_sidebar_summary_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_summary…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_summary_date`
--

LOCK TABLES `component_item__field_sidebar_summary_date` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_summary_desc`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_summary_desc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_summary_desc` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_desc_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_summary…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_summary_desc`
--

LOCK TABLES `component_item__field_sidebar_summary_desc` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_desc` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_desc` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_summary_image`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_summary_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_summary_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_sidebar_summary_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_sidebar_summary_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_sidebar_summary_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_sidebar_summary_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_image_target_id` (`field_sidebar_summary_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_summary…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_summary_image`
--

LOCK TABLES `component_item__field_sidebar_summary_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_sidebar_summary_image` VALUES ('sidebar_summary',0,11,11,'en',0,77,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','',622,311),('sidebar_summary',0,12,12,'en',0,78,'Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','',622,311);
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_sidebar_summary_link`
--

DROP TABLE IF EXISTS `component_item__field_sidebar_summary_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_sidebar_summary_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_sidebar_summary_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_sidebar_summary_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_link_uri` (`field_sidebar_summary_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_sidebar_summary…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_sidebar_summary_link`
--

LOCK TABLES `component_item__field_sidebar_summary_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item__field_sidebar_summary_link` VALUES ('sidebar_summary',0,11,11,'en',0,'internal:/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','5 Mascara Tricks to Make Your Eyes Look Even More Amazing','a:0:{}'),('sidebar_summary',0,12,12,'en',0,'internal:/blog/sip-slim-down-right-way-drink-green-tea-weight-loss','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','a:0:{}');
/*!40000 ALTER TABLE `component_item__field_sidebar_summary_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_slideshow_flexible_date`
--

DROP TABLE IF EXISTS `component_item__field_slideshow_flexible_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_slideshow_flexible_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_date_value` (`field_slideshow_flexible_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_slideshow…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_slideshow_flexible_date`
--

LOCK TABLES `component_item__field_slideshow_flexible_date` WRITE;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_slideshow_flexible_image`
--

DROP TABLE IF EXISTS `component_item__field_slideshow_flexible_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_slideshow_flexible_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_slideshow_flexible_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_slideshow_flexible_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_slideshow_flexible_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_flexible_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_image_target_id` (`field_slideshow_flexible_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_slideshow…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_slideshow_flexible_image`
--

LOCK TABLES `component_item__field_slideshow_flexible_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_slideshow_flexible_link`
--

DROP TABLE IF EXISTS `component_item__field_slideshow_flexible_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_slideshow_flexible_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_slideshow_flexible_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_slideshow_flexible_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_link_uri` (`field_slideshow_flexible_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_slideshow…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_slideshow_flexible_link`
--

LOCK TABLES `component_item__field_slideshow_flexible_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_slideshow_flexible_sdesc`
--

DROP TABLE IF EXISTS `component_item__field_slideshow_flexible_sdesc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_slideshow_flexible_sdesc` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_sdesc_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_slideshow…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_slideshow_flexible_sdesc`
--

LOCK TABLES `component_item__field_slideshow_flexible_sdesc` WRITE;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_sdesc` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_slideshow_flexible_sdesc` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_small_image`
--

DROP TABLE IF EXISTS `component_item__field_small_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_small_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_small_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_small_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_small_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_small_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_small_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_small_image_target_id` (`field_small_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_small_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_small_image`
--

LOCK TABLES `component_item__field_small_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_small_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_small_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_statistic_bar_progress`
--

DROP TABLE IF EXISTS `component_item__field_statistic_bar_progress`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_statistic_bar_progress` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_bar_progress_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_statistic_bar_progress_target_id` (`field_statistic_bar_progress_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_statistic_bar…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_statistic_bar_progress`
--

LOCK TABLES `component_item__field_statistic_bar_progress` WRITE;
/*!40000 ALTER TABLE `component_item__field_statistic_bar_progress` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_statistic_bar_progress` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_summary`
--

DROP TABLE IF EXISTS `component_item__field_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_summary` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_summary_value` longtext NOT NULL,
  `field_summary_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_summary_format` (`field_summary_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_summary.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_summary`
--

LOCK TABLES `component_item__field_summary` WRITE;
/*!40000 ALTER TABLE `component_item__field_summary` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_summary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_table_columns`
--

DROP TABLE IF EXISTS `component_item__field_table_columns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_table_columns` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_table_columns_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_table_columns_target_id` (`field_table_columns_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_table_columns.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_table_columns`
--

LOCK TABLES `component_item__field_table_columns` WRITE;
/*!40000 ALTER TABLE `component_item__field_table_columns` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_table_columns` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_body`
--

DROP TABLE IF EXISTS `component_item__field_ti_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_body_value` longtext NOT NULL,
  `field_ti_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_body_format` (`field_ti_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_body`
--

LOCK TABLES `component_item__field_ti_body` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_icon`
--

DROP TABLE IF EXISTS `component_item__field_ti_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_icon` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_icon_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_ti_icon_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_ti_icon_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_ti_icon_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_ti_icon_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_icon_target_id` (`field_ti_icon_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_icon.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_icon`
--

LOCK TABLES `component_item__field_ti_icon` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_icon` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_image`
--

DROP TABLE IF EXISTS `component_item__field_ti_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_ti_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_ti_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_ti_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_ti_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_image_target_id` (`field_ti_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_image`
--

LOCK TABLES `component_item__field_ti_image` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_left`
--

DROP TABLE IF EXISTS `component_item__field_ti_left`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_left` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_left_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_left_target_id` (`field_ti_left_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_left.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_left`
--

LOCK TABLES `component_item__field_ti_left` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_left` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_left` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_link`
--

DROP TABLE IF EXISTS `component_item__field_ti_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_ti_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_ti_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_link_uri` (`field_ti_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_link`
--

LOCK TABLES `component_item__field_ti_link` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_right`
--

DROP TABLE IF EXISTS `component_item__field_ti_right`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_right` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_right_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_right_target_id` (`field_ti_right_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_right.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_right`
--

LOCK TABLES `component_item__field_ti_right` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_right` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_right` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_ti_video`
--

DROP TABLE IF EXISTS `component_item__field_ti_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_ti_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_ti_video.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_ti_video`
--

LOCK TABLES `component_item__field_ti_video` WRITE;
/*!40000 ALTER TABLE `component_item__field_ti_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_ti_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item__field_type`
--

DROP TABLE IF EXISTS `component_item__field_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item__field_type` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_type_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_type_value` (`field_type_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_item field field_type.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item__field_type`
--

LOCK TABLES `component_item__field_type` WRITE;
/*!40000 ALTER TABLE `component_item__field_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item__field_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_field_data`
--

DROP TABLE IF EXISTS `component_item_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_field_data` (
  `component_item_id` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `admin_title` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`component_item_id`,`langcode`),
  KEY `component_item__id__default_langcode__langcode` (`component_item_id`,`default_langcode`,`langcode`),
  KEY `component_item__vid` (`vid`),
  KEY `component_item_field__type__target_id` (`type`),
  KEY `component_item_field__uid__target_id` (`uid`),
  KEY `component_item__status_type` (`status`,`type`,`component_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for component_item entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_field_data`
--

LOCK TABLES `component_item_field_data` WRITE;
/*!40000 ALTER TABLE `component_item_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_field_data` VALUES (1,1,'grid','en',1,1,'Education','Education',1666586607,1666586607,1,1),(2,2,'grid','en',1,1,'Travel','Travel',1666586639,1666586639,1,1),(3,3,'grid','en',1,1,'Fashion','Fashion',1666586669,1666586669,1,1),(4,4,'grid','en',1,1,'Sports','Sports',1666586696,1666586696,1,1),(5,5,'grid','en',1,1,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1666586189,1666586189,1,1),(6,6,'grid','en',1,1,'Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1666586262,1666586262,1,1),(7,7,'grid','en',1,1,'Branding and company extract changes','Branding and company extract changes',1666586306,1666586306,1,1),(8,8,'grid','en',1,1,'Etsy Weddings: Handmade Object Of The Week','Etsy Weddings: Handmade Object Of The Week',1666586349,1666586349,1,1),(9,9,'grid','en',1,1,'Russia’s other art biennial','Russia’s other art biennial',1666586401,1666586401,1,1),(10,10,'grid','en',1,1,'How to Banish Stress in 25 Minutes','How to Banish Stress in 25 Minutes',1666586503,1666586503,1,1),(11,11,'sidebar_summary','en',1,1,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1666586954,1666586954,1,1),(12,12,'sidebar_summary','en',1,1,'Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1666586987,1666586987,1,1),(13,13,'grid','en',1,1,'Hospital','Hospital',1666586770,1666586770,1,1),(14,14,'grid','en',1,1,'Nature','Nature',1666586796,1666586796,1,1),(15,15,'grid','en',1,1,'Others','Others',1666586839,1666586839,1,1),(16,16,'grid','en',1,1,'Business','Business',1666586866,1666586866,1,1),(17,17,'grid','en',1,1,'Onepage','Onepage',1666587109,1666587337,1,1),(18,18,'grid','en',1,1,'Zircon II','Zircon II',1666587138,1666587337,1,1),(19,19,'grid','en',1,1,'New Shopping','New Shopping',1666587234,1666587234,1,1),(20,20,'grid','en',1,1,'Business','Business',1666587260,1666587260,1,1),(21,21,'grid','en',1,1,'Garnet','Garnet',1666587337,1666587337,1,1),(22,22,'basic_component','en',1,1,'World Cup Sportsday','World Cup Sportsday',1666594956,1666594956,1,1),(23,23,'accordion','en',1,1,'More than 1,000 runners signed up for Syracuse Half Marathon','More than 1,000 runners signed up for Syracuse Half Marathon',1666594869,1666594869,1,1),(24,24,'accordion','en',1,1,'6 People Who Will Stress You Out On Your Wedding Day','6 People Who Will Stress You Out On Your Wedding Day',1666594883,1666594883,1,1),(25,25,'accordion','en',1,1,'The diabetes epidemic','The diabetes epidemic',1666594894,1666594894,1,1),(26,26,'accordion','en',1,1,'Looks of the day','Looks of the day',1666594907,1666594907,1,1),(27,27,'push_image','en',1,1,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1666594655,1666594655,1,1),(28,28,'push_image','en',1,1,'Branding and company extract changes','Branding and company extract changes',1666594701,1666594701,1,1),(29,29,'push_image','en',1,1,'British Library returns painted Renaissance book panel','British Library returns painted Renaissance book panel',1666594748,1666594748,1,1),(30,30,'grid','en',1,1,'Education','Education',1666594587,1666594587,1,1),(31,31,'article_summary','en',1,1,'UW Hospital Emergency Department Nurses Receive Lantern Award','UW Hospital Emergency Department Nurses Receive Lantern Award',1666595084,1666595129,1,1);
/*!40000 ALTER TABLE `component_item_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_field_revision`
--

DROP TABLE IF EXISTS `component_item_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_field_revision` (
  `component_item_id` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`,`langcode`),
  KEY `component_item__id__default_langcode__langcode` (`component_item_id`,`default_langcode`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for component_item entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_field_revision`
--

LOCK TABLES `component_item_field_revision` WRITE;
/*!40000 ALTER TABLE `component_item_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_field_revision` VALUES (1,1,'en',1,1666586607,1666586607,1,1),(2,2,'en',1,1666586639,1666586639,1,1),(3,3,'en',1,1666586669,1666586669,1,1),(4,4,'en',1,1666586696,1666586696,1,1),(5,5,'en',1,1666586189,1666586189,1,1),(6,6,'en',1,1666586262,1666586262,1,1),(7,7,'en',1,1666586306,1666586306,1,1),(8,8,'en',1,1666586349,1666586349,1,1),(9,9,'en',1,1666586401,1666586401,1,1),(10,10,'en',1,1666586503,1666586503,1,1),(11,11,'en',1,1666586954,1666586954,1,1),(12,12,'en',1,1666586987,1666586987,1,1),(13,13,'en',1,1666586770,1666586770,1,1),(14,14,'en',1,1666586796,1666586796,1,1),(15,15,'en',1,1666586839,1666586839,1,1),(16,16,'en',1,1666586866,1666586866,1,1),(17,17,'en',1,1666587109,1666587337,1,1),(18,18,'en',1,1666587138,1666587337,1,1),(19,19,'en',1,1666587234,1666587234,1,1),(20,20,'en',1,1666587260,1666587260,1,1),(21,21,'en',1,1666587337,1666587337,1,1),(22,22,'en',1,1666594956,1666594956,1,1),(23,23,'en',1,1666594869,1666594869,1,1),(24,24,'en',1,1666594883,1666594883,1,1),(25,25,'en',1,1666594894,1666594894,1,1),(26,26,'en',1,1666594907,1666594907,1,1),(27,27,'en',1,1666594655,1666594655,1,1),(28,28,'en',1,1666594701,1666594701,1,1),(29,29,'en',1,1666594748,1666594748,1,1),(30,30,'en',1,1666594587,1666594587,1,1),(31,31,'en',1,1666595084,1666595129,1,1);
/*!40000 ALTER TABLE `component_item_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__2794c3141e`
--

DROP TABLE IF EXISTS `component_item_r__2794c3141e`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__2794c3141e` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_information_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__2794c3141e`
--

LOCK TABLES `component_item_r__2794c3141e` WRITE;
/*!40000 ALTER TABLE `component_item_r__2794c3141e` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__2794c3141e` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__32e1b4a400`
--

DROP TABLE IF EXISTS `component_item_r__32e1b4a400`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__32e1b4a400` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_link_text_desc_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__32e1b4a400`
--

LOCK TABLES `component_item_r__32e1b4a400` WRITE;
/*!40000 ALTER TABLE `component_item_r__32e1b4a400` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__32e1b4a400` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__3383a0f259`
--

DROP TABLE IF EXISTS `component_item_r__3383a0f259`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__3383a0f259` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_slideshow_flexible_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_slideshow_flexible_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_link_uri` (`field_slideshow_flexible_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__3383a0f259`
--

LOCK TABLES `component_item_r__3383a0f259` WRITE;
/*!40000 ALTER TABLE `component_item_r__3383a0f259` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__3383a0f259` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__357c18fcb1`
--

DROP TABLE IF EXISTS `component_item_r__357c18fcb1`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__357c18fcb1` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_desc_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__357c18fcb1`
--

LOCK TABLES `component_item_r__357c18fcb1` WRITE;
/*!40000 ALTER TABLE `component_item_r__357c18fcb1` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__357c18fcb1` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__40c86cf946`
--

DROP TABLE IF EXISTS `component_item_r__40c86cf946`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__40c86cf946` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_sdesc_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__40c86cf946`
--

LOCK TABLES `component_item_r__40c86cf946` WRITE;
/*!40000 ALTER TABLE `component_item_r__40c86cf946` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__40c86cf946` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__481c56fb7a`
--

DROP TABLE IF EXISTS `component_item_r__481c56fb7a`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__481c56fb7a` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_color_color` varchar(7) DEFAULT NULL COMMENT 'The color value',
  `field_service_block_color_opacity` float DEFAULT NULL COMMENT 'The opacity/alphavalue property',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_color_color` (`field_service_block_color_color`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__481c56fb7a`
--

LOCK TABLES `component_item_r__481c56fb7a` WRITE;
/*!40000 ALTER TABLE `component_item_r__481c56fb7a` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__481c56fb7a` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__5d88543e3d`
--

DROP TABLE IF EXISTS `component_item_r__5d88543e3d`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__5d88543e3d` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_color_color` varchar(7) DEFAULT NULL COMMENT 'The color value',
  `field_divider_section_color_opacity` float DEFAULT NULL COMMENT 'The opacity/alphavalue property',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_divider_section_color_color` (`field_divider_section_color_color`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__5d88543e3d`
--

LOCK TABLES `component_item_r__5d88543e3d` WRITE;
/*!40000 ALTER TABLE `component_item_r__5d88543e3d` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__5d88543e3d` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__645517611e`
--

DROP TABLE IF EXISTS `component_item_r__645517611e`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__645517611e` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_description_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__645517611e`
--

LOCK TABLES `component_item_r__645517611e` WRITE;
/*!40000 ALTER TABLE `component_item_r__645517611e` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__645517611e` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__67576c0f5f`
--

DROP TABLE IF EXISTS `component_item_r__67576c0f5f`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__67576c0f5f` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_content_statistic_bar_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__67576c0f5f`
--

LOCK TABLES `component_item_r__67576c0f5f` WRITE;
/*!40000 ALTER TABLE `component_item_r__67576c0f5f` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__67576c0f5f` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__6ae369509d`
--

DROP TABLE IF EXISTS `component_item_r__6ae369509d`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__6ae369509d` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_divider_section_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_divider_section_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_divider_section_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_divider_section_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_divider_section_image_target_id` (`field_divider_section_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__6ae369509d`
--

LOCK TABLES `component_item_r__6ae369509d` WRITE;
/*!40000 ALTER TABLE `component_item_r__6ae369509d` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__6ae369509d` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__766300854d`
--

DROP TABLE IF EXISTS `component_item_r__766300854d`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__766300854d` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classified_ads_text_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__766300854d`
--

LOCK TABLES `component_item_r__766300854d` WRITE;
/*!40000 ALTER TABLE `component_item_r__766300854d` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__766300854d` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__7a227bd502`
--

DROP TABLE IF EXISTS `component_item_r__7a227bd502`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__7a227bd502` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_sidebar_summary_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_sidebar_summary_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_link_uri` (`field_sidebar_summary_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__7a227bd502`
--

LOCK TABLES `component_item_r__7a227bd502` WRITE;
/*!40000 ALTER TABLE `component_item_r__7a227bd502` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_r__7a227bd502` VALUES ('sidebar_summary',0,11,11,'en',0,'internal:/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','5 Mascara Tricks to Make Your Eyes Look Even More Amazing','a:0:{}'),('sidebar_summary',0,12,12,'en',0,'internal:/blog/sip-slim-down-right-way-drink-green-tea-weight-loss','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','a:0:{}');
/*!40000 ALTER TABLE `component_item_r__7a227bd502` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__7b6548b2ab`
--

DROP TABLE IF EXISTS `component_item_r__7b6548b2ab`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__7b6548b2ab` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_desc_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__7b6548b2ab`
--

LOCK TABLES `component_item_r__7b6548b2ab` WRITE;
/*!40000 ALTER TABLE `component_item_r__7b6548b2ab` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__7b6548b2ab` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__80c32e6615`
--

DROP TABLE IF EXISTS `component_item_r__80c32e6615`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__80c32e6615` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_service_block_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_service_block_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_link_uri` (`field_service_block_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__80c32e6615`
--

LOCK TABLES `component_item_r__80c32e6615` WRITE;
/*!40000 ALTER TABLE `component_item_r__80c32e6615` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__80c32e6615` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__81451f32d0`
--

DROP TABLE IF EXISTS `component_item_r__81451f32d0`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__81451f32d0` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classified_ads_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_classified_ads_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_classified_ads_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_classified_ads_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_classified_ads_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_classified_ads_image_target_id` (`field_classified_ads_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__81451f32d0`
--

LOCK TABLES `component_item_r__81451f32d0` WRITE;
/*!40000 ALTER TABLE `component_item_r__81451f32d0` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__81451f32d0` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__9d4d2c414d`
--

DROP TABLE IF EXISTS `component_item_r__9d4d2c414d`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__9d4d2c414d` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_bar_progress_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_statistic_bar_progress_target_id` (`field_statistic_bar_progress_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__9d4d2c414d`
--

LOCK TABLES `component_item_r__9d4d2c414d` WRITE;
/*!40000 ALTER TABLE `component_item_r__9d4d2c414d` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__9d4d2c414d` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__b8160e4707`
--

DROP TABLE IF EXISTS `component_item_r__b8160e4707`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__b8160e4707` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_slideshow_flexible_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_slideshow_flexible_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_slideshow_flexible_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_flexible_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_image_target_id` (`field_slideshow_flexible_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__b8160e4707`
--

LOCK TABLES `component_item_r__b8160e4707` WRITE;
/*!40000 ALTER TABLE `component_item_r__b8160e4707` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__b8160e4707` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__c61e4f93e0`
--

DROP TABLE IF EXISTS `component_item_r__c61e4f93e0`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__c61e4f93e0` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_date_value` (`field_sidebar_summary_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__c61e4f93e0`
--

LOCK TABLES `component_item_r__c61e4f93e0` WRITE;
/*!40000 ALTER TABLE `component_item_r__c61e4f93e0` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__c61e4f93e0` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__cce2d93878`
--

DROP TABLE IF EXISTS `component_item_r__cce2d93878`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__cce2d93878` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_date_value` (`field_slideshow_flexible_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__cce2d93878`
--

LOCK TABLES `component_item_r__cce2d93878` WRITE;
/*!40000 ALTER TABLE `component_item_r__cce2d93878` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__cce2d93878` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__d1e4ff912b`
--

DROP TABLE IF EXISTS `component_item_r__d1e4ff912b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__d1e4ff912b` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_service_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_sidebar_service_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_sidebar_service_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_service_link_uri` (`field_sidebar_service_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__d1e4ff912b`
--

LOCK TABLES `component_item_r__d1e4ff912b` WRITE;
/*!40000 ALTER TABLE `component_item_r__d1e4ff912b` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__d1e4ff912b` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__d37614d88b`
--

DROP TABLE IF EXISTS `component_item_r__d37614d88b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__d37614d88b` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_service_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_sidebar_service_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_sidebar_service_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_sidebar_service_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_sidebar_service_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_service_image_target_id` (`field_sidebar_service_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__d37614d88b`
--

LOCK TABLES `component_item_r__d37614d88b` WRITE;
/*!40000 ALTER TABLE `component_item_r__d37614d88b` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__d37614d88b` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__db151ffc2b`
--

DROP TABLE IF EXISTS `component_item_r__db151ffc2b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__db151ffc2b` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_description_infor_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__db151ffc2b`
--

LOCK TABLES `component_item_r__db151ffc2b` WRITE;
/*!40000 ALTER TABLE `component_item_r__db151ffc2b` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__db151ffc2b` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__e031b11f55`
--

DROP TABLE IF EXISTS `component_item_r__e031b11f55`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__e031b11f55` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_date_of_establishment_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_as_date_of_establishment_value` (`field_as_date_of_establishment_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__e031b11f55`
--

LOCK TABLES `component_item_r__e031b11f55` WRITE;
/*!40000 ALTER TABLE `component_item_r__e031b11f55` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_r__e031b11f55` VALUES ('article_summary',0,31,31,'en',0,'2022-10-18');
/*!40000 ALTER TABLE `component_item_r__e031b11f55` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__ef7af74fb6`
--

DROP TABLE IF EXISTS `component_item_r__ef7af74fb6`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__ef7af74fb6` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_service_block_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_service_block_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_service_block_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_service_block_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_image_target_id` (`field_service_block_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__ef7af74fb6`
--

LOCK TABLES `component_item_r__ef7af74fb6` WRITE;
/*!40000 ALTER TABLE `component_item_r__ef7af74fb6` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__ef7af74fb6` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__f50afc385e`
--

DROP TABLE IF EXISTS `component_item_r__f50afc385e`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__f50afc385e` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_created_by_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__f50afc385e`
--

LOCK TABLES `component_item_r__f50afc385e` WRITE;
/*!40000 ALTER TABLE `component_item_r__f50afc385e` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_r__f50afc385e` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_r__fff7256f49`
--

DROP TABLE IF EXISTS `component_item_r__fff7256f49`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_r__fff7256f49` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_sidebar_summary_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_sidebar_summary_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_sidebar_summary_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_sidebar_summary_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_image_target_id` (`field_sidebar_summary_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_r__fff7256f49`
--

LOCK TABLES `component_item_r__fff7256f49` WRITE;
/*!40000 ALTER TABLE `component_item_r__fff7256f49` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_r__fff7256f49` VALUES ('sidebar_summary',0,11,11,'en',0,77,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','',622,311),('sidebar_summary',0,12,12,'en',0,78,'Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','',622,311);
/*!40000 ALTER TABLE `component_item_r__fff7256f49` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision`
--

DROP TABLE IF EXISTS `component_item_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision` (
  `component_item_id` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `component_item__component_item_id` (`component_item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for component_item entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision`
--

LOCK TABLES `component_item_revision` WRITE;
/*!40000 ALTER TABLE `component_item_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision` VALUES (1,1,'en',1),(2,2,'en',1),(3,3,'en',1),(4,4,'en',1),(5,5,'en',1),(6,6,'en',1),(7,7,'en',1),(8,8,'en',1),(9,9,'en',1),(10,10,'en',1),(11,11,'en',1),(12,12,'en',1),(13,13,'en',1),(14,14,'en',1),(15,15,'en',1),(16,16,'en',1),(17,17,'en',1),(18,18,'en',1),(19,19,'en',1),(20,20,'en',1),(21,21,'en',1),(22,22,'en',1),(23,23,'en',1),(24,24,'en',1),(25,25,'en',1),(26,26,'en',1),(27,27,'en',1),(28,28,'en',1),(29,29,'en',1),(30,30,'en',1),(31,31,'en',1);
/*!40000 ALTER TABLE `component_item_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_as_address`
--

DROP TABLE IF EXISTS `component_item_revision__field_as_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_as_address` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_address_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_as_address`
--

LOCK TABLES `component_item_revision__field_as_address` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_as_address` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_as_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_as_country`
--

DROP TABLE IF EXISTS `component_item_revision__field_as_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_as_country` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_country_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_as_country`
--

LOCK TABLES `component_item_revision__field_as_country` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_as_country` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_as_country` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_as_description`
--

DROP TABLE IF EXISTS `component_item_revision__field_as_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_as_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_description_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_as_description`
--

LOCK TABLES `component_item_revision__field_as_description` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_as_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_as_description` VALUES ('article_summary',0,31,31,'en',0,'Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this y');
/*!40000 ALTER TABLE `component_item_revision__field_as_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_as_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_as_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_as_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_as_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_as_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_as_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_as_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_as_image_target_id` (`field_as_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_as_image`
--

LOCK TABLES `component_item_revision__field_as_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_as_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_as_image` VALUES ('article_summary',0,31,31,'en',0,90,'demo-35 (1)','',750,500);
/*!40000 ALTER TABLE `component_item_revision__field_as_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_as_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_as_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_as_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_as_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_as_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_as_link_uri` (`field_as_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_as_link`
--

LOCK TABLES `component_item_revision__field_as_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_as_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_as_link` VALUES ('article_summary',0,31,31,'en',0,'internal:/blog/uw-hospital-emergency-department-nurses-receive-lantern-award','Read more','a:0:{}');
/*!40000 ALTER TABLE `component_item_revision__field_as_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_as_opening_hours`
--

DROP TABLE IF EXISTS `component_item_revision__field_as_opening_hours`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_as_opening_hours` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_as_opening_hours_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_as…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_as_opening_hours`
--

LOCK TABLES `component_item_revision__field_as_opening_hours` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_as_opening_hours` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_as_opening_hours` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_body`
--

DROP TABLE IF EXISTS `component_item_revision__field_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_body_value` longtext NOT NULL,
  `field_body_summary` longtext DEFAULT NULL,
  `field_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_body_format` (`field_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_body`
--

LOCK TABLES `component_item_revision__field_body` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_body` VALUES ('grid',0,5,5,'en',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why.</p>\r\n','','basic_html'),('grid',0,6,6,'en',0,'<p>Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extr</p>\r\n','','basic_html'),('grid',0,7,7,'en',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a comp</p>\r\n','','basic_html'),('grid',0,8,8,'en',0,'<p>Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling the</p>\r\n','','basic_html'),('grid',0,9,9,'en',0,'<p>The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two day</p>\r\n','','basic_html'),('grid',0,10,10,'en',0,'<p>If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chi</p>\r\n','','basic_html'),('basic_component',0,22,22,'en',0,'<p>Andre Schürrle became the first German to score a World Cup goal while wearing the number nine sh</p>\r\n','','basic_html'),('accordion',0,23,23,'en',0,'<p>Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syra</p>\r\n','','basic_html'),('accordion',0,24,24,'en',0,'<p>Welcome to your wedding day!</p>\r\n','','basic_html'),('accordion',0,25,25,'en',0,'<p>More than nine million Canadians are living with diabetes or prediabetes.</p>\r\n','','basic_html'),('accordion',0,26,26,'en',0,'<p>See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny cli</p>\r\n','','basic_html');
/*!40000 ALTER TABLE `component_item_revision__field_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_captions`
--

DROP TABLE IF EXISTS `component_item_revision__field_captions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_captions` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_captions_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_captions`
--

LOCK TABLES `component_item_revision__field_captions` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_captions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_captions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_card_body`
--

DROP TABLE IF EXISTS `component_item_revision__field_card_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_card_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_body_value` longtext NOT NULL,
  `field_card_body_summary` longtext DEFAULT NULL,
  `field_card_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_body_format` (`field_card_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_card_body`
--

LOCK TABLES `component_item_revision__field_card_body` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_card_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_card_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_card_color`
--

DROP TABLE IF EXISTS `component_item_revision__field_card_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_card_color` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_color_value` (`field_card_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_card_color`
--

LOCK TABLES `component_item_revision__field_card_color` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_card_color` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_card_color` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_card_icon`
--

DROP TABLE IF EXISTS `component_item_revision__field_card_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_card_icon` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_icon_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_card_icon_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_card_icon_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_card_icon_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_card_icon_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_icon_target_id` (`field_card_icon_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_card_icon`
--

LOCK TABLES `component_item_revision__field_card_icon` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_card_icon` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_card_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_card_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_card_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_card_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_card_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_card_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_link_uri` (`field_card_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_card_link`
--

LOCK TABLES `component_item_revision__field_card_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_card_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_card_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_cells`
--

DROP TABLE IF EXISTS `component_item_revision__field_cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_cells` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_cells_value` varchar(255) NOT NULL,
  `field_cells_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_cells_format` (`field_cells_format`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_cells`
--

LOCK TABLES `component_item_revision__field_cells` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_cells` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_cells` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_counter_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_counter_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_counter_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_counter_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_counter_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_counter_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_counter_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_counter_image_target_id` (`field_counter_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_counter_image`
--

LOCK TABLES `component_item_revision__field_counter_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_counter_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_counter_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_counter_number`
--

DROP TABLE IF EXISTS `component_item_revision__field_counter_number`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_counter_number` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_number_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_counter_number`
--

LOCK TABLES `component_item_revision__field_counter_number` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_counter_number` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_counter_number` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_date`
--

DROP TABLE IF EXISTS `component_item_revision__field_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_date_value` (`field_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_date`
--

LOCK TABLES `component_item_revision__field_date` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_description`
--

DROP TABLE IF EXISTS `component_item_revision__field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext NOT NULL,
  `field_description_summary` longtext DEFAULT NULL,
  `field_description_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_description`
--

LOCK TABLES `component_item_revision__field_description` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_description` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_gc_date`
--

DROP TABLE IF EXISTS `component_item_revision__field_gc_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_gc_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_date_value` (`field_gc_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_gc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_gc_date`
--

LOCK TABLES `component_item_revision__field_gc_date` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_gc_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_gc_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_gc_description`
--

DROP TABLE IF EXISTS `component_item_revision__field_gc_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_gc_description` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_description_value` longtext NOT NULL,
  `field_gc_description_summary` longtext DEFAULT NULL,
  `field_gc_description_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_description_format` (`field_gc_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_gc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_gc_description`
--

LOCK TABLES `component_item_revision__field_gc_description` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_gc_description` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_gc_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_gc_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_gc_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_gc_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_gc_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_gc_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_gc_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gc_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_image_target_id` (`field_gc_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_gc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_gc_image`
--

LOCK TABLES `component_item_revision__field_gc_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_gc_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_gc_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_gc_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_gc_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_gc_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gc_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_gc_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_gc_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gc_link_uri` (`field_gc_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_gc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_gc_link`
--

LOCK TABLES `component_item_revision__field_gc_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_gc_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_gc_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_grid_date`
--

DROP TABLE IF EXISTS `component_item_revision__field_grid_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_grid_date` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_grid_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_grid_date_value` (`field_grid_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_grid_date`
--

LOCK TABLES `component_item_revision__field_grid_date` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_grid_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_grid_date` VALUES ('grid',0,5,5,'en',0,'2022-10-05T17:00:00'),('grid',0,6,6,'en',0,'2022-09-30T17:00:00'),('grid',0,7,7,'en',0,'2022-10-11T15:00:00'),('grid',0,8,8,'en',0,'2022-10-06T14:00:00'),('grid',0,9,9,'en',0,'2022-10-12T14:30:00'),('grid',0,10,10,'en',0,'2022-10-16T01:00:00');
/*!40000 ALTER TABLE `component_item_revision__field_grid_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_hero_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_hero_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_hero_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_hero_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_hero_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_hero_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_hero_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_hero_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_hero_image_target_id` (`field_hero_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_hero_image`
--

LOCK TABLES `component_item_revision__field_hero_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_hero_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_hero_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_hpi_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_hpi_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_hpi_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_hpi_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_hpi_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_hpi_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_hpi_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_hpi_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_hpi_image_target_id` (`field_hpi_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_hpi…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_hpi_image`
--

LOCK TABLES `component_item_revision__field_hpi_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_hpi_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_hpi_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_icon`
--

DROP TABLE IF EXISTS `component_item_revision__field_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_icon` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_icon_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_icon_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_icon_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_icon_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_icon_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_icon_target_id` (`field_icon_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_icon`
--

LOCK TABLES `component_item_revision__field_icon` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_icon` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_icon` VALUES ('grid',0,1,1,'en',0,69,'','',750,500),('grid',0,2,2,'en',0,70,'','',750,500),('grid',0,3,3,'en',0,71,'','',750,1061),('grid',0,4,4,'en',0,72,'','',250,134),('grid',0,5,5,'en',0,63,'','',750,391),('grid',0,6,6,'en',0,64,'','',750,762),('grid',0,7,7,'en',0,65,'','',750,500),('grid',0,8,8,'en',0,66,'','',750,1125),('grid',0,9,9,'en',0,67,'','',750,500),('grid',0,10,10,'en',0,68,'','',750,563),('grid',0,13,13,'en',0,73,'','',750,683),('grid',0,14,14,'en',0,74,'','',250,333),('grid',0,15,15,'en',0,75,'','',250,167),('grid',0,16,16,'en',0,76,'','',750,564),('grid',0,17,17,'en',0,79,'','',750,2283),('grid',0,18,18,'en',0,80,'','',750,750),('grid',0,19,19,'en',0,81,'','',750,917),('grid',0,20,20,'en',0,82,'','',750,1127),('grid',0,21,21,'en',0,83,'','',750,1017),('grid',0,30,30,'en',0,84,'','',750,1013);
/*!40000 ALTER TABLE `component_item_revision__field_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_image`
--

LOCK TABLES `component_item_revision__field_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_image` VALUES ('basic_component',0,22,22,'en',0,88,'','',900,481);
/*!40000 ALTER TABLE `component_item_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_information`
--

DROP TABLE IF EXISTS `component_item_revision__field_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_information` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_information_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_information`
--

LOCK TABLES `component_item_revision__field_information` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_information` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_information` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_large_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_large_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_large_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_large_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_large_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_large_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_large_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_large_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_large_image_target_id` (`field_large_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_large_image`
--

LOCK TABLES `component_item_revision__field_large_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_large_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_large_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_link_uri` (`field_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_link`
--

LOCK TABLES `component_item_revision__field_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_link` VALUES ('grid',0,1,1,'en',0,'internal:/category/education','Education','a:0:{}'),('grid',0,2,2,'en',0,'internal:/category/travel','Travel','a:0:{}'),('grid',0,3,3,'en',0,'internal:/category/fashion','Fashion','a:0:{}'),('grid',0,4,4,'en',0,'internal:/category/sports','Sports','a:0:{}'),('grid',0,5,5,'en',0,'internal:/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','Read more','a:0:{}'),('grid',0,6,6,'en',0,'internal:/blog/sip-slim-down-right-way-drink-green-tea-weight-loss','Read more','a:0:{}'),('grid',0,7,7,'en',0,'internal:/blog/branding-and-company-extract-changes','Read more','a:0:{}'),('grid',0,8,8,'en',0,'internal:/blog/etsy-weddings-handmade-object-week','Read more','a:0:{}'),('grid',0,9,9,'en',0,'internal:/blog/russias-other-art-biennial','Read more','a:0:{}'),('grid',0,10,10,'en',0,'internal:/blog/how-banish-stress-25-minutes','Read more','a:0:{}'),('grid',0,13,13,'en',0,'internal:/category/hospital','Hospital','a:0:{}'),('grid',0,14,14,'en',0,'internal:/category/nature','Nature','a:0:{}'),('grid',0,15,15,'en',0,'internal:/category/others','Others','a:0:{}'),('grid',0,16,16,'en',0,'internal:/category/business','Business','a:0:{}'),('grid',0,17,17,'en',0,'http://demo.weebpal.com/#onepage','Click to visit','a:0:{}'),('grid',0,18,18,'en',0,'http://demo.weebpal.com/#zircon_ii','Click to visit','a:0:{}'),('grid',0,19,19,'en',0,'http://demo.weebpal.com/#new-shopping','Click to visit','a:0:{}'),('grid',0,20,20,'en',0,'http://demo.weebpal.com/#business','Click to visit','a:0:{}'),('grid',0,21,21,'en',0,'http://demo.weebpal.com/#garnet','Click to visit','a:0:{}'),('basic_component',0,22,22,'en',0,'internal:/blog/world-cup-sportsday','Read more','a:0:{}'),('grid',0,30,30,'en',0,'http://demo.weebpal.com/#education','Click to visit','a:0:{}');
/*!40000 ALTER TABLE `component_item_revision__field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_mobile_hero_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_mobile_hero_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_mobile_hero_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mobile_hero_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mobile_hero_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mobile_hero_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mobile_hero_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mobile_hero_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mobile_hero_image_target_id` (`field_mobile_hero_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_mobile_hero_image`
--

LOCK TABLES `component_item_revision__field_mobile_hero_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_mobile_hero_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_mobile_hero_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pi_body`
--

DROP TABLE IF EXISTS `component_item_revision__field_pi_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pi_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pi_body_value` longtext NOT NULL,
  `field_pi_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pi_body_format` (`field_pi_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pi…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pi_body`
--

LOCK TABLES `component_item_revision__field_pi_body` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pi_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_pi_body` VALUES ('push_image',0,27,27,'en',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why.</p>\r\n','basic_html'),('push_image',0,28,28,'en',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a comp</p>\r\n','basic_html'),('push_image',0,29,29,'en',0,'<p>The British Library has agreed to return a spoliated Sienese oil painting made for the binding o</p>\r\n','basic_html');
/*!40000 ALTER TABLE `component_item_revision__field_pi_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pi_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_pi_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pi_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pi_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_pi_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_pi_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_pi_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_pi_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pi_image_target_id` (`field_pi_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pi…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pi_image`
--

LOCK TABLES `component_item_revision__field_pi_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pi_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_pi_image` VALUES ('push_image',0,27,27,'en',0,85,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','',750,391),('push_image',0,28,28,'en',0,86,'Branding and company extract changes','',750,500),('push_image',0,29,29,'en',0,87,'British Library returns painted Renaissance book panel','',750,493);
/*!40000 ALTER TABLE `component_item_revision__field_pi_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pi_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_pi_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pi_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pi_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_pi_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_pi_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pi_link_uri` (`field_pi_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pi…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pi_link`
--

LOCK TABLES `component_item_revision__field_pi_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pi_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_item_revision__field_pi_link` VALUES ('push_image',0,27,27,'en',0,'internal:/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','Read more','a:0:{}'),('push_image',0,28,28,'en',0,'internal:/blog/branding-and-company-extract-changes','Read more','a:0:{}'),('push_image',0,29,29,'en',0,'internal:/blog/british-library-returns-painted-renaissance-book-panel','Read more','a:0:{}');
/*!40000 ALTER TABLE `component_item_revision__field_pi_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_process`
--

DROP TABLE IF EXISTS `component_item_revision__field_process`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_process` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_process_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_process`
--

LOCK TABLES `component_item_revision__field_process` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_process` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_process` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pv_body`
--

DROP TABLE IF EXISTS `component_item_revision__field_pv_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pv_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_body_value` longtext NOT NULL,
  `field_pv_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_body_format` (`field_pv_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pv…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pv_body`
--

LOCK TABLES `component_item_revision__field_pv_body` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pv_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_pv_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pv_display`
--

DROP TABLE IF EXISTS `component_item_revision__field_pv_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pv_display` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_display_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_display_value` (`field_pv_display_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pv…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pv_display`
--

LOCK TABLES `component_item_revision__field_pv_display` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pv_display` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_pv_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pv_embed_video`
--

DROP TABLE IF EXISTS `component_item_revision__field_pv_embed_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pv_embed_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_embed_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pv…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pv_embed_video`
--

LOCK TABLES `component_item_revision__field_pv_embed_video` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pv_embed_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_pv_embed_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pv_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_pv_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pv_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_pv_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_pv_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_link_uri` (`field_pv_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pv…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pv_link`
--

LOCK TABLES `component_item_revision__field_pv_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pv_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_pv_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_pv_video_file`
--

DROP TABLE IF EXISTS `component_item_revision__field_pv_video_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_pv_video_file` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pv_video_file_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_pv_video_file_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_pv_video_file_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_pv_video_file_target_id` (`field_pv_video_file_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_pv…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_pv_video_file`
--

LOCK TABLES `component_item_revision__field_pv_video_file` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_pv_video_file` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_pv_video_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_quote`
--

DROP TABLE IF EXISTS `component_item_revision__field_quote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_quote` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_quote`
--

LOCK TABLES `component_item_revision__field_quote` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_quote` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_quote` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_quote_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_quote_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_quote_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_quote_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_quote_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_quote_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_quote_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_quote_image_target_id` (`field_quote_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_quote_image`
--

LOCK TABLES `component_item_revision__field_quote_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_quote_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_quote_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_quote_information`
--

DROP TABLE IF EXISTS `component_item_revision__field_quote_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_quote_information` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_information_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_quote_information`
--

LOCK TABLES `component_item_revision__field_quote_information` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_quote_information` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_quote_information` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_rc_body`
--

DROP TABLE IF EXISTS `component_item_revision__field_rc_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_rc_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rc_body_value` longtext NOT NULL,
  `field_rc_body_summary` longtext DEFAULT NULL,
  `field_rc_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_rc_body_format` (`field_rc_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_rc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_rc_body`
--

LOCK TABLES `component_item_revision__field_rc_body` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_rc_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_rc_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_rc_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_rc_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_rc_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rc_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_rc_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_rc_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_rc_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_rc_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_rc_image_target_id` (`field_rc_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_rc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_rc_image`
--

LOCK TABLES `component_item_revision__field_rc_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_rc_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_rc_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_rc_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_rc_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_rc_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rc_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_rc_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_rc_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_rc_link_uri` (`field_rc_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_rc…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_rc_link`
--

LOCK TABLES `component_item_revision__field_rc_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_rc_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_rc_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_sbp_color`
--

DROP TABLE IF EXISTS `component_item_revision__field_sbp_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_sbp_color` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sbp_color_color` varchar(7) DEFAULT NULL COMMENT 'The color value',
  `field_sbp_color_opacity` float DEFAULT NULL COMMENT 'The opacity/alphavalue property',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sbp_color_color` (`field_sbp_color_color`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_sbp…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_sbp_color`
--

LOCK TABLES `component_item_revision__field_sbp_color` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_sbp_color` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_sbp_color` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_sidebar_link_text`
--

DROP TABLE IF EXISTS `component_item_revision__field_sidebar_link_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_sidebar_link_text` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_link_text_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_sidebar_link_text_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_sidebar_link_text_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_link_text_uri` (`field_sidebar_link_text_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_sidebar_link_text`
--

LOCK TABLES `component_item_revision__field_sidebar_link_text` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_sidebar_link_text` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_sidebar_link_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_small_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_small_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_small_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_small_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_small_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_small_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_small_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_small_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_small_image_target_id` (`field_small_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_small_image`
--

LOCK TABLES `component_item_revision__field_small_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_small_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_small_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_summary`
--

DROP TABLE IF EXISTS `component_item_revision__field_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_summary` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_summary_value` longtext NOT NULL,
  `field_summary_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_summary_format` (`field_summary_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_summary`
--

LOCK TABLES `component_item_revision__field_summary` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_summary` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_summary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_table_columns`
--

DROP TABLE IF EXISTS `component_item_revision__field_table_columns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_table_columns` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_table_columns_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_table_columns_target_id` (`field_table_columns_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_table_columns`
--

LOCK TABLES `component_item_revision__field_table_columns` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_table_columns` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_table_columns` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_body`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_body_value` longtext NOT NULL,
  `field_ti_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_body_format` (`field_ti_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_body`
--

LOCK TABLES `component_item_revision__field_ti_body` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_body` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_icon`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_icon` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_icon_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_ti_icon_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_ti_icon_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_ti_icon_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_ti_icon_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_icon_target_id` (`field_ti_icon_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_icon`
--

LOCK TABLES `component_item_revision__field_ti_icon` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_icon` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_image`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_ti_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_ti_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_ti_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_ti_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_image_target_id` (`field_ti_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_image`
--

LOCK TABLES `component_item_revision__field_ti_image` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_left`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_left`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_left` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_left_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_left_target_id` (`field_ti_left_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_left`
--

LOCK TABLES `component_item_revision__field_ti_left` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_left` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_left` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_link`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_ti_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_ti_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_link_uri` (`field_ti_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_link`
--

LOCK TABLES `component_item_revision__field_ti_link` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_right`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_right`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_right` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_right_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_ti_right_target_id` (`field_ti_right_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_right`
--

LOCK TABLES `component_item_revision__field_ti_right` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_right` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_right` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_ti_video`
--

DROP TABLE IF EXISTS `component_item_revision__field_ti_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_ti_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_ti_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field_ti…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_ti_video`
--

LOCK TABLES `component_item_revision__field_ti_video` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_ti_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_ti_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_item_revision__field_type`
--

DROP TABLE IF EXISTS `component_item_revision__field_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_item_revision__field_type` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_type_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_type_value` (`field_type_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_item field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_item_revision__field_type`
--

LOCK TABLES `component_item_revision__field_type` WRITE;
/*!40000 ALTER TABLE `component_item_revision__field_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_item_revision__field_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper`
--

DROP TABLE IF EXISTS `component_wrapper`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper` (
  `component_wrapper_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` int(10) unsigned DEFAULT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`component_wrapper_id`),
  UNIQUE KEY `component_wrapper_field__uuid__value` (`uuid`),
  UNIQUE KEY `component_wrapper__vid` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for component_wrapper entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper`
--

LOCK TABLES `component_wrapper` WRITE;
/*!40000 ALTER TABLE `component_wrapper` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper` VALUES (1,1,'3ae70532-1c62-4797-9af6-992f7fcd4f22','en'),(2,2,'eea6ac21-2891-4d0a-b460-8667ca95572f','en'),(3,3,'194d6c45-2072-4c68-8707-27c61e10b396','en'),(4,4,'a9144b3a-e082-4ede-9753-a0e245f9bc2f','en'),(5,5,'651bb910-0b9f-4560-b246-f110065d8ff2','en'),(6,6,'81e7d124-42c6-40cd-a0fe-89e513186899','en'),(7,7,'8e85e35b-eabf-4325-8957-62b1a856b02e','en'),(8,8,'e03b45cd-407d-4c1d-a184-f1c7b51878a1','en');
/*!40000 ALTER TABLE `component_wrapper` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_accordion`
--

DROP TABLE IF EXISTS `component_wrapper__field_accordion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_accordion` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_accordion_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_accordion_target_id` (`field_accordion_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_accordion.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_accordion`
--

LOCK TABLES `component_wrapper__field_accordion` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_accordion` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper__field_accordion` VALUES ('component_wrapper',0,6,6,'en',0,23),('component_wrapper',0,6,6,'en',1,24),('component_wrapper',0,6,6,'en',2,25),('component_wrapper',0,6,6,'en',3,26);
/*!40000 ALTER TABLE `component_wrapper__field_accordion` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_article_summary`
--

DROP TABLE IF EXISTS `component_wrapper__field_article_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_article_summary` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_article_summary_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_article_summary_target_id` (`field_article_summary_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_article…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_article_summary`
--

LOCK TABLES `component_wrapper__field_article_summary` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_article_summary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper__field_article_summary` VALUES ('component_wrapper',0,8,8,'en',0,31);
/*!40000 ALTER TABLE `component_wrapper__field_article_summary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_banner_grid`
--

DROP TABLE IF EXISTS `component_wrapper__field_banner_grid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_banner_grid` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_grid_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_banner_grid_target_id` (`field_banner_grid_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_banner_grid.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_banner_grid`
--

LOCK TABLES `component_wrapper__field_banner_grid` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_banner_grid` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_banner_grid` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_basic_component`
--

DROP TABLE IF EXISTS `component_wrapper__field_basic_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_basic_component` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_basic_component_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_basic_component_target_id` (`field_basic_component_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_basic…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_basic_component`
--

LOCK TABLES `component_wrapper__field_basic_component` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_basic_component` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper__field_basic_component` VALUES ('component_wrapper',0,7,7,'en',0,22);
/*!40000 ALTER TABLE `component_wrapper__field_basic_component` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_card`
--

DROP TABLE IF EXISTS `component_wrapper__field_card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_card` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_target_id` (`field_card_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_card.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_card`
--

LOCK TABLES `component_wrapper__field_card` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_card` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_card` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_carousel`
--

DROP TABLE IF EXISTS `component_wrapper__field_carousel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_carousel` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_carousel_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_carousel_target_id` (`field_carousel_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_carousel.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_carousel`
--

LOCK TABLES `component_wrapper__field_carousel` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_carousel` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_carousel` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_classified_ads`
--

DROP TABLE IF EXISTS `component_wrapper__field_classified_ads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_classified_ads` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classified_ads_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_classified_ads_target_id` (`field_classified_ads_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_classified…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_classified_ads`
--

LOCK TABLES `component_wrapper__field_classified_ads` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_classified_ads` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_classified_ads` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_counter`
--

DROP TABLE IF EXISTS `component_wrapper__field_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_counter` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_counter_target_id` (`field_counter_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_counter.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_counter`
--

LOCK TABLES `component_wrapper__field_counter` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_counter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_divider_section`
--

DROP TABLE IF EXISTS `component_wrapper__field_divider_section`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_divider_section` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_divider_section_target_id` (`field_divider_section_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_divider…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_divider_section`
--

LOCK TABLES `component_wrapper__field_divider_section` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_divider_section` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_divider_section` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_grid`
--

DROP TABLE IF EXISTS `component_wrapper__field_grid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_grid` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_grid_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_grid_target_id` (`field_grid_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_grid.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_grid`
--

LOCK TABLES `component_wrapper__field_grid` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_grid` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper__field_grid` VALUES ('component_wrapper',0,1,1,'en',0,5),('component_wrapper',0,1,1,'en',1,6),('component_wrapper',0,1,1,'en',2,7),('component_wrapper',0,1,1,'en',3,8),('component_wrapper',0,1,1,'en',4,9),('component_wrapper',0,1,1,'en',5,10),('component_wrapper',0,2,2,'en',0,1),('component_wrapper',0,2,2,'en',1,2),('component_wrapper',0,2,2,'en',2,3),('component_wrapper',0,2,2,'en',3,4),('component_wrapper',0,2,2,'en',4,13),('component_wrapper',0,2,2,'en',5,14),('component_wrapper',0,2,2,'en',6,15),('component_wrapper',0,2,2,'en',7,16),('component_wrapper',0,4,4,'en',0,17),('component_wrapper',0,4,4,'en',1,18),('component_wrapper',0,4,4,'en',2,19),('component_wrapper',0,4,4,'en',3,20),('component_wrapper',0,4,4,'en',4,21),('component_wrapper',0,4,4,'en',5,30);
/*!40000 ALTER TABLE `component_wrapper__field_grid` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_grid_carousel`
--

DROP TABLE IF EXISTS `component_wrapper__field_grid_carousel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_grid_carousel` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_grid_carousel_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_grid_carousel_target_id` (`field_grid_carousel_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_grid…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_grid_carousel`
--

LOCK TABLES `component_wrapper__field_grid_carousel` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_grid_carousel` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_grid_carousel` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_horizontal_push_image`
--

DROP TABLE IF EXISTS `component_wrapper__field_horizontal_push_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_horizontal_push_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_horizontal_push_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_horizontal_push_image_target_id` (`field_horizontal_push_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_horizontal…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_horizontal_push_image`
--

LOCK TABLES `component_wrapper__field_horizontal_push_image` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_horizontal_push_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_horizontal_push_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_image`
--

DROP TABLE IF EXISTS `component_wrapper__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_image`
--

LOCK TABLES `component_wrapper__field_image` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_left_column`
--

DROP TABLE IF EXISTS `component_wrapper__field_left_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_left_column` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_left_column_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_left_column_target_id` (`field_left_column_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_left_column.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_left_column`
--

LOCK TABLES `component_wrapper__field_left_column` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_left_column` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_left_column` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_middle_column`
--

DROP TABLE IF EXISTS `component_wrapper__field_middle_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_middle_column` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_middle_column_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_middle_column_target_id` (`field_middle_column_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_middle…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_middle_column`
--

LOCK TABLES `component_wrapper__field_middle_column` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_middle_column` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_middle_column` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_push_image`
--

DROP TABLE IF EXISTS `component_wrapper__field_push_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_push_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_push_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_push_image_target_id` (`field_push_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_push_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_push_image`
--

LOCK TABLES `component_wrapper__field_push_image` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_push_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper__field_push_image` VALUES ('component_wrapper',0,5,5,'en',0,27),('component_wrapper',0,5,5,'en',1,28),('component_wrapper',0,5,5,'en',2,29);
/*!40000 ALTER TABLE `component_wrapper__field_push_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_push_video`
--

DROP TABLE IF EXISTS `component_wrapper__field_push_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_push_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_push_video_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_push_video_target_id` (`field_push_video_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_push_video.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_push_video`
--

LOCK TABLES `component_wrapper__field_push_video` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_push_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_push_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_quote`
--

DROP TABLE IF EXISTS `component_wrapper__field_quote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_quote` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_quote_target_id` (`field_quote_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_quote.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_quote`
--

LOCK TABLES `component_wrapper__field_quote` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_quote` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_quote` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_related_content`
--

DROP TABLE IF EXISTS `component_wrapper__field_related_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_related_content` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_related_content_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_related_content_target_id` (`field_related_content_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_related…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_related_content`
--

LOCK TABLES `component_wrapper__field_related_content` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_related_content` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_related_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_right_column`
--

DROP TABLE IF EXISTS `component_wrapper__field_right_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_right_column` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_right_column_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_right_column_target_id` (`field_right_column_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_right_column.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_right_column`
--

LOCK TABLES `component_wrapper__field_right_column` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_right_column` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_right_column` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_service_block`
--

DROP TABLE IF EXISTS `component_wrapper__field_service_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_service_block` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_target_id` (`field_service_block_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_service…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_service_block`
--

LOCK TABLES `component_wrapper__field_service_block` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_service_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_service_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_sidebar_link_text`
--

DROP TABLE IF EXISTS `component_wrapper__field_sidebar_link_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_sidebar_link_text` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_link_text_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_link_text_target_id` (`field_sidebar_link_text_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_sidebar_link…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_sidebar_link_text`
--

LOCK TABLES `component_wrapper__field_sidebar_link_text` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_sidebar_link_text` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_sidebar_link_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_sidebar_service`
--

DROP TABLE IF EXISTS `component_wrapper__field_sidebar_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_sidebar_service` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_service_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_service_target_id` (`field_sidebar_service_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_sidebar…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_sidebar_service`
--

LOCK TABLES `component_wrapper__field_sidebar_service` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_sidebar_service` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_sidebar_service` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_sidebar_summary`
--

DROP TABLE IF EXISTS `component_wrapper__field_sidebar_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_sidebar_summary` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_target_id` (`field_sidebar_summary_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_sidebar…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_sidebar_summary`
--

LOCK TABLES `component_wrapper__field_sidebar_summary` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_sidebar_summary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper__field_sidebar_summary` VALUES ('component_wrapper',0,3,3,'en',0,11),('component_wrapper',0,3,3,'en',1,12);
/*!40000 ALTER TABLE `component_wrapper__field_sidebar_summary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_slideshow`
--

DROP TABLE IF EXISTS `component_wrapper__field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_slideshow` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_target_id` (`field_slideshow_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_slideshow.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_slideshow`
--

LOCK TABLES `component_wrapper__field_slideshow` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_slideshow` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_slideshow_flexible`
--

DROP TABLE IF EXISTS `component_wrapper__field_slideshow_flexible`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_slideshow_flexible` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_target_id` (`field_slideshow_flexible_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_slideshow…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_slideshow_flexible`
--

LOCK TABLES `component_wrapper__field_slideshow_flexible` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_slideshow_flexible` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_slideshow_flexible` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_statistic_bar`
--

DROP TABLE IF EXISTS `component_wrapper__field_statistic_bar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_statistic_bar` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_bar_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_statistic_bar_target_id` (`field_statistic_bar_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_statistic…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_statistic_bar`
--

LOCK TABLES `component_wrapper__field_statistic_bar` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_statistic_bar` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_statistic_bar` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_summary_information`
--

DROP TABLE IF EXISTS `component_wrapper__field_summary_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_summary_information` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_summary_information_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_summary_information_target_id` (`field_summary_information_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_summary…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_summary_information`
--

LOCK TABLES `component_wrapper__field_summary_information` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_summary_information` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_summary_information` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_table`
--

DROP TABLE IF EXISTS `component_wrapper__field_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_table` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_table_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_table_target_id` (`field_table_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_table`
--

LOCK TABLES `component_wrapper__field_table` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_table` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_table` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_testimonial`
--

DROP TABLE IF EXISTS `component_wrapper__field_testimonial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_testimonial` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_testimonial_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_testimonial_target_id` (`field_testimonial_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_testimonial.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_testimonial`
--

LOCK TABLES `component_wrapper__field_testimonial` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_testimonial` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_testimonial` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_timeline`
--

DROP TABLE IF EXISTS `component_wrapper__field_timeline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_timeline` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_timeline_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_timeline_target_id` (`field_timeline_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_timeline.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_timeline`
--

LOCK TABLES `component_wrapper__field_timeline` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_timeline` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_timeline` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper__field_topic_summary`
--

DROP TABLE IF EXISTS `component_wrapper__field_topic_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper__field_topic_summary` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_topic_summary_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_topic_summary_target_id` (`field_topic_summary_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for component_wrapper field field_topic…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper__field_topic_summary`
--

LOCK TABLES `component_wrapper__field_topic_summary` WRITE;
/*!40000 ALTER TABLE `component_wrapper__field_topic_summary` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper__field_topic_summary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_field_data`
--

DROP TABLE IF EXISTS `component_wrapper_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_field_data` (
  `component_wrapper_id` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `display_title` tinyint(4) DEFAULT NULL,
  `display_header` tinyint(4) DEFAULT NULL,
  `display_footer` tinyint(4) DEFAULT NULL,
  `display_in_region` tinyint(4) DEFAULT NULL,
  `component_type` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `field_region` varchar(255) DEFAULT NULL,
  `field_weight_in_region` int(11) DEFAULT NULL,
  `field_header__value` longtext DEFAULT NULL,
  `field_header__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `field_footer__value` longtext DEFAULT NULL,
  `field_footer__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `field_properties` longtext DEFAULT NULL,
  `field_display_mode` varchar(255) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `display_image` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`component_wrapper_id`,`langcode`),
  KEY `component_wrapper__id__default_langcode__langcode` (`component_wrapper_id`,`default_langcode`,`langcode`),
  KEY `component_wrapper__vid` (`vid`),
  KEY `component_wrapper_field__uid__target_id` (`uid`),
  KEY `component_wrapper__6575303988` (`component_type`),
  KEY `component_wrapper_field__field_header__format` (`field_header__format`),
  KEY `component_wrapper_field__field_footer__format` (`field_footer__format`),
  KEY `component_wrapper__status` (`status`,`component_wrapper_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for component_wrapper entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_field_data`
--

LOCK TABLES `component_wrapper_field_data` WRITE;
/*!40000 ALTER TABLE `component_wrapper_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_field_data` VALUES (1,1,'en',1,1,'Front page',0,0,0,0,51,'headline',NULL,NULL,NULL,NULL,NULL,'{\"properties\":{\"options\":{\"display_modes\":\"grid_img_title\"},\"styles\":{\"number-columns\":\"3\",\"background-color\":\"_none\",\"full-screen\":\"_none\"}}}','grid_img_title',1666586503,1666586503,1,1,NULL),(2,2,'en',1,1,'Categories',1,0,0,0,51,'headline',NULL,NULL,NULL,NULL,NULL,'{\"properties\":{\"options\":{\"display_modes\":\"grid_image_link\"},\"styles\":{\"number-columns\":\"4\",\"background-color\":\"_none\",\"full-screen\":\"_none\"}}}','grid_image_link',1666586696,1666586988,1,1,NULL),(3,3,'en',1,1,'Featured Posts',1,0,0,1,70,'sidebar_second',NULL,NULL,NULL,NULL,NULL,'{\"properties\":{\"options\":{\"display_modes\":\"sidebar_summary_full_image\"}}}','sidebar_summary_full_image',1666586987,1667277263,1,1,NULL),(4,4,'en',1,1,'Showcase',1,0,0,0,51,'headline',NULL,NULL,NULL,NULL,NULL,'{\"properties\":{\"options\":{\"display_modes\":\"grid_img_title\"},\"styles\":{\"number-columns\":\"3\",\"background-color\":\"_none\",\"full-screen\":\"_none\"}}}','grid_img_title',1666587138,1666594960,1,1,NULL),(5,5,'en',1,1,'Blog',1,0,0,0,54,'headline',NULL,NULL,NULL,NULL,NULL,'{\"properties\":{\"styles\":{\"image-position\":\"left\",\"background-color\":\"_none\"}}}',NULL,1666594748,1666594748,1,1,NULL),(6,6,'en',1,1,'FAQ',0,0,0,0,44,'headline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1666594907,1666594907,1,1,NULL),(7,7,'en',1,1,'World Cup Sportsday',0,0,0,0,46,'headline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1666594956,1666594956,1,1,NULL),(8,8,'en',1,1,'Hospital',0,0,0,0,65,'headline',NULL,NULL,NULL,NULL,NULL,'{\"properties\":{\"options\":{\"display_modes\":\"article_summary_full_image\"}}}','article_summary_full_image',1666595084,1666595129,1,1,NULL);
/*!40000 ALTER TABLE `component_wrapper_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_field_revision`
--

DROP TABLE IF EXISTS `component_wrapper_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_field_revision` (
  `component_wrapper_id` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`,`langcode`),
  KEY `component_wrapper__id__default_langcode__langcode` (`component_wrapper_id`,`default_langcode`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for component_wrapper entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_field_revision`
--

LOCK TABLES `component_wrapper_field_revision` WRITE;
/*!40000 ALTER TABLE `component_wrapper_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_field_revision` VALUES (1,1,'en',1,1666586503,1666586503,1,1),(2,2,'en',1,1666586696,1666586988,1,1),(3,3,'en',1,1666586987,1667277263,1,1),(4,4,'en',1,1666587138,1666594960,1,1),(5,5,'en',1,1666594748,1666594748,1,1),(6,6,'en',1,1666594907,1666594907,1,1),(7,7,'en',1,1666594956,1666594956,1,1),(8,8,'en',1,1666595084,1666595129,1,1);
/*!40000 ALTER TABLE `component_wrapper_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__363324e047`
--

DROP TABLE IF EXISTS `component_wrapper_r__363324e047`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__363324e047` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_basic_component_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_basic_component_target_id` (`field_basic_component_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__363324e047`
--

LOCK TABLES `component_wrapper_r__363324e047` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__363324e047` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_r__363324e047` VALUES ('component_wrapper',0,7,7,'en',0,22);
/*!40000 ALTER TABLE `component_wrapper_r__363324e047` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__603369b4af`
--

DROP TABLE IF EXISTS `component_wrapper_r__603369b4af`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__603369b4af` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_article_summary_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_article_summary_target_id` (`field_article_summary_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__603369b4af`
--

LOCK TABLES `component_wrapper_r__603369b4af` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__603369b4af` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_r__603369b4af` VALUES ('component_wrapper',0,8,8,'en',0,31);
/*!40000 ALTER TABLE `component_wrapper_r__603369b4af` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__634659c9ab`
--

DROP TABLE IF EXISTS `component_wrapper_r__634659c9ab`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__634659c9ab` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_horizontal_push_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_horizontal_push_image_target_id` (`field_horizontal_push_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__634659c9ab`
--

LOCK TABLES `component_wrapper_r__634659c9ab` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__634659c9ab` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__634659c9ab` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__96c010c9be`
--

DROP TABLE IF EXISTS `component_wrapper_r__96c010c9be`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__96c010c9be` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_flexible_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_flexible_target_id` (`field_slideshow_flexible_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__96c010c9be`
--

LOCK TABLES `component_wrapper_r__96c010c9be` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__96c010c9be` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__96c010c9be` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__a874022e1b`
--

DROP TABLE IF EXISTS `component_wrapper_r__a874022e1b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__a874022e1b` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_related_content_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_related_content_target_id` (`field_related_content_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__a874022e1b`
--

LOCK TABLES `component_wrapper_r__a874022e1b` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__a874022e1b` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__a874022e1b` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__b6d05f61af`
--

DROP TABLE IF EXISTS `component_wrapper_r__b6d05f61af`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__b6d05f61af` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_summary_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_summary_target_id` (`field_sidebar_summary_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__b6d05f61af`
--

LOCK TABLES `component_wrapper_r__b6d05f61af` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__b6d05f61af` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_r__b6d05f61af` VALUES ('component_wrapper',0,3,3,'en',0,11),('component_wrapper',0,3,3,'en',1,12);
/*!40000 ALTER TABLE `component_wrapper_r__b6d05f61af` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__e48f846d13`
--

DROP TABLE IF EXISTS `component_wrapper_r__e48f846d13`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__e48f846d13` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_divider_section_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_divider_section_target_id` (`field_divider_section_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__e48f846d13`
--

LOCK TABLES `component_wrapper_r__e48f846d13` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__e48f846d13` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__e48f846d13` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__e8a3b51d2a`
--

DROP TABLE IF EXISTS `component_wrapper_r__e8a3b51d2a`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__e8a3b51d2a` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_service_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_service_target_id` (`field_sidebar_service_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__e8a3b51d2a`
--

LOCK TABLES `component_wrapper_r__e8a3b51d2a` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__e8a3b51d2a` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__e8a3b51d2a` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__f0f106351b`
--

DROP TABLE IF EXISTS `component_wrapper_r__f0f106351b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__f0f106351b` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_summary_information_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_summary_information_target_id` (`field_summary_information_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__f0f106351b`
--

LOCK TABLES `component_wrapper_r__f0f106351b` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__f0f106351b` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__f0f106351b` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_r__f347f28465`
--

DROP TABLE IF EXISTS `component_wrapper_r__f347f28465`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_r__f347f28465` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sidebar_link_text_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_sidebar_link_text_target_id` (`field_sidebar_link_text_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_r__f347f28465`
--

LOCK TABLES `component_wrapper_r__f347f28465` WRITE;
/*!40000 ALTER TABLE `component_wrapper_r__f347f28465` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_r__f347f28465` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision`
--

DROP TABLE IF EXISTS `component_wrapper_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision` (
  `component_wrapper_id` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `component_wrapper__component_wrapper_id` (`component_wrapper_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for component_wrapper entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision`
--

LOCK TABLES `component_wrapper_revision` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_revision` VALUES (1,1,'en',1),(2,2,'en',1),(3,3,'en',1),(4,4,'en',1),(5,5,'en',1),(6,6,'en',1),(7,7,'en',1),(8,8,'en',1);
/*!40000 ALTER TABLE `component_wrapper_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_accordion`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_accordion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_accordion` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_accordion_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_accordion_target_id` (`field_accordion_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_accordion`
--

LOCK TABLES `component_wrapper_revision__field_accordion` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_accordion` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_revision__field_accordion` VALUES ('component_wrapper',0,6,6,'en',0,23),('component_wrapper',0,6,6,'en',1,24),('component_wrapper',0,6,6,'en',2,25),('component_wrapper',0,6,6,'en',3,26);
/*!40000 ALTER TABLE `component_wrapper_revision__field_accordion` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_banner_grid`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_banner_grid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_banner_grid` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_grid_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_banner_grid_target_id` (`field_banner_grid_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_banner_grid`
--

LOCK TABLES `component_wrapper_revision__field_banner_grid` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_banner_grid` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_banner_grid` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_card`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_card` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_card_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_card_target_id` (`field_card_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_card`
--

LOCK TABLES `component_wrapper_revision__field_card` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_card` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_card` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_carousel`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_carousel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_carousel` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_carousel_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_carousel_target_id` (`field_carousel_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_carousel`
--

LOCK TABLES `component_wrapper_revision__field_carousel` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_carousel` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_carousel` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_classified_ads`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_classified_ads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_classified_ads` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classified_ads_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_classified_ads_target_id` (`field_classified_ads_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_classified_ads`
--

LOCK TABLES `component_wrapper_revision__field_classified_ads` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_classified_ads` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_classified_ads` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_counter`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_counter` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_counter_target_id` (`field_counter_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_counter`
--

LOCK TABLES `component_wrapper_revision__field_counter` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_counter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_grid`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_grid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_grid` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_grid_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_grid_target_id` (`field_grid_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_grid`
--

LOCK TABLES `component_wrapper_revision__field_grid` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_grid` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_revision__field_grid` VALUES ('component_wrapper',0,1,1,'en',0,5),('component_wrapper',0,1,1,'en',1,6),('component_wrapper',0,1,1,'en',2,7),('component_wrapper',0,1,1,'en',3,8),('component_wrapper',0,1,1,'en',4,9),('component_wrapper',0,1,1,'en',5,10),('component_wrapper',0,2,2,'en',0,1),('component_wrapper',0,2,2,'en',1,2),('component_wrapper',0,2,2,'en',2,3),('component_wrapper',0,2,2,'en',3,4),('component_wrapper',0,2,2,'en',4,13),('component_wrapper',0,2,2,'en',5,14),('component_wrapper',0,2,2,'en',6,15),('component_wrapper',0,2,2,'en',7,16),('component_wrapper',0,4,4,'en',0,17),('component_wrapper',0,4,4,'en',1,18),('component_wrapper',0,4,4,'en',2,19),('component_wrapper',0,4,4,'en',3,20),('component_wrapper',0,4,4,'en',4,21),('component_wrapper',0,4,4,'en',5,30);
/*!40000 ALTER TABLE `component_wrapper_revision__field_grid` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_grid_carousel`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_grid_carousel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_grid_carousel` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_grid_carousel_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_grid_carousel_target_id` (`field_grid_carousel_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_grid_carousel`
--

LOCK TABLES `component_wrapper_revision__field_grid_carousel` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_grid_carousel` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_grid_carousel` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_image`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_image`
--

LOCK TABLES `component_wrapper_revision__field_image` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_left_column`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_left_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_left_column` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_left_column_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_left_column_target_id` (`field_left_column_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_left_column`
--

LOCK TABLES `component_wrapper_revision__field_left_column` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_left_column` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_left_column` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_middle_column`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_middle_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_middle_column` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_middle_column_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_middle_column_target_id` (`field_middle_column_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_middle_column`
--

LOCK TABLES `component_wrapper_revision__field_middle_column` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_middle_column` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_middle_column` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_push_image`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_push_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_push_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_push_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_push_image_target_id` (`field_push_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_push_image`
--

LOCK TABLES `component_wrapper_revision__field_push_image` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_push_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `component_wrapper_revision__field_push_image` VALUES ('component_wrapper',0,5,5,'en',0,27),('component_wrapper',0,5,5,'en',1,28),('component_wrapper',0,5,5,'en',2,29);
/*!40000 ALTER TABLE `component_wrapper_revision__field_push_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_push_video`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_push_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_push_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_push_video_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_push_video_target_id` (`field_push_video_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_push_video`
--

LOCK TABLES `component_wrapper_revision__field_push_video` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_push_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_push_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_quote`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_quote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_quote` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_quote_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_quote_target_id` (`field_quote_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_quote`
--

LOCK TABLES `component_wrapper_revision__field_quote` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_quote` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_quote` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_right_column`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_right_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_right_column` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_right_column_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_right_column_target_id` (`field_right_column_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_right_column`
--

LOCK TABLES `component_wrapper_revision__field_right_column` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_right_column` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_right_column` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_service_block`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_service_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_service_block` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_block_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_service_block_target_id` (`field_service_block_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_service_block`
--

LOCK TABLES `component_wrapper_revision__field_service_block` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_service_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_service_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_slideshow`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_slideshow` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_target_id` (`field_slideshow_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_slideshow`
--

LOCK TABLES `component_wrapper_revision__field_slideshow` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_slideshow` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_statistic_bar`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_statistic_bar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_statistic_bar` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_bar_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_statistic_bar_target_id` (`field_statistic_bar_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_statistic_bar`
--

LOCK TABLES `component_wrapper_revision__field_statistic_bar` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_statistic_bar` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_statistic_bar` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_table`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_table` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_table_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_table_target_id` (`field_table_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_table`
--

LOCK TABLES `component_wrapper_revision__field_table` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_table` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_table` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_testimonial`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_testimonial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_testimonial` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_testimonial_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_testimonial_target_id` (`field_testimonial_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_testimonial`
--

LOCK TABLES `component_wrapper_revision__field_testimonial` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_testimonial` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_testimonial` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_timeline`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_timeline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_timeline` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_timeline_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_timeline_target_id` (`field_timeline_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_timeline`
--

LOCK TABLES `component_wrapper_revision__field_timeline` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_timeline` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_timeline` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `component_wrapper_revision__field_topic_summary`
--

DROP TABLE IF EXISTS `component_wrapper_revision__field_topic_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `component_wrapper_revision__field_topic_summary` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_topic_summary_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_topic_summary_target_id` (`field_topic_summary_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for component_wrapper field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_wrapper_revision__field_topic_summary`
--

LOCK TABLES `component_wrapper_revision__field_topic_summary` WRITE;
/*!40000 ALTER TABLE `component_wrapper_revision__field_topic_summary` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `component_wrapper_revision__field_topic_summary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `config`
--

DROP TABLE IF EXISTS `config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config` (
  `collection` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object collection.',
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object name.',
  `data` longblob DEFAULT NULL COMMENT 'A serialized configuration object data.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The base table for configuration data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `config`
--

LOCK TABLES `config` WRITE;
/*!40000 ALTER TABLE `config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `config` VALUES ('','admin_toolbar.settings','a:1:{s:10:\"menu_depth\";i:4;}'),('','admin_toolbar_tools.settings','a:2:{s:17:\"max_bundle_number\";i:20;s:25:\"hoverintent_functionality\";b:1;}'),('','automated_cron.settings','a:1:{s:8:\"interval\";i:10800;}'),('','block.block.aboutus','a:12:{s:4:\"uuid\";s:36:\"eb0aaaf3-8604-4897-bf00-debaa4620d39\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:47646f79-b713-49b5-a800-b301163bd033\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:7:\"aboutus\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:47646f79-b713-49b5-a800-b301163bd033\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:47646f79-b713-49b5-a800-b301163bd033\";s:5:\"label\";s:8:\"About us\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}'),('','block.block.anonymousmenu','a:12:{s:4:\"uuid\";s:36:\"a7449418-70e0-40bf-a621-337af2645841\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:26:\"system.menu.anonymous-menu\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:13:\"anonymousmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-6;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"system_menu_block:anonymous-menu\";s:8:\"settings\";a:7:{s:2:\"id\";s:32:\"system_menu_block:anonymous-menu\";s:5:\"label\";s:14:\"Anonymous Menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}s:5:\"roles\";a:1:{s:9:\"anonymous\";s:9:\"anonymous\";}}}}'),('','block.block.bartik_account_menu','a:12:{s:4:\"uuid\";s:36:\"86c61364-670f-427d-9506-065eb118189a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:19:\"bartik_account_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_branding','a:12:{s:4:\"uuid\";s:36:\"e42bf66d-e9e2-49ba-b101-1b270b44e8a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:15:\"bartik_branding\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"8400bf81-40ec-4bf7-9306-6f06ff9ee55f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:18:\"bartik_breadcrumbs\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_content','a:12:{s:4:\"uuid\";s:36:\"46f55af5-ca11-43a8-875d-9324cd73e2c8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:14:\"bartik_content\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_footer','a:12:{s:4:\"uuid\";s:36:\"f11cb45c-c042-4b90-8100-bd15e4e1d854\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:13:\"bartik_footer\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_help','a:12:{s:4:\"uuid\";s:36:\"ce069e88-a6f9-437d-8404-4bff811ee546\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:11:\"bartik_help\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"help\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_local_actions','a:12:{s:4:\"uuid\";s:36:\"273062a2-60b2-4309-b700-fdb813827f73\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:20:\"bartik_local_actions\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_local_tasks','a:12:{s:4:\"uuid\";s:36:\"298cd438-1a63-4fa1-831b-270cdcde4cc6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:18:\"bartik_local_tasks\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-40;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_main_menu','a:12:{s:4:\"uuid\";s:36:\"768a3b1b-2c74-4bea-b805-5c6836749018\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:16:\"bartik_main_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_messages','a:12:{s:4:\"uuid\";s:36:\"7673fbfc-bc8b-46e3-9d00-f05c9e29baa2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:15:\"bartik_messages\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_page_title','a:12:{s:4:\"uuid\";s:36:\"58d1da15-7c7a-471b-b800-d01a91d1becc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:17:\"bartik_page_title\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-50;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_powered','a:12:{s:4:\"uuid\";s:36:\"ca820f2c-0e88-403f-9900-c645588ffed5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:14:\"bartik_powered\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_search','a:12:{s:4:\"uuid\";s:36:\"c4f5a4af-6cdd-452b-9f05-05c57fb131d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:13:\"bartik_search\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-1;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"search\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_tools','a:12:{s:4:\"uuid\";s:36:\"7455856f-deb6-4f43-9400-d5531266da14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:12:\"bartik_tools\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.categoriesmenu_2','a:12:{s:4:\"uuid\";s:36:\"5256fbdd-1337-4182-a458-c9f75e498001\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"categoriesmenu_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"we_megamenu_block:categories-menu\";s:8:\"settings\";a:4:{s:2:\"id\";s:33:\"we_megamenu_block:categories-menu\";s:5:\"label\";s:15:\"Categories Menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:11:\"we_megamenu\";}s:10:\"visibility\";a:0:{}}'),('','block.block.copyright','a:12:{s:4:\"uuid\";s:36:\"ee32d695-45fe-480a-822c-442ceb5877eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:e2fcb25d-f9ba-495c-af43-67376323d90d\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:9:\"copyright\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"footer\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:e2fcb25d-f9ba-495c-af43-67376323d90d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:e2fcb25d-f9ba-495c-af43-67376323d90d\";s:5:\"label\";s:9:\"Copyright\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.generalinformation','a:12:{s:4:\"uuid\";s:36:\"3fdfa7a7-1a25-40d5-9600-b0ad4eaca477\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:c32d587c-e8ce-4c98-9c00-af5275014b78\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:18:\"generalinformation\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:c32d587c-e8ce-4c98-9c00-af5275014b78\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:c32d587c-e8ce-4c98-9c00-af5275014b78\";s:5:\"label\";s:19:\"General Information\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:8:\"/contact\";}}}'),('','block.block.gmap','a:12:{s:4:\"uuid\";s:36:\"cb82d2ab-3df2-491e-8000-f6170a902b67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:4:\"gmap\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:3:\"map\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";s:5:\"label\";s:4:\"Gmap\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:8:\"/contact\";}}}'),('','block.block.mainnavigation_2','a:12:{s:4:\"uuid\";s:36:\"a148b110-6a1f-4f43-8844-7981b325790b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"mainnavigation_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"we_megamenu_block:main\";s:8:\"settings\";a:4:{s:2:\"id\";s:22:\"we_megamenu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:11:\"we_megamenu\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_account_menu','a:12:{s:4:\"uuid\";s:36:\"976e2584-b31c-4a11-8900-f8c8ef7dcc41\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:21:\"pinteros_account_menu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_branding','a:12:{s:4:\"uuid\";s:36:\"d1689f22-0570-4076-b600-ad73038154ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:17:\"pinteros_branding\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:0;s:15:\"use_site_slogan\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"8661cd83-ed76-423d-9b00-ecb08f0d7f72\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:20:\"pinteros_breadcrumbs\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_content','a:12:{s:4:\"uuid\";s:36:\"35052860-ba48-46dd-8003-3c75488837f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"pinteros_content\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_footer','a:12:{s:4:\"uuid\";s:36:\"6a4ea91f-69f2-4ba3-ac02-2fd3e0c817f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"pinteros_footer\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_help','a:12:{s:4:\"uuid\";s:36:\"8b508ee2-0c65-4b12-b400-d7f882f8281a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:13:\"pinteros_help\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"help\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_local_actions','a:12:{s:4:\"uuid\";s:36:\"11a8e6a3-da71-4e7a-8104-4d69aaabc305\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:22:\"pinteros_local_actions\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_local_tasks','a:12:{s:4:\"uuid\";s:36:\"9d05d774-08ed-4550-a757-87f9891912dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:20:\"pinteros_local_tasks\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_main_menu','a:12:{s:4:\"uuid\";s:36:\"7feaaa35-d6d6-43a7-9436-547861d4aec0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:18:\"pinteros_main_menu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_messages','a:12:{s:4:\"uuid\";s:36:\"21ac98c0-9597-490d-9a00-fe6f851419c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:17:\"pinteros_messages\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_page_title','a:12:{s:4:\"uuid\";s:36:\"09fd4d37-129c-4e20-883b-59db5a41b62c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:19:\"pinteros_page_title\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:5:\"title\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_powered','a:12:{s:4:\"uuid\";s:36:\"4a8e1e1f-b24f-488b-9607-7b61f2492e20\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"pinteros_powered\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_search','a:12:{s:4:\"uuid\";s:36:\"5c886255-5822-4b10-9600-a191964931a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"pinteros_search\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"search\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_tools','a:12:{s:4:\"uuid\";s:36:\"a1c931d9-c7e4-443c-bf63-99a8475e0cac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:14:\"pinteros_tools\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.realtime','a:12:{s:4:\"uuid\";s:36:\"82c03747-046b-41bc-9800-af905d08381a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:8:\"realtime\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";s:5:\"label\";s:9:\"Real time\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.searchform','a:12:{s:4:\"uuid\";s:36:\"bb7578bd-2063-447a-8e00-b09ce11dc7a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:10:\"searchform\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:11:\"Search form\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"search\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"ac91a6d9-d7a3-4f94-a55d-9386d3110175\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:17:\"seven_breadcrumbs\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_content','a:12:{s:4:\"uuid\";s:36:\"fcadb69b-15df-447c-af00-cb661ae1bf4b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:13:\"seven_content\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_help','a:12:{s:4:\"uuid\";s:36:\"5a746e72-4d16-40ab-af53-83c4296da261\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:10:\"seven_help\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:4:\"help\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"help\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_local_actions','a:12:{s:4:\"uuid\";s:36:\"71c371a5-caf1-4d26-9400-e65de9dd49c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:19:\"seven_local_actions\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_login','a:12:{s:4:\"uuid\";s:36:\"d00b6c17-ebc5-4bd1-8104-4c6cce946cde\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:11:\"seven_login\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"user_login_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"user_login_block\";s:5:\"label\";s:10:\"User login\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:4:\"user\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_messages','a:12:{s:4:\"uuid\";s:36:\"0ac206bc-1efd-49d2-925e-942224e1786e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:14:\"seven_messages\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_page_title','a:12:{s:4:\"uuid\";s:36:\"02eec555-fdd6-411f-8005-5b7c390079ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:16:\"seven_page_title\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_primary_local_tasks','a:12:{s:4:\"uuid\";s:36:\"16e4a1a7-71bf-4a92-984b-7508a3536d94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:25:\"seven_primary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:12:\"Primary tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:1;s:9:\"secondary\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_secondary_local_tasks','a:12:{s:4:\"uuid\";s:36:\"ec10af86-614e-48fd-9800-dccd6ca7d02f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:27:\"seven_secondary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"pre_content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:14:\"Secondary tabs\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:4:\"core\";s:7:\"primary\";b:0;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.simplenewssubscription','a:12:{s:4:\"uuid\";s:36:\"b5e7ca76-9f8e-406d-8b2f-4760c7a3f9e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:22:\"simplenewssubscription\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"simplenews_subscription_block\";s:8:\"settings\";a:9:{s:2:\"id\";s:29:\"simplenews_subscription_block\";s:5:\"label\";s:10:\"Newsletter\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:10:\"simplenews\";s:11:\"newsletters\";a:0:{}s:7:\"message\";s:44:\"Stay informed - subscribe to our newsletter.\";s:9:\"unique_id\";s:36:\"9c251c3f-0b46-44b2-8403-3de25c090fff\";s:19:\"default_newsletters\";a:1:{s:7:\"default\";s:7:\"default\";}s:11:\"show_manage\";b:1;}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}'),('','block.block.socialmenu','a:12:{s:4:\"uuid\";s:36:\"efe429a4-036f-4c42-9802-2b2270cd5eb3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:10:\"socialmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";s:5:\"label\";s:11:\"Social Menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:13:\"block_content\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.useraccountmenu','a:12:{s:4:\"uuid\";s:36:\"449db4ef-1fd1-462d-9003-3d2fedcd373f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"useraccountmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-7;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:13:\"label_display\";s:1:\"0\";s:8:\"provider\";s:6:\"system\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}s:5:\"roles\";a:2:{s:13:\"authenticated\";s:13:\"authenticated\";s:13:\"administrator\";s:13:\"administrator\";}}}}'),('','block.block.views_block__comments_recent_block_1','a:12:{s:4:\"uuid\";s:36:\"714fcd62-a37a-43fc-a200-d60c4870846c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:26:\"views.view.comments_recent\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:36:\"views_block__comments_recent_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:35:\"views_block:comments_recent-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:35:\"views_block:comments_recent-block_1\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}'),('','block.block.views_block__featured_posts_block_1','a:12:{s:4:\"uuid\";s:36:\"5c4f63f1-2d44-46ca-b300-dd34d4db4385\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.featured_posts\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:35:\"views_block__featured_posts_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:34:\"views_block:featured_posts-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:34:\"views_block:featured_posts-block_1\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:62:\"<front>\r\n/showcase\r\n/showcase/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}'),('','block.block.views_block__featured_posts_block_2','a:12:{s:4:\"uuid\";s:36:\"50e6478a-b18a-428f-ac03-032b1f4ebb06\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.featured_posts\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:35:\"views_block__featured_posts_block_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:34:\"views_block:featured_posts-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:34:\"views_block:featured_posts-block_2\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}'),('','block.block.views_block__tags_in_tags_block_1','a:12:{s:4:\"uuid\";s:36:\"87682036-f6e6-4609-a909-9c479afbed64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.tags_in_tags\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:33:\"views_block__tags_in_tags_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:tags_in_tags-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:tags_in_tags-block_1\";s:5:\"label\";s:0:\"\";s:13:\"label_display\";s:7:\"visible\";s:8:\"provider\";s:5:\"views\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";}}}'),('','block_content.type.basic','a:8:{s:4:\"uuid\";s:36:\"d9f58d5f-5aca-4faf-8a00-a3dc3f2913c2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"basic\";s:5:\"label\";s:11:\"Basic block\";s:8:\"revision\";i:0;s:11:\"description\";s:42:\"A basic block contains a title and a body.\";}'),('','comment.settings','a:1:{s:16:\"log_ip_addresses\";b:1;}'),('','comment.type.comment','a:8:{s:4:\"uuid\";s:36:\"b4b4dd30-3530-476a-a800-aedb48be3df1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:16:\"Default comments\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:28:\"Allows commenting on content\";}'),('','comment.type.comment_forum','a:8:{s:4:\"uuid\";s:36:\"543c8291-2fbd-40c1-bc00-bb0eed844e5d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"comment_forum\";s:5:\"label\";s:13:\"Comment_forum\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:21:\"Default comment field\";}'),('','component_builder.component_item_type.accordion','a:7:{s:4:\"uuid\";s:36:\"4bf357ff-e2d3-40af-9007-88df671933ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"accordion\";s:5:\"label\";s:9:\"Accordion\";s:11:\"description\";N;}'),('','component_builder.component_item_type.article_summary','a:7:{s:4:\"uuid\";s:36:\"60657529-4ad3-40cb-bbc9-a3cec7bc9aa3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"article_summary\";s:5:\"label\";s:15:\"Article Summary\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.banner_grid','a:7:{s:4:\"uuid\";s:36:\"4d9fa8c4-e3a7-46df-8d07-462c8c3b3464\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:11:\"banner_grid\";s:5:\"label\";s:11:\"Banner Grid\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.basic_component','a:7:{s:4:\"uuid\";s:36:\"9e367dc7-f15a-4dc5-8fb5-953ce082ab11\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"basic_component\";s:5:\"label\";s:15:\"Basic component\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.card','a:7:{s:4:\"uuid\";s:36:\"30be4c19-6362-4109-a196-b06ddbab67ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"card\";s:5:\"label\";s:4:\"Card\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.carousel','a:7:{s:4:\"uuid\";s:36:\"f19f3677-12c3-4f99-baa7-0e530df99d7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"carousel\";s:5:\"label\";s:8:\"Carousel\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.classified_ads','a:7:{s:4:\"uuid\";s:36:\"c4ed8fe0-4c72-4657-944d-5a96632991cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:14:\"classified_ads\";s:5:\"label\";s:14:\"Classified Ads\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.counter','a:7:{s:4:\"uuid\";s:36:\"0dac5e0e-4d95-4fbc-b519-3b7f10f7e753\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"counter\";s:5:\"label\";s:7:\"Counter\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.divider_section','a:7:{s:4:\"uuid\";s:36:\"31e96950-6392-4af3-a392-8f9b1185250c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"divider_section\";s:5:\"label\";s:15:\"Divider Section\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.grid','a:7:{s:4:\"uuid\";s:36:\"40292fdb-1c2a-4fb0-b42e-ddf2a15a1c0b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"grid\";s:5:\"label\";s:4:\"Grid\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.grid_carousel','a:7:{s:4:\"uuid\";s:36:\"f8289bc0-ebe9-4c4b-926b-da690771e0ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"grid_carousel\";s:5:\"label\";s:13:\"Grid Carousel\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.horizontal_push_image','a:7:{s:4:\"uuid\";s:36:\"bb041594-60f4-4825-885c-792e8b06e08e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:21:\"horizontal_push_image\";s:5:\"label\";s:21:\"Horizontal push image\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.push_image','a:7:{s:4:\"uuid\";s:36:\"3ebedcde-3bf8-4d0a-ba93-736f1d0d96fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:10:\"push_image\";s:5:\"label\";s:10:\"Push image\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.push_video','a:7:{s:4:\"uuid\";s:36:\"4f50ceb1-4e6f-4c6b-b394-d1c382180a42\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:10:\"push_video\";s:5:\"label\";s:10:\"Push Video\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.quote','a:7:{s:4:\"uuid\";s:36:\"f46b7fb9-d07a-417f-94b5-a2e1ccdae679\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"quote\";s:5:\"label\";s:5:\"Quote\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.related_content','a:7:{s:4:\"uuid\";s:36:\"d850291e-8fd3-4f38-99f9-6e843b88d216\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"related_content\";s:5:\"label\";s:15:\"Related Content\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.service_block','a:7:{s:4:\"uuid\";s:36:\"c4bd0d33-e1de-46ce-bd4e-35b0cdf2aed7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"service_block\";s:5:\"label\";s:13:\"Service Block\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.sidebar_link_text','a:7:{s:4:\"uuid\";s:36:\"d2b40328-dd12-4a13-b231-d4799f4eb250\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:17:\"sidebar_link_text\";s:5:\"label\";s:17:\"Sidebar Link Text\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.sidebar_service','a:7:{s:4:\"uuid\";s:36:\"617ed368-3885-446d-a24e-013f70100234\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"sidebar_service\";s:5:\"label\";s:15:\"Sidebar Service\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.sidebar_summary','a:7:{s:4:\"uuid\";s:36:\"fd98a7d9-8f91-4377-a10a-a351378d0c49\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"sidebar_summary\";s:5:\"label\";s:15:\"Sidebar Summary\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.slideshow','a:7:{s:4:\"uuid\";s:36:\"554a51b7-1e93-443b-8dd9-a831b99a80bd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"slideshow\";s:5:\"label\";s:9:\"Slideshow\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.slideshow_flexible','a:7:{s:4:\"uuid\";s:36:\"9d096d9b-5898-48f3-976c-d2a03e4fc365\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:18:\"slideshow_flexible\";s:5:\"label\";s:18:\"Slideshow Flexible\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.statistic_bar','a:7:{s:4:\"uuid\";s:36:\"4ebdf503-584d-4998-98e7-290dec0513e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"statistic_bar\";s:5:\"label\";s:13:\"Statistic bar\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.statistic_bar_progress','a:7:{s:4:\"uuid\";s:36:\"b7b57627-27bc-424b-9a41-26032558b301\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:22:\"statistic_bar_progress\";s:5:\"label\";s:22:\"Statistic bar progress\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.summary_information','a:7:{s:4:\"uuid\";s:36:\"8b06662e-cbb3-493a-a110-c0898bf609c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:19:\"summary_information\";s:5:\"label\";s:19:\"Summary Information\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.table','a:7:{s:4:\"uuid\";s:36:\"c4cf8338-84db-40a0-ac49-897057b4cafd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"table\";s:5:\"label\";s:5:\"Table\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.table_column','a:7:{s:4:\"uuid\";s:36:\"163f376f-e7db-49c7-80c4-256c62ef2753\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:12:\"table_column\";s:5:\"label\";s:12:\"Table column\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.testimonial','a:7:{s:4:\"uuid\";s:36:\"901cc43c-e123-49af-bcec-cc9f93d99dff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:11:\"testimonial\";s:5:\"label\";s:11:\"Testimonial\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.timeline','a:7:{s:4:\"uuid\";s:36:\"de93114e-70f8-4a72-a4fc-5520621f8b0c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"timeline\";s:5:\"label\";s:8:\"Timeline\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.timeline_item','a:7:{s:4:\"uuid\";s:36:\"a1f934aa-f3cd-427d-91ab-870f2c0f5232\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"timeline_item\";s:5:\"label\";s:13:\"Timeline Item\";s:11:\"description\";s:0:\"\";}'),('','component_builder.component_item_type.topic_summary','a:7:{s:4:\"uuid\";s:36:\"b1769b1c-00b7-4ef4-8805-3327fb3eeaa2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"topic_summary\";s:5:\"label\";s:13:\"Topic Summary\";s:11:\"description\";s:0:\"\";}'),('','component_item.component_item_setting','a:30:{s:9:\"accordion\";i:1;s:11:\"banner_grid\";i:1;s:15:\"basic_component\";i:1;s:4:\"card\";i:1;s:8:\"carousel\";i:1;s:14:\"classified_ads\";i:1;s:9:\"composite\";i:1;s:11:\"embed_block\";i:0;s:4:\"grid\";i:1;s:13:\"grid_carousel\";i:1;s:21:\"horizontal_push_image\";i:1;s:10:\"push_image\";i:1;s:5:\"quote\";i:1;s:15:\"related_content\";i:1;s:17:\"sidebar_link_text\";i:1;s:15:\"sidebar_service\";i:1;s:9:\"slideshow\";i:1;s:18:\"slideshow_flexible\";i:1;s:19:\"summary_information\";i:1;s:5:\"table\";i:1;s:11:\"testimonial\";i:1;s:13:\"topic_summary\";i:1;s:15:\"article_summary\";i:1;s:7:\"counter\";i:1;s:15:\"divider_section\";i:1;s:10:\"push_video\";i:1;s:13:\"service_block\";i:1;s:15:\"sidebar_summary\";i:1;s:13:\"statistic_bar\";i:1;s:8:\"timeline\";i:1;}'),('','contact.form.feedback','a:11:{s:4:\"uuid\";s:36:\"be7e8aa3-a5d2-403e-9204-4c718d2f29d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"feedback\";s:5:\"label\";s:7:\"Contact\";s:10:\"recipients\";a:1:{i:0;s:19:\"contact@weebpal.com\";}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}'),('','contact.form.personal','a:11:{s:4:\"uuid\";s:36:\"f81c0d9b-43b3-4ea8-9f04-044cb2f8805b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"personal\";s:5:\"label\";s:21:\"Personal contact form\";s:10:\"recipients\";a:0:{}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}'),('','contact.settings','a:3:{s:12:\"default_form\";s:8:\"feedback\";s:5:\"flood\";a:2:{s:5:\"limit\";i:5;s:8:\"interval\";i:3600;}s:20:\"user_default_enabled\";b:1;}'),('','core.base_field_override.block_content.basic.changed','a:16:{s:4:\"uuid\";s:36:\"3574f94d-12a8-4aff-a8f6-d439a47ec737\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:27:\"block_content.basic.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:47:\"The time that the custom block was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.block_content.basic.info','a:16:{s:4:\"uuid\";s:36:\"8946443c-3c2f-45db-bb05-63ad71f7d249\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:24:\"block_content.basic.info\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:34:\"A brief description of your block.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.changed','a:16:{s:4:\"uuid\";s:36:\"d438016e-aac5-4d98-b4a5-003df386027a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:42:\"The time that the comment was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.comment.comment.created','a:16:{s:4:\"uuid\";s:36:\"aa2a5e7e-bc76-4257-9bd1-3f67cc72a6a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Created\";s:11:\"description\";s:38:\"The time that the comment was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.comment.comment.homepage','a:16:{s:4:\"uuid\";s:36:\"97e40030-36b5-4db8-8adf-e656be0fa040\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.homepage\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Homepage\";s:11:\"description\";s:39:\"The comment author\'s home page address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:3:\"uri\";}'),('','core.base_field_override.comment.comment.hostname','a:16:{s:4:\"uuid\";s:36:\"c91f5236-367d-4d73-b771-c5d2a90e4174\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.hostname\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Hostname\";s:11:\"description\";s:30:\"The comment author\'s hostname.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.mail','a:16:{s:4:\"uuid\";s:36:\"709cf257-bc04-43fe-a03e-09b554edb032\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.mail\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:35:\"The comment author\'s email address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:5:\"email\";}'),('','core.base_field_override.comment.comment.name','a:16:{s:4:\"uuid\";s:36:\"08b86996-d441-4eec-abf7-cb3f6def672d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:26:\"The comment author\'s name.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.status','a:16:{s:4:\"uuid\";s:36:\"ef9fa0d4-3652-4689-9e11-3dd39688b9ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:22:\"comment.comment.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:54:\"A boolean indicating whether the comment is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.comment.comment.subject','a:16:{s:4:\"uuid\";s:36:\"a796b66d-10e6-4145-a8ea-7aa291e37a98\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.subject\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.uid','a:16:{s:4:\"uuid\";s:36:\"e03f11c3-7d18-4447-9994-99763482bf2e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:19:\"comment.comment.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"User ID\";s:11:\"description\";s:34:\"The user ID of the comment author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.comment.comment_forum.changed','a:16:{s:4:\"uuid\";s:36:\"434b618c-ee42-46fd-90dc-71d0d67095cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:29:\"comment.comment_forum.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:42:\"The time that the comment was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.comment.comment_forum.created','a:16:{s:4:\"uuid\";s:36:\"0270d365-10d5-45b9-868a-e364fe4ddb56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:29:\"comment.comment_forum.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Created\";s:11:\"description\";s:38:\"The time that the comment was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.comment.comment_forum.homepage','a:16:{s:4:\"uuid\";s:36:\"cc2ea12a-9af1-422d-8408-b1b7b5bd5bd4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:30:\"comment.comment_forum.homepage\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:8:\"Homepage\";s:11:\"description\";s:39:\"The comment author\'s home page address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:3:\"uri\";}'),('','core.base_field_override.comment.comment_forum.hostname','a:16:{s:4:\"uuid\";s:36:\"fdf87797-7fca-4c13-8271-b42c409c9579\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:30:\"comment.comment_forum.hostname\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:8:\"Hostname\";s:11:\"description\";s:30:\"The comment author\'s hostname.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment_forum.mail','a:16:{s:4:\"uuid\";s:36:\"f9e64533-13a8-433b-ade0-799fdcb6bb8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:26:\"comment.comment_forum.mail\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:35:\"The comment author\'s email address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:5:\"email\";}'),('','core.base_field_override.comment.comment_forum.name','a:16:{s:4:\"uuid\";s:36:\"7d10642c-296c-4c74-874b-df84f7c03b9c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:26:\"comment.comment_forum.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:26:\"The comment author\'s name.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment_forum.status','a:16:{s:4:\"uuid\";s:36:\"1338f76b-084b-4925-a406-50d8e2b65cb9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:28:\"comment.comment_forum.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:54:\"A boolean indicating whether the comment is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.comment.comment_forum.subject','a:16:{s:4:\"uuid\";s:36:\"92f9e527-ff56-4899-b430-ce5a7b0b0a4c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:29:\"comment.comment_forum.subject\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment_forum.uid','a:16:{s:4:\"uuid\";s:36:\"53c7ae77-dd8b-44a9-8a8e-cae00d52f7c3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:25:\"comment.comment_forum.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"User ID\";s:11:\"description\";s:34:\"The user ID of the comment author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.menu_link_content.menu_link_content.changed','a:16:{s:4:\"uuid\";s:36:\"c43a6244-c2f1-45b1-b807-633831e1262e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:43:\"menu_link_content.menu_link_content.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:44:\"The time that the menu link was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.menu_link_content.menu_link_content.description','a:16:{s:4:\"uuid\";s:36:\"5029bff9-74e7-4690-8ace-dc8bf36bf331\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:47:\"menu_link_content.menu_link_content.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:39:\"Shown when hovering over the menu link.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.menu_link_content.menu_link_content.title','a:16:{s:4:\"uuid\";s:36:\"7c1d2065-a618-439a-ba73-619aebc8f0f1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:41:\"menu_link_content.menu_link_content.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:15:\"Menu link title\";s:11:\"description\";s:46:\"The text to be used for this link in the menu.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.article.changed','a:16:{s:4:\"uuid\";s:36:\"4452d3e7-33be-4e80-8a17-7a29ea8256e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:20:\"node.article.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.article.created','a:16:{s:4:\"uuid\";s:36:\"0099c2f2-2e29-400e-a476-77fc71afd3a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:20:\"node.article.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.article.path','a:16:{s:4:\"uuid\";s:36:\"602b9c45-c8ac-476f-949d-55808fb6a872\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:17:\"node.article.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.article.promote','a:16:{s:4:\"uuid\";s:36:\"2ecbba3c-26e0-41da-8f2f-b6eaee085cb0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:20:\"node.article.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.article.status','a:16:{s:4:\"uuid\";s:36:\"4f45bf79-da0d-4219-b766-af79042c6c79\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:19:\"node.article.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.article.sticky','a:16:{s:4:\"uuid\";s:36:\"d87654a0-8a3f-4ce3-9403-5945ec92fdf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:19:\"node.article.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.article.title','a:16:{s:4:\"uuid\";s:36:\"406cc03b-4a10-462c-97cf-fd86a4136c36\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:18:\"node.article.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.article.uid','a:16:{s:4:\"uuid\";s:36:\"272bef23-6cf6-4ed8-99d0-ff5e099717cd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:16:\"node.article.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.forum.changed','a:16:{s:4:\"uuid\";s:36:\"f0e3f309-5421-44c9-834d-b98279285324\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:18:\"node.forum.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.forum.created','a:16:{s:4:\"uuid\";s:36:\"17076569-a929-4c96-abc3-31643dca2245\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:18:\"node.forum.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.forum.path','a:16:{s:4:\"uuid\";s:36:\"f28ebbd9-c606-45b2-8882-435b1ac894c3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:15:\"node.forum.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.forum.promote','a:16:{s:4:\"uuid\";s:36:\"740d6855-ebf7-4f06-9407-07f33bad4d23\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:18:\"node.forum.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.forum.status','a:16:{s:4:\"uuid\";s:36:\"ebee38db-128f-4cba-80fd-157fcd8bc758\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:17:\"node.forum.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.forum.sticky','a:16:{s:4:\"uuid\";s:36:\"eadefc50-170a-47a9-98f6-c33933d2ca45\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:17:\"node.forum.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.forum.title','a:16:{s:4:\"uuid\";s:36:\"e81464e1-898b-455d-bb13-19aa0dd7fe10\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:16:\"node.forum.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.forum.uid','a:16:{s:4:\"uuid\";s:36:\"2aedc2f4-7035-45ba-b1c4-9e9bfba76048\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:14:\"node.forum.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.page.changed','a:16:{s:4:\"uuid\";s:36:\"c49cf851-e51e-436f-8460-a97215ca7464\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.page.created','a:16:{s:4:\"uuid\";s:36:\"55b1b365-3284-47af-b6ea-997546126316\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.page.path','a:16:{s:4:\"uuid\";s:36:\"4cb47357-00ea-4cc9-b82a-fb9a53407b41\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:14:\"node.page.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.page.promote','a:16:{s:4:\"uuid\";s:36:\"d192b746-24ba-4ad1-863c-60b2a4cc69d4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.status','a:16:{s:4:\"uuid\";s:36:\"65cd136f-1b6b-4c69-bafc-38cb8094bf3a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.sticky','a:16:{s:4:\"uuid\";s:36:\"d2d15c60-f769-45c4-bbed-c120eeafafe0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.title','a:16:{s:4:\"uuid\";s:36:\"5e3daea0-431f-4b6c-acb8-a4887538cd06\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:15:\"node.page.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.page.uid','a:16:{s:4:\"uuid\";s:36:\"a7eaa803-ab3e-417c-b4be-49d12bc5aed8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:13:\"node.page.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.showcase.changed','a:16:{s:4:\"uuid\";s:36:\"096cfe3d-4774-4658-b331-90d43eba4f3d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:21:\"node.showcase.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.showcase.created','a:16:{s:4:\"uuid\";s:36:\"3798a743-bcc7-47a7-a27d-3c7de74fca3a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:21:\"node.showcase.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.showcase.path','a:16:{s:4:\"uuid\";s:36:\"843ddff8-b087-4b06-b9ed-e1ba09921a9f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:18:\"node.showcase.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.showcase.promote','a:16:{s:4:\"uuid\";s:36:\"a4ed362a-f65d-416d-b05e-941fd5fe1541\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:21:\"node.showcase.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.showcase.status','a:16:{s:4:\"uuid\";s:36:\"b52ad317-b626-4561-bc67-5477372dd9cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:20:\"node.showcase.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.showcase.sticky','a:16:{s:4:\"uuid\";s:36:\"2b9def8e-7a1e-4da8-aa6b-55c7da572b45\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:20:\"node.showcase.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.showcase.title','a:16:{s:4:\"uuid\";s:36:\"b81dcf2e-8748-4f9a-810a-0f59bbaea925\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:19:\"node.showcase.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.showcase.uid','a:16:{s:4:\"uuid\";s:36:\"2227ad9b-db4e-4265-8bd9-43bd78fa9f56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:17:\"node.showcase.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.simplenews_issue.changed','a:16:{s:4:\"uuid\";s:36:\"dccf052c-719c-4dac-b7b1-0554ef7f436e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.simplenews_issue.created','a:16:{s:4:\"uuid\";s:36:\"0e3e6cd5-4cd6-4777-bd44-d8777fe10098\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.simplenews_issue.path','a:16:{s:4:\"uuid\";s:36:\"ff29db3f-6be3-47c9-b939-70eaeb338f14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:26:\"node.simplenews_issue.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.simplenews_issue.promote','a:16:{s:4:\"uuid\";s:36:\"a1fcfa5b-40ec-4eb3-b4b3-1b4f26552f95\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.status','a:16:{s:4:\"uuid\";s:36:\"0ccb6a64-f9ae-4df0-b0e2-edf71163742e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.sticky','a:16:{s:4:\"uuid\";s:36:\"98c9bb2b-6bc5-4f45-a853-1a715fdbaab6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.title','a:16:{s:4:\"uuid\";s:36:\"16323efe-763d-4e56-871c-cab410793677\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:27:\"node.simplenews_issue.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.simplenews_issue.uid','a:16:{s:4:\"uuid\";s:36:\"fdfe2d1a-9959-4a00-b8c5-3ad1a35dcbc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:25:\"node.simplenews_issue.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.shortcut.default.title','a:16:{s:4:\"uuid\";s:36:\"d208d7e8-6e62-4ad1-b09b-b9216140baca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}}s:2:\"id\";s:22:\"shortcut.default.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";s:7:\"default\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:25:\"The name of the shortcut.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.categories.changed','a:16:{s:4:\"uuid\";s:36:\"dbe35bd2-2826-42d1-877a-2af754d464ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.categories.description','a:16:{s:4:\"uuid\";s:36:\"2fd7f228-6245-44a9-abe0-a59124611c31\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:36:\"taxonomy_term.categories.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.categories.name','a:16:{s:4:\"uuid\";s:36:\"dca87aeb-d08e-46cf-9bff-deba3159e5ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:29:\"taxonomy_term.categories.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.categories.path','a:16:{s:4:\"uuid\";s:36:\"98ce929a-52a2-47cb-8bb1-04bc9a90a103\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:29:\"taxonomy_term.categories.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.taxonomy_term.forums.changed','a:16:{s:4:\"uuid\";s:36:\"d0ceda2a-15eb-4c3b-bbb9-5ee23c0d2880\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:28:\"taxonomy_term.forums.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.forums.description','a:16:{s:4:\"uuid\";s:36:\"cb40c457-4aa2-43a8-8cef-bcf79059526f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:32:\"taxonomy_term.forums.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.forums.name','a:16:{s:4:\"uuid\";s:36:\"409a27bb-21d5-46ad-b1df-9f949d275989\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:25:\"taxonomy_term.forums.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.forums.path','a:16:{s:4:\"uuid\";s:36:\"68288e5c-e9ce-4337-93a4-63c10d494db9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:25:\"taxonomy_term.forums.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.taxonomy_term.tags.changed','a:16:{s:4:\"uuid\";s:36:\"3a172edc-564d-46a7-80de-405f29ac4815\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:26:\"taxonomy_term.tags.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.tags.description','a:16:{s:4:\"uuid\";s:36:\"89f0e06d-0005-4ea0-a1ae-1ef7e4282071\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:30:\"taxonomy_term.tags.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.tags.name','a:16:{s:4:\"uuid\";s:36:\"30d3c747-a137-40eb-ad66-e8c7225c33d2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:23:\"taxonomy_term.tags.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.tags.path','a:16:{s:4:\"uuid\";s:36:\"e4ec7d76-a9ca-41d9-a564-c8efcbf8f535\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:23:\"taxonomy_term.tags.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.user.user.changed','a:16:{s:4:\"uuid\";s:36:\"5c2f9469-ce8f-46b5-a434-28cf69bfae07\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the user was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.date_format.fallback','a:8:{s:4:\"uuid\";s:36:\"aa149df3-13cf-47f3-852d-45c0a83a88ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"fallback\";s:5:\"label\";s:20:\"Fallback date format\";s:6:\"locked\";b:1;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}'),('','core.date_format.html_date','a:8:{s:4:\"uuid\";s:36:\"b410eefc-7c92-415e-ba08-8b94e9fdfeaf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_date\";s:5:\"label\";s:9:\"HTML Date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-m-d\";}'),('','core.date_format.html_datetime','a:8:{s:4:\"uuid\";s:36:\"9524220c-3f20-4388-b600-a6d1c777f4be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"html_datetime\";s:5:\"label\";s:13:\"HTML Datetime\";s:6:\"locked\";b:1;s:7:\"pattern\";s:13:\"Y-m-d\\TH:i:sO\";}'),('','core.date_format.html_month','a:8:{s:4:\"uuid\";s:36:\"f624b27f-97bf-4eef-984a-74ffadbc3899\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:10:\"html_month\";s:5:\"label\";s:10:\"HTML Month\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"Y-m\";}'),('','core.date_format.html_time','a:8:{s:4:\"uuid\";s:36:\"03d243b6-5629-49be-a761-975d5e2ff52c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_time\";s:5:\"label\";s:9:\"HTML Time\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"H:i:s\";}'),('','core.date_format.html_week','a:8:{s:4:\"uuid\";s:36:\"cb55878a-0626-4491-a604-4de7a45a6206\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_week\";s:5:\"label\";s:9:\"HTML Week\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-\\WW\";}'),('','core.date_format.html_year','a:8:{s:4:\"uuid\";s:36:\"a7acbeb1-a92f-4064-b008-8acb927dd952\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_year\";s:5:\"label\";s:9:\"HTML Year\";s:6:\"locked\";b:1;s:7:\"pattern\";s:1:\"Y\";}'),('','core.date_format.html_yearless_date','a:8:{s:4:\"uuid\";s:36:\"a08f048f-7d23-4b4a-a42f-47f282190fbb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:18:\"html_yearless_date\";s:5:\"label\";s:18:\"HTML Yearless date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"m-d\";}'),('','core.date_format.long','a:8:{s:4:\"uuid\";s:36:\"5727012b-e70b-406b-ba00-b6f7f440284f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"long\";s:5:\"label\";s:17:\"Default long date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:15:\"l, F j, Y - H:i\";}'),('','core.date_format.medium','a:8:{s:4:\"uuid\";s:36:\"8003c87b-49d9-4be5-8d07-074c90a497fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:6:\"medium\";s:5:\"label\";s:19:\"Default medium date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}'),('','core.date_format.short','a:8:{s:4:\"uuid\";s:36:\"c458af85-3e3e-48e9-8632-5088efa35da1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"short\";s:5:\"label\";s:18:\"Default short date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:11:\"m/d/Y - H:i\";}'),('','core.entity_form_display.block_content.basic.default','a:10:{s:4:\"uuid\";s:36:\"9329d403-8065-4796-9a00-a29bab55639f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:-4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:4:\"info\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.comment.comment.default','a:10:{s:4:\"uuid\";s:36:\"63480efb-8cd1-4515-8458-882109669197\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:40:\"field.field.comment.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:23:\"comment.comment.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:6:\"author\";a:4:{s:6:\"weight\";i:-2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"comment_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:11;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:7:\"subject\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.comment.comment_forum.default','a:10:{s:4:\"uuid\";s:36:\"ffe08601-c011-459a-9f60-96840d5dfb1e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"comment.type.comment_forum\";i:1;s:46:\"field.field.comment.comment_forum.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:29:\"comment.comment_forum.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:6:\"author\";a:4:{s:6:\"weight\";i:-2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"comment_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:11;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:7:\"subject\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.component_item.accordion.default','a:10:{s:4:\"uuid\";s:36:\"d4c02d27-0e7c-4f75-9d98-53ebd36ebd11\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.accordion\";i:1;s:47:\"field.field.component_item.accordion.field_body\";}}s:2:\"id\";s:32:\"component_item.accordion.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"accordion\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_body\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.article_summary.default','a:10:{s:4:\"uuid\";s:36:\"567be8ec-1b53-49a7-91c4-d6a509d82be9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:9:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:59:\"field.field.component_item.article_summary.field_as_address\";i:2;s:59:\"field.field.component_item.article_summary.field_as_country\";i:3;s:73:\"field.field.component_item.article_summary.field_as_date_of_establishment\";i:4;s:63:\"field.field.component_item.article_summary.field_as_description\";i:5;s:57:\"field.field.component_item.article_summary.field_as_image\";i:6;s:56:\"field.field.component_item.article_summary.field_as_link\";i:7;s:65:\"field.field.component_item.article_summary.field_as_opening_hours\";i:8;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.article_summary.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:10:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_as_address\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_as_country\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:9;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:30:\"field_as_date_of_establishment\";a:5:{s:4:\"type\";s:16:\"datetime_default\";s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:20:\"field_as_description\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_as_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_as_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:22:\"field_as_opening_hours\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.banner_grid.default','a:10:{s:4:\"uuid\";s:36:\"b118245e-be8e-42e2-8917-b1ee6cd95349\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:49:\"component_builder.component_item_type.banner_grid\";i:1;s:56:\"field.field.component_item.banner_grid.field_large_image\";i:2;s:56:\"field.field.component_item.banner_grid.field_small_image\";i:3;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:34:\"component_item.banner_grid.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"banner_grid\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_large_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_small_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.basic_component.default','a:10:{s:4:\"uuid\";s:36:\"f49b01ff-5bb1-4db2-9556-635b929b8e16\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:53:\"component_builder.component_item_type.basic_component\";i:1;s:53:\"field.field.component_item.basic_component.field_body\";i:2;s:54:\"field.field.component_item.basic_component.field_image\";i:3;s:53:\"field.field.component_item.basic_component.field_link\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:38:\"component_item.basic_component.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"basic_component\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.card.default','a:10:{s:4:\"uuid\";s:36:\"a4af7a06-ee2e-4b2a-9ced-9f0ed1e438fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:47:\"field.field.component_item.card.field_card_body\";i:2;s:48:\"field.field.component_item.card.field_card_color\";i:3;s:47:\"field.field.component_item.card.field_card_icon\";i:4;s:47:\"field.field.component_item.card.field_card_link\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:27:\"component_item.card.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"card\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_card_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_card_color\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_card_icon\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_card_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.carousel.default','a:10:{s:4:\"uuid\";s:36:\"0d2e5377-5d99-421b-ac5a-912ea6f02961\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:46:\"field.field.component_item.carousel.field_date\";i:2;s:53:\"field.field.component_item.carousel.field_description\";i:3;s:47:\"field.field.component_item.carousel.field_image\";i:4;s:46:\"field.field.component_item.carousel.field_link\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:2:\"id\";s:31:\"component_item.carousel.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_date\";a:5:{s:4:\"type\";s:16:\"datetime_default\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_description\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.classified_ads.default','a:10:{s:4:\"uuid\";s:36:\"74a01c7a-47a9-4acf-bc60-1de9f8964744\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:52:\"component_builder.component_item_type.classified_ads\";i:1;s:68:\"field.field.component_item.classified_ads.field_classified_ads_image\";i:2;s:67:\"field.field.component_item.classified_ads.field_classified_ads_text\";i:3;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:37:\"component_item.classified_ads.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:14:\"classified_ads\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:26:\"field_classified_ads_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:25:\"field_classified_ads_text\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.counter.default','a:10:{s:4:\"uuid\";s:36:\"57b7da58-dd9d-464a-aaee-e49c7f7dee5b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:45:\"component_builder.component_item_type.counter\";i:1;s:54:\"field.field.component_item.counter.field_counter_image\";i:2;s:55:\"field.field.component_item.counter.field_counter_number\";i:3;s:18:\"image.style.medium\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:30:\"component_item.counter.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:7:\"counter\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_counter_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:6:\"medium\";}s:20:\"third_party_settings\";a:0:{}}s:20:\"field_counter_number\";a:5:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.divider_section.default','a:10:{s:4:\"uuid\";s:36:\"fe44b331-4302-4754-85a8-a24ef73a2841\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:53:\"component_builder.component_item_type.divider_section\";i:1;s:70:\"field.field.component_item.divider_section.field_divider_section_color\";i:2;s:69:\"field.field.component_item.divider_section.field_divider_section_desc\";i:3;s:70:\"field.field.component_item.divider_section.field_divider_section_image\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:5:\"image\";}}s:2:\"id\";s:38:\"component_item.divider_section.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"divider_section\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:27:\"field_divider_section_color\";a:5:{s:4:\"type\";s:24:\"color_field_widget_html5\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:26:\"field_divider_section_desc\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:27:\"field_divider_section_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.grid.default','a:10:{s:4:\"uuid\";s:36:\"984def08-c399-4189-80a2-e66476d15cd1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:42:\"field.field.component_item.grid.field_body\";i:2;s:47:\"field.field.component_item.grid.field_grid_date\";i:3;s:42:\"field.field.component_item.grid.field_icon\";i:4;s:42:\"field.field.component_item.grid.field_link\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:2:\"id\";s:27:\"component_item.grid.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_grid_date\";a:5:{s:4:\"type\";s:16:\"datetime_default\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_icon\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.grid_carousel.default','a:10:{s:4:\"uuid\";s:36:\"b14361c9-ad0c-4f3b-83d1-d3a84cd79495\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:54:\"field.field.component_item.grid_carousel.field_gc_date\";i:2;s:61:\"field.field.component_item.grid_carousel.field_gc_description\";i:3;s:55:\"field.field.component_item.grid_carousel.field_gc_image\";i:4;s:54:\"field.field.component_item.grid_carousel.field_gc_link\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:2:\"id\";s:36:\"component_item.grid_carousel.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"grid_carousel\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_gc_date\";a:5:{s:4:\"type\";s:16:\"datetime_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:20:\"field_gc_description\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_gc_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_gc_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.horizontal_push_image.default','a:10:{s:4:\"uuid\";s:36:\"289d31e5-b8ff-48c5-8689-485d50f9c77f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";i:1;s:59:\"field.field.component_item.horizontal_push_image.field_body\";i:2;s:64:\"field.field.component_item.horizontal_push_image.field_hpi_image\";i:3;s:59:\"field.field.component_item.horizontal_push_image.field_link\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:44:\"component_item.horizontal_push_image.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:21:\"horizontal_push_image\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_hpi_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.push_image.default','a:10:{s:4:\"uuid\";s:36:\"4c7638b8-eec1-4068-9766-206220ea6534\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:48:\"component_builder.component_item_type.push_image\";i:1;s:51:\"field.field.component_item.push_image.field_pi_body\";i:2;s:52:\"field.field.component_item.push_image.field_pi_image\";i:3;s:51:\"field.field.component_item.push_image.field_pi_link\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:33:\"component_item.push_image.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_image\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_pi_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_pi_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_pi_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.push_video.default','a:10:{s:4:\"uuid\";s:36:\"76579c21-23d5-40cb-9278-7414737e6aae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:51:\"field.field.component_item.push_video.field_pv_body\";i:2;s:54:\"field.field.component_item.push_video.field_pv_display\";i:3;s:58:\"field.field.component_item.push_video.field_pv_embed_video\";i:4;s:51:\"field.field.component_item.push_video.field_pv_link\";i:5;s:57:\"field.field.component_item.push_video.field_pv_video_file\";}s:6:\"module\";a:4:{i:0;s:4:\"file\";i:1;s:4:\"link\";i:2;s:4:\"text\";i:3;s:17:\"video_embed_field\";}}s:2:\"id\";s:33:\"component_item.push_video.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:8:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_pv_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_pv_display\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:20:\"field_pv_embed_video\";a:5:{s:4:\"type\";s:27:\"video_embed_field_textfield\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_pv_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_pv_video_file\";a:5:{s:4:\"type\";s:12:\"file_generic\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.quote.default','a:10:{s:4:\"uuid\";s:36:\"ff2396c2-da06-4414-939b-d250edf7b4cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:44:\"field.field.component_item.quote.field_quote\";i:2;s:62:\"field.field.component_item.quote.field_quote_description_infor\";i:3;s:50:\"field.field.component_item.quote.field_quote_image\";i:4;s:56:\"field.field.component_item.quote.field_quote_information\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"component_item.quote.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"quote\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_quote\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:29:\"field_quote_description_infor\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_quote_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:23:\"field_quote_information\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.related_content.default','a:10:{s:4:\"uuid\";s:36:\"ea76a985-6650-49e7-9a44-f84cf8710d7c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:53:\"component_builder.component_item_type.related_content\";i:1;s:56:\"field.field.component_item.related_content.field_rc_body\";i:2;s:57:\"field.field.component_item.related_content.field_rc_image\";i:3;s:56:\"field.field.component_item.related_content.field_rc_link\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:38:\"component_item.related_content.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"related_content\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_rc_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_rc_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_rc_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.service_block.default','a:10:{s:4:\"uuid\";s:36:\"67465cc5-c0e9-413c-9e6c-f845ff896276\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:66:\"field.field.component_item.service_block.field_service_block_color\";i:2;s:72:\"field.field.component_item.service_block.field_service_block_description\";i:3;s:66:\"field.field.component_item.service_block.field_service_block_image\";i:4;s:65:\"field.field.component_item.service_block.field_service_block_link\";i:5;s:18:\"image.style.medium\";}s:6:\"module\";a:3:{i:0;s:11:\"color_field\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:2:\"id\";s:36:\"component_item.service_block.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"service_block\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:25:\"field_service_block_color\";a:5:{s:4:\"type\";s:24:\"color_field_widget_html5\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:31:\"field_service_block_description\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:25:\"field_service_block_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:6:\"medium\";}s:20:\"third_party_settings\";a:0:{}}s:24:\"field_service_block_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.sidebar_link_text.default','a:10:{s:4:\"uuid\";s:36:\"e731be49-b634-4f5c-800a-364c76b0f19a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:55:\"component_builder.component_item_type.sidebar_link_text\";i:1;s:68:\"field.field.component_item.sidebar_link_text.field_sidebar_link_text\";i:2;s:73:\"field.field.component_item.sidebar_link_text.field_sidebar_link_text_desc\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:40:\"component_item.sidebar_link_text.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:17:\"sidebar_link_text\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:23:\"field_sidebar_link_text\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:28:\"field_sidebar_link_text_desc\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.sidebar_service.default','a:10:{s:4:\"uuid\";s:36:\"7e052d55-fb3d-441a-a829-bedb088feac3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:53:\"component_builder.component_item_type.sidebar_service\";i:1;s:70:\"field.field.component_item.sidebar_service.field_sidebar_service_image\";i:2;s:69:\"field.field.component_item.sidebar_service.field_sidebar_service_link\";i:3;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.sidebar_service.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_service\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:27:\"field_sidebar_service_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:26:\"field_sidebar_service_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.sidebar_summary.default','a:10:{s:4:\"uuid\";s:36:\"94a63e33-c1f8-410d-bf95-682afe6dc586\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:75:\"field.field.component_item.sidebar_summary.field_sidebar_summary_created_by\";i:2;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_date\";i:3;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_desc\";i:4;s:70:\"field.field.component_item.sidebar_summary.field_sidebar_summary_image\";i:5;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_link\";i:6;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.sidebar_summary.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:8:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:32:\"field_sidebar_summary_created_by\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:26:\"field_sidebar_summary_date\";a:5:{s:4:\"type\";s:16:\"datetime_default\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:26:\"field_sidebar_summary_desc\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:27:\"field_sidebar_summary_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:26:\"field_sidebar_summary_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.slideshow.default','a:10:{s:4:\"uuid\";s:36:\"d43b7d4e-120c-4455-a2fc-fe64a18f5213\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:51:\"field.field.component_item.slideshow.field_captions\";i:2;s:53:\"field.field.component_item.slideshow.field_hero_image\";i:3;s:47:\"field.field.component_item.slideshow.field_link\";i:4;s:60:\"field.field.component_item.slideshow.field_mobile_hero_image\";i:5;s:50:\"field.field.component_item.slideshow.field_summary\";i:6;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:32:\"component_item.slideshow.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:8:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_captions\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_hero_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:23:\"field_mobile_hero_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_summary\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.slideshow_flexible.default','a:10:{s:4:\"uuid\";s:36:\"70758189-412b-4e4a-bbfc-41ed5d97ff27\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:75:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_date\";i:2;s:76:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_image\";i:3;s:75:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_link\";i:4;s:76:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_sdesc\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.slideshow_flexible.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:18:\"slideshow_flexible\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:8:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:30:\"field_slideshow_flexible_color\";a:5:{s:4:\"type\";s:24:\"color_field_widget_html5\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:29:\"field_slideshow_flexible_date\";a:5:{s:4:\"type\";s:16:\"datetime_default\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:30:\"field_slideshow_flexible_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:29:\"field_slideshow_flexible_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:30:\"field_slideshow_flexible_sdesc\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.statistic_bar.default','a:10:{s:4:\"uuid\";s:36:\"c8f0c055-9394-452d-9ec0-bc58f2574aa9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:51:\"component_builder.component_item_type.statistic_bar\";i:1;s:68:\"field.field.component_item.statistic_bar.field_content_statistic_bar\";i:2;s:69:\"field.field.component_item.statistic_bar.field_statistic_bar_progress\";}s:6:\"module\";a:1:{i:0;s:18:\"inline_entity_form\";}}s:2:\"id\";s:36:\"component_item.statistic_bar.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"statistic_bar\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:27:\"field_content_statistic_bar\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:28:\"field_statistic_bar_progress\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:1;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.statistic_bar_progress.default','a:10:{s:4:\"uuid\";s:36:\"6c6c9160-ce15-4142-a69b-0b178887f3fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:60:\"component_builder.component_item_type.statistic_bar_progress\";i:1;s:63:\"field.field.component_item.statistic_bar_progress.field_process\";i:2;s:65:\"field.field.component_item.statistic_bar_progress.field_sbp_color\";}s:6:\"module\";a:1:{i:0;s:11:\"color_field\";}}s:2:\"id\";s:45:\"component_item.statistic_bar_progress.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:22:\"statistic_bar_progress\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_process\";a:5:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_sbp_color\";a:5:{s:4:\"type\";s:24:\"color_field_widget_html5\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.summary_information.default','a:10:{s:4:\"uuid\";s:36:\"19faaacf-0c52-4456-b0e5-8dbc3337eba1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:57:\"component_builder.component_item_type.summary_information\";i:1;s:57:\"field.field.component_item.summary_information.field_body\";i:2;s:58:\"field.field.component_item.summary_information.field_image\";i:3;s:57:\"field.field.component_item.summary_information.field_link\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:42:\"component_item.summary_information.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:19:\"summary_information\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.table.default','a:10:{s:4:\"uuid\";s:36:\"8841eb2b-70e2-4ead-9c8c-20d455be2596\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.table\";i:1;s:52:\"field.field.component_item.table.field_table_columns\";}s:6:\"module\";a:1:{i:0;s:18:\"inline_entity_form\";}}s:2:\"id\";s:28:\"component_item.table.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"table\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_table_columns\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.table_column.default','a:10:{s:4:\"uuid\";s:36:\"b00d202e-5d0b-4269-a856-5736ee3492fb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:50:\"component_builder.component_item_type.table_column\";i:1;s:51:\"field.field.component_item.table_column.field_cells\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.table_column.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:12:\"table_column\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_cells\";a:5:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.testimonial.default','a:10:{s:4:\"uuid\";s:36:\"4cd7eede-7289-46a5-8e96-c0d452f59d83\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:68:\"field.field.component_item.testimonial.field_description_information\";i:2;s:50:\"field.field.component_item.testimonial.field_image\";i:3;s:56:\"field.field.component_item.testimonial.field_information\";i:4;s:50:\"field.field.component_item.testimonial.field_quote\";i:5;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:34:\"component_item.testimonial.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"testimonial\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:29:\"field_description_information\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_information\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_quote\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.timeline.default','a:10:{s:4:\"uuid\";s:36:\"2a888370-72cd-4a9d-9524-9d2cac635841\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:46:\"component_builder.component_item_type.timeline\";i:1;s:49:\"field.field.component_item.timeline.field_ti_left\";i:2;s:50:\"field.field.component_item.timeline.field_ti_right\";}s:6:\"module\";a:1:{i:0;s:18:\"inline_entity_form\";}}s:2:\"id\";s:31:\"component_item.timeline.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"timeline\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_ti_left\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_ti_right\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.timeline_item.default','a:10:{s:4:\"uuid\";s:36:\"8fac6e80-d7e3-45b9-82c7-096cefee2ec2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:54:\"field.field.component_item.timeline_item.field_ti_body\";i:2;s:54:\"field.field.component_item.timeline_item.field_ti_icon\";i:3;s:55:\"field.field.component_item.timeline_item.field_ti_image\";i:4;s:54:\"field.field.component_item.timeline_item.field_ti_link\";i:5;s:55:\"field.field.component_item.timeline_item.field_ti_video\";i:6;s:51:\"field.field.component_item.timeline_item.field_type\";i:7;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";i:3;s:17:\"video_embed_field\";}}s:2:\"id\";s:36:\"component_item.timeline_item.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:9:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_ti_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_ti_icon\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_ti_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_ti_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_ti_video\";a:5:{s:4:\"type\";s:27:\"video_embed_field_textfield\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_type\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_item.topic_summary.default','a:10:{s:4:\"uuid\";s:36:\"6b9feff5-d7c2-4eef-b3f2-742868d93e76\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:51:\"field.field.component_item.topic_summary.field_body\";i:2;s:52:\"field.field.component_item.topic_summary.field_image\";i:3;s:51:\"field.field.component_item.topic_summary.field_link\";i:4;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:36:\"component_item.topic_summary.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.component_wrapper.component_wrapper.default','a:10:{s:4:\"uuid\";s:36:\"f1e001a2-c0a0-4a19-bac6-f1ca9432cc7d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:28:{i:0;s:63:\"field.field.component_wrapper.component_wrapper.field_accordion\";i:1;s:69:\"field.field.component_wrapper.component_wrapper.field_article_summary\";i:2;s:65:\"field.field.component_wrapper.component_wrapper.field_banner_grid\";i:3;s:69:\"field.field.component_wrapper.component_wrapper.field_basic_component\";i:4;s:58:\"field.field.component_wrapper.component_wrapper.field_card\";i:5;s:62:\"field.field.component_wrapper.component_wrapper.field_carousel\";i:6;s:68:\"field.field.component_wrapper.component_wrapper.field_classified_ads\";i:7;s:61:\"field.field.component_wrapper.component_wrapper.field_counter\";i:8;s:69:\"field.field.component_wrapper.component_wrapper.field_divider_section\";i:9;s:58:\"field.field.component_wrapper.component_wrapper.field_grid\";i:10;s:67:\"field.field.component_wrapper.component_wrapper.field_grid_carousel\";i:11;s:75:\"field.field.component_wrapper.component_wrapper.field_horizontal_push_image\";i:12;s:64:\"field.field.component_wrapper.component_wrapper.field_push_image\";i:13;s:64:\"field.field.component_wrapper.component_wrapper.field_push_video\";i:14;s:59:\"field.field.component_wrapper.component_wrapper.field_quote\";i:15;s:69:\"field.field.component_wrapper.component_wrapper.field_related_content\";i:16;s:67:\"field.field.component_wrapper.component_wrapper.field_service_block\";i:17;s:71:\"field.field.component_wrapper.component_wrapper.field_sidebar_link_text\";i:18;s:69:\"field.field.component_wrapper.component_wrapper.field_sidebar_service\";i:19;s:69:\"field.field.component_wrapper.component_wrapper.field_sidebar_summary\";i:20;s:63:\"field.field.component_wrapper.component_wrapper.field_slideshow\";i:21;s:72:\"field.field.component_wrapper.component_wrapper.field_slideshow_flexible\";i:22;s:67:\"field.field.component_wrapper.component_wrapper.field_statistic_bar\";i:23;s:73:\"field.field.component_wrapper.component_wrapper.field_summary_information\";i:24;s:59:\"field.field.component_wrapper.component_wrapper.field_table\";i:25;s:65:\"field.field.component_wrapper.component_wrapper.field_testimonial\";i:26;s:62:\"field.field.component_wrapper.component_wrapper.field_timeline\";i:27;s:67:\"field.field.component_wrapper.component_wrapper.field_topic_summary\";}s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:18:\"inline_entity_form\";}}s:2:\"id\";s:43:\"component_wrapper.component_wrapper.default\";s:16:\"targetEntityType\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:42:{s:14:\"component_type\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:14:\"display_footer\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:14:\"display_header\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:17:\"display_in_region\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:13:\"display_title\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_accordion\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:21:\"field_article_summary\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_banner_grid\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:21:\"field_basic_component\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_card\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_carousel\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:20:\"field_classified_ads\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:13:\"field_counter\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:18:\"field_display_mode\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:21:\"field_divider_section\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:12:\"field_footer\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:9;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_grid\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_grid_carousel\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:12:\"field_header\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:27:\"field_horizontal_push_image\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:17:\"field_left_column\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_middle_column\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_push_image\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_push_video\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_quote\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:12:\"field_region\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:21:\"field_related_content\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:18:\"field_right_column\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_service_block\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:23:\"field_sidebar_link_text\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:21:\"field_sidebar_service\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:21:\"field_sidebar_summary\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:15:\"field_slideshow\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:24:\"field_slideshow_flexible\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_statistic_bar\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:25:\"field_summary_information\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_table\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_timeline\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:19:\"field_topic_summary\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:1;s:14:\"label_singular\";s:4:\"Item\";s:12:\"label_plural\";s:5:\"Items\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:22:\"field_weight_in_region\";a:5:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:4:{s:7:\"created\";b:1;s:17:\"field_testimonial\";b:1;s:6:\"status\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.node.article.default','a:10:{s:4:\"uuid\";s:36:\"5fd3b7b8-7f5a-41f2-8460-96b461e22b22\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:29:\"field.field.node.article.body\";i:1;s:32:\"field.field.node.article.comment\";i:2;s:36:\"field.field.node.article.field_image\";i:3;s:35:\"field.field.node.article.field_tags\";i:4;s:21:\"image.style.thumbnail\";i:5;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"path\";i:3;s:4:\"text\";}}s:2:\"id\";s:20:\"node.article.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:12:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:7:\"comment\";a:5:{s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:20;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_tags\";a:5:{s:4:\"type\";s:34:\"entity_reference_autocomplete_tags\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:15;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:121;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:16;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.blog.default','a:10:{s:4:\"uuid\";s:36:\"5ac76925-e494-45c7-8d2f-47af11c610f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:26:\"field.field.node.blog.body\";i:1;s:29:\"field.field.node.blog.comment\";i:2;s:36:\"field.field.node.blog.field_category\";i:3;s:33:\"field.field.node.blog.field_image\";i:4;s:32:\"field.field.node.blog.field_tags\";i:5;s:38:\"field.field.node.blog.field_video_link\";i:6;s:21:\"image.style.thumbnail\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"path\";i:3;s:4:\"text\";}}s:2:\"id\";s:17:\"node.blog.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:14:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:14:\"field_category\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:34;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:32;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_tags\";a:5:{s:4:\"type\";s:34:\"entity_reference_autocomplete_tags\";s:6:\"weight\";i:33;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_video_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:35;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:15;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:121;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:16;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"translation\";a:4:{s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:7:\"comment\";b:1;}}'),('','core.entity_form_display.node.forum.default','a:10:{s:4:\"uuid\";s:36:\"141d16b5-f94a-4444-b32f-477f4c68f492\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:27:\"field.field.node.forum.body\";i:1;s:36:\"field.field.node.forum.comment_forum\";i:2;s:38:\"field.field.node.forum.taxonomy_forums\";i:3;s:15:\"node.type.forum\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:18:\"node.forum.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:27;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:13:\"comment_forum\";a:5:{s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:20;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:15;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:121;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:16;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:15:\"taxonomy_forums\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:26;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.page.default','a:10:{s:4:\"uuid\";s:36:\"4bede3a2-7315-4e9e-b200-ebfc24fdb8db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:26:\"field.field.node.page.body\";i:1;s:38:\"field.field.node.page.field_components\";i:2;s:14:\"node.type.page\";}s:6:\"module\";a:3:{i:0;s:18:\"inline_entity_form\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:17:\"node.page.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:10:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:16:\"field_components\";a:5:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:11:{s:9:\"form_mode\";s:7:\"default\";s:15:\"override_labels\";b:0;s:14:\"label_singular\";s:0:\"\";s:12:\"label_plural\";s:0:\"\";s:9:\"allow_new\";b:1;s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:15:\"allow_duplicate\";b:0;s:11:\"collapsible\";b:0;s:9:\"collapsed\";b:0;s:8:\"revision\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:9;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.showcase.default','a:10:{s:4:\"uuid\";s:36:\"68057d90-c499-42d7-9556-86be984811cd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:30:\"field.field.node.showcase.body\";i:1;s:37:\"field.field.node.showcase.field_image\";i:2;s:36:\"field.field.node.showcase.field_link\";i:3;s:21:\"image.style.thumbnail\";i:4;s:18:\"node.type.showcase\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"path\";}}s:2:\"id\";s:21:\"node.showcase.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:10:{s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:10:\"field_link\";a:5:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:121;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:4:\"body\";b:1;}}'),('','core.entity_form_display.node.simplenews_issue.default','a:10:{s:4:\"uuid\";s:36:\"4999bc0d-ad6a-4440-b402-2b9074eae68b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:38:\"field.field.node.simplenews_issue.body\";i:1;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:2;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:29:\"node.simplenews_issue.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:10:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:15;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:16:\"simplenews_issue\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:121;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:6:\"weight\";i:16;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.simplenews_subscriber.simplenews_subscriber.account','a:10:{s:4:\"uuid\";s:36:\"b3103f75-abbe-4cf7-ba05-5a60418e33e4\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:51:\"core.entity_form_mode.simplenews_subscriber.account\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"account\";s:7:\"content\";a:1:{s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:2:{s:4:\"mail\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default','a:10:{s:4:\"uuid\";s:36:\"59f0482e-069e-4569-a200-b949137d7773\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:0:{}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.default\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"mail\";a:5:{s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:11:\"placeholder\";s:0:\"\";s:4:\"size\";i:60;}s:20:\"third_party_settings\";a:0:{}}s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:3:\"uid\";b:1;}}'),('','core.entity_form_display.taxonomy_term.categories.default','a:10:{s:4:\"uuid\";s:36:\"a6df643d-b4f3-4b0e-9200-e6ae8aec5124\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:48:\"field.field.taxonomy_term.categories.field_image\";i:1;s:21:\"image.style.thumbnail\";i:2;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"description\";a:5:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:31;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"name\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.taxonomy_term.forums.default','a:10:{s:4:\"uuid\";s:36:\"a64036dc-f7b2-4e18-b805-5f8ad46660d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"field.field.taxonomy_term.forums.forum_container\";i:1;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"taxonomy_term.forums.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"description\";a:5:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}}s:4:\"name\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:15:\"forum_container\";b:1;}}'),('','core.entity_form_display.user.user.default','a:10:{s:4:\"uuid\";s:36:\"f644322a-fd1a-4f5c-b705-5f365fcab66b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:7:\"account\";a:4:{s:6:\"weight\";i:-10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"contact\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"language\";a:4:{s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:10:\"simplenews\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"timezone\";a:4:{s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"user_picture\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_form_mode.simplenews_subscriber.account','a:8:{s:4:\"uuid\";s:36:\"23651d36-d945-4eba-a505-5c6db018cfef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:29:\"simplenews_subscriber.account\";s:5:\"label\";s:7:\"Account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.simplenews_subscriber.block','a:8:{s:4:\"uuid\";s:36:\"46518590-7691-4156-9400-ebc9f0872cb4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:27:\"simplenews_subscriber.block\";s:5:\"label\";s:5:\"Block\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.simplenews_subscriber.page','a:8:{s:4:\"uuid\";s:36:\"813f1709-88dd-4db4-bd00-ee4932d72fc5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:26:\"simplenews_subscriber.page\";s:5:\"label\";s:4:\"Page\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.user.register','a:8:{s:4:\"uuid\";s:36:\"7ae8a4fd-7c20-4ac2-ba00-b8f4ac43dce2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:13:\"user.register\";s:5:\"label\";s:8:\"Register\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_display.block_content.basic.default','a:10:{s:4:\"uuid\";s:36:\"4d68ee88-266c-4fda-9d03-3ae3ebdab9b7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.comment.comment.default','a:10:{s:4:\"uuid\";s:36:\"77806ce8-c463-4a9f-8d3e-620e917d6c85\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:40:\"field.field.comment.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:23:\"comment.comment.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:12:\"comment_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.comment.comment_forum.default','a:10:{s:4:\"uuid\";s:36:\"8bac94b6-c6d0-4607-ba51-81eade34df64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"comment.type.comment_forum\";i:1;s:46:\"field.field.comment.comment_forum.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:29:\"comment.comment_forum.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:12:\"comment_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.component_item.accordion.default','a:10:{s:4:\"uuid\";s:36:\"b7e64ed7-f748-4784-8f1d-b3bcdbbb57d8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.accordion\";i:1;s:47:\"field.field.component_item.accordion.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:32:\"component_item.accordion.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"accordion\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.article_summary.article_summary_full_image','a:11:{s:4:\"uuid\";s:36:\"f2c0e230-d31b-4c3b-b295-0ea34508e57b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:10:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:63:\"core.entity_view_mode.component_item.article_summary_full_image\";i:2;s:59:\"field.field.component_item.article_summary.field_as_address\";i:3;s:59:\"field.field.component_item.article_summary.field_as_country\";i:4;s:73:\"field.field.component_item.article_summary.field_as_date_of_establishment\";i:5;s:63:\"field.field.component_item.article_summary.field_as_description\";i:6;s:57:\"field.field.component_item.article_summary.field_as_image\";i:7;s:56:\"field.field.component_item.article_summary.field_as_link\";i:8;s:65:\"field.field.component_item.article_summary.field_as_opening_hours\";i:9;s:22:\"image.style.we_800_460\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:11:\"field_group\";i:2;s:5:\"image\";i:3;s:4:\"link\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:3:{s:11:\"group_image\";a:7:{s:8:\"children\";a:1:{i:0;s:14:\"field_as_image\";}s:5:\"label\";s:5:\"image\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:5:\"image\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}s:13:\"group_content\";a:7:{s:8:\"children\";a:4:{i:0;s:13:\"field_as_link\";i:1;s:5:\"title\";i:2;s:20:\"field_as_description\";i:3;s:22:\"group_content_location\";}s:5:\"label\";s:7:\"content\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:7:\"content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}s:22:\"group_content_location\";a:7:{s:8:\"children\";a:3:{i:0;s:30:\"field_as_date_of_establishment\";i:1;s:22:\"field_as_opening_hours\";i:2;s:16:\"field_as_address\";}s:5:\"label\";s:16:\"content-location\";s:11:\"parent_name\";s:13:\"group_content\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:5;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:16:\"content-location\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:57:\"component_item.article_summary.article_summary_full_image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:4:\"mode\";s:26:\"article_summary_full_image\";s:7:\"content\";a:7:{s:16:\"field_as_address\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";}s:30:\"field_as_date_of_establishment\";a:6:{s:4:\"type\";s:16:\"datetime_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"format_type\";s:6:\"medium\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";}s:20:\"field_as_description\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:14:\"field_as_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_800_460\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";}s:13:\"field_as_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:22:\"field_as_opening_hours\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:16:\"field_as_country\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.article_summary.article_summary_normal','a:11:{s:4:\"uuid\";s:36:\"f570f332-067f-4489-9c05-eb5540958d0c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:10:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:59:\"core.entity_view_mode.component_item.article_summary_normal\";i:2;s:59:\"field.field.component_item.article_summary.field_as_address\";i:3;s:59:\"field.field.component_item.article_summary.field_as_country\";i:4;s:73:\"field.field.component_item.article_summary.field_as_date_of_establishment\";i:5;s:63:\"field.field.component_item.article_summary.field_as_description\";i:6;s:57:\"field.field.component_item.article_summary.field_as_image\";i:7;s:56:\"field.field.component_item.article_summary.field_as_link\";i:8;s:65:\"field.field.component_item.article_summary.field_as_opening_hours\";i:9;s:22:\"image.style.we_800_460\";}s:6:\"module\";a:3:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:3:{s:11:\"group_image\";a:7:{s:8:\"children\";a:1:{i:0;s:14:\"field_as_image\";}s:5:\"label\";s:5:\"image\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:5:\"image\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}s:13:\"group_content\";a:7:{s:8:\"children\";a:4:{i:0;s:13:\"field_as_link\";i:1;s:5:\"title\";i:2;s:20:\"field_as_description\";i:3;s:22:\"group_content_location\";}s:5:\"label\";s:7:\"content\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:7:\"content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}s:22:\"group_content_location\";a:7:{s:8:\"children\";a:3:{i:0;s:16:\"field_as_country\";i:1;s:22:\"field_as_opening_hours\";i:2;s:16:\"field_as_address\";}s:5:\"label\";s:16:\"content-location\";s:11:\"parent_name\";s:13:\"group_content\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:5;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:16:\"content-location\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:53:\"component_item.article_summary.article_summary_normal\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:4:\"mode\";s:22:\"article_summary_normal\";s:7:\"content\";a:7:{s:16:\"field_as_address\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";}s:16:\"field_as_country\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";}s:20:\"field_as_description\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:14:\"field_as_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_800_460\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:13:\"field_as_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:22:\"field_as_opening_hours\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:30:\"field_as_date_of_establishment\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.article_summary.article_summary_two_columns','a:10:{s:4:\"uuid\";s:36:\"d431ab2b-0026-427e-98d6-b4366304188a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:10:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:64:\"core.entity_view_mode.component_item.article_summary_two_columns\";i:2;s:59:\"field.field.component_item.article_summary.field_as_address\";i:3;s:59:\"field.field.component_item.article_summary.field_as_country\";i:4;s:73:\"field.field.component_item.article_summary.field_as_date_of_establishment\";i:5;s:63:\"field.field.component_item.article_summary.field_as_description\";i:6;s:57:\"field.field.component_item.article_summary.field_as_image\";i:7;s:56:\"field.field.component_item.article_summary.field_as_link\";i:8;s:65:\"field.field.component_item.article_summary.field_as_opening_hours\";i:9;s:22:\"image.style.we_800_460\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"link\";}}s:2:\"id\";s:58:\"component_item.article_summary.article_summary_two_columns\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:4:\"mode\";s:27:\"article_summary_two_columns\";s:7:\"content\";a:6:{s:16:\"field_as_address\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:20:\"field_as_description\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:14:\"field_as_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_800_460\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:13:\"field_as_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:22:\"field_as_opening_hours\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:16:\"field_as_country\";b:1;s:30:\"field_as_date_of_establishment\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.article_summary.default','a:10:{s:4:\"uuid\";s:36:\"cf27b83c-cbf9-4d77-ae88-8d02c79f7498\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:9:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:59:\"field.field.component_item.article_summary.field_as_address\";i:2;s:59:\"field.field.component_item.article_summary.field_as_country\";i:3;s:73:\"field.field.component_item.article_summary.field_as_date_of_establishment\";i:4;s:63:\"field.field.component_item.article_summary.field_as_description\";i:5;s:57:\"field.field.component_item.article_summary.field_as_image\";i:6;s:56:\"field.field.component_item.article_summary.field_as_link\";i:7;s:65:\"field.field.component_item.article_summary.field_as_opening_hours\";i:8;s:22:\"image.style.we_800_460\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.article_summary.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:16:\"field_as_country\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:20:\"field_as_description\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:14:\"field_as_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_800_460\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:13:\"field_as_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:22:\"field_as_opening_hours\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:7:\"created\";b:1;s:16:\"field_as_address\";b:1;s:30:\"field_as_date_of_establishment\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.banner_grid.default','a:10:{s:4:\"uuid\";s:36:\"bff896f5-29b5-471e-8076-75c96f80ae61\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:49:\"component_builder.component_item_type.banner_grid\";i:1;s:56:\"field.field.component_item.banner_grid.field_large_image\";i:2;s:56:\"field.field.component_item.banner_grid.field_small_image\";i:3;s:22:\"image.style.we_450_270\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:34:\"component_item.banner_grid.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"banner_grid\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:17:\"field_large_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_980_588\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:17:\"field_small_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_450_270\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.basic_component.default','a:10:{s:4:\"uuid\";s:36:\"e4aa7662-46ec-4dc2-90a6-e249c9bf4f4e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:53:\"component_builder.component_item_type.basic_component\";i:1;s:53:\"field.field.component_item.basic_component.field_body\";i:2;s:54:\"field.field.component_item.basic_component.field_image\";i:3;s:53:\"field.field.component_item.basic_component.field_link\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:38:\"component_item.basic_component.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"basic_component\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.card.default','a:10:{s:4:\"uuid\";s:36:\"f70872d6-90e0-40f4-8ce8-beb0536f6c9a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:47:\"field.field.component_item.card.field_card_body\";i:2;s:48:\"field.field.component_item.card.field_card_color\";i:3;s:47:\"field.field.component_item.card.field_card_icon\";i:4;s:47:\"field.field.component_item.card.field_card_link\";i:5;s:20:\"image.style.we_64_64\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:27:\"component_item.card.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"card\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:15:\"field_card_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:15:\"field_card_icon\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_64_64\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:15:\"field_card_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:16:\"field_card_color\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.carousel.carousel_date_first','a:10:{s:4:\"uuid\";s:36:\"86bb9c4f-8c6c-4bf1-a286-d61ed7f985d3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:56:\"core.entity_view_mode.component_item.carousel_date_first\";i:2;s:46:\"field.field.component_item.carousel.field_date\";i:3;s:53:\"field.field.component_item.carousel.field_description\";i:4;s:47:\"field.field.component_item.carousel.field_image\";i:5;s:46:\"field.field.component_item.carousel.field_link\";}s:6:\"module\";a:3:{i:0;s:8:\"datetime\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:43:\"component_item.carousel.carousel_date_first\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:4:\"mode\";s:19:\"carousel_date_first\";s:7:\"content\";a:4:{s:10:\"field_date\";a:6:{s:4:\"type\";s:15:\"datetime_custom\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"date_format\";s:3:\"M n\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:17:\"field_description\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:11:\"field_image\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.carousel.default','a:11:{s:4:\"uuid\";s:36:\"7bf66b10-29e1-482e-8e8b-8316d186694f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:46:\"field.field.component_item.carousel.field_date\";i:2;s:53:\"field.field.component_item.carousel.field_description\";i:3;s:47:\"field.field.component_item.carousel.field_image\";i:4;s:46:\"field.field.component_item.carousel.field_link\";i:5;s:22:\"image.style.we_480_300\";}s:6:\"module\";a:5:{i:0;s:8:\"datetime\";i:1;s:11:\"field_group\";i:2;s:5:\"image\";i:3;s:4:\"link\";i:4;s:4:\"text\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:15:\"group_link_date\";a:7:{s:8:\"children\";a:2:{i:0;s:10:\"field_link\";i:1;s:10:\"field_date\";}s:5:\"label\";s:9:\"link-date\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:3;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:10:\"group-info\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:31:\"component_item.carousel.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:10:\"field_date\";a:6:{s:4:\"type\";s:16:\"datetime_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"format_type\";s:9:\"html_date\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:17:\"field_description\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_480_300\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.classified_ads.default','a:10:{s:4:\"uuid\";s:36:\"63decd7d-36f0-4ea2-84fe-3812bba27b79\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:52:\"component_builder.component_item_type.classified_ads\";i:1;s:68:\"field.field.component_item.classified_ads.field_classified_ads_image\";i:2;s:67:\"field.field.component_item.classified_ads.field_classified_ads_text\";i:3;s:22:\"image.style.we_800_460\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:37:\"component_item.classified_ads.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:14:\"classified_ads\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:26:\"field_classified_ads_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_800_460\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:25:\"field_classified_ads_text\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.counter.counter_image','a:11:{s:4:\"uuid\";s:36:\"575ea95f-40a8-4e92-9d23-e7e7ce3de280\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:45:\"component_builder.component_item_type.counter\";i:1;s:50:\"core.entity_view_mode.component_item.counter_image\";i:2;s:54:\"field.field.component_item.counter.field_counter_image\";i:3;s:55:\"field.field.component_item.counter.field_counter_number\";i:4;s:20:\"image.style.we_58_61\";}s:6:\"module\";a:2:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:18:\"group_number_title\";a:7:{s:8:\"children\";a:2:{i:0;s:20:\"field_counter_number\";i:1;s:5:\"title\";}s:5:\"label\";s:12:\"number-title\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:12:\"content-info\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:36:\"component_item.counter.counter_image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:7:\"counter\";s:4:\"mode\";s:13:\"counter_image\";s:7:\"content\";a:3:{s:19:\"field_counter_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_58_61\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:20:\"field_counter_number\";a:6:{s:4:\"type\";s:14:\"number_integer\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.counter.default','a:11:{s:4:\"uuid\";s:36:\"b08f2d54-9bda-482b-a831-c837477e5849\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:45:\"component_builder.component_item_type.counter\";i:1;s:54:\"field.field.component_item.counter.field_counter_image\";i:2;s:55:\"field.field.component_item.counter.field_counter_number\";i:3;s:22:\"image.style.we_450_270\";}s:6:\"module\";a:2:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:18:\"group_number_title\";a:7:{s:8:\"children\";a:2:{i:0;s:20:\"field_counter_number\";i:1;s:5:\"title\";}s:5:\"label\";s:12:\"number-title\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:12:\"content-info\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:30:\"component_item.counter.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:7:\"counter\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:19:\"field_counter_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_450_270\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:20:\"field_counter_number\";a:6:{s:4:\"type\";s:14:\"number_integer\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.divider_section.default','a:10:{s:4:\"uuid\";s:36:\"253dd220-e787-4cc1-bd5e-708e9b967290\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:53:\"component_builder.component_item_type.divider_section\";i:1;s:70:\"field.field.component_item.divider_section.field_divider_section_color\";i:2;s:69:\"field.field.component_item.divider_section.field_divider_section_desc\";i:3;s:70:\"field.field.component_item.divider_section.field_divider_section_image\";i:4;s:20:\"image.style.we_80_80\";}s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:5:\"image\";}}s:2:\"id\";s:38:\"component_item.divider_section.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"divider_section\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:27:\"field_divider_section_color\";a:6:{s:4:\"type\";s:26:\"color_field_formatter_text\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:6:\"format\";s:3:\"hex\";s:7:\"opacity\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:26:\"field_divider_section_desc\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:27:\"field_divider_section_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_80_80\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.grid.default','a:10:{s:4:\"uuid\";s:36:\"b749666c-ec01-452e-95ff-a22785796e33\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:42:\"field.field.component_item.grid.field_body\";i:2;s:47:\"field.field.component_item.grid.field_grid_date\";i:3;s:42:\"field.field.component_item.grid.field_icon\";i:4;s:42:\"field.field.component_item.grid.field_link\";i:5;s:22:\"image.style.we_480_300\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:2:\"id\";s:27:\"component_item.grid.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:15:\"field_grid_date\";a:6:{s:4:\"type\";s:15:\"datetime_custom\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"date_format\";s:6:\"F d, o\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_icon\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_480_300\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.grid.grid_image_link','a:10:{s:4:\"uuid\";s:36:\"4f461ea3-3e25-4ffd-b777-2613434ad72e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:52:\"core.entity_view_mode.component_item.grid_image_link\";i:2;s:42:\"field.field.component_item.grid.field_body\";i:3;s:47:\"field.field.component_item.grid.field_grid_date\";i:4;s:42:\"field.field.component_item.grid.field_icon\";i:5;s:42:\"field.field.component_item.grid.field_link\";i:6;s:22:\"image.style.we_480_300\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.grid.grid_image_link\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:4:\"mode\";s:15:\"grid_image_link\";s:7:\"content\";a:4:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:15:\"field_grid_date\";a:6:{s:4:\"type\";s:15:\"datetime_custom\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"date_format\";s:6:\"F d, o\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:10:\"field_icon\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_480_300\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.grid.grid_img_title','a:10:{s:4:\"uuid\";s:36:\"55ed0804-a2fc-4b7a-90d1-5f3434453dc6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:51:\"core.entity_view_mode.component_item.grid_img_title\";i:2;s:42:\"field.field.component_item.grid.field_body\";i:3;s:47:\"field.field.component_item.grid.field_grid_date\";i:4;s:42:\"field.field.component_item.grid.field_icon\";i:5;s:42:\"field.field.component_item.grid.field_link\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:34:\"component_item.grid.grid_img_title\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:4:\"mode\";s:14:\"grid_img_title\";s:7:\"content\";a:4:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:10:\"field_icon\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:15:\"field_grid_date\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.grid.grid_quick_summary','a:10:{s:4:\"uuid\";s:36:\"274974c9-0910-4eb6-ba44-588c444a07af\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:55:\"core.entity_view_mode.component_item.grid_quick_summary\";i:2;s:42:\"field.field.component_item.grid.field_body\";i:3;s:47:\"field.field.component_item.grid.field_grid_date\";i:4;s:42:\"field.field.component_item.grid.field_icon\";i:5;s:42:\"field.field.component_item.grid.field_link\";}s:6:\"module\";a:3:{i:0;s:8:\"datetime\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:38:\"component_item.grid.grid_quick_summary\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:4:\"mode\";s:18:\"grid_quick_summary\";s:7:\"content\";a:4:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:15:\"field_grid_date\";a:6:{s:4:\"type\";s:15:\"datetime_custom\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"date_format\";s:6:\"F d, o\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:10:\"field_icon\";b:1;s:8:\"langcode\";b:1;s:18:\"search_api_excerpt\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.grid_carousel.default','a:10:{s:4:\"uuid\";s:36:\"75d94690-0be8-4fa0-b368-614708519304\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:54:\"field.field.component_item.grid_carousel.field_gc_date\";i:2;s:61:\"field.field.component_item.grid_carousel.field_gc_description\";i:3;s:55:\"field.field.component_item.grid_carousel.field_gc_image\";i:4;s:54:\"field.field.component_item.grid_carousel.field_gc_link\";i:5;s:22:\"image.style.we_464_290\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:2:\"id\";s:36:\"component_item.grid_carousel.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"grid_carousel\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:13:\"field_gc_date\";a:6:{s:4:\"type\";s:16:\"datetime_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"format_type\";s:6:\"medium\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:20:\"field_gc_description\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:14:\"field_gc_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_464_290\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:13:\"field_gc_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.horizontal_push_image.default','a:10:{s:4:\"uuid\";s:36:\"46cc709d-4680-4dad-91b1-7837dd8e8014\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";i:1;s:59:\"field.field.component_item.horizontal_push_image.field_body\";i:2;s:64:\"field.field.component_item.horizontal_push_image.field_hpi_image\";i:3;s:59:\"field.field.component_item.horizontal_push_image.field_link\";i:4;s:22:\"image.style.we_528_352\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:44:\"component_item.horizontal_push_image.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:21:\"horizontal_push_image\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:15:\"field_hpi_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_528_352\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.push_image.default','a:10:{s:4:\"uuid\";s:36:\"0f6775b8-959a-47d4-aa8c-7840c1dc49c8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:48:\"component_builder.component_item_type.push_image\";i:1;s:51:\"field.field.component_item.push_image.field_pi_body\";i:2;s:52:\"field.field.component_item.push_image.field_pi_image\";i:3;s:51:\"field.field.component_item.push_image.field_pi_link\";i:4;s:22:\"image.style.we_528_352\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:33:\"component_item.push_image.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_image\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:13:\"field_pi_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:14:\"field_pi_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_528_352\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:13:\"field_pi_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.push_video.default','a:10:{s:4:\"uuid\";s:36:\"9933598d-9491-4580-936e-c934c7b0e328\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:51:\"field.field.component_item.push_video.field_pv_body\";i:2;s:54:\"field.field.component_item.push_video.field_pv_display\";i:3;s:58:\"field.field.component_item.push_video.field_pv_embed_video\";i:4;s:51:\"field.field.component_item.push_video.field_pv_link\";i:5;s:57:\"field.field.component_item.push_video.field_pv_video_file\";}s:6:\"module\";a:4:{i:0;s:4:\"file\";i:1;s:4:\"link\";i:2;s:4:\"text\";i:3;s:17:\"video_embed_field\";}}s:2:\"id\";s:33:\"component_item.push_video.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:13:\"field_pv_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:20:\"field_pv_embed_video\";a:6:{s:4:\"type\";s:23:\"video_embed_field_video\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:4:{s:8:\"autoplay\";b:1;s:10:\"responsive\";b:1;s:5:\"width\";i:854;s:6:\"height\";i:480;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:13:\"field_pv_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:19:\"field_pv_video_file\";a:6:{s:4:\"type\";s:10:\"file_video\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:7:{s:8:\"controls\";b:1;s:8:\"autoplay\";b:0;s:4:\"loop\";b:0;s:26:\"multiple_file_display_type\";s:4:\"tags\";s:5:\"muted\";b:0;s:5:\"width\";i:640;s:6:\"height\";i:480;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:16:\"field_pv_display\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.quote.default','a:10:{s:4:\"uuid\";s:36:\"a8e14365-dc63-4237-b5a4-21d495b48c7c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:44:\"field.field.component_item.quote.field_quote\";i:2;s:62:\"field.field.component_item.quote.field_quote_description_infor\";i:3;s:50:\"field.field.component_item.quote.field_quote_image\";i:4;s:56:\"field.field.component_item.quote.field_quote_information\";i:5;s:22:\"image.style.we_450_270\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"component_item.quote.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"quote\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"field_quote\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:29:\"field_quote_description_infor\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:17:\"field_quote_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_450_270\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:23:\"field_quote_information\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.related_content.default','a:10:{s:4:\"uuid\";s:36:\"31d8e2bb-647e-4296-9e34-6be87be6bba1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:53:\"component_builder.component_item_type.related_content\";i:1;s:56:\"field.field.component_item.related_content.field_rc_body\";i:2;s:57:\"field.field.component_item.related_content.field_rc_image\";i:3;s:56:\"field.field.component_item.related_content.field_rc_link\";i:4;s:22:\"image.style.we_528_352\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:38:\"component_item.related_content.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"related_content\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:13:\"field_rc_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:14:\"field_rc_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_528_352\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:13:\"field_rc_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.service_block.default','a:11:{s:4:\"uuid\";s:36:\"0a844789-392d-4dda-a373-0c858b892989\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:66:\"field.field.component_item.service_block.field_service_block_color\";i:2;s:72:\"field.field.component_item.service_block.field_service_block_description\";i:3;s:66:\"field.field.component_item.service_block.field_service_block_image\";i:4;s:65:\"field.field.component_item.service_block.field_service_block_link\";i:5;s:20:\"image.style.we_37_28\";}s:6:\"module\";a:4:{i:0;s:11:\"color_field\";i:1;s:11:\"field_group\";i:2;s:5:\"image\";i:3;s:4:\"link\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:13:\"group_content\";a:7:{s:8:\"children\";a:3:{i:0;s:31:\"field_service_block_description\";i:1;s:24:\"field_service_block_link\";i:2;s:25:\"field_service_block_color\";}s:5:\"label\";s:7:\"Content\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:2;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:13:\"group-content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:36:\"component_item.service_block.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"service_block\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:25:\"field_service_block_color\";a:6:{s:4:\"type\";s:26:\"color_field_formatter_text\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:6:\"format\";s:3:\"hex\";s:7:\"opacity\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:31:\"field_service_block_description\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:25:\"field_service_block_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_37_28\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:24:\"field_service_block_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.sidebar_link_text.default','a:10:{s:4:\"uuid\";s:36:\"6b79ae30-da76-4708-87ba-962c36868791\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:55:\"component_builder.component_item_type.sidebar_link_text\";i:1;s:68:\"field.field.component_item.sidebar_link_text.field_sidebar_link_text\";i:2;s:73:\"field.field.component_item.sidebar_link_text.field_sidebar_link_text_desc\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:40:\"component_item.sidebar_link_text.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:17:\"sidebar_link_text\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:23:\"field_sidebar_link_text\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:28:\"field_sidebar_link_text_desc\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.sidebar_service.default','a:10:{s:4:\"uuid\";s:36:\"93520e95-5e10-4e2e-88fc-e71bc02edcf7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:53:\"component_builder.component_item_type.sidebar_service\";i:1;s:70:\"field.field.component_item.sidebar_service.field_sidebar_service_image\";i:2;s:69:\"field.field.component_item.sidebar_service.field_sidebar_service_link\";i:3;s:20:\"image.style.we_88_70\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.sidebar_service.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_service\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:27:\"field_sidebar_service_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_88_70\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:26:\"field_sidebar_service_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.sidebar_summary.default','a:11:{s:4:\"uuid\";s:36:\"72e95bd7-fda6-491d-a58d-46c54ec3f2c2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:75:\"field.field.component_item.sidebar_summary.field_sidebar_summary_created_by\";i:2;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_date\";i:3;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_desc\";i:4;s:70:\"field.field.component_item.sidebar_summary.field_sidebar_summary_image\";i:5;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_link\";i:6;s:20:\"image.style.we_60_60\";}s:6:\"module\";a:3:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:13:\"group_content\";a:7:{s:8:\"children\";a:2:{i:0;s:26:\"field_sidebar_summary_link\";i:1;s:26:\"field_sidebar_summary_desc\";}s:5:\"label\";s:7:\"content\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:13:\"group-content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:38:\"component_item.sidebar_summary.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:26:\"field_sidebar_summary_desc\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:27:\"field_sidebar_summary_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_60_60\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:26:\"field_sidebar_summary_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:7:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:32:\"field_sidebar_summary_created_by\";b:1;s:26:\"field_sidebar_summary_date\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.sidebar_summary.sidebar_summary_full_image','a:10:{s:4:\"uuid\";s:36:\"9f23ddde-41ea-404c-968e-6384ad9f33a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:63:\"core.entity_view_mode.component_item.sidebar_summary_full_image\";i:2;s:75:\"field.field.component_item.sidebar_summary.field_sidebar_summary_created_by\";i:3;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_date\";i:4;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_desc\";i:5;s:70:\"field.field.component_item.sidebar_summary.field_sidebar_summary_image\";i:6;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_link\";i:7;s:22:\"image.style.we_230_120\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"link\";}}s:2:\"id\";s:57:\"component_item.sidebar_summary.sidebar_summary_full_image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:4:\"mode\";s:26:\"sidebar_summary_full_image\";s:7:\"content\";a:2:{s:27:\"field_sidebar_summary_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_230_120\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:26:\"field_sidebar_summary_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:8:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:32:\"field_sidebar_summary_created_by\";b:1;s:26:\"field_sidebar_summary_date\";b:1;s:26:\"field_sidebar_summary_desc\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.sidebar_summary.sidebar_summary_topic','a:11:{s:4:\"uuid\";s:36:\"798b63e4-815d-4977-9b01-2765fed2d110\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:58:\"core.entity_view_mode.component_item.sidebar_summary_topic\";i:2;s:75:\"field.field.component_item.sidebar_summary.field_sidebar_summary_created_by\";i:3;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_date\";i:4;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_desc\";i:5;s:70:\"field.field.component_item.sidebar_summary.field_sidebar_summary_image\";i:6;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_link\";i:7;s:22:\"image.style.we_318_200\";}s:6:\"module\";a:4:{i:0;s:8:\"datetime\";i:1;s:11:\"field_group\";i:2;s:5:\"image\";i:3;s:4:\"link\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:2:{s:13:\"group_content\";a:7:{s:8:\"children\";a:3:{i:0;s:26:\"field_sidebar_summary_link\";i:1;s:10:\"group_item\";i:2;s:26:\"field_sidebar_summary_desc\";}s:5:\"label\";s:7:\"content\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:13:\"group-content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}s:10:\"group_item\";a:7:{s:8:\"children\";a:2:{i:0;s:26:\"field_sidebar_summary_date\";i:1;s:32:\"field_sidebar_summary_created_by\";}s:5:\"label\";s:4:\"item\";s:11:\"parent_name\";s:13:\"group_content\";s:6:\"region\";s:6:\"hidden\";s:6:\"weight\";i:3;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:10:\"group-item\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:52:\"component_item.sidebar_summary.sidebar_summary_topic\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:4:\"mode\";s:21:\"sidebar_summary_topic\";s:7:\"content\";a:5:{s:32:\"field_sidebar_summary_created_by\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:26:\"field_sidebar_summary_date\";a:6:{s:4:\"type\";s:15:\"datetime_custom\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"date_format\";s:5:\"d M o\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:26:\"field_sidebar_summary_desc\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";}s:27:\"field_sidebar_summary_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_318_200\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:26:\"field_sidebar_summary_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.slideshow.default','a:10:{s:4:\"uuid\";s:36:\"8c320c82-fe1b-4d07-aea7-fee5b606d462\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:51:\"field.field.component_item.slideshow.field_captions\";i:2;s:53:\"field.field.component_item.slideshow.field_hero_image\";i:3;s:47:\"field.field.component_item.slideshow.field_link\";i:4;s:60:\"field.field.component_item.slideshow.field_mobile_hero_image\";i:5;s:50:\"field.field.component_item.slideshow.field_summary\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:32:\"component_item.slideshow.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:14:\"field_captions\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:16:\"field_hero_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:11:\"we_1440_900\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:23:\"field_mobile_hero_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:13:\"field_summary\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.slideshow_flexible.default','a:10:{s:4:\"uuid\";s:36:\"6f1cceb2-2c6d-484c-aa58-d5bad8e4280b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:75:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_date\";i:2;s:76:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_image\";i:3;s:75:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_link\";i:4;s:76:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_sdesc\";i:5;s:22:\"image.style.we_300_450\";}s:6:\"module\";a:3:{i:0;s:8:\"datetime\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.slideshow_flexible.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:18:\"slideshow_flexible\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:30:\"field_slideshow_flexible_color\";a:6:{s:4:\"type\";s:26:\"color_field_formatter_text\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:6:\"format\";s:3:\"hex\";s:7:\"opacity\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:29:\"field_slideshow_flexible_date\";a:6:{s:4:\"type\";s:16:\"datetime_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:17:\"timezone_override\";s:0:\"\";s:11:\"format_type\";s:6:\"medium\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:30:\"field_slideshow_flexible_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_300_450\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:29:\"field_slideshow_flexible_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:30:\"field_slideshow_flexible_sdesc\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.statistic_bar.default','a:10:{s:4:\"uuid\";s:36:\"a619896d-8350-4845-9fd2-e68830646d78\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:51:\"component_builder.component_item_type.statistic_bar\";i:1;s:68:\"field.field.component_item.statistic_bar.field_content_statistic_bar\";i:2;s:69:\"field.field.component_item.statistic_bar.field_statistic_bar_progress\";}}s:2:\"id\";s:36:\"component_item.statistic_bar.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"statistic_bar\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:27:\"field_content_statistic_bar\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:28:\"field_statistic_bar_progress\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.statistic_bar_progress.default','a:10:{s:4:\"uuid\";s:36:\"ae659547-e56c-4306-9b3d-ccdf8a8bc0e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:60:\"component_builder.component_item_type.statistic_bar_progress\";i:1;s:63:\"field.field.component_item.statistic_bar_progress.field_process\";i:2;s:65:\"field.field.component_item.statistic_bar_progress.field_sbp_color\";}s:6:\"module\";a:1:{i:0;s:11:\"color_field\";}}s:2:\"id\";s:45:\"component_item.statistic_bar_progress.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:22:\"statistic_bar_progress\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:13:\"field_process\";a:6:{s:4:\"type\";s:14:\"number_integer\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:15:\"field_sbp_color\";a:6:{s:4:\"type\";s:26:\"color_field_formatter_text\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:6:\"format\";s:3:\"hex\";s:7:\"opacity\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.summary_information.default','a:10:{s:4:\"uuid\";s:36:\"25424daf-5d13-4a1b-8a8e-6fb39b0d5a3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:57:\"component_builder.component_item_type.summary_information\";i:1;s:57:\"field.field.component_item.summary_information.field_body\";i:2;s:58:\"field.field.component_item.summary_information.field_image\";i:3;s:57:\"field.field.component_item.summary_information.field_link\";i:4;s:22:\"image.style.we_464_290\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";}}s:2:\"id\";s:42:\"component_item.summary_information.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:19:\"summary_information\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_464_290\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.table.default','a:10:{s:4:\"uuid\";s:36:\"08e2f9d0-234f-4cf9-9e1e-b28ef538332a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.table\";i:1;s:52:\"field.field.component_item.table.field_table_columns\";}}s:2:\"id\";s:28:\"component_item.table.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"table\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:19:\"field_table_columns\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.table_column.default','a:10:{s:4:\"uuid\";s:36:\"e7902d38-b13e-4975-9118-7d9c2ec8e93b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:50:\"component_builder.component_item_type.table_column\";i:1;s:51:\"field.field.component_item.table_column.field_cells\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.table_column.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:12:\"table_column\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:11:\"field_cells\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.testimonial.default','a:10:{s:4:\"uuid\";s:36:\"26e53b57-8a8b-4054-b261-64d562b6f7e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:68:\"field.field.component_item.testimonial.field_description_information\";i:2;s:50:\"field.field.component_item.testimonial.field_image\";i:3;s:56:\"field.field.component_item.testimonial.field_information\";i:4;s:50:\"field.field.component_item.testimonial.field_quote\";i:5;s:23:\"image.style.we_1440_900\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:34:\"component_item.testimonial.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"testimonial\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:11:\"admin_title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:29:\"field_description_information\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:11:\"we_1440_900\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:17:\"field_information\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:11:\"field_quote\";a:6:{s:4:\"type\";s:12:\"basic_string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.timeline.default','a:10:{s:4:\"uuid\";s:36:\"b1c85b89-3efa-4232-ac06-3e4cdf19055e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:46:\"component_builder.component_item_type.timeline\";i:1;s:49:\"field.field.component_item.timeline.field_ti_left\";i:2;s:50:\"field.field.component_item.timeline.field_ti_right\";}}s:2:\"id\";s:31:\"component_item.timeline.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"timeline\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:13:\"field_ti_left\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:14:\"field_ti_right\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.timeline_item.default','a:10:{s:4:\"uuid\";s:36:\"ed35e38e-1407-41cc-90ef-e19551b6995b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:54:\"field.field.component_item.timeline_item.field_ti_body\";i:2;s:54:\"field.field.component_item.timeline_item.field_ti_icon\";i:3;s:55:\"field.field.component_item.timeline_item.field_ti_image\";i:4;s:54:\"field.field.component_item.timeline_item.field_ti_link\";i:5;s:55:\"field.field.component_item.timeline_item.field_ti_video\";i:6;s:51:\"field.field.component_item.timeline_item.field_type\";i:7;s:22:\"image.style.we_300_187\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";i:3;s:17:\"video_embed_field\";}}s:2:\"id\";s:36:\"component_item.timeline_item.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:13:\"field_ti_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:13:\"field_ti_icon\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:14:\"field_ti_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:10:\"we_300_187\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:13:\"field_ti_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:14:\"field_ti_video\";a:6:{s:4:\"type\";s:23:\"video_embed_field_video\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:4:{s:8:\"autoplay\";b:1;s:10:\"responsive\";b:1;s:5:\"width\";i:854;s:6:\"height\";i:480;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:10:\"field_type\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.topic_summary.default','a:11:{s:4:\"uuid\";s:36:\"5ae654bd-af44-4500-a17b-e5f304c31fd0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:51:\"field.field.component_item.topic_summary.field_body\";i:2;s:52:\"field.field.component_item.topic_summary.field_image\";i:3;s:51:\"field.field.component_item.topic_summary.field_link\";i:4;s:20:\"image.style.we_90_90\";}s:6:\"module\";a:4:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:15:\"group_link_body\";a:7:{s:8:\"children\";a:2:{i:0;s:10:\"field_link\";i:1;s:10:\"field_body\";}s:5:\"label\";s:9:\"link-body\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:13:\"group-content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:36:\"component_item.topic_summary.default\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:10:\"field_body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_90_90\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.topic_summary.topic_summary_image','a:11:{s:4:\"uuid\";s:36:\"dc781a2d-5878-42e6-bc6f-7f218504a014\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:56:\"core.entity_view_mode.component_item.topic_summary_image\";i:2;s:51:\"field.field.component_item.topic_summary.field_body\";i:3;s:52:\"field.field.component_item.topic_summary.field_image\";i:4;s:51:\"field.field.component_item.topic_summary.field_link\";i:5;s:21:\"image.style.we_170_98\";}s:6:\"module\";a:2:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:15:\"group_link_body\";a:7:{s:8:\"children\";a:2:{i:0;s:10:\"field_link\";i:1;s:10:\"field_body\";}s:5:\"label\";s:9:\"link-body\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:6:\"hidden\";s:6:\"weight\";i:1;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:13:\"group-content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:48:\"component_item.topic_summary.topic_summary_image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:4:\"mode\";s:19:\"topic_summary_image\";s:7:\"content\";a:1:{s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:9:\"we_170_98\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:7:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:10:\"field_body\";b:1;s:10:\"field_link\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_item.topic_summary.topic_summary_image_link','a:11:{s:4:\"uuid\";s:36:\"d465afda-43a6-400e-9e52-93db237e14a3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:61:\"core.entity_view_mode.component_item.topic_summary_image_link\";i:2;s:51:\"field.field.component_item.topic_summary.field_body\";i:3;s:52:\"field.field.component_item.topic_summary.field_image\";i:4;s:51:\"field.field.component_item.topic_summary.field_link\";i:5;s:20:\"image.style.we_60_60\";}s:6:\"module\";a:3:{i:0;s:11:\"field_group\";i:1;s:5:\"image\";i:2;s:4:\"link\";}}s:20:\"third_party_settings\";a:1:{s:11:\"field_group\";a:1:{s:15:\"group_link_body\";a:7:{s:8:\"children\";a:1:{i:0;s:10:\"field_body\";}s:5:\"label\";s:9:\"link-body\";s:11:\"parent_name\";s:0:\"\";s:6:\"region\";s:6:\"hidden\";s:6:\"weight\";i:2;s:11:\"format_type\";s:12:\"html_element\";s:15:\"format_settings\";a:10:{s:7:\"classes\";s:13:\"group-content\";s:17:\"show_empty_fields\";b:0;s:2:\"id\";s:0:\"\";s:7:\"element\";s:3:\"div\";s:10:\"show_label\";b:0;s:13:\"label_element\";s:2:\"h3\";s:21:\"label_element_classes\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}}}}s:2:\"id\";s:53:\"component_item.topic_summary.topic_summary_image_link\";s:16:\"targetEntityType\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:4:\"mode\";s:24:\"topic_summary_image_link\";s:7:\"content\";a:2:{s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:8:\"we_60_60\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"admin_title\";b:1;s:7:\"created\";b:1;s:10:\"field_body\";b:1;s:8:\"langcode\";b:1;s:5:\"title\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.component_wrapper.component_wrapper.default','a:10:{s:4:\"uuid\";s:36:\"8d006061-0d60-4c14-8ab0-7c214e667610\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:28:{i:0;s:63:\"field.field.component_wrapper.component_wrapper.field_accordion\";i:1;s:69:\"field.field.component_wrapper.component_wrapper.field_article_summary\";i:2;s:65:\"field.field.component_wrapper.component_wrapper.field_banner_grid\";i:3;s:69:\"field.field.component_wrapper.component_wrapper.field_basic_component\";i:4;s:58:\"field.field.component_wrapper.component_wrapper.field_card\";i:5;s:62:\"field.field.component_wrapper.component_wrapper.field_carousel\";i:6;s:68:\"field.field.component_wrapper.component_wrapper.field_classified_ads\";i:7;s:61:\"field.field.component_wrapper.component_wrapper.field_counter\";i:8;s:69:\"field.field.component_wrapper.component_wrapper.field_divider_section\";i:9;s:58:\"field.field.component_wrapper.component_wrapper.field_grid\";i:10;s:67:\"field.field.component_wrapper.component_wrapper.field_grid_carousel\";i:11;s:75:\"field.field.component_wrapper.component_wrapper.field_horizontal_push_image\";i:12;s:64:\"field.field.component_wrapper.component_wrapper.field_push_image\";i:13;s:64:\"field.field.component_wrapper.component_wrapper.field_push_video\";i:14;s:59:\"field.field.component_wrapper.component_wrapper.field_quote\";i:15;s:69:\"field.field.component_wrapper.component_wrapper.field_related_content\";i:16;s:67:\"field.field.component_wrapper.component_wrapper.field_service_block\";i:17;s:71:\"field.field.component_wrapper.component_wrapper.field_sidebar_link_text\";i:18;s:69:\"field.field.component_wrapper.component_wrapper.field_sidebar_service\";i:19;s:69:\"field.field.component_wrapper.component_wrapper.field_sidebar_summary\";i:20;s:63:\"field.field.component_wrapper.component_wrapper.field_slideshow\";i:21;s:72:\"field.field.component_wrapper.component_wrapper.field_slideshow_flexible\";i:22;s:67:\"field.field.component_wrapper.component_wrapper.field_statistic_bar\";i:23;s:73:\"field.field.component_wrapper.component_wrapper.field_summary_information\";i:24;s:59:\"field.field.component_wrapper.component_wrapper.field_table\";i:25;s:65:\"field.field.component_wrapper.component_wrapper.field_testimonial\";i:26;s:62:\"field.field.component_wrapper.component_wrapper.field_timeline\";i:27;s:67:\"field.field.component_wrapper.component_wrapper.field_topic_summary\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_wrapper.component_wrapper.default\";s:16:\"targetEntityType\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:31:{s:15:\"field_accordion\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:21:\"field_article_summary\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:22;s:6:\"region\";s:7:\"content\";}s:17:\"field_banner_grid\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:21:\"field_basic_component\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:10:\"field_card\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";}s:14:\"field_carousel\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:7;s:6:\"region\";s:7:\"content\";}s:20:\"field_classified_ads\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:8;s:6:\"region\";s:7:\"content\";}s:13:\"field_counter\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:23;s:6:\"region\";s:7:\"content\";}s:21:\"field_divider_section\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:24;s:6:\"region\";s:7:\"content\";}s:10:\"field_grid\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:9;s:6:\"region\";s:7:\"content\";}s:19:\"field_grid_carousel\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";}s:27:\"field_horizontal_push_image\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:11;s:6:\"region\";s:7:\"content\";}s:17:\"field_left_column\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:19:\"field_middle_column\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:16:\"field_push_image\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:12;s:6:\"region\";s:7:\"content\";}s:16:\"field_push_video\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:25;s:6:\"region\";s:7:\"content\";}s:11:\"field_quote\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:13;s:6:\"region\";s:7:\"content\";}s:21:\"field_related_content\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:14;s:6:\"region\";s:7:\"content\";}s:18:\"field_right_column\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:19:\"field_service_block\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:26;s:6:\"region\";s:7:\"content\";}s:23:\"field_sidebar_link_text\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:15;s:6:\"region\";s:7:\"content\";}s:21:\"field_sidebar_service\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:16;s:6:\"region\";s:7:\"content\";}s:21:\"field_sidebar_summary\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:27;s:6:\"region\";s:7:\"content\";}s:15:\"field_slideshow\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:17;s:6:\"region\";s:7:\"content\";}s:24:\"field_slideshow_flexible\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:18;s:6:\"region\";s:7:\"content\";}s:19:\"field_statistic_bar\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:28;s:6:\"region\";s:7:\"content\";}s:25:\"field_summary_information\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:19;s:6:\"region\";s:7:\"content\";}s:11:\"field_table\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:20;s:6:\"region\";s:7:\"content\";}s:14:\"field_timeline\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:29;s:6:\"region\";s:7:\"content\";}s:19:\"field_topic_summary\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:4:\"full\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:21;s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:6:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:8:{s:14:\"component_type\";b:1;s:7:\"created\";b:1;s:18:\"field_display_mode\";b:1;s:12:\"field_footer\";b:1;s:12:\"field_header\";b:1;s:17:\"field_testimonial\";b:1;s:8:\"langcode\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_view_display.node.article.default','a:10:{s:4:\"uuid\";s:36:\"569366c0-7e14-4bf6-be08-8ffee6b10101\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:35:\"field.field.node.article.field_tags\";i:5;s:17:\"image.style.large\";i:6;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:20:\"node.article.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:6:{s:4:\"type\";s:15:\"comment_default\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:8:\"pager_id\";i:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:5:\"large\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.rss','a:10:{s:4:\"uuid\";s:36:\"a65b88b5-0add-4597-a608-8bc9e00c9427\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:35:\"field.field.node.article.field_tags\";i:5;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:16:\"node.article.rss\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:3:\"rss\";s:7:\"content\";a:1:{s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:4:\"body\";b:1;s:7:\"comment\";b:1;s:11:\"field_image\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.teaser','a:10:{s:4:\"uuid\";s:36:\"f1b2c00b-e785-492e-9a25-37df190b0f6d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:35:\"field.field.node.article.field_tags\";i:5;s:18:\"image.style.medium\";i:6;s:17:\"node.type.article\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:19:\"node.article.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:6:\"medium\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:7:\"comment\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.blog.default','a:10:{s:4:\"uuid\";s:36:\"3754a5cc-e321-4ad0-b405-5cc58483d35b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";i:1;s:26:\"field.field.node.blog.body\";i:2;s:29:\"field.field.node.blog.comment\";i:3;s:36:\"field.field.node.blog.field_category\";i:4;s:33:\"field.field.node.blog.field_image\";i:5;s:32:\"field.field.node.blog.field_tags\";i:6;s:38:\"field.field.node.blog.field_video_link\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:5:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";i:4;s:4:\"user\";}}s:2:\"id\";s:17:\"node.blog.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:6:{s:4:\"type\";s:15:\"comment_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:8:\"pager_id\";i:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:16:\"field_video_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:4;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:14:\"field_category\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.blog.teaser','a:10:{s:4:\"uuid\";s:36:\"a0ace7d0-0871-4675-b700-f8815446661c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:26:\"field.field.node.blog.body\";i:2;s:29:\"field.field.node.blog.comment\";i:3;s:36:\"field.field.node.blog.field_category\";i:4;s:33:\"field.field.node.blog.field_image\";i:5;s:32:\"field.field.node.blog.field_tags\";i:6;s:38:\"field.field.node.blog.field_video_link\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:16:\"node.blog.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:100;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:2;s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:3;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:7:\"comment\";b:1;s:14:\"field_category\";b:1;s:16:\"field_video_link\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.forum.default','a:10:{s:4:\"uuid\";s:36:\"11ca26fe-5248-4b30-ba09-9f1882445374\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:54:\"core.entity_view_display.comment.comment_forum.default\";i:1;s:27:\"field.field.node.forum.body\";i:2;s:36:\"field.field.node.forum.comment_forum\";i:3;s:38:\"field.field.node.forum.taxonomy_forums\";i:4;s:15:\"node.type.forum\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:18:\"node.forum.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:13:\"comment_forum\";a:6:{s:4:\"type\";s:15:\"comment_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:8:\"pager_id\";i:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:20;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}s:15:\"taxonomy_forums\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:5:\"label\";s:6:\"inline\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.forum.teaser','a:10:{s:4:\"uuid\";s:36:\"3c839934-32a3-4e7d-b75a-90d466f900b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:27:\"field.field.node.forum.body\";i:2;s:36:\"field.field.node.forum.comment_forum\";i:3;s:38:\"field.field.node.forum.taxonomy_forums\";i:4;s:15:\"node.type.forum\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"node.forum.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";}s:15:\"taxonomy_forums\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:13:\"comment_forum\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.page.default','a:10:{s:4:\"uuid\";s:36:\"c5d6ac02-08b0-4048-b806-06ff8281d079\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:26:\"field.field.node.page.body\";i:1;s:38:\"field.field.node.page.field_components\";i:2;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"node.page.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}s:16:\"field_components\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:102;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.page.teaser','a:10:{s:4:\"uuid\";s:36:\"3a9d8a9e-b150-4e15-8160-96023b7e3d7e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:26:\"field.field.node.page.body\";i:2;s:38:\"field.field.node.page.field_components\";i:3;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:16:\"node.page.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:16:\"field_components\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.showcase.default','a:10:{s:4:\"uuid\";s:36:\"44007646-fd7e-4c61-a45a-9074f2fa8b32\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:30:\"field.field.node.showcase.body\";i:1;s:37:\"field.field.node.showcase.field_image\";i:2;s:36:\"field.field.node.showcase.field_link\";i:3;s:18:\"node.type.showcase\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"user\";}}s:2:\"id\";s:21:\"node.showcase.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";s:6:\"target\";s:6:\"_blank\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:4:\"body\";b:1;s:8:\"langcode\";b:1;s:5:\"links\";b:1;}}'),('','core.entity_view_display.node.showcase.teaser','a:10:{s:4:\"uuid\";s:36:\"facbbf22-1c63-4fa6-a558-886fa3a52d77\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:30:\"field.field.node.showcase.body\";i:2;s:37:\"field.field.node.showcase.field_image\";i:3;s:36:\"field.field.node.showcase.field_link\";i:4;s:18:\"node.type.showcase\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"user\";}}s:2:\"id\";s:20:\"node.showcase.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";s:6:\"target\";s:6:\"_blank\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:4:\"body\";b:1;s:8:\"langcode\";b:1;s:5:\"links\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_html','a:10:{s:4:\"uuid\";s:36:\"595d84b8-78d5-46b1-855d-93f466a736b9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:37:\"core.entity_view_mode.node.email_html\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:32:\"node.simplenews_issue.email_html\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:10:\"email_html\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_plain','a:10:{s:4:\"uuid\";s:36:\"a836de9a-6d1f-4ed7-8600-fbc2b09286c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:38:\"core.entity_view_mode.node.email_plain\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:33:\"node.simplenews_issue.email_plain\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:11:\"email_plain\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.teaser','a:10:{s:4:\"uuid\";s:36:\"1754e700-7290-485d-a404-4a052ef18ae2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:28:\"node.simplenews_issue.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_trimmed\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.taxonomy_term.categories.default','a:10:{s:4:\"uuid\";s:36:\"948242ca-3bdf-4a29-921c-28412159c725\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"field.field.taxonomy_term.categories.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:11:\"description\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:11:\"field_image\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.taxonomy_term.forums.default','a:10:{s:4:\"uuid\";s:36:\"d9aef7e1-95f3-44ad-9549-737aa85a7f64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"field.field.taxonomy_term.forums.forum_container\";i:1;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:28:\"taxonomy_term.forums.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:11:\"description\";a:6:{s:4:\"type\";s:12:\"text_default\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:15:\"forum_container\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.user.user.compact','a:10:{s:4:\"uuid\";s:36:\"ec9e7b85-474a-44b9-9100-f7dcebc8e383\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"core.entity_view_mode.user.compact\";i:1;s:34:\"field.field.user.user.user_picture\";i:2;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.compact\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"compact\";s:7:\"content\";a:1:{s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:9:\"thumbnail\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:10:\"member_for\";b:1;s:10:\"simplenews\";b:1;}}'),('','core.entity_view_display.user.user.default','a:10:{s:4:\"uuid\";s:36:\"0e516f1c-a538-4b06-bf5b-91a23426f90e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:10:\"member_for\";a:4:{s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";}s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:9:\"thumbnail\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:8:\"langcode\";b:1;s:10:\"simplenews\";b:1;}}'),('','core.entity_view_mode.block.token','a:8:{s:4:\"uuid\";s:36:\"d08bc3ac-7023-4ae6-b291-e6d0b53a0d11\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"block\";}}s:2:\"id\";s:11:\"block.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:5:\"block\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.block_content.full','a:8:{s:4:\"uuid\";s:36:\"b8fd7ec8-2110-4d97-9c00-d5e42ab475be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:18:\"block_content.full\";s:5:\"label\";s:4:\"Full\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.block_content.token','a:8:{s:4:\"uuid\";s:36:\"9a12e10a-1413-4cea-af0a-58e8cb480a8f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:19:\"block_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.comment.full','a:8:{s:4:\"uuid\";s:36:\"41713730-7912-4075-9d00-eff5a5b1e0dd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:12:\"comment.full\";s:5:\"label\";s:12:\"Full comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.comment.token','a:8:{s:4:\"uuid\";s:36:\"33d0fa7e-5f11-485d-85a6-c520294abb24\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:13:\"comment.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.article_summary_full_image','a:8:{s:4:\"uuid\";s:36:\"b1a19068-9f79-4510-9cdf-1e389c5faeab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_item.article_summary_full_image\";s:5:\"label\";s:26:\"Article Summary full image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.article_summary_normal','a:8:{s:4:\"uuid\";s:36:\"280aa554-b799-47da-826b-f9df327486d8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_item.article_summary_normal\";s:5:\"label\";s:22:\"Article Summary normal\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.article_summary_two_columns','a:8:{s:4:\"uuid\";s:36:\"1f262ce9-fb55-4cd6-b99d-d30c06870ca5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_item.article_summary_two_columns\";s:5:\"label\";s:27:\"Article Summary two columns\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.carousel_date_first','a:8:{s:4:\"uuid\";s:36:\"2c6962cd-f960-4e0c-9031-53eb2f734d7d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_item.carousel_date_first\";s:5:\"label\";s:19:\"Carousel Date First\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.counter_image','a:8:{s:4:\"uuid\";s:36:\"638c3c2a-aa4e-4794-9d08-afde18e2b6c8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_item.counter_image\";s:5:\"label\";s:13:\"Counter Image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.grid_image_link','a:8:{s:4:\"uuid\";s:36:\"ce0fb2a0-4789-4437-b56d-49c1621f7826\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:30:\"component_item.grid_image_link\";s:5:\"label\";s:15:\"Grid Image Link\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.grid_img_title','a:8:{s:4:\"uuid\";s:36:\"74075fef-a175-4ba9-ba14-65d64dac3338\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_item.grid_img_title\";s:5:\"label\";s:14:\"Grid Img Title\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.grid_quick_summary','a:8:{s:4:\"uuid\";s:36:\"5a9b045f-4d24-4d86-bdb8-a876793ce046\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:33:\"component_item.grid_quick_summary\";s:5:\"label\";s:18:\"Grid Quick Summary\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.sidebar_summary_full_image','a:8:{s:4:\"uuid\";s:36:\"e6fd5ef2-d56e-4ecf-8028-35251f2e98be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_item.sidebar_summary_full_image\";s:5:\"label\";s:26:\"Sidebar Summary Full image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.sidebar_summary_topic','a:8:{s:4:\"uuid\";s:36:\"c0236bae-50be-4e6b-b786-28c2e9ed990c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:36:\"component_item.sidebar_summary_topic\";s:5:\"label\";s:21:\"Sidebar Summary Topic\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.topic_summary_image','a:8:{s:4:\"uuid\";s:36:\"bc5dfe03-2aa2-4e9b-b525-719778200634\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_item.topic_summary_image\";s:5:\"label\";s:19:\"Topic Summary Image\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.component_item.topic_summary_image_link','a:8:{s:4:\"uuid\";s:36:\"944d0e5c-6d12-47ce-86a2-16ef7f5ccda7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_item.topic_summary_image_link\";s:5:\"label\";s:24:\"Topic Summary Image Link\";s:16:\"targetEntityType\";s:14:\"component_item\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.contact_message.token','a:8:{s:4:\"uuid\";s:36:\"85e82463-e281-487b-835b-856747d8c649\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"contact\";}}s:2:\"id\";s:21:\"contact_message.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:15:\"contact_message\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.file.token','a:8:{s:4:\"uuid\";s:36:\"e1b8e244-747d-4263-9575-dc298e2af0ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:10:\"file.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"file\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.menu_link_content.token','a:8:{s:4:\"uuid\";s:36:\"65449363-5a3b-4822-88fd-c6c6aa8b0ad9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:23:\"menu_link_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:17:\"menu_link_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_html','a:8:{s:4:\"uuid\";s:36:\"d9150202-73c3-44c0-9d01-1c84ffc8097b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:15:\"node.email_html\";s:5:\"label\";s:11:\"Email: HTML\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_plain','a:8:{s:4:\"uuid\";s:36:\"318f777d-d05b-4abc-9901-1f1183554c94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:16:\"node.email_plain\";s:5:\"label\";s:12:\"Email: Plain\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.full','a:8:{s:4:\"uuid\";s:36:\"f96bdb6f-7c21-46a2-a900-cf4426740b0f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:9:\"node.full\";s:5:\"label\";s:12:\"Full content\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.rss','a:8:{s:4:\"uuid\";s:36:\"a8dba3ec-a79e-4f6e-a608-08316f0fe485\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:8:\"node.rss\";s:5:\"label\";s:3:\"RSS\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.search_index','a:8:{s:4:\"uuid\";s:36:\"f728ff87-971f-4dd8-9c00-d631b9ba531f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:17:\"node.search_index\";s:5:\"label\";s:12:\"Search index\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.search_result','a:8:{s:4:\"uuid\";s:36:\"66d1a4bf-76b3-42bd-8505-5de720860109\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:18:\"node.search_result\";s:5:\"label\";s:32:\"Search result highlighting input\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.teaser','a:8:{s:4:\"uuid\";s:36:\"74a91f37-4120-47a1-b007-7a133903650c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:11:\"node.teaser\";s:5:\"label\";s:6:\"Teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.token','a:8:{s:4:\"uuid\";s:36:\"c4bdd828-f2ae-4192-a4a1-45f1744dff62\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.shortcut.token','a:8:{s:4:\"uuid\";s:36:\"283d429b-e8ae-4027-8aaa-1439c745b7de\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"shortcut\";}}s:2:\"id\";s:14:\"shortcut.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:8:\"shortcut\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.simplenews_subscriber.token','a:8:{s:4:\"uuid\";s:36:\"c48c5198-8f46-4597-9502-ca86d0fd597f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:27:\"simplenews_subscriber.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.taxonomy_term.full','a:8:{s:4:\"uuid\";s:36:\"7ae9ec11-dda4-4b8c-8100-eacab1da715e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:18:\"taxonomy_term.full\";s:5:\"label\";s:18:\"Taxonomy term page\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.taxonomy_term.token','a:8:{s:4:\"uuid\";s:36:\"a5d155be-fe65-453d-8373-8d650eedf9d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"taxonomy_term.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.tour.token','a:8:{s:4:\"uuid\";s:36:\"eac8c1d6-42f4-4718-bb94-c79180cec0db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"tour\";}}s:2:\"id\";s:10:\"tour.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"tour\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.compact','a:8:{s:4:\"uuid\";s:36:\"08867722-0da8-443e-b700-de00bb10a3eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:12:\"user.compact\";s:5:\"label\";s:7:\"Compact\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.full','a:8:{s:4:\"uuid\";s:36:\"7277af58-0eab-4870-8700-df5445bff20b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"user.full\";s:5:\"label\";s:12:\"User account\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.token','a:8:{s:4:\"uuid\";s:36:\"b17c8897-9a94-4065-8bfe-479f55c86914\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:10:\"user.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.extension','a:3:{s:6:\"module\";a:64:{s:13:\"admin_toolbar\";i:0;s:20:\"admin_toolbar_search\";i:0;s:19:\"admin_toolbar_tools\";i:0;s:14:\"automated_cron\";i:0;s:5:\"block\";i:0;s:13:\"block_content\";i:0;s:10:\"breakpoint\";i:0;s:8:\"ckeditor\";i:0;s:5:\"color\";i:0;s:11:\"color_field\";i:0;s:7:\"comment\";i:0;s:17:\"component_builder\";i:0;s:6:\"config\";i:0;s:18:\"config_translation\";i:0;s:7:\"contact\";i:0;s:10:\"contextual\";i:0;s:6:\"ctools\";i:0;s:8:\"datetime\";i:0;s:5:\"dblog\";i:0;s:18:\"dynamic_page_cache\";i:0;s:6:\"editor\";i:0;s:6:\"entity\";i:0;s:5:\"field\";i:0;s:11:\"field_group\";i:0;s:8:\"field_ui\";i:0;s:4:\"file\";i:0;s:6:\"filter\";i:0;s:4:\"help\";i:0;s:7:\"history\";i:0;s:5:\"image\";i:0;s:18:\"inline_entity_form\";i:0;s:8:\"language\";i:0;s:4:\"link\";i:0;s:6:\"locale\";i:0;s:7:\"menu_ui\";i:0;s:13:\"module_filter\";i:0;s:5:\"mysql\";i:0;s:4:\"node\";i:0;s:7:\"options\";i:0;s:10:\"page_cache\";i:0;s:4:\"path\";i:0;s:10:\"path_alias\";i:0;s:9:\"quickedit\";i:0;s:3:\"rdf\";i:0;s:6:\"search\";i:0;s:8:\"shortcut\";i:0;s:10:\"simplenews\";i:0;s:6:\"system\";i:0;s:8:\"taxonomy\";i:0;s:4:\"text\";i:0;s:5:\"token\";i:0;s:7:\"toolbar\";i:0;s:4:\"tour\";i:0;s:6:\"update\";i:0;s:4:\"user\";i:0;s:17:\"video_embed_field\";i:0;s:8:\"views_ui\";i:0;s:11:\"we_megamenu\";i:0;s:5:\"forum\";i:1;s:17:\"menu_link_content\";i:1;s:8:\"pathauto\";i:1;s:19:\"content_translation\";i:10;s:5:\"views\";i:10;s:8:\"standard\";i:1000;}s:5:\"theme\";a:5:{s:6:\"stable\";i:0;s:6:\"classy\";i:0;s:6:\"bartik\";i:0;s:5:\"seven\";i:0;s:8:\"pinteros\";i:0;}s:7:\"profile\";s:8:\"standard\";}'),('','core.menu.static_menu_link_overrides','a:1:{s:11:\"definitions\";a:3:{s:18:\"contact__site_page\";a:5:{s:9:\"menu_name\";s:6:\"footer\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:20:\"standard__front_page\";a:5:{s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:-49;s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:12:\"user__logout\";a:5:{s:9:\"menu_name\";s:7:\"account\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:10;s:8:\"expanded\";b:0;s:7:\"enabled\";b:0;}}}'),('','dblog.settings','a:1:{s:9:\"row_limit\";i:1000;}'),('','editor.editor.basic_html','a:8:{s:4:\"uuid\";s:36:\"9b8d7ccb-3d3e-472f-9600-e94bb37f9858\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"filter.format.basic_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:6:\"format\";s:10:\"basic_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:2:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:2:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:1:{i:0;s:6:\"Source\";}}}}}s:7:\"plugins\";a:0:{}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";i:0;s:6:\"height\";i:0;}}}'),('','editor.editor.full_html','a:8:{s:4:\"uuid\";s:36:\"cbeab9c2-2c21-45ef-be00-c7474b4007e3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"filter.format.full_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:6:\"format\";s:9:\"full_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:7:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";i:2;s:6:\"Strike\";i:3;s:11:\"Superscript\";i:4;s:9:\"Subscript\";i:5;s:1:\"-\";i:6;s:12:\"RemoveFormat\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:4:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";i:2;s:5:\"Table\";i:3;s:14:\"HorizontalRule\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:2:{i:0;s:10:\"ShowBlocks\";i:1;s:6:\"Source\";}}}}}s:7:\"plugins\";a:0:{}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";i:0;s:6:\"height\";i:0;}}}'),('','field.field.block_content.basic.body','a:16:{s:4:\"uuid\";s:36:\"6d7bea4a-4cf4-4ad3-ae08-085ac6e11ba7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:32:\"field.storage.block_content.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:24:\"block_content.basic.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.comment.comment.comment_body','a:16:{s:4:\"uuid\";s:36:\"bbd2614e-4d21-4c72-8d05-056b3958c54f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:28:\"comment.comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Comment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.comment.comment_forum.comment_body','a:16:{s:4:\"uuid\";s:36:\"175f19de-afb4-4ccf-8954-84b612ee41a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"comment.type.comment_forum\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:34:\"comment.comment_forum.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Comment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.component_item.accordion.field_body','a:16:{s:4:\"uuid\";s:36:\"5b518c85-812a-428c-aa75-d8765c84147d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.accordion\";i:1;s:39:\"field.storage.component_item.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.accordion.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"accordion\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.article_summary.field_as_address','a:16:{s:4:\"uuid\";s:36:\"90a56157-2fc7-4cf2-8b19-c0d72cf4bef1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:45:\"field.storage.component_item.field_as_address\";}}s:2:\"id\";s:47:\"component_item.article_summary.field_as_address\";s:10:\"field_name\";s:16:\"field_as_address\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:10:\"AS Address\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.article_summary.field_as_country','a:16:{s:4:\"uuid\";s:36:\"dbd9426c-56cf-4c9a-9918-22bb79465c2e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:45:\"field.storage.component_item.field_as_country\";}}s:2:\"id\";s:47:\"component_item.article_summary.field_as_country\";s:10:\"field_name\";s:16:\"field_as_country\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:10:\"AS Country\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.article_summary.field_as_date_of_establishment','a:16:{s:4:\"uuid\";s:36:\"811ae69c-e48b-4410-b3d1-d38dcd3e75e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:59:\"field.storage.component_item.field_as_date_of_establishment\";}s:6:\"module\";a:1:{i:0;s:8:\"datetime\";}}s:2:\"id\";s:61:\"component_item.article_summary.field_as_date_of_establishment\";s:10:\"field_name\";s:30:\"field_as_date_of_establishment\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:24:\"AS Date Of Establishment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:8:\"datetime\";}'),('','field.field.component_item.article_summary.field_as_description','a:16:{s:4:\"uuid\";s:36:\"7bb438c2-33c3-4eec-a9c9-d7d430425ab4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:49:\"field.storage.component_item.field_as_description\";}}s:2:\"id\";s:51:\"component_item.article_summary.field_as_description\";s:10:\"field_name\";s:20:\"field_as_description\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:14:\"AS Description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.article_summary.field_as_image','a:16:{s:4:\"uuid\";s:36:\"031fda1e-8f14-4a34-bece-465b3b675fa9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:43:\"field.storage.component_item.field_as_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:45:\"component_item.article_summary.field_as_image\";s:10:\"field_name\";s:14:\"field_as_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:8:\"AS Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.article_summary.field_as_link','a:16:{s:4:\"uuid\";s:36:\"44c0f87b-a3b7-4b62-b06d-a5f18ad409c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:42:\"field.storage.component_item.field_as_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:44:\"component_item.article_summary.field_as_link\";s:10:\"field_name\";s:13:\"field_as_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:7:\"AS Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.article_summary.field_as_opening_hours','a:16:{s:4:\"uuid\";s:36:\"d131f3ce-eefe-45b0-bf45-c39f4d159d0a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:51:\"field.storage.component_item.field_as_opening_hours\";}}s:2:\"id\";s:53:\"component_item.article_summary.field_as_opening_hours\";s:10:\"field_name\";s:22:\"field_as_opening_hours\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"article_summary\";s:5:\"label\";s:16:\"AS Opening Hours\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.banner_grid.field_large_image','a:16:{s:4:\"uuid\";s:36:\"aa8b077c-c5e3-4209-9cb2-1219768a326a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.banner_grid\";i:1;s:46:\"field.storage.component_item.field_large_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:44:\"component_item.banner_grid.field_large_image\";s:10:\"field_name\";s:17:\"field_large_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"banner_grid\";s:5:\"label\";s:11:\"large image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.banner_grid.field_small_image','a:16:{s:4:\"uuid\";s:36:\"c243618d-bbb5-4a6d-824e-2c0281a9c8d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.banner_grid\";i:1;s:46:\"field.storage.component_item.field_small_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:44:\"component_item.banner_grid.field_small_image\";s:10:\"field_name\";s:17:\"field_small_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"banner_grid\";s:5:\"label\";s:11:\"Small image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.basic_component.field_body','a:16:{s:4:\"uuid\";s:36:\"d9afaf0a-6440-4c54-8769-21d482317d2c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.basic_component\";i:1;s:39:\"field.storage.component_item.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:41:\"component_item.basic_component.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"basic_component\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.basic_component.field_image','a:16:{s:4:\"uuid\";s:36:\"545ca725-1fad-4203-adbd-82ecd8ac1f33\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.basic_component\";i:1;s:40:\"field.storage.component_item.field_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.basic_component.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"basic_component\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.basic_component.field_link','a:16:{s:4:\"uuid\";s:36:\"6fbcfec1-73ac-4134-9e9e-c7d5e8839d84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.basic_component\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.basic_component.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"basic_component\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.card.field_card_body','a:16:{s:4:\"uuid\";s:36:\"c96b07ff-85fd-4109-84e4-848d825b98e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:44:\"field.storage.component_item.field_card_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.card.field_card_body\";s:10:\"field_name\";s:15:\"field_card_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"card\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.card.field_card_color','a:16:{s:4:\"uuid\";s:36:\"e22c613c-eb33-41a1-8dc4-fef05895e86f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:45:\"field.storage.component_item.field_card_color\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:36:\"component_item.card.field_card_color\";s:10:\"field_name\";s:16:\"field_card_color\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"card\";s:5:\"label\";s:5:\"Color\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}'),('','field.field.component_item.card.field_card_icon','a:16:{s:4:\"uuid\";s:36:\"c1317ab4-3244-44ec-950f-d1bffab31bed\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:44:\"field.storage.component_item.field_card_icon\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:35:\"component_item.card.field_card_icon\";s:10:\"field_name\";s:15:\"field_card_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"card\";s:5:\"label\";s:4:\"Icon\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.card.field_card_link','a:16:{s:4:\"uuid\";s:36:\"d3ce4a97-a7de-4731-a12e-7b49e79810f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:44:\"field.storage.component_item.field_card_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:35:\"component_item.card.field_card_link\";s:10:\"field_name\";s:15:\"field_card_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"card\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.carousel.field_date','a:16:{s:4:\"uuid\";s:36:\"bd24febe-9264-4851-9ef9-63cae5d35a0f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:39:\"field.storage.component_item.field_date\";}s:6:\"module\";a:1:{i:0;s:8:\"datetime\";}}s:2:\"id\";s:34:\"component_item.carousel.field_date\";s:10:\"field_name\";s:10:\"field_date\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:5:\"label\";s:4:\"Date\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:8:\"datetime\";}'),('','field.field.component_item.carousel.field_description','a:16:{s:4:\"uuid\";s:36:\"4603901e-0414-47af-aad3-b9c9eac59560\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:46:\"field.storage.component_item.field_description\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:41:\"component_item.carousel.field_description\";s:10:\"field_name\";s:17:\"field_description\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.carousel.field_image','a:16:{s:4:\"uuid\";s:36:\"d823109f-6671-4606-8ee3-6c211196a6fc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:40:\"field.storage.component_item.field_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:35:\"component_item.carousel.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.carousel.field_link','a:16:{s:4:\"uuid\";s:36:\"583aa356-4b6b-4c64-8449-c0716fadee72\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:34:\"component_item.carousel.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"carousel\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.classified_ads.field_classified_ads_image','a:16:{s:4:\"uuid\";s:36:\"6ccf97b6-5330-4b84-a7a4-808d4f412686\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:52:\"component_builder.component_item_type.classified_ads\";i:1;s:55:\"field.storage.component_item.field_classified_ads_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:56:\"component_item.classified_ads.field_classified_ads_image\";s:10:\"field_name\";s:26:\"field_classified_ads_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:14:\"classified_ads\";s:5:\"label\";s:20:\"Classified Ads Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.classified_ads.field_classified_ads_text','a:16:{s:4:\"uuid\";s:36:\"90db2d28-ab79-4818-865c-db3c90a2bb9c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:52:\"component_builder.component_item_type.classified_ads\";i:1;s:54:\"field.storage.component_item.field_classified_ads_text\";}}s:2:\"id\";s:55:\"component_item.classified_ads.field_classified_ads_text\";s:10:\"field_name\";s:25:\"field_classified_ads_text\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:14:\"classified_ads\";s:5:\"label\";s:19:\"Classified Ads text\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.counter.field_counter_image','a:16:{s:4:\"uuid\";s:36:\"ce67dfc7-01a4-4a6e-8ee2-f335600eb630\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:45:\"component_builder.component_item_type.counter\";i:1;s:48:\"field.storage.component_item.field_counter_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.counter.field_counter_image\";s:10:\"field_name\";s:19:\"field_counter_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:7:\"counter\";s:5:\"label\";s:13:\"Counter Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.counter.field_counter_number','a:16:{s:4:\"uuid\";s:36:\"50827e37-bfc4-47d1-b7ae-7c148441486b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:45:\"component_builder.component_item_type.counter\";i:1;s:49:\"field.storage.component_item.field_counter_number\";}}s:2:\"id\";s:43:\"component_item.counter.field_counter_number\";s:10:\"field_name\";s:20:\"field_counter_number\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:7:\"counter\";s:5:\"label\";s:14:\"Counter Number\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:4:{s:3:\"min\";N;s:3:\"max\";N;s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:10:\"field_type\";s:7:\"integer\";}'),('','field.field.component_item.divider_section.field_divider_section_color','a:16:{s:4:\"uuid\";s:36:\"78d8bf3d-97a1-4fd0-abf4-024331e831ca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.divider_section\";i:1;s:56:\"field.storage.component_item.field_divider_section_color\";}s:6:\"module\";a:1:{i:0;s:11:\"color_field\";}}s:2:\"id\";s:58:\"component_item.divider_section.field_divider_section_color\";s:10:\"field_name\";s:27:\"field_divider_section_color\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"divider_section\";s:5:\"label\";s:21:\"Divider Section Color\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:7:\"opacity\";i:1;}s:10:\"field_type\";s:16:\"color_field_type\";}'),('','field.field.component_item.divider_section.field_divider_section_desc','a:16:{s:4:\"uuid\";s:36:\"ffbdb0dd-92f5-483f-9819-e35e48c379cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.divider_section\";i:1;s:55:\"field.storage.component_item.field_divider_section_desc\";}}s:2:\"id\";s:57:\"component_item.divider_section.field_divider_section_desc\";s:10:\"field_name\";s:26:\"field_divider_section_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"divider_section\";s:5:\"label\";s:27:\"Divider Section Description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.divider_section.field_divider_section_image','a:16:{s:4:\"uuid\";s:36:\"f2ebfdaa-d6f6-44fc-82ec-ec9718b33c63\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.divider_section\";i:1;s:56:\"field.storage.component_item.field_divider_section_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:58:\"component_item.divider_section.field_divider_section_image\";s:10:\"field_name\";s:27:\"field_divider_section_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"divider_section\";s:5:\"label\";s:21:\"Divider Section Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.grid.field_body','a:16:{s:4:\"uuid\";s:36:\"a64dbfc8-8e2c-454c-8f25-600224195526\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:39:\"field.storage.component_item.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:30:\"component_item.grid.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.grid.field_grid_date','a:16:{s:4:\"uuid\";s:36:\"c9061880-d3f1-4050-87dd-7f48d8506732\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:44:\"field.storage.component_item.field_grid_date\";}s:6:\"module\";a:1:{i:0;s:8:\"datetime\";}}s:2:\"id\";s:35:\"component_item.grid.field_grid_date\";s:10:\"field_name\";s:15:\"field_grid_date\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:5:\"label\";s:9:\"Grid Date\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:8:\"datetime\";}'),('','field.field.component_item.grid.field_icon','a:16:{s:4:\"uuid\";s:36:\"89fb6a9b-f582-4c03-a4ff-9c05c62b2b5a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:39:\"field.storage.component_item.field_icon\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:30:\"component_item.grid.field_icon\";s:10:\"field_name\";s:10:\"field_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:5:\"label\";s:4:\"Icon\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.grid.field_link','a:16:{s:4:\"uuid\";s:36:\"ca6b2516-8fe8-4b05-8431-19f0edaf1945\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:30:\"component_item.grid.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:4:\"grid\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.grid_carousel.field_gc_date','a:16:{s:4:\"uuid\";s:36:\"94a74ed7-5328-4be2-8e9b-2a96319383a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:42:\"field.storage.component_item.field_gc_date\";}s:6:\"module\";a:1:{i:0;s:8:\"datetime\";}}s:2:\"id\";s:42:\"component_item.grid_carousel.field_gc_date\";s:10:\"field_name\";s:13:\"field_gc_date\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"grid_carousel\";s:5:\"label\";s:7:\"GC Date\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:8:\"datetime\";}'),('','field.field.component_item.grid_carousel.field_gc_description','a:16:{s:4:\"uuid\";s:36:\"07971b02-ae3e-48c7-abfe-885e59ab10e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:49:\"field.storage.component_item.field_gc_description\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:49:\"component_item.grid_carousel.field_gc_description\";s:10:\"field_name\";s:20:\"field_gc_description\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"grid_carousel\";s:5:\"label\";s:14:\"GC Description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.grid_carousel.field_gc_image','a:16:{s:4:\"uuid\";s:36:\"134b149b-f4d3-4238-88b4-586000eeb7e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:43:\"field.storage.component_item.field_gc_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:43:\"component_item.grid_carousel.field_gc_image\";s:10:\"field_name\";s:14:\"field_gc_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"grid_carousel\";s:5:\"label\";s:8:\"GC Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.grid_carousel.field_gc_link','a:16:{s:4:\"uuid\";s:36:\"34a739af-93e2-4642-aa25-d8a50f20ecbd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:42:\"field.storage.component_item.field_gc_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:42:\"component_item.grid_carousel.field_gc_link\";s:10:\"field_name\";s:13:\"field_gc_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"grid_carousel\";s:5:\"label\";s:7:\"GC Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.horizontal_push_image.field_body','a:16:{s:4:\"uuid\";s:36:\"8431a214-169e-44e1-8dfd-47047ce229f2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";i:1;s:39:\"field.storage.component_item.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:47:\"component_item.horizontal_push_image.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:21:\"horizontal_push_image\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.horizontal_push_image.field_hpi_image','a:16:{s:4:\"uuid\";s:36:\"cda77c44-d473-4ae3-8374-281bbf572936\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";i:1;s:44:\"field.storage.component_item.field_hpi_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:52:\"component_item.horizontal_push_image.field_hpi_image\";s:10:\"field_name\";s:15:\"field_hpi_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:21:\"horizontal_push_image\";s:5:\"label\";s:9:\"HPI Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.horizontal_push_image.field_link','a:16:{s:4:\"uuid\";s:36:\"71b9cce2-5b1e-49a6-8809-dca54c4974d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:47:\"component_item.horizontal_push_image.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:21:\"horizontal_push_image\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.push_image.field_pi_body','a:16:{s:4:\"uuid\";s:36:\"ad2529e5-cc42-4ca2-a461-ab106766555a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_image\";i:1;s:42:\"field.storage.component_item.field_pi_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:39:\"component_item.push_image.field_pi_body\";s:10:\"field_name\";s:13:\"field_pi_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_image\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.component_item.push_image.field_pi_image','a:16:{s:4:\"uuid\";s:36:\"409eacfd-8de0-4c5c-bcb5-a8dfffa92aa9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_image\";i:1;s:43:\"field.storage.component_item.field_pi_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:40:\"component_item.push_image.field_pi_image\";s:10:\"field_name\";s:14:\"field_pi_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_image\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.push_image.field_pi_link','a:16:{s:4:\"uuid\";s:36:\"56283212-822a-4cd6-93d2-7afd61fb99cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_image\";i:1;s:42:\"field.storage.component_item.field_pi_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:39:\"component_item.push_image.field_pi_link\";s:10:\"field_name\";s:13:\"field_pi_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_image\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.push_video.field_pv_body','a:16:{s:4:\"uuid\";s:36:\"66b92265-3ee7-433e-989e-57e2d38a41ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:42:\"field.storage.component_item.field_pv_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:39:\"component_item.push_video.field_pv_body\";s:10:\"field_name\";s:13:\"field_pv_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.component_item.push_video.field_pv_display','a:16:{s:4:\"uuid\";s:36:\"7ac0294b-334f-4134-8eb2-a140be7e80ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:45:\"field.storage.component_item.field_pv_display\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:42:\"component_item.push_video.field_pv_display\";s:10:\"field_name\";s:16:\"field_pv_display\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:5:\"label\";s:7:\"Display\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}'),('','field.field.component_item.push_video.field_pv_embed_video','a:16:{s:4:\"uuid\";s:36:\"500d2803-1135-4ec5-8205-fa12e3813bc8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:49:\"field.storage.component_item.field_pv_embed_video\";}s:6:\"module\";a:1:{i:0;s:17:\"video_embed_field\";}}s:2:\"id\";s:46:\"component_item.push_video.field_pv_embed_video\";s:10:\"field_name\";s:20:\"field_pv_embed_video\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:5:\"label\";s:11:\"Embed Video\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:17:\"allowed_providers\";a:3:{s:7:\"youtube\";s:7:\"youtube\";s:16:\"youtube_playlist\";s:16:\"youtube_playlist\";s:5:\"vimeo\";s:5:\"vimeo\";}}s:10:\"field_type\";s:17:\"video_embed_field\";}'),('','field.field.component_item.push_video.field_pv_link','a:16:{s:4:\"uuid\";s:36:\"d1e3a735-cc39-44ff-a897-30404677c626\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:42:\"field.storage.component_item.field_pv_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:39:\"component_item.push_video.field_pv_link\";s:10:\"field_name\";s:13:\"field_pv_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.push_video.field_pv_video_file','a:16:{s:4:\"uuid\";s:36:\"82602396-0f6a-46bc-a42a-678cd0d30c1e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:48:\"field.storage.component_item.field_pv_video_file\";}s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:45:\"component_item.push_video.field_pv_video_file\";s:10:\"field_name\";s:19:\"field_pv_video_file\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:10:\"push_video\";s:5:\"label\";s:10:\"Video File\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:6:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:11:\"mp4 mov wmv\";s:12:\"max_filesize\";s:0:\"\";s:17:\"description_field\";b:0;}s:10:\"field_type\";s:4:\"file\";}'),('','field.field.component_item.quote.field_quote','a:16:{s:4:\"uuid\";s:36:\"8079b8bc-e0ee-43c4-b7d5-06bdf3f978c0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:40:\"field.storage.component_item.field_quote\";}}s:2:\"id\";s:32:\"component_item.quote.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"quote\";s:5:\"label\";s:5:\"Quote\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.quote.field_quote_description_infor','a:16:{s:4:\"uuid\";s:36:\"43f3ac7e-c141-45f6-9899-f1c0adeec15e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:58:\"field.storage.component_item.field_quote_description_infor\";}}s:2:\"id\";s:50:\"component_item.quote.field_quote_description_infor\";s:10:\"field_name\";s:29:\"field_quote_description_infor\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"quote\";s:5:\"label\";s:23:\"Quote Description Infor\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.quote.field_quote_image','a:16:{s:4:\"uuid\";s:36:\"f862e53f-89e6-4270-b96a-21b14ccdba74\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:46:\"field.storage.component_item.field_quote_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:38:\"component_item.quote.field_quote_image\";s:10:\"field_name\";s:17:\"field_quote_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"quote\";s:5:\"label\";s:11:\"Quote Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.quote.field_quote_information','a:16:{s:4:\"uuid\";s:36:\"d754ba72-4c04-4235-bbf2-e7a2b70676a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:52:\"field.storage.component_item.field_quote_information\";}}s:2:\"id\";s:44:\"component_item.quote.field_quote_information\";s:10:\"field_name\";s:23:\"field_quote_information\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"quote\";s:5:\"label\";s:17:\"Quote Information\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.related_content.field_rc_body','a:16:{s:4:\"uuid\";s:36:\"67c46481-1799-40ab-82d2-0067cc89019d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.related_content\";i:1;s:42:\"field.storage.component_item.field_rc_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:44:\"component_item.related_content.field_rc_body\";s:10:\"field_name\";s:13:\"field_rc_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"related_content\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.related_content.field_rc_image','a:16:{s:4:\"uuid\";s:36:\"72682ded-d647-4cfa-aad9-1cc034eafe3d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.related_content\";i:1;s:43:\"field.storage.component_item.field_rc_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:45:\"component_item.related_content.field_rc_image\";s:10:\"field_name\";s:14:\"field_rc_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"related_content\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.related_content.field_rc_link','a:16:{s:4:\"uuid\";s:36:\"125abdc5-4ba1-4f88-8040-9dc75cb40c47\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.related_content\";i:1;s:42:\"field.storage.component_item.field_rc_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:44:\"component_item.related_content.field_rc_link\";s:10:\"field_name\";s:13:\"field_rc_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"related_content\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.service_block.field_service_block_color','a:16:{s:4:\"uuid\";s:36:\"bdc8039f-bd7e-428a-9b18-1ce564985b7a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:54:\"field.storage.component_item.field_service_block_color\";}s:6:\"module\";a:1:{i:0;s:11:\"color_field\";}}s:2:\"id\";s:54:\"component_item.service_block.field_service_block_color\";s:10:\"field_name\";s:25:\"field_service_block_color\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"service_block\";s:5:\"label\";s:19:\"Service Block Color\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:7:\"opacity\";i:0;}s:10:\"field_type\";s:16:\"color_field_type\";}'),('','field.field.component_item.service_block.field_service_block_description','a:16:{s:4:\"uuid\";s:36:\"5b7eccda-16de-4f6f-8bfc-350f48bc4660\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:60:\"field.storage.component_item.field_service_block_description\";}}s:2:\"id\";s:60:\"component_item.service_block.field_service_block_description\";s:10:\"field_name\";s:31:\"field_service_block_description\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"service_block\";s:5:\"label\";s:25:\"Service Block Description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.service_block.field_service_block_image','a:16:{s:4:\"uuid\";s:36:\"3345b37d-4ba6-4923-8213-2d918da1e60e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:54:\"field.storage.component_item.field_service_block_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:54:\"component_item.service_block.field_service_block_image\";s:10:\"field_name\";s:25:\"field_service_block_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"service_block\";s:5:\"label\";s:19:\"Service Block Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.service_block.field_service_block_link','a:16:{s:4:\"uuid\";s:36:\"f67053b4-153b-41b5-b053-13aa368b9728\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:53:\"field.storage.component_item.field_service_block_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:53:\"component_item.service_block.field_service_block_link\";s:10:\"field_name\";s:24:\"field_service_block_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"service_block\";s:5:\"label\";s:18:\"Service Block Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.sidebar_link_text.field_sidebar_link_text','a:16:{s:4:\"uuid\";s:36:\"d41b73a0-9ee8-4048-a31c-6a4bbcffe884\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:55:\"component_builder.component_item_type.sidebar_link_text\";i:1;s:52:\"field.storage.component_item.field_sidebar_link_text\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:56:\"component_item.sidebar_link_text.field_sidebar_link_text\";s:10:\"field_name\";s:23:\"field_sidebar_link_text\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:17:\"sidebar_link_text\";s:5:\"label\";s:17:\"Sidebar Link Text\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.sidebar_link_text.field_sidebar_link_text_desc','a:16:{s:4:\"uuid\";s:36:\"7f391b98-0b14-4ba6-a08c-b6576b888fa6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:55:\"component_builder.component_item_type.sidebar_link_text\";i:1;s:57:\"field.storage.component_item.field_sidebar_link_text_desc\";}}s:2:\"id\";s:61:\"component_item.sidebar_link_text.field_sidebar_link_text_desc\";s:10:\"field_name\";s:28:\"field_sidebar_link_text_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:17:\"sidebar_link_text\";s:5:\"label\";s:22:\"Sidebar Link Text DESC\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.sidebar_service.field_sidebar_service_image','a:16:{s:4:\"uuid\";s:36:\"5fa69835-ebba-48ef-a8bf-fbb33f5dbad2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_service\";i:1;s:56:\"field.storage.component_item.field_sidebar_service_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:58:\"component_item.sidebar_service.field_sidebar_service_image\";s:10:\"field_name\";s:27:\"field_sidebar_service_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_service\";s:5:\"label\";s:21:\"Sidebar Service Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.sidebar_service.field_sidebar_service_link','a:16:{s:4:\"uuid\";s:36:\"366e1c83-9803-4d2d-a23d-0d84ef3154e2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_service\";i:1;s:55:\"field.storage.component_item.field_sidebar_service_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:57:\"component_item.sidebar_service.field_sidebar_service_link\";s:10:\"field_name\";s:26:\"field_sidebar_service_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_service\";s:5:\"label\";s:20:\"Sidebar Service Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.sidebar_summary.field_sidebar_summary_created_by','a:16:{s:4:\"uuid\";s:36:\"a6d9582e-3b34-486a-b230-71e68af7ae8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:61:\"field.storage.component_item.field_sidebar_summary_created_by\";}}s:2:\"id\";s:63:\"component_item.sidebar_summary.field_sidebar_summary_created_by\";s:10:\"field_name\";s:32:\"field_sidebar_summary_created_by\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:5:\"label\";s:26:\"Sidebar Summary Created By\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.sidebar_summary.field_sidebar_summary_date','a:16:{s:4:\"uuid\";s:36:\"9e09d1d8-6627-4def-a0c5-90a46ff8a386\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:55:\"field.storage.component_item.field_sidebar_summary_date\";}s:6:\"module\";a:1:{i:0;s:8:\"datetime\";}}s:2:\"id\";s:57:\"component_item.sidebar_summary.field_sidebar_summary_date\";s:10:\"field_name\";s:26:\"field_sidebar_summary_date\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:5:\"label\";s:20:\"Sidebar Summary Date\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:8:\"datetime\";}'),('','field.field.component_item.sidebar_summary.field_sidebar_summary_desc','a:16:{s:4:\"uuid\";s:36:\"722e329f-c704-4523-8c8b-35ab48cf9ed3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:55:\"field.storage.component_item.field_sidebar_summary_desc\";}}s:2:\"id\";s:57:\"component_item.sidebar_summary.field_sidebar_summary_desc\";s:10:\"field_name\";s:26:\"field_sidebar_summary_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:5:\"label\";s:27:\"Sidebar Summary Description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.sidebar_summary.field_sidebar_summary_image','a:16:{s:4:\"uuid\";s:36:\"528f7530-c05f-4abc-8732-bb7efabe051d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:56:\"field.storage.component_item.field_sidebar_summary_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:58:\"component_item.sidebar_summary.field_sidebar_summary_image\";s:10:\"field_name\";s:27:\"field_sidebar_summary_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:5:\"label\";s:21:\"Sidebar Summary Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.sidebar_summary.field_sidebar_summary_link','a:16:{s:4:\"uuid\";s:36:\"6c1b6a4a-b4c7-4cd3-800e-378e1dc4dfe8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:55:\"field.storage.component_item.field_sidebar_summary_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:57:\"component_item.sidebar_summary.field_sidebar_summary_link\";s:10:\"field_name\";s:26:\"field_sidebar_summary_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:15:\"sidebar_summary\";s:5:\"label\";s:20:\"Sidebar Summary Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.slideshow.field_captions','a:16:{s:4:\"uuid\";s:36:\"a0c92fbf-9ff6-4abd-9249-f3407c94edd0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:43:\"field.storage.component_item.field_captions\";}}s:2:\"id\";s:39:\"component_item.slideshow.field_captions\";s:10:\"field_name\";s:14:\"field_captions\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:5:\"label\";s:8:\"Captions\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.slideshow.field_hero_image','a:16:{s:4:\"uuid\";s:36:\"f8bcef93-7208-40ab-bf7b-080f715ec5d3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:45:\"field.storage.component_item.field_hero_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:41:\"component_item.slideshow.field_hero_image\";s:10:\"field_name\";s:16:\"field_hero_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:5:\"label\";s:10:\"Hero image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.slideshow.field_link','a:16:{s:4:\"uuid\";s:36:\"92359c87-5df8-4fe0-b1fa-2adc9b13d976\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:35:\"component_item.slideshow.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.slideshow.field_mobile_hero_image','a:16:{s:4:\"uuid\";s:36:\"afced62b-87fe-4724-ae32-61b42b394b05\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:52:\"field.storage.component_item.field_mobile_hero_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:48:\"component_item.slideshow.field_mobile_hero_image\";s:10:\"field_name\";s:23:\"field_mobile_hero_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:5:\"label\";s:17:\"Mobile Hero Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.slideshow.field_summary','a:16:{s:4:\"uuid\";s:36:\"0885a232-7240-4d22-bf8d-806a28703f60\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:42:\"field.storage.component_item.field_summary\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:38:\"component_item.slideshow.field_summary\";s:10:\"field_name\";s:13:\"field_summary\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:9:\"slideshow\";s:5:\"label\";s:7:\"Summary\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.component_item.slideshow_flexible.field_slideshow_flexible_date','a:16:{s:4:\"uuid\";s:36:\"2f8406c0-a35f-4800-b617-7a6e3e1d8d4c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:58:\"field.storage.component_item.field_slideshow_flexible_date\";}s:6:\"module\";a:1:{i:0;s:8:\"datetime\";}}s:2:\"id\";s:63:\"component_item.slideshow_flexible.field_slideshow_flexible_date\";s:10:\"field_name\";s:29:\"field_slideshow_flexible_date\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:18:\"slideshow_flexible\";s:5:\"label\";s:23:\"Slideshow Flexible Date\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:8:\"datetime\";}'),('','field.field.component_item.slideshow_flexible.field_slideshow_flexible_image','a:16:{s:4:\"uuid\";s:36:\"e7b98d93-c52f-4f0e-a118-377a68cbac53\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:59:\"field.storage.component_item.field_slideshow_flexible_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:64:\"component_item.slideshow_flexible.field_slideshow_flexible_image\";s:10:\"field_name\";s:30:\"field_slideshow_flexible_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:18:\"slideshow_flexible\";s:5:\"label\";s:24:\"Slideshow Flexible Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.slideshow_flexible.field_slideshow_flexible_link','a:16:{s:4:\"uuid\";s:36:\"9f043259-aefa-49ea-bd58-2fe6b087a1a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:58:\"field.storage.component_item.field_slideshow_flexible_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:63:\"component_item.slideshow_flexible.field_slideshow_flexible_link\";s:10:\"field_name\";s:29:\"field_slideshow_flexible_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:18:\"slideshow_flexible\";s:5:\"label\";s:23:\"Slideshow Flexible LInk\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.slideshow_flexible.field_slideshow_flexible_sdesc','a:16:{s:4:\"uuid\";s:36:\"9a54bb10-95f6-4ed6-a3e3-1ab7f0fc53a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:59:\"field.storage.component_item.field_slideshow_flexible_sdesc\";}}s:2:\"id\";s:64:\"component_item.slideshow_flexible.field_slideshow_flexible_sdesc\";s:10:\"field_name\";s:30:\"field_slideshow_flexible_sdesc\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:18:\"slideshow_flexible\";s:5:\"label\";s:24:\"Slideshow Flexible SDESC\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.statistic_bar.field_content_statistic_bar','a:16:{s:4:\"uuid\";s:36:\"1a376216-840b-4259-81e0-5fee12b65271\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.statistic_bar\";i:1;s:56:\"field.storage.component_item.field_content_statistic_bar\";}}s:2:\"id\";s:56:\"component_item.statistic_bar.field_content_statistic_bar\";s:10:\"field_name\";s:27:\"field_content_statistic_bar\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"statistic_bar\";s:5:\"label\";s:21:\"Content Statistic Bar\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.statistic_bar.field_statistic_bar_progress','a:16:{s:4:\"uuid\";s:36:\"305fe6c2-6d8a-4fa0-b4d7-0befa1ec4be9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:51:\"component_builder.component_item_type.statistic_bar\";i:1;s:60:\"component_builder.component_item_type.statistic_bar_progress\";i:2;s:57:\"field.storage.component_item.field_statistic_bar_progress\";}}s:2:\"id\";s:57:\"component_item.statistic_bar.field_statistic_bar_progress\";s:10:\"field_name\";s:28:\"field_statistic_bar_progress\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"statistic_bar\";s:5:\"label\";s:22:\"Statistic bar progress\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";}s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_item.statistic_bar_progress.field_process','a:16:{s:4:\"uuid\";s:36:\"b1c3cc17-6bcc-4506-a919-3845c2c09a8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:60:\"component_builder.component_item_type.statistic_bar_progress\";i:1;s:42:\"field.storage.component_item.field_process\";}}s:2:\"id\";s:51:\"component_item.statistic_bar_progress.field_process\";s:10:\"field_name\";s:13:\"field_process\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:22:\"statistic_bar_progress\";s:5:\"label\";s:7:\"process\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:4:{s:3:\"min\";N;s:3:\"max\";N;s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:3:\"\'%\'\";}s:10:\"field_type\";s:7:\"integer\";}'),('','field.field.component_item.statistic_bar_progress.field_sbp_color','a:16:{s:4:\"uuid\";s:36:\"d820fb67-2376-427c-840c-97accc98da48\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:60:\"component_builder.component_item_type.statistic_bar_progress\";i:1;s:44:\"field.storage.component_item.field_sbp_color\";}s:6:\"module\";a:1:{i:0;s:11:\"color_field\";}}s:2:\"id\";s:53:\"component_item.statistic_bar_progress.field_sbp_color\";s:10:\"field_name\";s:15:\"field_sbp_color\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:22:\"statistic_bar_progress\";s:5:\"label\";s:9:\"sbp_color\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:7:\"opacity\";i:1;}s:10:\"field_type\";s:16:\"color_field_type\";}'),('','field.field.component_item.summary_information.field_body','a:16:{s:4:\"uuid\";s:36:\"4829cbf8-87eb-4078-8616-d8e7546afc55\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:57:\"component_builder.component_item_type.summary_information\";i:1;s:39:\"field.storage.component_item.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:45:\"component_item.summary_information.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:19:\"summary_information\";s:5:\"label\";s:27:\"Summary Information Content\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.summary_information.field_image','a:16:{s:4:\"uuid\";s:36:\"af564e5a-c7af-4efa-ad94-cca1ea57f060\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:57:\"component_builder.component_item_type.summary_information\";i:1;s:40:\"field.storage.component_item.field_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:46:\"component_item.summary_information.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:19:\"summary_information\";s:5:\"label\";s:25:\"Summary Information Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.summary_information.field_link','a:16:{s:4:\"uuid\";s:36:\"0a879957-c9fb-4c67-953a-6aca1ce3e57f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:57:\"component_builder.component_item_type.summary_information\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:45:\"component_item.summary_information.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:19:\"summary_information\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.table.field_table_columns','a:16:{s:4:\"uuid\";s:36:\"1f511d0f-deec-4ca0-bba3-110160fa629e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:43:\"component_builder.component_item_type.table\";i:1;s:50:\"component_builder.component_item_type.table_column\";i:2;s:48:\"field.storage.component_item.field_table_columns\";}}s:2:\"id\";s:40:\"component_item.table.field_table_columns\";s:10:\"field_name\";s:19:\"field_table_columns\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:5:\"table\";s:5:\"label\";s:13:\"Table columns\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:12:\"table_column\";s:12:\"table_column\";}s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_item.table_column.field_cells','a:16:{s:4:\"uuid\";s:36:\"d7122fc3-1ba8-4ee0-a10a-3ecf4990475e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:50:\"component_builder.component_item_type.table_column\";i:1;s:40:\"field.storage.component_item.field_cells\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:39:\"component_item.table_column.field_cells\";s:10:\"field_name\";s:11:\"field_cells\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:12:\"table_column\";s:5:\"label\";s:5:\"Cells\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"text\";}'),('','field.field.component_item.testimonial.field_description_information','a:16:{s:4:\"uuid\";s:36:\"44a85cb2-1969-4a67-8d4a-4bedd43dd1db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:58:\"field.storage.component_item.field_description_information\";}}s:2:\"id\";s:56:\"component_item.testimonial.field_description_information\";s:10:\"field_name\";s:29:\"field_description_information\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"testimonial\";s:5:\"label\";s:23:\"Description Information\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.testimonial.field_image','a:16:{s:4:\"uuid\";s:36:\"9af29c65-1dd0-49ee-ac21-18eca0968cb0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:40:\"field.storage.component_item.field_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:38:\"component_item.testimonial.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"testimonial\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.testimonial.field_information','a:16:{s:4:\"uuid\";s:36:\"9dc4fcf4-887e-4b93-9aba-f70c0b472650\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:46:\"field.storage.component_item.field_information\";}}s:2:\"id\";s:44:\"component_item.testimonial.field_information\";s:10:\"field_name\";s:17:\"field_information\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"testimonial\";s:5:\"label\";s:11:\"Information\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.component_item.testimonial.field_quote','a:16:{s:4:\"uuid\";s:36:\"b7f7d177-b66f-4edb-930c-f8e82811f0e3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:40:\"field.storage.component_item.field_quote\";}}s:2:\"id\";s:38:\"component_item.testimonial.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:11:\"testimonial\";s:5:\"label\";s:5:\"Quote\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.component_item.timeline.field_ti_left','a:16:{s:4:\"uuid\";s:36:\"6f8f0e47-4948-4afe-8aba-14137aff3130\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:46:\"component_builder.component_item_type.timeline\";i:1;s:51:\"component_builder.component_item_type.timeline_item\";i:2;s:42:\"field.storage.component_item.field_ti_left\";}}s:2:\"id\";s:37:\"component_item.timeline.field_ti_left\";s:10:\"field_name\";s:13:\"field_ti_left\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"timeline\";s:5:\"label\";s:18:\"Timeline Item Left\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:8:\"timeline\";}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_item.timeline.field_ti_right','a:16:{s:4:\"uuid\";s:36:\"86e1a0a4-620f-4f71-ae2c-cb96e554ab36\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:46:\"component_builder.component_item_type.timeline\";i:1;s:51:\"component_builder.component_item_type.timeline_item\";i:2;s:43:\"field.storage.component_item.field_ti_right\";}}s:2:\"id\";s:38:\"component_item.timeline.field_ti_right\";s:10:\"field_name\";s:14:\"field_ti_right\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:8:\"timeline\";s:5:\"label\";s:19:\"Timeline Item Right\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:13:\"timeline_item\";}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_item.timeline_item.field_ti_body','a:16:{s:4:\"uuid\";s:36:\"490ce3bf-ac09-43bc-b813-046cd3494015\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:42:\"field.storage.component_item.field_ti_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:42:\"component_item.timeline_item.field_ti_body\";s:10:\"field_name\";s:13:\"field_ti_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.component_item.timeline_item.field_ti_icon','a:16:{s:4:\"uuid\";s:36:\"8bd3bbd0-993d-46e7-81f1-405550334950\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:42:\"field.storage.component_item.field_ti_icon\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.timeline_item.field_ti_icon\";s:10:\"field_name\";s:13:\"field_ti_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:5:\"label\";s:4:\"Icon\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.timeline_item.field_ti_image','a:16:{s:4:\"uuid\";s:36:\"1f764215-a26e-4f71-8146-982e806147ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:43:\"field.storage.component_item.field_ti_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:43:\"component_item.timeline_item.field_ti_image\";s:10:\"field_name\";s:14:\"field_ti_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.timeline_item.field_ti_link','a:16:{s:4:\"uuid\";s:36:\"de3a2c65-72da-4f08-9b37-c604e14756b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:42:\"field.storage.component_item.field_ti_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:42:\"component_item.timeline_item.field_ti_link\";s:10:\"field_name\";s:13:\"field_ti_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_item.timeline_item.field_ti_video','a:16:{s:4:\"uuid\";s:36:\"7059a0a7-8247-4039-a843-b88afe49c644\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:43:\"field.storage.component_item.field_ti_video\";}s:6:\"module\";a:1:{i:0;s:17:\"video_embed_field\";}}s:2:\"id\";s:43:\"component_item.timeline_item.field_ti_video\";s:10:\"field_name\";s:14:\"field_ti_video\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:5:\"label\";s:5:\"Video\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:17:\"allowed_providers\";a:3:{s:7:\"youtube\";s:7:\"youtube\";s:16:\"youtube_playlist\";s:16:\"youtube_playlist\";s:5:\"vimeo\";s:5:\"vimeo\";}}s:10:\"field_type\";s:17:\"video_embed_field\";}'),('','field.field.component_item.timeline_item.field_type','a:16:{s:4:\"uuid\";s:36:\"e2aa01d9-4a44-4847-b46c-c03e0075b4cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";i:1;s:39:\"field.storage.component_item.field_type\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:39:\"component_item.timeline_item.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"timeline_item\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}'),('','field.field.component_item.topic_summary.field_body','a:16:{s:4:\"uuid\";s:36:\"db1d4ba2-f268-44f1-b9a7-d4f1fda49681\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:39:\"field.storage.component_item.field_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:39:\"component_item.topic_summary.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:5:\"label\";s:18:\"Topic Summary Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.component_item.topic_summary.field_image','a:16:{s:4:\"uuid\";s:36:\"2e2c4aa1-d944-43b5-b680-6547a79bc9ad\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:40:\"field.storage.component_item.field_image\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:40:\"component_item.topic_summary.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:5:\"label\";s:19:\"Topic Summary Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.component_item.topic_summary.field_link','a:16:{s:4:\"uuid\";s:36:\"7968d05f-ebae-42d9-8f94-6155749b8470\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:39:\"field.storage.component_item.field_link\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:39:\"component_item.topic_summary.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";s:13:\"topic_summary\";s:5:\"label\";s:18:\"Topic Summary Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.component_wrapper.component_wrapper.field_accordion','a:16:{s:4:\"uuid\";s:36:\"e5000c2b-35c7-4298-93e7-64e91bb2f784\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.accordion\";i:1;s:47:\"field.storage.component_wrapper.field_accordion\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:51:\"component_wrapper.component_wrapper.field_accordion\";s:10:\"field_name\";s:15:\"field_accordion\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:15:\"Accordion Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:9:\"accordion\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_article_summary','a:16:{s:4:\"uuid\";s:36:\"20897d83-056d-4349-a668-d9219afa5bd6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.article_summary\";i:1;s:53:\"field.storage.component_wrapper.field_article_summary\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:57:\"component_wrapper.component_wrapper.field_article_summary\";s:10:\"field_name\";s:21:\"field_article_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:21:\"Article Summary Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"article_summary\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_banner_grid','a:16:{s:4:\"uuid\";s:36:\"a8c22fc8-e675-4526-b9b0-aa916c288233\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.banner_grid\";i:1;s:49:\"field.storage.component_wrapper.field_banner_grid\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:53:\"component_wrapper.component_wrapper.field_banner_grid\";s:10:\"field_name\";s:17:\"field_banner_grid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:17:\"Banner Grid Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:11:\"banner_grid\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_basic_component','a:16:{s:4:\"uuid\";s:36:\"a1af3509-803c-463b-9c55-56c6d33a6e7d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.basic_component\";i:1;s:53:\"field.storage.component_wrapper.field_basic_component\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:57:\"component_wrapper.component_wrapper.field_basic_component\";s:10:\"field_name\";s:21:\"field_basic_component\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:21:\"Basic component Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"basic_component\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_card','a:16:{s:4:\"uuid\";s:36:\"f48a5394-c649-474b-9eb5-8dbb8672cb7e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.card\";i:1;s:42:\"field.storage.component_wrapper.field_card\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:46:\"component_wrapper.component_wrapper.field_card\";s:10:\"field_name\";s:10:\"field_card\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:10:\"Card Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:4:\"card\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_carousel','a:16:{s:4:\"uuid\";s:36:\"7fb4f443-67fb-437e-89a9-e4f109cd1ddb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:46:\"component_builder.component_item_type.carousel\";i:1;s:46:\"field.storage.component_wrapper.field_carousel\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:50:\"component_wrapper.component_wrapper.field_carousel\";s:10:\"field_name\";s:14:\"field_carousel\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:14:\"Carousel Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:8:\"carousel\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_classified_ads','a:16:{s:4:\"uuid\";s:36:\"f3f0a9b2-6fb0-46a0-8172-f225bcb76eb2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:52:\"component_builder.component_item_type.classified_ads\";i:1;s:52:\"field.storage.component_wrapper.field_classified_ads\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:56:\"component_wrapper.component_wrapper.field_classified_ads\";s:10:\"field_name\";s:20:\"field_classified_ads\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:20:\"Classified Ads Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:14:\"classified_ads\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_counter','a:16:{s:4:\"uuid\";s:36:\"803376bd-ebbd-4fc3-9035-90eee932ea58\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:45:\"component_builder.component_item_type.counter\";i:1;s:45:\"field.storage.component_wrapper.field_counter\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:49:\"component_wrapper.component_wrapper.field_counter\";s:10:\"field_name\";s:13:\"field_counter\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:13:\"Counter Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:7:\"counter\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_divider_section','a:16:{s:4:\"uuid\";s:36:\"03c9d9fd-a9b1-492b-add9-244e063cbdbf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.divider_section\";i:1;s:53:\"field.storage.component_wrapper.field_divider_section\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:57:\"component_wrapper.component_wrapper.field_divider_section\";s:10:\"field_name\";s:21:\"field_divider_section\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:21:\"Divider Section Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"divider_section\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_grid','a:16:{s:4:\"uuid\";s:36:\"900f12e4-b1dc-427c-8ecb-6ffb236ce0de\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:42:\"component_builder.component_item_type.grid\";i:1;s:42:\"field.storage.component_wrapper.field_grid\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:46:\"component_wrapper.component_wrapper.field_grid\";s:10:\"field_name\";s:10:\"field_grid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:10:\"Grid Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:4:\"grid\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_grid_carousel','a:16:{s:4:\"uuid\";s:36:\"f6f7810a-702e-4e6b-a73d-6b95eec1255f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";i:1;s:51:\"field.storage.component_wrapper.field_grid_carousel\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:55:\"component_wrapper.component_wrapper.field_grid_carousel\";s:10:\"field_name\";s:19:\"field_grid_carousel\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:19:\"Grid Carousel Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:13:\"grid_carousel\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_horizontal_push_image','a:16:{s:4:\"uuid\";s:36:\"4d91aad3-c058-48c4-b102-807029cb3d2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";i:1;s:59:\"field.storage.component_wrapper.field_horizontal_push_image\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:63:\"component_wrapper.component_wrapper.field_horizontal_push_image\";s:10:\"field_name\";s:27:\"field_horizontal_push_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:27:\"Horizontal push image Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:21:\"horizontal_push_image\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_push_image','a:16:{s:4:\"uuid\";s:36:\"e2d0db7b-580b-4200-b705-0f3cfa64d53b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_image\";i:1;s:48:\"field.storage.component_wrapper.field_push_image\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:52:\"component_wrapper.component_wrapper.field_push_image\";s:10:\"field_name\";s:16:\"field_push_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:16:\"Push image Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:10:\"push_image\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_push_video','a:16:{s:4:\"uuid\";s:36:\"88ceed68-1ea2-495a-aea4-49aff3f5059d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"component_builder.component_item_type.push_video\";i:1;s:48:\"field.storage.component_wrapper.field_push_video\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:52:\"component_wrapper.component_wrapper.field_push_video\";s:10:\"field_name\";s:16:\"field_push_video\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:16:\"Push Video Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:10:\"push_video\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_quote','a:16:{s:4:\"uuid\";s:36:\"0d0daa6e-259a-40af-a041-fb136b15f77b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.quote\";i:1;s:43:\"field.storage.component_wrapper.field_quote\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:47:\"component_wrapper.component_wrapper.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:11:\"Quote Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:5:\"quote\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_related_content','a:16:{s:4:\"uuid\";s:36:\"796f1371-9d91-4533-96c5-b810ab9d0a93\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.related_content\";i:1;s:53:\"field.storage.component_wrapper.field_related_content\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:57:\"component_wrapper.component_wrapper.field_related_content\";s:10:\"field_name\";s:21:\"field_related_content\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:21:\"Related Content Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"related_content\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_service_block','a:16:{s:4:\"uuid\";s:36:\"9f1b6040-3670-4082-8156-7c784522547c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.service_block\";i:1;s:51:\"field.storage.component_wrapper.field_service_block\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:55:\"component_wrapper.component_wrapper.field_service_block\";s:10:\"field_name\";s:19:\"field_service_block\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:19:\"Service Block Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:13:\"service_block\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_sidebar_link_text','a:16:{s:4:\"uuid\";s:36:\"fbcabbbe-8679-4bc7-8bd2-b4af4986dcc0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:55:\"component_builder.component_item_type.sidebar_link_text\";i:1;s:55:\"field.storage.component_wrapper.field_sidebar_link_text\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:59:\"component_wrapper.component_wrapper.field_sidebar_link_text\";s:10:\"field_name\";s:23:\"field_sidebar_link_text\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:23:\"Sidebar Link Text Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:17:\"sidebar_link_text\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_sidebar_service','a:16:{s:4:\"uuid\";s:36:\"5b94f4ea-3a21-4806-9d8e-f140844159f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_service\";i:1;s:53:\"field.storage.component_wrapper.field_sidebar_service\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:57:\"component_wrapper.component_wrapper.field_sidebar_service\";s:10:\"field_name\";s:21:\"field_sidebar_service\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:21:\"Sidebar Service Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"sidebar_service\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_sidebar_summary','a:16:{s:4:\"uuid\";s:36:\"9007ee5e-d27a-4c3c-9a47-187edea44167\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";i:1;s:53:\"field.storage.component_wrapper.field_sidebar_summary\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:57:\"component_wrapper.component_wrapper.field_sidebar_summary\";s:10:\"field_name\";s:21:\"field_sidebar_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:21:\"Sidebar Summary Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"sidebar_summary\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_slideshow','a:16:{s:4:\"uuid\";s:36:\"0294f4ae-4d39-4656-b1b9-0aeeb4953189\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:47:\"component_builder.component_item_type.slideshow\";i:1;s:47:\"field.storage.component_wrapper.field_slideshow\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:51:\"component_wrapper.component_wrapper.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:15:\"Slideshow Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:9:\"slideshow\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_slideshow_flexible','a:16:{s:4:\"uuid\";s:36:\"b646dfb7-75d9-4fe8-8dcd-788427e358ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";i:1;s:56:\"field.storage.component_wrapper.field_slideshow_flexible\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:60:\"component_wrapper.component_wrapper.field_slideshow_flexible\";s:10:\"field_name\";s:24:\"field_slideshow_flexible\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:24:\"Slideshow Flexible Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:18:\"slideshow_flexible\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_statistic_bar','a:16:{s:4:\"uuid\";s:36:\"08844cc0-6a2f-4094-b36c-56efdc5a0953\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.statistic_bar\";i:1;s:51:\"field.storage.component_wrapper.field_statistic_bar\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:55:\"component_wrapper.component_wrapper.field_statistic_bar\";s:10:\"field_name\";s:19:\"field_statistic_bar\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:19:\"Statistic bar Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:13:\"statistic_bar\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_summary_information','a:16:{s:4:\"uuid\";s:36:\"8414aef7-f619-4a35-b86e-f73e98710dea\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:57:\"component_builder.component_item_type.summary_information\";i:1;s:57:\"field.storage.component_wrapper.field_summary_information\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:61:\"component_wrapper.component_wrapper.field_summary_information\";s:10:\"field_name\";s:25:\"field_summary_information\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:25:\"Summary Information Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:19:\"summary_information\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_table','a:16:{s:4:\"uuid\";s:36:\"8a6f2343-f102-4fe4-b98e-2d4d9e519fe6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:43:\"component_builder.component_item_type.table\";i:1;s:43:\"field.storage.component_wrapper.field_table\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:47:\"component_wrapper.component_wrapper.field_table\";s:10:\"field_name\";s:11:\"field_table\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:11:\"Table Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:5:\"table\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_testimonial','a:16:{s:4:\"uuid\";s:36:\"eb198ad3-03b5-4be2-bec5-27678b894149\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:49:\"component_builder.component_item_type.testimonial\";i:1;s:49:\"field.storage.component_wrapper.field_testimonial\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:53:\"component_wrapper.component_wrapper.field_testimonial\";s:10:\"field_name\";s:17:\"field_testimonial\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:17:\"Testimonial Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:11:\"testimonial\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_timeline','a:16:{s:4:\"uuid\";s:36:\"e73eb89e-ce4c-4286-accc-46fb721a281e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:46:\"component_builder.component_item_type.timeline\";i:1;s:46:\"field.storage.component_wrapper.field_timeline\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:50:\"component_wrapper.component_wrapper.field_timeline\";s:10:\"field_name\";s:14:\"field_timeline\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:14:\"Timeline Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:8:\"timeline\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.component_wrapper.component_wrapper.field_topic_summary','a:16:{s:4:\"uuid\";s:36:\"9dc8be1d-b494-4b9d-aef4-4fa8b279515b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";i:1;s:51:\"field.storage.component_wrapper.field_topic_summary\";}s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:55:\"component_wrapper.component_wrapper.field_topic_summary\";s:10:\"field_name\";s:19:\"field_topic_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";s:5:\"label\";s:19:\"Topic Summary Items\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:22:\"default:component_item\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:13:\"topic_summary\";}}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.article.body','a:16:{s:4:\"uuid\";s:36:\"d42ecfb1-7655-479e-a008-082da024aed7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:17:\"node.article.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.article.comment','a:16:{s:4:\"uuid\";s:36:\"70372816-0d66-4ae8-822b-4333d0c1892c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:20:\"node.article.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.article.field_image','a:16:{s:4:\"uuid\";s:36:\"f3ba8379-e31b-47c4-8d00-a09ea64c3008\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:24:\"node.article.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.article.field_tags','a:16:{s:4:\"uuid\";s:36:\"7a4455a5-833a-4144-8738-5643cc061dc1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:17:\"node.type.article\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:23:\"node.article.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:84:\"Enter a comma-separated list. For example: Amsterdam, Mexico City, \"Cleveland, Ohio\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.body','a:16:{s:4:\"uuid\";s:36:\"53ce8332-1ca3-4310-9b5d-93b0252605a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.blog.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.blog.comment','a:16:{s:4:\"uuid\";s:36:\"bf5e65c9-10a6-41c6-a24d-770b446ce18e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:17:\"node.blog.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.blog.field_category','a:16:{s:4:\"uuid\";s:36:\"128a0472-c2f3-4570-8300-af64f9c4c845\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:33:\"field.storage.node.field_category\";i:1;s:14:\"node.type.blog\";i:2;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:24:\"node.blog.field_category\";s:10:\"field_name\";s:14:\"field_category\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:8:\"Category\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.field_image','a:17:{s:4:\"uuid\";s:36:\"31b5a894-b004-42bf-9e00-afc9fdbc9325\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:21:\"node.blog.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.blog.field_tags','a:16:{s:4:\"uuid\";s:36:\"3954f698-32a9-4b9d-9b4b-75c1738baf02\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:14:\"node.type.blog\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:20:\"node.blog.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.field_video_link','a:16:{s:4:\"uuid\";s:36:\"d177849b-3e79-4ed8-a800-bdd89dcb3399\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_video_link\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:26:\"node.blog.field_video_link\";s:10:\"field_name\";s:16:\"field_video_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:10:\"Video Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.node.forum.body','a:16:{s:4:\"uuid\";s:36:\"d855e280-a181-4352-b100-eafa64b4e891\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:15:\"node.forum.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.forum.comment_forum','a:16:{s:4:\"uuid\";s:36:\"e2cd90ea-8bd6-412c-8a1f-313c0f8b2c3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.comment_forum\";i:1;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:24:\"node.forum.comment_forum\";s:10:\"field_name\";s:13:\"comment_forum\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:0;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.forum.taxonomy_forums','a:16:{s:4:\"uuid\";s:36:\"f959a7d5-81d2-4a57-8409-9bc24ae3d31f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:34:\"field.storage.node.taxonomy_forums\";i:1;s:15:\"node.type.forum\";i:2;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:26:\"node.forum.taxonomy_forums\";s:10:\"field_name\";s:15:\"taxonomy_forums\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:6:\"Forums\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:6:\"forums\";s:6:\"forums\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.page.body','a:16:{s:4:\"uuid\";s:36:\"eb14539d-5149-49a3-a105-5b8415181203\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.page.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.page.field_components','a:16:{s:4:\"uuid\";s:36:\"1cad4593-7829-457d-b8fc-94831dceafca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_components\";i:1;s:14:\"node.type.page\";}}s:2:\"id\";s:26:\"node.page.field_components\";s:10:\"field_name\";s:16:\"field_components\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:10:\"Components\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:25:\"default:component_wrapper\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";N;s:4:\"sort\";a:2:{s:5:\"field\";s:5:\"_none\";s:9:\"direction\";s:3:\"ASC\";}s:11:\"auto_create\";b:0;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.showcase.body','a:16:{s:4:\"uuid\";s:36:\"fc351a74-1f79-42b8-b01c-285b34f1d3e9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:18:\"node.showcase.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.showcase.field_image','a:16:{s:4:\"uuid\";s:36:\"484d0718-9e05-4d9c-a64c-76c7dc2c696b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:25:\"node.showcase.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:20:\"field/image/showcase\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.showcase.field_link','a:16:{s:4:\"uuid\";s:36:\"cad45963-8947-4848-8e02-2dc33ce100c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:24:\"node.showcase.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.node.simplenews_issue.body','a:16:{s:4:\"uuid\";s:36:\"7f9a9ff4-b412-4a16-8c02-2bf47b0a4ceb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:26:\"node.simplenews_issue.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.simplenews_issue.simplenews_issue','a:16:{s:4:\"uuid\";s:36:\"a78b9f53-18e6-4cad-9562-98b84b7edf83\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.simplenews_issue\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:38:\"node.simplenews_issue.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:9:\"target_id\";s:7:\"default\";s:7:\"handler\";s:14:\"simplenews_all\";s:16:\"handler_settings\";a:0:{}s:6:\"status\";i:0;s:10:\"sent_count\";i:0;s:11:\"subscribers\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:0:{}}}s:10:\"field_type\";s:16:\"simplenews_issue\";}'),('','field.field.taxonomy_term.categories.field_image','a:16:{s:4:\"uuid\";s:36:\"611418e9-9dce-485b-8256-86d21d0c4613\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:36:\"taxonomy_term.categories.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.taxonomy_term.forums.forum_container','a:16:{s:4:\"uuid\";s:36:\"6f6a5092-173d-44d4-8c00-ee36fe1c8222\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:43:\"field.storage.taxonomy_term.forum_container\";i:1;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:36:\"taxonomy_term.forums.forum_container\";s:10:\"field_name\";s:15:\"forum_container\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:9:\"Container\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:3:\"Yes\";s:9:\"off_label\";s:2:\"No\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','field.field.user.user.user_picture','a:16:{s:4:\"uuid\";s:36:\"99445da3-dda1-42f9-8d01-1ad860f82981\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:22:\"user.user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Picture\";s:11:\"description\";s:29:\"Your virtual face or picture.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:5:\"30 KB\";s:14:\"max_resolution\";s:5:\"85x85\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:10:\"field_type\";s:5:\"image\";}'),('','field.settings','a:1:{s:16:\"purge_batch_size\";i:50;}'),('','field.storage.block_content.body','a:16:{s:4:\"uuid\";s:36:\"3d354244-c393-4078-b73e-6288a45e6101\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:2:\"id\";s:18:\"block_content.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.comment.comment_body','a:16:{s:4:\"uuid\";s:36:\"a0c95dfd-eefb-4340-a535-530e96af7242\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:2:\"id\";s:20:\"comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_address','a:16:{s:4:\"uuid\";s:36:\"29649109-de2f-43e3-953b-a60877312e98\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:31:\"component_item.field_as_address\";s:10:\"field_name\";s:16:\"field_as_address\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_country','a:16:{s:4:\"uuid\";s:36:\"3e45b49a-7497-41c8-9fe0-ef35c448737f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:31:\"component_item.field_as_country\";s:10:\"field_name\";s:16:\"field_as_country\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_date_of_establishment','a:16:{s:4:\"uuid\";s:36:\"9963b3ad-9973-4733-b4f3-0a07939b2d1b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:45:\"component_item.field_as_date_of_establishment\";s:10:\"field_name\";s:30:\"field_as_date_of_establishment\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_description','a:16:{s:4:\"uuid\";s:36:\"d69cd62b-e070-443e-931c-2fb65467b8ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_item.field_as_description\";s:10:\"field_name\";s:20:\"field_as_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_image','a:16:{s:4:\"uuid\";s:36:\"0df357f9-9000-4d10-a1d5-b95ca58ad347\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_as_image\";s:10:\"field_name\";s:14:\"field_as_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_link','a:16:{s:4:\"uuid\";s:36:\"3e64ac45-b787-4b8c-bd29-a4c756766c32\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_as_link\";s:10:\"field_name\";s:13:\"field_as_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_as_opening_hours','a:16:{s:4:\"uuid\";s:36:\"f237390d-1b71-4d34-989e-b25083742132\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_item.field_as_opening_hours\";s:10:\"field_name\";s:22:\"field_as_opening_hours\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_body','a:16:{s:4:\"uuid\";s:36:\"2af0b498-1eda-4d91-b1f2-7e701bf27734\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:25:\"component_item.field_body\";s:10:\"field_name\";s:10:\"field_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_captions','a:16:{s:4:\"uuid\";s:36:\"ddbeb4e2-40fb-4f77-ba33-1479e6f4958a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_item.field_captions\";s:10:\"field_name\";s:14:\"field_captions\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_card_body','a:16:{s:4:\"uuid\";s:36:\"38ffb927-b300-4e20-b658-f929679ada4d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:30:\"component_item.field_card_body\";s:10:\"field_name\";s:15:\"field_card_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_card_color','a:16:{s:4:\"uuid\";s:36:\"0ceafd0a-ac62-4625-9657-4ae96581b3dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:2:\"id\";s:31:\"component_item.field_card_color\";s:10:\"field_name\";s:16:\"field_card_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:5:{i:0;a:2:{s:5:\"value\";s:6:\"purple\";s:5:\"label\";s:6:\"Purple\";}i:1;a:2:{s:5:\"value\";s:6:\"orange\";s:5:\"label\";s:6:\"Orange\";}i:2;a:2:{s:5:\"value\";s:5:\"green\";s:5:\"label\";s:5:\"Green\";}i:3;a:2:{s:5:\"value\";s:6:\"yellow\";s:5:\"label\";s:6:\"Yellow\";}i:4;a:2:{s:5:\"value\";s:4:\"blue\";s:5:\"label\";s:4:\"Blue\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_card_icon','a:16:{s:4:\"uuid\";s:36:\"e0e0f150-60e3-4847-a845-289a3f8b4956\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:30:\"component_item.field_card_icon\";s:10:\"field_name\";s:15:\"field_card_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_card_link','a:16:{s:4:\"uuid\";s:36:\"f00e1e48-2ce6-46dd-a4fa-4747b65c213d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:30:\"component_item.field_card_link\";s:10:\"field_name\";s:15:\"field_card_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_cells','a:16:{s:4:\"uuid\";s:36:\"b761d1a0-b698-4d91-8bed-62a95e5fe05d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:26:\"component_item.field_cells\";s:10:\"field_name\";s:11:\"field_cells\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"text\";s:8:\"settings\";a:1:{s:10:\"max_length\";i:255;}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_classified_ads_image','a:16:{s:4:\"uuid\";s:36:\"a6dfe7e3-7776-48f6-8174-9bf2aeea4854\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:41:\"component_item.field_classified_ads_image\";s:10:\"field_name\";s:26:\"field_classified_ads_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_classified_ads_text','a:16:{s:4:\"uuid\";s:36:\"a949f6b4-5ac8-405a-84ff-7c09dd7bc66e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:40:\"component_item.field_classified_ads_text\";s:10:\"field_name\";s:25:\"field_classified_ads_text\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_content_statistic_bar','a:16:{s:4:\"uuid\";s:36:\"aa3f583c-4227-4142-b163-9eedafa87b3c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_item.field_content_statistic_bar\";s:10:\"field_name\";s:27:\"field_content_statistic_bar\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_counter_image','a:16:{s:4:\"uuid\";s:36:\"3e48c0cd-cbbd-4843-9cd7-28dc7a9dbfc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:34:\"component_item.field_counter_image\";s:10:\"field_name\";s:19:\"field_counter_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_counter_number','a:16:{s:4:\"uuid\";s:36:\"064e4341-d78d-4183-9f6c-7d6feb435228\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_item.field_counter_number\";s:10:\"field_name\";s:20:\"field_counter_number\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:7:\"integer\";s:8:\"settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_date','a:16:{s:4:\"uuid\";s:36:\"b119dd22-b72c-4419-8dc6-48e357cb07d8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:25:\"component_item.field_date\";s:10:\"field_name\";s:10:\"field_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_description','a:16:{s:4:\"uuid\";s:36:\"e0defae0-36de-41f7-83f6-d5480cc3108d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:32:\"component_item.field_description\";s:10:\"field_name\";s:17:\"field_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_description_information','a:16:{s:4:\"uuid\";s:36:\"b5753c99-7e2b-44d4-afc3-f667c5f579b0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:44:\"component_item.field_description_information\";s:10:\"field_name\";s:29:\"field_description_information\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_divider_section_color','a:16:{s:4:\"uuid\";s:36:\"fc08a9e3-2a76-475d-8bb8-52d53df85011\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_item.field_divider_section_color\";s:10:\"field_name\";s:27:\"field_divider_section_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"color_field_type\";s:8:\"settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:6:\"module\";s:11:\"color_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_divider_section_desc','a:16:{s:4:\"uuid\";s:36:\"13277562-7e47-4f7b-bfc0-1de5e0af4c8b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_item.field_divider_section_desc\";s:10:\"field_name\";s:26:\"field_divider_section_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_divider_section_image','a:16:{s:4:\"uuid\";s:36:\"769afb6e-740d-473b-b0a2-12f59b58b8a6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.field_divider_section_image\";s:10:\"field_name\";s:27:\"field_divider_section_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_gc_date','a:16:{s:4:\"uuid\";s:36:\"2f441837-fe29-4737-8c1c-877c554fdc77\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:28:\"component_item.field_gc_date\";s:10:\"field_name\";s:13:\"field_gc_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_gc_description','a:16:{s:4:\"uuid\";s:36:\"247c5671-a349-4094-928c-c4e07eb5d86f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:35:\"component_item.field_gc_description\";s:10:\"field_name\";s:20:\"field_gc_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_gc_image','a:16:{s:4:\"uuid\";s:36:\"47a7966e-0272-4534-9176-ea2a6c980d7d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_gc_image\";s:10:\"field_name\";s:14:\"field_gc_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_gc_link','a:16:{s:4:\"uuid\";s:36:\"c4733456-7beb-4319-9290-76ff7bc82374\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_gc_link\";s:10:\"field_name\";s:13:\"field_gc_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_grid_date','a:16:{s:4:\"uuid\";s:36:\"fa1a769e-672f-4acc-b68f-ba3d95c6e639\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:30:\"component_item.field_grid_date\";s:10:\"field_name\";s:15:\"field_grid_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_hero_image','a:16:{s:4:\"uuid\";s:36:\"4efd9db0-acd7-4fef-9953-b722aa44eca0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:31:\"component_item.field_hero_image\";s:10:\"field_name\";s:16:\"field_hero_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_hpi_image','a:16:{s:4:\"uuid\";s:36:\"ebcd0742-9d35-419d-8a26-d22939c478ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:30:\"component_item.field_hpi_image\";s:10:\"field_name\";s:15:\"field_hpi_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_icon','a:16:{s:4:\"uuid\";s:36:\"b4b9461a-ead6-4667-b348-ac386dc77c61\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:25:\"component_item.field_icon\";s:10:\"field_name\";s:10:\"field_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_image','a:16:{s:4:\"uuid\";s:36:\"8da319df-3752-41c3-acae-5cab6bdba54c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:26:\"component_item.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_information','a:16:{s:4:\"uuid\";s:36:\"25865b85-1eb3-488c-9e76-5203d24856b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:32:\"component_item.field_information\";s:10:\"field_name\";s:17:\"field_information\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_large_image','a:16:{s:4:\"uuid\";s:36:\"4e39385c-2822-4720-bbea-0e625958fee0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:32:\"component_item.field_large_image\";s:10:\"field_name\";s:17:\"field_large_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_link','a:16:{s:4:\"uuid\";s:36:\"19453461-238e-4a8b-b18b-50baa27f81ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:25:\"component_item.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_mobile_hero_image','a:16:{s:4:\"uuid\";s:36:\"3c8e6a52-d7d7-4e25-88b1-fe2a8c31e8a7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:38:\"component_item.field_mobile_hero_image\";s:10:\"field_name\";s:23:\"field_mobile_hero_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pi_body','a:16:{s:4:\"uuid\";s:36:\"9e7b41e1-2339-43da-a3f5-af6ff15eb406\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_pi_body\";s:10:\"field_name\";s:13:\"field_pi_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pi_image','a:16:{s:4:\"uuid\";s:36:\"e6681696-99e7-41ae-81f0-07605b47b599\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_pi_image\";s:10:\"field_name\";s:14:\"field_pi_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pi_link','a:16:{s:4:\"uuid\";s:36:\"687b0a24-ad3e-4eb5-a685-acbddf6b07cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_pi_link\";s:10:\"field_name\";s:13:\"field_pi_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_process','a:16:{s:4:\"uuid\";s:36:\"c7305801-a2b8-49d5-a395-bcae249c13fb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_item.field_process\";s:10:\"field_name\";s:13:\"field_process\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:7:\"integer\";s:8:\"settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pv_body','a:16:{s:4:\"uuid\";s:36:\"619be666-5172-48ad-aab2-ffd9c882408a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_pv_body\";s:10:\"field_name\";s:13:\"field_pv_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pv_display','a:16:{s:4:\"uuid\";s:36:\"f1317a3e-8da7-4077-9aaf-857d8768a5e2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:2:\"id\";s:31:\"component_item.field_pv_display\";s:10:\"field_name\";s:16:\"field_pv_display\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:2:{i:0;a:2:{s:5:\"value\";s:11:\"video_embed\";s:5:\"label\";s:11:\"Video Embed\";}i:1;a:2:{s:5:\"value\";s:10:\"video_file\";s:5:\"label\";s:10:\"Video File\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pv_embed_video','a:16:{s:4:\"uuid\";s:36:\"4f57c952-1b2f-4a58-8b79-4db7ce93edf0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:2:\"id\";s:35:\"component_item.field_pv_embed_video\";s:10:\"field_name\";s:20:\"field_pv_embed_video\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"video_embed_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pv_link','a:16:{s:4:\"uuid\";s:36:\"9faac48c-0616-4991-8552-fa73654bf547\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_pv_link\";s:10:\"field_name\";s:13:\"field_pv_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_pv_video_file','a:16:{s:4:\"uuid\";s:36:\"cef29921-f15f-4a7b-855d-314603639f52\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";}}s:2:\"id\";s:34:\"component_item.field_pv_video_file\";s:10:\"field_name\";s:19:\"field_pv_video_file\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"file\";s:8:\"settings\";a:4:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";}s:6:\"module\";s:4:\"file\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_quote','a:16:{s:4:\"uuid\";s:36:\"88c7118b-2a64-4b0b-8afd-bfa7c50dce23\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:26:\"component_item.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_quote_description_infor','a:16:{s:4:\"uuid\";s:36:\"00a3013b-7b5d-4fef-9805-c21e6eb7b986\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:44:\"component_item.field_quote_description_infor\";s:10:\"field_name\";s:29:\"field_quote_description_infor\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_quote_image','a:16:{s:4:\"uuid\";s:36:\"997a6fa0-bbc6-48b2-82b5-08b62e31d98a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:32:\"component_item.field_quote_image\";s:10:\"field_name\";s:17:\"field_quote_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_quote_information','a:16:{s:4:\"uuid\";s:36:\"58065421-cde4-4347-88f5-b7d5a2d6c559\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:38:\"component_item.field_quote_information\";s:10:\"field_name\";s:23:\"field_quote_information\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_rc_body','a:16:{s:4:\"uuid\";s:36:\"6b3bf3e7-1eda-4c1b-bc9c-8ba1651d5796\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_rc_body\";s:10:\"field_name\";s:13:\"field_rc_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_rc_image','a:16:{s:4:\"uuid\";s:36:\"0d867af5-278d-42ee-90b7-0f9ab324c9cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_rc_image\";s:10:\"field_name\";s:14:\"field_rc_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_rc_link','a:16:{s:4:\"uuid\";s:36:\"0702f0fb-3c07-4e34-8e38-377eb6b2e486\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_rc_link\";s:10:\"field_name\";s:13:\"field_rc_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sbp_color','a:16:{s:4:\"uuid\";s:36:\"01d4343a-2f59-4982-a45b-65f26210a364\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:2:\"id\";s:30:\"component_item.field_sbp_color\";s:10:\"field_name\";s:15:\"field_sbp_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"color_field_type\";s:8:\"settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:6:\"module\";s:11:\"color_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_service_block_color','a:16:{s:4:\"uuid\";s:36:\"7e21538f-daf2-43d7-b9c7-8f3736ea14da\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:2:\"id\";s:40:\"component_item.field_service_block_color\";s:10:\"field_name\";s:25:\"field_service_block_color\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"color_field_type\";s:8:\"settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:6:\"module\";s:11:\"color_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_service_block_description','a:16:{s:4:\"uuid\";s:36:\"68777643-84d2-4f21-addf-0fbae5c8e516\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:46:\"component_item.field_service_block_description\";s:10:\"field_name\";s:31:\"field_service_block_description\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_service_block_image','a:16:{s:4:\"uuid\";s:36:\"63538f7a-6fef-469d-a616-af393994c131\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:40:\"component_item.field_service_block_image\";s:10:\"field_name\";s:25:\"field_service_block_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_service_block_link','a:16:{s:4:\"uuid\";s:36:\"c76066c1-180e-43da-acca-ca7edcb55f58\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:39:\"component_item.field_service_block_link\";s:10:\"field_name\";s:24:\"field_service_block_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_link_text','a:16:{s:4:\"uuid\";s:36:\"4c8a74b5-5416-4a21-b35a-d822fb887719\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:38:\"component_item.field_sidebar_link_text\";s:10:\"field_name\";s:23:\"field_sidebar_link_text\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_link_text_desc','a:16:{s:4:\"uuid\";s:36:\"afee4116-0aa6-4aae-b0d2-65a525a9f0f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_item.field_sidebar_link_text_desc\";s:10:\"field_name\";s:28:\"field_sidebar_link_text_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_service_image','a:16:{s:4:\"uuid\";s:36:\"c5b13407-15fa-42ee-9c03-127a5bf7d7b7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.field_sidebar_service_image\";s:10:\"field_name\";s:27:\"field_sidebar_service_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_service_link','a:16:{s:4:\"uuid\";s:36:\"0cd7bad3-6c44-4035-acb5-9e75c3c90e46\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_service_link\";s:10:\"field_name\";s:26:\"field_sidebar_service_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_summary_created_by','a:16:{s:4:\"uuid\";s:36:\"c63c0a41-fe49-4318-8246-8a3002748e90\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:47:\"component_item.field_sidebar_summary_created_by\";s:10:\"field_name\";s:32:\"field_sidebar_summary_created_by\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_summary_date','a:16:{s:4:\"uuid\";s:36:\"2ee66812-1877-425f-85c1-d826eb79f02c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_summary_date\";s:10:\"field_name\";s:26:\"field_sidebar_summary_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_summary_desc','a:16:{s:4:\"uuid\";s:36:\"9eef7e00-dbaa-478b-8fc7-f34c7e8d41d3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_summary_desc\";s:10:\"field_name\";s:26:\"field_sidebar_summary_desc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_summary_image','a:16:{s:4:\"uuid\";s:36:\"759e9249-4138-4851-a49e-170feb76aefb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:42:\"component_item.field_sidebar_summary_image\";s:10:\"field_name\";s:27:\"field_sidebar_summary_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_sidebar_summary_link','a:16:{s:4:\"uuid\";s:36:\"1ba40339-faab-4195-9a3f-1439e604025b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:41:\"component_item.field_sidebar_summary_link\";s:10:\"field_name\";s:26:\"field_sidebar_summary_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_slideshow_flexible_date','a:16:{s:4:\"uuid\";s:36:\"f6ddd448-d211-4856-9da4-11760e8a0e03\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:2:\"id\";s:44:\"component_item.field_slideshow_flexible_date\";s:10:\"field_name\";s:29:\"field_slideshow_flexible_date\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:8:\"datetime\";s:8:\"settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:6:\"module\";s:8:\"datetime\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_slideshow_flexible_image','a:16:{s:4:\"uuid\";s:36:\"9649a571-0fd5-4e7a-8d33-16a1b70880f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:45:\"component_item.field_slideshow_flexible_image\";s:10:\"field_name\";s:30:\"field_slideshow_flexible_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_slideshow_flexible_link','a:16:{s:4:\"uuid\";s:36:\"0e89bc6a-f054-4725-b1b3-99b49fbc0605\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:44:\"component_item.field_slideshow_flexible_link\";s:10:\"field_name\";s:29:\"field_slideshow_flexible_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_slideshow_flexible_sdesc','a:16:{s:4:\"uuid\";s:36:\"ffca2e43-e9d1-482f-bd13-60eb1f343f8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:10:\"field_name\";s:30:\"field_slideshow_flexible_sdesc\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_small_image','a:16:{s:4:\"uuid\";s:36:\"dcf5e31d-536f-485a-9aaf-d89efd3582fb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:32:\"component_item.field_small_image\";s:10:\"field_name\";s:17:\"field_small_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_statistic_bar_progress','a:16:{s:4:\"uuid\";s:36:\"a23196a8-d216-4f63-80f4-494f779ed0fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_item.field_statistic_bar_progress\";s:10:\"field_name\";s:28:\"field_statistic_bar_progress\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_summary','a:16:{s:4:\"uuid\";s:36:\"a06bfa21-fd72-44e5-9446-1c701a5c83b1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_summary\";s:10:\"field_name\";s:13:\"field_summary\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_table_columns','a:16:{s:4:\"uuid\";s:36:\"fa48bf78-58ac-4f12-b308-4720ea3b5860\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_item.field_table_columns\";s:10:\"field_name\";s:19:\"field_table_columns\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_body','a:16:{s:4:\"uuid\";s:36:\"a0f4c01f-e880-4e50-8f40-e2aa27457580\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"component_item.field_ti_body\";s:10:\"field_name\";s:13:\"field_ti_body\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_icon','a:16:{s:4:\"uuid\";s:36:\"4a892c1c-81f4-45e4-8804-1a1f23d41c73\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:28:\"component_item.field_ti_icon\";s:10:\"field_name\";s:13:\"field_ti_icon\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_image','a:16:{s:4:\"uuid\";s:36:\"c84a3ffc-8007-47d8-80cd-2d59f1f9b195\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:2:\"id\";s:29:\"component_item.field_ti_image\";s:10:\"field_name\";s:14:\"field_ti_image\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_left','a:16:{s:4:\"uuid\";s:36:\"752b7b9b-194d-4ebe-a748-dd330b193597\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_item.field_ti_left\";s:10:\"field_name\";s:13:\"field_ti_left\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_link','a:16:{s:4:\"uuid\";s:36:\"aae31211-fc86-4161-a57b-c72b881f2def\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:2:\"id\";s:28:\"component_item.field_ti_link\";s:10:\"field_name\";s:13:\"field_ti_link\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_right','a:16:{s:4:\"uuid\";s:36:\"6ff5cda7-0402-4d91-b4cc-65ba513ecb90\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_item.field_ti_right\";s:10:\"field_name\";s:14:\"field_ti_right\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_ti_video','a:16:{s:4:\"uuid\";s:36:\"a6d1b8d3-2807-4fdd-aa30-7cd6fde483eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:2:\"id\";s:29:\"component_item.field_ti_video\";s:10:\"field_name\";s:14:\"field_ti_video\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"video_embed_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_item.field_type','a:16:{s:4:\"uuid\";s:36:\"b70990d4-3b40-4af7-87c8-90236dd35868\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:2:\"id\";s:25:\"component_item.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:14:\"component_item\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:2:{i:0;a:2:{s:5:\"value\";s:5:\"image\";s:5:\"label\";s:5:\"Image\";}i:1;a:2:{s:5:\"value\";s:5:\"video\";s:5:\"label\";s:5:\"Video\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_accordion','a:16:{s:4:\"uuid\";s:36:\"535aabf9-053f-4403-86aa-b87054849c65\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:33:\"component_wrapper.field_accordion\";s:10:\"field_name\";s:15:\"field_accordion\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_article_summary','a:16:{s:4:\"uuid\";s:36:\"769ab229-95f2-4b66-af20-ea658e2327ea\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_article_summary\";s:10:\"field_name\";s:21:\"field_article_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_banner_grid','a:16:{s:4:\"uuid\";s:36:\"81abd263-0af2-4201-9b86-66f84ad516ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_wrapper.field_banner_grid\";s:10:\"field_name\";s:17:\"field_banner_grid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_basic_component','a:16:{s:4:\"uuid\";s:36:\"5af2e220-2326-4d90-9148-1ead88277eb1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_basic_component\";s:10:\"field_name\";s:21:\"field_basic_component\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_card','a:16:{s:4:\"uuid\";s:36:\"d00e5eb0-82dd-4835-aec2-6f75a86d95e9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_wrapper.field_card\";s:10:\"field_name\";s:10:\"field_card\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_carousel','a:16:{s:4:\"uuid\";s:36:\"ab4e3f11-4bdb-465c-b960-19c747b618ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:32:\"component_wrapper.field_carousel\";s:10:\"field_name\";s:14:\"field_carousel\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_classified_ads','a:16:{s:4:\"uuid\";s:36:\"a8ab7b61-2c44-44c3-aad7-445725afe610\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:38:\"component_wrapper.field_classified_ads\";s:10:\"field_name\";s:20:\"field_classified_ads\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_counter','a:16:{s:4:\"uuid\";s:36:\"170f9378-4953-480f-a169-ee6ebd8d915d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:31:\"component_wrapper.field_counter\";s:10:\"field_name\";s:13:\"field_counter\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_divider_section','a:16:{s:4:\"uuid\";s:36:\"7365a73d-2f7f-4347-911c-fc91f20b43b8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_divider_section\";s:10:\"field_name\";s:21:\"field_divider_section\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_grid','a:16:{s:4:\"uuid\";s:36:\"384f895c-0f6f-483c-a1f9-702bb4558cbe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:28:\"component_wrapper.field_grid\";s:10:\"field_name\";s:10:\"field_grid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_grid_carousel','a:16:{s:4:\"uuid\";s:36:\"b99f21b6-fe34-46f8-865d-0e7331fe8bdc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_grid_carousel\";s:10:\"field_name\";s:19:\"field_grid_carousel\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_horizontal_push_image','a:16:{s:4:\"uuid\";s:36:\"7c10e925-ebb9-4999-84ce-b789dc361274\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:45:\"component_wrapper.field_horizontal_push_image\";s:10:\"field_name\";s:27:\"field_horizontal_push_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_push_image','a:16:{s:4:\"uuid\";s:36:\"87a09dd3-89d2-4d92-971b-fb4b5cb1bd9a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_wrapper.field_push_image\";s:10:\"field_name\";s:16:\"field_push_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_push_video','a:16:{s:4:\"uuid\";s:36:\"a07bbc94-b860-4ff8-9bc3-a5366ee97f68\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:34:\"component_wrapper.field_push_video\";s:10:\"field_name\";s:16:\"field_push_video\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_quote','a:16:{s:4:\"uuid\";s:36:\"6362b15b-0f28-4a4e-84ee-79415c438f60\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_wrapper.field_quote\";s:10:\"field_name\";s:11:\"field_quote\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_related_content','a:16:{s:4:\"uuid\";s:36:\"8d9e9548-c38f-43fc-b4d7-2220f4a47b95\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_related_content\";s:10:\"field_name\";s:21:\"field_related_content\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_service_block','a:16:{s:4:\"uuid\";s:36:\"8ac406a2-4eb1-46d9-9331-b272b53a8893\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_service_block\";s:10:\"field_name\";s:19:\"field_service_block\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_sidebar_link_text','a:16:{s:4:\"uuid\";s:36:\"2c88ce93-2589-4f77-8126-129f683da763\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:41:\"component_wrapper.field_sidebar_link_text\";s:10:\"field_name\";s:23:\"field_sidebar_link_text\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_sidebar_service','a:16:{s:4:\"uuid\";s:36:\"6260677c-b7a4-45f1-bfa2-aa390f8e2c1d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_sidebar_service\";s:10:\"field_name\";s:21:\"field_sidebar_service\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_sidebar_summary','a:16:{s:4:\"uuid\";s:36:\"b288c663-361f-4705-885d-741898cad8ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:39:\"component_wrapper.field_sidebar_summary\";s:10:\"field_name\";s:21:\"field_sidebar_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_slideshow','a:16:{s:4:\"uuid\";s:36:\"1f7d4c01-1ef1-4f24-8767-4f60d4a78120\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:33:\"component_wrapper.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_slideshow_flexible','a:16:{s:4:\"uuid\";s:36:\"edc686e2-1db3-4ae5-803e-1ac7a727f041\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:42:\"component_wrapper.field_slideshow_flexible\";s:10:\"field_name\";s:24:\"field_slideshow_flexible\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_statistic_bar','a:16:{s:4:\"uuid\";s:36:\"4ead576e-49a0-4dc6-9395-ac2b41002396\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_statistic_bar\";s:10:\"field_name\";s:19:\"field_statistic_bar\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_summary_information','a:16:{s:4:\"uuid\";s:36:\"e1f7474b-76f5-4a33-8b20-13122d95a4cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:43:\"component_wrapper.field_summary_information\";s:10:\"field_name\";s:25:\"field_summary_information\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_table','a:16:{s:4:\"uuid\";s:36:\"75f5ae2f-1a9a-46a2-933b-7c02ed875539\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:29:\"component_wrapper.field_table\";s:10:\"field_name\";s:11:\"field_table\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_testimonial','a:16:{s:4:\"uuid\";s:36:\"c7adf258-713f-43be-b146-2d87592a280b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:35:\"component_wrapper.field_testimonial\";s:10:\"field_name\";s:17:\"field_testimonial\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_timeline','a:16:{s:4:\"uuid\";s:36:\"64300233-879c-4914-9ee2-8ff88b73801e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:32:\"component_wrapper.field_timeline\";s:10:\"field_name\";s:14:\"field_timeline\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.component_wrapper.field_topic_summary','a:16:{s:4:\"uuid\";s:36:\"26506a3a-2ec1-4797-8e00-d5dc55538371\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:2:\"id\";s:37:\"component_wrapper.field_topic_summary\";s:10:\"field_name\";s:19:\"field_topic_summary\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.body','a:16:{s:4:\"uuid\";s:36:\"578317ee-54b9-4df9-aa00-b7f5187e366a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:2:\"id\";s:9:\"node.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.comment','a:16:{s:4:\"uuid\";s:36:\"6fc15e30-a3fc-4891-b64c-76364b4468ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:2:\"id\";s:12:\"node.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.comment_forum','a:16:{s:4:\"uuid\";s:36:\"45c6e113-b684-438c-b44a-74b94c3aa85e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:2:\"id\";s:18:\"node.comment_forum\";s:10:\"field_name\";s:13:\"comment_forum\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_category','a:16:{s:4:\"uuid\";s:36:\"cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"node.field_category\";s:10:\"field_name\";s:14:\"field_category\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_components','a:16:{s:4:\"uuid\";s:36:\"7c1b343c-89db-4b14-a5b6-0b94f7e80c2a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_components\";s:10:\"field_name\";s:16:\"field_components\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:17:\"component_wrapper\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_image','a:16:{s:4:\"uuid\";s:36:\"c03a055a-f28b-47f0-a100-adec96658707\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:16:\"node.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_link','a:16:{s:4:\"uuid\";s:36:\"04fa4ba3-2961-4922-a200-e292be5448c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:15:\"node.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_tags','a:16:{s:4:\"uuid\";s:36:\"81ac884e-d9c8-406a-9a1d-29b262c313e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:15:\"node.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_video_link','a:16:{s:4:\"uuid\";s:36:\"656196f0-e0ae-4388-be00-ad0dd28c612f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_video_link\";s:10:\"field_name\";s:16:\"field_video_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.simplenews_issue','a:16:{s:4:\"uuid\";s:36:\"4990045a-0df4-40e5-8436-545f18512a15\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"simplenews_issue\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.taxonomy_forums','a:16:{s:4:\"uuid\";s:36:\"036ad012-28b8-484d-8c00-c0e6030f093e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:20:\"node.taxonomy_forums\";s:10:\"field_name\";s:15:\"taxonomy_forums\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.taxonomy_term.field_image','a:16:{s:4:\"uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:2:\"id\";s:25:\"taxonomy_term.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.taxonomy_term.forum_container','a:16:{s:4:\"uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:29:\"taxonomy_term.forum_container\";s:10:\"field_name\";s:15:\"forum_container\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:1;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:0;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.user.user_picture','a:16:{s:4:\"uuid\";s:36:\"8067c901-4997-4726-9a00-d85626469302\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field_ui.settings','a:1:{s:12:\"field_prefix\";s:6:\"field_\";}'),('','file.settings','a:3:{s:11:\"description\";a:2:{s:4:\"type\";s:9:\"textfield\";s:6:\"length\";i:128;}s:4:\"icon\";a:1:{s:9:\"directory\";s:23:\"core/modules/file/icons\";}s:35:\"make_unused_managed_files_temporary\";b:0;}'),('','filter.format.basic_html','a:8:{s:4:\"uuid\";s:36:\"e93c4d2e-a086-4b86-9c61-97341886432e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:4:\"name\";s:10:\"Basic HTML\";s:6:\"format\";s:10:\"basic_html\";s:6:\"weight\";i:0;s:7:\"filters\";a:5:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:250:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>\";s:16:\"filter_html_help\";b:0;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:7;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:24:\"filter_html_image_secure\";a:5:{s:2:\"id\";s:24:\"filter_html_image_secure\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}}'),('','filter.format.full_html','a:8:{s:4:\"uuid\";s:36:\"b45c80e3-cf34-460a-8000-b168f1a1b24c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:4:\"name\";s:9:\"Full HTML\";s:6:\"format\";s:9:\"full_html\";s:6:\"weight\";i:1;s:7:\"filters\";a:4:{s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:20:\"filter_htmlcorrector\";a:5:{s:2:\"id\";s:20:\"filter_htmlcorrector\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}}'),('','filter.format.plain_text','a:8:{s:4:\"uuid\";s:36:\"0b0ed770-2ef5-4c82-a11a-26651664bb45\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Plain text\";s:6:\"format\";s:10:\"plain_text\";s:6:\"weight\";i:10;s:7:\"filters\";a:3:{s:18:\"filter_html_escape\";a:5:{s:2:\"id\";s:18:\"filter_html_escape\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}}}'),('','filter.format.restricted_html','a:8:{s:4:\"uuid\";s:36:\"a8c3c57c-e9c0-4196-aa00-f2c2890a68a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:15:\"Restricted HTML\";s:6:\"format\";s:15:\"restricted_html\";s:6:\"weight\";i:0;s:7:\"filters\";a:3:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:149:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}}}'),('','filter.settings','a:2:{s:15:\"fallback_format\";s:10:\"plain_text\";s:27:\"always_show_fallback_choice\";b:0;}'),('','forum.settings','a:3:{s:5:\"block\";a:2:{s:6:\"active\";a:1:{s:5:\"limit\";i:5;}s:3:\"new\";a:1:{s:5:\"limit\";i:5;}}s:6:\"topics\";a:3:{s:13:\"hot_threshold\";i:15;s:5:\"order\";i:1;s:10:\"page_limit\";i:25;}s:10:\"vocabulary\";s:6:\"forums\";}'),('','image.settings','a:3:{s:13:\"preview_image\";s:29:\"core/modules/image/sample.png\";s:26:\"allow_insecure_derivatives\";b:0;s:20:\"suppress_itok_output\";b:0;}'),('','image.style.image_60x60_','a:7:{s:4:\"uuid\";s:36:\"7d1fc6a8-b235-41b7-9206-6aaa3cbb20db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:12:\"image_60x60_\";s:5:\"label\";s:13:\"Image (60x60)\";s:7:\"effects\";a:1:{s:36:\"f3f0e3c8-c65b-4e29-8e00-0e6ff5019175\";a:4:{s:4:\"uuid\";s:36:\"f3f0e3c8-c65b-4e29-8e00-0e6ff5019175\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:60;s:6:\"height\";i:60;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_622x','a:7:{s:4:\"uuid\";s:36:\"73bebf74-9899-479a-ad00-ebed8696f156\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"image_622x\";s:5:\"label\";s:15:\"Image (622x311)\";s:7:\"effects\";a:1:{s:36:\"409236b7-9dde-4345-8c03-3d9a66834667\";a:4:{s:4:\"uuid\";s:36:\"409236b7-9dde-4345-8c03-3d9a66834667\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:622;s:6:\"height\";i:311;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.large','a:7:{s:4:\"uuid\";s:36:\"69048c8f-c4a9-4cca-8b05-5e5218da0177\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:5:\"large\";s:5:\"label\";s:16:\"Large (480×480)\";s:7:\"effects\";a:1:{s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";a:4:{s:4:\"uuid\";s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:480;s:6:\"height\";i:480;s:7:\"upscale\";b:0;}}}}'),('','image.style.medium','a:7:{s:4:\"uuid\";s:36:\"c628d2cd-acd3-425d-8e3f-6393121fc894\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:6:\"medium\";s:5:\"label\";s:17:\"Medium (220×220)\";s:7:\"effects\";a:1:{s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";a:4:{s:4:\"uuid\";s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:220;s:6:\"height\";i:220;s:7:\"upscale\";b:0;}}}}'),('','image.style.thumbnail','a:7:{s:4:\"uuid\";s:36:\"35472b91-e160-4558-a429-41cc7939a6c7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:9:\"thumbnail\";s:5:\"label\";s:20:\"Thumbnail (100×100)\";s:7:\"effects\";a:1:{s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";a:4:{s:4:\"uuid\";s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:7:\"upscale\";b:0;}}}}'),('','image.style.we_1440_900','a:7:{s:4:\"uuid\";s:36:\"3be555a7-9596-4cbb-a75f-7b64953e7d0a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:11:\"we_1440_900\";s:5:\"label\";s:28:\"Component Builder (1440*900)\";s:7:\"effects\";a:1:{s:36:\"508300b4-da6b-459f-8356-5dccfd094356\";a:4:{s:4:\"uuid\";s:36:\"508300b4-da6b-459f-8356-5dccfd094356\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1440;s:6:\"height\";i:900;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_170_98','a:7:{s:4:\"uuid\";s:36:\"92b2f755-55d4-4213-bbd9-7605f33bfcaf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:9:\"we_170_98\";s:5:\"label\";s:26:\"Component Builder (170*98)\";s:7:\"effects\";a:1:{s:36:\"c91c0e78-52c7-430c-b1bc-f494589dd657\";a:4:{s:4:\"uuid\";s:36:\"c91c0e78-52c7-430c-b1bc-f494589dd657\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:170;s:6:\"height\";i:98;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_230_120','a:7:{s:4:\"uuid\";s:36:\"7468a164-b0cf-40dd-a337-385f9ca8fdd1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_230_120\";s:5:\"label\";s:27:\"Component Builder (230*120)\";s:7:\"effects\";a:1:{s:36:\"60168813-bce5-46bf-be6f-a4ed83d54ed1\";a:4:{s:4:\"uuid\";s:36:\"60168813-bce5-46bf-be6f-a4ed83d54ed1\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:230;s:6:\"height\";i:120;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_300_187','a:7:{s:4:\"uuid\";s:36:\"af8591a6-38e6-4d88-adcb-42ad9959ea82\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_300_187\";s:5:\"label\";s:27:\"Component Builder (300*187)\";s:7:\"effects\";a:1:{s:36:\"b888f0da-53a0-4776-a255-16037007d42a\";a:4:{s:4:\"uuid\";s:36:\"b888f0da-53a0-4776-a255-16037007d42a\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:300;s:6:\"height\";i:187;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_300_450','a:7:{s:4:\"uuid\";s:36:\"94d53033-cb58-42d7-ae16-df85acff38e2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_300_450\";s:5:\"label\";s:27:\"Component Builder (300*450)\";s:7:\"effects\";a:1:{s:36:\"810ed51f-8d42-4185-a3ce-426bbf9067f4\";a:4:{s:4:\"uuid\";s:36:\"810ed51f-8d42-4185-a3ce-426bbf9067f4\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:300;s:6:\"height\";i:450;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_318_200','a:7:{s:4:\"uuid\";s:36:\"00405666-ad48-452b-a043-bbe9153b6791\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_318_200\";s:5:\"label\";s:27:\"Component Builder (318*200)\";s:7:\"effects\";a:1:{s:36:\"000751ef-73dd-478c-8d36-c10650395966\";a:4:{s:4:\"uuid\";s:36:\"000751ef-73dd-478c-8d36-c10650395966\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:318;s:6:\"height\";i:200;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_37_28','a:7:{s:4:\"uuid\";s:36:\"c8bd1cbc-a6ae-49af-b60a-43d7e37574e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_37_28\";s:5:\"label\";s:25:\"Component Builder (37*28)\";s:7:\"effects\";a:1:{s:36:\"944ff05d-c3a4-417c-ba84-a8e61ecccdbe\";a:4:{s:4:\"uuid\";s:36:\"944ff05d-c3a4-417c-ba84-a8e61ecccdbe\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:37;s:6:\"height\";i:28;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_450_270','a:7:{s:4:\"uuid\";s:36:\"30655d11-fe91-424a-a9ee-eb9cd8f57fd4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_450_270\";s:5:\"label\";s:27:\"Component Builder (450*270)\";s:7:\"effects\";a:1:{s:36:\"e1fe5d3c-0359-4af5-a366-8daf61cb1e6b\";a:4:{s:4:\"uuid\";s:36:\"e1fe5d3c-0359-4af5-a366-8daf61cb1e6b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:450;s:6:\"height\";i:270;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_464_290','a:7:{s:4:\"uuid\";s:36:\"06244ee2-c1d3-431c-bcbb-1cb008ffe306\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_464_290\";s:5:\"label\";s:27:\"Component Builder (464*290)\";s:7:\"effects\";a:1:{s:36:\"e1181b23-126a-4789-a448-faf08781cef2\";a:4:{s:4:\"uuid\";s:36:\"e1181b23-126a-4789-a448-faf08781cef2\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:464;s:6:\"height\";i:290;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_480_300','a:7:{s:4:\"uuid\";s:36:\"5244da70-fab0-4d6f-a535-65bd9a1439a1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_480_300\";s:5:\"label\";s:27:\"Component Builder (480*300)\";s:7:\"effects\";a:1:{s:36:\"948f74cf-00b8-4654-8983-9b39cb9f4bcf\";a:4:{s:4:\"uuid\";s:36:\"948f74cf-00b8-4654-8983-9b39cb9f4bcf\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:480;s:6:\"height\";i:300;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_528_352','a:7:{s:4:\"uuid\";s:36:\"e1ff7516-e1c0-48c2-a3bd-ba2f53d65c67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_528_352\";s:5:\"label\";s:27:\"Component Builder (528*352)\";s:7:\"effects\";a:1:{s:36:\"1b7ad092-a7f9-4da3-a202-e47c72889743\";a:4:{s:4:\"uuid\";s:36:\"1b7ad092-a7f9-4da3-a202-e47c72889743\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:528;s:6:\"height\";i:352;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_58_61','a:7:{s:4:\"uuid\";s:36:\"ce0c2a72-c5fd-430e-9777-3d16e3b3ca30\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_58_61\";s:5:\"label\";s:25:\"Component Builder (58*61)\";s:7:\"effects\";a:1:{s:36:\"427207a4-ef86-41cf-b658-058a8d5dc65b\";a:4:{s:4:\"uuid\";s:36:\"427207a4-ef86-41cf-b658-058a8d5dc65b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:58;s:6:\"height\";i:61;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_60_60','a:7:{s:4:\"uuid\";s:36:\"c63e57b3-0f85-4b73-ae2a-8ce35981da3f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_60_60\";s:5:\"label\";s:25:\"Component Builder (60*60)\";s:7:\"effects\";a:1:{s:36:\"cc53766a-f726-4478-907a-c2c3c61e89c6\";a:4:{s:4:\"uuid\";s:36:\"cc53766a-f726-4478-907a-c2c3c61e89c6\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:60;s:6:\"height\";i:60;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_64_64','a:7:{s:4:\"uuid\";s:36:\"dcf4237f-e221-47bc-9e11-7d406b776205\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_64_64\";s:5:\"label\";s:25:\"Component Builder (64*64)\";s:7:\"effects\";a:1:{s:36:\"1df74488-6b14-4160-8ffd-e62354ceeef3\";a:4:{s:4:\"uuid\";s:36:\"1df74488-6b14-4160-8ffd-e62354ceeef3\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_800_460','a:7:{s:4:\"uuid\";s:36:\"aeeca7ec-8802-4de8-b55e-1627148137a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_800_460\";s:5:\"label\";s:27:\"Component Builder (800*460)\";s:7:\"effects\";a:1:{s:36:\"2f056d24-9753-4d7c-a7bc-b6374de788ea\";a:4:{s:4:\"uuid\";s:36:\"2f056d24-9753-4d7c-a7bc-b6374de788ea\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:800;s:6:\"height\";i:460;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_80_80','a:7:{s:4:\"uuid\";s:36:\"b92446ab-3790-4707-8411-f6aff45329cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_80_80\";s:5:\"label\";s:25:\"Component Builder (80*80)\";s:7:\"effects\";a:1:{s:36:\"93ed03a5-1020-4545-b25d-f65f8c31357b\";a:4:{s:4:\"uuid\";s:36:\"93ed03a5-1020-4545-b25d-f65f8c31357b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:80;s:6:\"height\";i:80;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_88_70','a:7:{s:4:\"uuid\";s:36:\"9adbc2dc-2c4e-42a4-8d6b-56dffd9fbfec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_88_70\";s:5:\"label\";s:25:\"Component Builder (88*70)\";s:7:\"effects\";a:1:{s:36:\"e055722a-2801-4cc8-8f71-5e4dc2192831\";a:4:{s:4:\"uuid\";s:36:\"e055722a-2801-4cc8-8f71-5e4dc2192831\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:88;s:6:\"height\";i:70;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_90_90','a:7:{s:4:\"uuid\";s:36:\"ad1a3045-48aa-4628-8c17-19e03f314a92\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:8:\"we_90_90\";s:5:\"label\";s:25:\"Component Builder (90*90)\";s:7:\"effects\";a:1:{s:36:\"7b3bf104-d17e-4f47-8d77-a540287f595c\";a:4:{s:4:\"uuid\";s:36:\"7b3bf104-d17e-4f47-8d77-a540287f595c\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:90;s:6:\"height\";i:90;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.we_980_588','a:7:{s:4:\"uuid\";s:36:\"3543d1fd-5a90-4770-aa67-d2686048a2b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"we_980_588\";s:5:\"label\";s:27:\"Component Builder (980*588)\";s:7:\"effects\";a:1:{s:36:\"85942a02-ebed-4934-bd87-b7bf8e4926df\";a:4:{s:4:\"uuid\";s:36:\"85942a02-ebed-4934-bd87-b7bf8e4926df\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:980;s:6:\"height\";i:588;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','language.content_settings.block_content.basic','a:10:{s:4:\"uuid\";s:36:\"2d14a4e1-75c0-423e-b805-cf475bbabd6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:19:\"block_content.basic\";s:21:\"target_entity_type_id\";s:13:\"block_content\";s:13:\"target_bundle\";s:5:\"basic\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.comment.comment','a:10:{s:4:\"uuid\";s:36:\"815b20a8-9589-49a6-a1fe-f27bcb28ff42\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:15:\"comment.comment\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:7:\"comment\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.comment.comment_forum','a:10:{s:4:\"uuid\";s:36:\"ca45d53a-39c6-4581-99fe-80a4d9b377c9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"comment.comment_forum\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:13:\"comment_forum\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.contact_message.feedback','a:9:{s:4:\"uuid\";s:36:\"883b4275-6f21-4c63-aeb7-391d9c4dbd3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.feedback\";}}s:2:\"id\";s:24:\"contact_message.feedback\";s:21:\"target_entity_type_id\";s:15:\"contact_message\";s:13:\"target_bundle\";s:8:\"feedback\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.contact_message.personal','a:9:{s:4:\"uuid\";s:36:\"66db5e00-1efc-403e-a93b-2095ce7bf4af\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.personal\";}}s:2:\"id\";s:24:\"contact_message.personal\";s:21:\"target_entity_type_id\";s:15:\"contact_message\";s:13:\"target_bundle\";s:8:\"personal\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.file.file','a:9:{s:4:\"uuid\";s:36:\"aa5dc067-6bec-478a-9ddc-4597697c3475\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:9:\"file.file\";s:21:\"target_entity_type_id\";s:4:\"file\";s:13:\"target_bundle\";s:4:\"file\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.menu_link_content.menu_link_content','a:10:{s:4:\"uuid\";s:36:\"d8047971-9394-4c21-ac60-3da0514a6276\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:17:\"menu_link_content\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:35:\"menu_link_content.menu_link_content\";s:21:\"target_entity_type_id\";s:17:\"menu_link_content\";s:13:\"target_bundle\";s:17:\"menu_link_content\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.article','a:10:{s:4:\"uuid\";s:36:\"31bd1a32-53ff-4cb5-8efe-7c39d32a5987\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:12:\"node.article\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:7:\"article\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.blog','a:10:{s:4:\"uuid\";s:36:\"89bbdd76-1acd-4043-91e7-e531d559a1a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.blog\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"blog\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.node.forum','a:10:{s:4:\"uuid\";s:36:\"78f224c1-6f10-4078-b5a6-06ba264bfdf1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:10:\"node.forum\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:5:\"forum\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.page','a:10:{s:4:\"uuid\";s:36:\"1e515e85-405d-4a49-80c5-7e40f5b3e371\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:9:\"node.page\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"page\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.showcase','a:10:{s:4:\"uuid\";s:36:\"36835ccd-366e-491e-aeb0-b83be728f77e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:13:\"node.showcase\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:8:\"showcase\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.simplenews_issue','a:10:{s:4:\"uuid\";s:36:\"78cf3d3d-3f74-437a-8e17-0d4c1f720743\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:16:\"simplenews_issue\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.path_alias.path_alias','a:10:{s:4:\"uuid\";s:36:\"fb07de86-2654-4b9e-ab12-17b548aee2ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"path_alias\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dhjFABRzm52DkRXnYja5ZoHwjY0R3gEGic3KpDUXgRo\";}s:2:\"id\";s:21:\"path_alias.path_alias\";s:21:\"target_entity_type_id\";s:10:\"path_alias\";s:13:\"target_bundle\";s:10:\"path_alias\";s:16:\"default_langcode\";s:3:\"und\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.shortcut.default','a:10:{s:4:\"uuid\";s:36:\"64bb6941-38dd-4af0-a7e6-e9b9a162345e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"shortcut.default\";s:21:\"target_entity_type_id\";s:8:\"shortcut\";s:13:\"target_bundle\";s:7:\"default\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.categories','a:10:{s:4:\"uuid\";s:36:\"bda84855-c231-4215-8903-2bd814323457\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:24:\"taxonomy_term.categories\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:10:\"categories\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.forums','a:10:{s:4:\"uuid\";s:36:\"8b771040-d9d6-4d71-9bc5-53ee1473c19d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:20:\"taxonomy_term.forums\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:6:\"forums\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.tags','a:10:{s:4:\"uuid\";s:36:\"670d23d8-606b-4433-a9dc-cb2ca82920ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:4:\"tags\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.user.user','a:10:{s:4:\"uuid\";s:36:\"5666e943-9e07-4c15-9bb7-5880c6d10638\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:9:\"user.user\";s:21:\"target_entity_type_id\";s:4:\"user\";s:13:\"target_bundle\";s:4:\"user\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.entity.ar','a:9:{s:4:\"uuid\";s:36:\"0763f888-fe2f-44f7-bf6a-e3a5ce5efed2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:2:\"ar\";s:5:\"label\";s:6:\"Arabic\";s:9:\"direction\";s:3:\"rtl\";s:6:\"weight\";i:1;s:6:\"locked\";b:0;}'),('','language.entity.en','a:10:{s:4:\"uuid\";s:36:\"53321b20-74d1-44aa-aa3e-b576a42f950a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}'),('','language.entity.und','a:10:{s:4:\"uuid\";s:36:\"552a445a-f85c-4467-ae9c-7ec788f7ce3f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eNX6lLCKDaY83nCMh20My---y03KbiFlv802DKCCpvg\";}s:2:\"id\";s:3:\"und\";s:5:\"label\";s:13:\"Not specified\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:2;s:6:\"locked\";b:1;}'),('','language.entity.zxx','a:10:{s:4:\"uuid\";s:36:\"2d2b8a6a-a53e-410e-b9c1-df7d68197ae8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"35CefWbnzaiytcg3acexxz_GTvuwIjYd_ZTcmmR-tXA\";}s:2:\"id\";s:3:\"zxx\";s:5:\"label\";s:14:\"Not applicable\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:3;s:6:\"locked\";b:1;}'),('','language.mappings','a:2:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EMWe7Yu4Q5eD-NUfNuQAWGBvYUNZPIinztEtONSmsDc\";}s:3:\"map\";a:10:{s:2:\"no\";s:2:\"nb\";s:2:\"pt\";s:5:\"pt-pt\";s:2:\"zh\";s:7:\"zh-hans\";s:5:\"zh-tw\";s:7:\"zh-hant\";s:5:\"zh-hk\";s:7:\"zh-hant\";s:5:\"zh-mo\";s:7:\"zh-hant\";s:6:\"zh-cht\";s:7:\"zh-hant\";s:5:\"zh-cn\";s:7:\"zh-hans\";s:5:\"zh-sg\";s:7:\"zh-hans\";s:6:\"zh-chs\";s:7:\"zh-hans\";}}'),('','language.negotiation','a:4:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"uEePITI9tV6WqzmsTb7MfPCi5yPWXSxAN1xeLcYFQbM\";}s:7:\"session\";a:1:{s:9:\"parameter\";s:8:\"language\";}s:3:\"url\";a:3:{s:6:\"source\";s:11:\"path_prefix\";s:8:\"prefixes\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:2:\"ar\";}s:7:\"domains\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:0:\"\";}}s:17:\"selected_langcode\";s:12:\"site_default\";}'),('','language.types','a:4:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dqouFqVseNJNvEjsoYKxbinFOITuCxYhi4y2OTNQP_8\";}s:3:\"all\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:12:\"configurable\";a:1:{i:0;s:18:\"language_interface\";}s:11:\"negotiation\";a:3:{s:16:\"language_content\";a:1:{s:7:\"enabled\";a:1:{s:18:\"language-interface\";i:0;}}s:12:\"language_url\";a:1:{s:7:\"enabled\";a:2:{s:12:\"language-url\";i:0;s:21:\"language-url-fallback\";i:1;}}s:18:\"language_interface\";a:1:{s:7:\"enabled\";a:1:{s:12:\"language-url\";i:0;}}}}'),('','locale.settings','a:5:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Lqw8pAQIfr4sRSts2RRWG97eNG6vRT7FhqF_b5COPGk\";}s:13:\"cache_strings\";b:1;s:17:\"translate_english\";b:0;s:10:\"javascript\";a:1:{s:9:\"directory\";s:9:\"languages\";}s:11:\"translation\";a:8:{s:10:\"use_source\";s:16:\"remote_and_local\";s:16:\"default_filename\";s:30:\"%project-%version.%language.po\";s:22:\"default_server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:20:\"overwrite_customized\";b:0;s:24:\"overwrite_not_customized\";b:1;s:20:\"update_interval_days\";i:0;s:4:\"path\";s:32:\"sites/default/files/translations\";s:14:\"import_enabled\";b:1;}}'),('','menu_ui.settings','a:1:{s:24:\"override_parent_selector\";b:0;}'),('','module_filter.settings','a:2:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"G_8GHBI3-9ngC2R-uyRQpMWndFTfL1soDJCz8Rsgl0s\";}s:4:\"tabs\";b:1;}'),('','node.settings','a:1:{s:15:\"use_admin_theme\";b:1;}'),('','node.type.article','a:11:{s:4:\"uuid\";s:36:\"e60edb83-c65a-4c76-8800-a9db0029a3f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:7:\"Article\";s:4:\"type\";s:7:\"article\";s:11:\"description\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}'),('','node.type.blog','a:12:{s:4:\"uuid\";s:36:\"79184f6b-5f8a-4aaa-9800-d112ab435ccc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:0:{}s:6:\"parent\";s:0:\"\";}}s:4:\"name\";s:4:\"Blog\";s:4:\"type\";s:4:\"blog\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}'),('','node.type.forum','a:11:{s:4:\"uuid\";s:36:\"95c1f9fb-9e56-4cac-9500-0a090bab42e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"forum\";}}}s:4:\"name\";s:11:\"Forum topic\";s:4:\"type\";s:5:\"forum\";s:11:\"description\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}'),('','node.type.page','a:11:{s:4:\"uuid\";s:36:\"be2272ce-1c6f-4f9f-8400-cf289ffcaf85\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Basic page\";s:4:\"type\";s:4:\"page\";s:11:\"description\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.showcase','a:12:{s:4:\"uuid\";s:36:\"8a36541e-ca19-45b8-8116-22952499837f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:0:{}s:6:\"parent\";s:0:\"\";}}s:4:\"name\";s:8:\"Showcase\";s:4:\"type\";s:8:\"showcase\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.simplenews_issue','a:11:{s:4:\"uuid\";s:36:\"60c78140-02a4-488e-b200-c9084a97d5cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:16:\"Newsletter Issue\";s:4:\"type\";s:16:\"simplenews_issue\";s:11:\"description\";s:46:\"Use <em>Newsletter Issue</em> for newsletters.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','pathauto.pattern.blog','a:12:{s:4:\"uuid\";s:36:\"6a178233-d4d7-480e-b975-07a80d31c364\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:4:\"blog\";s:5:\"label\";s:5:\"Blog \";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:17:\"blog/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"b689dd5e-9098-47bd-8996-cdc087e384bc\";a:5:{s:2:\"id\";s:18:\"entity_bundle:node\";s:6:\"negate\";b:0;s:4:\"uuid\";s:36:\"b689dd5e-9098-47bd-8996-cdc087e384bc\";s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.showcase','a:12:{s:4:\"uuid\";s:36:\"6af5665b-b4de-464d-973d-71d9c7784644\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:8:\"showcase\";s:5:\"label\";s:8:\"Showcase\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:21:\"showcase/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"1b118e75-fe76-4586-92c4-b551f798a0ba\";a:5:{s:2:\"id\";s:18:\"entity_bundle:node\";s:6:\"negate\";b:0;s:4:\"uuid\";s:36:\"1b118e75-fe76-4586-92c4-b551f798a0ba\";s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:7:\"bundles\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.settings','a:13:{s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YrQtUD-tjwXmWch1oNpPqr3qb5S17-dXdlKwqhiHjNI\";}s:20:\"enabled_entity_types\";a:1:{i:0;s:4:\"user\";}s:11:\"punctuation\";a:1:{s:6:\"hyphen\";i:1;}s:7:\"verbose\";b:0;s:9:\"separator\";s:1:\"-\";s:10:\"max_length\";i:100;s:20:\"max_component_length\";i:100;s:13:\"transliterate\";b:1;s:12:\"reduce_ascii\";b:0;s:4:\"case\";b:1;s:12:\"ignore_words\";s:134:\"a, an, as, at, before, but, by, for, from, is, in, into, like, of, off, on, onto, per, since, than, the, this, that, to, up, via, with\";s:13:\"update_action\";i:2;s:11:\"safe_tokens\";a:7:{i:0;s:5:\"alias\";i:1;s:5:\"alias\";i:2;s:4:\"path\";i:3;s:9:\"join-path\";i:4;s:9:\"login-url\";i:5;s:3:\"url\";i:6;s:9:\"url-brief\";}}'),('','pinteros.settings','a:12:{s:7:\"favicon\";a:2:{s:4:\"path\";s:0:\"\";s:11:\"use_default\";b:1;}s:8:\"features\";a:4:{s:20:\"comment_user_picture\";b:1;s:25:\"comment_user_verification\";b:1;s:7:\"favicon\";b:1;s:17:\"node_user_picture\";b:1;}s:4:\"logo\";a:2:{s:4:\"path\";s:0:\"\";s:11:\"use_default\";b:1;}s:8:\"_version\";s:0:\"\";s:4:\"skin\";s:7:\"default\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:10:\"background\";s:10:\"bg-default\";s:15:\"show_skins_menu\";i:1;s:12:\"loading_page\";i:0;s:25:\"skmn_use_default_settings\";i:0;s:16:\"pinteros_version\";s:3:\"1.0\";}'),('','rdf.mapping.comment.comment','a:9:{s:4:\"uuid\";s:36:\"5b82b57c-9694-4bde-9146-701fa31f91c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:15:\"comment.comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"types\";a:1:{i:0;s:14:\"schema:Comment\";}s:13:\"fieldMappings\";a:5:{s:7:\"subject\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:12:\"comment_body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}}}'),('','rdf.mapping.node.article','a:9:{s:4:\"uuid\";s:36:\"0b135181-dc27-4b6f-925e-9481abacdd48\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:12:\"node.article\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"types\";a:1:{i:0;s:14:\"schema:Article\";}s:13:\"fieldMappings\";a:9:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:1:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}}s:7:\"comment\";a:2:{s:10:\"properties\";a:1:{i:0;s:14:\"schema:comment\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}s:11:\"field_image\";a:1:{s:10:\"properties\";a:1:{i:0;s:12:\"schema:image\";}}s:10:\"field_tags\";a:1:{s:10:\"properties\";a:1:{i:0;s:12:\"schema:about\";}}}}'),('','rdf.mapping.node.forum','a:9:{s:4:\"uuid\";s:36:\"dc7838ed-5ba1-4b7a-9300-f24cbf1bf07f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.forum\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"types\";a:1:{i:0;s:17:\"schema:Discussion\";}s:13:\"fieldMappings\";a:6:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}}}'),('','rdf.mapping.node.page','a:9:{s:4:\"uuid\";s:36:\"ff15bda1-a4a4-4e13-a31a-26d30ead3c94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:9:\"node.page\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"types\";a:1:{i:0;s:14:\"schema:WebPage\";}s:13:\"fieldMappings\";a:6:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}}}'),('','rdf.mapping.taxonomy_term.forums','a:9:{s:4:\"uuid\";s:36:\"6bd64769-7888-4dde-a500-b65381a0205e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:20:\"taxonomy_term.forums\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"types\";a:2:{i:0;s:14:\"sioc:Container\";i:1;s:10:\"sioc:Forum\";}s:13:\"fieldMappings\";a:2:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:11:\"description\";a:1:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:description\";}}}}'),('','rdf.mapping.taxonomy_term.tags','a:9:{s:4:\"uuid\";s:36:\"3a611911-f089-4671-9b09-9fd18dbaf069\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"types\";a:1:{i:0;s:12:\"schema:Thing\";}s:13:\"fieldMappings\";a:2:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:11:\"description\";a:1:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:description\";}}}}'),('','rdf.mapping.user.user','a:9:{s:4:\"uuid\";s:36:\"26d0bc36-e978-4e1e-b500-ded2391e9b94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"user.user\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"types\";a:1:{i:0;s:13:\"schema:Person\";}s:13:\"fieldMappings\";a:1:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}}}'),('','search.page.node_search','a:10:{s:4:\"uuid\";s:36:\"e4b4595b-d6fe-4f25-a737-55889be9f8d6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:11:\"node_search\";s:5:\"label\";s:7:\"Content\";s:4:\"path\";s:4:\"node\";s:6:\"weight\";i:-10;s:6:\"plugin\";s:11:\"node_search\";s:13:\"configuration\";a:1:{s:8:\"rankings\";a:0:{}}}'),('','search.page.user_search','a:10:{s:4:\"uuid\";s:36:\"5b3c12c9-39e0-4abd-a808-8ba36978abd5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:11:\"user_search\";s:5:\"label\";s:5:\"Users\";s:4:\"path\";s:4:\"user\";s:6:\"weight\";i:0;s:6:\"plugin\";s:11:\"user_search\";s:13:\"configuration\";a:0:{}}'),('','search.settings','a:4:{s:12:\"and_or_limit\";i:7;s:12:\"default_page\";s:11:\"node_search\";s:5:\"index\";a:4:{s:10:\"cron_limit\";i:100;s:11:\"overlap_cjk\";b:1;s:17:\"minimum_word_size\";i:3;s:11:\"tag_weights\";a:12:{s:2:\"h1\";i:25;s:2:\"h2\";i:18;s:2:\"h3\";i:15;s:2:\"h4\";i:14;s:2:\"h5\";i:9;s:2:\"h6\";i:6;s:1:\"u\";i:3;s:1:\"b\";i:3;s:1:\"i\";i:3;s:6:\"strong\";i:3;s:2:\"em\";i:3;s:1:\"a\";i:10;}}s:7:\"logging\";b:0;}'),('','seven.settings','a:1:{s:20:\"third_party_settings\";a:1:{s:8:\"shortcut\";a:1:{s:11:\"module_link\";b:1;}}}'),('','shortcut.set.default','a:6:{s:4:\"uuid\";s:36:\"de172eb0-3714-4af2-8e2f-475125bfbdd8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"default\";s:5:\"label\";s:7:\"Default\";}'),('','simplenews.newsletter.default','a:18:{s:4:\"uuid\";s:36:\"b7ce3338-e1f6-430c-8d00-0bc6e0d173a3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:18:\"Default newsletter\";s:2:\"id\";s:7:\"default\";s:11:\"description\";s:41:\"This is an example newsletter. Change it.\";s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:9:\"from_name\";s:8:\"Pinteros\";s:7:\"subject\";s:43:\"[[simplenews-newsletter:name]] [node:title]\";s:12:\"from_address\";s:19:\"contact@weebpal.com\";s:10:\"hyperlinks\";b:0;s:16:\"allowed_handlers\";a:0:{}s:11:\"new_account\";s:4:\"none\";s:6:\"access\";s:7:\"default\";s:6:\"weight\";i:0;}'),('','simplenews.settings','a:5:{s:15:\"hash_expiration\";i:86400;s:10:\"newsletter\";a:6:{s:12:\"issue_tokens\";b:0;s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:12:\"from_address\";s:19:\"contact@weebpal.com\";s:9:\"from_name\";s:8:\"Pinteros\";}s:10:\"subscriber\";a:1:{s:11:\"sync_fields\";b:1;}s:12:\"subscription\";a:9:{s:17:\"skip_verification\";b:0;s:16:\"tidy_unconfirmed\";i:0;s:24:\"confirm_combined_subject\";s:28:\"Confirmation for [site:name]\";s:21:\"confirm_combined_body\";s:161:\"We have received a request to subscribe [simplenews-subscriber:mail] at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]\";s:31:\"confirm_combined_body_unchanged\";s:145:\"We have received a request to subscribe [simplenews-subscriber:mail] at [site:url]. No confirmation necessary because you are already subscribed.\";s:22:\"confirm_subscribe_page\";s:0:\"\";s:24:\"confirm_unsubscribe_page\";s:0:\"\";s:16:\"validate_subject\";s:40:\"Manage your subscriptions at [site:name]\";s:13:\"validate_body\";s:179:\"We have received a request to manage your subscriptions for [simplenews-subscriber:mail] at [site:url]. To proceed please use the link below.\r\n\r\n[simplenews-subscriber:manage-url]\";}s:4:\"mail\";a:8:{s:8:\"use_cron\";b:1;s:7:\"textalt\";b:1;s:8:\"throttle\";i:20;s:25:\"spool_progress_expiration\";i:3600;s:12:\"spool_expire\";i:0;s:5:\"debug\";b:0;s:12:\"source_cache\";s:42:\"\\Drupal\\simplenews\\Source\\SourceCacheBuild\";s:6:\"source\";s:38:\"\\Drupal\\simplenews\\Source\\SourceEntity\";}}'),('','system.action.comment_delete_action','a:9:{s:4:\"uuid\";s:36:\"a3fd4815-40d6-44fe-a62e-3bd012d5f4ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:21:\"comment_delete_action\";s:5:\"label\";s:14:\"Delete comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:28:\"entity:delete_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_publish_action','a:9:{s:4:\"uuid\";s:36:\"e82096bd-4345-4407-aa00-e61e8b1981e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:22:\"comment_publish_action\";s:5:\"label\";s:15:\"Publish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:29:\"entity:publish_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_save_action','a:9:{s:4:\"uuid\";s:36:\"6d5d6678-0b4f-4853-9200-a208e6e9331a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:19:\"comment_save_action\";s:5:\"label\";s:12:\"Save comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:26:\"entity:save_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_unpublish_action','a:9:{s:4:\"uuid\";s:36:\"0a6c14bb-7c1f-4980-bb00-b9f7b50f4e9d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:24:\"comment_unpublish_action\";s:5:\"label\";s:17:\"Unpublish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:31:\"entity:unpublish_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.component_item_delete_action','a:10:{s:4:\"uuid\";s:36:\"dcf9d363-3187-4c77-be09-14c0b1a8ed84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"GB5ZY3fvLqjpUASDOxhrvzULYgRC7emWxbjOovJsVUk\";}s:2:\"id\";s:28:\"component_item_delete_action\";s:5:\"label\";s:21:\"Delete Component Item\";s:4:\"type\";s:14:\"component_item\";s:6:\"plugin\";s:35:\"entity:delete_action:component_item\";s:13:\"configuration\";a:0:{}}'),('','system.action.component_wrapper_delete_action','a:10:{s:4:\"uuid\";s:36:\"7ef85419-075b-43e5-bafe-c26e4ddb52c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ldm636Gv0clkO_rL8zMx7TZliXX-HnO_og-RYCsh0Nw\";}s:2:\"id\";s:31:\"component_wrapper_delete_action\";s:5:\"label\";s:24:\"Delete Component Wrapper\";s:4:\"type\";s:17:\"component_wrapper\";s:6:\"plugin\";s:38:\"entity:delete_action:component_wrapper\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_delete_action','a:9:{s:4:\"uuid\";s:36:\"3f6fc361-82ba-4850-b409-9d3b01075099\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:18:\"node_delete_action\";s:5:\"label\";s:14:\"Delete content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"entity:delete_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_make_sticky_action','a:9:{s:4:\"uuid\";s:36:\"1fb8b212-fcca-4064-8c27-39715c6ac448\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:23:\"node_make_sticky_action\";s:5:\"label\";s:19:\"Make content sticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"node_make_sticky_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_make_unsticky_action','a:9:{s:4:\"uuid\";s:36:\"19439371-c5ec-4c75-9045-69c5de241559\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:25:\"node_make_unsticky_action\";s:5:\"label\";s:21:\"Make content unsticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"node_make_unsticky_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_promote_action','a:9:{s:4:\"uuid\";s:36:\"4464e8ab-8b29-401e-8900-e8278a980ae3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:19:\"node_promote_action\";s:5:\"label\";s:29:\"Promote content to front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:19:\"node_promote_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_publish_action','a:9:{s:4:\"uuid\";s:36:\"414fdcf1-944a-47ca-ab06-6c8d7d97eec9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:19:\"node_publish_action\";s:5:\"label\";s:15:\"Publish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:26:\"entity:publish_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_save_action','a:9:{s:4:\"uuid\";s:36:\"93a66a45-65df-4ae9-b915-218f93ebe4e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:16:\"node_save_action\";s:5:\"label\";s:12:\"Save content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"entity:save_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_unpromote_action','a:9:{s:4:\"uuid\";s:36:\"b4c03778-c045-42a6-8a02-2c42a878f31c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:21:\"node_unpromote_action\";s:5:\"label\";s:30:\"Remove content from front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"node_unpromote_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_unpublish_action','a:9:{s:4:\"uuid\";s:36:\"2bdc5b5c-195a-4e3f-9c08-8dd1dde63f64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:21:\"node_unpublish_action\";s:5:\"label\";s:17:\"Unpublish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:28:\"entity:unpublish_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.pathauto_update_alias_node','a:10:{s:4:\"uuid\";s:36:\"af266d48-9cb8-4959-a6df-e095098d5e2c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-SdRoSbsl_FULjbX8mgESZdeoEOjgi7rDhHNdLOJ8n8\";}s:2:\"id\";s:26:\"pathauto_update_alias_node\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}'),('','system.action.pathauto_update_alias_user','a:10:{s:4:\"uuid\";s:36:\"5a38db35-c8a8-43b1-b31d-18dbde8ac263\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fWszFHPeJ_dhZ8kJEEWo4w-FQH_etR4AxTQkQCW9OLk\";}s:2:\"id\";s:26:\"pathauto_update_alias_user\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}'),('','system.action.simplenews_send_action','a:9:{s:4:\"uuid\";s:36:\"5e7cbd9a-02dc-442e-8361-971e5814f987\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:22:\"simplenews_send_action\";s:5:\"label\";s:21:\"Send newsletter issue\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_send_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.simplenews_stop_action','a:9:{s:4:\"uuid\";s:36:\"f60aaa37-2dae-4151-8800-dc270e4e5ee2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:22:\"simplenews_stop_action\";s:5:\"label\";s:12:\"Stop sending\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_stop_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_add_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"e390fa3a-8991-4a3c-911b-279901d41460\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:34:\"user_add_role_action.administrator\";s:5:\"label\";s:48:\"Add the Administrator role to the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:20:\"user_add_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}'),('','system.action.user_block_user_action','a:9:{s:4:\"uuid\";s:36:\"16722ba6-3f01-4b17-9300-bab49ec6acba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:22:\"user_block_user_action\";s:5:\"label\";s:26:\"Block the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:22:\"user_block_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_cancel_user_action','a:9:{s:4:\"uuid\";s:36:\"ec061b61-07b6-474e-a908-08a0b8aa3ab1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:23:\"user_cancel_user_action\";s:5:\"label\";s:35:\"Cancel the selected user account(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_cancel_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_remove_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"d5c60a28-e55d-45fe-9900-f047bb6192e9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:37:\"user_remove_role_action.administrator\";s:5:\"label\";s:53:\"Remove the Administrator role from the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_remove_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}'),('','system.action.user_unblock_user_action','a:9:{s:4:\"uuid\";s:36:\"432c1aa6-c3f5-4ce8-9645-69dd764af1d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:24:\"user_unblock_user_action\";s:5:\"label\";s:28:\"Unblock the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:24:\"user_unblock_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.advisories','a:2:{s:7:\"enabled\";b:1;s:14:\"interval_hours\";i:6;}'),('','system.cron','a:2:{s:9:\"threshold\";a:2:{s:20:\"requirements_warning\";i:172800;s:18:\"requirements_error\";i:1209600;}s:7:\"logging\";i:1;}'),('','system.date','a:3:{s:9:\"first_day\";i:0;s:7:\"country\";a:1:{s:7:\"default\";s:0:\"\";}s:8:\"timezone\";a:2:{s:7:\"default\";s:19:\"America/Los_Angeles\";s:4:\"user\";a:3:{s:12:\"configurable\";b:1;s:7:\"default\";i:0;s:4:\"warn\";b:0;}}}'),('','system.diff','a:1:{s:7:\"context\";a:2:{s:13:\"lines_leading\";i:2;s:14:\"lines_trailing\";i:2;}}'),('','system.file','a:4:{s:22:\"allow_insecure_uploads\";b:0;s:14:\"default_scheme\";s:6:\"public\";s:4:\"path\";a:0:{}s:21:\"temporary_maximum_age\";i:21600;}'),('','system.image','a:1:{s:7:\"toolkit\";s:2:\"gd\";}'),('','system.image.gd','a:1:{s:12:\"jpeg_quality\";i:75;}'),('','system.logging','a:1:{s:11:\"error_level\";s:4:\"hide\";}'),('','system.mail','a:1:{s:9:\"interface\";a:1:{s:7:\"default\";s:8:\"php_mail\";}}'),('','system.maintenance','a:2:{s:8:\"langcode\";s:2:\"en\";s:7:\"message\";s:93:\"@site is currently under maintenance. We should be back shortly. Thank you for your patience.\";}'),('','system.menu.account','a:8:{s:4:\"uuid\";s:36:\"754ea27e-0618-4746-bd33-51f2f07defef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"account\";s:5:\"label\";s:17:\"User account menu\";s:11:\"description\";s:40:\"Links related to the active user account\";s:6:\"locked\";b:1;}'),('','system.menu.admin','a:8:{s:4:\"uuid\";s:36:\"c3e4c83b-39ea-48b3-bc03-3d1b6ee08966\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"admin\";s:5:\"label\";s:14:\"Administration\";s:11:\"description\";s:25:\"Administrative task links\";s:6:\"locked\";b:1;}'),('','system.menu.anonymous-menu','a:8:{s:4:\"uuid\";s:36:\"d4f019aa-2a40-4601-a90a-105362c087e7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:14:\"anonymous-menu\";s:5:\"label\";s:14:\"Anonymous Menu\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}'),('','system.menu.categories-menu','a:8:{s:4:\"uuid\";s:36:\"c89c9391-91f6-4f4c-9606-06170b00487a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"categories-menu\";s:5:\"label\";s:15:\"Categories Menu\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}'),('','system.menu.footer','a:8:{s:4:\"uuid\";s:36:\"1fea7611-4fe0-491f-a800-efcefae9eb2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:6:\"footer\";s:5:\"label\";s:6:\"Footer\";s:11:\"description\";s:22:\"Site information links\";s:6:\"locked\";b:1;}'),('','system.menu.main','a:8:{s:4:\"uuid\";s:36:\"2df9d83c-80b7-4ede-be00-e854bc4d3434\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"main\";s:5:\"label\";s:15:\"Main navigation\";s:11:\"description\";s:18:\"Site section links\";s:6:\"locked\";b:1;}'),('','system.menu.tools','a:8:{s:4:\"uuid\";s:36:\"1dfc6c27-936b-4bbf-8200-b11269ea3355\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"tools\";s:5:\"label\";s:5:\"Tools\";s:11:\"description\";s:39:\"User tool links, often added by modules\";s:6:\"locked\";b:1;}'),('','system.performance','a:5:{s:5:\"cache\";a:1:{s:4:\"page\";a:1:{s:7:\"max_age\";i:0;}}s:3:\"css\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:8:\"fast_404\";a:4:{s:7:\"enabled\";b:1;s:5:\"paths\";s:69:\"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i\";s:13:\"exclude_paths\";s:27:\"/\\/(?:styles|imagecache)\\//\";s:4:\"html\";s:162:\"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL \"@path\" was not found on this server.</p></body></html>\";}s:2:\"js\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:20:\"stale_file_threshold\";i:2592000;}'),('','system.rss','a:1:{s:5:\"items\";a:1:{s:9:\"view_mode\";s:3:\"rss\";}}'),('','system.site','a:10:{s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"e03af24f-abf2-46a9-b800-0ecaac6a4921\";s:4:\"name\";s:8:\"Pinteros\";s:4:\"mail\";s:13:\"admin@lvh.com\";s:6:\"slogan\";s:0:\"\";s:4:\"page\";a:3:{i:403;s:0:\"\";i:404;s:0:\"\";s:5:\"front\";s:5:\"/node\";}s:18:\"admin_compact_mode\";b:0;s:17:\"weight_select_max\";i:100;s:16:\"default_langcode\";s:2:\"en\";s:17:\"mail_notification\";s:0:\"\";}'),('','system.theme','a:2:{s:5:\"admin\";s:5:\"seven\";s:7:\"default\";s:8:\"pinteros\";}'),('','system.theme.global','a:3:{s:7:\"favicon\";a:4:{s:8:\"mimetype\";s:24:\"image/vnd.microsoft.icon\";s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}s:8:\"features\";a:4:{s:20:\"comment_user_picture\";b:1;s:25:\"comment_user_verification\";b:1;s:7:\"favicon\";b:1;s:17:\"node_user_picture\";b:1;}s:4:\"logo\";a:3:{s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}}'),('','taxonomy.settings','a:3:{s:20:\"maintain_index_table\";b:1;s:17:\"override_selector\";b:0;s:20:\"terms_per_page_admin\";i:100;}'),('','taxonomy.vocabulary.categories','a:8:{s:4:\"uuid\";s:36:\"ea3e3f7f-a9b0-4392-af56-86c5d602c3cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Categories\";s:3:\"vid\";s:10:\"categories\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}'),('','taxonomy.vocabulary.component_types','a:9:{s:4:\"uuid\";s:36:\"f8a75a6c-d150-4615-af42-0c390e6a8467\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"abmmzYeLdkKgT_psAApn9APuH_JPky6OpaHuEFGv-u0\";}s:4:\"name\";s:15:\"Component Types\";s:3:\"vid\";s:15:\"component_types\";s:11:\"description\";s:15:\"Component Types\";s:6:\"weight\";i:0;}'),('','taxonomy.vocabulary.forums','a:8:{s:4:\"uuid\";s:36:\"671b16a7-b6e0-4384-9251-81abeedece08\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"forum\";}}}s:4:\"name\";s:6:\"Forums\";s:3:\"vid\";s:6:\"forums\";s:11:\"description\";s:27:\"Forum navigation vocabulary\";s:6:\"weight\";i:-10;}'),('','taxonomy.vocabulary.tags','a:8:{s:4:\"uuid\";s:36:\"f09a3045-db8b-4075-a10f-1554c37b0660\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:4:\"Tags\";s:3:\"vid\";s:4:\"tags\";s:11:\"description\";s:61:\"Use tags to group articles on similar topics into categories.\";s:6:\"weight\";i:0;}'),('','text.settings','a:1:{s:22:\"default_summary_length\";i:600;}'),('','tour.tour.language','a:10:{s:4:\"uuid\";s:36:\"23f8a2e8-9af9-4ca9-989d-2664753f0b01\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"LlLH_HQYhZxal4iB88sQSB45acF-8GJH0PJcvziEmqg\";}s:2:\"id\";s:8:\"language\";s:5:\"label\";s:8:\"Language\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";}}s:4:\"tips\";a:6:{s:17:\"language-overview\";a:5:{s:2:\"id\";s:17:\"language-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:9:\"Languages\";s:6:\"weight\";i:1;s:4:\"body\";s:96:\"<p>The \"Languages\" page allows you to add, edit, delete, and reorder languages for the site.</p>\";}s:12:\"language-add\";a:6:{s:2:\"id\";s:12:\"language-add\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Adding languages\";s:6:\"weight\";i:2;s:8:\"selector\";s:14:\".button-action\";s:4:\"body\";s:171:\"<p>To add more languages to your site, click the \"Add language\" button.</p><p>Added languages will be displayed in the language list and can then be edited or deleted.</p>\";}s:16:\"language-reorder\";a:6:{s:2:\"id\";s:16:\"language-reorder\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Reordering languages\";s:6:\"weight\";i:3;s:8:\"selector\";s:10:\".draggable\";s:4:\"body\";s:402:\"<p>To reorder the languages on your site, use the drag icons next to each language.</p><p>The order shown here is the display order for language lists on the site such as in the language switcher blocks provided by the Interface Translation and Content Translation modules.</p><p>When you are done with reordering the languages, click the \"Save configuration\" button for the changes to take effect.</p>\";}s:16:\"language-default\";a:6:{s:2:\"id\";s:16:\"language-default\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:25:\"Set a language as default\";s:6:\"weight\";i:4;s:8:\"selector\";s:35:\".js-form-item-site-default-language\";s:4:\"body\";s:274:\"<p>You can change the default language of the site by choosing one of your configured languages as default. The site will use the default language in situations where no choice is made but a language should be set, for example as the language of the displayed interface.</p>\";}s:19:\"language-operations\";a:6:{s:2:\"id\";s:19:\"language-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:19:\"Modifying languages\";s:6:\"weight\";i:5;s:8:\"selector\";s:19:\".dropbutton-wrapper\";s:4:\"body\";s:399:\"<p>Operations are provided for editing and deleting your languages.</p><p>You can edit the name and the direction of the language.</p><p>Deleted languages can be added back at a later time. Deleting a language will remove all interface translations associated with it, and content in this language will be set to be language neutral. Note that you cannot delete the default language of the site.</p>\";}s:17:\"language-continue\";a:5:{s:2:\"id\";s:17:\"language-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:6:\"weight\";i:6;s:4:\"body\";s:261:\"<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]/admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>\";}}}'),('','tour.tour.language-add','a:10:{s:4:\"uuid\";s:36:\"ca24f041-53b4-45f0-98c0-3cf2e6afe954\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AMWw3H7E7fuBLMW6LmsCJvYFYQiWwSCl0Fbwe0wiIrU\";}s:2:\"id\";s:12:\"language-add\";s:5:\"label\";s:16:\"Adding languages\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:12:\"language.add\";}}s:4:\"tips\";a:3:{s:21:\"language-add-overview\";a:5:{s:2:\"id\";s:21:\"language-add-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Adding languages\";s:6:\"weight\";i:1;s:4:\"body\";s:154:\"<p>This page provides the ability to add common languages to your site.</p><p>If the desired language is not available, you can add a custom language.</p>\";}s:19:\"language-add-choose\";a:6:{s:2:\"id\";s:19:\"language-add-choose\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:15:\"Select language\";s:6:\"weight\";i:2;s:8:\"selector\";s:25:\"#edit-predefined-langcode\";s:4:\"body\";s:312:\"<p>Choose a language from the list, or choose \"Custom language...\" at the end of the list.</p><p>Click the \"Add language\" button when you are done choosing your language.</p><p>When adding a custom language, you will get an additional form where you can provide the name, code, and direction of the language.</p>\";}s:21:\"language-add-continue\";a:5:{s:2:\"id\";s:21:\"language-add-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:6:\"weight\";i:3;s:4:\"body\";s:250:\"<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>\";}}}'),('','tour.tour.language-edit','a:10:{s:4:\"uuid\";s:36:\"68dfb092-93bb-40f3-b54c-e1f9ec0b81f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eYyOjXVghEin1Ed7t7vr9X0dSn018_zeZegu2Ao-j4Q\";}s:2:\"id\";s:13:\"language-edit\";s:5:\"label\";s:17:\"Editing languages\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:38:\"entity.configurable_language.edit_form\";}}s:4:\"tips\";a:5:{s:22:\"language-edit-overview\";a:5:{s:2:\"id\";s:22:\"language-edit-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:17:\"Editing languages\";s:6:\"weight\";i:1;s:4:\"body\";s:98:\"<p>This page provides the ability to edit a language on your site, including custom languages.</p>\";}s:22:\"language-edit-langcode\";a:6:{s:2:\"id\";s:22:\"language-edit-langcode\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Language code\";s:6:\"weight\";i:2;s:8:\"selector\";s:19:\"#edit-langcode-view\";s:4:\"body\";s:122:\"<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>\";}s:19:\"language-edit-label\";a:6:{s:2:\"id\";s:19:\"language-edit-label\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Language name\";s:6:\"weight\";i:3;s:8:\"selector\";s:11:\"#edit-label\";s:4:\"body\";s:289:\"<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>\";}s:23:\"language-edit-direction\";a:6:{s:2:\"id\";s:23:\"language-edit-direction\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:18:\"Language direction\";s:6:\"weight\";i:4;s:8:\"selector\";s:37:\"#edit-direction--wrapper--description\";s:4:\"body\";s:196:\"<p>Choose if the language is a \"Left to right\" or \"Right to left\" language.</p><p>Note that not all themes support \"Right to left\" layouts, so test your theme if you are using \"Right to left\".</p>\";}s:22:\"language-edit-continue\";a:5:{s:2:\"id\";s:22:\"language-edit-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:6:\"weight\";i:5;s:4:\"body\";s:218:\"<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>\";}}}'),('','tour.tour.locale','a:10:{s:4:\"uuid\";s:36:\"f83778ee-10a7-4626-aa6f-5853082ac997\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"locale\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2RuPjrDfA8rPp1mcEzIYMz7RRJQLfovwJuJnuosFu2Y\";}s:2:\"id\";s:6:\"locale\";s:5:\"label\";s:11:\"Translation\";s:6:\"module\";s:6:\"locale\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:21:\"locale.translate_page\";}}s:4:\"tips\";a:8:{s:15:\"locale-overview\";a:5:{s:2:\"id\";s:15:\"locale-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:26:\"User interface translation\";s:6:\"weight\";i:1;s:4:\"body\";s:281:\"This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]/admin/config/regional/language\">Languages page</a>, in order to use this page.\";}s:15:\"locale-language\";a:6:{s:2:\"id\";s:15:\"locale-language\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Translation language\";s:6:\"weight\";i:2;s:8:\"selector\";s:14:\"#edit-langcode\";s:4:\"body\";s:42:\"Choose the language you want to translate.\";}s:13:\"locale-search\";a:6:{s:2:\"id\";s:13:\"locale-search\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:6:\"Search\";s:6:\"weight\";i:3;s:8:\"selector\";s:12:\"#edit-string\";s:4:\"body\";s:100:\"Enter the specific word or sentence you want to translate, you can also write just a part of a word.\";}s:13:\"locale-filter\";a:6:{s:2:\"id\";s:13:\"locale-filter\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:17:\"Filter the search\";s:6:\"weight\";i:4;s:8:\"selector\";s:17:\"#edit-translation\";s:4:\"body\";s:202:\"You can search for untranslated strings if you want to translate something that isn\'t translated yet. If you want to modify an existing translation, you might want to search only for translated strings.\";}s:13:\"locale-submit\";a:6:{s:2:\"id\";s:13:\"locale-submit\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:26:\"Apply your search criteria\";s:6:\"weight\";i:5;s:8:\"selector\";s:12:\"#edit-submit\";s:4:\"body\";s:67:\"To apply your search criteria, click on the <em>Filter</em> button.\";}s:16:\"locale-translate\";a:6:{s:2:\"id\";s:16:\"locale-translate\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:9:\"Translate\";s:6:\"weight\";i:6;s:8:\"selector\";s:22:\".js-form-type-textarea\";s:4:\"body\";s:180:\"You can write your own translation in the text fields of the right column. Try to figure out in which context the text will be used in order to translate it in the appropriate way.\";}s:15:\"locale-validate\";a:6:{s:2:\"id\";s:15:\"locale-validate\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:24:\"Validate the translation\";s:6:\"weight\";i:7;s:8:\"selector\";s:15:\"#edit-submit--2\";s:4:\"body\";s:181:\"When you have finished your translations, click on the <em>Save translations</em> button. You must save your translations, each time before changing the page or making a new search.\";}s:15:\"locale-continue\";a:5:{s:2:\"id\";s:15:\"locale-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:6:\"weight\";i:8;s:4:\"body\";s:354:\"The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]/admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]/admin/config/regional/translate/import\">import them</a> later.\";}}}'),('','tour.tour.views-ui','a:9:{s:4:\"uuid\";s:36:\"aed4a61c-3612-4ba2-983f-630103c8eca7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"views_ui\";}}s:2:\"id\";s:8:\"views-ui\";s:5:\"label\";s:14:\"View edit page\";s:6:\"module\";s:8:\"views_ui\";s:6:\"routes\";a:2:{i:0;a:1:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";}i:1;a:1:{s:10:\"route_name\";s:29:\"entity.view.edit_display_form\";}}s:4:\"tips\";a:10:{s:10:\"views-main\";a:5:{s:2:\"id\";s:10:\"views-main\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Manage view settings\";s:6:\"weight\";i:1;s:4:\"body\";s:31:\"View or edit the configuration.\";}s:17:\"views-ui-displays\";a:6:{s:2:\"id\";s:17:\"views-ui-displays\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:21:\"Displays in this view\";s:6:\"weight\";i:2;s:8:\"selector\";s:18:\"#views-display-top\";s:4:\"body\";s:169:\"A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.\";}s:19:\"views-ui-view-admin\";a:7:{s:2:\"id\";s:19:\"views-ui-view-admin\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:19:\"View administration\";s:6:\"weight\";i:3;s:8:\"position\";s:10:\"left-start\";s:8:\"selector\";s:28:\"#views-display-extra-actions\";s:4:\"body\";s:140:\"Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.\";}s:15:\"views-ui-format\";a:6:{s:2:\"id\";s:15:\"views-ui-format\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Output format\";s:6:\"weight\";i:4;s:8:\"selector\";s:35:\".views-ui-display-tab-bucket.format\";s:4:\"body\";s:325:\"Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal\'s base functionality.\";}s:15:\"views-ui-fields\";a:6:{s:2:\"id\";s:15:\"views-ui-fields\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:6:\"Fields\";s:6:\"weight\";i:5;s:8:\"selector\";s:34:\".views-ui-display-tab-bucket.field\";s:4:\"body\";s:89:\"If this view uses fields, they are listed here. You can click on a field to configure it.\";}s:15:\"views-ui-filter\";a:6:{s:2:\"id\";s:15:\"views-ui-filter\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Filter your view\";s:6:\"weight\";i:6;s:8:\"selector\";s:35:\".views-ui-display-tab-bucket.filter\";s:4:\"body\";s:173:\"Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.\";}s:26:\"views-ui-filter-operations\";a:6:{s:2:\"id\";s:26:\"views-ui-filter-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:14:\"Filter actions\";s:6:\"weight\";i:7;s:8:\"selector\";s:54:\".views-ui-display-tab-bucket.filter .dropbutton-widget\";s:4:\"body\";s:33:\"Add, rearrange or remove filters.\";}s:14:\"views-ui-sorts\";a:6:{s:2:\"id\";s:14:\"views-ui-sorts\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Sort Criteria\";s:6:\"weight\";i:8;s:8:\"selector\";s:33:\".views-ui-display-tab-bucket.sort\";s:4:\"body\";s:96:\"Control the order in which the results are output. Click on an active sort rule to configure it.\";}s:25:\"views-ui-sorts-operations\";a:6:{s:2:\"id\";s:25:\"views-ui-sorts-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:12:\"Sort actions\";s:6:\"weight\";i:9;s:8:\"selector\";s:52:\".views-ui-display-tab-bucket.sort .dropbutton-widget\";s:4:\"body\";s:39:\"Add, rearrange or remove sorting rules.\";}s:16:\"views-ui-preview\";a:7:{s:2:\"id\";s:16:\"views-ui-preview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:7:\"Preview\";s:6:\"weight\";i:10;s:8:\"position\";s:10:\"left-start\";s:8:\"selector\";s:15:\"#preview-submit\";s:4:\"body\";s:34:\"Show a preview of the view output.\";}}}'),('','update.settings','a:3:{s:5:\"check\";a:2:{s:19:\"disabled_extensions\";b:0;s:13:\"interval_days\";i:1;}s:5:\"fetch\";a:3:{s:3:\"url\";s:0:\"\";s:12:\"max_attempts\";i:2;s:7:\"timeout\";i:30;}s:12:\"notification\";a:2:{s:6:\"emails\";a:1:{i:0;s:19:\"contact@weebpal.com\";}s:9:\"threshold\";s:3:\"all\";}}'),('','user.flood','a:5:{s:8:\"uid_only\";b:0;s:8:\"ip_limit\";i:50;s:9:\"ip_window\";i:3600;s:10:\"user_limit\";i:5;s:11:\"user_window\";i:21600;}'),('','user.mail','a:10:{s:8:\"langcode\";s:2:\"en\";s:14:\"cancel_confirm\";a:2:{s:7:\"subject\";s:67:\"Account cancellation request for [user:display-name] at [site:name]\";s:4:\"body\";s:389:\"[user:display-name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team\";}s:14:\"password_reset\";a:2:{s:7:\"subject\";s:68:\"Replacement login information for [user:display-name] at [site:name]\";s:4:\"body\";s:417:\"[user:display-name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\r\n\r\n--  [site:name] team\";}s:22:\"register_admin_created\";a:2:{s:7:\"subject\";s:58:\"An administrator created an account for you at [site:name]\";s:4:\"body\";s:486:\"[user:display-name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";}s:29:\"register_no_approval_required\";a:2:{s:7:\"subject\";s:54:\"Account details for [user:display-name] at [site:name]\";s:4:\"body\";s:460:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";}s:25:\"register_pending_approval\";a:2:{s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";s:4:\"body\";s:294:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team\";}s:31:\"register_pending_approval_admin\";a:2:{s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";s:4:\"body\";s:66:\"[user:display-name] has applied for an account.\r\n\r\n[user:edit-url]\";}s:16:\"status_activated\";a:2:{s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (approved)\";s:4:\"body\";s:477:\"[user:display-name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:account-name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";}s:14:\"status_blocked\";a:2:{s:7:\"subject\";s:64:\"Account details for [user:display-name] at [site:name] (blocked)\";s:4:\"body\";s:93:\"[user:display-name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team\";}s:15:\"status_canceled\";a:2:{s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (canceled)\";s:4:\"body\";s:94:\"[user:display-name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team\";}}'),('','user.role.administrator','a:9:{s:4:\"uuid\";s:36:\"498f8330-efea-425e-b203-3e41cf260662\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"administrator\";s:5:\"label\";s:13:\"Administrator\";s:6:\"weight\";i:2;s:8:\"is_admin\";b:1;s:11:\"permissions\";a:0:{}}'),('','user.role.anonymous','a:9:{s:4:\"uuid\";s:36:\"0997490d-3c00-4854-b300-be44480e6027\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:29:\"filter.format.restricted_html\";}s:6:\"module\";a:7:{i:0;s:7:\"comment\";i:1;s:17:\"component_builder\";i:2;s:7:\"contact\";i:3;s:6:\"filter\";i:4;s:6:\"search\";i:5;s:10:\"simplenews\";i:6;s:6:\"system\";}}s:2:\"id\";s:9:\"anonymous\";s:5:\"label\";s:14:\"Anonymous user\";s:6:\"weight\";i:0;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:9:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:29:\"access site-wide contact form\";i:3;s:14:\"search content\";i:4;s:24:\"subscribe to newsletters\";i:5;s:19:\"use advanced search\";i:6;s:31:\"use text format restricted_html\";i:7;s:19:\"view component_item\";i:8;s:22:\"view component_wrapper\";}}'),('','user.role.authenticated','a:9:{s:4:\"uuid\";s:36:\"139c45bc-251a-4821-973f-63fc64bdf175\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"filter.format.basic_html\";}s:6:\"module\";a:8:{i:0;s:7:\"comment\";i:1;s:17:\"component_builder\";i:2;s:7:\"contact\";i:3;s:6:\"filter\";i:4;s:6:\"search\";i:5;s:8:\"shortcut\";i:6;s:10:\"simplenews\";i:7;s:6:\"system\";}}s:2:\"id\";s:13:\"authenticated\";s:5:\"label\";s:18:\"Authenticated user\";s:6:\"weight\";i:1;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:13:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:16:\"access shortcuts\";i:3;s:29:\"access site-wide contact form\";i:4;s:17:\"administer search\";i:5;s:13:\"post comments\";i:6;s:14:\"search content\";i:7;s:21:\"skip comment approval\";i:8;s:24:\"subscribe to newsletters\";i:9;s:19:\"use advanced search\";i:10;s:26:\"use text format basic_html\";i:11;s:19:\"view component_item\";i:12;s:22:\"view component_wrapper\";}}'),('','user.settings','a:8:{s:8:\"langcode\";s:2:\"en\";s:9:\"anonymous\";s:9:\"Anonymous\";s:11:\"verify_mail\";b:1;s:6:\"notify\";a:8:{s:14:\"cancel_confirm\";b:1;s:14:\"password_reset\";b:1;s:16:\"status_activated\";b:1;s:14:\"status_blocked\";b:0;s:15:\"status_canceled\";b:0;s:22:\"register_admin_created\";b:1;s:29:\"register_no_approval_required\";b:1;s:25:\"register_pending_approval\";b:1;}s:8:\"register\";s:10:\"admin_only\";s:13:\"cancel_method\";s:17:\"user_cancel_block\";s:22:\"password_reset_timeout\";i:86400;s:17:\"password_strength\";b:1;}'),('','views.settings','a:5:{s:17:\"display_extenders\";a:0:{}s:10:\"skip_cache\";b:0;s:13:\"sql_signature\";b:0;s:2:\"ui\";a:3:{s:4:\"show\";a:7:{s:18:\"additional_queries\";b:0;s:15:\"advanced_column\";b:0;s:15:\"default_display\";b:0;s:22:\"performance_statistics\";b:0;s:19:\"preview_information\";b:1;s:9:\"sql_query\";a:2:{s:7:\"enabled\";b:0;s:5:\"where\";s:5:\"above\";}s:13:\"display_embed\";b:0;}s:19:\"always_live_preview\";b:1;s:24:\"exposed_filter_any_label\";s:7:\"old_any\";}s:22:\"field_rewrite_elements\";a:29:{s:3:\"div\";s:3:\"DIV\";s:4:\"span\";s:4:\"SPAN\";s:2:\"h1\";s:2:\"H1\";s:2:\"h2\";s:2:\"H2\";s:2:\"h3\";s:2:\"H3\";s:2:\"h4\";s:2:\"H4\";s:2:\"h5\";s:2:\"H5\";s:2:\"h6\";s:2:\"H6\";s:1:\"p\";s:1:\"P\";s:6:\"header\";s:6:\"HEADER\";s:6:\"footer\";s:6:\"FOOTER\";s:7:\"article\";s:7:\"ARTICLE\";s:7:\"section\";s:7:\"SECTION\";s:5:\"aside\";s:5:\"ASIDE\";s:7:\"details\";s:7:\"DETAILS\";s:10:\"blockquote\";s:10:\"BLOCKQUOTE\";s:6:\"figure\";s:6:\"FIGURE\";s:7:\"address\";s:7:\"ADDRESS\";s:4:\"code\";s:4:\"CODE\";s:3:\"pre\";s:3:\"PRE\";s:3:\"var\";s:3:\"VAR\";s:4:\"samp\";s:4:\"SAMP\";s:3:\"kbd\";s:3:\"KBD\";s:6:\"strong\";s:6:\"STRONG\";s:2:\"em\";s:2:\"EM\";s:3:\"del\";s:3:\"DEL\";s:3:\"ins\";s:3:\"INS\";s:1:\"q\";s:1:\"Q\";s:1:\"s\";s:1:\"S\";}}'),('','views.view.archive','a:12:{s:4:\"uuid\";s:36:\"1d7c19cb-f1e2-4de0-a102-2b581f63ed6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"archive\";s:5:\"label\";s:7:\"Archive\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:22:\"All content, by month.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:15:\"Monthly archive\";s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:15:\"date_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:15:\"summary_options\";a:2:{s:8:\"override\";b:1;s:14:\"items_per_page\";i:30;}s:7:\"summary\";a:2:{s:10:\"sort_order\";s:4:\"desc\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:15:\"date_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";i:30;}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:7:\"archive\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.block_content','a:12:{s:4:\"uuid\";s:36:\"ae1ab4a9-ef8b-4b61-9518-24a93fab4a15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"user\";}}s:2:\"id\";s:13:\"block_content\";s:5:\"label\";s:20:\"Custom block library\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:30:\"Find and manage custom blocks.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:24:\"block_content_field_data\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:20:\"Custom block library\";s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:8:\"tokenize\";b:0;}s:27:\"block_content_listing_empty\";a:10:{s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:27:\"block_content_listing_empty\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:19:\"block.admin_display\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.categories','a:12:{s:4:\"uuid\";s:36:\"a90ee9da-e74b-42fc-8c00-d9e60fda0454\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:10:\"categories\";s:5:\"label\";s:10:\"Categories\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"title\";s:10:\"Categories\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:26:\"taxonomy_term__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:0:\"\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:3:\"vid\";a:16:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:15:\"categories-list\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:46:\"config:field.storage.taxonomy_term.field_image\";}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:10:\"categories\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:46:\"config:field.storage.taxonomy_term.field_image\";}}}}}'),('','views.view.comment','a:12:{s:4:\"uuid\";s:36:\"80d942cf-7d88-4dc3-8ad9-9fad9398dc14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:8:\"Comments\";s:6:\"module\";s:7:\"comment\";s:11:\"description\";s:25:\"Find and manage comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:26:{s:5:\"title\";s:8:\"Comments\";s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"changed\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:9:\"css_class\";s:0:\"\";s:8:\"use_ajax\";b:0;s:8:\"group_by\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:23:\"hide_attachment_summary\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}s:9:\"cacheable\";b:0;}}s:14:\"page_published\";a:6:{s:2:\"id\";s:14:\"page_published\";s:13:\"display_title\";s:18:\"Published comments\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:19:\"display_description\";s:30:\"The approved comments listing.\";s:15:\"display_comment\";s:0:\"\";s:13:\"exposed_block\";b:0;s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:21:\"admin/content/comment\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}s:9:\"cacheable\";b:0;}}s:15:\"page_unapproved\";a:6:{s:2:\"id\";s:15:\"page_unapproved\";s:13:\"display_title\";s:19:\"Unapproved comments\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:30:\"admin/content/comment/approval\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"weight\";i:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}s:9:\"cacheable\";b:0;}}}}'),('','views.view.comments_recent','a:12:{s:4:\"uuid\";s:36:\"65af5761-1e55-45ed-bc00-0d85c9511443\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:15:\"comments_recent\";s:5:\"label\";s:15:\"Recent comments\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:16:\"Recent comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:14:{s:5:\"title\";s:15:\"Recent comments\";s:6:\"fields\";a:2:{s:7:\"subject\";a:26:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:2;}}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:2:{s:7:\"created\";a:12:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;}s:3:\"cid\";a:12:{s:2:\"id\";s:3:\"cid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"cid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"cid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:16:\"field_identifier\";s:3:\"cid\";}}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:11:\"status_node\";a:10:{s:2:\"id\";s:11:\"status_node\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"node\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:2:{s:7:\"subject\";s:7:\"subject\";s:7:\"changed\";s:7:\"changed\";}s:9:\"separator\";s:1:\" \";s:10:\"hide_empty\";b:0;}}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:13:\"relationships\";a:1:{s:4:\"node\";a:5:{s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"node\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:15:\"Recent comments\";s:14:\"block_category\";s:13:\"Lists (Views)\";s:5:\"allow\";a:1:{s:14:\"items_per_page\";b:1;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.content','a:12:{s:4:\"uuid\";s:36:\"bcc0f32a-084c-40f8-853f-63eb73b3a2c7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"content\";s:5:\"label\";s:7:\"Content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:24:\"Find and manage content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:7:\"Content\";s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:12:\"Content Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:11:\"Unpublished\";s:18:\"format_custom_true\";s:9:\"Published\";}}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:5:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:16:\"show_admin_links\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:18:\"admin/content/node\";s:4:\"menu\";a:8:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:6:\"weight\";i:-10;s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.content_recent','a:12:{s:4:\"uuid\";s:36:\"3666a46c-3fd9-4583-ad00-ea567b46c05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:14:\"content_recent\";s:5:\"label\";s:14:\"Recent content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:15:\"Recent content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:22:{s:5:\"title\";s:14:\"Recent content\";s:6:\"fields\";a:2:{s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"changed\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:12:\"status_extra\";a:15:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:1;}}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"More\";s:12:\"link_display\";s:1:\"0\";s:8:\"link_url\";s:0:\"\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.featured_posts','a:12:{s:4:\"uuid\";s:36:\"b2edd34f-ecf2-40ef-a45d-9321abf7ba6e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:24:\"image.style.image_60x60_\";i:3;s:22:\"image.style.image_622x\";i:4;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:14:\"featured_posts\";s:5:\"label\";s:10:\"Blog Posts\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:4:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:14:\"Featured Posts\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:10:\"image_622x\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:3;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:14:\"Featured Posts\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:8:\"defaults\";a:3:{s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:9:\"css_class\";s:14:\"featured-posts\";s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_2\";a:6:{s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:14:\"Trending Posts\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:5:\"title\";s:14:\"Trending Posts\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:12:\"image_60x60_\";s:13:\"image_loading\";a:1:{s:9:\"attribute\";s:4:\"lazy\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:4;}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:8:\"defaults\";a:6:{s:5:\"title\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:9:\"css_class\";s:14:\"trending-posts\";s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:3;s:15:\"display_options\";a:10:{s:5:\"title\";s:4:\"Blog\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:3;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:8:\"defaults\";a:6:{s:5:\"title\";b:0;s:5:\"pager\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:5:\"blogs\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}}}'),('','views.view.files','a:12:{s:4:\"uuid\";s:36:\"14cedef4-92e4-417f-a10f-15e2aa57aef1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:4:\"user\";}}s:2:\"id\";s:5:\"files\";s:5:\"label\";s:5:\"Files\";s:6:\"module\";s:4:\"file\";s:11:\"description\";s:22:\"Find and manage files.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:12:\"file_managed\";s:10:\"base_field\";s:3:\"fid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:5:\"title\";s:5:\"Files\";s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:9:\"Mime type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"Mime type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:11:\"file_status\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:7:\"default\";s:7:\"changed\";s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:8:\"group_by\";b:1;s:16:\"show_admin_links\";b:1;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:14:\"Files overview\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:8:\"defaults\";a:2:{s:5:\"pager\";b:1;s:13:\"relationships\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/content/files\";s:4:\"menu\";a:8:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:7:\"context\";s:0:\"\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_2\";a:6:{s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:10:\"File usage\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:16:{s:5:\"title\";s:10:\"File usage\";s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:12:\"entity_label\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"empty\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";s:9:\"plugin_id\";s:8:\"file_fid\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:8:\"override\";b:0;s:14:\"items_per_page\";i:25;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;}}s:7:\"filters\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:7:\"default\";s:12:\"entity_label\";s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:11:{s:5:\"empty\";b:0;s:5:\"title\";b:0;s:5:\"pager\";b:0;s:8:\"group_by\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:9:\"arguments\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:8:\"group_by\";b:0;s:19:\"display_description\";s:0:\"\";s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.frontpage','a:12:{s:4:\"uuid\";s:36:\"f158fc9e-bd54-4cd7-8404-4e339ee75f6a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:9:\"frontpage\";s:5:\"label\";s:9:\"Frontpage\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:39:\"All content promoted to the front page.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:0:\"\";s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:12;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:43:\"No front page content has been created yet.\";s:8:\"tokenize\";b:0;}s:18:\"node_listing_empty\";a:10:{s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:18:\"node_listing_empty\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"sticky\";}s:7:\"exposed\";b:0;}s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"promote\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:14:\"url.query_args\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:7:\"enabled\";b:0;s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:3:\"rss\";}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:7:\"rss.xml\";s:14:\"sitename_title\";b:1;s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:0:\"\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:21:\"user.node_grants:view\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"node\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:14:\"url.query_args\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.glossary','a:12:{s:4:\"uuid\";s:36:\"c2100dc2-f241-459a-8700-a4648bf71e05\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"glossary\";s:5:\"label\";s:8:\"Glossary\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:23:\"All content, by letter.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"fields\";a:3:{s:5:\"title\";a:24:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Last update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:4:\"long\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:36;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:0:{}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:12:\"break_phrase\";b:0;}}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;s:7:\"columns\";a:3:{s:5:\"title\";s:5:\"title\";s:4:\"name\";s:4:\"name\";s:7:\"changed\";s:7:\"changed\";}s:7:\"default\";s:5:\"title\";s:4:\"info\";a:3:{s:5:\"title\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:4:\"name\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:7:\"changed\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:5:\"order\";s:3:\"asc\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:8:\"use_ajax\";b:1;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:12:\"attachment_1\";a:6:{s:2:\"id\";s:12:\"attachment_1\";s:13:\"display_title\";s:10:\"Attachment\";s:14:\"display_plugin\";s:10:\"attachment\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:3:{s:14:\"items_per_page\";i:25;s:6:\"inline\";b:1;s:9:\"separator\";s:3:\" | \";}s:7:\"summary\";a:1:{s:6:\"format\";s:19:\"unformatted_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:12:\"break_phrase\";b:0;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:17:\"display_extenders\";a:0:{}s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:6:\"page_1\";s:6:\"page_1\";}s:17:\"inherit_arguments\";b:0;}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:8:\"glossary\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Glossary\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.showcase','a:12:{s:4:\"uuid\";s:36:\"80194863-f0f2-4e64-b03b-596934fb22cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"showcase\";s:5:\"label\";s:8:\"Showcase\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"title\";s:8:\"Showcase\";s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:13:\"showcase-list\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:8:\"showcase\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.simplenews_newsletters','a:12:{s:4:\"uuid\";s:36:\"84908b76-6b39-4318-8954-84c4195a566d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";i:2;s:4:\"user\";}}s:2:\"id\";s:22:\"simplenews_newsletters\";s:5:\"label\";s:11:\"Newsletters\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:11:\"Newsletters\";s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:19:\"format_custom_false\";s:0:\"\";s:18:\"format_custom_true\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:1;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}s:9:\"cacheable\";b:0;}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}s:9:\"cacheable\";b:0;}}}}'),('','views.view.simplenews_subscribers','a:12:{s:4:\"uuid\";s:36:\"2df9591e-5940-4d54-b753-83a1a6cc780c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:0:{}s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:4:\"user\";}}s:2:\"id\";s:22:\"simplenews_subscribers\";s:5:\"label\";s:11:\"Subscribers\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:21:\"simplenews_subscriber\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:11:\"Subscribers\";s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:23:\"subscriptions_target_id\";a:34:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:30;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"next ›\";s:8:\"previous\";s:12:\"‹ previous\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:1;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}s:9:\"cacheable\";b:0;}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:11;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:16:\"user.admin_index\";s:7:\"context\";s:1:\"0\";}}s:14:\"cache_metadata\";a:4:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}s:9:\"cacheable\";b:0;}}}}'),('','views.view.tags_in_tags','a:12:{s:4:\"uuid\";s:36:\"6ec20b4a-d2ce-40ac-b90d-13df266b94f2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"user\";}}s:2:\"id\";s:12:\"tags_in_tags\";s:5:\"label\";s:12:\"Tags in Tags\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"title\";s:12:\"Tags in Tags\";s:6:\"fields\";a:1:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:9:\"tags-list\";s:6:\"header\";a:0:{}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"text\";s:5:\"empty\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:92:\"<p class=\"more\"><a href=\"[site:url]tagscloud\" target=\"_blank\" title=\"More tags\">More</a></p>\";s:6:\"format\";s:9:\"full_html\";}s:8:\"tokenize\";b:0;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:10:{s:5:\"title\";s:4:\"Tags\";s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";i:0;}}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:8:\"defaults\";a:3:{s:5:\"title\";b:0;s:5:\"pager\";b:0;s:6:\"footer\";b:0;}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:9:\"tagscloud\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.taxonomy_term','a:12:{s:4:\"uuid\";s:36:\"cf73c925-1bf5-40f1-8800-e70611e8157d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:13:\"taxonomy_term\";s:5:\"label\";s:13:\"Taxonomy term\";s:6:\"module\";s:8:\"taxonomy\";s:11:\"description\";s:45:\"Content belonging to a certain taxonomy term.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"fields\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"sticky\";}s:7:\"exposed\";b:0;}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:8:\"override\";b:0;s:14:\"items_per_page\";i:25;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:7:\"bundles\";a:0:{}s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;}}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:6:\"entity\";s:5:\"empty\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:8:\"tokenize\";b:1;s:13:\"bypass_access\";b:0;}}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"taxonomy/term/%\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.user_admin_people','a:12:{s:4:\"uuid\";s:36:\"ea3cb363-b8b2-44c4-8827-39d4a2c5998e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user_admin_people\";s:5:\"label\";s:6:\"People\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:25:{s:5:\"title\";s:6:\"People\";s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:7:\"Blocked\";s:18:\"format_custom_true\";s:6:\"Active\";}}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:10:\"user_roles\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";i:0;s:2:\"id\";i:0;s:4:\"tags\";a:4:{s:4:\"next\";s:8:\"Next ›\";s:8:\"previous\";s:12:\"‹ Previous\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:20:\"No people available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:7:\"combine\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:10:\"user_roles\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:16:\"user_permissions\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:7:\"numeric\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:7:\"default\";s:7:\"created\";s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:9:\"css_class\";s:0:\"\";s:8:\"use_ajax\";b:0;s:8:\"group_by\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:15:\"display_comment\";s:0:\"\";s:23:\"hide_attachment_summary\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:8:\"defaults\";a:1:{s:16:\"show_admin_links\";b:0;}s:16:\"show_admin_links\";b:0;s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"admin/people/list\";s:4:\"menu\";a:8:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;s:9:\"menu_name\";s:5:\"admin\";s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.watchdog','a:12:{s:4:\"uuid\";s:36:\"d9f94bc4-7b51-4441-9654-b5cd69975634\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:5:\"dblog\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"watchdog\";s:5:\"label\";s:8:\"Watchdog\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:19:\"Recent log messages\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:8:\"watchdog\";s:10:\"base_field\";s:3:\"wid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:5:\"title\";s:19:\"Recent log messages\";s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:9:\"plugin_id\";s:6:\"custom\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:12:\"machine_name\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:13:\"dblog_message\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:16:\"dblog_operations\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:50;s:11:\"total_pages\";N;s:2:\"id\";i:0;s:4:\"tags\";a:2:{s:4:\"next\";s:6:\"››\";s:8:\"previous\";s:6:\"‹‹\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:26:\"No log messages available.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:8:\"standard\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:3:\"wid\";}s:7:\"exposed\";b:0;}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"dblog_types\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"in_operator\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:7:\"default\";s:3:\"wid\";s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:0;s:7:\"caption\";s:0:\"\";s:11:\"description\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:9:\"plugin_id\";s:8:\"standard\";s:8:\"required\";b:0;}}s:9:\"css_class\";s:11:\"admin-dblog\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:4:\"page\";a:6:{s:2:\"id\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.who_s_new','a:12:{s:4:\"uuid\";s:36:\"096fe5b0-a8a6-47cf-9319-25a9788344e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"who_s_new\";s:5:\"label\";s:9:\"Who\'s new\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:53:\"Shows a list of the newest user accounts on the site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:9:\"Who\'s new\";s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:5;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:7:\"created\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:4:\"date\";s:8:\"operator\";s:1:\">\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:10:\"1970-01-01\";s:4:\"type\";s:4:\"date\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:1:{s:4:\"type\";s:9:\"html_list\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:9:\"Who\'s new\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:19:\"display_description\";s:19:\"A list of new users\";s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:9:\"Who\'s new\";s:14:\"block_category\";s:4:\"User\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.who_s_online','a:12:{s:4:\"uuid\";s:36:\"940a00dd-bbb3-4656-964e-78bf1813e33d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:12:\"who_s_online\";s:5:\"label\";s:18:\"Who\'s online block\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:93:\"Shows the user names of the most recently active users, and the total number of active users.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"title\";s:12:\"Who\'s online\";s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"user_name\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:10;}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:11:\"text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:35:\"There are currently 0 users online.\";s:8:\"tokenize\";b:0;}}s:5:\"sorts\";a:1:{s:6:\"access\";a:13:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";s:6:\"expose\";a:2:{s:5:\"label\";s:0:\"\";s:16:\"field_identifier\";s:6:\"access\";}s:7:\"exposed\";b:0;s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";s:9:\"plugin_id\";s:4:\"date\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:11:\"-15 minutes\";s:4:\"type\";s:6:\"offset\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:9:\"access_op\";s:5:\"label\";s:11:\"Last access\";s:11:\"description\";s:77:\"A user is considered online for this long after they have last viewed a page.\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"access_op\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}s:10:\"identifier\";s:6:\"access\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:13:\"relationships\";a:0:{}s:6:\"header\";a:1:{s:6:\"result\";a:9:{s:2:\"id\";s:6:\"result\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:6:\"result\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:9:\"plugin_id\";s:6:\"result\";s:5:\"empty\";b:0;s:7:\"content\";s:40:\"There are currently @total users online.\";}}s:6:\"footer\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:18:\"who_s_online_block\";a:6:{s:2:\"id\";s:18:\"who_s_online_block\";s:13:\"display_title\";s:12:\"Who\'s online\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:19:\"display_description\";s:45:\"A list of users that are currently logged in.\";s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:12:\"Who\'s online\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('language.ar','tour.tour.language','a:2:{s:5:\"label\";s:10:\"اللغة\";s:4:\"tips\";a:1:{s:17:\"language-overview\";a:1:{s:5:\"label\";s:12:\"اللغات\";}}}');
/*!40000 ALTER TABLE `config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `config_snapshot`
--

DROP TABLE IF EXISTS `config_snapshot`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config_snapshot` (
  `collection` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object collection.',
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object name.',
  `data` longblob DEFAULT NULL COMMENT 'A serialized configuration object data.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The base table for configuration data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `config_snapshot`
--

LOCK TABLES `config_snapshot` WRITE;
/*!40000 ALTER TABLE `config_snapshot` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `config_snapshot` VALUES ('','automated_cron.settings','a:1:{s:8:\"interval\";i:10800;}'),('','block.block.aboutus','a:12:{s:4:\"uuid\";s:36:\"eb0aaaf3-8604-4897-bf00-debaa4620d39\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:47646f79-b713-49b5-a800-b301163bd033\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:7:\"aboutus\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:47646f79-b713-49b5-a800-b301163bd033\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:47646f79-b713-49b5-a800-b301163bd033\";s:5:\"label\";s:8:\"About us\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:7:\"visible\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.anonymousmenu','a:12:{s:4:\"uuid\";s:36:\"a7449418-70e0-40bf-a621-337af2645841\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:26:\"system.menu.anonymous-menu\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:13:\"anonymousmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-6;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"system_menu_block:anonymous-menu\";s:8:\"settings\";a:7:{s:2:\"id\";s:32:\"system_menu_block:anonymous-menu\";s:5:\"label\";s:14:\"Anonymous Menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:5:\"roles\";a:1:{s:9:\"anonymous\";s:9:\"anonymous\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}}}}'),('','block.block.bartik_account_menu','a:12:{s:4:\"uuid\";s:36:\"86c61364-670f-427d-9506-065eb118189a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:19:\"bartik_account_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_branding','a:12:{s:4:\"uuid\";s:36:\"e42bf66d-e9e2-49ba-b101-1b270b44e8a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:15:\"bartik_branding\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"8400bf81-40ec-4bf7-9306-6f06ff9ee55f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:18:\"bartik_breadcrumbs\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_content','a:12:{s:4:\"uuid\";s:36:\"46f55af5-ca11-43a8-875d-9324cd73e2c8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:14:\"bartik_content\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_footer','a:12:{s:4:\"uuid\";s:36:\"f11cb45c-c042-4b90-8100-bd15e4e1d854\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:13:\"bartik_footer\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_help','a:12:{s:4:\"uuid\";s:36:\"ce069e88-a6f9-437d-8404-4bff811ee546\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:11:\"bartik_help\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_local_actions','a:12:{s:4:\"uuid\";s:36:\"273062a2-60b2-4309-b700-fdb813827f73\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:20:\"bartik_local_actions\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_local_tasks','a:12:{s:4:\"uuid\";s:36:\"298cd438-1a63-4fa1-831b-270cdcde4cc6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:18:\"bartik_local_tasks\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-40;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_main_menu','a:12:{s:4:\"uuid\";s:36:\"768a3b1b-2c74-4bea-b805-5c6836749018\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:16:\"bartik_main_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_messages','a:12:{s:4:\"uuid\";s:36:\"7673fbfc-bc8b-46e3-9d00-f05c9e29baa2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:15:\"bartik_messages\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_page_title','a:12:{s:4:\"uuid\";s:36:\"58d1da15-7c7a-471b-b800-d01a91d1becc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:17:\"bartik_page_title\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-50;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_powered','a:12:{s:4:\"uuid\";s:36:\"ca820f2c-0e88-403f-9900-c645588ffed5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:14:\"bartik_powered\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_search','a:12:{s:4:\"uuid\";s:36:\"c4f5a4af-6cdd-452b-9f05-05c57fb131d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:13:\"bartik_search\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-1;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:7:\"visible\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_tools','a:12:{s:4:\"uuid\";s:36:\"7455856f-deb6-4f43-9400-d5531266da14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:2:\"id\";s:12:\"bartik_tools\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.categoriesmenu_2','a:12:{s:4:\"uuid\";s:36:\"5256fbdd-1337-4182-a458-c9f75e498001\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"categoriesmenu_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"we_megamenu_block:categories-menu\";s:8:\"settings\";a:4:{s:2:\"id\";s:33:\"we_megamenu_block:categories-menu\";s:5:\"label\";s:15:\"Categories Menu\";s:8:\"provider\";s:11:\"we_megamenu\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.copyright','a:12:{s:4:\"uuid\";s:36:\"ee32d695-45fe-480a-822c-442ceb5877eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:e2fcb25d-f9ba-495c-af43-67376323d90d\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:9:\"copyright\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"footer\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:e2fcb25d-f9ba-495c-af43-67376323d90d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:e2fcb25d-f9ba-495c-af43-67376323d90d\";s:5:\"label\";s:9:\"Copyright\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.generalinformation','a:12:{s:4:\"uuid\";s:36:\"3fdfa7a7-1a25-40d5-9600-b0ad4eaca477\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:c32d587c-e8ce-4c98-9c00-af5275014b78\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:18:\"generalinformation\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:c32d587c-e8ce-4c98-9c00-af5275014b78\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:c32d587c-e8ce-4c98-9c00-af5275014b78\";s:5:\"label\";s:19:\"General Information\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:7:\"visible\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:8:\"/contact\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.gmap','a:12:{s:4:\"uuid\";s:36:\"cb82d2ab-3df2-491e-8000-f6170a902b67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";}s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:4:\"gmap\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:3:\"map\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:5ba20cbb-a1dc-4247-8929-417ac7b8906a\";s:5:\"label\";s:4:\"Gmap\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:8:\"/contact\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.mainnavigation_2','a:12:{s:4:\"uuid\";s:36:\"a148b110-6a1f-4f43-8844-7981b325790b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"mainnavigation_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"we_megamenu_block:main\";s:8:\"settings\";a:4:{s:2:\"id\";s:22:\"we_megamenu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:11:\"we_megamenu\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_account_menu','a:12:{s:4:\"uuid\";s:36:\"976e2584-b31c-4a11-8900-f8c8ef7dcc41\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:21:\"pinteros_account_menu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_branding','a:12:{s:4:\"uuid\";s:36:\"d1689f22-0570-4076-b600-ad73038154ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:17:\"pinteros_branding\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:0;s:15:\"use_site_slogan\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"8661cd83-ed76-423d-9b00-ecb08f0d7f72\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:20:\"pinteros_breadcrumbs\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_content','a:12:{s:4:\"uuid\";s:36:\"35052860-ba48-46dd-8003-3c75488837f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"pinteros_content\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_footer','a:12:{s:4:\"uuid\";s:36:\"6a4ea91f-69f2-4ba3-ac02-2fd3e0c817f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"pinteros_footer\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_help','a:12:{s:4:\"uuid\";s:36:\"8b508ee2-0c65-4b12-b400-d7f882f8281a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:13:\"pinteros_help\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_local_actions','a:12:{s:4:\"uuid\";s:36:\"11a8e6a3-da71-4e7a-8104-4d69aaabc305\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:22:\"pinteros_local_actions\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_local_tasks','a:12:{s:4:\"uuid\";s:36:\"9d05d774-08ed-4550-a757-87f9891912dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:20:\"pinteros_local_tasks\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_main_menu','a:12:{s:4:\"uuid\";s:36:\"7feaaa35-d6d6-43a7-9436-547861d4aec0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:18:\"pinteros_main_menu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_messages','a:12:{s:4:\"uuid\";s:36:\"21ac98c0-9597-490d-9a00-fe6f851419c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:17:\"pinteros_messages\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_page_title','a:12:{s:4:\"uuid\";s:36:\"09fd4d37-129c-4e20-883b-59db5a41b62c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:19:\"pinteros_page_title\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:5:\"title\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_powered','a:12:{s:4:\"uuid\";s:36:\"4a8e1e1f-b24f-488b-9607-7b61f2492e20\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:16:\"pinteros_powered\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-12;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_search','a:12:{s:4:\"uuid\";s:36:\"5c886255-5822-4b10-9600-a191964931a9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"pinteros_search\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:7:\"visible\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.pinteros_tools','a:12:{s:4:\"uuid\";s:36:\"a1c931d9-c7e4-443c-bf63-99a8475e0cac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:14:\"pinteros_tools\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.realtime','a:12:{s:4:\"uuid\";s:36:\"82c03747-046b-41bc-9800-af905d08381a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:8:\"realtime\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:80b09ffe-6d04-4e54-8e07-0733af0d3b5f\";s:5:\"label\";s:9:\"Real time\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.searchform','a:12:{s:4:\"uuid\";s:36:\"bb7578bd-2063-447a-8e00-b09ce11dc7a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:10:\"searchform\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:11:\"Search form\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:1:\"0\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_breadcrumbs','a:12:{s:4:\"uuid\";s:36:\"ac91a6d9-d7a3-4f94-a55d-9386d3110175\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:17:\"seven_breadcrumbs\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_content','a:12:{s:4:\"uuid\";s:36:\"fcadb69b-15df-447c-af00-cb661ae1bf4b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:13:\"seven_content\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_help','a:12:{s:4:\"uuid\";s:36:\"5a746e72-4d16-40ab-af53-83c4296da261\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:10:\"seven_help\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:4:\"help\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_local_actions','a:12:{s:4:\"uuid\";s:36:\"71c371a5-caf1-4d26-9400-e65de9dd49c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:19:\"seven_local_actions\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_login','a:12:{s:4:\"uuid\";s:36:\"d00b6c17-ebc5-4bd1-8104-4c6cce946cde\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:11:\"seven_login\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"user_login_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"user_login_block\";s:5:\"label\";s:10:\"User login\";s:8:\"provider\";s:4:\"user\";s:13:\"label_display\";s:7:\"visible\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_messages','a:12:{s:4:\"uuid\";s:36:\"0ac206bc-1efd-49d2-925e-942224e1786e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:14:\"seven_messages\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_page_title','a:12:{s:4:\"uuid\";s:36:\"02eec555-fdd6-411f-8005-5b7c390079ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:16:\"seven_page_title\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_primary_local_tasks','a:12:{s:4:\"uuid\";s:36:\"16e4a1a7-71bf-4a92-984b-7508a3536d94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:25:\"seven_primary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:12:\"Primary tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_secondary_local_tasks','a:12:{s:4:\"uuid\";s:36:\"ec10af86-614e-48fd-9800-dccd6ca7d02f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:2:\"id\";s:27:\"seven_secondary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"pre_content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:14:\"Secondary tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:0;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.simplenewssubscription','a:12:{s:4:\"uuid\";s:36:\"b5e7ca76-9f8e-406d-8b2f-4760c7a3f9e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:22:\"simplenewssubscription\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"simplenews_subscription_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:29:\"simplenews_subscription_block\";s:5:\"label\";s:10:\"Newsletter\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"label_display\";s:7:\"visible\";s:11:\"newsletters\";a:1:{s:7:\"default\";s:7:\"default\";}s:7:\"message\";s:44:\"Stay informed - subscribe to our newsletter.\";s:9:\"unique_id\";s:36:\"9c251c3f-0b46-44b2-8403-3de25c090fff\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.socialmenu','a:12:{s:4:\"uuid\";s:36:\"efe429a4-036f-4c42-9802-2b2270cd5eb3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";}s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:10:\"socialmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:c34649b6-7d7d-4ecb-9a00-d27d624355cc\";s:5:\"label\";s:11:\"Social Menu\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.useraccountmenu','a:12:{s:4:\"uuid\";s:36:\"449db4ef-1fd1-462d-9003-3d2fedcd373f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:15:\"useraccountmenu\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-7;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:5:\"roles\";a:2:{s:13:\"authenticated\";s:13:\"authenticated\";s:13:\"administrator\";s:13:\"administrator\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}}}}'),('','block.block.views_block__comments_recent_block_1','a:12:{s:4:\"uuid\";s:36:\"714fcd62-a37a-43fc-a200-d60c4870846c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:26:\"views.view.comments_recent\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:36:\"views_block__comments_recent_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:35:\"views_block:comments_recent-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:35:\"views_block:comments_recent-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__featured_posts_block_1','a:12:{s:4:\"uuid\";s:36:\"5c4f63f1-2d44-46ca-b300-dd34d4db4385\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.featured_posts\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:35:\"views_block__featured_posts_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:34:\"views_block:featured_posts-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:34:\"views_block:featured_posts-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:62:\"<front>\r\n/showcase\r\n/showcase/*\r\n/forum\r\n/forum/*\r\n/categories\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__featured_posts_block_2','a:12:{s:4:\"uuid\";s:36:\"50e6478a-b18a-428f-ac03-032b1f4ebb06\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.featured_posts\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:35:\"views_block__featured_posts_block_2\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:34:\"views_block:featured_posts-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:34:\"views_block:featured_posts-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__tags_in_tags_block_1','a:12:{s:4:\"uuid\";s:36:\"87682036-f6e6-4609-a909-9c479afbed64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.tags_in_tags\";}s:6:\"module\";a:2:{i:0;s:6:\"system\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:8:\"pinteros\";}}s:2:\"id\";s:33:\"views_block__tags_in_tags_block_1\";s:5:\"theme\";s:8:\"pinteros\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:tags_in_tags-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:tags_in_tags-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:84:\"<front>\r\n/showcase\r\n/showcase/*\r\n/contact\r\n/contact/*\r\n/forum\r\n/forum/*\r\n/categories\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block_content.type.basic','a:8:{s:4:\"uuid\";s:36:\"d9f58d5f-5aca-4faf-8a00-a3dc3f2913c2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"basic\";s:5:\"label\";s:11:\"Basic block\";s:8:\"revision\";i:0;s:11:\"description\";s:42:\"A basic block contains a title and a body.\";}'),('','comment.settings','a:1:{s:16:\"log_ip_addresses\";b:1;}'),('','comment.type.comment','a:8:{s:4:\"uuid\";s:36:\"b4b4dd30-3530-476a-a800-aedb48be3df1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:16:\"Default comments\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:28:\"Allows commenting on content\";}'),('','comment.type.comment_forum','a:8:{s:4:\"uuid\";s:36:\"543c8291-2fbd-40c1-bc00-bb0eed844e5d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"comment_forum\";s:5:\"label\";s:13:\"Comment_forum\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:21:\"Default comment field\";}'),('','contact.form.feedback','a:11:{s:4:\"uuid\";s:36:\"be7e8aa3-a5d2-403e-9204-4c718d2f29d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"feedback\";s:5:\"label\";s:7:\"Contact\";s:10:\"recipients\";a:1:{i:0;s:19:\"contact@weebpal.com\";}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}'),('','contact.form.personal','a:11:{s:4:\"uuid\";s:36:\"f81c0d9b-43b3-4ea8-9f04-044cb2f8805b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"personal\";s:5:\"label\";s:21:\"Personal contact form\";s:10:\"recipients\";a:0:{}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}'),('','contact.settings','a:3:{s:12:\"default_form\";s:8:\"feedback\";s:5:\"flood\";a:2:{s:5:\"limit\";i:5;s:8:\"interval\";i:3600;}s:20:\"user_default_enabled\";b:1;}'),('','core.base_field_override.block_content.basic.changed','a:16:{s:4:\"uuid\";s:36:\"3574f94d-12a8-4aff-a8f6-d439a47ec737\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:27:\"block_content.basic.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:47:\"The time that the custom block was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.block_content.basic.info','a:16:{s:4:\"uuid\";s:36:\"8946443c-3c2f-45db-bb05-63ad71f7d249\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:24:\"block_content.basic.info\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:34:\"A brief description of your block.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.changed','a:16:{s:4:\"uuid\";s:36:\"d438016e-aac5-4d98-b4a5-003df386027a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:42:\"The time that the comment was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.comment.comment.created','a:16:{s:4:\"uuid\";s:36:\"aa2a5e7e-bc76-4257-9bd1-3f67cc72a6a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Created\";s:11:\"description\";s:38:\"The time that the comment was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.comment.comment.homepage','a:16:{s:4:\"uuid\";s:36:\"97e40030-36b5-4db8-8adf-e656be0fa040\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.homepage\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Homepage\";s:11:\"description\";s:39:\"The comment author\'s home page address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:3:\"uri\";}'),('','core.base_field_override.comment.comment.hostname','a:16:{s:4:\"uuid\";s:36:\"c91f5236-367d-4d73-b771-c5d2a90e4174\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.hostname\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Hostname\";s:11:\"description\";s:30:\"The comment author\'s hostname.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.mail','a:16:{s:4:\"uuid\";s:36:\"709cf257-bc04-43fe-a03e-09b554edb032\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.mail\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:35:\"The comment author\'s email address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:5:\"email\";}'),('','core.base_field_override.comment.comment.name','a:16:{s:4:\"uuid\";s:36:\"08b86996-d441-4eec-abf7-cb3f6def672d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:26:\"The comment author\'s name.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.status','a:16:{s:4:\"uuid\";s:36:\"ef9fa0d4-3652-4689-9e11-3dd39688b9ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:22:\"comment.comment.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:54:\"A boolean indicating whether the comment is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.comment.comment.subject','a:16:{s:4:\"uuid\";s:36:\"a796b66d-10e6-4145-a8ea-7aa291e37a98\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.subject\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.uid','a:16:{s:4:\"uuid\";s:36:\"e03f11c3-7d18-4447-9994-99763482bf2e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:19:\"comment.comment.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"User ID\";s:11:\"description\";s:34:\"The user ID of the comment author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.comment.comment_forum.changed','a:16:{s:4:\"uuid\";s:36:\"434b618c-ee42-46fd-90dc-71d0d67095cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:29:\"comment.comment_forum.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:42:\"The time that the comment was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.comment.comment_forum.created','a:16:{s:4:\"uuid\";s:36:\"0270d365-10d5-45b9-868a-e364fe4ddb56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:29:\"comment.comment_forum.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Created\";s:11:\"description\";s:38:\"The time that the comment was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.comment.comment_forum.homepage','a:16:{s:4:\"uuid\";s:36:\"cc2ea12a-9af1-422d-8408-b1b7b5bd5bd4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:30:\"comment.comment_forum.homepage\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:8:\"Homepage\";s:11:\"description\";s:39:\"The comment author\'s home page address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:3:\"uri\";}'),('','core.base_field_override.comment.comment_forum.hostname','a:16:{s:4:\"uuid\";s:36:\"fdf87797-7fca-4c13-8271-b42c409c9579\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:30:\"comment.comment_forum.hostname\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:8:\"Hostname\";s:11:\"description\";s:30:\"The comment author\'s hostname.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment_forum.mail','a:16:{s:4:\"uuid\";s:36:\"f9e64533-13a8-433b-ade0-799fdcb6bb8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:26:\"comment.comment_forum.mail\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:35:\"The comment author\'s email address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:5:\"email\";}'),('','core.base_field_override.comment.comment_forum.name','a:16:{s:4:\"uuid\";s:36:\"7d10642c-296c-4c74-874b-df84f7c03b9c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:26:\"comment.comment_forum.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:26:\"The comment author\'s name.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment_forum.status','a:16:{s:4:\"uuid\";s:36:\"1338f76b-084b-4925-a406-50d8e2b65cb9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:28:\"comment.comment_forum.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:54:\"A boolean indicating whether the comment is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.comment.comment_forum.subject','a:16:{s:4:\"uuid\";s:36:\"92f9e527-ff56-4899-b430-ce5a7b0b0a4c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:29:\"comment.comment_forum.subject\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment_forum.uid','a:16:{s:4:\"uuid\";s:36:\"53c7ae77-dd8b-44a9-8a8e-cae00d52f7c3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}}s:2:\"id\";s:25:\"comment.comment_forum.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"User ID\";s:11:\"description\";s:34:\"The user ID of the comment author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.menu_link_content.menu_link_content.changed','a:16:{s:4:\"uuid\";s:36:\"c43a6244-c2f1-45b1-b807-633831e1262e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:43:\"menu_link_content.menu_link_content.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:44:\"The time that the menu link was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.menu_link_content.menu_link_content.description','a:16:{s:4:\"uuid\";s:36:\"5029bff9-74e7-4690-8ace-dc8bf36bf331\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:47:\"menu_link_content.menu_link_content.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:39:\"Shown when hovering over the menu link.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.menu_link_content.menu_link_content.title','a:16:{s:4:\"uuid\";s:36:\"7c1d2065-a618-439a-ba73-619aebc8f0f1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:41:\"menu_link_content.menu_link_content.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:15:\"Menu link title\";s:11:\"description\";s:46:\"The text to be used for this link in the menu.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.article.changed','a:16:{s:4:\"uuid\";s:36:\"4452d3e7-33be-4e80-8a17-7a29ea8256e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:20:\"node.article.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.article.created','a:16:{s:4:\"uuid\";s:36:\"0099c2f2-2e29-400e-a476-77fc71afd3a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:20:\"node.article.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.article.path','a:16:{s:4:\"uuid\";s:36:\"602b9c45-c8ac-476f-949d-55808fb6a872\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:17:\"node.article.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.article.promote','a:16:{s:4:\"uuid\";s:36:\"2ecbba3c-26e0-41da-8f2f-b6eaee085cb0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:20:\"node.article.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.article.status','a:16:{s:4:\"uuid\";s:36:\"4f45bf79-da0d-4219-b766-af79042c6c79\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:19:\"node.article.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.article.sticky','a:16:{s:4:\"uuid\";s:36:\"d87654a0-8a3f-4ce3-9403-5945ec92fdf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:19:\"node.article.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.article.title','a:16:{s:4:\"uuid\";s:36:\"406cc03b-4a10-462c-97cf-fd86a4136c36\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:18:\"node.article.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.article.uid','a:16:{s:4:\"uuid\";s:36:\"272bef23-6cf6-4ed8-99d0-ff5e099717cd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}}s:2:\"id\";s:16:\"node.article.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.forum.changed','a:16:{s:4:\"uuid\";s:36:\"f0e3f309-5421-44c9-834d-b98279285324\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:18:\"node.forum.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.forum.created','a:16:{s:4:\"uuid\";s:36:\"17076569-a929-4c96-abc3-31643dca2245\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:18:\"node.forum.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.forum.path','a:16:{s:4:\"uuid\";s:36:\"f28ebbd9-c606-45b2-8882-435b1ac894c3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:15:\"node.forum.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.forum.promote','a:16:{s:4:\"uuid\";s:36:\"740d6855-ebf7-4f06-9407-07f33bad4d23\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:18:\"node.forum.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.forum.status','a:16:{s:4:\"uuid\";s:36:\"ebee38db-128f-4cba-80fd-157fcd8bc758\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:17:\"node.forum.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.forum.sticky','a:16:{s:4:\"uuid\";s:36:\"eadefc50-170a-47a9-98f6-c33933d2ca45\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:17:\"node.forum.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.forum.title','a:16:{s:4:\"uuid\";s:36:\"e81464e1-898b-455d-bb13-19aa0dd7fe10\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:16:\"node.forum.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.forum.uid','a:16:{s:4:\"uuid\";s:36:\"2aedc2f4-7035-45ba-b1c4-9e9bfba76048\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}}s:2:\"id\";s:14:\"node.forum.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.page.changed','a:16:{s:4:\"uuid\";s:36:\"c49cf851-e51e-436f-8460-a97215ca7464\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.page.created','a:16:{s:4:\"uuid\";s:36:\"55b1b365-3284-47af-b6ea-997546126316\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.page.path','a:16:{s:4:\"uuid\";s:36:\"4cb47357-00ea-4cc9-b82a-fb9a53407b41\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:14:\"node.page.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.page.promote','a:16:{s:4:\"uuid\";s:36:\"d192b746-24ba-4ad1-863c-60b2a4cc69d4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.status','a:16:{s:4:\"uuid\";s:36:\"65cd136f-1b6b-4c69-bafc-38cb8094bf3a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.sticky','a:16:{s:4:\"uuid\";s:36:\"d2d15c60-f769-45c4-bbed-c120eeafafe0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.title','a:16:{s:4:\"uuid\";s:36:\"5e3daea0-431f-4b6c-acb8-a4887538cd06\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:15:\"node.page.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.page.uid','a:16:{s:4:\"uuid\";s:36:\"a7eaa803-ab3e-417c-b4be-49d12bc5aed8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:13:\"node.page.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.showcase.changed','a:16:{s:4:\"uuid\";s:36:\"096cfe3d-4774-4658-b331-90d43eba4f3d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:21:\"node.showcase.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.showcase.created','a:16:{s:4:\"uuid\";s:36:\"3798a743-bcc7-47a7-a27d-3c7de74fca3a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:21:\"node.showcase.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.showcase.path','a:16:{s:4:\"uuid\";s:36:\"843ddff8-b087-4b06-b9ed-e1ba09921a9f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:18:\"node.showcase.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.showcase.promote','a:16:{s:4:\"uuid\";s:36:\"a4ed362a-f65d-416d-b05e-941fd5fe1541\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:21:\"node.showcase.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.showcase.status','a:16:{s:4:\"uuid\";s:36:\"b52ad317-b626-4561-bc67-5477372dd9cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:20:\"node.showcase.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.showcase.sticky','a:16:{s:4:\"uuid\";s:36:\"2b9def8e-7a1e-4da8-aa6b-55c7da572b45\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:20:\"node.showcase.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.showcase.title','a:16:{s:4:\"uuid\";s:36:\"b81dcf2e-8748-4f9a-810a-0f59bbaea925\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:19:\"node.showcase.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.showcase.uid','a:16:{s:4:\"uuid\";s:36:\"2227ad9b-db4e-4265-8bd9-43bd78fa9f56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}}s:2:\"id\";s:17:\"node.showcase.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.simplenews_issue.changed','a:16:{s:4:\"uuid\";s:36:\"dccf052c-719c-4dac-b7b1-0554ef7f436e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.simplenews_issue.created','a:16:{s:4:\"uuid\";s:36:\"0e3e6cd5-4cd6-4777-bd44-d8777fe10098\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.simplenews_issue.path','a:16:{s:4:\"uuid\";s:36:\"ff29db3f-6be3-47c9-b939-70eaeb338f14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:26:\"node.simplenews_issue.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.node.simplenews_issue.promote','a:16:{s:4:\"uuid\";s:36:\"a1fcfa5b-40ec-4eb3-b4b3-1b4f26552f95\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.status','a:16:{s:4:\"uuid\";s:36:\"0ccb6a64-f9ae-4df0-b0e2-edf71163742e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.sticky','a:16:{s:4:\"uuid\";s:36:\"98c9bb2b-6bc5-4f45-a853-1a715fdbaab6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.title','a:16:{s:4:\"uuid\";s:36:\"16323efe-763d-4e56-871c-cab410793677\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:27:\"node.simplenews_issue.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.simplenews_issue.uid','a:16:{s:4:\"uuid\";s:36:\"fdfe2d1a-9959-4a00-b8c5-3ad1a35dcbc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:25:\"node.simplenews_issue.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.shortcut.default.title','a:16:{s:4:\"uuid\";s:36:\"d208d7e8-6e62-4ad1-b09b-b9216140baca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}}s:2:\"id\";s:22:\"shortcut.default.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";s:7:\"default\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:25:\"The name of the shortcut.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.categories.changed','a:16:{s:4:\"uuid\";s:36:\"dbe35bd2-2826-42d1-877a-2af754d464ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.categories.description','a:16:{s:4:\"uuid\";s:36:\"2fd7f228-6245-44a9-abe0-a59124611c31\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:36:\"taxonomy_term.categories.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.categories.name','a:16:{s:4:\"uuid\";s:36:\"dca87aeb-d08e-46cf-9bff-deba3159e5ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:29:\"taxonomy_term.categories.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.categories.path','a:16:{s:4:\"uuid\";s:36:\"98ce929a-52a2-47cb-8bb1-04bc9a90a103\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:29:\"taxonomy_term.categories.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.taxonomy_term.forums.changed','a:16:{s:4:\"uuid\";s:36:\"d0ceda2a-15eb-4c3b-bbb9-5ee23c0d2880\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:28:\"taxonomy_term.forums.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.forums.description','a:16:{s:4:\"uuid\";s:36:\"cb40c457-4aa2-43a8-8cef-bcf79059526f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:32:\"taxonomy_term.forums.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.forums.name','a:16:{s:4:\"uuid\";s:36:\"409a27bb-21d5-46ad-b1df-9f949d275989\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:25:\"taxonomy_term.forums.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.forums.path','a:16:{s:4:\"uuid\";s:36:\"68288e5c-e9ce-4337-93a4-63c10d494db9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:25:\"taxonomy_term.forums.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.taxonomy_term.tags.changed','a:16:{s:4:\"uuid\";s:36:\"3a172edc-564d-46a7-80de-405f29ac4815\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:26:\"taxonomy_term.tags.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.tags.description','a:16:{s:4:\"uuid\";s:36:\"89f0e06d-0005-4ea0-a1ae-1ef7e4282071\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:30:\"taxonomy_term.tags.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.tags.name','a:16:{s:4:\"uuid\";s:36:\"30d3c747-a137-40eb-ad66-e8c7225c33d2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:23:\"taxonomy_term.tags.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.tags.path','a:16:{s:4:\"uuid\";s:36:\"e4ec7d76-a9ca-41d9-a564-c8efcbf8f535\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"path\";}}s:2:\"id\";s:23:\"taxonomy_term.tags.path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:9:\"URL alias\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:4:\"path\";}'),('','core.base_field_override.user.user.changed','a:16:{s:4:\"uuid\";s:36:\"5c2f9469-ce8f-46b5-a434-28cf69bfae07\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the user was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.date_format.fallback','a:8:{s:4:\"uuid\";s:36:\"aa149df3-13cf-47f3-852d-45c0a83a88ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:8:\"fallback\";s:5:\"label\";s:20:\"Fallback date format\";s:6:\"locked\";b:1;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}'),('','core.date_format.html_date','a:8:{s:4:\"uuid\";s:36:\"b410eefc-7c92-415e-ba08-8b94e9fdfeaf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_date\";s:5:\"label\";s:9:\"HTML Date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-m-d\";}'),('','core.date_format.html_datetime','a:8:{s:4:\"uuid\";s:36:\"9524220c-3f20-4388-b600-a6d1c777f4be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"html_datetime\";s:5:\"label\";s:13:\"HTML Datetime\";s:6:\"locked\";b:1;s:7:\"pattern\";s:13:\"Y-m-d\\TH:i:sO\";}'),('','core.date_format.html_month','a:8:{s:4:\"uuid\";s:36:\"f624b27f-97bf-4eef-984a-74ffadbc3899\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:10:\"html_month\";s:5:\"label\";s:10:\"HTML Month\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"Y-m\";}'),('','core.date_format.html_time','a:8:{s:4:\"uuid\";s:36:\"03d243b6-5629-49be-a761-975d5e2ff52c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_time\";s:5:\"label\";s:9:\"HTML Time\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"H:i:s\";}'),('','core.date_format.html_week','a:8:{s:4:\"uuid\";s:36:\"cb55878a-0626-4491-a604-4de7a45a6206\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_week\";s:5:\"label\";s:9:\"HTML Week\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-\\WW\";}'),('','core.date_format.html_year','a:8:{s:4:\"uuid\";s:36:\"a7acbeb1-a92f-4064-b008-8acb927dd952\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"html_year\";s:5:\"label\";s:9:\"HTML Year\";s:6:\"locked\";b:1;s:7:\"pattern\";s:1:\"Y\";}'),('','core.date_format.html_yearless_date','a:8:{s:4:\"uuid\";s:36:\"a08f048f-7d23-4b4a-a42f-47f282190fbb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:18:\"html_yearless_date\";s:5:\"label\";s:18:\"HTML Yearless date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"m-d\";}'),('','core.date_format.long','a:8:{s:4:\"uuid\";s:36:\"5727012b-e70b-406b-ba00-b6f7f440284f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"long\";s:5:\"label\";s:17:\"Default long date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:15:\"l, F j, Y - H:i\";}'),('','core.date_format.medium','a:8:{s:4:\"uuid\";s:36:\"8003c87b-49d9-4be5-8d07-074c90a497fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:6:\"medium\";s:5:\"label\";s:19:\"Default medium date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}'),('','core.date_format.short','a:8:{s:4:\"uuid\";s:36:\"c458af85-3e3e-48e9-8632-5088efa35da1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"short\";s:5:\"label\";s:18:\"Default short date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:11:\"m/d/Y - H:i\";}'),('','core.entity_form_display.block_content.basic.default','a:10:{s:4:\"uuid\";s:36:\"9329d403-8065-4796-9a00-a29bab55639f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:-4;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"info\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.comment.comment.default','a:10:{s:4:\"uuid\";s:36:\"63480efb-8cd1-4515-8458-882109669197\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:40:\"field.field.comment.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:23:\"comment.comment.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:6:\"author\";a:4:{s:6:\"weight\";i:-2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"comment_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:11;s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"subject\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.comment.comment_forum.default','a:10:{s:4:\"uuid\";s:36:\"ffe08601-c011-459a-9f60-96840d5dfb1e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"comment.type.comment_forum\";i:1;s:46:\"field.field.comment.comment_forum.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:29:\"comment.comment_forum.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:6:\"author\";a:4:{s:6:\"weight\";i:-2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"comment_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:11;s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"subject\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.article.default','a:10:{s:4:\"uuid\";s:36:\"5fd3b7b8-7f5a-41f2-8460-96b461e22b22\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:29:\"field.field.node.article.body\";i:1;s:32:\"field.field.node.article.comment\";i:2;s:36:\"field.field.node.article.field_image\";i:3;s:35:\"field.field.node.article.field_tags\";i:4;s:21:\"image.style.thumbnail\";i:5;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"path\";i:3;s:4:\"text\";}}s:2:\"id\";s:20:\"node.article.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:12:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:1;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:5:{s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:20;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:4;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:5:{s:4:\"type\";s:34:\"entity_reference_autocomplete_tags\";s:6:\"weight\";i:3;s:8:\"settings\";a:4:{s:11:\"match_limit\";i:10;s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.blog.default','a:10:{s:4:\"uuid\";s:36:\"5ac76925-e494-45c7-8d2f-47af11c610f7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:26:\"field.field.node.blog.body\";i:1;s:29:\"field.field.node.blog.comment\";i:2;s:36:\"field.field.node.blog.field_category\";i:3;s:33:\"field.field.node.blog.field_image\";i:4;s:32:\"field.field.node.blog.field_tags\";i:5;s:38:\"field.field.node.blog.field_video_link\";i:6;s:21:\"image.style.thumbnail\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"path\";i:3;s:4:\"text\";}}s:2:\"id\";s:17:\"node.blog.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:14:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:14:\"field_category\";a:5:{s:6:\"weight\";i:34;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:5:{s:6:\"weight\";i:33;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:34:\"entity_reference_autocomplete_tags\";s:6:\"region\";s:7:\"content\";}s:16:\"field_video_link\";a:5:{s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:12:\"link_default\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"translation\";a:4:{s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:7:\"comment\";b:1;}}'),('','core.entity_form_display.node.forum.default','a:10:{s:4:\"uuid\";s:36:\"141d16b5-f94a-4444-b32f-477f4c68f492\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:27:\"field.field.node.forum.body\";i:1;s:36:\"field.field.node.forum.comment_forum\";i:2;s:38:\"field.field.node.forum.taxonomy_forums\";i:3;s:15:\"node.type.forum\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:18:\"node.forum.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:27;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"comment_forum\";a:5:{s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:20;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:15:\"taxonomy_forums\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:26;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.page.default','a:10:{s:4:\"uuid\";s:36:\"4bede3a2-7315-4e9e-b200-ebfc24fdb8db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.field.node.page.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:17:\"node.page.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:9:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.showcase.default','a:10:{s:4:\"uuid\";s:36:\"68057d90-c499-42d7-9556-86be984811cd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:30:\"field.field.node.showcase.body\";i:1;s:37:\"field.field.node.showcase.field_image\";i:2;s:36:\"field.field.node.showcase.field_link\";i:3;s:21:\"image.style.thumbnail\";i:4;s:18:\"node.type.showcase\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"path\";}}s:2:\"id\";s:21:\"node.showcase.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:10:{s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:2;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:6:\"weight\";i:7;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:5:{s:6:\"weight\";i:8;s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:12:\"link_default\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:5;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:3;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:4;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:1;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:4:\"body\";b:1;}}'),('','core.entity_form_display.node.simplenews_issue.default','a:10:{s:4:\"uuid\";s:36:\"4999bc0d-ad6a-4440-b402-2b9074eae68b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:38:\"field.field.node.simplenews_issue.body\";i:1;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:2;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:29:\"node.simplenews_issue.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:10:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:2;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:16:\"simplenews_issue\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:3;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.simplenews_subscriber.simplenews_subscriber.account','a:10:{s:4:\"uuid\";s:36:\"b3103f75-abbe-4cf7-ba05-5a60418e33e4\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:51:\"core.entity_form_mode.simplenews_subscriber.account\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"account\";s:7:\"content\";a:1:{s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:4:\"mail\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default','a:10:{s:4:\"uuid\";s:36:\"59f0482e-069e-4569-a200-b949137d7773\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:0:{}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.default\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"mail\";a:5:{s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";i:5;s:8:\"settings\";a:2:{s:11:\"placeholder\";s:0:\"\";s:4:\"size\";i:60;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:3:\"uid\";b:1;}}'),('','core.entity_form_display.taxonomy_term.categories.default','a:10:{s:4:\"uuid\";s:36:\"a6df643d-b4f3-4b0e-9200-e6ae8aec5124\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:48:\"field.field.taxonomy_term.categories.field_image\";i:1;s:21:\"image.style.thumbnail\";i:2;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:11:\"description\";a:5:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:6:\"weight\";i:31;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"name\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.taxonomy_term.forums.default','a:10:{s:4:\"uuid\";s:36:\"a64036dc-f7b2-4e18-b805-5f8ad46660d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"field.field.taxonomy_term.forums.forum_container\";i:1;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:28:\"taxonomy_term.forums.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:11:\"description\";a:5:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"name\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:15:\"forum_container\";b:1;}}'),('','core.entity_form_display.user.user.default','a:10:{s:4:\"uuid\";s:36:\"f644322a-fd1a-4f5c-b705-5f365fcab66b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:7:{s:7:\"account\";a:4:{s:6:\"weight\";i:-10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"contact\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"language\";a:4:{s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:10:\"simplenews\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"timezone\";a:4:{s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"user_picture\";a:5:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_form_mode.simplenews_subscriber.account','a:8:{s:4:\"uuid\";s:36:\"23651d36-d945-4eba-a505-5c6db018cfef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:29:\"simplenews_subscriber.account\";s:5:\"label\";s:7:\"Account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.simplenews_subscriber.block','a:8:{s:4:\"uuid\";s:36:\"46518590-7691-4156-9400-ebc9f0872cb4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:27:\"simplenews_subscriber.block\";s:5:\"label\";s:5:\"Block\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.simplenews_subscriber.page','a:8:{s:4:\"uuid\";s:36:\"813f1709-88dd-4db4-bd00-ee4932d72fc5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:26:\"simplenews_subscriber.page\";s:5:\"label\";s:4:\"Page\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.user.register','a:8:{s:4:\"uuid\";s:36:\"7ae8a4fd-7c20-4ac2-ba00-b8f4ac43dce2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:13:\"user.register\";s:5:\"label\";s:8:\"Register\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_display.block_content.basic.default','a:10:{s:4:\"uuid\";s:36:\"4d68ee88-266c-4fda-9d03-3ae3ebdab9b7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.comment.comment.default','a:10:{s:4:\"uuid\";s:36:\"77806ce8-c463-4a9f-8d3e-620e917d6c85\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:40:\"field.field.comment.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:23:\"comment.comment.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:12:\"comment_body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.comment.comment_forum.default','a:10:{s:4:\"uuid\";s:36:\"8bac94b6-c6d0-4607-ba51-81eade34df64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"comment.type.comment_forum\";i:1;s:46:\"field.field.comment.comment_forum.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:29:\"comment.comment_forum.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:12:\"comment_body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.default','a:10:{s:4:\"uuid\";s:36:\"569366c0-7e14-4bf6-be08-8ffee6b10101\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:35:\"field.field.node.article.field_tags\";i:5;s:17:\"image.style.large\";i:6;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:20:\"node.article.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:6:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:2;s:8:\"settings\";a:2:{s:8:\"pager_id\";i:0;s:9:\"view_mode\";s:7:\"default\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:3;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.rss','a:10:{s:4:\"uuid\";s:36:\"a65b88b5-0add-4597-a608-8bc9e00c9427\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:35:\"field.field.node.article.field_tags\";i:5;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:16:\"node.article.rss\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:3:\"rss\";s:7:\"content\";a:1:{s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:5:{s:4:\"body\";b:1;s:7:\"comment\";b:1;s:11:\"field_image\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.teaser','a:10:{s:4:\"uuid\";s:36:\"f1b2c00b-e785-492e-9a25-37df190b0f6d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:35:\"field.field.node.article.field_tags\";i:5;s:18:\"image.style.medium\";i:6;s:17:\"node.type.article\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:19:\"node.article.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:-1;s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:5:\"above\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:4:{s:7:\"comment\";b:1;s:11:\"field_image\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.blog.default','a:10:{s:4:\"uuid\";s:36:\"3754a5cc-e321-4ad0-b405-5cc58483d35b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";i:1;s:26:\"field.field.node.blog.body\";i:2;s:29:\"field.field.node.blog.comment\";i:3;s:36:\"field.field.node.blog.field_category\";i:4;s:33:\"field.field.node.blog.field_image\";i:5;s:32:\"field.field.node.blog.field_tags\";i:6;s:38:\"field.field.node.blog.field_video_link\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:5:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"link\";i:3;s:4:\"text\";i:4;s:4:\"user\";}}s:2:\"id\";s:17:\"node.blog.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:6:{s:6:\"weight\";i:3;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:8:\"pager_id\";i:0;s:9:\"view_mode\";s:7:\"default\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:15:\"comment_default\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:6:\"weight\";i:0;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:5:\"image\";s:6:\"region\";s:7:\"content\";}s:16:\"field_video_link\";a:6:{s:6:\"weight\";i:4;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:4:\"link\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:2;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:14:\"field_category\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.blog.teaser','a:10:{s:4:\"uuid\";s:36:\"a0ace7d0-0871-4675-b700-f8815446661c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:26:\"field.field.node.blog.body\";i:2;s:29:\"field.field.node.blog.comment\";i:3;s:36:\"field.field.node.blog.field_category\";i:4;s:33:\"field.field.node.blog.field_image\";i:5;s:32:\"field.field.node.blog.field_tags\";i:6;s:38:\"field.field.node.blog.field_video_link\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:16:\"node.blog.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:100;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:6:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:6:\"weight\";i:1;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:9:\"view_mode\";s:7:\"default\";s:4:\"link\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:3;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:4:{s:7:\"comment\";b:1;s:14:\"field_category\";b:1;s:16:\"field_video_link\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.forum.default','a:10:{s:4:\"uuid\";s:36:\"11ca26fe-5248-4b30-ba09-9f1882445374\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:54:\"core.entity_view_display.comment.comment_forum.default\";i:1;s:27:\"field.field.node.forum.body\";i:2;s:36:\"field.field.node.forum.comment_forum\";i:3;s:38:\"field.field.node.forum.taxonomy_forums\";i:4;s:15:\"node.type.forum\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:18:\"node.forum.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"comment_forum\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:20;s:8:\"settings\";a:2:{s:8:\"pager_id\";i:0;s:9:\"view_mode\";s:7:\"default\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:15:\"taxonomy_forums\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:6:\"weight\";i:-1;s:5:\"label\";s:6:\"inline\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.forum.teaser','a:10:{s:4:\"uuid\";s:36:\"3c839934-32a3-4e7d-b75a-90d466f900b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:27:\"field.field.node.forum.body\";i:2;s:36:\"field.field.node.forum.comment_forum\";i:3;s:38:\"field.field.node.forum.taxonomy_forums\";i:4;s:15:\"node.type.forum\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"node.forum.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:100;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:15:\"taxonomy_forums\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:13:\"comment_forum\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.page.default','a:10:{s:4:\"uuid\";s:36:\"c5d6ac02-08b0-4048-b806-06ff8281d079\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.field.node.page.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"node.page.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:100;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.page.teaser','a:10:{s:4:\"uuid\";s:36:\"3a9d8a9e-b150-4e15-8160-96023b7e3d7e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:26:\"field.field.node.page.body\";i:2;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:16:\"node.page.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:100;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.showcase.default','a:10:{s:4:\"uuid\";s:36:\"44007646-fd7e-4c61-a45a-9074f2fa8b32\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:30:\"field.field.node.showcase.body\";i:1;s:37:\"field.field.node.showcase.field_image\";i:2;s:36:\"field.field.node.showcase.field_link\";i:3;s:18:\"node.type.showcase\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"user\";}}s:2:\"id\";s:21:\"node.showcase.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:11:\"field_image\";a:6:{s:6:\"weight\";i:0;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:5:\"image\";s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:6:\"weight\";i:1;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:6:\"target\";s:6:\"_blank\";s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:4:\"link\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:4:\"body\";b:1;s:8:\"langcode\";b:1;s:5:\"links\";b:1;}}'),('','core.entity_view_display.node.showcase.teaser','a:10:{s:4:\"uuid\";s:36:\"facbbf22-1c63-4fa6-a558-886fa3a52d77\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:30:\"field.field.node.showcase.body\";i:2;s:37:\"field.field.node.showcase.field_image\";i:3;s:36:\"field.field.node.showcase.field_link\";i:4;s:18:\"node.type.showcase\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"user\";}}s:2:\"id\";s:20:\"node.showcase.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:4:\"type\";s:4:\"link\";s:6:\"weight\";i:1;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:6:\"target\";s:6:\"_blank\";s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:4:\"body\";b:1;s:8:\"langcode\";b:1;s:5:\"links\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_html','a:10:{s:4:\"uuid\";s:36:\"595d84b8-78d5-46b1-855d-93f466a736b9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:37:\"core.entity_view_mode.node.email_html\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:32:\"node.simplenews_issue.email_html\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:10:\"email_html\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_plain','a:10:{s:4:\"uuid\";s:36:\"a836de9a-6d1f-4ed7-8600-fbc2b09286c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:38:\"core.entity_view_mode.node.email_plain\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:33:\"node.simplenews_issue.email_plain\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:11:\"email_plain\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.teaser','a:10:{s:4:\"uuid\";s:36:\"1754e700-7290-485d-a404-4a052ef18ae2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:28:\"node.simplenews_issue.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_trimmed\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.taxonomy_term.categories.default','a:10:{s:4:\"uuid\";s:36:\"948242ca-3bdf-4a29-921c-28412159c725\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"field.field.taxonomy_term.categories.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:32:\"taxonomy_term.categories.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:11:\"description\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:11:\"field_image\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.taxonomy_term.forums.default','a:10:{s:4:\"uuid\";s:36:\"d9aef7e1-95f3-44ad-9549-737aa85a7f64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:48:\"field.field.taxonomy_term.forums.forum_container\";i:1;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:28:\"taxonomy_term.forums.default\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:11:\"description\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:5:\"above\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:15:\"forum_container\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.user.user.compact','a:10:{s:4:\"uuid\";s:36:\"ec9e7b85-474a-44b9-9100-f7dcebc8e383\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"core.entity_view_mode.user.compact\";i:1;s:34:\"field.field.user.user.user_picture\";i:2;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.compact\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"compact\";s:7:\"content\";a:1:{s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:10:\"member_for\";b:1;s:10:\"simplenews\";b:1;}}'),('','core.entity_view_display.user.user.default','a:10:{s:4:\"uuid\";s:36:\"0e516f1c-a538-4b06-bf5b-91a23426f90e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:10:\"member_for\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:8:\"langcode\";b:1;s:10:\"simplenews\";b:1;}}'),('','core.entity_view_mode.block.token','a:8:{s:4:\"uuid\";s:36:\"d08bc3ac-7023-4ae6-b291-e6d0b53a0d11\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"block\";}}s:2:\"id\";s:11:\"block.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:5:\"block\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.block_content.full','a:8:{s:4:\"uuid\";s:36:\"b8fd7ec8-2110-4d97-9c00-d5e42ab475be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:18:\"block_content.full\";s:5:\"label\";s:4:\"Full\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.block_content.token','a:8:{s:4:\"uuid\";s:36:\"9a12e10a-1413-4cea-af0a-58e8cb480a8f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:19:\"block_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.comment.full','a:8:{s:4:\"uuid\";s:36:\"41713730-7912-4075-9d00-eff5a5b1e0dd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:12:\"comment.full\";s:5:\"label\";s:12:\"Full comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.comment.token','a:8:{s:4:\"uuid\";s:36:\"33d0fa7e-5f11-485d-85a6-c520294abb24\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:13:\"comment.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.contact_message.token','a:8:{s:4:\"uuid\";s:36:\"85e82463-e281-487b-835b-856747d8c649\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"contact\";}}s:2:\"id\";s:21:\"contact_message.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:15:\"contact_message\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.file.token','a:8:{s:4:\"uuid\";s:36:\"e1b8e244-747d-4263-9575-dc298e2af0ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:10:\"file.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"file\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.menu_link_content.token','a:8:{s:4:\"uuid\";s:36:\"65449363-5a3b-4822-88fd-c6c6aa8b0ad9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:23:\"menu_link_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:17:\"menu_link_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_html','a:8:{s:4:\"uuid\";s:36:\"d9150202-73c3-44c0-9d01-1c84ffc8097b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:15:\"node.email_html\";s:5:\"label\";s:11:\"Email: HTML\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_plain','a:8:{s:4:\"uuid\";s:36:\"318f777d-d05b-4abc-9901-1f1183554c94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:16:\"node.email_plain\";s:5:\"label\";s:12:\"Email: Plain\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.full','a:8:{s:4:\"uuid\";s:36:\"f96bdb6f-7c21-46a2-a900-cf4426740b0f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:9:\"node.full\";s:5:\"label\";s:12:\"Full content\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.rss','a:8:{s:4:\"uuid\";s:36:\"a8dba3ec-a79e-4f6e-a608-08316f0fe485\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:8:\"node.rss\";s:5:\"label\";s:3:\"RSS\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.search_index','a:8:{s:4:\"uuid\";s:36:\"f728ff87-971f-4dd8-9c00-d631b9ba531f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:17:\"node.search_index\";s:5:\"label\";s:12:\"Search index\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.search_result','a:8:{s:4:\"uuid\";s:36:\"66d1a4bf-76b3-42bd-8505-5de720860109\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:18:\"node.search_result\";s:5:\"label\";s:32:\"Search result highlighting input\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.teaser','a:8:{s:4:\"uuid\";s:36:\"74a91f37-4120-47a1-b007-7a133903650c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:11:\"node.teaser\";s:5:\"label\";s:6:\"Teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.token','a:8:{s:4:\"uuid\";s:36:\"c4bdd828-f2ae-4192-a4a1-45f1744dff62\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.shortcut.token','a:8:{s:4:\"uuid\";s:36:\"283d429b-e8ae-4027-8aaa-1439c745b7de\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"shortcut\";}}s:2:\"id\";s:14:\"shortcut.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:8:\"shortcut\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.simplenews_subscriber.token','a:8:{s:4:\"uuid\";s:36:\"c48c5198-8f46-4597-9502-ca86d0fd597f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:27:\"simplenews_subscriber.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.taxonomy_term.full','a:8:{s:4:\"uuid\";s:36:\"7ae9ec11-dda4-4b8c-8100-eacab1da715e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:18:\"taxonomy_term.full\";s:5:\"label\";s:18:\"Taxonomy term page\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.taxonomy_term.token','a:8:{s:4:\"uuid\";s:36:\"a5d155be-fe65-453d-8373-8d650eedf9d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"taxonomy_term.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.tour.token','a:8:{s:4:\"uuid\";s:36:\"eac8c1d6-42f4-4718-bb94-c79180cec0db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"tour\";}}s:2:\"id\";s:10:\"tour.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"tour\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.compact','a:8:{s:4:\"uuid\";s:36:\"08867722-0da8-443e-b700-de00bb10a3eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:12:\"user.compact\";s:5:\"label\";s:7:\"Compact\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.full','a:8:{s:4:\"uuid\";s:36:\"7277af58-0eab-4870-8700-df5445bff20b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"user.full\";s:5:\"label\";s:12:\"User account\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.token','a:8:{s:4:\"uuid\";s:36:\"b17c8897-9a94-4065-8bfe-479f55c86914\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:10:\"user.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.extension','a:3:{s:6:\"module\";a:57:{s:13:\"admin_toolbar\";i:0;s:20:\"admin_toolbar_search\";i:0;s:19:\"admin_toolbar_tools\";i:0;s:14:\"automated_cron\";i:0;s:5:\"block\";i:0;s:13:\"block_content\";i:0;s:10:\"breakpoint\";i:0;s:8:\"ckeditor\";i:0;s:5:\"color\";i:0;s:7:\"comment\";i:0;s:6:\"config\";i:0;s:18:\"config_translation\";i:0;s:7:\"contact\";i:0;s:10:\"contextual\";i:0;s:6:\"ctools\";i:0;s:8:\"datetime\";i:0;s:5:\"dblog\";i:0;s:18:\"dynamic_page_cache\";i:0;s:6:\"editor\";i:0;s:5:\"field\";i:0;s:8:\"field_ui\";i:0;s:4:\"file\";i:0;s:6:\"filter\";i:0;s:4:\"help\";i:0;s:7:\"history\";i:0;s:5:\"image\";i:0;s:8:\"language\";i:0;s:4:\"link\";i:0;s:6:\"locale\";i:0;s:7:\"menu_ui\";i:0;s:13:\"module_filter\";i:0;s:4:\"node\";i:0;s:7:\"options\";i:0;s:10:\"page_cache\";i:0;s:4:\"path\";i:0;s:10:\"path_alias\";i:0;s:9:\"quickedit\";i:0;s:3:\"rdf\";i:0;s:6:\"search\";i:0;s:8:\"shortcut\";i:0;s:10:\"simplenews\";i:0;s:6:\"system\";i:0;s:8:\"taxonomy\";i:0;s:4:\"text\";i:0;s:5:\"token\";i:0;s:7:\"toolbar\";i:0;s:4:\"tour\";i:0;s:6:\"update\";i:0;s:4:\"user\";i:0;s:8:\"views_ui\";i:0;s:11:\"we_megamenu\";i:0;s:5:\"forum\";i:1;s:17:\"menu_link_content\";i:1;s:8:\"pathauto\";i:1;s:19:\"content_translation\";i:10;s:5:\"views\";i:10;s:8:\"standard\";i:1000;}s:5:\"theme\";a:5:{s:6:\"stable\";i:0;s:6:\"classy\";i:0;s:6:\"bartik\";i:0;s:5:\"seven\";i:0;s:8:\"pinteros\";i:0;}s:7:\"profile\";s:8:\"standard\";}'),('','core.menu.static_menu_link_overrides','a:1:{s:11:\"definitions\";a:3:{s:18:\"contact__site_page\";a:5:{s:7:\"enabled\";b:1;s:9:\"menu_name\";s:6:\"footer\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:8:\"expanded\";b:0;}s:20:\"standard__front_page\";a:5:{s:6:\"weight\";i:-49;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:12:\"user__logout\";a:5:{s:7:\"enabled\";b:0;s:9:\"menu_name\";s:7:\"account\";s:6:\"parent\";s:0:\"\";s:8:\"expanded\";b:0;s:6:\"weight\";i:10;}}}'),('','dblog.settings','a:1:{s:9:\"row_limit\";i:1000;}'),('','editor.editor.basic_html','a:8:{s:4:\"uuid\";s:36:\"9b8d7ccb-3d3e-472f-9600-e94bb37f9858\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"filter.format.basic_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:6:\"format\";s:10:\"basic_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:2:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:2:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:1:{i:0;s:6:\"Source\";}}}}}s:7:\"plugins\";a:1:{s:11:\"stylescombo\";a:1:{s:6:\"styles\";s:0:\"\";}}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";i:0;s:6:\"height\";i:0;}}}'),('','editor.editor.full_html','a:8:{s:4:\"uuid\";s:36:\"cbeab9c2-2c21-45ef-be00-c7474b4007e3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"filter.format.full_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:6:\"format\";s:9:\"full_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:7:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";i:2;s:6:\"Strike\";i:3;s:11:\"Superscript\";i:4;s:9:\"Subscript\";i:5;s:1:\"-\";i:6;s:12:\"RemoveFormat\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:4:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";i:2;s:5:\"Table\";i:3;s:14:\"HorizontalRule\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:2:{i:0;s:10:\"ShowBlocks\";i:1;s:6:\"Source\";}}}}}s:7:\"plugins\";a:1:{s:11:\"stylescombo\";a:1:{s:6:\"styles\";s:0:\"\";}}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";i:0;s:6:\"height\";i:0;}}}'),('','field.field.block_content.basic.body','a:16:{s:4:\"uuid\";s:36:\"6d7bea4a-4cf4-4ad3-ae08-085ac6e11ba7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:32:\"field.storage.block_content.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:24:\"block_content.basic.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.comment.comment.comment_body','a:16:{s:4:\"uuid\";s:36:\"bbd2614e-4d21-4c72-8d05-056b3958c54f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:28:\"comment.comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Comment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.comment.comment_forum.comment_body','a:16:{s:4:\"uuid\";s:36:\"175f19de-afb4-4ccf-8954-84b612ee41a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"comment.type.comment_forum\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:34:\"comment.comment_forum.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:13:\"comment_forum\";s:5:\"label\";s:7:\"Comment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.node.article.body','a:16:{s:4:\"uuid\";s:36:\"d42ecfb1-7655-479e-a008-082da024aed7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:17:\"node.article.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.article.comment','a:16:{s:4:\"uuid\";s:36:\"70372816-0d66-4ae8-822b-4333d0c1892c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:20:\"node.article.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:17:\"last_comment_name\";N;s:22:\"last_comment_timestamp\";i:0;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:13:\"form_location\";b:1;s:9:\"anonymous\";i:0;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.article.field_image','a:16:{s:4:\"uuid\";s:36:\"f3ba8379-e31b-47c4-8d00-a09ea64c3008\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:24:\"node.article.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";b:0;s:18:\"alt_field_required\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.article.field_tags','a:16:{s:4:\"uuid\";s:36:\"7a4455a5-833a-4144-8738-5643cc061dc1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:17:\"node.type.article\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:23:\"node.article.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:84:\"Enter a comma-separated list. For example: Amsterdam, Mexico City, \"Cleveland, Ohio\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.body','a:16:{s:4:\"uuid\";s:36:\"53ce8332-1ca3-4310-9b5d-93b0252605a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.blog.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.blog.comment','a:16:{s:4:\"uuid\";s:36:\"bf5e65c9-10a6-41c6-a24d-770b446ce18e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:17:\"node.blog.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.blog.field_category','a:16:{s:4:\"uuid\";s:36:\"128a0472-c2f3-4570-8300-af64f9c4c845\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:33:\"field.storage.node.field_category\";i:1;s:14:\"node.type.blog\";i:2;s:30:\"taxonomy.vocabulary.categories\";}}s:2:\"id\";s:24:\"node.blog.field_category\";s:10:\"field_name\";s:14:\"field_category\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:8:\"Category\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.field_image','a:17:{s:4:\"uuid\";s:36:\"31b5a894-b004-42bf-9e00-afc9fdbc9325\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:21:\"node.blog.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.blog.field_tags','a:16:{s:4:\"uuid\";s:36:\"3954f698-32a9-4b9d-9b4b-75c1738baf02\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:14:\"node.type.blog\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:20:\"node.blog.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.field_video_link','a:16:{s:4:\"uuid\";s:36:\"d177849b-3e79-4ed8-a800-bdd89dcb3399\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_video_link\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:26:\"node.blog.field_video_link\";s:10:\"field_name\";s:16:\"field_video_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:10:\"Video Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:9:\"link_type\";i:17;s:5:\"title\";i:1;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.node.forum.body','a:16:{s:4:\"uuid\";s:36:\"d855e280-a181-4352-b100-eafa64b4e891\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:15:\"node.forum.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.forum.comment_forum','a:16:{s:4:\"uuid\";s:36:\"e2cd90ea-8bd6-412c-8a1f-313c0f8b2c3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.comment_forum\";i:1;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:24:\"node.forum.comment_forum\";s:10:\"field_name\";s:13:\"comment_forum\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:17:\"last_comment_name\";N;s:22:\"last_comment_timestamp\";i:0;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:0;s:8:\"per_page\";i:50;s:13:\"form_location\";b:1;s:9:\"anonymous\";i:0;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.forum.taxonomy_forums','a:16:{s:4:\"uuid\";s:36:\"f959a7d5-81d2-4a57-8409-9bc24ae3d31f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:34:\"field.storage.node.taxonomy_forums\";i:1;s:15:\"node.type.forum\";i:2;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:26:\"node.forum.taxonomy_forums\";s:10:\"field_name\";s:15:\"taxonomy_forums\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"label\";s:6:\"Forums\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:6:\"forums\";s:6:\"forums\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.page.body','a:16:{s:4:\"uuid\";s:36:\"eb14539d-5149-49a3-a105-5b8415181203\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.page.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.showcase.body','a:16:{s:4:\"uuid\";s:36:\"fc351a74-1f79-42b8-b01c-285b34f1d3e9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:18:\"node.showcase.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.showcase.field_image','a:16:{s:4:\"uuid\";s:36:\"484d0718-9e05-4d9c-a64c-76c7dc2c696b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:25:\"node.showcase.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:20:\"field/image/showcase\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.showcase.field_link','a:16:{s:4:\"uuid\";s:36:\"cad45963-8947-4848-8e02-2dc33ce100c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:24:\"node.showcase.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"showcase\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:5:\"title\";i:1;s:9:\"link_type\";i:17;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.node.simplenews_issue.body','a:16:{s:4:\"uuid\";s:36:\"7f9a9ff4-b412-4a16-8c02-2bf47b0a4ceb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:26:\"node.simplenews_issue.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.simplenews_issue.simplenews_issue','a:16:{s:4:\"uuid\";s:36:\"a78b9f53-18e6-4cad-9562-98b84b7edf83\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.simplenews_issue\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:38:\"node.simplenews_issue.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:9:\"target_id\";s:7:\"default\";s:7:\"handler\";s:14:\"simplenews_all\";s:16:\"handler_settings\";a:0:{}s:6:\"status\";i:0;s:10:\"sent_count\";i:0;s:11:\"subscribers\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:0:{}}}s:10:\"field_type\";s:16:\"simplenews_issue\";}'),('','field.field.taxonomy_term.categories.field_image','a:16:{s:4:\"uuid\";s:36:\"611418e9-9dce-485b-8256-86d21d0c4613\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:36:\"taxonomy_term.categories.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:10:\"categories\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:1;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:12:\"max_filesize\";s:0:\"\";s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.taxonomy_term.forums.forum_container','a:16:{s:4:\"uuid\";s:36:\"6f6a5092-173d-44d4-8c00-ee36fe1c8222\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:43:\"field.storage.taxonomy_term.forum_container\";i:1;s:26:\"taxonomy.vocabulary.forums\";}}s:2:\"id\";s:36:\"taxonomy_term.forums.forum_container\";s:10:\"field_name\";s:15:\"forum_container\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"label\";s:9:\"Container\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:3:\"Yes\";s:9:\"off_label\";s:2:\"No\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','field.field.user.user.user_picture','a:16:{s:4:\"uuid\";s:36:\"99445da3-dda1-42f9-8d01-1ad860f82981\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:2:\"id\";s:22:\"user.user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Picture\";s:11:\"description\";s:29:\"Your virtual face or picture.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:12:\"max_filesize\";s:5:\"30 KB\";s:9:\"alt_field\";b:0;s:11:\"title_field\";b:0;s:14:\"max_resolution\";s:5:\"85x85\";s:14:\"min_resolution\";s:0:\"\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:18:\"alt_field_required\";b:0;s:20:\"title_field_required\";b:0;s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.settings','a:1:{s:16:\"purge_batch_size\";i:50;}'),('','field.storage.block_content.body','a:16:{s:4:\"uuid\";s:36:\"3d354244-c393-4078-b73e-6288a45e6101\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:2:\"id\";s:18:\"block_content.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.comment.comment_body','a:16:{s:4:\"uuid\";s:36:\"a0c95dfd-eefb-4340-a535-530e96af7242\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:2:\"id\";s:20:\"comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.body','a:16:{s:4:\"uuid\";s:36:\"578317ee-54b9-4df9-aa00-b7f5187e366a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:2:\"id\";s:9:\"node.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.comment','a:16:{s:4:\"uuid\";s:36:\"6fc15e30-a3fc-4891-b64c-76364b4468ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:2:\"id\";s:12:\"node.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.comment_forum','a:16:{s:4:\"uuid\";s:36:\"45c6e113-b684-438c-b44a-74b94c3aa85e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:2:\"id\";s:18:\"node.comment_forum\";s:10:\"field_name\";s:13:\"comment_forum\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_category','a:16:{s:4:\"uuid\";s:36:\"cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"node.field_category\";s:10:\"field_name\";s:14:\"field_category\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_image','a:16:{s:4:\"uuid\";s:36:\"c03a055a-f28b-47f0-a100-adec96658707\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:16:\"node.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_link','a:16:{s:4:\"uuid\";s:36:\"04fa4ba3-2961-4922-a200-e292be5448c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:15:\"node.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_tags','a:16:{s:4:\"uuid\";s:36:\"81ac884e-d9c8-406a-9a1d-29b262c313e8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:15:\"node.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_video_link','a:16:{s:4:\"uuid\";s:36:\"656196f0-e0ae-4388-be00-ad0dd28c612f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_video_link\";s:10:\"field_name\";s:16:\"field_video_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.simplenews_issue','a:16:{s:4:\"uuid\";s:36:\"4990045a-0df4-40e5-8436-545f18512a15\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"simplenews_issue\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.taxonomy_forums','a:16:{s:4:\"uuid\";s:36:\"036ad012-28b8-484d-8c00-c0e6030f093e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:20:\"node.taxonomy_forums\";s:10:\"field_name\";s:15:\"taxonomy_forums\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.taxonomy_term.field_image','a:16:{s:4:\"uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:2:\"id\";s:25:\"taxonomy_term.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.taxonomy_term.forum_container','a:16:{s:4:\"uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:29:\"taxonomy_term.forum_container\";s:10:\"field_name\";s:15:\"forum_container\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:1;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:0;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.user.user_picture','a:16:{s:4:\"uuid\";s:36:\"8067c901-4997-4726-9a00-d85626469302\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field_ui.settings','a:1:{s:12:\"field_prefix\";s:6:\"field_\";}'),('','file.settings','a:3:{s:11:\"description\";a:2:{s:4:\"type\";s:9:\"textfield\";s:6:\"length\";i:128;}s:4:\"icon\";a:1:{s:9:\"directory\";s:23:\"core/modules/file/icons\";}s:35:\"make_unused_managed_files_temporary\";b:0;}'),('','filter.format.basic_html','a:8:{s:4:\"uuid\";s:36:\"e93c4d2e-a086-4b86-9c61-97341886432e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:4:\"name\";s:10:\"Basic HTML\";s:6:\"format\";s:10:\"basic_html\";s:6:\"weight\";i:0;s:7:\"filters\";a:5:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:250:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>\";s:16:\"filter_html_help\";b:0;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:7;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:24:\"filter_html_image_secure\";a:5:{s:2:\"id\";s:24:\"filter_html_image_secure\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}}'),('','filter.format.full_html','a:8:{s:4:\"uuid\";s:36:\"b45c80e3-cf34-460a-8000-b168f1a1b24c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:4:\"name\";s:9:\"Full HTML\";s:6:\"format\";s:9:\"full_html\";s:6:\"weight\";i:1;s:7:\"filters\";a:4:{s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:20:\"filter_htmlcorrector\";a:5:{s:2:\"id\";s:20:\"filter_htmlcorrector\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}}'),('','filter.format.plain_text','a:8:{s:4:\"uuid\";s:36:\"0b0ed770-2ef5-4c82-a11a-26651664bb45\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Plain text\";s:6:\"format\";s:10:\"plain_text\";s:6:\"weight\";i:10;s:7:\"filters\";a:3:{s:18:\"filter_html_escape\";a:5:{s:2:\"id\";s:18:\"filter_html_escape\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}}}'),('','filter.format.restricted_html','a:8:{s:4:\"uuid\";s:36:\"a8c3c57c-e9c0-4196-aa00-f2c2890a68a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:15:\"Restricted HTML\";s:6:\"format\";s:15:\"restricted_html\";s:6:\"weight\";i:0;s:7:\"filters\";a:3:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:149:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}}}'),('','filter.settings','a:2:{s:15:\"fallback_format\";s:10:\"plain_text\";s:27:\"always_show_fallback_choice\";b:0;}'),('','forum.settings','a:3:{s:5:\"block\";a:2:{s:6:\"active\";a:1:{s:5:\"limit\";i:5;}s:3:\"new\";a:1:{s:5:\"limit\";i:5;}}s:6:\"topics\";a:3:{s:13:\"hot_threshold\";i:15;s:5:\"order\";i:1;s:10:\"page_limit\";i:25;}s:10:\"vocabulary\";s:6:\"forums\";}'),('','image.settings','a:3:{s:13:\"preview_image\";s:29:\"core/modules/image/sample.png\";s:26:\"allow_insecure_derivatives\";b:0;s:20:\"suppress_itok_output\";b:0;}'),('','image.style.image_60x60_','a:7:{s:4:\"uuid\";s:36:\"7d1fc6a8-b235-41b7-9206-6aaa3cbb20db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:12:\"image_60x60_\";s:5:\"label\";s:13:\"Image (60x60)\";s:7:\"effects\";a:1:{s:36:\"f3f0e3c8-c65b-4e29-8e00-0e6ff5019175\";a:4:{s:4:\"uuid\";s:36:\"f3f0e3c8-c65b-4e29-8e00-0e6ff5019175\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:60;s:6:\"height\";i:60;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_622x','a:7:{s:4:\"uuid\";s:36:\"73bebf74-9899-479a-ad00-ebed8696f156\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"image_622x\";s:5:\"label\";s:15:\"Image (622x311)\";s:7:\"effects\";a:1:{s:36:\"409236b7-9dde-4345-8c03-3d9a66834667\";a:4:{s:4:\"uuid\";s:36:\"409236b7-9dde-4345-8c03-3d9a66834667\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:622;s:6:\"height\";i:311;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.large','a:7:{s:4:\"uuid\";s:36:\"69048c8f-c4a9-4cca-8b05-5e5218da0177\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:5:\"large\";s:5:\"label\";s:16:\"Large (480×480)\";s:7:\"effects\";a:1:{s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";a:4:{s:4:\"uuid\";s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:480;s:6:\"height\";i:480;s:7:\"upscale\";b:0;}}}}'),('','image.style.medium','a:7:{s:4:\"uuid\";s:36:\"c628d2cd-acd3-425d-8e3f-6393121fc894\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:6:\"medium\";s:5:\"label\";s:17:\"Medium (220×220)\";s:7:\"effects\";a:1:{s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";a:4:{s:4:\"uuid\";s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:220;s:6:\"height\";i:220;s:7:\"upscale\";b:0;}}}}'),('','image.style.thumbnail','a:7:{s:4:\"uuid\";s:36:\"35472b91-e160-4558-a429-41cc7939a6c7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:9:\"thumbnail\";s:5:\"label\";s:20:\"Thumbnail (100×100)\";s:7:\"effects\";a:1:{s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";a:4:{s:4:\"uuid\";s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:7:\"upscale\";b:0;}}}}'),('','language.content_settings.block_content.basic','a:10:{s:4:\"uuid\";s:36:\"2d14a4e1-75c0-423e-b805-cf475bbabd6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:19:\"block_content.basic\";s:21:\"target_entity_type_id\";s:13:\"block_content\";s:13:\"target_bundle\";s:5:\"basic\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.comment.comment','a:10:{s:4:\"uuid\";s:36:\"815b20a8-9589-49a6-a1fe-f27bcb28ff42\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:15:\"comment.comment\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:7:\"comment\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.comment.comment_forum','a:10:{s:4:\"uuid\";s:36:\"ca45d53a-39c6-4581-99fe-80a4d9b377c9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"comment.type.comment_forum\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"comment.comment_forum\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:13:\"comment_forum\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.contact_message.feedback','a:9:{s:4:\"uuid\";s:36:\"883b4275-6f21-4c63-aeb7-391d9c4dbd3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.feedback\";}}s:2:\"id\";s:24:\"contact_message.feedback\";s:21:\"target_entity_type_id\";s:15:\"contact_message\";s:13:\"target_bundle\";s:8:\"feedback\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.contact_message.personal','a:9:{s:4:\"uuid\";s:36:\"66db5e00-1efc-403e-a93b-2095ce7bf4af\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.personal\";}}s:2:\"id\";s:24:\"contact_message.personal\";s:21:\"target_entity_type_id\";s:15:\"contact_message\";s:13:\"target_bundle\";s:8:\"personal\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.file.file','a:9:{s:4:\"uuid\";s:36:\"aa5dc067-6bec-478a-9ddc-4597697c3475\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:9:\"file.file\";s:21:\"target_entity_type_id\";s:4:\"file\";s:13:\"target_bundle\";s:4:\"file\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.menu_link_content.menu_link_content','a:10:{s:4:\"uuid\";s:36:\"d8047971-9394-4c21-ac60-3da0514a6276\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:17:\"menu_link_content\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:35:\"menu_link_content.menu_link_content\";s:21:\"target_entity_type_id\";s:17:\"menu_link_content\";s:13:\"target_bundle\";s:17:\"menu_link_content\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.article','a:10:{s:4:\"uuid\";s:36:\"31bd1a32-53ff-4cb5-8efe-7c39d32a5987\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:12:\"node.article\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:7:\"article\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.blog','a:10:{s:4:\"uuid\";s:36:\"89bbdd76-1acd-4043-91e7-e531d559a1a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.blog\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"blog\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.node.forum','a:10:{s:4:\"uuid\";s:36:\"78f224c1-6f10-4078-b5a6-06ba264bfdf1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:10:\"node.forum\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:5:\"forum\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.page','a:10:{s:4:\"uuid\";s:36:\"1e515e85-405d-4a49-80c5-7e40f5b3e371\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:9:\"node.page\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"page\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.showcase','a:10:{s:4:\"uuid\";s:36:\"36835ccd-366e-491e-aeb0-b83be728f77e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.showcase\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:13:\"node.showcase\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:8:\"showcase\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.simplenews_issue','a:10:{s:4:\"uuid\";s:36:\"78cf3d3d-3f74-437a-8e17-0d4c1f720743\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:16:\"simplenews_issue\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.path_alias.path_alias','a:10:{s:4:\"uuid\";s:36:\"fb07de86-2654-4b9e-ab12-17b548aee2ac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"path_alias\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dhjFABRzm52DkRXnYja5ZoHwjY0R3gEGic3KpDUXgRo\";}s:2:\"id\";s:21:\"path_alias.path_alias\";s:21:\"target_entity_type_id\";s:10:\"path_alias\";s:13:\"target_bundle\";s:10:\"path_alias\";s:16:\"default_langcode\";s:3:\"und\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.shortcut.default','a:10:{s:4:\"uuid\";s:36:\"64bb6941-38dd-4af0-a7e6-e9b9a162345e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"shortcut.default\";s:21:\"target_entity_type_id\";s:8:\"shortcut\";s:13:\"target_bundle\";s:7:\"default\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.categories','a:10:{s:4:\"uuid\";s:36:\"bda84855-c231-4215-8903-2bd814323457\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:24:\"taxonomy_term.categories\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:10:\"categories\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.forums','a:10:{s:4:\"uuid\";s:36:\"8b771040-d9d6-4d71-9bc5-53ee1473c19d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:20:\"taxonomy_term.forums\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:6:\"forums\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.tags','a:10:{s:4:\"uuid\";s:36:\"670d23d8-606b-4433-a9dc-cb2ca82920ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:4:\"tags\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.user.user','a:10:{s:4:\"uuid\";s:36:\"5666e943-9e07-4c15-9bb7-5880c6d10638\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:9:\"user.user\";s:21:\"target_entity_type_id\";s:4:\"user\";s:13:\"target_bundle\";s:4:\"user\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.entity.ar','a:9:{s:4:\"uuid\";s:36:\"0763f888-fe2f-44f7-bf6a-e3a5ce5efed2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:2:\"ar\";s:5:\"label\";s:6:\"Arabic\";s:9:\"direction\";s:3:\"rtl\";s:6:\"weight\";i:1;s:6:\"locked\";b:0;}'),('','language.entity.en','a:10:{s:4:\"uuid\";s:36:\"53321b20-74d1-44aa-aa3e-b576a42f950a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}'),('','language.entity.und','a:10:{s:4:\"uuid\";s:36:\"552a445a-f85c-4467-ae9c-7ec788f7ce3f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eNX6lLCKDaY83nCMh20My---y03KbiFlv802DKCCpvg\";}s:2:\"id\";s:3:\"und\";s:5:\"label\";s:13:\"Not specified\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:2;s:6:\"locked\";b:1;}'),('','language.entity.zxx','a:10:{s:4:\"uuid\";s:36:\"2d2b8a6a-a53e-410e-b9c1-df7d68197ae8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"35CefWbnzaiytcg3acexxz_GTvuwIjYd_ZTcmmR-tXA\";}s:2:\"id\";s:3:\"zxx\";s:5:\"label\";s:14:\"Not applicable\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:3;s:6:\"locked\";b:1;}'),('','language.mappings','a:2:{s:3:\"map\";a:10:{s:2:\"no\";s:2:\"nb\";s:2:\"pt\";s:5:\"pt-pt\";s:2:\"zh\";s:7:\"zh-hans\";s:5:\"zh-tw\";s:7:\"zh-hant\";s:5:\"zh-hk\";s:7:\"zh-hant\";s:5:\"zh-mo\";s:7:\"zh-hant\";s:6:\"zh-cht\";s:7:\"zh-hant\";s:5:\"zh-cn\";s:7:\"zh-hans\";s:5:\"zh-sg\";s:7:\"zh-hans\";s:6:\"zh-chs\";s:7:\"zh-hans\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EMWe7Yu4Q5eD-NUfNuQAWGBvYUNZPIinztEtONSmsDc\";}}'),('','language.negotiation','a:4:{s:7:\"session\";a:1:{s:9:\"parameter\";s:8:\"language\";}s:3:\"url\";a:3:{s:6:\"source\";s:11:\"path_prefix\";s:8:\"prefixes\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:2:\"ar\";}s:7:\"domains\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:0:\"\";}}s:17:\"selected_langcode\";s:12:\"site_default\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"uEePITI9tV6WqzmsTb7MfPCi5yPWXSxAN1xeLcYFQbM\";}}'),('','language.types','a:4:{s:3:\"all\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:12:\"configurable\";a:1:{i:0;s:18:\"language_interface\";}s:11:\"negotiation\";a:3:{s:16:\"language_content\";a:1:{s:7:\"enabled\";a:1:{s:18:\"language-interface\";i:0;}}s:12:\"language_url\";a:1:{s:7:\"enabled\";a:2:{s:12:\"language-url\";i:0;s:21:\"language-url-fallback\";i:1;}}s:18:\"language_interface\";a:1:{s:7:\"enabled\";a:1:{s:12:\"language-url\";i:0;}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dqouFqVseNJNvEjsoYKxbinFOITuCxYhi4y2OTNQP_8\";}}'),('','locale.settings','a:5:{s:13:\"cache_strings\";b:1;s:17:\"translate_english\";b:0;s:10:\"javascript\";a:1:{s:9:\"directory\";s:9:\"languages\";}s:11:\"translation\";a:8:{s:10:\"use_source\";s:16:\"remote_and_local\";s:16:\"default_filename\";s:30:\"%project-%version.%language.po\";s:22:\"default_server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:20:\"overwrite_customized\";b:0;s:24:\"overwrite_not_customized\";b:1;s:20:\"update_interval_days\";i:0;s:4:\"path\";s:32:\"sites/default/files/translations\";s:14:\"import_enabled\";b:1;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Lqw8pAQIfr4sRSts2RRWG97eNG6vRT7FhqF_b5COPGk\";}}'),('','menu_ui.settings','a:1:{s:24:\"override_parent_selector\";b:0;}'),('','module_filter.settings','a:2:{s:4:\"tabs\";b:1;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"G_8GHBI3-9ngC2R-uyRQpMWndFTfL1soDJCz8Rsgl0s\";}}'),('','node.settings','a:1:{s:15:\"use_admin_theme\";b:1;}'),('','node.type.article','a:11:{s:4:\"uuid\";s:36:\"e60edb83-c65a-4c76-8800-a9db0029a3f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:7:\"Article\";s:4:\"type\";s:7:\"article\";s:11:\"description\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}'),('','node.type.blog','a:12:{s:4:\"uuid\";s:36:\"79184f6b-5f8a-4aaa-9800-d112ab435ccc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:0:{}s:6:\"parent\";s:0:\"\";}}s:4:\"name\";s:4:\"Blog\";s:4:\"type\";s:4:\"blog\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}'),('','node.type.forum','a:11:{s:4:\"uuid\";s:36:\"95c1f9fb-9e56-4cac-9500-0a090bab42e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"forum\";}}}s:4:\"name\";s:11:\"Forum topic\";s:4:\"type\";s:5:\"forum\";s:11:\"description\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:1;}'),('','node.type.page','a:11:{s:4:\"uuid\";s:36:\"be2272ce-1c6f-4f9f-8400-cf289ffcaf85\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Basic page\";s:4:\"type\";s:4:\"page\";s:11:\"description\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.showcase','a:12:{s:4:\"uuid\";s:36:\"8a36541e-ca19-45b8-8116-22952499837f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:0:{}s:6:\"parent\";s:0:\"\";}}s:4:\"name\";s:8:\"Showcase\";s:4:\"type\";s:8:\"showcase\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.simplenews_issue','a:11:{s:4:\"uuid\";s:36:\"60c78140-02a4-488e-b200-c9084a97d5cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:16:\"Newsletter Issue\";s:4:\"type\";s:16:\"simplenews_issue\";s:11:\"description\";s:46:\"Use <em>Newsletter Issue</em> for newsletters.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','pathauto.pattern.blog','a:12:{s:4:\"uuid\";s:36:\"6a178233-d4d7-480e-b975-07a80d31c364\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:4:\"blog\";s:5:\"label\";s:5:\"Blog \";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:17:\"blog/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"b689dd5e-9098-47bd-8996-cdc087e384bc\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"b689dd5e-9098-47bd-8996-cdc087e384bc\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.showcase','a:12:{s:4:\"uuid\";s:36:\"6af5665b-b4de-464d-973d-71d9c7784644\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:8:\"showcase\";s:5:\"label\";s:8:\"Showcase\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:21:\"showcase/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"1b118e75-fe76-4586-92c4-b551f798a0ba\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"1b118e75-fe76-4586-92c4-b551f798a0ba\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.settings','a:13:{s:11:\"punctuation\";a:1:{s:6:\"hyphen\";i:1;}s:7:\"verbose\";b:0;s:9:\"separator\";s:1:\"-\";s:10:\"max_length\";i:100;s:20:\"max_component_length\";i:100;s:13:\"transliterate\";b:1;s:12:\"reduce_ascii\";b:0;s:4:\"case\";b:1;s:12:\"ignore_words\";s:134:\"a, an, as, at, before, but, by, for, from, is, in, into, like, of, off, on, onto, per, since, than, the, this, that, to, up, via, with\";s:13:\"update_action\";i:2;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YrQtUD-tjwXmWch1oNpPqr3qb5S17-dXdlKwqhiHjNI\";}s:20:\"enabled_entity_types\";a:1:{i:0;s:4:\"user\";}s:11:\"safe_tokens\";a:7:{i:0;s:5:\"alias\";i:1;s:5:\"alias\";i:2;s:4:\"path\";i:3;s:9:\"join-path\";i:4;s:9:\"login-url\";i:5;s:3:\"url\";i:6;s:9:\"url-brief\";}}'),('','pinteros.settings','a:12:{s:8:\"_version\";s:0:\"\";s:4:\"skin\";s:7:\"default\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:10:\"background\";s:10:\"bg-default\";s:8:\"features\";a:4:{s:17:\"node_user_picture\";b:1;s:20:\"comment_user_picture\";b:1;s:25:\"comment_user_verification\";b:1;s:7:\"favicon\";b:1;}s:15:\"show_skins_menu\";i:1;s:12:\"loading_page\";i:0;s:4:\"logo\";a:2:{s:11:\"use_default\";b:1;s:4:\"path\";s:0:\"\";}s:7:\"favicon\";a:2:{s:11:\"use_default\";b:1;s:4:\"path\";s:0:\"\";}s:25:\"skmn_use_default_settings\";i:0;s:16:\"pinteros_version\";s:3:\"1.0\";}'),('','rdf.mapping.comment.comment','a:9:{s:4:\"uuid\";s:36:\"5b82b57c-9694-4bde-9146-701fa31f91c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:15:\"comment.comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"types\";a:1:{i:0;s:14:\"schema:Comment\";}s:13:\"fieldMappings\";a:5:{s:7:\"subject\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:12:\"comment_body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}}}'),('','rdf.mapping.node.article','a:9:{s:4:\"uuid\";s:36:\"0b135181-dc27-4b6f-925e-9481abacdd48\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:12:\"node.article\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"types\";a:1:{i:0;s:14:\"schema:Article\";}s:13:\"fieldMappings\";a:9:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:1:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}}s:7:\"comment\";a:2:{s:10:\"properties\";a:1:{i:0;s:14:\"schema:comment\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}s:11:\"field_image\";a:1:{s:10:\"properties\";a:1:{i:0;s:12:\"schema:image\";}}s:10:\"field_tags\";a:1:{s:10:\"properties\";a:1:{i:0;s:12:\"schema:about\";}}}}'),('','rdf.mapping.node.forum','a:9:{s:4:\"uuid\";s:36:\"dc7838ed-5ba1-4b7a-9300-f24cbf1bf07f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:15:\"node.type.forum\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.forum\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:5:\"forum\";s:5:\"types\";a:1:{i:0;s:17:\"schema:Discussion\";}s:13:\"fieldMappings\";a:6:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}}}'),('','rdf.mapping.node.page','a:9:{s:4:\"uuid\";s:36:\"ff15bda1-a4a4-4e13-a31a-26d30ead3c94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:9:\"node.page\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"types\";a:1:{i:0;s:14:\"schema:WebPage\";}s:13:\"fieldMappings\";a:6:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}}}'),('','rdf.mapping.taxonomy_term.forums','a:9:{s:4:\"uuid\";s:36:\"6bd64769-7888-4dde-a500-b65381a0205e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:20:\"taxonomy_term.forums\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:6:\"forums\";s:5:\"types\";a:2:{i:0;s:14:\"sioc:Container\";i:1;s:10:\"sioc:Forum\";}s:13:\"fieldMappings\";a:2:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:11:\"description\";a:1:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:description\";}}}}'),('','rdf.mapping.taxonomy_term.tags','a:9:{s:4:\"uuid\";s:36:\"3a611911-f089-4671-9b09-9fd18dbaf069\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"types\";a:1:{i:0;s:12:\"schema:Thing\";}s:13:\"fieldMappings\";a:2:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:11:\"description\";a:1:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:description\";}}}}'),('','rdf.mapping.user.user','a:9:{s:4:\"uuid\";s:36:\"26d0bc36-e978-4e1e-b500-ded2391e9b94\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"user.user\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"types\";a:1:{i:0;s:13:\"schema:Person\";}s:13:\"fieldMappings\";a:1:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}}}'),('','search.page.node_search','a:10:{s:4:\"uuid\";s:36:\"e4b4595b-d6fe-4f25-a737-55889be9f8d6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:11:\"node_search\";s:5:\"label\";s:7:\"Content\";s:4:\"path\";s:4:\"node\";s:6:\"weight\";i:-10;s:6:\"plugin\";s:11:\"node_search\";s:13:\"configuration\";a:1:{s:8:\"rankings\";a:0:{}}}'),('','search.page.user_search','a:10:{s:4:\"uuid\";s:36:\"5b3c12c9-39e0-4abd-a808-8ba36978abd5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:11:\"user_search\";s:5:\"label\";s:5:\"Users\";s:4:\"path\";s:4:\"user\";s:6:\"weight\";i:0;s:6:\"plugin\";s:11:\"user_search\";s:13:\"configuration\";a:0:{}}'),('','search.settings','a:4:{s:12:\"and_or_limit\";i:7;s:12:\"default_page\";s:11:\"node_search\";s:5:\"index\";a:4:{s:10:\"cron_limit\";i:100;s:11:\"overlap_cjk\";b:1;s:17:\"minimum_word_size\";i:3;s:11:\"tag_weights\";a:12:{s:2:\"h1\";i:25;s:2:\"h2\";i:18;s:2:\"h3\";i:15;s:2:\"h4\";i:14;s:2:\"h5\";i:9;s:2:\"h6\";i:6;s:1:\"u\";i:3;s:1:\"b\";i:3;s:1:\"i\";i:3;s:6:\"strong\";i:3;s:2:\"em\";i:3;s:1:\"a\";i:10;}}s:7:\"logging\";b:0;}'),('','seven.settings','a:1:{s:20:\"third_party_settings\";a:1:{s:8:\"shortcut\";a:1:{s:11:\"module_link\";b:1;}}}'),('','shortcut.set.default','a:6:{s:4:\"uuid\";s:36:\"de172eb0-3714-4af2-8e2f-475125bfbdd8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"default\";s:5:\"label\";s:7:\"Default\";}'),('','simplenews.newsletter.default','a:18:{s:4:\"uuid\";s:36:\"b7ce3338-e1f6-430c-8d00-0bc6e0d173a3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:18:\"Default newsletter\";s:2:\"id\";s:7:\"default\";s:11:\"description\";s:41:\"This is an example newsletter. Change it.\";s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:9:\"from_name\";s:8:\"Pinteros\";s:7:\"subject\";s:43:\"[[simplenews-newsletter:name]] [node:title]\";s:12:\"from_address\";s:19:\"contact@weebpal.com\";s:10:\"hyperlinks\";b:0;s:16:\"allowed_handlers\";a:0:{}s:11:\"new_account\";s:4:\"none\";s:6:\"access\";s:7:\"default\";s:6:\"weight\";i:0;}'),('','simplenews.settings','a:5:{s:15:\"hash_expiration\";i:86400;s:10:\"newsletter\";a:5:{s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:12:\"from_address\";s:19:\"contact@weebpal.com\";s:9:\"from_name\";s:8:\"Pinteros\";}s:10:\"subscriber\";a:1:{s:11:\"sync_fields\";b:1;}s:12:\"subscription\";a:11:{s:24:\"confirm_combined_subject\";s:28:\"Confirmation for [site:name]\";s:21:\"confirm_combined_body\";s:212:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nTo confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]\";s:31:\"confirm_combined_body_unchanged\";s:215:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nNo confirmation necessary because all requested changes equal the current state.\";s:44:\"confirm_combined_line_subscribe_unsubscribed\";s:41:\"Subscribe to [simplenews-newsletter:name]\";s:42:\"confirm_combined_line_subscribe_subscribed\";s:50:\"Already subscribed to [simplenews-newsletter:name]\";s:44:\"confirm_combined_line_unsubscribe_subscribed\";s:45:\"Unsubscribe from [simplenews-newsletter:name]\";s:46:\"confirm_combined_line_unsubscribe_unsubscribed\";s:54:\"Already unsubscribed from [simplenews-newsletter:name]\";s:22:\"confirm_subscribe_page\";s:0:\"\";s:24:\"confirm_unsubscribe_page\";s:0:\"\";s:16:\"tidy_unconfirmed\";i:0;s:17:\"skip_verification\";b:0;}s:4:\"mail\";a:8:{s:8:\"use_cron\";b:1;s:8:\"throttle\";i:20;s:25:\"spool_progress_expiration\";i:3600;s:12:\"spool_expire\";i:0;s:5:\"debug\";b:0;s:12:\"source_cache\";s:42:\"\\Drupal\\simplenews\\Source\\SourceCacheBuild\";s:6:\"source\";s:38:\"\\Drupal\\simplenews\\Source\\SourceEntity\";s:7:\"textalt\";b:1;}}'),('','system.action.comment_delete_action','a:9:{s:4:\"uuid\";s:36:\"a3fd4815-40d6-44fe-a62e-3bd012d5f4ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:21:\"comment_delete_action\";s:5:\"label\";s:14:\"Delete comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:28:\"entity:delete_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_publish_action','a:9:{s:4:\"uuid\";s:36:\"e82096bd-4345-4407-aa00-e61e8b1981e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:22:\"comment_publish_action\";s:5:\"label\";s:15:\"Publish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:29:\"entity:publish_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_save_action','a:9:{s:4:\"uuid\";s:36:\"6d5d6678-0b4f-4853-9200-a208e6e9331a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:19:\"comment_save_action\";s:5:\"label\";s:12:\"Save comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:26:\"entity:save_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_unpublish_action','a:9:{s:4:\"uuid\";s:36:\"0a6c14bb-7c1f-4980-bb00-b9f7b50f4e9d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:24:\"comment_unpublish_action\";s:5:\"label\";s:17:\"Unpublish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:31:\"entity:unpublish_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_delete_action','a:9:{s:4:\"uuid\";s:36:\"3f6fc361-82ba-4850-b409-9d3b01075099\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:18:\"node_delete_action\";s:5:\"label\";s:14:\"Delete content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"entity:delete_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_make_sticky_action','a:9:{s:4:\"uuid\";s:36:\"1fb8b212-fcca-4064-8c27-39715c6ac448\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:23:\"node_make_sticky_action\";s:5:\"label\";s:19:\"Make content sticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"node_make_sticky_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_make_unsticky_action','a:9:{s:4:\"uuid\";s:36:\"19439371-c5ec-4c75-9045-69c5de241559\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:25:\"node_make_unsticky_action\";s:5:\"label\";s:21:\"Make content unsticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"node_make_unsticky_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_promote_action','a:9:{s:4:\"uuid\";s:36:\"4464e8ab-8b29-401e-8900-e8278a980ae3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:19:\"node_promote_action\";s:5:\"label\";s:29:\"Promote content to front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:19:\"node_promote_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_publish_action','a:9:{s:4:\"uuid\";s:36:\"414fdcf1-944a-47ca-ab06-6c8d7d97eec9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:19:\"node_publish_action\";s:5:\"label\";s:15:\"Publish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:26:\"entity:publish_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_save_action','a:9:{s:4:\"uuid\";s:36:\"93a66a45-65df-4ae9-b915-218f93ebe4e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:16:\"node_save_action\";s:5:\"label\";s:12:\"Save content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"entity:save_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_unpromote_action','a:9:{s:4:\"uuid\";s:36:\"b4c03778-c045-42a6-8a02-2c42a878f31c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:21:\"node_unpromote_action\";s:5:\"label\";s:30:\"Remove content from front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"node_unpromote_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_unpublish_action','a:9:{s:4:\"uuid\";s:36:\"2bdc5b5c-195a-4e3f-9c08-8dd1dde63f64\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:21:\"node_unpublish_action\";s:5:\"label\";s:17:\"Unpublish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:28:\"entity:unpublish_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.pathauto_update_alias_node','a:10:{s:4:\"uuid\";s:36:\"af266d48-9cb8-4959-a6df-e095098d5e2c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-SdRoSbsl_FULjbX8mgESZdeoEOjgi7rDhHNdLOJ8n8\";}s:2:\"id\";s:26:\"pathauto_update_alias_node\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}'),('','system.action.pathauto_update_alias_user','a:10:{s:4:\"uuid\";s:36:\"5a38db35-c8a8-43b1-b31d-18dbde8ac263\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fWszFHPeJ_dhZ8kJEEWo4w-FQH_etR4AxTQkQCW9OLk\";}s:2:\"id\";s:26:\"pathauto_update_alias_user\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}'),('','system.action.simplenews_send_action','a:9:{s:4:\"uuid\";s:36:\"5e7cbd9a-02dc-442e-8361-971e5814f987\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:22:\"simplenews_send_action\";s:5:\"label\";s:21:\"Send newsletter issue\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_send_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.simplenews_stop_action','a:9:{s:4:\"uuid\";s:36:\"f60aaa37-2dae-4151-8800-dc270e4e5ee2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:2:\"id\";s:22:\"simplenews_stop_action\";s:5:\"label\";s:12:\"Stop sending\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_stop_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_add_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"e390fa3a-8991-4a3c-911b-279901d41460\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:34:\"user_add_role_action.administrator\";s:5:\"label\";s:48:\"Add the Administrator role to the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:20:\"user_add_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}'),('','system.action.user_block_user_action','a:9:{s:4:\"uuid\";s:36:\"16722ba6-3f01-4b17-9300-bab49ec6acba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:22:\"user_block_user_action\";s:5:\"label\";s:26:\"Block the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:22:\"user_block_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_cancel_user_action','a:9:{s:4:\"uuid\";s:36:\"ec061b61-07b6-474e-a908-08a0b8aa3ab1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:23:\"user_cancel_user_action\";s:5:\"label\";s:35:\"Cancel the selected user account(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_cancel_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_remove_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"d5c60a28-e55d-45fe-9900-f047bb6192e9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:37:\"user_remove_role_action.administrator\";s:5:\"label\";s:53:\"Remove the Administrator role from the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_remove_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}'),('','system.action.user_unblock_user_action','a:9:{s:4:\"uuid\";s:36:\"432c1aa6-c3f5-4ce8-9645-69dd764af1d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:24:\"user_unblock_user_action\";s:5:\"label\";s:28:\"Unblock the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:24:\"user_unblock_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.advisories','a:2:{s:14:\"interval_hours\";i:6;s:7:\"enabled\";b:1;}'),('','system.authorize','a:1:{s:20:\"filetransfer_default\";N;}'),('','system.cron','a:2:{s:9:\"threshold\";a:2:{s:20:\"requirements_warning\";i:172800;s:18:\"requirements_error\";i:1209600;}s:7:\"logging\";i:1;}'),('','system.date','a:3:{s:7:\"country\";a:1:{s:7:\"default\";s:0:\"\";}s:9:\"first_day\";i:0;s:8:\"timezone\";a:2:{s:7:\"default\";s:19:\"America/Los_Angeles\";s:4:\"user\";a:3:{s:12:\"configurable\";b:1;s:4:\"warn\";b:0;s:7:\"default\";i:0;}}}'),('','system.diff','a:1:{s:7:\"context\";a:2:{s:13:\"lines_leading\";i:2;s:14:\"lines_trailing\";i:2;}}'),('','system.file','a:4:{s:22:\"allow_insecure_uploads\";b:0;s:14:\"default_scheme\";s:6:\"public\";s:4:\"path\";a:0:{}s:21:\"temporary_maximum_age\";i:21600;}'),('','system.image','a:1:{s:7:\"toolkit\";s:2:\"gd\";}'),('','system.image.gd','a:1:{s:12:\"jpeg_quality\";i:75;}'),('','system.logging','a:1:{s:11:\"error_level\";s:4:\"hide\";}'),('','system.mail','a:1:{s:9:\"interface\";a:1:{s:7:\"default\";s:8:\"php_mail\";}}'),('','system.maintenance','a:2:{s:7:\"message\";s:93:\"@site is currently under maintenance. We should be back shortly. Thank you for your patience.\";s:8:\"langcode\";s:2:\"en\";}'),('','system.menu.account','a:8:{s:4:\"uuid\";s:36:\"754ea27e-0618-4746-bd33-51f2f07defef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:7:\"account\";s:5:\"label\";s:17:\"User account menu\";s:11:\"description\";s:40:\"Links related to the active user account\";s:6:\"locked\";b:1;}'),('','system.menu.admin','a:8:{s:4:\"uuid\";s:36:\"c3e4c83b-39ea-48b3-bc03-3d1b6ee08966\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"admin\";s:5:\"label\";s:14:\"Administration\";s:11:\"description\";s:25:\"Administrative task links\";s:6:\"locked\";b:1;}'),('','system.menu.anonymous-menu','a:8:{s:4:\"uuid\";s:36:\"d4f019aa-2a40-4601-a90a-105362c087e7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:14:\"anonymous-menu\";s:5:\"label\";s:14:\"Anonymous Menu\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}'),('','system.menu.categories-menu','a:8:{s:4:\"uuid\";s:36:\"c89c9391-91f6-4f4c-9606-06170b00487a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:15:\"categories-menu\";s:5:\"label\";s:15:\"Categories Menu\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}'),('','system.menu.footer','a:8:{s:4:\"uuid\";s:36:\"1fea7611-4fe0-491f-a800-efcefae9eb2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:6:\"footer\";s:5:\"label\";s:6:\"Footer\";s:11:\"description\";s:22:\"Site information links\";s:6:\"locked\";b:1;}'),('','system.menu.main','a:8:{s:4:\"uuid\";s:36:\"2df9d83c-80b7-4ede-be00-e854bc4d3434\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:4:\"main\";s:5:\"label\";s:15:\"Main navigation\";s:11:\"description\";s:18:\"Site section links\";s:6:\"locked\";b:1;}'),('','system.menu.tools','a:8:{s:4:\"uuid\";s:36:\"1dfc6c27-936b-4bbf-8200-b11269ea3355\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"tools\";s:5:\"label\";s:5:\"Tools\";s:11:\"description\";s:39:\"User tool links, often added by modules\";s:6:\"locked\";b:1;}'),('','system.performance','a:5:{s:5:\"cache\";a:1:{s:4:\"page\";a:1:{s:7:\"max_age\";i:0;}}s:3:\"css\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:8:\"fast_404\";a:4:{s:7:\"enabled\";b:1;s:5:\"paths\";s:69:\"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i\";s:13:\"exclude_paths\";s:27:\"/\\/(?:styles|imagecache)\\//\";s:4:\"html\";s:162:\"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL \"@path\" was not found on this server.</p></body></html>\";}s:2:\"js\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:20:\"stale_file_threshold\";i:2592000;}'),('','system.rss','a:1:{s:5:\"items\";a:1:{s:9:\"view_mode\";s:3:\"rss\";}}'),('','system.site','a:10:{s:4:\"uuid\";s:36:\"e03af24f-abf2-46a9-b800-0ecaac6a4921\";s:4:\"name\";s:8:\"Pinteros\";s:4:\"mail\";s:13:\"admin@lvh.com\";s:6:\"slogan\";s:0:\"\";s:4:\"page\";a:3:{i:403;s:0:\"\";i:404;s:0:\"\";s:5:\"front\";s:5:\"/node\";}s:18:\"admin_compact_mode\";b:0;s:17:\"weight_select_max\";i:100;s:8:\"langcode\";s:2:\"en\";s:16:\"default_langcode\";s:2:\"en\";s:17:\"mail_notification\";s:0:\"\";}'),('','system.theme','a:2:{s:5:\"admin\";s:5:\"seven\";s:7:\"default\";s:8:\"pinteros\";}'),('','system.theme.global','a:3:{s:7:\"favicon\";a:4:{s:8:\"mimetype\";s:24:\"image/vnd.microsoft.icon\";s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}s:8:\"features\";a:4:{s:20:\"comment_user_picture\";b:1;s:25:\"comment_user_verification\";b:1;s:7:\"favicon\";b:1;s:17:\"node_user_picture\";b:1;}s:4:\"logo\";a:3:{s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}}'),('','taxonomy.settings','a:3:{s:20:\"maintain_index_table\";b:1;s:17:\"override_selector\";b:0;s:20:\"terms_per_page_admin\";i:100;}'),('','taxonomy.vocabulary.categories','a:8:{s:4:\"uuid\";s:36:\"ea3e3f7f-a9b0-4392-af56-86c5d602c3cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:10:\"Categories\";s:3:\"vid\";s:10:\"categories\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}'),('','taxonomy.vocabulary.forums','a:8:{s:4:\"uuid\";s:36:\"671b16a7-b6e0-4384-9251-81abeedece08\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"forum\";}}}s:4:\"name\";s:6:\"Forums\";s:3:\"vid\";s:6:\"forums\";s:11:\"description\";s:27:\"Forum navigation vocabulary\";s:6:\"weight\";i:-10;}'),('','taxonomy.vocabulary.tags','a:8:{s:4:\"uuid\";s:36:\"f09a3045-db8b-4075-a10f-1554c37b0660\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:4:\"Tags\";s:3:\"vid\";s:4:\"tags\";s:11:\"description\";s:61:\"Use tags to group articles on similar topics into categories.\";s:6:\"weight\";i:0;}'),('','text.settings','a:1:{s:22:\"default_summary_length\";i:600;}'),('','tour.tour.language','a:10:{s:4:\"uuid\";s:36:\"23f8a2e8-9af9-4ca9-989d-2664753f0b01\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"LlLH_HQYhZxal4iB88sQSB45acF-8GJH0PJcvziEmqg\";}s:2:\"id\";s:8:\"language\";s:5:\"label\";s:8:\"Language\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";}}s:4:\"tips\";a:6:{s:17:\"language-overview\";a:5:{s:2:\"id\";s:17:\"language-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:9:\"Languages\";s:4:\"body\";s:96:\"<p>The \"Languages\" page allows you to add, edit, delete, and reorder languages for the site.</p>\";s:6:\"weight\";i:1;}s:12:\"language-add\";a:6:{s:2:\"id\";s:12:\"language-add\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Adding languages\";s:4:\"body\";s:171:\"<p>To add more languages to your site, click the \"Add language\" button.</p><p>Added languages will be displayed in the language list and can then be edited or deleted.</p>\";s:6:\"weight\";i:2;s:8:\"selector\";s:14:\".button-action\";}s:16:\"language-reorder\";a:6:{s:2:\"id\";s:16:\"language-reorder\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Reordering languages\";s:4:\"body\";s:402:\"<p>To reorder the languages on your site, use the drag icons next to each language.</p><p>The order shown here is the display order for language lists on the site such as in the language switcher blocks provided by the Interface Translation and Content Translation modules.</p><p>When you are done with reordering the languages, click the \"Save configuration\" button for the changes to take effect.</p>\";s:6:\"weight\";i:3;s:8:\"selector\";s:10:\".draggable\";}s:16:\"language-default\";a:6:{s:2:\"id\";s:16:\"language-default\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:25:\"Set a language as default\";s:4:\"body\";s:274:\"<p>You can change the default language of the site by choosing one of your configured languages as default. The site will use the default language in situations where no choice is made but a language should be set, for example as the language of the displayed interface.</p>\";s:6:\"weight\";i:4;s:8:\"selector\";s:35:\".js-form-item-site-default-language\";}s:19:\"language-operations\";a:6:{s:2:\"id\";s:19:\"language-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:19:\"Modifying languages\";s:4:\"body\";s:399:\"<p>Operations are provided for editing and deleting your languages.</p><p>You can edit the name and the direction of the language.</p><p>Deleted languages can be added back at a later time. Deleting a language will remove all interface translations associated with it, and content in this language will be set to be language neutral. Note that you cannot delete the default language of the site.</p>\";s:6:\"weight\";i:5;s:8:\"selector\";s:19:\".dropbutton-wrapper\";}s:17:\"language-continue\";a:5:{s:2:\"id\";s:17:\"language-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:261:\"<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]/admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>\";s:6:\"weight\";i:6;}}}'),('','tour.tour.language-add','a:10:{s:4:\"uuid\";s:36:\"ca24f041-53b4-45f0-98c0-3cf2e6afe954\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AMWw3H7E7fuBLMW6LmsCJvYFYQiWwSCl0Fbwe0wiIrU\";}s:2:\"id\";s:12:\"language-add\";s:5:\"label\";s:16:\"Adding languages\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:12:\"language.add\";}}s:4:\"tips\";a:3:{s:21:\"language-add-overview\";a:5:{s:2:\"id\";s:21:\"language-add-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Adding languages\";s:4:\"body\";s:154:\"<p>This page provides the ability to add common languages to your site.</p><p>If the desired language is not available, you can add a custom language.</p>\";s:6:\"weight\";i:1;}s:19:\"language-add-choose\";a:6:{s:2:\"id\";s:19:\"language-add-choose\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:15:\"Select language\";s:4:\"body\";s:312:\"<p>Choose a language from the list, or choose \"Custom language...\" at the end of the list.</p><p>Click the \"Add language\" button when you are done choosing your language.</p><p>When adding a custom language, you will get an additional form where you can provide the name, code, and direction of the language.</p>\";s:6:\"weight\";i:2;s:8:\"selector\";s:25:\"#edit-predefined-langcode\";}s:21:\"language-add-continue\";a:5:{s:2:\"id\";s:21:\"language-add-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:250:\"<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>\";s:6:\"weight\";i:3;}}}'),('','tour.tour.language-edit','a:10:{s:4:\"uuid\";s:36:\"68dfb092-93bb-40f3-b54c-e1f9ec0b81f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eYyOjXVghEin1Ed7t7vr9X0dSn018_zeZegu2Ao-j4Q\";}s:2:\"id\";s:13:\"language-edit\";s:5:\"label\";s:17:\"Editing languages\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:38:\"entity.configurable_language.edit_form\";}}s:4:\"tips\";a:5:{s:22:\"language-edit-overview\";a:5:{s:2:\"id\";s:22:\"language-edit-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:17:\"Editing languages\";s:4:\"body\";s:98:\"<p>This page provides the ability to edit a language on your site, including custom languages.</p>\";s:6:\"weight\";i:1;}s:22:\"language-edit-langcode\";a:6:{s:2:\"id\";s:22:\"language-edit-langcode\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Language code\";s:4:\"body\";s:122:\"<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>\";s:6:\"weight\";i:2;s:8:\"selector\";s:19:\"#edit-langcode-view\";}s:19:\"language-edit-label\";a:6:{s:2:\"id\";s:19:\"language-edit-label\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Language name\";s:4:\"body\";s:289:\"<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>\";s:6:\"weight\";i:3;s:8:\"selector\";s:11:\"#edit-label\";}s:23:\"language-edit-direction\";a:6:{s:2:\"id\";s:23:\"language-edit-direction\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:18:\"Language direction\";s:4:\"body\";s:196:\"<p>Choose if the language is a \"Left to right\" or \"Right to left\" language.</p><p>Note that not all themes support \"Right to left\" layouts, so test your theme if you are using \"Right to left\".</p>\";s:6:\"weight\";i:4;s:8:\"selector\";s:37:\"#edit-direction--wrapper--description\";}s:22:\"language-edit-continue\";a:5:{s:2:\"id\";s:22:\"language-edit-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:218:\"<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>\";s:6:\"weight\";i:5;}}}'),('','tour.tour.locale','a:10:{s:4:\"uuid\";s:36:\"f83778ee-10a7-4626-aa6f-5853082ac997\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"locale\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2RuPjrDfA8rPp1mcEzIYMz7RRJQLfovwJuJnuosFu2Y\";}s:2:\"id\";s:6:\"locale\";s:5:\"label\";s:11:\"Translation\";s:6:\"module\";s:6:\"locale\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:21:\"locale.translate_page\";}}s:4:\"tips\";a:8:{s:15:\"locale-overview\";a:5:{s:2:\"id\";s:15:\"locale-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:26:\"User interface translation\";s:4:\"body\";s:281:\"This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]/admin/config/regional/language\">Languages page</a>, in order to use this page.\";s:6:\"weight\";i:1;}s:15:\"locale-language\";a:6:{s:2:\"id\";s:15:\"locale-language\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Translation language\";s:4:\"body\";s:42:\"Choose the language you want to translate.\";s:6:\"weight\";i:2;s:8:\"selector\";s:14:\"#edit-langcode\";}s:13:\"locale-search\";a:6:{s:2:\"id\";s:13:\"locale-search\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:6:\"Search\";s:4:\"body\";s:100:\"Enter the specific word or sentence you want to translate, you can also write just a part of a word.\";s:6:\"weight\";i:3;s:8:\"selector\";s:12:\"#edit-string\";}s:13:\"locale-filter\";a:6:{s:2:\"id\";s:13:\"locale-filter\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:17:\"Filter the search\";s:4:\"body\";s:202:\"You can search for untranslated strings if you want to translate something that isn\'t translated yet. If you want to modify an existing translation, you might want to search only for translated strings.\";s:6:\"weight\";i:4;s:8:\"selector\";s:17:\"#edit-translation\";}s:13:\"locale-submit\";a:6:{s:2:\"id\";s:13:\"locale-submit\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:26:\"Apply your search criteria\";s:4:\"body\";s:67:\"To apply your search criteria, click on the <em>Filter</em> button.\";s:6:\"weight\";i:5;s:8:\"selector\";s:12:\"#edit-submit\";}s:16:\"locale-translate\";a:6:{s:2:\"id\";s:16:\"locale-translate\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:9:\"Translate\";s:4:\"body\";s:180:\"You can write your own translation in the text fields of the right column. Try to figure out in which context the text will be used in order to translate it in the appropriate way.\";s:6:\"weight\";i:6;s:8:\"selector\";s:22:\".js-form-type-textarea\";}s:15:\"locale-validate\";a:6:{s:2:\"id\";s:15:\"locale-validate\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:24:\"Validate the translation\";s:4:\"body\";s:181:\"When you have finished your translations, click on the <em>Save translations</em> button. You must save your translations, each time before changing the page or making a new search.\";s:6:\"weight\";i:7;s:8:\"selector\";s:15:\"#edit-submit--2\";}s:15:\"locale-continue\";a:5:{s:2:\"id\";s:15:\"locale-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:354:\"The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]/admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]/admin/config/regional/translate/import\">import them</a> later.\";s:6:\"weight\";i:8;}}}'),('','tour.tour.views-ui','a:9:{s:4:\"uuid\";s:36:\"aed4a61c-3612-4ba2-983f-630103c8eca7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"views_ui\";}}s:2:\"id\";s:8:\"views-ui\";s:5:\"label\";s:14:\"View edit page\";s:6:\"module\";s:8:\"views_ui\";s:6:\"routes\";a:2:{i:0;a:1:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";}i:1;a:1:{s:10:\"route_name\";s:29:\"entity.view.edit_display_form\";}}s:4:\"tips\";a:10:{s:10:\"views-main\";a:5:{s:2:\"id\";s:10:\"views-main\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Manage view settings\";s:4:\"body\";s:31:\"View or edit the configuration.\";s:6:\"weight\";i:1;}s:17:\"views-ui-displays\";a:6:{s:2:\"id\";s:17:\"views-ui-displays\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:21:\"Displays in this view\";s:4:\"body\";s:169:\"A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.\";s:6:\"weight\";i:2;s:8:\"selector\";s:18:\"#views-display-top\";}s:19:\"views-ui-view-admin\";a:7:{s:2:\"id\";s:19:\"views-ui-view-admin\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:19:\"View administration\";s:4:\"body\";s:140:\"Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.\";s:6:\"weight\";i:3;s:8:\"selector\";s:28:\"#views-display-extra-actions\";s:8:\"position\";s:10:\"left-start\";}s:15:\"views-ui-format\";a:6:{s:2:\"id\";s:15:\"views-ui-format\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Output format\";s:4:\"body\";s:325:\"Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal\'s base functionality.\";s:6:\"weight\";i:4;s:8:\"selector\";s:35:\".views-ui-display-tab-bucket.format\";}s:15:\"views-ui-fields\";a:6:{s:2:\"id\";s:15:\"views-ui-fields\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:6:\"Fields\";s:4:\"body\";s:89:\"If this view uses fields, they are listed here. You can click on a field to configure it.\";s:6:\"weight\";i:5;s:8:\"selector\";s:34:\".views-ui-display-tab-bucket.field\";}s:15:\"views-ui-filter\";a:6:{s:2:\"id\";s:15:\"views-ui-filter\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Filter your view\";s:4:\"body\";s:173:\"Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.\";s:6:\"weight\";i:6;s:8:\"selector\";s:35:\".views-ui-display-tab-bucket.filter\";}s:26:\"views-ui-filter-operations\";a:6:{s:2:\"id\";s:26:\"views-ui-filter-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:14:\"Filter actions\";s:4:\"body\";s:33:\"Add, rearrange or remove filters.\";s:6:\"weight\";i:7;s:8:\"selector\";s:54:\".views-ui-display-tab-bucket.filter .dropbutton-widget\";}s:14:\"views-ui-sorts\";a:6:{s:2:\"id\";s:14:\"views-ui-sorts\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Sort Criteria\";s:4:\"body\";s:96:\"Control the order in which the results are output. Click on an active sort rule to configure it.\";s:6:\"weight\";i:8;s:8:\"selector\";s:33:\".views-ui-display-tab-bucket.sort\";}s:25:\"views-ui-sorts-operations\";a:6:{s:2:\"id\";s:25:\"views-ui-sorts-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:12:\"Sort actions\";s:4:\"body\";s:39:\"Add, rearrange or remove sorting rules.\";s:6:\"weight\";i:9;s:8:\"selector\";s:52:\".views-ui-display-tab-bucket.sort .dropbutton-widget\";}s:16:\"views-ui-preview\";a:7:{s:2:\"id\";s:16:\"views-ui-preview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:7:\"Preview\";s:4:\"body\";s:34:\"Show a preview of the view output.\";s:6:\"weight\";i:10;s:8:\"selector\";s:15:\"#preview-submit\";s:8:\"position\";s:10:\"left-start\";}}}'),('','update.settings','a:3:{s:5:\"check\";a:2:{s:19:\"disabled_extensions\";b:0;s:13:\"interval_days\";i:1;}s:5:\"fetch\";a:3:{s:3:\"url\";s:0:\"\";s:12:\"max_attempts\";i:2;s:7:\"timeout\";i:30;}s:12:\"notification\";a:2:{s:6:\"emails\";a:1:{i:0;s:19:\"contact@weebpal.com\";}s:9:\"threshold\";s:3:\"all\";}}'),('','user.flood','a:5:{s:8:\"uid_only\";b:0;s:8:\"ip_limit\";i:50;s:9:\"ip_window\";i:3600;s:10:\"user_limit\";i:5;s:11:\"user_window\";i:21600;}'),('','user.mail','a:10:{s:14:\"cancel_confirm\";a:2:{s:4:\"body\";s:389:\"[user:display-name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:67:\"Account cancellation request for [user:display-name] at [site:name]\";}s:14:\"password_reset\";a:2:{s:4:\"body\";s:417:\"[user:display-name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:68:\"Replacement login information for [user:display-name] at [site:name]\";}s:22:\"register_admin_created\";a:2:{s:4:\"body\";s:486:\"[user:display-name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:58:\"An administrator created an account for you at [site:name]\";}s:29:\"register_no_approval_required\";a:2:{s:4:\"body\";s:460:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:54:\"Account details for [user:display-name] at [site:name]\";}s:25:\"register_pending_approval\";a:2:{s:4:\"body\";s:294:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";}s:31:\"register_pending_approval_admin\";a:2:{s:4:\"body\";s:66:\"[user:display-name] has applied for an account.\r\n\r\n[user:edit-url]\";s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";}s:16:\"status_activated\";a:2:{s:4:\"body\";s:477:\"[user:display-name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:account-name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (approved)\";}s:14:\"status_blocked\";a:2:{s:4:\"body\";s:93:\"[user:display-name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:64:\"Account details for [user:display-name] at [site:name] (blocked)\";}s:15:\"status_canceled\";a:2:{s:4:\"body\";s:94:\"[user:display-name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (canceled)\";}s:8:\"langcode\";s:2:\"en\";}'),('','user.role.administrator','a:9:{s:4:\"uuid\";s:36:\"498f8330-efea-425e-b203-3e41cf260662\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"administrator\";s:5:\"label\";s:13:\"Administrator\";s:6:\"weight\";i:2;s:8:\"is_admin\";b:1;s:11:\"permissions\";a:0:{}}'),('','user.role.anonymous','a:9:{s:4:\"uuid\";s:36:\"0997490d-3c00-4854-b300-be44480e6027\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:9:\"anonymous\";s:5:\"label\";s:14:\"Anonymous user\";s:6:\"weight\";i:0;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:7:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:29:\"access site-wide contact form\";i:3;s:14:\"search content\";i:4;s:24:\"subscribe to newsletters\";i:5;s:19:\"use advanced search\";i:6;s:31:\"use text format restricted_html\";}}'),('','user.role.authenticated','a:9:{s:4:\"uuid\";s:36:\"139c45bc-251a-4821-973f-63fc64bdf175\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:13:\"authenticated\";s:5:\"label\";s:18:\"Authenticated user\";s:6:\"weight\";i:1;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:11:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:16:\"access shortcuts\";i:3;s:29:\"access site-wide contact form\";i:4;s:17:\"administer search\";i:5;s:13:\"post comments\";i:6;s:14:\"search content\";i:7;s:21:\"skip comment approval\";i:8;s:24:\"subscribe to newsletters\";i:9;s:19:\"use advanced search\";i:10;s:26:\"use text format basic_html\";}}'),('','user.settings','a:8:{s:9:\"anonymous\";s:9:\"Anonymous\";s:11:\"verify_mail\";b:1;s:6:\"notify\";a:8:{s:14:\"cancel_confirm\";b:1;s:14:\"password_reset\";b:1;s:16:\"status_activated\";b:1;s:14:\"status_blocked\";b:0;s:15:\"status_canceled\";b:0;s:22:\"register_admin_created\";b:1;s:29:\"register_no_approval_required\";b:1;s:25:\"register_pending_approval\";b:1;}s:8:\"register\";s:10:\"admin_only\";s:13:\"cancel_method\";s:17:\"user_cancel_block\";s:22:\"password_reset_timeout\";i:86400;s:17:\"password_strength\";b:1;s:8:\"langcode\";s:2:\"en\";}'),('','views.settings','a:5:{s:17:\"display_extenders\";a:0:{}s:10:\"skip_cache\";b:0;s:13:\"sql_signature\";b:0;s:2:\"ui\";a:3:{s:4:\"show\";a:7:{s:18:\"additional_queries\";b:0;s:15:\"advanced_column\";b:0;s:22:\"performance_statistics\";b:0;s:19:\"preview_information\";b:1;s:9:\"sql_query\";a:2:{s:7:\"enabled\";b:0;s:5:\"where\";s:5:\"above\";}s:13:\"display_embed\";b:0;s:15:\"default_display\";b:0;}s:19:\"always_live_preview\";b:1;s:24:\"exposed_filter_any_label\";s:7:\"old_any\";}s:22:\"field_rewrite_elements\";a:29:{s:3:\"div\";s:3:\"DIV\";s:4:\"span\";s:4:\"SPAN\";s:2:\"h1\";s:2:\"H1\";s:2:\"h2\";s:2:\"H2\";s:2:\"h3\";s:2:\"H3\";s:2:\"h4\";s:2:\"H4\";s:2:\"h5\";s:2:\"H5\";s:2:\"h6\";s:2:\"H6\";s:1:\"p\";s:1:\"P\";s:6:\"header\";s:6:\"HEADER\";s:6:\"footer\";s:6:\"FOOTER\";s:7:\"article\";s:7:\"ARTICLE\";s:7:\"section\";s:7:\"SECTION\";s:5:\"aside\";s:5:\"ASIDE\";s:7:\"details\";s:7:\"DETAILS\";s:10:\"blockquote\";s:10:\"BLOCKQUOTE\";s:6:\"figure\";s:6:\"FIGURE\";s:7:\"address\";s:7:\"ADDRESS\";s:4:\"code\";s:4:\"CODE\";s:3:\"pre\";s:3:\"PRE\";s:3:\"var\";s:3:\"VAR\";s:4:\"samp\";s:4:\"SAMP\";s:3:\"kbd\";s:3:\"KBD\";s:6:\"strong\";s:6:\"STRONG\";s:2:\"em\";s:2:\"EM\";s:3:\"del\";s:3:\"DEL\";s:3:\"ins\";s:3:\"INS\";s:1:\"q\";s:1:\"Q\";s:1:\"s\";s:1:\"S\";}}'),('','views.view.archive','a:12:{s:4:\"uuid\";s:36:\"1d7c19cb-f1e2-4de0-a102-2b581f63ed6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"archive\";s:5:\"label\";s:7:\"Archive\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:22:\"All content, by month.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:5:\"title\";s:15:\"Monthly archive\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:2:{s:10:\"sort_order\";s:4:\"desc\";s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:2:{s:8:\"override\";b:1;s:14:\"items_per_page\";i:30;}s:18:\"specify_validation\";b:1;s:9:\"plugin_id\";s:15:\"date_year_month\";s:11:\"entity_type\";s:4:\"node\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";i:30;}s:18:\"specify_validation\";b:1;s:9:\"plugin_id\";s:15:\"date_year_month\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"archive\";s:17:\"display_extenders\";a:0:{}s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.block_content','a:12:{s:4:\"uuid\";s:36:\"ae1ab4a9-ef8b-4b61-9518-24a93fab4a15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"user\";}}s:2:\"id\";s:13:\"block_content\";s:5:\"label\";s:20:\"Custom block library\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:30:\"Find and manage custom blocks.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:24:\"block_content_field_data\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:20:\"Custom block library\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:9:\"plugin_id\";s:11:\"text_custom\";}s:27:\"block_content_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:27:\"block_content_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:11:\"entity_type\";s:13:\"block_content\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:19:\"block.admin_display\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.categories','a:12:{s:4:\"uuid\";s:36:\"a90ee9da-e74b-42fc-8c00-d9e60fda0454\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";i:1;s:30:\"taxonomy.vocabulary.categories\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:10:\"categories\";s:5:\"label\";s:10:\"Categories\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:0;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:26:\"taxonomy_term__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:9:\"term_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:7:\"filters\";a:2:{s:3:\"vid\";a:16:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:10:\"Categories\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:15:\"categories-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:46:\"config:field.storage.taxonomy_term.field_image\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:10:\"categories\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:46:\"config:field.storage.taxonomy_term.field_image\";}}}}}'),('','views.view.comment','a:12:{s:4:\"uuid\";s:36:\"80d942cf-7d88-4dc3-8ad9-9fad9398dc14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:8:\"Comments\";s:6:\"module\";s:7:\"comment\";s:11:\"description\";s:25:\"Find and manage comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:26:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:8:\"Comments\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:22:\"No comments available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"group_by\";b:0;s:9:\"css_class\";s:0:\"\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:14:\"page_published\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:14:\"page_published\";s:13:\"display_title\";s:18:\"Published comments\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:21:\"admin/content/comment\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}s:19:\"display_description\";s:30:\"The approved comments listing.\";s:17:\"display_extenders\";a:0:{}s:13:\"exposed_block\";b:0;s:15:\"display_comment\";s:0:\"\";}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:15:\"page_unapproved\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:15:\"page_unapproved\";s:13:\"display_title\";s:19:\"Unapproved comments\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:4:\"path\";s:30:\"admin/content/comment/approval\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:1;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;}s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}'),('','views.view.comments_recent','a:12:{s:4:\"uuid\";s:36:\"65af5761-1e55-45ed-bc00-0d85c9511443\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:15:\"comments_recent\";s:5:\"label\";s:15:\"Recent comments\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:16:\"Recent comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:14:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:2;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:2:{s:7:\"subject\";s:7:\"subject\";s:7:\"changed\";s:7:\"changed\";}s:9:\"separator\";s:1:\" \";s:10:\"hide_empty\";b:0;}}s:13:\"relationships\";a:1:{s:4:\"node\";a:5:{s:5:\"field\";s:4:\"node\";s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:2:{s:7:\"subject\";a:26:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"node\";s:2:\"id\";s:11:\"status_node\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:5:\"sorts\";a:2:{s:7:\"created\";a:12:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"created\";}s:3:\"cid\";a:11:{s:2:\"id\";s:3:\"cid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"cid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"cid\";}}s:5:\"title\";s:15:\"Recent comments\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"block_description\";s:15:\"Recent comments\";s:14:\"block_category\";s:13:\"Lists (Views)\";s:5:\"allow\";a:1:{s:14:\"items_per_page\";b:1;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.content','a:12:{s:4:\"uuid\";s:36:\"bcc0f32a-084c-40f8-853f-63eb73b3a2c7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"content\";s:5:\"label\";s:7:\"Content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:24:\"Find and manage content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Content Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:9:\"Published\";s:19:\"format_custom_false\";s:11:\"Unpublished\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:5:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:9:\"plugin_id\";s:11:\"node_status\";s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"bundle\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:7:\"Content\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:9:\"arguments\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:16:\"show_admin_links\";b:0;s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:2:\"id\";s:7:\"default\";s:8:\"position\";i:0;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:15:\"display_options\";a:4:{s:4:\"path\";s:18:\"admin/content/node\";s:4:\"menu\";a:8:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;s:7:\"context\";s:0:\"\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:2:\"id\";s:6:\"page_1\";s:8:\"position\";i:1;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}'),('','views.view.content_recent','a:12:{s:4:\"uuid\";s:36:\"3666a46c-3fd9-4583-ad00-ea567b46c05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:14:\"content_recent\";s:5:\"label\";s:14:\"Recent content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:15:\"Recent content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:22:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:2:{s:12:\"status_extra\";a:15:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:14:\"Recent content\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"More\";s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:1:\"0\";}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.featured_posts','a:12:{s:4:\"uuid\";s:36:\"b2edd34f-ecf2-40ef-a45d-9321abf7ba6e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:24:\"image.style.image_60x60_\";i:3;s:22:\"image.style.image_622x\";i:4;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:14:\"featured_posts\";s:5:\"label\";s:10:\"Blog Posts\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:4:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:10:\"image_622x\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:14:\"Featured Posts\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:14:\"Featured Posts\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:14:\"featured-posts\";s:8:\"defaults\";a:3:{s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:14:\"Trending Posts\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:17:\"display_extenders\";a:0:{}s:5:\"title\";s:14:\"Trending Posts\";s:8:\"defaults\";a:6:{s:5:\"title\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"image_60x60_\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:9:\"css_class\";s:14:\"trending-posts\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:4;s:6:\"offset\";i:0;}}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:3;s:15:\"display_options\";a:10:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:5:\"blogs\";s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:6:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"title\";s:4:\"Blog\";s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:21:\"field_image_target_id\";a:14:{s:2:\"id\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:21:\"field_image_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:37:\"config:field.storage.node.field_image\";}}}}}'),('','views.view.files','a:12:{s:4:\"uuid\";s:36:\"14cedef4-92e4-417f-a10f-15e2aa57aef1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:4:\"user\";}}s:2:\"id\";s:5:\"files\";s:5:\"label\";s:5:\"Files\";s:6:\"module\";s:4:\"file\";s:11:\"description\";s:22:\"Find and manage files.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:12:\"file_managed\";s:10:\"base_field\";s:3:\"fid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Mime type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"Mime type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"file_status\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:5:\"Files\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:9:\"arguments\";a:0:{}s:8:\"group_by\";b:1;s:16:\"show_admin_links\";b:1;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:14:\"Files overview\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:19:\"admin/content/files\";s:4:\"menu\";a:8:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:0;s:7:\"context\";s:0:\"\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}s:19:\"display_description\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"pager\";b:1;s:13:\"relationships\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:10:\"File usage\";s:8:\"position\";i:2;s:15:\"display_options\";a:16:{s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:5:\"empty\";a:0:{}s:8:\"defaults\";a:11:{s:5:\"empty\";b:0;s:5:\"pager\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;s:8:\"group_by\";b:0;s:5:\"title\";b:0;s:9:\"arguments\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:13:\"relationships\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:7:\"filters\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:0:{}}s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;s:9:\"plugin_id\";s:12:\"entity_label\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:8:\"group_by\";b:0;s:5:\"title\";s:10:\"File usage\";s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:9:\"plugin_id\";s:8:\"file_fid\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:12:\"entity_label\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:17:\"display_extenders\";a:0:{}s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.frontpage','a:12:{s:4:\"uuid\";s:36:\"f158fc9e-bd54-4cd7-8404-4e339ee75f6a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:9:\"frontpage\";s:5:\"label\";s:9:\"Frontpage\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:39:\"All content promoted to the front page.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:11:\"admin_label\";s:0:\"\";s:7:\"content\";s:43:\"No front page content has been created yet.\";s:5:\"empty\";b:1;s:5:\"field\";s:16:\"area_text_custom\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:16:\"area_text_custom\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:5:\"views\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}s:18:\"node_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:18:\"node_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";s:9:\"plugin_id\";s:5:\"title\";}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:12:{s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"operator\";s:0:\"\";s:11:\"operator_id\";s:0:\"\";s:8:\"remember\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:8:\"required\";b:0;s:12:\"use_operator\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:7:\"exposed\";b:0;s:5:\"field\";s:7:\"promote\";s:5:\"group\";i:1;s:10:\"group_info\";a:10:{s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"description\";s:0:\"\";s:11:\"group_items\";a:0:{}s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"optional\";b:1;s:8:\"remember\";b:0;s:6:\"widget\";s:6:\"select\";}s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:7:\"promote\";s:10:\"is_grouped\";b:0;s:8:\"operator\";s:1:\"=\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:7:\"exposed\";b:0;s:5:\"field\";s:6:\"sticky\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";}s:7:\"created\";a:13:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:5:\"table\";s:15:\"node_field_data\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:5:\"title\";s:0:\"\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:2:\"id\";s:7:\"default\";s:8:\"position\";i:0;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:14:\"url.query_args\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"feed_1\";a:6:{s:14:\"display_plugin\";s:4:\"feed\";s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:14:\"sitename_title\";b:1;s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:0:\"\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:3:\"rss\";}}s:17:\"display_extenders\";a:0:{}s:7:\"enabled\";b:0;}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:21:\"user.node_grants:view\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:15:\"display_options\";a:3:{s:4:\"path\";s:4:\"node\";s:17:\"display_extenders\";a:0:{}s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"display_plugin\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:2:\"id\";s:6:\"page_1\";s:8:\"position\";i:1;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:14:\"url.query_args\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.glossary','a:12:{s:4:\"uuid\";s:36:\"c2100dc2-f241-459a-8700-a4648bf71e05\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"glossary\";s:5:\"label\";s:8:\"Glossary\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:23:\"All content, by letter.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:8:\"use_ajax\";b:1;s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:36;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:6:\"fields\";a:3:{s:5:\"title\";a:24:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:6:\"Author\";s:12:\"relationship\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:11:\"Last update\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:4:\"long\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:9:\"plugin_id\";s:6:\"string\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:0:{}s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:7:\"columns\";a:3:{s:5:\"title\";s:5:\"title\";s:4:\"name\";s:4:\"name\";s:7:\"changed\";s:7:\"changed\";}s:7:\"default\";s:5:\"title\";s:4:\"info\";a:3:{s:5:\"title\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:4:\"name\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:7:\"changed\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;s:5:\"order\";s:3:\"asc\";s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;s:22:\"default_field_elements\";b:1;}}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:12:\"attachment_1\";a:6:{s:2:\"id\";s:12:\"attachment_1\";s:13:\"display_title\";s:10:\"Attachment\";s:14:\"display_plugin\";s:10:\"attachment\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:7:\"summary\";a:1:{s:6:\"format\";s:19:\"unformatted_summary\";}s:15:\"summary_options\";a:3:{s:14:\"items_per_page\";i:25;s:6:\"inline\";b:1;s:9:\"separator\";s:3:\" | \";}s:18:\"specify_validation\";b:1;s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:9:\"plugin_id\";s:6:\"string\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:25:\"default_argument_skip_url\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}}s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:6:\"page_1\";s:6:\"page_1\";}s:17:\"inherit_arguments\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"glossary\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Glossary\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.showcase','a:12:{s:4:\"uuid\";s:36:\"80194863-f0f2-4e64-b03b-596934fb22cb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:18:\"node.type.showcase\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"showcase\";s:5:\"label\";s:8:\"Showcase\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:0;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";}}s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:8:\"Showcase\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:13:\"showcase-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:8:\"showcase\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.simplenews_newsletters','a:12:{s:4:\"uuid\";s:36:\"84908b76-6b39-4318-8954-84c4195a566d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";i:2;s:4:\"user\";}}s:2:\"id\";s:22:\"simplenews_newsletters\";s:5:\"label\";s:11:\"Newsletters\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:18:\"format_custom_true\";s:0:\"\";s:19:\"format_custom_false\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Newsletters\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:20:\"system.admin_content\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}}}}}'),('','views.view.simplenews_subscribers','a:12:{s:4:\"uuid\";s:36:\"2df9591e-5940-4d54-b753-83a1a6cc780c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:0:{}s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:4:\"user\";}}s:2:\"id\";s:22:\"simplenews_subscribers\";s:5:\"label\";s:11:\"Subscribers\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:21:\"simplenews_subscriber\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:30;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:2:\"id\";s:4:\"mail\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:23:\"subscriptions_target_id\";a:34:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:11:\"Subscribers\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:16:\"user.admin_index\";s:6:\"weight\";i:11;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}}}}}'),('','views.view.tags_in_tags','a:12:{s:4:\"uuid\";s:36:\"6ec20b4a-d2ce-40ac-b90d-13df266b94f2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"user\";}}s:2:\"id\";s:12:\"tags_in_tags\";s:5:\"label\";s:12:\"Tags in Tags\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:9:\"term_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;}}s:7:\"filters\";a:2:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:12:\"Tags in Tags\";s:6:\"header\";a:0:{}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:92:\"<p class=\"more\"><a href=\"[site:url]tagscloud\" target=\"_blank\" title=\"More tags\">More</a></p>\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:9:\"tags-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:10:{s:17:\"display_extenders\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";i:0;}}s:8:\"defaults\";a:3:{s:5:\"pager\";b:0;s:6:\"footer\";b:0;s:5:\"title\";b:0;}s:4:\"path\";s:9:\"tagscloud\";s:6:\"footer\";a:0:{}s:5:\"title\";s:4:\"Tags\";s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.taxonomy_term','a:12:{s:4:\"uuid\";s:36:\"cf73c925-1bf5-40f1-8800-e70611e8157d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:13:\"taxonomy_term\";s:5:\"label\";s:13:\"Taxonomy term\";s:6:\"module\";s:8:\"taxonomy\";s:11:\"description\";s:45:\"Content belonging to a certain taxonomy term.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;s:7:\"bundles\";a:0:{}}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";}}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:13:\"bypass_access\";b:0;s:9:\"plugin_id\";s:6:\"entity\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:6:\"page_1\";}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"taxonomy/term/%\";s:17:\"display_extenders\";a:0:{}s:4:\"menu\";a:2:{s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.user_admin_people','a:12:{s:4:\"uuid\";s:36:\"ea3cb363-b8b2-44c4-8827-39d4a2c5998e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user_admin_people\";s:5:\"label\";s:6:\"People\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:25:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"created\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:11:\"entity_type\";s:4:\"user\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:6:\"Active\";s:19:\"format_custom_false\";s:7:\"Blocked\";}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:9:\"plugin_id\";s:10:\"user_roles\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}s:9:\"plugin_id\";s:7:\"combine\";}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"user_roles\";}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:16:\"user_permissions\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";s:11:\"entity_type\";s:4:\"user\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"title\";s:6:\"People\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:20:\"No people available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:15:\"display_comment\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"group_by\";b:0;s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:6:\"page_1\";s:9:\"css_class\";s:0:\"\";s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:17:\"admin/people/list\";s:16:\"show_admin_links\";b:0;s:4:\"menu\";a:8:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;s:7:\"context\";s:0:\"\";s:7:\"enabled\";b:1;s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:0;}s:8:\"defaults\";a:1:{s:16:\"show_admin_links\";b:0;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}'),('','views.view.watchdog','a:12:{s:4:\"uuid\";s:36:\"d9f94bc4-7b51-4441-9654-b5cd69975634\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:5:\"dblog\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"watchdog\";s:5:\"label\";s:8:\"Watchdog\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:19:\"Recent log messages\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:8:\"watchdog\";s:10:\"base_field\";s:3:\"wid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:7:\"default\";s:3:\"wid\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;s:9:\"plugin_id\";s:12:\"machine_name\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;s:9:\"plugin_id\";s:13:\"dblog_message\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:16:\"dblog_operations\";}}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"dblog_types\";}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:8:\"standard\";}}s:5:\"title\";s:19:\"Recent log messages\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:9:\"css_class\";s:11:\"admin-dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:4:\"page\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.who_s_new','a:12:{s:4:\"uuid\";s:36:\"096fe5b0-a8a6-47cf-9319-25a9788344e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:9:\"who_s_new\";s:5:\"label\";s:9:\"Who\'s new\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:53:\"Shows a list of the newest user accounts on the site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:9:\"html_list\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:10:\"1970-01-01\";s:4:\"type\";s:4:\"date\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"title\";s:9:\"Who\'s new\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:9:\"Who\'s new\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:19:\"display_description\";s:19:\"A list of new users\";s:17:\"block_description\";s:9:\"Who\'s new\";s:14:\"block_category\";s:4:\"User\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.who_s_online','a:12:{s:4:\"uuid\";s:36:\"940a00dd-bbb3-4656-964e-78bf1813e33d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:12:\"who_s_online\";s:5:\"label\";s:18:\"Who\'s online block\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:93:\"Shows the user names of the most recently active users, and the total number of active users.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:11:\"-15 minutes\";s:4:\"type\";s:6:\"offset\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:9:\"access_op\";s:5:\"label\";s:11:\"Last access\";s:11:\"description\";s:77:\"A user is considered online for this long after they have last viewed a page.\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"access_op\";s:10:\"identifier\";s:6:\"access\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"sorts\";a:1:{s:6:\"access\";a:13:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"title\";s:12:\"Who\'s online\";s:6:\"header\";a:1:{s:6:\"result\";a:9:{s:2:\"id\";s:6:\"result\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:6:\"result\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:7:\"content\";s:40:\"There are currently @total users online.\";s:9:\"plugin_id\";s:6:\"result\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:35:\"There are currently 0 users online.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:18:\"who_s_online_block\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:18:\"who_s_online_block\";s:13:\"display_title\";s:12:\"Who\'s online\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"block_description\";s:12:\"Who\'s online\";s:19:\"display_description\";s:45:\"A list of users that are currently logged in.\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('language.ar','tour.tour.language','a:2:{s:5:\"label\";s:10:\"اللغة\";s:4:\"tips\";a:1:{s:17:\"language-overview\";a:1:{s:5:\"label\";s:12:\"اللغات\";}}}');
/*!40000 ALTER TABLE `config_snapshot` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `filename` varchar(255) DEFAULT NULL,
  `uri` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `filemime` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `filesize` bigint(20) unsigned DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) NOT NULL,
  PRIMARY KEY (`fid`),
  UNIQUE KEY `file_field__uuid__value` (`uuid`),
  KEY `file_field__uri` (`uri`(191)),
  KEY `file_field__status` (`status`),
  KEY `file_field__changed` (`changed`),
  KEY `file_field__uid__target_id` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for file entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (1,'80db407f-3092-4b37-861d-29d0bf219410','en',1,'demo-22.jpg','public://field/image/demo-22.jpg','image/jpeg',26552,1,1450062366,1450062390),(2,'6131f054-ba52-42ee-8963-996e59765d55','en',1,'demo-31.jpg','public://field/image/demo-31.jpg','image/jpeg',44582,1,1450062532,1450062546),(3,'c8d49e9b-ae28-43f5-a600-fa6370d9fd78','en',1,'demo-30.jpg','public://field/image/demo-30.jpg','image/jpeg',41422,1,1450062580,1450062603),(4,'b3a3b98f-000f-4ee2-be04-4a18661bcf05','en',1,'demo-28.jpg','public://field/image/demo-28.jpg','image/jpeg',30354,1,1450062648,1450062668),(5,'c9f32cfc-52b9-43f8-b129-41c62cf403c6','en',1,'demo-24.jpg','public://field/image/demo-24.jpg','image/jpeg',109532,1,1450062729,1450062744),(6,'2c631ac6-3b5d-44a1-8900-b284c871019d','en',1,'demo-29.jpg','public://field/image/demo-29.jpg','image/jpeg',71735,1,1450062794,1450062805),(7,'db334174-61e5-4c9d-8852-825f0b7ae4bd','en',1,'demo-8.jpg','public://field/image/demo-8.jpg','image/jpeg',77545,1,1450062851,1450062868),(8,'e9df7b3d-8502-4150-b908-8d7e3f2d7b1e','en',1,'demo-16.jpg','public://field/image/demo-16.jpg','image/jpeg',43897,1,1450062914,1450062922),(9,'44d54972-c880-4811-9b00-c15fad85a81e','en',1,'demo-15.jpg','public://field/image/demo-15.jpg','image/jpeg',43818,1,1450062973,1450062980),(10,'fab7398a-cd45-48d3-be07-7afad33b85f2','en',1,'demo-11.jpg','public://field/image/demo-11.jpg','image/jpeg',71670,1,1450063014,1450063027),(11,'cf8dac56-6ac0-4aeb-9e00-c4f2d47e2d11','en',1,'demo-10_0.jpg','public://field/image/demo-10_0.jpg','image/jpeg',30720,1,1450063069,1450063080),(12,'660a9d7a-f199-40e9-bf3b-5987ce7553eb','en',1,'demo-33.jpg','public://field/image/demo-33.jpg','image/jpeg',56102,1,1450063109,1450063121),(13,'3ef2b81d-8cdb-4230-9e04-4a9316a8e297','en',1,'demo-53.jpg','public://field/image/demo-53.jpg','image/jpeg',34669,1,1450063777,1450063800),(14,'18d5b1b3-a12e-43a3-b934-526055ceb67b','en',1,'demo-35.jpg','public://field/image/demo-35.jpg','image/jpeg',31485,1,1450063852,1450063874),(15,'b761bb6e-c9f1-4315-bf46-70f42dd3e71e','en',1,'demo-13.jpg','public://field/image/demo-13.jpg','image/jpeg',22289,1,1450063919,1450063938),(16,'9f04a1c0-f626-4a54-b455-85ad38a49abf','en',1,'demo-56.jpg','public://field/image/demo-56.jpg','image/jpeg',30032,1,1450063988,1450064007),(17,'9537aa3a-5809-4f3d-9308-08fc9a585658','en',1,'demo-58.jpg','public://field/image/demo-58.jpg','image/jpeg',38242,1,1450064040,1450064055),(18,'0232d03c-4289-4878-bd61-972dd8e8ac6e','en',1,'demo-60.jpg','public://field/image/demo-60.jpg','image/jpeg',51642,1,1450064104,1450064123),(19,'40a7e710-59dc-4ab3-b708-8a70ba2c5027','en',1,'demo-64.jpg','public://field/image/demo-64.jpg','image/jpeg',36105,1,1450064164,1450064173),(20,'9dd5b89f-57e6-478f-8f3a-580483dc80c8','en',1,'demo-59.jpg','public://field/image/demo-59.jpg','image/jpeg',15513,1,1450064204,1450064230),(21,'e12cf784-ecd9-4df8-a11e-30ac3aa0b4dc','en',1,'demo-61.jpg','public://field/image/demo-61.jpg','image/jpeg',62077,1,1450064288,1450064303),(22,'d8ba1cf4-b86d-4873-a63e-62485d8248a0','en',1,'demo-69.jpg','public://field/image/demo-69.jpg','image/jpeg',82758,1,1450064330,1450064350),(23,'5f494c90-6e11-4128-833b-595671dca962','en',1,'demo-68.jpg','public://field/image/demo-68.jpg','image/jpeg',47764,1,1450064379,1450064405),(24,'4b52fcad-dda1-47d4-8c60-96a944932c4f','en',1,'demo-66.jpg','public://field/image/demo-66.jpg','image/jpeg',19819,1,1450064449,1450064473),(26,'f2d913c1-83a3-4efe-bd56-86a50b9e353e','en',1,'demo-23.jpg','public://field/image/demo-23.jpg','image/jpeg',48615,1,1450064642,1450064664),(27,'1aa50477-769b-4d26-b008-8f5e868360d5','en',1,'demo-48.jpg','public://field/image/demo-48.jpg','image/jpeg',44175,1,1450064692,1450064724),(28,'98f66861-4123-4378-9207-7d25ecad821d','en',1,'demo-9.jpg','public://field/image/demo-9.jpg','image/jpeg',41573,1,1450064750,1450064770),(29,'86593726-250f-48a3-b100-cc4ad55105d5','en',1,'demo-14.jpg','public://field/image/demo-14.jpg','image/jpeg',47477,1,1450064797,1450064827),(30,'ff3ae027-1289-4e26-b809-9cfdc7335086','en',1,'demo-50.jpg','public://field/image/demo-50.jpg','image/jpeg',43961,1,1450065012,1450065040),(31,'932b6564-4edb-4b43-aa00-c0af62658899','en',1,'demo-67.jpg','public://field/image/demo-67.jpg','image/jpeg',39424,1,1450065074,1450065093),(32,'f17ea78d-69dc-4f83-a909-9f940218d03f','en',1,'demo-42.jpg','public://field/image/demo-42.jpg','image/jpeg',37925,1,1450065120,1450065152),(33,'a57901a6-6cf4-425b-8a00-d922c13bcca0','en',1,'demo-49.jpg','public://field/image/demo-49.jpg','image/jpeg',63982,1,1450065190,1450065207),(34,'b36761bc-9374-45b6-8817-232a0c8f3ac4','en',1,'demo-57.jpg','public://field/image/demo-57.jpg','image/jpeg',25958,1,1450065235,1450065258),(35,'8ce83bec-b756-4b8f-a800-fbfe923de074','en',1,'demo-45.jpg','public://field/image/demo-45.jpg','image/jpeg',75249,1,1450065290,1450065309),(36,'d60cd386-96ca-4020-b700-ba00bdf7b363','en',1,'demo-46_0.jpg','public://field/image/demo-46_0.jpg','image/jpeg',21876,1,1450065345,1450065363),(37,'818ca5b1-db7a-4c96-a000-d69b95bff285','en',1,'demo-53.jpg','public://2015-12/demo-53.jpg','image/jpeg',34669,1,1450074797,1450074815),(38,'ab874105-20e1-441e-bf46-7059b588418b','en',1,'demo-10_0.jpg','public://2015-12/demo-10_0.jpg','image/jpeg',30720,1,1450074821,1450074837),(39,'34aaaa44-ac62-40bc-8f21-334d3efe503a','en',1,'demo-24.jpg','public://2015-12/demo-24.jpg','image/jpeg',109532,1,1450074941,1450074957),(40,'d7a4644f-9b21-4735-8b02-2fc962add7c6','en',1,'demo-42.jpg','public://2015-12/demo-42.jpg','image/jpeg',37925,1,1450074980,1450074991),(41,'0f731cab-632f-4f99-b95e-94c7ba7bfc4a','en',1,'demo-14.jpg','public://2015-12/demo-14.jpg','image/jpeg',47477,1,1450075008,1450075017),(46,'0f874cc8-bfbc-4465-bc30-48e4babbe135','en',1,'demo-33.jpg','public://2015-12/demo-33_1.jpg','image/jpeg',56102,1,1450075346,1450075353),(47,'4383b033-47a8-4715-9251-810960bc7ce9','en',1,'demo-54.jpg','public://2015-12/demo-54_0.jpg','image/jpeg',14742,1,1450075371,1450075381),(48,'dd35ad10-05b7-4722-8461-975ff1fa9ba5','en',1,'demo-62.jpg','public://2015-12/demo-62.jpg','image/jpeg',11115,1,1450075409,1450075418),(49,'4419f7c8-f0b8-4e2d-ad22-34d6b4232bd0','en',1,'demo-41.jpg','public://2015-12/demo-41.jpg','image/jpeg',8845,1,1450075449,1450075462),(50,'0f28771a-ff26-4b13-8b00-a6e81658afc3','en',1,'demo-29.jpg','public://2015-12/demo-29_0.jpg','image/jpeg',71735,1,1450075480,1450075486),(51,'b81c4498-122d-4691-b700-f2d18528fe63','en',1,'demo-48.jpg','public://2015-12/demo-48.jpg','image/jpeg',44175,1,1450075511,1450075520),(52,'8f0a5879-637f-480c-ac00-ab92e10ace71','en',1,'user-1.jpg','public://pictures/2015-12/user-1.jpg','image/jpeg',1836,1,1450076004,1450076009),(53,'d52b3d8c-1435-4cb6-8700-c3c942a375e3','en',1,'autox.jpg','public://field/image/showcase/autox.jpg','image/jpeg',158996,1,1450077131,1450077146),(54,'7f60be9f-8b0d-4b4a-8e00-c9dd2cc11137','en',1,'education.jpg','public://field/image/showcase/education.jpg','image/jpeg',112770,1,1450077183,1450077205),(55,'18fb0856-41da-4584-8b4c-76616646e137','en',1,'news.jpg','public://field/image/showcase/news.jpg','image/jpeg',128264,1,1450077308,1450077317),(56,'10935a01-cd37-410a-9f36-54eee62502fa','en',1,'garnet.jpg','public://field/image/showcase/garnet.jpg','image/jpeg',85571,1,1450077348,1450077357),(57,'27c7a74a-2b1c-45ba-9600-0ccaaac42a08','en',1,'zircon_II.jpg','public://field/image/showcase/zircon_II.jpg','image/jpeg',74330,1,1450077582,1450077588),(58,'c52f9b7c-5576-442a-811d-298b2a9c5bc4','en',1,'business.jpg','public://field/image/showcase/business.jpg','image/jpeg',101827,1,1450077607,1450077615),(59,'420b23d9-54ee-4fd5-8000-aaf3d7ec6685','en',1,'shopping.jpg','public://field/image/showcase/shopping.jpg','image/jpeg',91424,1,1450077647,1450077657),(60,'4e13dbd2-f77a-4007-9000-a8748d1f6694','en',1,'one-page.jpg','public://field/image/showcase/one-page.jpg','image/jpeg',187747,1,1450077675,1450077687),(62,'cfec7a31-5be1-468e-8b2b-436a05d5cdad','en',1,'demo-41.jpg','public://field/image/demo-41.jpg','image/jpeg',243175,1,1451359910,1451359975),(63,'cd9e949d-9d56-4d9a-9901-298d0f271805','en',1,'demo-46_0.jpg','public://2022-10/demo-46_0.jpg','image/jpeg',21876,1,1666586156,1666586697),(64,'ac03e96d-4acd-4c79-a86e-1a8605fe3916','en',1,'demo-45.jpg','public://2022-10/demo-45.jpg','image/jpeg',75249,1,1666586226,1666586697),(65,'49a97f90-af67-4460-aa11-1acc5e4a2001','en',1,'demo-57.jpg','public://2022-10/demo-57.jpg','image/jpeg',25958,1,1666586281,1666586697),(66,'54194cf3-19ea-4e29-8299-4979d476a6bc','en',1,'demo-49.jpg','public://2022-10/demo-49.jpg','image/jpeg',63982,1,1666586322,1666586697),(67,'8b1925f6-8ea3-4c01-be50-a33953220df2','en',1,'demo-67.jpg','public://2022-10/demo-67.jpg','image/jpeg',39424,1,1666586367,1666586697),(68,'f7f52641-83d2-4db8-9da1-fcaa67958d75','en',1,'demo-42.jpg','public://2022-10/demo-42.jpg','image/jpeg',37925,1,1666586417,1666586697),(69,'ba9764e7-83e1-4f4d-bbbe-c5b3bc322006','en',1,'demo-10_0.jpg','public://2022-10/demo-10_0.jpg','image/jpeg',30720,1,1666586604,1666586697),(70,'e46aa9bf-a232-4b05-adaa-f44508706ce5','en',1,'demo-29_0.jpg','public://2022-10/demo-29_0.jpg','image/jpeg',71735,1,1666586627,1666586697),(71,'6b7fc765-3c18-4d06-8f2b-5c0a6bd8a31f','en',1,'demo-24.jpg','public://2022-10/demo-24.jpg','image/jpeg',109532,1,1666586667,1666586697),(72,'2aa671ab-70ce-4238-b913-c37a88d14b1b','en',1,'demo-41.jpg','public://2022-10/demo-41.jpg','image/jpeg',8845,1,1666586686,1666586697),(73,'511f98c4-be93-464b-9a84-5ec121ef382c','en',1,'demo-14.jpg','public://2022-10/demo-14.jpg','image/jpeg',47477,1,1666586754,1666586988),(74,'a88c0794-e13d-4608-bf05-c74e9a496dd0','en',1,'demo-54_0.jpg','public://2022-10/demo-54_0.jpg','image/jpeg',14742,1,1666586788,1666586988),(75,'1cda4390-408d-4739-9f42-cc2cccbab2ac','en',1,'demo-62.jpg','public://2022-10/demo-62.jpg','image/jpeg',11115,1,1666586831,1666586988),(76,'2e30cfc5-30c3-41ac-a3e1-395ad11cf058','en',1,'demo-53.jpg','public://2022-10/demo-53.jpg','image/jpeg',34669,1,1666586857,1666586988),(77,'3064a4ca-164b-48e5-a819-f14358347db3','en',1,'demo-46_0 (1).jpg','public://2022-10/demo-46_0 (1).jpg','image/jpeg',16151,1,1666586950,1666586988),(78,'7f1e6cbd-1c67-4dee-b06d-541ac9a25ba1','en',1,'demo-45 (1).jpg','public://2022-10/demo-45 (1).jpg','image/jpeg',24785,1,1666586970,1666586988),(79,'dbfacf3d-7f6d-481b-82b9-fa0d2ddc1678','en',1,'one-page.jpg','public://2022-10/one-page.jpg','image/jpeg',187747,1,1666587090,1666587152),(80,'4aded2fe-3e60-4186-9e2b-1c3ef3e4e4b4','en',1,'zircon_II.jpg','public://2022-10/zircon_II.jpg','image/jpeg',74330,1,1666587123,1666587152),(81,'e890f68c-57d0-4d27-bc55-cbbaeac82826','en',1,'shopping.jpg','public://2022-10/shopping.jpg','image/jpeg',91424,1,1666587232,1666587337),(82,'d28d43e7-827b-487e-9426-1ff6baf3cc3a','en',1,'business.jpg','public://2022-10/business.jpg','image/jpeg',101827,1,1666587249,1666587337),(83,'6ff06b3b-24c2-4d36-b7d0-834a51bfee5e','en',1,'garnet.jpg','public://2022-10/garnet.jpg','image/jpeg',85571,1,1666587335,1666587337),(84,'45a10f4e-5a00-4b7b-9a4f-6b03d87f7024','en',1,'education.jpg','public://2022-10/education.jpg','image/jpeg',112770,1,1666594585,1666594960),(85,'9b17a4f5-21ab-40bd-9103-797b2db0a290','en',1,'demo-46_0 (2).jpg','public://2022-10/demo-46_0 (2).jpg','image/jpeg',21876,1,1666594641,1666594960),(86,'f1319755-3ce0-421e-8728-c89d4ab90188','en',1,'demo-57 (1).jpg','public://2022-10/demo-57 (1).jpg','image/jpeg',25958,1,1666594678,1666594960),(87,'5253a684-987f-40a1-a972-8c6d7bd0e1db','en',1,'demo-66.jpg','public://2022-10/demo-66.jpg','image/jpeg',19819,1,1666594726,1666594960),(88,'9d1b4eb4-883d-4501-9ccc-d562a1b960a1','en',1,'demo-41 (1).jpg','public://2022-10/demo-41 (1).jpg','image/jpeg',243175,1,1666594940,1666594960),(89,'0bef9aac-f299-41ad-bc92-c78b52bc8965','en',1,'demo-35.jpg','public://2022-10/demo-35.jpg','image/jpeg',31485,1,1666595081,1666595087),(90,'67c84348-e51c-44f0-ba2d-b1f8ab20dfee','en',1,'demo-35 (1).jpg','public://2022-10/demo-35 (1).jpg','image/jpeg',31485,1,1666595122,1666595129);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (1,'file','node','1',2),(2,'file','node','2',2),(3,'file','node','3',2),(4,'file','node','4',2),(5,'file','node','5',2),(6,'file','node','6',2),(7,'file','node','7',2),(8,'file','node','8',2),(9,'file','node','9',2),(10,'file','node','10',2),(11,'file','node','11',2),(12,'file','node','12',2),(13,'file','node','13',2),(14,'file','node','14',2),(15,'file','node','15',2),(16,'file','node','16',2),(17,'file','node','17',2),(18,'file','node','18',2),(19,'file','node','19',2),(20,'file','node','20',2),(21,'file','node','21',2),(22,'file','node','22',2),(23,'file','node','23',2),(24,'file','node','24',2),(26,'file','node','26',2),(27,'file','node','27',2),(28,'file','node','28',2),(29,'file','node','29',2),(30,'file','node','30',2),(31,'file','node','31',2),(32,'file','node','32',2),(33,'file','node','33',2),(34,'file','node','34',2),(35,'file','node','35',2),(36,'file','node','36',2),(37,'file','taxonomy_term','10',1),(38,'file','taxonomy_term','3',1),(39,'file','taxonomy_term','6',1),(40,'file','taxonomy_term','30',1),(41,'file','taxonomy_term','13',1),(46,'file','taxonomy_term','23',1),(47,'file','taxonomy_term','17',1),(48,'file','taxonomy_term','20',1),(49,'file','taxonomy_term','7',1),(50,'file','taxonomy_term','4',1),(51,'file','taxonomy_term','25',1),(52,'file','user','1',1),(53,'file','node','40',1),(54,'file','node','41',1),(55,'file','node','42',1),(56,'file','node','43',1),(57,'file','node','44',1),(58,'file','node','45',1),(59,'file','node','46',1),(60,'file','node','47',1),(62,'file','node','25',2),(63,'file','component_item','5',1),(64,'file','component_item','6',1),(65,'file','component_item','7',1),(66,'file','component_item','8',1),(67,'file','component_item','9',1),(68,'file','component_item','10',1),(69,'file','component_item','1',1),(70,'file','component_item','2',1),(71,'file','component_item','3',1),(72,'file','component_item','4',1),(73,'file','component_item','13',1),(74,'file','component_item','14',1),(75,'file','component_item','15',1),(76,'file','component_item','16',1),(77,'file','component_item','11',1),(78,'file','component_item','12',1),(79,'file','component_item','17',1),(80,'file','component_item','18',1),(81,'file','component_item','19',1),(82,'file','component_item','20',1),(83,'file','component_item','21',1),(84,'file','component_item','30',1),(85,'file','component_item','27',1),(86,'file','component_item','28',1),(87,'file','component_item','29',1),(88,'file','component_item','22',1),(90,'file','component_item','31',1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT 0 COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Flood controls the threshold of events, such as the number…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `forum`
--

DROP TABLE IF EXISTS `forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid of the node.',
  `vid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Primary Key: The node.vid of the node.',
  `tid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The taxonomy_term_data.tid of the forum term assigned to the node.',
  PRIMARY KEY (`vid`),
  KEY `forum_topic` (`nid`,`tid`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores the relationship of nodes to forum terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum`
--

LOCK TABLES `forum` WRITE;
/*!40000 ALTER TABLE `forum` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `forum` VALUES (48,48,36);
/*!40000 ALTER TABLE `forum` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `forum_index`
--

DROP TABLE IF EXISTS `forum_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record tracks.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The node title.',
  `tid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT 0 COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when the node was created.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.timestamp.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The total number of comments on this node.',
  KEY `forum_topics` (`nid`,`tid`,`sticky`,`last_comment_timestamp`),
  KEY `created` (`created`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maintains denormalized information about node/term…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum_index`
--

LOCK TABLES `forum_index` WRITE;
/*!40000 ALTER TABLE `forum_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `forum_index` VALUES (48,'Nutus Singularis Vindico',36,0,1450162409,1450162409,0);
/*!40000 ALTER TABLE `forum_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT 0 COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `key_value`
--

DROP TABLE IF EXISTS `key_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_value` (
  `collection` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A named collection of key and value pairs.',
  `name` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The key of the key-value pair. As KEY is a SQL reserved keyword, name was chosen instead.',
  `value` longblob NOT NULL COMMENT 'The value.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Generic key-value storage table. See the state system for…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_value`
--

LOCK TABLES `key_value` WRITE;
/*!40000 ALTER TABLE `key_value` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `key_value` VALUES ('config.entity.key_store.action','uuid:0a6c14bb-7c1f-4980-bb00-b9f7b50f4e9d','a:1:{i:0;s:38:\"system.action.comment_unpublish_action\";}'),('config.entity.key_store.action','uuid:16722ba6-3f01-4b17-9300-bab49ec6acba','a:1:{i:0;s:36:\"system.action.user_block_user_action\";}'),('config.entity.key_store.action','uuid:19439371-c5ec-4c75-9045-69c5de241559','a:1:{i:0;s:39:\"system.action.node_make_unsticky_action\";}'),('config.entity.key_store.action','uuid:1fb8b212-fcca-4064-8c27-39715c6ac448','a:1:{i:0;s:37:\"system.action.node_make_sticky_action\";}'),('config.entity.key_store.action','uuid:2bdc5b5c-195a-4e3f-9c08-8dd1dde63f64','a:1:{i:0;s:35:\"system.action.node_unpublish_action\";}'),('config.entity.key_store.action','uuid:3f6fc361-82ba-4850-b409-9d3b01075099','a:1:{i:0;s:32:\"system.action.node_delete_action\";}'),('config.entity.key_store.action','uuid:414fdcf1-944a-47ca-ab06-6c8d7d97eec9','a:1:{i:0;s:33:\"system.action.node_publish_action\";}'),('config.entity.key_store.action','uuid:432c1aa6-c3f5-4ce8-9645-69dd764af1d0','a:1:{i:0;s:38:\"system.action.user_unblock_user_action\";}'),('config.entity.key_store.action','uuid:4464e8ab-8b29-401e-8900-e8278a980ae3','a:1:{i:0;s:33:\"system.action.node_promote_action\";}'),('config.entity.key_store.action','uuid:5a38db35-c8a8-43b1-b31d-18dbde8ac263','a:1:{i:0;s:40:\"system.action.pathauto_update_alias_user\";}'),('config.entity.key_store.action','uuid:5e7cbd9a-02dc-442e-8361-971e5814f987','a:1:{i:0;s:36:\"system.action.simplenews_send_action\";}'),('config.entity.key_store.action','uuid:6d5d6678-0b4f-4853-9200-a208e6e9331a','a:1:{i:0;s:33:\"system.action.comment_save_action\";}'),('config.entity.key_store.action','uuid:7ef85419-075b-43e5-bafe-c26e4ddb52c4','a:1:{i:0;s:45:\"system.action.component_wrapper_delete_action\";}'),('config.entity.key_store.action','uuid:93a66a45-65df-4ae9-b915-218f93ebe4e5','a:1:{i:0;s:30:\"system.action.node_save_action\";}'),('config.entity.key_store.action','uuid:a3fd4815-40d6-44fe-a62e-3bd012d5f4ae','a:1:{i:0;s:35:\"system.action.comment_delete_action\";}'),('config.entity.key_store.action','uuid:af266d48-9cb8-4959-a6df-e095098d5e2c','a:1:{i:0;s:40:\"system.action.pathauto_update_alias_node\";}'),('config.entity.key_store.action','uuid:b4c03778-c045-42a6-8a02-2c42a878f31c','a:1:{i:0;s:35:\"system.action.node_unpromote_action\";}'),('config.entity.key_store.action','uuid:d5c60a28-e55d-45fe-9900-f047bb6192e9','a:1:{i:0;s:51:\"system.action.user_remove_role_action.administrator\";}'),('config.entity.key_store.action','uuid:dcf9d363-3187-4c77-be09-14c0b1a8ed84','a:1:{i:0;s:42:\"system.action.component_item_delete_action\";}'),('config.entity.key_store.action','uuid:e390fa3a-8991-4a3c-911b-279901d41460','a:1:{i:0;s:48:\"system.action.user_add_role_action.administrator\";}'),('config.entity.key_store.action','uuid:e82096bd-4345-4407-aa00-e61e8b1981e6','a:1:{i:0;s:36:\"system.action.comment_publish_action\";}'),('config.entity.key_store.action','uuid:ec061b61-07b6-474e-a908-08a0b8aa3ab1','a:1:{i:0;s:37:\"system.action.user_cancel_user_action\";}'),('config.entity.key_store.action','uuid:f60aaa37-2dae-4151-8800-dc270e4e5ee2','a:1:{i:0;s:36:\"system.action.simplenews_stop_action\";}'),('config.entity.key_store.base_field_override','uuid:0099c2f2-2e29-400e-a476-77fc71afd3a0','a:1:{i:0;s:45:\"core.base_field_override.node.article.created\";}'),('config.entity.key_store.base_field_override','uuid:0270d365-10d5-45b9-868a-e364fe4ddb56','a:1:{i:0;s:54:\"core.base_field_override.comment.comment_forum.created\";}'),('config.entity.key_store.base_field_override','uuid:08b86996-d441-4eec-abf7-cb3f6def672d','a:1:{i:0;s:45:\"core.base_field_override.comment.comment.name\";}'),('config.entity.key_store.base_field_override','uuid:096cfe3d-4774-4658-b331-90d43eba4f3d','a:1:{i:0;s:46:\"core.base_field_override.node.showcase.changed\";}'),('config.entity.key_store.base_field_override','uuid:0ccb6a64-f9ae-4df0-b0e2-edf71163742e','a:1:{i:0;s:53:\"core.base_field_override.node.simplenews_issue.status\";}'),('config.entity.key_store.base_field_override','uuid:0e3e6cd5-4cd6-4777-bd44-d8777fe10098','a:1:{i:0;s:54:\"core.base_field_override.node.simplenews_issue.created\";}'),('config.entity.key_store.base_field_override','uuid:1338f76b-084b-4925-a406-50d8e2b65cb9','a:1:{i:0;s:53:\"core.base_field_override.comment.comment_forum.status\";}'),('config.entity.key_store.base_field_override','uuid:16323efe-763d-4e56-871c-cab410793677','a:1:{i:0;s:52:\"core.base_field_override.node.simplenews_issue.title\";}'),('config.entity.key_store.base_field_override','uuid:17076569-a929-4c96-abc3-31643dca2245','a:1:{i:0;s:43:\"core.base_field_override.node.forum.created\";}'),('config.entity.key_store.base_field_override','uuid:2227ad9b-db4e-4265-8bd9-43bd78fa9f56','a:1:{i:0;s:42:\"core.base_field_override.node.showcase.uid\";}'),('config.entity.key_store.base_field_override','uuid:272bef23-6cf6-4ed8-99d0-ff5e099717cd','a:1:{i:0;s:41:\"core.base_field_override.node.article.uid\";}'),('config.entity.key_store.base_field_override','uuid:2aedc2f4-7035-45ba-b1c4-9e9bfba76048','a:1:{i:0;s:39:\"core.base_field_override.node.forum.uid\";}'),('config.entity.key_store.base_field_override','uuid:2b9def8e-7a1e-4da8-aa6b-55c7da572b45','a:1:{i:0;s:45:\"core.base_field_override.node.showcase.sticky\";}'),('config.entity.key_store.base_field_override','uuid:2ecbba3c-26e0-41da-8f2f-b6eaee085cb0','a:1:{i:0;s:45:\"core.base_field_override.node.article.promote\";}'),('config.entity.key_store.base_field_override','uuid:2fd7f228-6245-44a9-abe0-a59124611c31','a:1:{i:0;s:61:\"core.base_field_override.taxonomy_term.categories.description\";}'),('config.entity.key_store.base_field_override','uuid:30d3c747-a137-40eb-ad66-e8c7225c33d2','a:1:{i:0;s:48:\"core.base_field_override.taxonomy_term.tags.name\";}'),('config.entity.key_store.base_field_override','uuid:3574f94d-12a8-4aff-a8f6-d439a47ec737','a:1:{i:0;s:52:\"core.base_field_override.block_content.basic.changed\";}'),('config.entity.key_store.base_field_override','uuid:3798a743-bcc7-47a7-a27d-3c7de74fca3a','a:1:{i:0;s:46:\"core.base_field_override.node.showcase.created\";}'),('config.entity.key_store.base_field_override','uuid:3a172edc-564d-46a7-80de-405f29ac4815','a:1:{i:0;s:51:\"core.base_field_override.taxonomy_term.tags.changed\";}'),('config.entity.key_store.base_field_override','uuid:406cc03b-4a10-462c-97cf-fd86a4136c36','a:1:{i:0;s:43:\"core.base_field_override.node.article.title\";}'),('config.entity.key_store.base_field_override','uuid:409a27bb-21d5-46ad-b1df-9f949d275989','a:1:{i:0;s:50:\"core.base_field_override.taxonomy_term.forums.name\";}'),('config.entity.key_store.base_field_override','uuid:434b618c-ee42-46fd-90dc-71d0d67095cc','a:1:{i:0;s:54:\"core.base_field_override.comment.comment_forum.changed\";}'),('config.entity.key_store.base_field_override','uuid:4452d3e7-33be-4e80-8a17-7a29ea8256e0','a:1:{i:0;s:45:\"core.base_field_override.node.article.changed\";}'),('config.entity.key_store.base_field_override','uuid:4cb47357-00ea-4cc9-b82a-fb9a53407b41','a:1:{i:0;s:39:\"core.base_field_override.node.page.path\";}'),('config.entity.key_store.base_field_override','uuid:4f45bf79-da0d-4219-b766-af79042c6c79','a:1:{i:0;s:44:\"core.base_field_override.node.article.status\";}'),('config.entity.key_store.base_field_override','uuid:5029bff9-74e7-4690-8ace-dc8bf36bf331','a:1:{i:0;s:72:\"core.base_field_override.menu_link_content.menu_link_content.description\";}'),('config.entity.key_store.base_field_override','uuid:53c7ae77-dd8b-44a9-8a8e-cae00d52f7c3','a:1:{i:0;s:50:\"core.base_field_override.comment.comment_forum.uid\";}'),('config.entity.key_store.base_field_override','uuid:55b1b365-3284-47af-b6ea-997546126316','a:1:{i:0;s:42:\"core.base_field_override.node.page.created\";}'),('config.entity.key_store.base_field_override','uuid:5c2f9469-ce8f-46b5-a434-28cf69bfae07','a:1:{i:0;s:42:\"core.base_field_override.user.user.changed\";}'),('config.entity.key_store.base_field_override','uuid:5e3daea0-431f-4b6c-acb8-a4887538cd06','a:1:{i:0;s:40:\"core.base_field_override.node.page.title\";}'),('config.entity.key_store.base_field_override','uuid:602b9c45-c8ac-476f-949d-55808fb6a872','a:1:{i:0;s:42:\"core.base_field_override.node.article.path\";}'),('config.entity.key_store.base_field_override','uuid:65cd136f-1b6b-4c69-bafc-38cb8094bf3a','a:1:{i:0;s:41:\"core.base_field_override.node.page.status\";}'),('config.entity.key_store.base_field_override','uuid:68288e5c-e9ce-4337-93a4-63c10d494db9','a:1:{i:0;s:50:\"core.base_field_override.taxonomy_term.forums.path\";}'),('config.entity.key_store.base_field_override','uuid:709cf257-bc04-43fe-a03e-09b554edb032','a:1:{i:0;s:45:\"core.base_field_override.comment.comment.mail\";}'),('config.entity.key_store.base_field_override','uuid:740d6855-ebf7-4f06-9407-07f33bad4d23','a:1:{i:0;s:43:\"core.base_field_override.node.forum.promote\";}'),('config.entity.key_store.base_field_override','uuid:7c1d2065-a618-439a-ba73-619aebc8f0f1','a:1:{i:0;s:66:\"core.base_field_override.menu_link_content.menu_link_content.title\";}'),('config.entity.key_store.base_field_override','uuid:7d10642c-296c-4c74-874b-df84f7c03b9c','a:1:{i:0;s:51:\"core.base_field_override.comment.comment_forum.name\";}'),('config.entity.key_store.base_field_override','uuid:843ddff8-b087-4b06-b9ed-e1ba09921a9f','a:1:{i:0;s:43:\"core.base_field_override.node.showcase.path\";}'),('config.entity.key_store.base_field_override','uuid:8946443c-3c2f-45db-bb05-63ad71f7d249','a:1:{i:0;s:49:\"core.base_field_override.block_content.basic.info\";}'),('config.entity.key_store.base_field_override','uuid:89f0e06d-0005-4ea0-a1ae-1ef7e4282071','a:1:{i:0;s:55:\"core.base_field_override.taxonomy_term.tags.description\";}'),('config.entity.key_store.base_field_override','uuid:92f9e527-ff56-4899-b430-ce5a7b0b0a4c','a:1:{i:0;s:54:\"core.base_field_override.comment.comment_forum.subject\";}'),('config.entity.key_store.base_field_override','uuid:97e40030-36b5-4db8-8adf-e656be0fa040','a:1:{i:0;s:49:\"core.base_field_override.comment.comment.homepage\";}'),('config.entity.key_store.base_field_override','uuid:98c9bb2b-6bc5-4f45-a853-1a715fdbaab6','a:1:{i:0;s:53:\"core.base_field_override.node.simplenews_issue.sticky\";}'),('config.entity.key_store.base_field_override','uuid:98ce929a-52a2-47cb-8bb1-04bc9a90a103','a:1:{i:0;s:54:\"core.base_field_override.taxonomy_term.categories.path\";}'),('config.entity.key_store.base_field_override','uuid:a1fcfa5b-40ec-4eb3-b4b3-1b4f26552f95','a:1:{i:0;s:54:\"core.base_field_override.node.simplenews_issue.promote\";}'),('config.entity.key_store.base_field_override','uuid:a4ed362a-f65d-416d-b05e-941fd5fe1541','a:1:{i:0;s:46:\"core.base_field_override.node.showcase.promote\";}'),('config.entity.key_store.base_field_override','uuid:a796b66d-10e6-4145-a8ea-7aa291e37a98','a:1:{i:0;s:48:\"core.base_field_override.comment.comment.subject\";}'),('config.entity.key_store.base_field_override','uuid:a7eaa803-ab3e-417c-b4be-49d12bc5aed8','a:1:{i:0;s:38:\"core.base_field_override.node.page.uid\";}'),('config.entity.key_store.base_field_override','uuid:aa2a5e7e-bc76-4257-9bd1-3f67cc72a6a0','a:1:{i:0;s:48:\"core.base_field_override.comment.comment.created\";}'),('config.entity.key_store.base_field_override','uuid:b52ad317-b626-4561-bc67-5477372dd9cf','a:1:{i:0;s:45:\"core.base_field_override.node.showcase.status\";}'),('config.entity.key_store.base_field_override','uuid:b81dcf2e-8748-4f9a-810a-0f59bbaea925','a:1:{i:0;s:44:\"core.base_field_override.node.showcase.title\";}'),('config.entity.key_store.base_field_override','uuid:c43a6244-c2f1-45b1-b807-633831e1262e','a:1:{i:0;s:68:\"core.base_field_override.menu_link_content.menu_link_content.changed\";}'),('config.entity.key_store.base_field_override','uuid:c49cf851-e51e-436f-8460-a97215ca7464','a:1:{i:0;s:42:\"core.base_field_override.node.page.changed\";}'),('config.entity.key_store.base_field_override','uuid:c91f5236-367d-4d73-b771-c5d2a90e4174','a:1:{i:0;s:49:\"core.base_field_override.comment.comment.hostname\";}'),('config.entity.key_store.base_field_override','uuid:cb40c457-4aa2-43a8-8cef-bcf79059526f','a:1:{i:0;s:57:\"core.base_field_override.taxonomy_term.forums.description\";}'),('config.entity.key_store.base_field_override','uuid:cc2ea12a-9af1-422d-8408-b1b7b5bd5bd4','a:1:{i:0;s:55:\"core.base_field_override.comment.comment_forum.homepage\";}'),('config.entity.key_store.base_field_override','uuid:d0ceda2a-15eb-4c3b-bbb9-5ee23c0d2880','a:1:{i:0;s:53:\"core.base_field_override.taxonomy_term.forums.changed\";}'),('config.entity.key_store.base_field_override','uuid:d192b746-24ba-4ad1-863c-60b2a4cc69d4','a:1:{i:0;s:42:\"core.base_field_override.node.page.promote\";}'),('config.entity.key_store.base_field_override','uuid:d208d7e8-6e62-4ad1-b09b-b9216140baca','a:1:{i:0;s:47:\"core.base_field_override.shortcut.default.title\";}'),('config.entity.key_store.base_field_override','uuid:d2d15c60-f769-45c4-bbed-c120eeafafe0','a:1:{i:0;s:41:\"core.base_field_override.node.page.sticky\";}'),('config.entity.key_store.base_field_override','uuid:d438016e-aac5-4d98-b4a5-003df386027a','a:1:{i:0;s:48:\"core.base_field_override.comment.comment.changed\";}'),('config.entity.key_store.base_field_override','uuid:d87654a0-8a3f-4ce3-9403-5945ec92fdf5','a:1:{i:0;s:44:\"core.base_field_override.node.article.sticky\";}'),('config.entity.key_store.base_field_override','uuid:dbe35bd2-2826-42d1-877a-2af754d464ac','a:1:{i:0;s:57:\"core.base_field_override.taxonomy_term.categories.changed\";}'),('config.entity.key_store.base_field_override','uuid:dca87aeb-d08e-46cf-9bff-deba3159e5ec','a:1:{i:0;s:54:\"core.base_field_override.taxonomy_term.categories.name\";}'),('config.entity.key_store.base_field_override','uuid:dccf052c-719c-4dac-b7b1-0554ef7f436e','a:1:{i:0;s:54:\"core.base_field_override.node.simplenews_issue.changed\";}'),('config.entity.key_store.base_field_override','uuid:e03f11c3-7d18-4447-9994-99763482bf2e','a:1:{i:0;s:44:\"core.base_field_override.comment.comment.uid\";}'),('config.entity.key_store.base_field_override','uuid:e4ec7d76-a9ca-41d9-a564-c8efcbf8f535','a:1:{i:0;s:48:\"core.base_field_override.taxonomy_term.tags.path\";}'),('config.entity.key_store.base_field_override','uuid:e81464e1-898b-455d-bb13-19aa0dd7fe10','a:1:{i:0;s:41:\"core.base_field_override.node.forum.title\";}'),('config.entity.key_store.base_field_override','uuid:eadefc50-170a-47a9-98f6-c33933d2ca45','a:1:{i:0;s:42:\"core.base_field_override.node.forum.sticky\";}'),('config.entity.key_store.base_field_override','uuid:ebee38db-128f-4cba-80fd-157fcd8bc758','a:1:{i:0;s:42:\"core.base_field_override.node.forum.status\";}'),('config.entity.key_store.base_field_override','uuid:ef9fa0d4-3652-4689-9e11-3dd39688b9ba','a:1:{i:0;s:47:\"core.base_field_override.comment.comment.status\";}'),('config.entity.key_store.base_field_override','uuid:f0e3f309-5421-44c9-834d-b98279285324','a:1:{i:0;s:43:\"core.base_field_override.node.forum.changed\";}'),('config.entity.key_store.base_field_override','uuid:f28ebbd9-c606-45b2-8882-435b1ac894c3','a:1:{i:0;s:40:\"core.base_field_override.node.forum.path\";}'),('config.entity.key_store.base_field_override','uuid:f9e64533-13a8-433b-ade0-799fdcb6bb8e','a:1:{i:0;s:51:\"core.base_field_override.comment.comment_forum.mail\";}'),('config.entity.key_store.base_field_override','uuid:fdf87797-7fca-4c13-8271-b42c409c9579','a:1:{i:0;s:55:\"core.base_field_override.comment.comment_forum.hostname\";}'),('config.entity.key_store.base_field_override','uuid:fdfe2d1a-9959-4a00-b8c5-3ad1a35dcbc3','a:1:{i:0;s:50:\"core.base_field_override.node.simplenews_issue.uid\";}'),('config.entity.key_store.base_field_override','uuid:ff29db3f-6be3-47c9-b939-70eaeb338f14','a:1:{i:0;s:51:\"core.base_field_override.node.simplenews_issue.path\";}'),('config.entity.key_store.block','theme:bartik','a:14:{i:0;s:31:\"block.block.bartik_account_menu\";i:1;s:27:\"block.block.bartik_branding\";i:2;s:30:\"block.block.bartik_breadcrumbs\";i:3;s:26:\"block.block.bartik_content\";i:4;s:25:\"block.block.bartik_footer\";i:5;s:23:\"block.block.bartik_help\";i:6;s:32:\"block.block.bartik_local_actions\";i:7;s:30:\"block.block.bartik_local_tasks\";i:8;s:28:\"block.block.bartik_main_menu\";i:9;s:27:\"block.block.bartik_messages\";i:10;s:29:\"block.block.bartik_page_title\";i:11;s:26:\"block.block.bartik_powered\";i:12;s:25:\"block.block.bartik_search\";i:13;s:24:\"block.block.bartik_tools\";}'),('config.entity.key_store.block','theme:pinteros','a:30:{i:0;s:33:\"block.block.pinteros_account_menu\";i:1;s:29:\"block.block.pinteros_branding\";i:2;s:32:\"block.block.pinteros_breadcrumbs\";i:3;s:28:\"block.block.pinteros_content\";i:4;s:27:\"block.block.pinteros_footer\";i:5;s:25:\"block.block.pinteros_help\";i:6;s:34:\"block.block.pinteros_local_actions\";i:7;s:32:\"block.block.pinteros_local_tasks\";i:8;s:30:\"block.block.pinteros_main_menu\";i:9;s:29:\"block.block.pinteros_messages\";i:10;s:31:\"block.block.pinteros_page_title\";i:11;s:28:\"block.block.pinteros_powered\";i:12;s:27:\"block.block.pinteros_search\";i:13;s:26:\"block.block.pinteros_tools\";i:14;s:20:\"block.block.realtime\";i:15;s:25:\"block.block.anonymousmenu\";i:16;s:22:\"block.block.socialmenu\";i:18;s:27:\"block.block.useraccountmenu\";i:19;s:22:\"block.block.searchform\";i:21;s:19:\"block.block.aboutus\";i:22;s:45:\"block.block.views_block__tags_in_tags_block_1\";i:23;s:47:\"block.block.views_block__featured_posts_block_1\";i:24;s:47:\"block.block.views_block__featured_posts_block_2\";i:25;s:48:\"block.block.views_block__comments_recent_block_1\";i:26;s:34:\"block.block.simplenewssubscription\";i:27;s:21:\"block.block.copyright\";i:28;s:16:\"block.block.gmap\";i:29;s:30:\"block.block.generalinformation\";i:30;s:28:\"block.block.mainnavigation_2\";i:31;s:28:\"block.block.categoriesmenu_2\";}'),('config.entity.key_store.block','theme:seven','a:9:{i:0;s:29:\"block.block.seven_breadcrumbs\";i:1;s:25:\"block.block.seven_content\";i:2;s:22:\"block.block.seven_help\";i:3;s:31:\"block.block.seven_local_actions\";i:4;s:23:\"block.block.seven_login\";i:5;s:26:\"block.block.seven_messages\";i:6;s:28:\"block.block.seven_page_title\";i:7;s:37:\"block.block.seven_primary_local_tasks\";i:8;s:39:\"block.block.seven_secondary_local_tasks\";}'),('config.entity.key_store.block','uuid:02eec555-fdd6-411f-8005-5b7c390079ef','a:1:{i:0;s:28:\"block.block.seven_page_title\";}'),('config.entity.key_store.block','uuid:09fd4d37-129c-4e20-883b-59db5a41b62c','a:1:{i:0;s:31:\"block.block.pinteros_page_title\";}'),('config.entity.key_store.block','uuid:0ac206bc-1efd-49d2-925e-942224e1786e','a:1:{i:0;s:26:\"block.block.seven_messages\";}'),('config.entity.key_store.block','uuid:11a8e6a3-da71-4e7a-8104-4d69aaabc305','a:1:{i:0;s:34:\"block.block.pinteros_local_actions\";}'),('config.entity.key_store.block','uuid:16e4a1a7-71bf-4a92-984b-7508a3536d94','a:1:{i:0;s:37:\"block.block.seven_primary_local_tasks\";}'),('config.entity.key_store.block','uuid:21ac98c0-9597-490d-9a00-fe6f851419c6','a:1:{i:0;s:29:\"block.block.pinteros_messages\";}'),('config.entity.key_store.block','uuid:273062a2-60b2-4309-b700-fdb813827f73','a:1:{i:0;s:32:\"block.block.bartik_local_actions\";}'),('config.entity.key_store.block','uuid:298cd438-1a63-4fa1-831b-270cdcde4cc6','a:1:{i:0;s:30:\"block.block.bartik_local_tasks\";}'),('config.entity.key_store.block','uuid:35052860-ba48-46dd-8003-3c75488837f3','a:1:{i:0;s:28:\"block.block.pinteros_content\";}'),('config.entity.key_store.block','uuid:3fdfa7a7-1a25-40d5-9600-b0ad4eaca477','a:1:{i:0;s:30:\"block.block.generalinformation\";}'),('config.entity.key_store.block','uuid:449db4ef-1fd1-462d-9003-3d2fedcd373f','a:1:{i:0;s:27:\"block.block.useraccountmenu\";}'),('config.entity.key_store.block','uuid:46f55af5-ca11-43a8-875d-9324cd73e2c8','a:1:{i:0;s:26:\"block.block.bartik_content\";}'),('config.entity.key_store.block','uuid:4a8e1e1f-b24f-488b-9607-7b61f2492e20','a:1:{i:0;s:28:\"block.block.pinteros_powered\";}'),('config.entity.key_store.block','uuid:50e6478a-b18a-428f-ac03-032b1f4ebb06','a:1:{i:0;s:47:\"block.block.views_block__featured_posts_block_2\";}'),('config.entity.key_store.block','uuid:5256fbdd-1337-4182-a458-c9f75e498001','a:1:{i:0;s:28:\"block.block.categoriesmenu_2\";}'),('config.entity.key_store.block','uuid:58d1da15-7c7a-471b-b800-d01a91d1becc','a:1:{i:0;s:29:\"block.block.bartik_page_title\";}'),('config.entity.key_store.block','uuid:5a746e72-4d16-40ab-af53-83c4296da261','a:1:{i:0;s:22:\"block.block.seven_help\";}'),('config.entity.key_store.block','uuid:5c4f63f1-2d44-46ca-b300-dd34d4db4385','a:1:{i:0;s:47:\"block.block.views_block__featured_posts_block_1\";}'),('config.entity.key_store.block','uuid:5c886255-5822-4b10-9600-a191964931a9','a:1:{i:0;s:27:\"block.block.pinteros_search\";}'),('config.entity.key_store.block','uuid:6a4ea91f-69f2-4ba3-ac02-2fd3e0c817f7','a:1:{i:0;s:27:\"block.block.pinteros_footer\";}'),('config.entity.key_store.block','uuid:714fcd62-a37a-43fc-a200-d60c4870846c','a:1:{i:0;s:48:\"block.block.views_block__comments_recent_block_1\";}'),('config.entity.key_store.block','uuid:71c371a5-caf1-4d26-9400-e65de9dd49c4','a:1:{i:0;s:31:\"block.block.seven_local_actions\";}'),('config.entity.key_store.block','uuid:7455856f-deb6-4f43-9400-d5531266da14','a:1:{i:0;s:24:\"block.block.bartik_tools\";}'),('config.entity.key_store.block','uuid:7673fbfc-bc8b-46e3-9d00-f05c9e29baa2','a:1:{i:0;s:27:\"block.block.bartik_messages\";}'),('config.entity.key_store.block','uuid:768a3b1b-2c74-4bea-b805-5c6836749018','a:1:{i:0;s:28:\"block.block.bartik_main_menu\";}'),('config.entity.key_store.block','uuid:7feaaa35-d6d6-43a7-9436-547861d4aec0','a:1:{i:0;s:30:\"block.block.pinteros_main_menu\";}'),('config.entity.key_store.block','uuid:82c03747-046b-41bc-9800-af905d08381a','a:1:{i:0;s:20:\"block.block.realtime\";}'),('config.entity.key_store.block','uuid:8400bf81-40ec-4bf7-9306-6f06ff9ee55f','a:1:{i:0;s:30:\"block.block.bartik_breadcrumbs\";}'),('config.entity.key_store.block','uuid:8661cd83-ed76-423d-9b00-ecb08f0d7f72','a:1:{i:0;s:32:\"block.block.pinteros_breadcrumbs\";}'),('config.entity.key_store.block','uuid:86c61364-670f-427d-9506-065eb118189a','a:1:{i:0;s:31:\"block.block.bartik_account_menu\";}'),('config.entity.key_store.block','uuid:87682036-f6e6-4609-a909-9c479afbed64','a:1:{i:0;s:45:\"block.block.views_block__tags_in_tags_block_1\";}'),('config.entity.key_store.block','uuid:8b508ee2-0c65-4b12-b400-d7f882f8281a','a:1:{i:0;s:25:\"block.block.pinteros_help\";}'),('config.entity.key_store.block','uuid:976e2584-b31c-4a11-8900-f8c8ef7dcc41','a:1:{i:0;s:33:\"block.block.pinteros_account_menu\";}'),('config.entity.key_store.block','uuid:9d05d774-08ed-4550-a757-87f9891912dc','a:1:{i:0;s:32:\"block.block.pinteros_local_tasks\";}'),('config.entity.key_store.block','uuid:a148b110-6a1f-4f43-8844-7981b325790b','a:1:{i:0;s:28:\"block.block.mainnavigation_2\";}'),('config.entity.key_store.block','uuid:a1c931d9-c7e4-443c-bf63-99a8475e0cac','a:1:{i:0;s:26:\"block.block.pinteros_tools\";}'),('config.entity.key_store.block','uuid:a7449418-70e0-40bf-a621-337af2645841','a:1:{i:0;s:25:\"block.block.anonymousmenu\";}'),('config.entity.key_store.block','uuid:ac91a6d9-d7a3-4f94-a55d-9386d3110175','a:1:{i:0;s:29:\"block.block.seven_breadcrumbs\";}'),('config.entity.key_store.block','uuid:b5e7ca76-9f8e-406d-8b2f-4760c7a3f9e8','a:1:{i:0;s:34:\"block.block.simplenewssubscription\";}'),('config.entity.key_store.block','uuid:bb7578bd-2063-447a-8e00-b09ce11dc7a5','a:1:{i:0;s:22:\"block.block.searchform\";}'),('config.entity.key_store.block','uuid:c4f5a4af-6cdd-452b-9f05-05c57fb131d7','a:1:{i:0;s:25:\"block.block.bartik_search\";}'),('config.entity.key_store.block','uuid:ca820f2c-0e88-403f-9900-c645588ffed5','a:1:{i:0;s:26:\"block.block.bartik_powered\";}'),('config.entity.key_store.block','uuid:cb82d2ab-3df2-491e-8000-f6170a902b67','a:1:{i:0;s:16:\"block.block.gmap\";}'),('config.entity.key_store.block','uuid:ce069e88-a6f9-437d-8404-4bff811ee546','a:1:{i:0;s:23:\"block.block.bartik_help\";}'),('config.entity.key_store.block','uuid:d00b6c17-ebc5-4bd1-8104-4c6cce946cde','a:1:{i:0;s:23:\"block.block.seven_login\";}'),('config.entity.key_store.block','uuid:d1689f22-0570-4076-b600-ad73038154ef','a:1:{i:0;s:29:\"block.block.pinteros_branding\";}'),('config.entity.key_store.block','uuid:e42bf66d-e9e2-49ba-b101-1b270b44e8a9','a:1:{i:0;s:27:\"block.block.bartik_branding\";}'),('config.entity.key_store.block','uuid:eb0aaaf3-8604-4897-bf00-debaa4620d39','a:1:{i:0;s:19:\"block.block.aboutus\";}'),('config.entity.key_store.block','uuid:ec10af86-614e-48fd-9800-dccd6ca7d02f','a:1:{i:0;s:39:\"block.block.seven_secondary_local_tasks\";}'),('config.entity.key_store.block','uuid:ee32d695-45fe-480a-822c-442ceb5877eb','a:1:{i:0;s:21:\"block.block.copyright\";}'),('config.entity.key_store.block','uuid:efe429a4-036f-4c42-9802-2b2270cd5eb3','a:1:{i:0;s:22:\"block.block.socialmenu\";}'),('config.entity.key_store.block','uuid:f11cb45c-c042-4b90-8100-bd15e4e1d854','a:1:{i:0;s:25:\"block.block.bartik_footer\";}'),('config.entity.key_store.block','uuid:fcadb69b-15df-447c-af00-cb661ae1bf4b','a:1:{i:0;s:25:\"block.block.seven_content\";}'),('config.entity.key_store.block_content_type','uuid:d9f58d5f-5aca-4faf-8a00-a3dc3f2913c2','a:1:{i:0;s:24:\"block_content.type.basic\";}'),('config.entity.key_store.comment_type','uuid:543c8291-2fbd-40c1-bc00-bb0eed844e5d','a:1:{i:0;s:26:\"comment.type.comment_forum\";}'),('config.entity.key_store.comment_type','uuid:b4b4dd30-3530-476a-a800-aedb48be3df1','a:1:{i:0;s:20:\"comment.type.comment\";}'),('config.entity.key_store.component_item_type','uuid:0dac5e0e-4d95-4fbc-b519-3b7f10f7e753','a:1:{i:0;s:45:\"component_builder.component_item_type.counter\";}'),('config.entity.key_store.component_item_type','uuid:163f376f-e7db-49c7-80c4-256c62ef2753','a:1:{i:0;s:50:\"component_builder.component_item_type.table_column\";}'),('config.entity.key_store.component_item_type','uuid:30be4c19-6362-4109-a196-b06ddbab67ae','a:1:{i:0;s:42:\"component_builder.component_item_type.card\";}'),('config.entity.key_store.component_item_type','uuid:31e96950-6392-4af3-a392-8f9b1185250c','a:1:{i:0;s:53:\"component_builder.component_item_type.divider_section\";}'),('config.entity.key_store.component_item_type','uuid:3ebedcde-3bf8-4d0a-ba93-736f1d0d96fe','a:1:{i:0;s:48:\"component_builder.component_item_type.push_image\";}'),('config.entity.key_store.component_item_type','uuid:40292fdb-1c2a-4fb0-b42e-ddf2a15a1c0b','a:1:{i:0;s:42:\"component_builder.component_item_type.grid\";}'),('config.entity.key_store.component_item_type','uuid:4bf357ff-e2d3-40af-9007-88df671933ae','a:1:{i:0;s:47:\"component_builder.component_item_type.accordion\";}'),('config.entity.key_store.component_item_type','uuid:4d9fa8c4-e3a7-46df-8d07-462c8c3b3464','a:1:{i:0;s:49:\"component_builder.component_item_type.banner_grid\";}'),('config.entity.key_store.component_item_type','uuid:4ebdf503-584d-4998-98e7-290dec0513e5','a:1:{i:0;s:51:\"component_builder.component_item_type.statistic_bar\";}'),('config.entity.key_store.component_item_type','uuid:4f50ceb1-4e6f-4c6b-b394-d1c382180a42','a:1:{i:0;s:48:\"component_builder.component_item_type.push_video\";}'),('config.entity.key_store.component_item_type','uuid:554a51b7-1e93-443b-8dd9-a831b99a80bd','a:1:{i:0;s:47:\"component_builder.component_item_type.slideshow\";}'),('config.entity.key_store.component_item_type','uuid:60657529-4ad3-40cb-bbc9-a3cec7bc9aa3','a:1:{i:0;s:53:\"component_builder.component_item_type.article_summary\";}'),('config.entity.key_store.component_item_type','uuid:617ed368-3885-446d-a24e-013f70100234','a:1:{i:0;s:53:\"component_builder.component_item_type.sidebar_service\";}'),('config.entity.key_store.component_item_type','uuid:8b06662e-cbb3-493a-a110-c0898bf609c1','a:1:{i:0;s:57:\"component_builder.component_item_type.summary_information\";}'),('config.entity.key_store.component_item_type','uuid:901cc43c-e123-49af-bcec-cc9f93d99dff','a:1:{i:0;s:49:\"component_builder.component_item_type.testimonial\";}'),('config.entity.key_store.component_item_type','uuid:9d096d9b-5898-48f3-976c-d2a03e4fc365','a:1:{i:0;s:56:\"component_builder.component_item_type.slideshow_flexible\";}'),('config.entity.key_store.component_item_type','uuid:9e367dc7-f15a-4dc5-8fb5-953ce082ab11','a:1:{i:0;s:53:\"component_builder.component_item_type.basic_component\";}'),('config.entity.key_store.component_item_type','uuid:a1f934aa-f3cd-427d-91ab-870f2c0f5232','a:1:{i:0;s:51:\"component_builder.component_item_type.timeline_item\";}'),('config.entity.key_store.component_item_type','uuid:b1769b1c-00b7-4ef4-8805-3327fb3eeaa2','a:1:{i:0;s:51:\"component_builder.component_item_type.topic_summary\";}'),('config.entity.key_store.component_item_type','uuid:b7b57627-27bc-424b-9a41-26032558b301','a:1:{i:0;s:60:\"component_builder.component_item_type.statistic_bar_progress\";}'),('config.entity.key_store.component_item_type','uuid:bb041594-60f4-4825-885c-792e8b06e08e','a:1:{i:0;s:59:\"component_builder.component_item_type.horizontal_push_image\";}'),('config.entity.key_store.component_item_type','uuid:c4bd0d33-e1de-46ce-bd4e-35b0cdf2aed7','a:1:{i:0;s:51:\"component_builder.component_item_type.service_block\";}'),('config.entity.key_store.component_item_type','uuid:c4cf8338-84db-40a0-ac49-897057b4cafd','a:1:{i:0;s:43:\"component_builder.component_item_type.table\";}'),('config.entity.key_store.component_item_type','uuid:c4ed8fe0-4c72-4657-944d-5a96632991cb','a:1:{i:0;s:52:\"component_builder.component_item_type.classified_ads\";}'),('config.entity.key_store.component_item_type','uuid:d2b40328-dd12-4a13-b231-d4799f4eb250','a:1:{i:0;s:55:\"component_builder.component_item_type.sidebar_link_text\";}'),('config.entity.key_store.component_item_type','uuid:d850291e-8fd3-4f38-99f9-6e843b88d216','a:1:{i:0;s:53:\"component_builder.component_item_type.related_content\";}'),('config.entity.key_store.component_item_type','uuid:de93114e-70f8-4a72-a4fc-5520621f8b0c','a:1:{i:0;s:46:\"component_builder.component_item_type.timeline\";}'),('config.entity.key_store.component_item_type','uuid:f19f3677-12c3-4f99-baa7-0e530df99d7b','a:1:{i:0;s:46:\"component_builder.component_item_type.carousel\";}'),('config.entity.key_store.component_item_type','uuid:f46b7fb9-d07a-417f-94b5-a2e1ccdae679','a:1:{i:0;s:43:\"component_builder.component_item_type.quote\";}'),('config.entity.key_store.component_item_type','uuid:f8289bc0-ebe9-4c4b-926b-da690771e0ba','a:1:{i:0;s:51:\"component_builder.component_item_type.grid_carousel\";}'),('config.entity.key_store.component_item_type','uuid:fd98a7d9-8f91-4377-a10a-a351378d0c49','a:1:{i:0;s:53:\"component_builder.component_item_type.sidebar_summary\";}'),('config.entity.key_store.configurable_language','uuid:0763f888-fe2f-44f7-bf6a-e3a5ce5efed2','a:1:{i:0;s:18:\"language.entity.ar\";}'),('config.entity.key_store.configurable_language','uuid:2d2b8a6a-a53e-410e-b9c1-df7d68197ae8','a:1:{i:0;s:19:\"language.entity.zxx\";}'),('config.entity.key_store.configurable_language','uuid:53321b20-74d1-44aa-aa3e-b576a42f950a','a:1:{i:0;s:18:\"language.entity.en\";}'),('config.entity.key_store.configurable_language','uuid:552a445a-f85c-4467-ae9c-7ec788f7ce3f','a:1:{i:0;s:19:\"language.entity.und\";}'),('config.entity.key_store.contact_form','uuid:be7e8aa3-a5d2-403e-9204-4c718d2f29d0','a:1:{i:0;s:21:\"contact.form.feedback\";}'),('config.entity.key_store.contact_form','uuid:f81c0d9b-43b3-4ea8-9f04-044cb2f8805b','a:1:{i:0;s:21:\"contact.form.personal\";}'),('config.entity.key_store.date_format','uuid:03d243b6-5629-49be-a761-975d5e2ff52c','a:1:{i:0;s:26:\"core.date_format.html_time\";}'),('config.entity.key_store.date_format','uuid:5727012b-e70b-406b-ba00-b6f7f440284f','a:1:{i:0;s:21:\"core.date_format.long\";}'),('config.entity.key_store.date_format','uuid:8003c87b-49d9-4be5-8d07-074c90a497fa','a:1:{i:0;s:23:\"core.date_format.medium\";}'),('config.entity.key_store.date_format','uuid:9524220c-3f20-4388-b600-a6d1c777f4be','a:1:{i:0;s:30:\"core.date_format.html_datetime\";}'),('config.entity.key_store.date_format','uuid:a08f048f-7d23-4b4a-a42f-47f282190fbb','a:1:{i:0;s:35:\"core.date_format.html_yearless_date\";}'),('config.entity.key_store.date_format','uuid:a7acbeb1-a92f-4064-b008-8acb927dd952','a:1:{i:0;s:26:\"core.date_format.html_year\";}'),('config.entity.key_store.date_format','uuid:aa149df3-13cf-47f3-852d-45c0a83a88ac','a:1:{i:0;s:25:\"core.date_format.fallback\";}'),('config.entity.key_store.date_format','uuid:b410eefc-7c92-415e-ba08-8b94e9fdfeaf','a:1:{i:0;s:26:\"core.date_format.html_date\";}'),('config.entity.key_store.date_format','uuid:c458af85-3e3e-48e9-8632-5088efa35da1','a:1:{i:0;s:22:\"core.date_format.short\";}'),('config.entity.key_store.date_format','uuid:cb55878a-0626-4491-a604-4de7a45a6206','a:1:{i:0;s:26:\"core.date_format.html_week\";}'),('config.entity.key_store.date_format','uuid:f624b27f-97bf-4eef-984a-74ffadbc3899','a:1:{i:0;s:27:\"core.date_format.html_month\";}'),('config.entity.key_store.editor','uuid:9b8d7ccb-3d3e-472f-9600-e94bb37f9858','a:1:{i:0;s:24:\"editor.editor.basic_html\";}'),('config.entity.key_store.editor','uuid:cbeab9c2-2c21-45ef-be00-c7474b4007e3','a:1:{i:0;s:23:\"editor.editor.full_html\";}'),('config.entity.key_store.entity_form_display','uuid:0d2e5377-5d99-421b-ac5a-912ea6f02961','a:1:{i:0;s:56:\"core.entity_form_display.component_item.carousel.default\";}'),('config.entity.key_store.entity_form_display','uuid:141d16b5-f94a-4444-b32f-477f4c68f492','a:1:{i:0;s:43:\"core.entity_form_display.node.forum.default\";}'),('config.entity.key_store.entity_form_display','uuid:19faaacf-0c52-4456-b0e5-8dbc3337eba1','a:1:{i:0;s:67:\"core.entity_form_display.component_item.summary_information.default\";}'),('config.entity.key_store.entity_form_display','uuid:289d31e5-b8ff-48c5-8689-485d50f9c77f','a:1:{i:0;s:69:\"core.entity_form_display.component_item.horizontal_push_image.default\";}'),('config.entity.key_store.entity_form_display','uuid:2a888370-72cd-4a9d-9524-9d2cac635841','a:1:{i:0;s:56:\"core.entity_form_display.component_item.timeline.default\";}'),('config.entity.key_store.entity_form_display','uuid:4999bc0d-ad6a-4440-b402-2b9074eae68b','a:1:{i:0;s:54:\"core.entity_form_display.node.simplenews_issue.default\";}'),('config.entity.key_store.entity_form_display','uuid:4bede3a2-7315-4e9e-b200-ebfc24fdb8db','a:1:{i:0;s:42:\"core.entity_form_display.node.page.default\";}'),('config.entity.key_store.entity_form_display','uuid:4c7638b8-eec1-4068-9766-206220ea6534','a:1:{i:0;s:58:\"core.entity_form_display.component_item.push_image.default\";}'),('config.entity.key_store.entity_form_display','uuid:4cd7eede-7289-46a5-8e96-c0d452f59d83','a:1:{i:0;s:59:\"core.entity_form_display.component_item.testimonial.default\";}'),('config.entity.key_store.entity_form_display','uuid:567be8ec-1b53-49a7-91c4-d6a509d82be9','a:1:{i:0;s:63:\"core.entity_form_display.component_item.article_summary.default\";}'),('config.entity.key_store.entity_form_display','uuid:57b7da58-dd9d-464a-aaee-e49c7f7dee5b','a:1:{i:0;s:55:\"core.entity_form_display.component_item.counter.default\";}'),('config.entity.key_store.entity_form_display','uuid:59f0482e-069e-4569-a200-b949137d7773','a:1:{i:0;s:76:\"core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";}'),('config.entity.key_store.entity_form_display','uuid:5ac76925-e494-45c7-8d2f-47af11c610f7','a:1:{i:0;s:42:\"core.entity_form_display.node.blog.default\";}'),('config.entity.key_store.entity_form_display','uuid:5fd3b7b8-7f5a-41f2-8460-96b461e22b22','a:1:{i:0;s:45:\"core.entity_form_display.node.article.default\";}'),('config.entity.key_store.entity_form_display','uuid:63480efb-8cd1-4515-8458-882109669197','a:1:{i:0;s:48:\"core.entity_form_display.comment.comment.default\";}'),('config.entity.key_store.entity_form_display','uuid:67465cc5-c0e9-413c-9e6c-f845ff896276','a:1:{i:0;s:61:\"core.entity_form_display.component_item.service_block.default\";}'),('config.entity.key_store.entity_form_display','uuid:68057d90-c499-42d7-9556-86be984811cd','a:1:{i:0;s:46:\"core.entity_form_display.node.showcase.default\";}'),('config.entity.key_store.entity_form_display','uuid:6b9feff5-d7c2-4eef-b3f2-742868d93e76','a:1:{i:0;s:61:\"core.entity_form_display.component_item.topic_summary.default\";}'),('config.entity.key_store.entity_form_display','uuid:6c6c9160-ce15-4142-a69b-0b178887f3fe','a:1:{i:0;s:70:\"core.entity_form_display.component_item.statistic_bar_progress.default\";}'),('config.entity.key_store.entity_form_display','uuid:70758189-412b-4e4a-bbfc-41ed5d97ff27','a:1:{i:0;s:66:\"core.entity_form_display.component_item.slideshow_flexible.default\";}'),('config.entity.key_store.entity_form_display','uuid:74a01c7a-47a9-4acf-bc60-1de9f8964744','a:1:{i:0;s:62:\"core.entity_form_display.component_item.classified_ads.default\";}'),('config.entity.key_store.entity_form_display','uuid:76579c21-23d5-40cb-9278-7414737e6aae','a:1:{i:0;s:58:\"core.entity_form_display.component_item.push_video.default\";}'),('config.entity.key_store.entity_form_display','uuid:7e052d55-fb3d-441a-a829-bedb088feac3','a:1:{i:0;s:63:\"core.entity_form_display.component_item.sidebar_service.default\";}'),('config.entity.key_store.entity_form_display','uuid:8841eb2b-70e2-4ead-9c8c-20d455be2596','a:1:{i:0;s:53:\"core.entity_form_display.component_item.table.default\";}'),('config.entity.key_store.entity_form_display','uuid:8fac6e80-d7e3-45b9-82c7-096cefee2ec2','a:1:{i:0;s:61:\"core.entity_form_display.component_item.timeline_item.default\";}'),('config.entity.key_store.entity_form_display','uuid:9329d403-8065-4796-9a00-a29bab55639f','a:1:{i:0;s:52:\"core.entity_form_display.block_content.basic.default\";}'),('config.entity.key_store.entity_form_display','uuid:94a63e33-c1f8-410d-bf95-682afe6dc586','a:1:{i:0;s:63:\"core.entity_form_display.component_item.sidebar_summary.default\";}'),('config.entity.key_store.entity_form_display','uuid:984def08-c399-4189-80a2-e66476d15cd1','a:1:{i:0;s:52:\"core.entity_form_display.component_item.grid.default\";}'),('config.entity.key_store.entity_form_display','uuid:a4af7a06-ee2e-4b2a-9ced-9f0ed1e438fa','a:1:{i:0;s:52:\"core.entity_form_display.component_item.card.default\";}'),('config.entity.key_store.entity_form_display','uuid:a64036dc-f7b2-4e18-b805-5f8ad46660d9','a:1:{i:0;s:53:\"core.entity_form_display.taxonomy_term.forums.default\";}'),('config.entity.key_store.entity_form_display','uuid:a6df643d-b4f3-4b0e-9200-e6ae8aec5124','a:1:{i:0;s:57:\"core.entity_form_display.taxonomy_term.categories.default\";}'),('config.entity.key_store.entity_form_display','uuid:b00d202e-5d0b-4269-a856-5736ee3492fb','a:1:{i:0;s:60:\"core.entity_form_display.component_item.table_column.default\";}'),('config.entity.key_store.entity_form_display','uuid:b118245e-be8e-42e2-8917-b1ee6cd95349','a:1:{i:0;s:59:\"core.entity_form_display.component_item.banner_grid.default\";}'),('config.entity.key_store.entity_form_display','uuid:b14361c9-ad0c-4f3b-83d1-d3a84cd79495','a:1:{i:0;s:61:\"core.entity_form_display.component_item.grid_carousel.default\";}'),('config.entity.key_store.entity_form_display','uuid:b3103f75-abbe-4cf7-ba05-5a60418e33e4','a:1:{i:0;s:76:\"core.entity_form_display.simplenews_subscriber.simplenews_subscriber.account\";}'),('config.entity.key_store.entity_form_display','uuid:c8f0c055-9394-452d-9ec0-bc58f2574aa9','a:1:{i:0;s:61:\"core.entity_form_display.component_item.statistic_bar.default\";}'),('config.entity.key_store.entity_form_display','uuid:d43b7d4e-120c-4455-a2fc-fe64a18f5213','a:1:{i:0;s:57:\"core.entity_form_display.component_item.slideshow.default\";}'),('config.entity.key_store.entity_form_display','uuid:d4c02d27-0e7c-4f75-9d98-53ebd36ebd11','a:1:{i:0;s:57:\"core.entity_form_display.component_item.accordion.default\";}'),('config.entity.key_store.entity_form_display','uuid:e731be49-b634-4f5c-800a-364c76b0f19a','a:1:{i:0;s:65:\"core.entity_form_display.component_item.sidebar_link_text.default\";}'),('config.entity.key_store.entity_form_display','uuid:ea76a985-6650-49e7-9a44-f84cf8710d7c','a:1:{i:0;s:63:\"core.entity_form_display.component_item.related_content.default\";}'),('config.entity.key_store.entity_form_display','uuid:f1e001a2-c0a0-4a19-bac6-f1ca9432cc7d','a:1:{i:0;s:68:\"core.entity_form_display.component_wrapper.component_wrapper.default\";}'),('config.entity.key_store.entity_form_display','uuid:f49b01ff-5bb1-4db2-9556-635b929b8e16','a:1:{i:0;s:63:\"core.entity_form_display.component_item.basic_component.default\";}'),('config.entity.key_store.entity_form_display','uuid:f644322a-fd1a-4f5c-b705-5f365fcab66b','a:1:{i:0;s:42:\"core.entity_form_display.user.user.default\";}'),('config.entity.key_store.entity_form_display','uuid:fe44b331-4302-4754-85a8-a24ef73a2841','a:1:{i:0;s:63:\"core.entity_form_display.component_item.divider_section.default\";}'),('config.entity.key_store.entity_form_display','uuid:ff2396c2-da06-4414-939b-d250edf7b4cc','a:1:{i:0;s:53:\"core.entity_form_display.component_item.quote.default\";}'),('config.entity.key_store.entity_form_display','uuid:ffe08601-c011-459a-9f60-96840d5dfb1e','a:1:{i:0;s:54:\"core.entity_form_display.comment.comment_forum.default\";}'),('config.entity.key_store.entity_form_mode','uuid:23651d36-d945-4eba-a505-5c6db018cfef','a:1:{i:0;s:51:\"core.entity_form_mode.simplenews_subscriber.account\";}'),('config.entity.key_store.entity_form_mode','uuid:46518590-7691-4156-9400-ebc9f0872cb4','a:1:{i:0;s:49:\"core.entity_form_mode.simplenews_subscriber.block\";}'),('config.entity.key_store.entity_form_mode','uuid:7ae8a4fd-7c20-4ac2-ba00-b8f4ac43dce2','a:1:{i:0;s:35:\"core.entity_form_mode.user.register\";}'),('config.entity.key_store.entity_form_mode','uuid:813f1709-88dd-4db4-bd00-ee4932d72fc5','a:1:{i:0;s:48:\"core.entity_form_mode.simplenews_subscriber.page\";}'),('config.entity.key_store.entity_view_display','uuid:08e2f9d0-234f-4cf9-9e1e-b28ef538332a','a:1:{i:0;s:53:\"core.entity_view_display.component_item.table.default\";}'),('config.entity.key_store.entity_view_display','uuid:0a844789-392d-4dda-a373-0c858b892989','a:1:{i:0;s:61:\"core.entity_view_display.component_item.service_block.default\";}'),('config.entity.key_store.entity_view_display','uuid:0e516f1c-a538-4b06-bf5b-91a23426f90e','a:1:{i:0;s:42:\"core.entity_view_display.user.user.default\";}'),('config.entity.key_store.entity_view_display','uuid:0f6775b8-959a-47d4-aa8c-7840c1dc49c8','a:1:{i:0;s:58:\"core.entity_view_display.component_item.push_image.default\";}'),('config.entity.key_store.entity_view_display','uuid:11ca26fe-5248-4b30-ba09-9f1882445374','a:1:{i:0;s:43:\"core.entity_view_display.node.forum.default\";}'),('config.entity.key_store.entity_view_display','uuid:1754e700-7290-485d-a404-4a052ef18ae2','a:1:{i:0;s:53:\"core.entity_view_display.node.simplenews_issue.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:253dd220-e787-4cc1-bd5e-708e9b967290','a:1:{i:0;s:63:\"core.entity_view_display.component_item.divider_section.default\";}'),('config.entity.key_store.entity_view_display','uuid:25424daf-5d13-4a1b-8a8e-6fb39b0d5a3e','a:1:{i:0;s:67:\"core.entity_view_display.component_item.summary_information.default\";}'),('config.entity.key_store.entity_view_display','uuid:26e53b57-8a8b-4054-b261-64d562b6f7e5','a:1:{i:0;s:59:\"core.entity_view_display.component_item.testimonial.default\";}'),('config.entity.key_store.entity_view_display','uuid:274974c9-0910-4eb6-ba44-588c444a07af','a:1:{i:0;s:63:\"core.entity_view_display.component_item.grid.grid_quick_summary\";}'),('config.entity.key_store.entity_view_display','uuid:31d8e2bb-647e-4296-9e34-6be87be6bba1','a:1:{i:0;s:63:\"core.entity_view_display.component_item.related_content.default\";}'),('config.entity.key_store.entity_view_display','uuid:3754a5cc-e321-4ad0-b405-5cc58483d35b','a:1:{i:0;s:42:\"core.entity_view_display.node.blog.default\";}'),('config.entity.key_store.entity_view_display','uuid:3a9d8a9e-b150-4e15-8160-96023b7e3d7e','a:1:{i:0;s:41:\"core.entity_view_display.node.page.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:3c839934-32a3-4e7d-b75a-90d466f900b3','a:1:{i:0;s:42:\"core.entity_view_display.node.forum.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:44007646-fd7e-4c61-a45a-9074f2fa8b32','a:1:{i:0;s:46:\"core.entity_view_display.node.showcase.default\";}'),('config.entity.key_store.entity_view_display','uuid:46cc709d-4680-4dad-91b1-7837dd8e8014','a:1:{i:0;s:69:\"core.entity_view_display.component_item.horizontal_push_image.default\";}'),('config.entity.key_store.entity_view_display','uuid:4d68ee88-266c-4fda-9d03-3ae3ebdab9b7','a:1:{i:0;s:52:\"core.entity_view_display.block_content.basic.default\";}'),('config.entity.key_store.entity_view_display','uuid:4f461ea3-3e25-4ffd-b777-2613434ad72e','a:1:{i:0;s:60:\"core.entity_view_display.component_item.grid.grid_image_link\";}'),('config.entity.key_store.entity_view_display','uuid:55ed0804-a2fc-4b7a-90d1-5f3434453dc6','a:1:{i:0;s:59:\"core.entity_view_display.component_item.grid.grid_img_title\";}'),('config.entity.key_store.entity_view_display','uuid:569366c0-7e14-4bf6-be08-8ffee6b10101','a:1:{i:0;s:45:\"core.entity_view_display.node.article.default\";}'),('config.entity.key_store.entity_view_display','uuid:575ea95f-40a8-4e92-9d23-e7e7ce3de280','a:1:{i:0;s:61:\"core.entity_view_display.component_item.counter.counter_image\";}'),('config.entity.key_store.entity_view_display','uuid:595d84b8-78d5-46b1-855d-93f466a736b9','a:1:{i:0;s:57:\"core.entity_view_display.node.simplenews_issue.email_html\";}'),('config.entity.key_store.entity_view_display','uuid:5ae654bd-af44-4500-a17b-e5f304c31fd0','a:1:{i:0;s:61:\"core.entity_view_display.component_item.topic_summary.default\";}'),('config.entity.key_store.entity_view_display','uuid:63decd7d-36f0-4ea2-84fe-3812bba27b79','a:1:{i:0;s:62:\"core.entity_view_display.component_item.classified_ads.default\";}'),('config.entity.key_store.entity_view_display','uuid:6b79ae30-da76-4708-87ba-962c36868791','a:1:{i:0;s:65:\"core.entity_view_display.component_item.sidebar_link_text.default\";}'),('config.entity.key_store.entity_view_display','uuid:6f1cceb2-2c6d-484c-aa58-d5bad8e4280b','a:1:{i:0;s:66:\"core.entity_view_display.component_item.slideshow_flexible.default\";}'),('config.entity.key_store.entity_view_display','uuid:72e95bd7-fda6-491d-a58d-46c54ec3f2c2','a:1:{i:0;s:63:\"core.entity_view_display.component_item.sidebar_summary.default\";}'),('config.entity.key_store.entity_view_display','uuid:75d94690-0be8-4fa0-b368-614708519304','a:1:{i:0;s:61:\"core.entity_view_display.component_item.grid_carousel.default\";}'),('config.entity.key_store.entity_view_display','uuid:77806ce8-c463-4a9f-8d3e-620e917d6c85','a:1:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";}'),('config.entity.key_store.entity_view_display','uuid:798b63e4-815d-4977-9b01-2765fed2d110','a:1:{i:0;s:77:\"core.entity_view_display.component_item.sidebar_summary.sidebar_summary_topic\";}'),('config.entity.key_store.entity_view_display','uuid:7bf66b10-29e1-482e-8e8b-8316d186694f','a:1:{i:0;s:56:\"core.entity_view_display.component_item.carousel.default\";}'),('config.entity.key_store.entity_view_display','uuid:86bb9c4f-8c6c-4bf1-a286-d61ed7f985d3','a:1:{i:0;s:68:\"core.entity_view_display.component_item.carousel.carousel_date_first\";}'),('config.entity.key_store.entity_view_display','uuid:8bac94b6-c6d0-4607-ba51-81eade34df64','a:1:{i:0;s:54:\"core.entity_view_display.comment.comment_forum.default\";}'),('config.entity.key_store.entity_view_display','uuid:8c320c82-fe1b-4d07-aea7-fee5b606d462','a:1:{i:0;s:57:\"core.entity_view_display.component_item.slideshow.default\";}'),('config.entity.key_store.entity_view_display','uuid:8d006061-0d60-4c14-8ab0-7c214e667610','a:1:{i:0;s:68:\"core.entity_view_display.component_wrapper.component_wrapper.default\";}'),('config.entity.key_store.entity_view_display','uuid:93520e95-5e10-4e2e-88fc-e71bc02edcf7','a:1:{i:0;s:63:\"core.entity_view_display.component_item.sidebar_service.default\";}'),('config.entity.key_store.entity_view_display','uuid:948242ca-3bdf-4a29-921c-28412159c725','a:1:{i:0;s:57:\"core.entity_view_display.taxonomy_term.categories.default\";}'),('config.entity.key_store.entity_view_display','uuid:9933598d-9491-4580-936e-c934c7b0e328','a:1:{i:0;s:58:\"core.entity_view_display.component_item.push_video.default\";}'),('config.entity.key_store.entity_view_display','uuid:9f23ddde-41ea-404c-968e-6384ad9f33a5','a:1:{i:0;s:82:\"core.entity_view_display.component_item.sidebar_summary.sidebar_summary_full_image\";}'),('config.entity.key_store.entity_view_display','uuid:a0ace7d0-0871-4675-b700-f8815446661c','a:1:{i:0;s:41:\"core.entity_view_display.node.blog.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:a619896d-8350-4845-9fd2-e68830646d78','a:1:{i:0;s:61:\"core.entity_view_display.component_item.statistic_bar.default\";}'),('config.entity.key_store.entity_view_display','uuid:a65b88b5-0add-4597-a608-8bc9e00c9427','a:1:{i:0;s:41:\"core.entity_view_display.node.article.rss\";}'),('config.entity.key_store.entity_view_display','uuid:a836de9a-6d1f-4ed7-8600-fbc2b09286c1','a:1:{i:0;s:58:\"core.entity_view_display.node.simplenews_issue.email_plain\";}'),('config.entity.key_store.entity_view_display','uuid:a8e14365-dc63-4237-b5a4-21d495b48c7c','a:1:{i:0;s:53:\"core.entity_view_display.component_item.quote.default\";}'),('config.entity.key_store.entity_view_display','uuid:ae659547-e56c-4306-9b3d-ccdf8a8bc0e5','a:1:{i:0;s:70:\"core.entity_view_display.component_item.statistic_bar_progress.default\";}'),('config.entity.key_store.entity_view_display','uuid:b08f2d54-9bda-482b-a831-c837477e5849','a:1:{i:0;s:55:\"core.entity_view_display.component_item.counter.default\";}'),('config.entity.key_store.entity_view_display','uuid:b1c85b89-3efa-4232-ac06-3e4cdf19055e','a:1:{i:0;s:56:\"core.entity_view_display.component_item.timeline.default\";}'),('config.entity.key_store.entity_view_display','uuid:b749666c-ec01-452e-95ff-a22785796e33','a:1:{i:0;s:52:\"core.entity_view_display.component_item.grid.default\";}'),('config.entity.key_store.entity_view_display','uuid:b7e64ed7-f748-4784-8f1d-b3bcdbbb57d8','a:1:{i:0;s:57:\"core.entity_view_display.component_item.accordion.default\";}'),('config.entity.key_store.entity_view_display','uuid:bff896f5-29b5-471e-8076-75c96f80ae61','a:1:{i:0;s:59:\"core.entity_view_display.component_item.banner_grid.default\";}'),('config.entity.key_store.entity_view_display','uuid:c5d6ac02-08b0-4048-b806-06ff8281d079','a:1:{i:0;s:42:\"core.entity_view_display.node.page.default\";}'),('config.entity.key_store.entity_view_display','uuid:cf27b83c-cbf9-4d77-ae88-8d02c79f7498','a:1:{i:0;s:63:\"core.entity_view_display.component_item.article_summary.default\";}'),('config.entity.key_store.entity_view_display','uuid:d431ab2b-0026-427e-98d6-b4366304188a','a:1:{i:0;s:83:\"core.entity_view_display.component_item.article_summary.article_summary_two_columns\";}'),('config.entity.key_store.entity_view_display','uuid:d465afda-43a6-400e-9e52-93db237e14a3','a:1:{i:0;s:78:\"core.entity_view_display.component_item.topic_summary.topic_summary_image_link\";}'),('config.entity.key_store.entity_view_display','uuid:d9aef7e1-95f3-44ad-9549-737aa85a7f64','a:1:{i:0;s:53:\"core.entity_view_display.taxonomy_term.forums.default\";}'),('config.entity.key_store.entity_view_display','uuid:dc781a2d-5878-42e6-bc6f-7f218504a014','a:1:{i:0;s:73:\"core.entity_view_display.component_item.topic_summary.topic_summary_image\";}'),('config.entity.key_store.entity_view_display','uuid:e4aa7662-46ec-4dc2-90a6-e249c9bf4f4e','a:1:{i:0;s:63:\"core.entity_view_display.component_item.basic_component.default\";}'),('config.entity.key_store.entity_view_display','uuid:e7902d38-b13e-4975-9118-7d9c2ec8e93b','a:1:{i:0;s:60:\"core.entity_view_display.component_item.table_column.default\";}'),('config.entity.key_store.entity_view_display','uuid:ec9e7b85-474a-44b9-9100-f7dcebc8e383','a:1:{i:0;s:42:\"core.entity_view_display.user.user.compact\";}'),('config.entity.key_store.entity_view_display','uuid:ed35e38e-1407-41cc-90ef-e19551b6995b','a:1:{i:0;s:61:\"core.entity_view_display.component_item.timeline_item.default\";}'),('config.entity.key_store.entity_view_display','uuid:f1b2c00b-e785-492e-9a25-37df190b0f6d','a:1:{i:0;s:44:\"core.entity_view_display.node.article.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:f2c0e230-d31b-4c3b-b295-0ea34508e57b','a:1:{i:0;s:82:\"core.entity_view_display.component_item.article_summary.article_summary_full_image\";}'),('config.entity.key_store.entity_view_display','uuid:f570f332-067f-4489-9c05-eb5540958d0c','a:1:{i:0;s:78:\"core.entity_view_display.component_item.article_summary.article_summary_normal\";}'),('config.entity.key_store.entity_view_display','uuid:f70872d6-90e0-40f4-8ce8-beb0536f6c9a','a:1:{i:0;s:52:\"core.entity_view_display.component_item.card.default\";}'),('config.entity.key_store.entity_view_display','uuid:facbbf22-1c63-4fa6-a558-886fa3a52d77','a:1:{i:0;s:45:\"core.entity_view_display.node.showcase.teaser\";}'),('config.entity.key_store.entity_view_mode','uuid:08867722-0da8-443e-b700-de00bb10a3eb','a:1:{i:0;s:34:\"core.entity_view_mode.user.compact\";}'),('config.entity.key_store.entity_view_mode','uuid:1f262ce9-fb55-4cd6-b99d-d30c06870ca5','a:1:{i:0;s:64:\"core.entity_view_mode.component_item.article_summary_two_columns\";}'),('config.entity.key_store.entity_view_mode','uuid:280aa554-b799-47da-826b-f9df327486d8','a:1:{i:0;s:59:\"core.entity_view_mode.component_item.article_summary_normal\";}'),('config.entity.key_store.entity_view_mode','uuid:283d429b-e8ae-4027-8aaa-1439c745b7de','a:1:{i:0;s:36:\"core.entity_view_mode.shortcut.token\";}'),('config.entity.key_store.entity_view_mode','uuid:2c6962cd-f960-4e0c-9031-53eb2f734d7d','a:1:{i:0;s:56:\"core.entity_view_mode.component_item.carousel_date_first\";}'),('config.entity.key_store.entity_view_mode','uuid:318f777d-d05b-4abc-9901-1f1183554c94','a:1:{i:0;s:38:\"core.entity_view_mode.node.email_plain\";}'),('config.entity.key_store.entity_view_mode','uuid:33d0fa7e-5f11-485d-85a6-c520294abb24','a:1:{i:0;s:35:\"core.entity_view_mode.comment.token\";}'),('config.entity.key_store.entity_view_mode','uuid:41713730-7912-4075-9d00-eff5a5b1e0dd','a:1:{i:0;s:34:\"core.entity_view_mode.comment.full\";}'),('config.entity.key_store.entity_view_mode','uuid:5a9b045f-4d24-4d86-bdb8-a876793ce046','a:1:{i:0;s:55:\"core.entity_view_mode.component_item.grid_quick_summary\";}'),('config.entity.key_store.entity_view_mode','uuid:638c3c2a-aa4e-4794-9d08-afde18e2b6c8','a:1:{i:0;s:50:\"core.entity_view_mode.component_item.counter_image\";}'),('config.entity.key_store.entity_view_mode','uuid:65449363-5a3b-4822-88fd-c6c6aa8b0ad9','a:1:{i:0;s:45:\"core.entity_view_mode.menu_link_content.token\";}'),('config.entity.key_store.entity_view_mode','uuid:66d1a4bf-76b3-42bd-8505-5de720860109','a:1:{i:0;s:40:\"core.entity_view_mode.node.search_result\";}'),('config.entity.key_store.entity_view_mode','uuid:7277af58-0eab-4870-8700-df5445bff20b','a:1:{i:0;s:31:\"core.entity_view_mode.user.full\";}'),('config.entity.key_store.entity_view_mode','uuid:74075fef-a175-4ba9-ba14-65d64dac3338','a:1:{i:0;s:51:\"core.entity_view_mode.component_item.grid_img_title\";}'),('config.entity.key_store.entity_view_mode','uuid:74a91f37-4120-47a1-b007-7a133903650c','a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}'),('config.entity.key_store.entity_view_mode','uuid:7ae9ec11-dda4-4b8c-8100-eacab1da715e','a:1:{i:0;s:40:\"core.entity_view_mode.taxonomy_term.full\";}'),('config.entity.key_store.entity_view_mode','uuid:85e82463-e281-487b-835b-856747d8c649','a:1:{i:0;s:43:\"core.entity_view_mode.contact_message.token\";}'),('config.entity.key_store.entity_view_mode','uuid:944d0e5c-6d12-47ce-86a2-16ef7f5ccda7','a:1:{i:0;s:61:\"core.entity_view_mode.component_item.topic_summary_image_link\";}'),('config.entity.key_store.entity_view_mode','uuid:9a12e10a-1413-4cea-af0a-58e8cb480a8f','a:1:{i:0;s:41:\"core.entity_view_mode.block_content.token\";}'),('config.entity.key_store.entity_view_mode','uuid:a5d155be-fe65-453d-8373-8d650eedf9d7','a:1:{i:0;s:41:\"core.entity_view_mode.taxonomy_term.token\";}'),('config.entity.key_store.entity_view_mode','uuid:a8dba3ec-a79e-4f6e-a608-08316f0fe485','a:1:{i:0;s:30:\"core.entity_view_mode.node.rss\";}'),('config.entity.key_store.entity_view_mode','uuid:b17c8897-9a94-4065-8bfe-479f55c86914','a:1:{i:0;s:32:\"core.entity_view_mode.user.token\";}'),('config.entity.key_store.entity_view_mode','uuid:b1a19068-9f79-4510-9cdf-1e389c5faeab','a:1:{i:0;s:63:\"core.entity_view_mode.component_item.article_summary_full_image\";}'),('config.entity.key_store.entity_view_mode','uuid:b8fd7ec8-2110-4d97-9c00-d5e42ab475be','a:1:{i:0;s:40:\"core.entity_view_mode.block_content.full\";}'),('config.entity.key_store.entity_view_mode','uuid:bc5dfe03-2aa2-4e9b-b525-719778200634','a:1:{i:0;s:56:\"core.entity_view_mode.component_item.topic_summary_image\";}'),('config.entity.key_store.entity_view_mode','uuid:c0236bae-50be-4e6b-b786-28c2e9ed990c','a:1:{i:0;s:58:\"core.entity_view_mode.component_item.sidebar_summary_topic\";}'),('config.entity.key_store.entity_view_mode','uuid:c48c5198-8f46-4597-9502-ca86d0fd597f','a:1:{i:0;s:49:\"core.entity_view_mode.simplenews_subscriber.token\";}'),('config.entity.key_store.entity_view_mode','uuid:c4bdd828-f2ae-4192-a4a1-45f1744dff62','a:1:{i:0;s:32:\"core.entity_view_mode.node.token\";}'),('config.entity.key_store.entity_view_mode','uuid:ce0fb2a0-4789-4437-b56d-49c1621f7826','a:1:{i:0;s:52:\"core.entity_view_mode.component_item.grid_image_link\";}'),('config.entity.key_store.entity_view_mode','uuid:d08bc3ac-7023-4ae6-b291-e6d0b53a0d11','a:1:{i:0;s:33:\"core.entity_view_mode.block.token\";}'),('config.entity.key_store.entity_view_mode','uuid:d9150202-73c3-44c0-9d01-1c84ffc8097b','a:1:{i:0;s:37:\"core.entity_view_mode.node.email_html\";}'),('config.entity.key_store.entity_view_mode','uuid:e1b8e244-747d-4263-9575-dc298e2af0ac','a:1:{i:0;s:32:\"core.entity_view_mode.file.token\";}'),('config.entity.key_store.entity_view_mode','uuid:e6fd5ef2-d56e-4ecf-8028-35251f2e98be','a:1:{i:0;s:63:\"core.entity_view_mode.component_item.sidebar_summary_full_image\";}'),('config.entity.key_store.entity_view_mode','uuid:eac8c1d6-42f4-4718-bb94-c79180cec0db','a:1:{i:0;s:32:\"core.entity_view_mode.tour.token\";}'),('config.entity.key_store.entity_view_mode','uuid:f728ff87-971f-4dd8-9c00-d631b9ba531f','a:1:{i:0;s:39:\"core.entity_view_mode.node.search_index\";}'),('config.entity.key_store.entity_view_mode','uuid:f96bdb6f-7c21-46a2-a900-cf4426740b0f','a:1:{i:0;s:31:\"core.entity_view_mode.node.full\";}'),('config.entity.key_store.field_config','uuid:0294f4ae-4d39-4656-b1b9-0aeeb4953189','a:1:{i:0;s:63:\"field.field.component_wrapper.component_wrapper.field_slideshow\";}'),('config.entity.key_store.field_config','uuid:031fda1e-8f14-4a34-bece-465b3b675fa9','a:1:{i:0;s:57:\"field.field.component_item.article_summary.field_as_image\";}'),('config.entity.key_store.field_config','uuid:03c9d9fd-a9b1-492b-add9-244e063cbdbf','a:1:{i:0;s:69:\"field.field.component_wrapper.component_wrapper.field_divider_section\";}'),('config.entity.key_store.field_config','uuid:07971b02-ae3e-48c7-abfe-885e59ab10e0','a:1:{i:0;s:61:\"field.field.component_item.grid_carousel.field_gc_description\";}'),('config.entity.key_store.field_config','uuid:08844cc0-6a2f-4094-b36c-56efdc5a0953','a:1:{i:0;s:67:\"field.field.component_wrapper.component_wrapper.field_statistic_bar\";}'),('config.entity.key_store.field_config','uuid:0885a232-7240-4d22-bf8d-806a28703f60','a:1:{i:0;s:50:\"field.field.component_item.slideshow.field_summary\";}'),('config.entity.key_store.field_config','uuid:0a879957-c9fb-4c67-953a-6aca1ce3e57f','a:1:{i:0;s:57:\"field.field.component_item.summary_information.field_link\";}'),('config.entity.key_store.field_config','uuid:0d0daa6e-259a-40af-a041-fb136b15f77b','a:1:{i:0;s:59:\"field.field.component_wrapper.component_wrapper.field_quote\";}'),('config.entity.key_store.field_config','uuid:125abdc5-4ba1-4f88-8040-9dc75cb40c47','a:1:{i:0;s:56:\"field.field.component_item.related_content.field_rc_link\";}'),('config.entity.key_store.field_config','uuid:128a0472-c2f3-4570-8300-af64f9c4c845','a:1:{i:0;s:36:\"field.field.node.blog.field_category\";}'),('config.entity.key_store.field_config','uuid:134b149b-f4d3-4238-88b4-586000eeb7e0','a:1:{i:0;s:55:\"field.field.component_item.grid_carousel.field_gc_image\";}'),('config.entity.key_store.field_config','uuid:175f19de-afb4-4ccf-8954-84b612ee41a0','a:1:{i:0;s:46:\"field.field.comment.comment_forum.comment_body\";}'),('config.entity.key_store.field_config','uuid:1a376216-840b-4259-81e0-5fee12b65271','a:1:{i:0;s:68:\"field.field.component_item.statistic_bar.field_content_statistic_bar\";}'),('config.entity.key_store.field_config','uuid:1cad4593-7829-457d-b8fc-94831dceafca','a:1:{i:0;s:38:\"field.field.node.page.field_components\";}'),('config.entity.key_store.field_config','uuid:1f511d0f-deec-4ca0-bba3-110160fa629e','a:1:{i:0;s:52:\"field.field.component_item.table.field_table_columns\";}'),('config.entity.key_store.field_config','uuid:1f764215-a26e-4f71-8146-982e806147ef','a:1:{i:0;s:55:\"field.field.component_item.timeline_item.field_ti_image\";}'),('config.entity.key_store.field_config','uuid:20897d83-056d-4349-a668-d9219afa5bd6','a:1:{i:0;s:69:\"field.field.component_wrapper.component_wrapper.field_article_summary\";}'),('config.entity.key_store.field_config','uuid:2e2c4aa1-d944-43b5-b680-6547a79bc9ad','a:1:{i:0;s:52:\"field.field.component_item.topic_summary.field_image\";}'),('config.entity.key_store.field_config','uuid:2f8406c0-a35f-4800-b617-7a6e3e1d8d4c','a:1:{i:0;s:75:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_date\";}'),('config.entity.key_store.field_config','uuid:305fe6c2-6d8a-4fa0-b4d7-0befa1ec4be9','a:1:{i:0;s:69:\"field.field.component_item.statistic_bar.field_statistic_bar_progress\";}'),('config.entity.key_store.field_config','uuid:31b5a894-b004-42bf-9e00-afc9fdbc9325','a:1:{i:0;s:33:\"field.field.node.blog.field_image\";}'),('config.entity.key_store.field_config','uuid:3345b37d-4ba6-4923-8213-2d918da1e60e','a:1:{i:0;s:66:\"field.field.component_item.service_block.field_service_block_image\";}'),('config.entity.key_store.field_config','uuid:34a739af-93e2-4642-aa25-d8a50f20ecbd','a:1:{i:0;s:54:\"field.field.component_item.grid_carousel.field_gc_link\";}'),('config.entity.key_store.field_config','uuid:366e1c83-9803-4d2d-a23d-0d84ef3154e2','a:1:{i:0;s:69:\"field.field.component_item.sidebar_service.field_sidebar_service_link\";}'),('config.entity.key_store.field_config','uuid:3954f698-32a9-4b9d-9b4b-75c1738baf02','a:1:{i:0;s:32:\"field.field.node.blog.field_tags\";}'),('config.entity.key_store.field_config','uuid:409eacfd-8de0-4c5c-bcb5-a8dfffa92aa9','a:1:{i:0;s:52:\"field.field.component_item.push_image.field_pi_image\";}'),('config.entity.key_store.field_config','uuid:43f3ac7e-c141-45f6-9899-f1c0adeec15e','a:1:{i:0;s:62:\"field.field.component_item.quote.field_quote_description_infor\";}'),('config.entity.key_store.field_config','uuid:44a85cb2-1969-4a67-8d4a-4bedd43dd1db','a:1:{i:0;s:68:\"field.field.component_item.testimonial.field_description_information\";}'),('config.entity.key_store.field_config','uuid:44c0f87b-a3b7-4b62-b06d-a5f18ad409c6','a:1:{i:0;s:56:\"field.field.component_item.article_summary.field_as_link\";}'),('config.entity.key_store.field_config','uuid:4603901e-0414-47af-aad3-b9c9eac59560','a:1:{i:0;s:53:\"field.field.component_item.carousel.field_description\";}'),('config.entity.key_store.field_config','uuid:4829cbf8-87eb-4078-8616-d8e7546afc55','a:1:{i:0;s:57:\"field.field.component_item.summary_information.field_body\";}'),('config.entity.key_store.field_config','uuid:484d0718-9e05-4d9c-a64c-76c7dc2c696b','a:1:{i:0;s:37:\"field.field.node.showcase.field_image\";}'),('config.entity.key_store.field_config','uuid:490ce3bf-ac09-43bc-b813-046cd3494015','a:1:{i:0;s:54:\"field.field.component_item.timeline_item.field_ti_body\";}'),('config.entity.key_store.field_config','uuid:4d91aad3-c058-48c4-b102-807029cb3d2b','a:1:{i:0;s:75:\"field.field.component_wrapper.component_wrapper.field_horizontal_push_image\";}'),('config.entity.key_store.field_config','uuid:500d2803-1135-4ec5-8205-fa12e3813bc8','a:1:{i:0;s:58:\"field.field.component_item.push_video.field_pv_embed_video\";}'),('config.entity.key_store.field_config','uuid:50827e37-bfc4-47d1-b7ae-7c148441486b','a:1:{i:0;s:55:\"field.field.component_item.counter.field_counter_number\";}'),('config.entity.key_store.field_config','uuid:528f7530-c05f-4abc-8732-bb7efabe051d','a:1:{i:0;s:70:\"field.field.component_item.sidebar_summary.field_sidebar_summary_image\";}'),('config.entity.key_store.field_config','uuid:53ce8332-1ca3-4310-9b5d-93b0252605a5','a:1:{i:0;s:26:\"field.field.node.blog.body\";}'),('config.entity.key_store.field_config','uuid:545ca725-1fad-4203-adbd-82ecd8ac1f33','a:1:{i:0;s:54:\"field.field.component_item.basic_component.field_image\";}'),('config.entity.key_store.field_config','uuid:56283212-822a-4cd6-93d2-7afd61fb99cc','a:1:{i:0;s:51:\"field.field.component_item.push_image.field_pi_link\";}'),('config.entity.key_store.field_config','uuid:583aa356-4b6b-4c64-8449-c0716fadee72','a:1:{i:0;s:46:\"field.field.component_item.carousel.field_link\";}'),('config.entity.key_store.field_config','uuid:5b518c85-812a-428c-aa75-d8765c84147d','a:1:{i:0;s:47:\"field.field.component_item.accordion.field_body\";}'),('config.entity.key_store.field_config','uuid:5b7eccda-16de-4f6f-8bfc-350f48bc4660','a:1:{i:0;s:72:\"field.field.component_item.service_block.field_service_block_description\";}'),('config.entity.key_store.field_config','uuid:5b94f4ea-3a21-4806-9d8e-f140844159f7','a:1:{i:0;s:69:\"field.field.component_wrapper.component_wrapper.field_sidebar_service\";}'),('config.entity.key_store.field_config','uuid:5fa69835-ebba-48ef-a8bf-fbb33f5dbad2','a:1:{i:0;s:70:\"field.field.component_item.sidebar_service.field_sidebar_service_image\";}'),('config.entity.key_store.field_config','uuid:611418e9-9dce-485b-8256-86d21d0c4613','a:1:{i:0;s:48:\"field.field.taxonomy_term.categories.field_image\";}'),('config.entity.key_store.field_config','uuid:66b92265-3ee7-433e-989e-57e2d38a41ef','a:1:{i:0;s:51:\"field.field.component_item.push_video.field_pv_body\";}'),('config.entity.key_store.field_config','uuid:67c46481-1799-40ab-82d2-0067cc89019d','a:1:{i:0;s:56:\"field.field.component_item.related_content.field_rc_body\";}'),('config.entity.key_store.field_config','uuid:6c1b6a4a-b4c7-4cd3-800e-378e1dc4dfe8','a:1:{i:0;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_link\";}'),('config.entity.key_store.field_config','uuid:6ccf97b6-5330-4b84-a7a4-808d4f412686','a:1:{i:0;s:68:\"field.field.component_item.classified_ads.field_classified_ads_image\";}'),('config.entity.key_store.field_config','uuid:6d7bea4a-4cf4-4ad3-ae08-085ac6e11ba7','a:1:{i:0;s:36:\"field.field.block_content.basic.body\";}'),('config.entity.key_store.field_config','uuid:6f6a5092-173d-44d4-8c00-ee36fe1c8222','a:1:{i:0;s:48:\"field.field.taxonomy_term.forums.forum_container\";}'),('config.entity.key_store.field_config','uuid:6f8f0e47-4948-4afe-8aba-14137aff3130','a:1:{i:0;s:49:\"field.field.component_item.timeline.field_ti_left\";}'),('config.entity.key_store.field_config','uuid:6fbcfec1-73ac-4134-9e9e-c7d5e8839d84','a:1:{i:0;s:53:\"field.field.component_item.basic_component.field_link\";}'),('config.entity.key_store.field_config','uuid:70372816-0d66-4ae8-822b-4333d0c1892c','a:1:{i:0;s:32:\"field.field.node.article.comment\";}'),('config.entity.key_store.field_config','uuid:7059a0a7-8247-4039-a843-b88afe49c644','a:1:{i:0;s:55:\"field.field.component_item.timeline_item.field_ti_video\";}'),('config.entity.key_store.field_config','uuid:71b9cce2-5b1e-49a6-8809-dca54c4974d9','a:1:{i:0;s:59:\"field.field.component_item.horizontal_push_image.field_link\";}'),('config.entity.key_store.field_config','uuid:722e329f-c704-4523-8c8b-35ab48cf9ed3','a:1:{i:0;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_desc\";}'),('config.entity.key_store.field_config','uuid:72682ded-d647-4cfa-aad9-1cc034eafe3d','a:1:{i:0;s:57:\"field.field.component_item.related_content.field_rc_image\";}'),('config.entity.key_store.field_config','uuid:78d8bf3d-97a1-4fd0-abf4-024331e831ca','a:1:{i:0;s:70:\"field.field.component_item.divider_section.field_divider_section_color\";}'),('config.entity.key_store.field_config','uuid:7968d05f-ebae-42d9-8f94-6155749b8470','a:1:{i:0;s:51:\"field.field.component_item.topic_summary.field_link\";}'),('config.entity.key_store.field_config','uuid:796f1371-9d91-4533-96c5-b810ab9d0a93','a:1:{i:0;s:69:\"field.field.component_wrapper.component_wrapper.field_related_content\";}'),('config.entity.key_store.field_config','uuid:7a4455a5-833a-4144-8738-5643cc061dc1','a:1:{i:0;s:35:\"field.field.node.article.field_tags\";}'),('config.entity.key_store.field_config','uuid:7ac0294b-334f-4134-8eb2-a140be7e80ef','a:1:{i:0;s:54:\"field.field.component_item.push_video.field_pv_display\";}'),('config.entity.key_store.field_config','uuid:7bb438c2-33c3-4eec-a9c9-d7d430425ab4','a:1:{i:0;s:63:\"field.field.component_item.article_summary.field_as_description\";}'),('config.entity.key_store.field_config','uuid:7f391b98-0b14-4ba6-a08c-b6576b888fa6','a:1:{i:0;s:73:\"field.field.component_item.sidebar_link_text.field_sidebar_link_text_desc\";}'),('config.entity.key_store.field_config','uuid:7f9a9ff4-b412-4a16-8c02-2bf47b0a4ceb','a:1:{i:0;s:38:\"field.field.node.simplenews_issue.body\";}'),('config.entity.key_store.field_config','uuid:7fb4f443-67fb-437e-89a9-e4f109cd1ddb','a:1:{i:0;s:62:\"field.field.component_wrapper.component_wrapper.field_carousel\";}'),('config.entity.key_store.field_config','uuid:803376bd-ebbd-4fc3-9035-90eee932ea58','a:1:{i:0;s:61:\"field.field.component_wrapper.component_wrapper.field_counter\";}'),('config.entity.key_store.field_config','uuid:8079b8bc-e0ee-43c4-b7d5-06bdf3f978c0','a:1:{i:0;s:44:\"field.field.component_item.quote.field_quote\";}'),('config.entity.key_store.field_config','uuid:811ae69c-e48b-4410-b3d1-d38dcd3e75e8','a:1:{i:0;s:73:\"field.field.component_item.article_summary.field_as_date_of_establishment\";}'),('config.entity.key_store.field_config','uuid:82602396-0f6a-46bc-a42a-678cd0d30c1e','a:1:{i:0;s:57:\"field.field.component_item.push_video.field_pv_video_file\";}'),('config.entity.key_store.field_config','uuid:8414aef7-f619-4a35-b86e-f73e98710dea','a:1:{i:0;s:73:\"field.field.component_wrapper.component_wrapper.field_summary_information\";}'),('config.entity.key_store.field_config','uuid:8431a214-169e-44e1-8dfd-47047ce229f2','a:1:{i:0;s:59:\"field.field.component_item.horizontal_push_image.field_body\";}'),('config.entity.key_store.field_config','uuid:86e1a0a4-620f-4f71-ae2c-cb96e554ab36','a:1:{i:0;s:50:\"field.field.component_item.timeline.field_ti_right\";}'),('config.entity.key_store.field_config','uuid:88ceed68-1ea2-495a-aea4-49aff3f5059d','a:1:{i:0;s:64:\"field.field.component_wrapper.component_wrapper.field_push_video\";}'),('config.entity.key_store.field_config','uuid:89fb6a9b-f582-4c03-a4ff-9c05c62b2b5a','a:1:{i:0;s:42:\"field.field.component_item.grid.field_icon\";}'),('config.entity.key_store.field_config','uuid:8a6f2343-f102-4fe4-b98e-2d4d9e519fe6','a:1:{i:0;s:59:\"field.field.component_wrapper.component_wrapper.field_table\";}'),('config.entity.key_store.field_config','uuid:8bd3bbd0-993d-46e7-81f1-405550334950','a:1:{i:0;s:54:\"field.field.component_item.timeline_item.field_ti_icon\";}'),('config.entity.key_store.field_config','uuid:9007ee5e-d27a-4c3c-9a47-187edea44167','a:1:{i:0;s:69:\"field.field.component_wrapper.component_wrapper.field_sidebar_summary\";}'),('config.entity.key_store.field_config','uuid:900f12e4-b1dc-427c-8ecb-6ffb236ce0de','a:1:{i:0;s:58:\"field.field.component_wrapper.component_wrapper.field_grid\";}'),('config.entity.key_store.field_config','uuid:90a56157-2fc7-4cf2-8b19-c0d72cf4bef1','a:1:{i:0;s:59:\"field.field.component_item.article_summary.field_as_address\";}'),('config.entity.key_store.field_config','uuid:90db2d28-ab79-4818-865c-db3c90a2bb9c','a:1:{i:0;s:67:\"field.field.component_item.classified_ads.field_classified_ads_text\";}'),('config.entity.key_store.field_config','uuid:92359c87-5df8-4fe0-b1fa-2adc9b13d976','a:1:{i:0;s:47:\"field.field.component_item.slideshow.field_link\";}'),('config.entity.key_store.field_config','uuid:94a74ed7-5328-4be2-8e9b-2a96319383a8','a:1:{i:0;s:54:\"field.field.component_item.grid_carousel.field_gc_date\";}'),('config.entity.key_store.field_config','uuid:99445da3-dda1-42f9-8d01-1ad860f82981','a:1:{i:0;s:34:\"field.field.user.user.user_picture\";}'),('config.entity.key_store.field_config','uuid:9a54bb10-95f6-4ed6-a3e3-1ab7f0fc53a8','a:1:{i:0;s:76:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_sdesc\";}'),('config.entity.key_store.field_config','uuid:9af29c65-1dd0-49ee-ac21-18eca0968cb0','a:1:{i:0;s:50:\"field.field.component_item.testimonial.field_image\";}'),('config.entity.key_store.field_config','uuid:9dc4fcf4-887e-4b93-9aba-f70c0b472650','a:1:{i:0;s:56:\"field.field.component_item.testimonial.field_information\";}'),('config.entity.key_store.field_config','uuid:9dc8be1d-b494-4b9d-aef4-4fa8b279515b','a:1:{i:0;s:67:\"field.field.component_wrapper.component_wrapper.field_topic_summary\";}'),('config.entity.key_store.field_config','uuid:9e09d1d8-6627-4def-a0c5-90a46ff8a386','a:1:{i:0;s:69:\"field.field.component_item.sidebar_summary.field_sidebar_summary_date\";}'),('config.entity.key_store.field_config','uuid:9f043259-aefa-49ea-bd58-2fe6b087a1a5','a:1:{i:0;s:75:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_link\";}'),('config.entity.key_store.field_config','uuid:9f1b6040-3670-4082-8156-7c784522547c','a:1:{i:0;s:67:\"field.field.component_wrapper.component_wrapper.field_service_block\";}'),('config.entity.key_store.field_config','uuid:a0c92fbf-9ff6-4abd-9249-f3407c94edd0','a:1:{i:0;s:51:\"field.field.component_item.slideshow.field_captions\";}'),('config.entity.key_store.field_config','uuid:a1af3509-803c-463b-9c55-56c6d33a6e7d','a:1:{i:0;s:69:\"field.field.component_wrapper.component_wrapper.field_basic_component\";}'),('config.entity.key_store.field_config','uuid:a64dbfc8-8e2c-454c-8f25-600224195526','a:1:{i:0;s:42:\"field.field.component_item.grid.field_body\";}'),('config.entity.key_store.field_config','uuid:a6d9582e-3b34-486a-b230-71e68af7ae8e','a:1:{i:0;s:75:\"field.field.component_item.sidebar_summary.field_sidebar_summary_created_by\";}'),('config.entity.key_store.field_config','uuid:a78b9f53-18e6-4cad-9562-98b84b7edf83','a:1:{i:0;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";}'),('config.entity.key_store.field_config','uuid:a8c22fc8-e675-4526-b9b0-aa916c288233','a:1:{i:0;s:65:\"field.field.component_wrapper.component_wrapper.field_banner_grid\";}'),('config.entity.key_store.field_config','uuid:aa8b077c-c5e3-4209-9cb2-1219768a326a','a:1:{i:0;s:56:\"field.field.component_item.banner_grid.field_large_image\";}'),('config.entity.key_store.field_config','uuid:ad2529e5-cc42-4ca2-a461-ab106766555a','a:1:{i:0;s:51:\"field.field.component_item.push_image.field_pi_body\";}'),('config.entity.key_store.field_config','uuid:af564e5a-c7af-4efa-ad94-cca1ea57f060','a:1:{i:0;s:58:\"field.field.component_item.summary_information.field_image\";}'),('config.entity.key_store.field_config','uuid:afced62b-87fe-4724-ae32-61b42b394b05','a:1:{i:0;s:60:\"field.field.component_item.slideshow.field_mobile_hero_image\";}'),('config.entity.key_store.field_config','uuid:b1c3cc17-6bcc-4506-a919-3845c2c09a8e','a:1:{i:0;s:63:\"field.field.component_item.statistic_bar_progress.field_process\";}'),('config.entity.key_store.field_config','uuid:b646dfb7-75d9-4fe8-8dcd-788427e358ec','a:1:{i:0;s:72:\"field.field.component_wrapper.component_wrapper.field_slideshow_flexible\";}'),('config.entity.key_store.field_config','uuid:b7f7d177-b66f-4edb-930c-f8e82811f0e3','a:1:{i:0;s:50:\"field.field.component_item.testimonial.field_quote\";}'),('config.entity.key_store.field_config','uuid:bbd2614e-4d21-4c72-8d05-056b3958c54f','a:1:{i:0;s:40:\"field.field.comment.comment.comment_body\";}'),('config.entity.key_store.field_config','uuid:bd24febe-9264-4851-9ef9-63cae5d35a0f','a:1:{i:0;s:46:\"field.field.component_item.carousel.field_date\";}'),('config.entity.key_store.field_config','uuid:bdc8039f-bd7e-428a-9b18-1ce564985b7a','a:1:{i:0;s:66:\"field.field.component_item.service_block.field_service_block_color\";}'),('config.entity.key_store.field_config','uuid:bf5e65c9-10a6-41c6-a24d-770b446ce18e','a:1:{i:0;s:29:\"field.field.node.blog.comment\";}'),('config.entity.key_store.field_config','uuid:c1317ab4-3244-44ec-950f-d1bffab31bed','a:1:{i:0;s:47:\"field.field.component_item.card.field_card_icon\";}'),('config.entity.key_store.field_config','uuid:c243618d-bbb5-4a6d-824e-2c0281a9c8d7','a:1:{i:0;s:56:\"field.field.component_item.banner_grid.field_small_image\";}'),('config.entity.key_store.field_config','uuid:c9061880-d3f1-4050-87dd-7f48d8506732','a:1:{i:0;s:47:\"field.field.component_item.grid.field_grid_date\";}'),('config.entity.key_store.field_config','uuid:c96b07ff-85fd-4109-84e4-848d825b98e8','a:1:{i:0;s:47:\"field.field.component_item.card.field_card_body\";}'),('config.entity.key_store.field_config','uuid:ca6b2516-8fe8-4b05-8431-19f0edaf1945','a:1:{i:0;s:42:\"field.field.component_item.grid.field_link\";}'),('config.entity.key_store.field_config','uuid:cad45963-8947-4848-8e02-2dc33ce100c4','a:1:{i:0;s:36:\"field.field.node.showcase.field_link\";}'),('config.entity.key_store.field_config','uuid:cda77c44-d473-4ae3-8374-281bbf572936','a:1:{i:0;s:64:\"field.field.component_item.horizontal_push_image.field_hpi_image\";}'),('config.entity.key_store.field_config','uuid:ce67dfc7-01a4-4a6e-8ee2-f335600eb630','a:1:{i:0;s:54:\"field.field.component_item.counter.field_counter_image\";}'),('config.entity.key_store.field_config','uuid:d131f3ce-eefe-45b0-bf45-c39f4d159d0a','a:1:{i:0;s:65:\"field.field.component_item.article_summary.field_as_opening_hours\";}'),('config.entity.key_store.field_config','uuid:d177849b-3e79-4ed8-a800-bdd89dcb3399','a:1:{i:0;s:38:\"field.field.node.blog.field_video_link\";}'),('config.entity.key_store.field_config','uuid:d1e3a735-cc39-44ff-a897-30404677c626','a:1:{i:0;s:51:\"field.field.component_item.push_video.field_pv_link\";}'),('config.entity.key_store.field_config','uuid:d3ce4a97-a7de-4731-a12e-7b49e79810f7','a:1:{i:0;s:47:\"field.field.component_item.card.field_card_link\";}'),('config.entity.key_store.field_config','uuid:d41b73a0-9ee8-4048-a31c-6a4bbcffe884','a:1:{i:0;s:68:\"field.field.component_item.sidebar_link_text.field_sidebar_link_text\";}'),('config.entity.key_store.field_config','uuid:d42ecfb1-7655-479e-a008-082da024aed7','a:1:{i:0;s:29:\"field.field.node.article.body\";}'),('config.entity.key_store.field_config','uuid:d7122fc3-1ba8-4ee0-a10a-3ecf4990475e','a:1:{i:0;s:51:\"field.field.component_item.table_column.field_cells\";}'),('config.entity.key_store.field_config','uuid:d754ba72-4c04-4235-bbf2-e7a2b70676a9','a:1:{i:0;s:56:\"field.field.component_item.quote.field_quote_information\";}'),('config.entity.key_store.field_config','uuid:d820fb67-2376-427c-840c-97accc98da48','a:1:{i:0;s:65:\"field.field.component_item.statistic_bar_progress.field_sbp_color\";}'),('config.entity.key_store.field_config','uuid:d823109f-6671-4606-8ee3-6c211196a6fc','a:1:{i:0;s:47:\"field.field.component_item.carousel.field_image\";}'),('config.entity.key_store.field_config','uuid:d855e280-a181-4352-b100-eafa64b4e891','a:1:{i:0;s:27:\"field.field.node.forum.body\";}'),('config.entity.key_store.field_config','uuid:d9afaf0a-6440-4c54-8769-21d482317d2c','a:1:{i:0;s:53:\"field.field.component_item.basic_component.field_body\";}'),('config.entity.key_store.field_config','uuid:db1d4ba2-f268-44f1-b9a7-d4f1fda49681','a:1:{i:0;s:51:\"field.field.component_item.topic_summary.field_body\";}'),('config.entity.key_store.field_config','uuid:dbd9426c-56cf-4c9a-9918-22bb79465c2e','a:1:{i:0;s:59:\"field.field.component_item.article_summary.field_as_country\";}'),('config.entity.key_store.field_config','uuid:de3a2c65-72da-4f08-9b37-c604e14756b3','a:1:{i:0;s:54:\"field.field.component_item.timeline_item.field_ti_link\";}'),('config.entity.key_store.field_config','uuid:e22c613c-eb33-41a1-8dc4-fef05895e86f','a:1:{i:0;s:48:\"field.field.component_item.card.field_card_color\";}'),('config.entity.key_store.field_config','uuid:e2aa01d9-4a44-4847-b46c-c03e0075b4cc','a:1:{i:0;s:51:\"field.field.component_item.timeline_item.field_type\";}'),('config.entity.key_store.field_config','uuid:e2cd90ea-8bd6-412c-8a1f-313c0f8b2c3e','a:1:{i:0;s:36:\"field.field.node.forum.comment_forum\";}'),('config.entity.key_store.field_config','uuid:e2d0db7b-580b-4200-b705-0f3cfa64d53b','a:1:{i:0;s:64:\"field.field.component_wrapper.component_wrapper.field_push_image\";}'),('config.entity.key_store.field_config','uuid:e5000c2b-35c7-4298-93e7-64e91bb2f784','a:1:{i:0;s:63:\"field.field.component_wrapper.component_wrapper.field_accordion\";}'),('config.entity.key_store.field_config','uuid:e73eb89e-ce4c-4286-accc-46fb721a281e','a:1:{i:0;s:62:\"field.field.component_wrapper.component_wrapper.field_timeline\";}'),('config.entity.key_store.field_config','uuid:e7b98d93-c52f-4f0e-a118-377a68cbac53','a:1:{i:0;s:76:\"field.field.component_item.slideshow_flexible.field_slideshow_flexible_image\";}'),('config.entity.key_store.field_config','uuid:eb14539d-5149-49a3-a105-5b8415181203','a:1:{i:0;s:26:\"field.field.node.page.body\";}'),('config.entity.key_store.field_config','uuid:eb198ad3-03b5-4be2-bec5-27678b894149','a:1:{i:0;s:65:\"field.field.component_wrapper.component_wrapper.field_testimonial\";}'),('config.entity.key_store.field_config','uuid:f2ebfdaa-d6f6-44fc-82ec-ec9718b33c63','a:1:{i:0;s:70:\"field.field.component_item.divider_section.field_divider_section_image\";}'),('config.entity.key_store.field_config','uuid:f3ba8379-e31b-47c4-8d00-a09ea64c3008','a:1:{i:0;s:36:\"field.field.node.article.field_image\";}'),('config.entity.key_store.field_config','uuid:f3f0a9b2-6fb0-46a0-8172-f225bcb76eb2','a:1:{i:0;s:68:\"field.field.component_wrapper.component_wrapper.field_classified_ads\";}'),('config.entity.key_store.field_config','uuid:f48a5394-c649-474b-9eb5-8dbb8672cb7e','a:1:{i:0;s:58:\"field.field.component_wrapper.component_wrapper.field_card\";}'),('config.entity.key_store.field_config','uuid:f67053b4-153b-41b5-b053-13aa368b9728','a:1:{i:0;s:65:\"field.field.component_item.service_block.field_service_block_link\";}'),('config.entity.key_store.field_config','uuid:f6f7810a-702e-4e6b-a73d-6b95eec1255f','a:1:{i:0;s:67:\"field.field.component_wrapper.component_wrapper.field_grid_carousel\";}'),('config.entity.key_store.field_config','uuid:f862e53f-89e6-4270-b96a-21b14ccdba74','a:1:{i:0;s:50:\"field.field.component_item.quote.field_quote_image\";}'),('config.entity.key_store.field_config','uuid:f8bcef93-7208-40ab-bf7b-080f715ec5d3','a:1:{i:0;s:53:\"field.field.component_item.slideshow.field_hero_image\";}'),('config.entity.key_store.field_config','uuid:f959a7d5-81d2-4a57-8409-9bc24ae3d31f','a:1:{i:0;s:38:\"field.field.node.forum.taxonomy_forums\";}'),('config.entity.key_store.field_config','uuid:fbcabbbe-8679-4bc7-8bd2-b4af4986dcc0','a:1:{i:0;s:71:\"field.field.component_wrapper.component_wrapper.field_sidebar_link_text\";}'),('config.entity.key_store.field_config','uuid:fc351a74-1f79-42b8-b01c-285b34f1d3e9','a:1:{i:0;s:30:\"field.field.node.showcase.body\";}'),('config.entity.key_store.field_config','uuid:ffbdb0dd-92f5-483f-9819-e35e48c379cf','a:1:{i:0;s:69:\"field.field.component_item.divider_section.field_divider_section_desc\";}'),('config.entity.key_store.field_storage_config','uuid:00a3013b-7b5d-4fef-9805-c21e6eb7b986','a:1:{i:0;s:58:\"field.storage.component_item.field_quote_description_infor\";}'),('config.entity.key_store.field_storage_config','uuid:01d4343a-2f59-4982-a45b-65f26210a364','a:1:{i:0;s:44:\"field.storage.component_item.field_sbp_color\";}'),('config.entity.key_store.field_storage_config','uuid:036ad012-28b8-484d-8c00-c0e6030f093e','a:1:{i:0;s:34:\"field.storage.node.taxonomy_forums\";}'),('config.entity.key_store.field_storage_config','uuid:04fa4ba3-2961-4922-a200-e292be5448c1','a:1:{i:0;s:29:\"field.storage.node.field_link\";}'),('config.entity.key_store.field_storage_config','uuid:064e4341-d78d-4183-9f6c-7d6feb435228','a:1:{i:0;s:49:\"field.storage.component_item.field_counter_number\";}'),('config.entity.key_store.field_storage_config','uuid:0702f0fb-3c07-4e34-8e38-377eb6b2e486','a:1:{i:0;s:42:\"field.storage.component_item.field_rc_link\";}'),('config.entity.key_store.field_storage_config','uuid:0cd7bad3-6c44-4035-acb5-9e75c3c90e46','a:1:{i:0;s:55:\"field.storage.component_item.field_sidebar_service_link\";}'),('config.entity.key_store.field_storage_config','uuid:0ceafd0a-ac62-4625-9657-4ae96581b3dc','a:1:{i:0;s:45:\"field.storage.component_item.field_card_color\";}'),('config.entity.key_store.field_storage_config','uuid:0d867af5-278d-42ee-90b7-0f9ab324c9cf','a:1:{i:0;s:43:\"field.storage.component_item.field_rc_image\";}'),('config.entity.key_store.field_storage_config','uuid:0df357f9-9000-4d10-a1d5-b95ca58ad347','a:1:{i:0;s:43:\"field.storage.component_item.field_as_image\";}'),('config.entity.key_store.field_storage_config','uuid:0e89bc6a-f054-4725-b1b3-99b49fbc0605','a:1:{i:0;s:58:\"field.storage.component_item.field_slideshow_flexible_link\";}'),('config.entity.key_store.field_storage_config','uuid:13277562-7e47-4f7b-bfc0-1de5e0af4c8b','a:1:{i:0;s:55:\"field.storage.component_item.field_divider_section_desc\";}'),('config.entity.key_store.field_storage_config','uuid:170f9378-4953-480f-a169-ee6ebd8d915d','a:1:{i:0;s:45:\"field.storage.component_wrapper.field_counter\";}'),('config.entity.key_store.field_storage_config','uuid:19453461-238e-4a8b-b18b-50baa27f81ba','a:1:{i:0;s:39:\"field.storage.component_item.field_link\";}'),('config.entity.key_store.field_storage_config','uuid:1ba40339-faab-4195-9a3f-1439e604025b','a:1:{i:0;s:55:\"field.storage.component_item.field_sidebar_summary_link\";}'),('config.entity.key_store.field_storage_config','uuid:1f7d4c01-1ef1-4f24-8767-4f60d4a78120','a:1:{i:0;s:47:\"field.storage.component_wrapper.field_slideshow\";}'),('config.entity.key_store.field_storage_config','uuid:247c5671-a349-4094-928c-c4e07eb5d86f','a:1:{i:0;s:49:\"field.storage.component_item.field_gc_description\";}'),('config.entity.key_store.field_storage_config','uuid:25865b85-1eb3-488c-9e76-5203d24856b3','a:1:{i:0;s:46:\"field.storage.component_item.field_information\";}'),('config.entity.key_store.field_storage_config','uuid:26506a3a-2ec1-4797-8e00-d5dc55538371','a:1:{i:0;s:51:\"field.storage.component_wrapper.field_topic_summary\";}'),('config.entity.key_store.field_storage_config','uuid:29649109-de2f-43e3-953b-a60877312e98','a:1:{i:0;s:45:\"field.storage.component_item.field_as_address\";}'),('config.entity.key_store.field_storage_config','uuid:2af0b498-1eda-4d91-b1f2-7e701bf27734','a:1:{i:0;s:39:\"field.storage.component_item.field_body\";}'),('config.entity.key_store.field_storage_config','uuid:2c88ce93-2589-4f77-8126-129f683da763','a:1:{i:0;s:55:\"field.storage.component_wrapper.field_sidebar_link_text\";}'),('config.entity.key_store.field_storage_config','uuid:2ee66812-1877-425f-85c1-d826eb79f02c','a:1:{i:0;s:55:\"field.storage.component_item.field_sidebar_summary_date\";}'),('config.entity.key_store.field_storage_config','uuid:2f441837-fe29-4737-8c1c-877c554fdc77','a:1:{i:0;s:42:\"field.storage.component_item.field_gc_date\";}'),('config.entity.key_store.field_storage_config','uuid:384f895c-0f6f-483c-a1f9-702bb4558cbe','a:1:{i:0;s:42:\"field.storage.component_wrapper.field_grid\";}'),('config.entity.key_store.field_storage_config','uuid:38ffb927-b300-4e20-b658-f929679ada4d','a:1:{i:0;s:44:\"field.storage.component_item.field_card_body\";}'),('config.entity.key_store.field_storage_config','uuid:3c8e6a52-d7d7-4e25-88b1-fe2a8c31e8a7','a:1:{i:0;s:52:\"field.storage.component_item.field_mobile_hero_image\";}'),('config.entity.key_store.field_storage_config','uuid:3d354244-c393-4078-b73e-6288a45e6101','a:1:{i:0;s:32:\"field.storage.block_content.body\";}'),('config.entity.key_store.field_storage_config','uuid:3e45b49a-7497-41c8-9fe0-ef35c448737f','a:1:{i:0;s:45:\"field.storage.component_item.field_as_country\";}'),('config.entity.key_store.field_storage_config','uuid:3e48c0cd-cbbd-4843-9cd7-28dc7a9dbfc3','a:1:{i:0;s:48:\"field.storage.component_item.field_counter_image\";}'),('config.entity.key_store.field_storage_config','uuid:3e64ac45-b787-4b8c-bd29-a4c756766c32','a:1:{i:0;s:42:\"field.storage.component_item.field_as_link\";}'),('config.entity.key_store.field_storage_config','uuid:45c6e113-b684-438c-b44a-74b94c3aa85e','a:1:{i:0;s:32:\"field.storage.node.comment_forum\";}'),('config.entity.key_store.field_storage_config','uuid:47a7966e-0272-4534-9176-ea2a6c980d7d','a:1:{i:0;s:43:\"field.storage.component_item.field_gc_image\";}'),('config.entity.key_store.field_storage_config','uuid:4990045a-0df4-40e5-8436-545f18512a15','a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}'),('config.entity.key_store.field_storage_config','uuid:4a892c1c-81f4-45e4-8804-1a1f23d41c73','a:1:{i:0;s:42:\"field.storage.component_item.field_ti_icon\";}'),('config.entity.key_store.field_storage_config','uuid:4c8a74b5-5416-4a21-b35a-d822fb887719','a:1:{i:0;s:52:\"field.storage.component_item.field_sidebar_link_text\";}'),('config.entity.key_store.field_storage_config','uuid:4e39385c-2822-4720-bbea-0e625958fee0','a:1:{i:0;s:46:\"field.storage.component_item.field_large_image\";}'),('config.entity.key_store.field_storage_config','uuid:4ead576e-49a0-4dc6-9395-ac2b41002396','a:1:{i:0;s:51:\"field.storage.component_wrapper.field_statistic_bar\";}'),('config.entity.key_store.field_storage_config','uuid:4efd9db0-acd7-4fef-9953-b722aa44eca0','a:1:{i:0;s:45:\"field.storage.component_item.field_hero_image\";}'),('config.entity.key_store.field_storage_config','uuid:4f57c952-1b2f-4a58-8b79-4db7ce93edf0','a:1:{i:0;s:49:\"field.storage.component_item.field_pv_embed_video\";}'),('config.entity.key_store.field_storage_config','uuid:535aabf9-053f-4403-86aa-b87054849c65','a:1:{i:0;s:47:\"field.storage.component_wrapper.field_accordion\";}'),('config.entity.key_store.field_storage_config','uuid:578317ee-54b9-4df9-aa00-b7f5187e366a','a:1:{i:0;s:23:\"field.storage.node.body\";}'),('config.entity.key_store.field_storage_config','uuid:58065421-cde4-4347-88f5-b7d5a2d6c559','a:1:{i:0;s:52:\"field.storage.component_item.field_quote_information\";}'),('config.entity.key_store.field_storage_config','uuid:5af2e220-2326-4d90-9148-1ead88277eb1','a:1:{i:0;s:53:\"field.storage.component_wrapper.field_basic_component\";}'),('config.entity.key_store.field_storage_config','uuid:619be666-5172-48ad-aab2-ffd9c882408a','a:1:{i:0;s:42:\"field.storage.component_item.field_pv_body\";}'),('config.entity.key_store.field_storage_config','uuid:6260677c-b7a4-45f1-bfa2-aa390f8e2c1d','a:1:{i:0;s:53:\"field.storage.component_wrapper.field_sidebar_service\";}'),('config.entity.key_store.field_storage_config','uuid:63538f7a-6fef-469d-a616-af393994c131','a:1:{i:0;s:54:\"field.storage.component_item.field_service_block_image\";}'),('config.entity.key_store.field_storage_config','uuid:6362b15b-0f28-4a4e-84ee-79415c438f60','a:1:{i:0;s:43:\"field.storage.component_wrapper.field_quote\";}'),('config.entity.key_store.field_storage_config','uuid:64300233-879c-4914-9ee2-8ff88b73801e','a:1:{i:0;s:46:\"field.storage.component_wrapper.field_timeline\";}'),('config.entity.key_store.field_storage_config','uuid:656196f0-e0ae-4388-be00-ad0dd28c612f','a:1:{i:0;s:35:\"field.storage.node.field_video_link\";}'),('config.entity.key_store.field_storage_config','uuid:68777643-84d2-4f21-addf-0fbae5c8e516','a:1:{i:0;s:60:\"field.storage.component_item.field_service_block_description\";}'),('config.entity.key_store.field_storage_config','uuid:687b0a24-ad3e-4eb5-a685-acbddf6b07cc','a:1:{i:0;s:42:\"field.storage.component_item.field_pi_link\";}'),('config.entity.key_store.field_storage_config','uuid:6b3bf3e7-1eda-4c1b-bc9c-8ba1651d5796','a:1:{i:0;s:42:\"field.storage.component_item.field_rc_body\";}'),('config.entity.key_store.field_storage_config','uuid:6fc15e30-a3fc-4891-b64c-76364b4468ee','a:1:{i:0;s:26:\"field.storage.node.comment\";}'),('config.entity.key_store.field_storage_config','uuid:6ff5cda7-0402-4d91-b4cc-65ba513ecb90','a:1:{i:0;s:43:\"field.storage.component_item.field_ti_right\";}'),('config.entity.key_store.field_storage_config','uuid:7365a73d-2f7f-4347-911c-fc91f20b43b8','a:1:{i:0;s:53:\"field.storage.component_wrapper.field_divider_section\";}'),('config.entity.key_store.field_storage_config','uuid:752b7b9b-194d-4ebe-a748-dd330b193597','a:1:{i:0;s:42:\"field.storage.component_item.field_ti_left\";}'),('config.entity.key_store.field_storage_config','uuid:759e9249-4138-4851-a49e-170feb76aefb','a:1:{i:0;s:56:\"field.storage.component_item.field_sidebar_summary_image\";}'),('config.entity.key_store.field_storage_config','uuid:75f5ae2f-1a9a-46a2-933b-7c02ed875539','a:1:{i:0;s:43:\"field.storage.component_wrapper.field_table\";}'),('config.entity.key_store.field_storage_config','uuid:769ab229-95f2-4b66-af20-ea658e2327ea','a:1:{i:0;s:53:\"field.storage.component_wrapper.field_article_summary\";}'),('config.entity.key_store.field_storage_config','uuid:769afb6e-740d-473b-b0a2-12f59b58b8a6','a:1:{i:0;s:56:\"field.storage.component_item.field_divider_section_image\";}'),('config.entity.key_store.field_storage_config','uuid:7c10e925-ebb9-4999-84ce-b789dc361274','a:1:{i:0;s:59:\"field.storage.component_wrapper.field_horizontal_push_image\";}'),('config.entity.key_store.field_storage_config','uuid:7c1b343c-89db-4b14-a5b6-0b94f7e80c2a','a:1:{i:0;s:35:\"field.storage.node.field_components\";}'),('config.entity.key_store.field_storage_config','uuid:7e21538f-daf2-43d7-b9c7-8f3736ea14da','a:1:{i:0;s:54:\"field.storage.component_item.field_service_block_color\";}'),('config.entity.key_store.field_storage_config','uuid:8067c901-4997-4726-9a00-d85626469302','a:1:{i:0;s:31:\"field.storage.user.user_picture\";}'),('config.entity.key_store.field_storage_config','uuid:81abd263-0af2-4201-9b86-66f84ad516ff','a:1:{i:0;s:49:\"field.storage.component_wrapper.field_banner_grid\";}'),('config.entity.key_store.field_storage_config','uuid:81ac884e-d9c8-406a-9a1d-29b262c313e8','a:1:{i:0;s:29:\"field.storage.node.field_tags\";}'),('config.entity.key_store.field_storage_config','uuid:87a09dd3-89d2-4d92-971b-fb4b5cb1bd9a','a:1:{i:0;s:48:\"field.storage.component_wrapper.field_push_image\";}'),('config.entity.key_store.field_storage_config','uuid:88c7118b-2a64-4b0b-8afd-bfa7c50dce23','a:1:{i:0;s:40:\"field.storage.component_item.field_quote\";}'),('config.entity.key_store.field_storage_config','uuid:8ac406a2-4eb1-46d9-9331-b272b53a8893','a:1:{i:0;s:51:\"field.storage.component_wrapper.field_service_block\";}'),('config.entity.key_store.field_storage_config','uuid:8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5','a:1:{i:0;s:39:\"field.storage.taxonomy_term.field_image\";}'),('config.entity.key_store.field_storage_config','uuid:8d9e9548-c38f-43fc-b4d7-2220f4a47b95','a:1:{i:0;s:53:\"field.storage.component_wrapper.field_related_content\";}'),('config.entity.key_store.field_storage_config','uuid:8da319df-3752-41c3-acae-5cab6bdba54c','a:1:{i:0;s:40:\"field.storage.component_item.field_image\";}'),('config.entity.key_store.field_storage_config','uuid:9649a571-0fd5-4e7a-8d33-16a1b70880f5','a:1:{i:0;s:59:\"field.storage.component_item.field_slideshow_flexible_image\";}'),('config.entity.key_store.field_storage_config','uuid:9963b3ad-9973-4733-b4f3-0a07939b2d1b','a:1:{i:0;s:59:\"field.storage.component_item.field_as_date_of_establishment\";}'),('config.entity.key_store.field_storage_config','uuid:997a6fa0-bbc6-48b2-82b5-08b62e31d98a','a:1:{i:0;s:46:\"field.storage.component_item.field_quote_image\";}'),('config.entity.key_store.field_storage_config','uuid:9e7b41e1-2339-43da-a3f5-af6ff15eb406','a:1:{i:0;s:42:\"field.storage.component_item.field_pi_body\";}'),('config.entity.key_store.field_storage_config','uuid:9eef7e00-dbaa-478b-8fc7-f34c7e8d41d3','a:1:{i:0;s:55:\"field.storage.component_item.field_sidebar_summary_desc\";}'),('config.entity.key_store.field_storage_config','uuid:9faac48c-0616-4991-8552-fa73654bf547','a:1:{i:0;s:42:\"field.storage.component_item.field_pv_link\";}'),('config.entity.key_store.field_storage_config','uuid:a06bfa21-fd72-44e5-9446-1c701a5c83b1','a:1:{i:0;s:42:\"field.storage.component_item.field_summary\";}'),('config.entity.key_store.field_storage_config','uuid:a07bbc94-b860-4ff8-9bc3-a5366ee97f68','a:1:{i:0;s:48:\"field.storage.component_wrapper.field_push_video\";}'),('config.entity.key_store.field_storage_config','uuid:a0c95dfd-eefb-4340-a535-530e96af7242','a:1:{i:0;s:34:\"field.storage.comment.comment_body\";}'),('config.entity.key_store.field_storage_config','uuid:a0f4c01f-e880-4e50-8f40-e2aa27457580','a:1:{i:0;s:42:\"field.storage.component_item.field_ti_body\";}'),('config.entity.key_store.field_storage_config','uuid:a23196a8-d216-4f63-80f4-494f779ed0fe','a:1:{i:0;s:57:\"field.storage.component_item.field_statistic_bar_progress\";}'),('config.entity.key_store.field_storage_config','uuid:a6d1b8d3-2807-4fdd-aa30-7cd6fde483eb','a:1:{i:0;s:43:\"field.storage.component_item.field_ti_video\";}'),('config.entity.key_store.field_storage_config','uuid:a6dfe7e3-7776-48f6-8174-9bf2aeea4854','a:1:{i:0;s:55:\"field.storage.component_item.field_classified_ads_image\";}'),('config.entity.key_store.field_storage_config','uuid:a8ab7b61-2c44-44c3-aad7-445725afe610','a:1:{i:0;s:52:\"field.storage.component_wrapper.field_classified_ads\";}'),('config.entity.key_store.field_storage_config','uuid:a949f6b4-5ac8-405a-84ff-7c09dd7bc66e','a:1:{i:0;s:54:\"field.storage.component_item.field_classified_ads_text\";}'),('config.entity.key_store.field_storage_config','uuid:aa3f583c-4227-4142-b163-9eedafa87b3c','a:1:{i:0;s:56:\"field.storage.component_item.field_content_statistic_bar\";}'),('config.entity.key_store.field_storage_config','uuid:aae31211-fc86-4161-a57b-c72b881f2def','a:1:{i:0;s:42:\"field.storage.component_item.field_ti_link\";}'),('config.entity.key_store.field_storage_config','uuid:ab4e3f11-4bdb-465c-b960-19c747b618ae','a:1:{i:0;s:46:\"field.storage.component_wrapper.field_carousel\";}'),('config.entity.key_store.field_storage_config','uuid:afee4116-0aa6-4aae-b0d2-65a525a9f0f3','a:1:{i:0;s:57:\"field.storage.component_item.field_sidebar_link_text_desc\";}'),('config.entity.key_store.field_storage_config','uuid:b119dd22-b72c-4419-8dc6-48e357cb07d8','a:1:{i:0;s:39:\"field.storage.component_item.field_date\";}'),('config.entity.key_store.field_storage_config','uuid:b288c663-361f-4705-885d-741898cad8ec','a:1:{i:0;s:53:\"field.storage.component_wrapper.field_sidebar_summary\";}'),('config.entity.key_store.field_storage_config','uuid:b4b9461a-ead6-4667-b348-ac386dc77c61','a:1:{i:0;s:39:\"field.storage.component_item.field_icon\";}'),('config.entity.key_store.field_storage_config','uuid:b5753c99-7e2b-44d4-afc3-f667c5f579b0','a:1:{i:0;s:58:\"field.storage.component_item.field_description_information\";}'),('config.entity.key_store.field_storage_config','uuid:b70990d4-3b40-4af7-87c8-90236dd35868','a:1:{i:0;s:39:\"field.storage.component_item.field_type\";}'),('config.entity.key_store.field_storage_config','uuid:b761d1a0-b698-4d91-8bed-62a95e5fe05d','a:1:{i:0;s:40:\"field.storage.component_item.field_cells\";}'),('config.entity.key_store.field_storage_config','uuid:b99f21b6-fe34-46f8-865d-0e7331fe8bdc','a:1:{i:0;s:51:\"field.storage.component_wrapper.field_grid_carousel\";}'),('config.entity.key_store.field_storage_config','uuid:c03a055a-f28b-47f0-a100-adec96658707','a:1:{i:0;s:30:\"field.storage.node.field_image\";}'),('config.entity.key_store.field_storage_config','uuid:c4733456-7beb-4319-9290-76ff7bc82374','a:1:{i:0;s:42:\"field.storage.component_item.field_gc_link\";}'),('config.entity.key_store.field_storage_config','uuid:c5b13407-15fa-42ee-9c03-127a5bf7d7b7','a:1:{i:0;s:56:\"field.storage.component_item.field_sidebar_service_image\";}'),('config.entity.key_store.field_storage_config','uuid:c63c0a41-fe49-4318-8246-8a3002748e90','a:1:{i:0;s:61:\"field.storage.component_item.field_sidebar_summary_created_by\";}'),('config.entity.key_store.field_storage_config','uuid:c7305801-a2b8-49d5-a395-bcae249c13fb','a:1:{i:0;s:42:\"field.storage.component_item.field_process\";}'),('config.entity.key_store.field_storage_config','uuid:c76066c1-180e-43da-acca-ca7edcb55f58','a:1:{i:0;s:53:\"field.storage.component_item.field_service_block_link\";}'),('config.entity.key_store.field_storage_config','uuid:c7adf258-713f-43be-b146-2d87592a280b','a:1:{i:0;s:49:\"field.storage.component_wrapper.field_testimonial\";}'),('config.entity.key_store.field_storage_config','uuid:c84a3ffc-8007-47d8-80cd-2d59f1f9b195','a:1:{i:0;s:43:\"field.storage.component_item.field_ti_image\";}'),('config.entity.key_store.field_storage_config','uuid:cef29921-f15f-4a7b-855d-314603639f52','a:1:{i:0;s:48:\"field.storage.component_item.field_pv_video_file\";}'),('config.entity.key_store.field_storage_config','uuid:cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0','a:1:{i:0;s:33:\"field.storage.node.field_category\";}'),('config.entity.key_store.field_storage_config','uuid:d00e5eb0-82dd-4835-aec2-6f75a86d95e9','a:1:{i:0;s:42:\"field.storage.component_wrapper.field_card\";}'),('config.entity.key_store.field_storage_config','uuid:d69cd62b-e070-443e-931c-2fb65467b8ac','a:1:{i:0;s:49:\"field.storage.component_item.field_as_description\";}'),('config.entity.key_store.field_storage_config','uuid:dcf5e31d-536f-485a-9aaf-d89efd3582fb','a:1:{i:0;s:46:\"field.storage.component_item.field_small_image\";}'),('config.entity.key_store.field_storage_config','uuid:ddbeb4e2-40fb-4f77-ba33-1479e6f4958a','a:1:{i:0;s:43:\"field.storage.component_item.field_captions\";}'),('config.entity.key_store.field_storage_config','uuid:e0defae0-36de-41f7-83f6-d5480cc3108d','a:1:{i:0;s:46:\"field.storage.component_item.field_description\";}'),('config.entity.key_store.field_storage_config','uuid:e0e0f150-60e3-4847-a845-289a3f8b4956','a:1:{i:0;s:44:\"field.storage.component_item.field_card_icon\";}'),('config.entity.key_store.field_storage_config','uuid:e1f7474b-76f5-4a33-8b20-13122d95a4cf','a:1:{i:0;s:57:\"field.storage.component_wrapper.field_summary_information\";}'),('config.entity.key_store.field_storage_config','uuid:e6681696-99e7-41ae-81f0-07605b47b599','a:1:{i:0;s:43:\"field.storage.component_item.field_pi_image\";}'),('config.entity.key_store.field_storage_config','uuid:ebcd0742-9d35-419d-8a26-d22939c478ff','a:1:{i:0;s:44:\"field.storage.component_item.field_hpi_image\";}'),('config.entity.key_store.field_storage_config','uuid:edc686e2-1db3-4ae5-803e-1ac7a727f041','a:1:{i:0;s:56:\"field.storage.component_wrapper.field_slideshow_flexible\";}'),('config.entity.key_store.field_storage_config','uuid:f00e1e48-2ce6-46dd-a4fa-4747b65c213d','a:1:{i:0;s:44:\"field.storage.component_item.field_card_link\";}'),('config.entity.key_store.field_storage_config','uuid:f1317a3e-8da7-4077-9aaf-857d8768a5e2','a:1:{i:0;s:45:\"field.storage.component_item.field_pv_display\";}'),('config.entity.key_store.field_storage_config','uuid:f158cf98-dfb7-419e-a200-f400fb4444d7','a:1:{i:0;s:43:\"field.storage.taxonomy_term.forum_container\";}'),('config.entity.key_store.field_storage_config','uuid:f237390d-1b71-4d34-989e-b25083742132','a:1:{i:0;s:51:\"field.storage.component_item.field_as_opening_hours\";}'),('config.entity.key_store.field_storage_config','uuid:f6ddd448-d211-4856-9da4-11760e8a0e03','a:1:{i:0;s:58:\"field.storage.component_item.field_slideshow_flexible_date\";}'),('config.entity.key_store.field_storage_config','uuid:fa1a769e-672f-4acc-b68f-ba3d95c6e639','a:1:{i:0;s:44:\"field.storage.component_item.field_grid_date\";}'),('config.entity.key_store.field_storage_config','uuid:fa48bf78-58ac-4f12-b308-4720ea3b5860','a:1:{i:0;s:48:\"field.storage.component_item.field_table_columns\";}'),('config.entity.key_store.field_storage_config','uuid:fc08a9e3-2a76-475d-8bb8-52d53df85011','a:1:{i:0;s:56:\"field.storage.component_item.field_divider_section_color\";}'),('config.entity.key_store.field_storage_config','uuid:ffca2e43-e9d1-482f-bd13-60eb1f343f8e','a:1:{i:0;s:59:\"field.storage.component_item.field_slideshow_flexible_sdesc\";}'),('config.entity.key_store.filter_format','uuid:0b0ed770-2ef5-4c82-a11a-26651664bb45','a:1:{i:0;s:24:\"filter.format.plain_text\";}'),('config.entity.key_store.filter_format','uuid:a8c3c57c-e9c0-4196-aa00-f2c2890a68a0','a:1:{i:0;s:29:\"filter.format.restricted_html\";}'),('config.entity.key_store.filter_format','uuid:b45c80e3-cf34-460a-8000-b168f1a1b24c','a:1:{i:0;s:23:\"filter.format.full_html\";}'),('config.entity.key_store.filter_format','uuid:e93c4d2e-a086-4b86-9c61-97341886432e','a:1:{i:0;s:24:\"filter.format.basic_html\";}'),('config.entity.key_store.image_style','uuid:00405666-ad48-452b-a043-bbe9153b6791','a:1:{i:0;s:22:\"image.style.we_318_200\";}'),('config.entity.key_store.image_style','uuid:06244ee2-c1d3-431c-bcbb-1cb008ffe306','a:1:{i:0;s:22:\"image.style.we_464_290\";}'),('config.entity.key_store.image_style','uuid:30655d11-fe91-424a-a9ee-eb9cd8f57fd4','a:1:{i:0;s:22:\"image.style.we_450_270\";}'),('config.entity.key_store.image_style','uuid:3543d1fd-5a90-4770-aa67-d2686048a2b3','a:1:{i:0;s:22:\"image.style.we_980_588\";}'),('config.entity.key_store.image_style','uuid:35472b91-e160-4558-a429-41cc7939a6c7','a:1:{i:0;s:21:\"image.style.thumbnail\";}'),('config.entity.key_store.image_style','uuid:3be555a7-9596-4cbb-a75f-7b64953e7d0a','a:1:{i:0;s:23:\"image.style.we_1440_900\";}'),('config.entity.key_store.image_style','uuid:5244da70-fab0-4d6f-a535-65bd9a1439a1','a:1:{i:0;s:22:\"image.style.we_480_300\";}'),('config.entity.key_store.image_style','uuid:69048c8f-c4a9-4cca-8b05-5e5218da0177','a:1:{i:0;s:17:\"image.style.large\";}'),('config.entity.key_store.image_style','uuid:73bebf74-9899-479a-ad00-ebed8696f156','a:1:{i:0;s:22:\"image.style.image_622x\";}'),('config.entity.key_store.image_style','uuid:7468a164-b0cf-40dd-a337-385f9ca8fdd1','a:1:{i:0;s:22:\"image.style.we_230_120\";}'),('config.entity.key_store.image_style','uuid:7d1fc6a8-b235-41b7-9206-6aaa3cbb20db','a:1:{i:0;s:24:\"image.style.image_60x60_\";}'),('config.entity.key_store.image_style','uuid:92b2f755-55d4-4213-bbd9-7605f33bfcaf','a:1:{i:0;s:21:\"image.style.we_170_98\";}'),('config.entity.key_store.image_style','uuid:94d53033-cb58-42d7-ae16-df85acff38e2','a:1:{i:0;s:22:\"image.style.we_300_450\";}'),('config.entity.key_store.image_style','uuid:9adbc2dc-2c4e-42a4-8d6b-56dffd9fbfec','a:1:{i:0;s:20:\"image.style.we_88_70\";}'),('config.entity.key_store.image_style','uuid:ad1a3045-48aa-4628-8c17-19e03f314a92','a:1:{i:0;s:20:\"image.style.we_90_90\";}'),('config.entity.key_store.image_style','uuid:aeeca7ec-8802-4de8-b55e-1627148137a8','a:1:{i:0;s:22:\"image.style.we_800_460\";}'),('config.entity.key_store.image_style','uuid:af8591a6-38e6-4d88-adcb-42ad9959ea82','a:1:{i:0;s:22:\"image.style.we_300_187\";}'),('config.entity.key_store.image_style','uuid:b92446ab-3790-4707-8411-f6aff45329cc','a:1:{i:0;s:20:\"image.style.we_80_80\";}'),('config.entity.key_store.image_style','uuid:c628d2cd-acd3-425d-8e3f-6393121fc894','a:1:{i:0;s:18:\"image.style.medium\";}'),('config.entity.key_store.image_style','uuid:c63e57b3-0f85-4b73-ae2a-8ce35981da3f','a:1:{i:0;s:20:\"image.style.we_60_60\";}'),('config.entity.key_store.image_style','uuid:c8bd1cbc-a6ae-49af-b60a-43d7e37574e1','a:1:{i:0;s:20:\"image.style.we_37_28\";}'),('config.entity.key_store.image_style','uuid:ce0c2a72-c5fd-430e-9777-3d16e3b3ca30','a:1:{i:0;s:20:\"image.style.we_58_61\";}'),('config.entity.key_store.image_style','uuid:dcf4237f-e221-47bc-9e11-7d406b776205','a:1:{i:0;s:20:\"image.style.we_64_64\";}'),('config.entity.key_store.image_style','uuid:e1ff7516-e1c0-48c2-a3bd-ba2f53d65c67','a:1:{i:0;s:22:\"image.style.we_528_352\";}'),('config.entity.key_store.language_content_settings','uuid:1e515e85-405d-4a49-80c5-7e40f5b3e371','a:1:{i:0;s:35:\"language.content_settings.node.page\";}'),('config.entity.key_store.language_content_settings','uuid:2d14a4e1-75c0-423e-b805-cf475bbabd6b','a:1:{i:0;s:45:\"language.content_settings.block_content.basic\";}'),('config.entity.key_store.language_content_settings','uuid:31bd1a32-53ff-4cb5-8efe-7c39d32a5987','a:1:{i:0;s:38:\"language.content_settings.node.article\";}'),('config.entity.key_store.language_content_settings','uuid:36835ccd-366e-491e-aeb0-b83be728f77e','a:1:{i:0;s:39:\"language.content_settings.node.showcase\";}'),('config.entity.key_store.language_content_settings','uuid:5666e943-9e07-4c15-9bb7-5880c6d10638','a:1:{i:0;s:35:\"language.content_settings.user.user\";}'),('config.entity.key_store.language_content_settings','uuid:64bb6941-38dd-4af0-a7e6-e9b9a162345e','a:1:{i:0;s:42:\"language.content_settings.shortcut.default\";}'),('config.entity.key_store.language_content_settings','uuid:66db5e00-1efc-403e-a93b-2095ce7bf4af','a:1:{i:0;s:50:\"language.content_settings.contact_message.personal\";}'),('config.entity.key_store.language_content_settings','uuid:670d23d8-606b-4433-a9dc-cb2ca82920ee','a:1:{i:0;s:44:\"language.content_settings.taxonomy_term.tags\";}'),('config.entity.key_store.language_content_settings','uuid:78cf3d3d-3f74-437a-8e17-0d4c1f720743','a:1:{i:0;s:47:\"language.content_settings.node.simplenews_issue\";}'),('config.entity.key_store.language_content_settings','uuid:78f224c1-6f10-4078-b5a6-06ba264bfdf1','a:1:{i:0;s:36:\"language.content_settings.node.forum\";}'),('config.entity.key_store.language_content_settings','uuid:815b20a8-9589-49a6-a1fe-f27bcb28ff42','a:1:{i:0;s:41:\"language.content_settings.comment.comment\";}'),('config.entity.key_store.language_content_settings','uuid:883b4275-6f21-4c63-aeb7-391d9c4dbd3e','a:1:{i:0;s:50:\"language.content_settings.contact_message.feedback\";}'),('config.entity.key_store.language_content_settings','uuid:89bbdd76-1acd-4043-91e7-e531d559a1a8','a:1:{i:0;s:35:\"language.content_settings.node.blog\";}'),('config.entity.key_store.language_content_settings','uuid:8b771040-d9d6-4d71-9bc5-53ee1473c19d','a:1:{i:0;s:46:\"language.content_settings.taxonomy_term.forums\";}'),('config.entity.key_store.language_content_settings','uuid:aa5dc067-6bec-478a-9ddc-4597697c3475','a:1:{i:0;s:35:\"language.content_settings.file.file\";}'),('config.entity.key_store.language_content_settings','uuid:bda84855-c231-4215-8903-2bd814323457','a:1:{i:0;s:50:\"language.content_settings.taxonomy_term.categories\";}'),('config.entity.key_store.language_content_settings','uuid:ca45d53a-39c6-4581-99fe-80a4d9b377c9','a:1:{i:0;s:47:\"language.content_settings.comment.comment_forum\";}'),('config.entity.key_store.language_content_settings','uuid:d8047971-9394-4c21-ac60-3da0514a6276','a:1:{i:0;s:61:\"language.content_settings.menu_link_content.menu_link_content\";}'),('config.entity.key_store.language_content_settings','uuid:fb07de86-2654-4b9e-ab12-17b548aee2ac','a:1:{i:0;s:47:\"language.content_settings.path_alias.path_alias\";}'),('config.entity.key_store.menu','uuid:1dfc6c27-936b-4bbf-8200-b11269ea3355','a:1:{i:0;s:17:\"system.menu.tools\";}'),('config.entity.key_store.menu','uuid:1fea7611-4fe0-491f-a800-efcefae9eb2b','a:1:{i:0;s:18:\"system.menu.footer\";}'),('config.entity.key_store.menu','uuid:2df9d83c-80b7-4ede-be00-e854bc4d3434','a:1:{i:0;s:16:\"system.menu.main\";}'),('config.entity.key_store.menu','uuid:754ea27e-0618-4746-bd33-51f2f07defef','a:1:{i:0;s:19:\"system.menu.account\";}'),('config.entity.key_store.menu','uuid:c3e4c83b-39ea-48b3-bc03-3d1b6ee08966','a:1:{i:0;s:17:\"system.menu.admin\";}'),('config.entity.key_store.menu','uuid:c89c9391-91f6-4f4c-9606-06170b00487a','a:1:{i:0;s:27:\"system.menu.categories-menu\";}'),('config.entity.key_store.menu','uuid:d4f019aa-2a40-4601-a90a-105362c087e7','a:1:{i:0;s:26:\"system.menu.anonymous-menu\";}'),('config.entity.key_store.node_type','uuid:60c78140-02a4-488e-b200-c9084a97d5cb','a:1:{i:0;s:26:\"node.type.simplenews_issue\";}'),('config.entity.key_store.node_type','uuid:79184f6b-5f8a-4aaa-9800-d112ab435ccc','a:1:{i:0;s:14:\"node.type.blog\";}'),('config.entity.key_store.node_type','uuid:8a36541e-ca19-45b8-8116-22952499837f','a:1:{i:0;s:18:\"node.type.showcase\";}'),('config.entity.key_store.node_type','uuid:95c1f9fb-9e56-4cac-9500-0a090bab42e1','a:1:{i:0;s:15:\"node.type.forum\";}'),('config.entity.key_store.node_type','uuid:be2272ce-1c6f-4f9f-8400-cf289ffcaf85','a:1:{i:0;s:14:\"node.type.page\";}'),('config.entity.key_store.node_type','uuid:e60edb83-c65a-4c76-8800-a9db0029a3f9','a:1:{i:0;s:17:\"node.type.article\";}'),('config.entity.key_store.pathauto_pattern','status:1','a:2:{i:0;s:21:\"pathauto.pattern.blog\";i:1;s:25:\"pathauto.pattern.showcase\";}'),('config.entity.key_store.pathauto_pattern','type:canonical_entities:node','a:2:{i:0;s:21:\"pathauto.pattern.blog\";i:1;s:25:\"pathauto.pattern.showcase\";}'),('config.entity.key_store.pathauto_pattern','uuid:6a178233-d4d7-480e-b975-07a80d31c364','a:1:{i:0;s:21:\"pathauto.pattern.blog\";}'),('config.entity.key_store.pathauto_pattern','uuid:6af5665b-b4de-464d-973d-71d9c7784644','a:1:{i:0;s:25:\"pathauto.pattern.showcase\";}'),('config.entity.key_store.rdf_mapping','uuid:0b135181-dc27-4b6f-925e-9481abacdd48','a:1:{i:0;s:24:\"rdf.mapping.node.article\";}'),('config.entity.key_store.rdf_mapping','uuid:26d0bc36-e978-4e1e-b500-ded2391e9b94','a:1:{i:0;s:21:\"rdf.mapping.user.user\";}'),('config.entity.key_store.rdf_mapping','uuid:3a611911-f089-4671-9b09-9fd18dbaf069','a:1:{i:0;s:30:\"rdf.mapping.taxonomy_term.tags\";}'),('config.entity.key_store.rdf_mapping','uuid:5b82b57c-9694-4bde-9146-701fa31f91c4','a:1:{i:0;s:27:\"rdf.mapping.comment.comment\";}'),('config.entity.key_store.rdf_mapping','uuid:6bd64769-7888-4dde-a500-b65381a0205e','a:1:{i:0;s:32:\"rdf.mapping.taxonomy_term.forums\";}'),('config.entity.key_store.rdf_mapping','uuid:dc7838ed-5ba1-4b7a-9300-f24cbf1bf07f','a:1:{i:0;s:22:\"rdf.mapping.node.forum\";}'),('config.entity.key_store.rdf_mapping','uuid:ff15bda1-a4a4-4e13-a31a-26d30ead3c94','a:1:{i:0;s:21:\"rdf.mapping.node.page\";}'),('config.entity.key_store.search_page','uuid:5b3c12c9-39e0-4abd-a808-8ba36978abd5','a:1:{i:0;s:23:\"search.page.user_search\";}'),('config.entity.key_store.search_page','uuid:e4b4595b-d6fe-4f25-a737-55889be9f8d6','a:1:{i:0;s:23:\"search.page.node_search\";}'),('config.entity.key_store.shortcut_set','uuid:de172eb0-3714-4af2-8e2f-475125bfbdd8','a:1:{i:0;s:20:\"shortcut.set.default\";}'),('config.entity.key_store.simplenews_newsletter','uuid:b7ce3338-e1f6-430c-8d00-0bc6e0d173a3','a:1:{i:0;s:29:\"simplenews.newsletter.default\";}'),('config.entity.key_store.taxonomy_vocabulary','uuid:671b16a7-b6e0-4384-9251-81abeedece08','a:1:{i:0;s:26:\"taxonomy.vocabulary.forums\";}'),('config.entity.key_store.taxonomy_vocabulary','uuid:ea3e3f7f-a9b0-4392-af56-86c5d602c3cb','a:1:{i:0;s:30:\"taxonomy.vocabulary.categories\";}'),('config.entity.key_store.taxonomy_vocabulary','uuid:f09a3045-db8b-4075-a10f-1554c37b0660','a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}'),('config.entity.key_store.taxonomy_vocabulary','uuid:f8a75a6c-d150-4615-af42-0c390e6a8467','a:1:{i:0;s:35:\"taxonomy.vocabulary.component_types\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.configurable_language.collection','a:1:{i:0;s:18:\"tour.tour.language\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.configurable_language.edit_form','a:1:{i:0;s:23:\"tour.tour.language-edit\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.view.edit_display_form','a:1:{i:0;s:18:\"tour.tour.views-ui\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.view.edit_form','a:1:{i:0;s:18:\"tour.tour.views-ui\";}'),('config.entity.key_store.tour','routes.*.route_name:language.add','a:1:{i:0;s:22:\"tour.tour.language-add\";}'),('config.entity.key_store.tour','routes.*.route_name:locale.translate_page','a:1:{i:0;s:16:\"tour.tour.locale\";}'),('config.entity.key_store.tour','uuid:23f8a2e8-9af9-4ca9-989d-2664753f0b01','a:1:{i:0;s:18:\"tour.tour.language\";}'),('config.entity.key_store.tour','uuid:68dfb092-93bb-40f3-b54c-e1f9ec0b81f4','a:1:{i:0;s:23:\"tour.tour.language-edit\";}'),('config.entity.key_store.tour','uuid:aed4a61c-3612-4ba2-983f-630103c8eca7','a:1:{i:0;s:18:\"tour.tour.views-ui\";}'),('config.entity.key_store.tour','uuid:ca24f041-53b4-45f0-98c0-3cf2e6afe954','a:1:{i:0;s:22:\"tour.tour.language-add\";}'),('config.entity.key_store.tour','uuid:f83778ee-10a7-4626-aa6f-5853082ac997','a:1:{i:0;s:16:\"tour.tour.locale\";}'),('config.entity.key_store.user_role','uuid:0997490d-3c00-4854-b300-be44480e6027','a:1:{i:0;s:19:\"user.role.anonymous\";}'),('config.entity.key_store.user_role','uuid:139c45bc-251a-4821-973f-63fc64bdf175','a:1:{i:0;s:23:\"user.role.authenticated\";}'),('config.entity.key_store.user_role','uuid:498f8330-efea-425e-b203-3e41cf260662','a:1:{i:0;s:23:\"user.role.administrator\";}'),('config.entity.key_store.view','uuid:096fe5b0-a8a6-47cf-9319-25a9788344e1','a:1:{i:0;s:20:\"views.view.who_s_new\";}'),('config.entity.key_store.view','uuid:14cedef4-92e4-417f-a10f-15e2aa57aef1','a:1:{i:0;s:16:\"views.view.files\";}'),('config.entity.key_store.view','uuid:1d7c19cb-f1e2-4de0-a102-2b581f63ed6b','a:1:{i:0;s:18:\"views.view.archive\";}'),('config.entity.key_store.view','uuid:2df9591e-5940-4d54-b753-83a1a6cc780c','a:1:{i:0;s:33:\"views.view.simplenews_subscribers\";}'),('config.entity.key_store.view','uuid:3666a46c-3fd9-4583-ad00-ea567b46c05e','a:1:{i:0;s:25:\"views.view.content_recent\";}'),('config.entity.key_store.view','uuid:65af5761-1e55-45ed-bc00-0d85c9511443','a:1:{i:0;s:26:\"views.view.comments_recent\";}'),('config.entity.key_store.view','uuid:6ec20b4a-d2ce-40ac-b90d-13df266b94f2','a:1:{i:0;s:23:\"views.view.tags_in_tags\";}'),('config.entity.key_store.view','uuid:80194863-f0f2-4e64-b03b-596934fb22cb','a:1:{i:0;s:19:\"views.view.showcase\";}'),('config.entity.key_store.view','uuid:80d942cf-7d88-4dc3-8ad9-9fad9398dc14','a:1:{i:0;s:18:\"views.view.comment\";}'),('config.entity.key_store.view','uuid:84908b76-6b39-4318-8954-84c4195a566d','a:1:{i:0;s:33:\"views.view.simplenews_newsletters\";}'),('config.entity.key_store.view','uuid:940a00dd-bbb3-4656-964e-78bf1813e33d','a:1:{i:0;s:23:\"views.view.who_s_online\";}'),('config.entity.key_store.view','uuid:a90ee9da-e74b-42fc-8c00-d9e60fda0454','a:1:{i:0;s:21:\"views.view.categories\";}'),('config.entity.key_store.view','uuid:ae1ab4a9-ef8b-4b61-9518-24a93fab4a15','a:1:{i:0;s:24:\"views.view.block_content\";}'),('config.entity.key_store.view','uuid:b2edd34f-ecf2-40ef-a45d-9321abf7ba6e','a:1:{i:0;s:25:\"views.view.featured_posts\";}'),('config.entity.key_store.view','uuid:bcc0f32a-084c-40f8-853f-63eb73b3a2c7','a:1:{i:0;s:18:\"views.view.content\";}'),('config.entity.key_store.view','uuid:c2100dc2-f241-459a-8700-a4648bf71e05','a:1:{i:0;s:19:\"views.view.glossary\";}'),('config.entity.key_store.view','uuid:cf73c925-1bf5-40f1-8800-e70611e8157d','a:1:{i:0;s:24:\"views.view.taxonomy_term\";}'),('config.entity.key_store.view','uuid:d9f94bc4-7b51-4441-9654-b5cd69975634','a:1:{i:0;s:19:\"views.view.watchdog\";}'),('config.entity.key_store.view','uuid:ea3cb363-b8b2-44c4-8827-39d4a2c5998e','a:1:{i:0;s:28:\"views.view.user_admin_people\";}'),('config.entity.key_store.view','uuid:f158fc9e-bd54-4cd7-8404-4e339ee75f6a','a:1:{i:0;s:20:\"views.view.frontpage\";}'),('entity.definitions.bundle_field_map','block_content','a:1:{s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}}'),('entity.definitions.bundle_field_map','comment','a:1:{s:12:\"comment_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:2:{s:7:\"comment\";s:7:\"comment\";s:13:\"comment_forum\";s:13:\"comment_forum\";}}}'),('entity.definitions.bundle_field_map','component_item','a:84:{s:10:\"field_body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:6:{s:9:\"accordion\";s:9:\"accordion\";s:15:\"basic_component\";s:15:\"basic_component\";s:4:\"grid\";s:4:\"grid\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:19:\"summary_information\";s:19:\"summary_information\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:17:\"field_large_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:11:\"banner_grid\";s:11:\"banner_grid\";}}s:17:\"field_small_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:11:\"banner_grid\";s:11:\"banner_grid\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:5:{s:15:\"basic_component\";s:15:\"basic_component\";s:8:\"carousel\";s:8:\"carousel\";s:19:\"summary_information\";s:19:\"summary_information\";s:13:\"topic_summary\";s:13:\"topic_summary\";s:11:\"testimonial\";s:11:\"testimonial\";}}s:10:\"field_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:7:{s:15:\"basic_component\";s:15:\"basic_component\";s:8:\"carousel\";s:8:\"carousel\";s:4:\"grid\";s:4:\"grid\";s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";s:9:\"slideshow\";s:9:\"slideshow\";s:19:\"summary_information\";s:19:\"summary_information\";s:13:\"topic_summary\";s:13:\"topic_summary\";}}s:15:\"field_card_body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:16:\"field_card_color\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:15:\"field_card_icon\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:15:\"field_card_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:4:\"card\";s:4:\"card\";}}s:17:\"field_description\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:8:\"carousel\";s:8:\"carousel\";}}s:10:\"field_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:8:\"carousel\";s:8:\"carousel\";}}s:26:\"field_classified_ads_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:14:\"classified_ads\";s:14:\"classified_ads\";}}s:25:\"field_classified_ads_text\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:14:\"classified_ads\";s:14:\"classified_ads\";}}s:10:\"field_icon\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"grid\";s:4:\"grid\";}}s:15:\"field_grid_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:4:\"grid\";s:4:\"grid\";}}s:20:\"field_gc_description\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:14:\"field_gc_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:13:\"field_gc_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:13:\"field_gc_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:13:\"grid_carousel\";s:13:\"grid_carousel\";}}s:15:\"field_hpi_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:21:\"horizontal_push_image\";s:21:\"horizontal_push_image\";}}s:13:\"field_pi_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:10:\"push_image\";s:10:\"push_image\";}}s:14:\"field_pi_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:10:\"push_image\";s:10:\"push_image\";}}s:13:\"field_pi_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:10:\"push_image\";s:10:\"push_image\";}}s:11:\"field_quote\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:2:{s:5:\"quote\";s:5:\"quote\";s:11:\"testimonial\";s:11:\"testimonial\";}}s:29:\"field_quote_description_infor\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:5:\"quote\";s:5:\"quote\";}}s:17:\"field_quote_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:5:\"quote\";s:5:\"quote\";}}s:23:\"field_quote_information\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:5:\"quote\";s:5:\"quote\";}}s:14:\"field_rc_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"related_content\";s:15:\"related_content\";}}s:13:\"field_rc_body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:15:\"related_content\";s:15:\"related_content\";}}s:13:\"field_rc_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"related_content\";s:15:\"related_content\";}}s:23:\"field_sidebar_link_text\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";}}s:28:\"field_sidebar_link_text_desc\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:17:\"sidebar_link_text\";s:17:\"sidebar_link_text\";}}s:27:\"field_sidebar_service_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"sidebar_service\";s:15:\"sidebar_service\";}}s:26:\"field_sidebar_service_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"sidebar_service\";s:15:\"sidebar_service\";}}s:14:\"field_captions\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:16:\"field_hero_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:23:\"field_mobile_hero_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:13:\"field_summary\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}s:29:\"field_slideshow_flexible_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:30:\"field_slideshow_flexible_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:29:\"field_slideshow_flexible_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:30:\"field_slideshow_flexible_sdesc\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:18:\"slideshow_flexible\";s:18:\"slideshow_flexible\";}}s:11:\"field_cells\";a:2:{s:4:\"type\";s:4:\"text\";s:7:\"bundles\";a:1:{s:12:\"table_column\";s:12:\"table_column\";}}s:19:\"field_table_columns\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"table\";s:5:\"table\";}}s:17:\"field_information\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:11:\"testimonial\";s:11:\"testimonial\";}}s:29:\"field_description_information\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:11:\"testimonial\";s:11:\"testimonial\";}}s:16:\"field_as_address\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:16:\"field_as_country\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:30:\"field_as_date_of_establishment\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:20:\"field_as_description\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:14:\"field_as_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:13:\"field_as_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:22:\"field_as_opening_hours\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"article_summary\";s:15:\"article_summary\";}}s:19:\"field_counter_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:7:\"counter\";s:7:\"counter\";}}s:20:\"field_counter_number\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"counter\";s:7:\"counter\";}}s:27:\"field_divider_section_color\";a:2:{s:4:\"type\";s:16:\"color_field_type\";s:7:\"bundles\";a:1:{s:15:\"divider_section\";s:15:\"divider_section\";}}s:26:\"field_divider_section_desc\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:15:\"divider_section\";s:15:\"divider_section\";}}s:27:\"field_divider_section_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"divider_section\";s:15:\"divider_section\";}}s:13:\"field_pv_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:20:\"field_pv_embed_video\";a:2:{s:4:\"type\";s:17:\"video_embed_field\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:19:\"field_pv_video_file\";a:2:{s:4:\"type\";s:4:\"file\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:13:\"field_pv_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:16:\"field_pv_display\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:10:\"push_video\";s:10:\"push_video\";}}s:25:\"field_service_block_color\";a:2:{s:4:\"type\";s:16:\"color_field_type\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:31:\"field_service_block_description\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:25:\"field_service_block_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:24:\"field_service_block_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:13:\"service_block\";s:13:\"service_block\";}}s:26:\"field_sidebar_summary_desc\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:27:\"field_sidebar_summary_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:26:\"field_sidebar_summary_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:32:\"field_sidebar_summary_created_by\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:26:\"field_sidebar_summary_date\";a:2:{s:4:\"type\";s:8:\"datetime\";s:7:\"bundles\";a:1:{s:15:\"sidebar_summary\";s:15:\"sidebar_summary\";}}s:13:\"field_process\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";}}s:15:\"field_sbp_color\";a:2:{s:4:\"type\";s:16:\"color_field_type\";s:7:\"bundles\";a:1:{s:22:\"statistic_bar_progress\";s:22:\"statistic_bar_progress\";}}s:27:\"field_content_statistic_bar\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:13:\"statistic_bar\";s:13:\"statistic_bar\";}}s:28:\"field_statistic_bar_progress\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:13:\"statistic_bar\";s:13:\"statistic_bar\";}}s:13:\"field_ti_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:13:\"field_ti_icon\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:13:\"field_ti_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:14:\"field_ti_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:14:\"field_ti_video\";a:2:{s:4:\"type\";s:17:\"video_embed_field\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:10:\"field_type\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:13:\"timeline_item\";s:13:\"timeline_item\";}}s:13:\"field_ti_left\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:8:\"timeline\";s:8:\"timeline\";}}s:14:\"field_ti_right\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:8:\"timeline\";s:8:\"timeline\";}}}'),('entity.definitions.bundle_field_map','component_wrapper','a:28:{s:15:\"field_accordion\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:17:\"field_banner_grid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_basic_component\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:10:\"field_card\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"field_carousel\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:20:\"field_classified_ads\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:10:\"field_grid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_grid_carousel\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:27:\"field_horizontal_push_image\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"field_push_image\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:11:\"field_quote\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_related_content\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:23:\"field_sidebar_link_text\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_sidebar_service\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:15:\"field_slideshow\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:24:\"field_slideshow_flexible\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:25:\"field_summary_information\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:11:\"field_table\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:17:\"field_testimonial\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_topic_summary\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_article_summary\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:13:\"field_counter\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_divider_section\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:16:\"field_push_video\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_service_block\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:21:\"field_sidebar_summary\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:19:\"field_statistic_bar\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}s:14:\"field_timeline\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"component_wrapper\";s:17:\"component_wrapper\";}}}'),('entity.definitions.bundle_field_map','node','a:11:{s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:6:{s:7:\"article\";s:7:\"article\";s:4:\"page\";s:4:\"page\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:4:\"blog\";s:4:\"blog\";s:8:\"showcase\";s:8:\"showcase\";s:5:\"forum\";s:5:\"forum\";}}s:7:\"comment\";a:2:{s:4:\"type\";s:7:\"comment\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:3:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:8:\"showcase\";s:8:\"showcase\";}}s:10:\"field_tags\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:16:\"simplenews_issue\";a:2:{s:4:\"type\";s:16:\"simplenews_issue\";s:7:\"bundles\";a:1:{s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:14:\"field_category\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:10:\"field_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}}s:13:\"comment_forum\";a:2:{s:4:\"type\";s:7:\"comment\";s:7:\"bundles\";a:1:{s:5:\"forum\";s:5:\"forum\";}}s:15:\"taxonomy_forums\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"forum\";s:5:\"forum\";}}s:16:\"field_video_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:16:\"field_components\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"page\";s:4:\"page\";}}}'),('entity.definitions.bundle_field_map','simplenews_subscriber','a:1:{s:13:\"subscriptions\";a:2:{s:4:\"type\";s:23:\"simplenews_subscription\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}}'),('entity.definitions.bundle_field_map','taxonomy_term','a:2:{s:15:\"forum_container\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:6:\"forums\";s:6:\"forums\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}}}'),('entity.definitions.bundle_field_map','user','a:1:{s:12:\"user_picture\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}}'),('entity.definitions.installed','action.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:6:\"plugin\";i:4;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:6:\"action\";s:11:\"\0*\0provider\";s:6:\"system\";s:8:\"\0*\0class\";s:27:\"Drupal\\system\\Entity\\Action\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:18:\"administer actions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:action_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','base_field_override.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:19:\"base_field_override\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"base_field_override\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:7:\"storage\";s:42:\"Drupal\\Core\\Field\\BaseFieldOverrideStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:base_field_override_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','block.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:5:\"theme\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"theme\";i:2;s:6:\"region\";i:3;s:6:\"weight\";i:4;s:8:\"provider\";i:5;s:6:\"plugin\";i:6;s:8:\"settings\";i:7;s:10:\"visibility\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:5:\"block\";s:11:\"\0*\0provider\";s:5:\"block\";s:8:\"\0*\0class\";s:25:\"Drupal\\block\\Entity\\Block\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:38:\"Drupal\\block\\BlockAccessControlHandler\";s:12:\"view_builder\";s:29:\"Drupal\\block\\BlockViewBuilder\";s:12:\"list_builder\";s:29:\"Drupal\\block\\BlockListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:22:\"Drupal\\block\\BlockForm\";s:6:\"delete\";s:33:\"Drupal\\block\\Form\\BlockDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:11:\"delete-form\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:9:\"edit-form\";s:37:\"/admin/structure/block/manage/{block}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:17:\"config:block_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','block_content.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:0;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:4:\"info\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:13:\"block_content\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:6:\"access\";s:53:\"Drupal\\block_content\\BlockContentAccessControlHandler\";s:12:\"list_builder\";s:44:\"Drupal\\block_content\\BlockContentListBuilder\";s:12:\"view_builder\";s:44:\"Drupal\\block_content\\BlockContentViewBuilder\";s:10:\"views_data\";s:42:\"Drupal\\block_content\\BlockContentViewsData\";s:4:\"form\";a:4:{s:3:\"add\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:4:\"edit\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:6:\"delete\";s:48:\"Drupal\\block_content\\Form\\BlockContentDeleteForm\";s:7:\"default\";s:37:\"Drupal\\block_content\\BlockContentForm\";}s:11:\"translation\";s:51:\"Drupal\\block_content\\BlockContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"canonical\";s:22:\"/block/{block_content}\";s:11:\"delete-form\";s:29:\"/block/{block_content}/delete\";s:9:\"edit-form\";s:22:\"/block/{block_content}\";s:10:\"collection\";s:36:\"/admin/structure/block/block-content\";}s:21:\"\0*\0bundle_entity_type\";s:18:\"block_content_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:13:\"block_content\";s:22:\"\0*\0revision_data_table\";s:28:\"block_content_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"block_content_revision\";s:13:\"\0*\0data_table\";s:24:\"block_content_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:35:\"entity.block_content_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"block_content_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','block_content.field_storage_definitions','a:16:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Custom block ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The custom block ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"The revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:112;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"info\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:151;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Block description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A brief description of your block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:11:\"constraints\";a:1:{s:11:\"UniqueField\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:195;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:18:\"block_content_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The block type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:230;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The log entry explaining the changes in this revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:261;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the custom block was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:291;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:331;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:18:\"block_content.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"block_content.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3d354244-c393-4078-b73e-6288a45e6101\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:18:\"\0*\0pluginConfigKey\";N;}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:407;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:436;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:472;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:517;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:8:\"reusable\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:560;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reusable\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"A boolean indicating whether this block is reusable.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:12:\"revisionable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:8:\"reusable\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','block_content_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:8:\"revision\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:18:\"block_content_type\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:8:\"\0*\0class\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:7:\"default\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:3:\"add\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:4:\"edit\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:6:\"delete\";s:52:\"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm\";}s:12:\"list_builder\";s:48:\"Drupal\\block_content\\BlockContentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:9:\"edit-form\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:10:\"collection\";s:42:\"/admin/structure/block/block-content/types\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"block_content\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:30:\"config:block_content_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','comment.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:3:\"cid\";s:6:\"bundle\";s:12:\"comment_type\";s:5:\"label\";s:7:\"subject\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:7:\"comment\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:8:{s:7:\"storage\";s:29:\"Drupal\\comment\\CommentStorage\";s:14:\"storage_schema\";s:35:\"Drupal\\comment\\CommentStorageSchema\";s:6:\"access\";s:42:\"Drupal\\comment\\CommentAccessControlHandler\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:12:\"view_builder\";s:33:\"Drupal\\comment\\CommentViewBuilder\";s:10:\"views_data\";s:31:\"Drupal\\comment\\CommentViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:26:\"Drupal\\comment\\CommentForm\";s:6:\"delete\";s:30:\"Drupal\\comment\\Form\\DeleteForm\";}s:11:\"translation\";s:40:\"Drupal\\comment\\CommentTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:18:\"/comment/{comment}\";s:11:\"delete-form\";s:25:\"/comment/{comment}/delete\";s:9:\"edit-form\";s:23:\"/comment/{comment}/edit\";}s:21:\"\0*\0bundle_entity_type\";s:12:\"comment_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:7:\"comment\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:18:\"comment_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:11:\"comment_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.comment_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:12:\"comment_list\";}s:14:\"\0*\0constraints\";a:3:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0provider\";s:7:\"comment\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','comment.field_storage_definitions','a:20:{s:3:\"cid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The comment ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"cid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:3:\"pid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:7:\"comment\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Parent ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The parent comment ID if this is a reply to a comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"pid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:9:\"entity_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:110;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"node\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:9:\"entity_id\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:146;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:184;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:64;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:220;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The user ID of the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";i:0;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:259;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:60;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment author\'s name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:296;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The comment author\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"homepage\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:326;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Homepage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The comment author\'s home page address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"hostname\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:359;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The comment author\'s hostname.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:22:\"default_value_callback\";s:49:\"Drupal\\comment\\Entity\\Comment::getDefaultHostname\";}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:394;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:423;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The time that the comment was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";r:463;s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"A boolean indicating whether the comment is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";r:477;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:6:\"thread\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:519;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Thread place\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"The alphadecimal representation of the comment\'s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"thread\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:11:\"entity_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:552;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The entity type to which this comment is attached.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:11:\"entity_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:8:\"required\";b:1;}}s:12:\"comment_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:586;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"comment_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:12:\"comment_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:10:\"field_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:621;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The field name through which this comment was added.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:10:\"field_name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:8:\"required\";b:1;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:655;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:12:\"comment_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:5:\"\0*\0id\";s:20:\"comment.comment_body\";s:13:\"\0*\0field_name\";s:12:\"comment_body\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:20:\"comment.comment_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a0c95dfd-eefb-4340-a535-530e96af7242\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}}'),('entity.definitions.installed','comment_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:21:\"target_entity_type_id\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"comment_type\";s:11:\"\0*\0provider\";s:7:\"comment\";s:8:\"\0*\0class\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:3:\"add\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:4:\"edit\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:6:\"delete\";s:41:\"Drupal\\comment\\Form\\CommentTypeDeleteForm\";}s:12:\"list_builder\";s:37:\"Drupal\\comment\\CommentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer comment types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:8:\"add-form\";s:34:\"/admin/structure/comment/types/add\";s:10:\"collection\";s:30:\"/admin/structure/comment/types\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:7:\"comment\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:comment_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','component_item.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:14:\"component_item\";s:8:\"\0*\0class\";s:45:\"Drupal\\component_builder\\Entity\\ComponentItem\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:11:{s:2:\"id\";s:17:\"component_item_id\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:11:\"admin_title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:3:\"uid\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:45:\"Drupal\\component_builder\\Entity\\ComponentItem\";s:11:\"\0*\0handlers\";a:13:{s:6:\"access\";s:40:\"Drupal\\entity\\EntityAccessControlHandler\";s:12:\"query_access\";s:44:\"Drupal\\entity\\QueryAccess\\QueryAccessHandler\";s:19:\"permission_provider\";s:38:\"Drupal\\entity\\EntityPermissionProvider\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:49:\"Drupal\\component_builder\\ComponentItemListBuilder\";s:10:\"views_data\";s:28:\"Drupal\\views\\EntityViewsData\";s:10:\"moderation\";s:40:\"Drupal\\content_moderation\\Entity\\Handler\";s:4:\"form\";a:5:{s:7:\"default\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:3:\"add\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:4:\"edit\";s:47:\"Drupal\\component_builder\\Form\\ComponentItemForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"inline_form\";s:53:\"Drupal\\component_builder\\Form\\ComponentItemInlineForm\";s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:2:{s:7:\"default\";s:44:\"Drupal\\entity\\Routing\\AdminHtmlRouteProvider\";s:15:\"delete-multiple\";s:49:\"Drupal\\entity\\Routing\\DeleteMultipleRouteProvider\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:25:\"administer component_item\";s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:11:{s:9:\"canonical\";s:32:\"/component-item/{component_item}\";s:8:\"add-page\";s:35:\"/admin/structure/component-item/add\";s:8:\"add-form\";s:57:\"/admin/structure/component-item/add/{component_item_type}\";s:9:\"edit-form\";s:53:\"/admin/structure/component-item/{component_item}/edit\";s:11:\"delete-form\";s:55:\"/admin/structure/component-item/{component_item}/delete\";s:20:\"delete-multiple-form\";s:38:\"/admin/structure/component-item/delete\";s:10:\"collection\";s:32:\"/admin/structure/component-items\";s:35:\"drupal:content-translation-overview\";s:45:\"/component-item/{component_item}/translations\";s:30:\"drupal:content-translation-add\";s:67:\"/component-item/{component_item}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:61:\"/component-item/{component_item}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:63:\"/component-item/{component_item}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";s:19:\"component_item_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:14:\"component_item\";s:22:\"\0*\0revision_data_table\";s:29:\"component_item_field_revision\";s:17:\"\0*\0revision_table\";s:23:\"component_item_revision\";s:13:\"\0*\0data_table\";s:25:\"component_item_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Component Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:21:\"@count Component Item\";s:6:\"plural\";s:22:\"@count Component Items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:36:\"entity.component_item_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:19:\"component_item_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:14:\"component_item\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}'),('entity.definitions.installed','component_item.field_storage_definitions','a:98:{s:17:\"component_item_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"component_item_id\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:36;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:69;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:103;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";s:19:\"Component Item type\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"component_item_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:141;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:68:\"Drupal\\component_builder\\Entity\\ComponentItem::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The entity author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:172;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:219;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:11:\"admin_title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Admin title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:11:\"admin_title\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:263;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Optional, this field will be displayed in front end if not empty.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:308;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The time when the entity was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:356;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time when the entity was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:396;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:427;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:470;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:14:\"component_item\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:512;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:10:\"field_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2af0b498-1eda-4d91-b1f2-7e701bf27734\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_body\";s:13:\"\0*\0field_name\";s:10:\"field_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_large_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_large_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4e39385c-2822-4720-bbea-0e625958fee0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_large_image\";s:13:\"\0*\0field_name\";s:17:\"field_large_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_small_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_small_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"dcf5e31d-536f-485a-9aaf-d89efd3582fb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_small_image\";s:13:\"\0*\0field_name\";s:17:\"field_small_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8da319df-3752-41c3-acae-5cab6bdba54c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"19453461-238e-4a8b-b18b-50baa27f81ba\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:14:\"component_item\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"38ffb927-b300-4e20-b658-f929679ada4d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_body\";s:13:\"\0*\0field_name\";s:15:\"field_card_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_card_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_card_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0ceafd0a-ac62-4625-9657-4ae96581b3dc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_card_color\";s:13:\"\0*\0field_name\";s:16:\"field_card_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:5:{s:6:\"purple\";s:6:\"Purple\";s:6:\"orange\";s:6:\"Orange\";s:5:\"green\";s:5:\"Green\";s:6:\"yellow\";s:6:\"Yellow\";s:4:\"blue\";s:4:\"Blue\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e0e0f150-60e3-4847-a845-289a3f8b4956\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_icon\";s:13:\"\0*\0field_name\";s:15:\"field_card_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_card_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_card_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f00e1e48-2ce6-46dd-a4fa-4747b65c213d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_card_link\";s:13:\"\0*\0field_name\";s:15:\"field_card_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e0defae0-36de-41f7-83f6-d5480cc3108d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_description\";s:13:\"\0*\0field_name\";s:17:\"field_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b119dd22-b72c-4419-8dc6-48e357cb07d8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_date\";s:13:\"\0*\0field_name\";s:10:\"field_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_classified_ads_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_classified_ads_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a6dfe7e3-7776-48f6-8174-9bf2aeea4854\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_classified_ads_image\";s:13:\"\0*\0field_name\";s:26:\"field_classified_ads_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_classified_ads_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_classified_ads_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a949f6b4-5ac8-405a-84ff-7c09dd7bc66e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_classified_ads_text\";s:13:\"\0*\0field_name\";s:25:\"field_classified_ads_text\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b4b9461a-ead6-4667-b348-ac386dc77c61\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:14:\"component_item\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_icon\";s:13:\"\0*\0field_name\";s:10:\"field_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_grid_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_grid_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa1a769e-672f-4acc-b68f-ba3d95c6e639\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_grid_date\";s:13:\"\0*\0field_name\";s:15:\"field_grid_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_gc_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_gc_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"247c5671-a349-4094-928c-c4e07eb5d86f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_gc_description\";s:13:\"\0*\0field_name\";s:20:\"field_gc_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_gc_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_gc_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"47a7966e-0272-4534-9176-ea2a6c980d7d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_gc_image\";s:13:\"\0*\0field_name\";s:14:\"field_gc_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_gc_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_gc_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c4733456-7beb-4319-9290-76ff7bc82374\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_gc_link\";s:13:\"\0*\0field_name\";s:13:\"field_gc_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_gc_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_gc_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2f441837-fe29-4737-8c1c-877c554fdc77\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_gc_date\";s:13:\"\0*\0field_name\";s:13:\"field_gc_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_hpi_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_hpi_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ebcd0742-9d35-419d-8a26-d22939c478ff\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:14:\"component_item\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_hpi_image\";s:13:\"\0*\0field_name\";s:15:\"field_hpi_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pi_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pi_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9e7b41e1-2339-43da-a3f5-af6ff15eb406\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pi_body\";s:13:\"\0*\0field_name\";s:13:\"field_pi_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_pi_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_pi_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e6681696-99e7-41ae-81f0-07605b47b599\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_pi_image\";s:13:\"\0*\0field_name\";s:14:\"field_pi_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pi_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pi_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"687b0a24-ad3e-4eb5-a685-acbddf6b07cc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pi_link\";s:13:\"\0*\0field_name\";s:13:\"field_pi_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_quote\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_quote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"88c7118b-2a64-4b0b-8afd-bfa7c50dce23\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_quote\";s:13:\"\0*\0field_name\";s:11:\"field_quote\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_quote_description_infor\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_quote_description_infor\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"00a3013b-7b5d-4fef-9805-c21e6eb7b986\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_quote_description_infor\";s:13:\"\0*\0field_name\";s:29:\"field_quote_description_infor\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_quote_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_quote_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"997a6fa0-bbc6-48b2-82b5-08b62e31d98a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_quote_image\";s:13:\"\0*\0field_name\";s:17:\"field_quote_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_quote_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_quote_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"58065421-cde4-4347-88f5-b7d5a2d6c559\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_quote_information\";s:13:\"\0*\0field_name\";s:23:\"field_quote_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_rc_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_rc_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0d867af5-278d-42ee-90b7-0f9ab324c9cf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_rc_image\";s:13:\"\0*\0field_name\";s:14:\"field_rc_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_rc_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_rc_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6b3bf3e7-1eda-4c1b-bc9c-8ba1651d5796\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_rc_body\";s:13:\"\0*\0field_name\";s:13:\"field_rc_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_rc_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_rc_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0702f0fb-3c07-4e34-8e38-377eb6b2e486\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_rc_link\";s:13:\"\0*\0field_name\";s:13:\"field_rc_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_sidebar_link_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_sidebar_link_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4c8a74b5-5416-4a21-b35a-d822fb887719\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_sidebar_link_text\";s:13:\"\0*\0field_name\";s:23:\"field_sidebar_link_text\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:28:\"field_sidebar_link_text_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_item.field_sidebar_link_text_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"afee4116-0aa6-4aae-b0d2-65a525a9f0f3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_item.field_sidebar_link_text_desc\";s:13:\"\0*\0field_name\";s:28:\"field_sidebar_link_text_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_sidebar_service_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_sidebar_service_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c5b13407-15fa-42ee-9c03-127a5bf7d7b7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_sidebar_service_image\";s:13:\"\0*\0field_name\";s:27:\"field_sidebar_service_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_service_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_service_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0cd7bad3-6c44-4035-acb5-9e75c3c90e46\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_service_link\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_service_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_captions\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_captions\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ddbeb4e2-40fb-4f77-ba33-1479e6f4958a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_captions\";s:13:\"\0*\0field_name\";s:14:\"field_captions\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_hero_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_hero_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4efd9db0-acd7-4fef-9953-b722aa44eca0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_hero_image\";s:13:\"\0*\0field_name\";s:16:\"field_hero_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_mobile_hero_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_item.field_mobile_hero_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3c8e6a52-d7d7-4e25-88b1-fe2a8c31e8a7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_item.field_mobile_hero_image\";s:13:\"\0*\0field_name\";s:23:\"field_mobile_hero_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a06bfa21-fd72-44e5-9446-1c701a5c83b1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_summary\";s:13:\"\0*\0field_name\";s:13:\"field_summary\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_slideshow_flexible_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_slideshow_flexible_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f6ddd448-d211-4856-9da4-11760e8a0e03\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_slideshow_flexible_date\";s:13:\"\0*\0field_name\";s:29:\"field_slideshow_flexible_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:8:\"datetime\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_slideshow_flexible_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_slideshow_flexible_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9649a571-0fd5-4e7a-8d33-16a1b70880f5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_slideshow_flexible_image\";s:13:\"\0*\0field_name\";s:30:\"field_slideshow_flexible_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_slideshow_flexible_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_slideshow_flexible_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0e89bc6a-f054-4725-b1b3-99b49fbc0605\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_slideshow_flexible_link\";s:13:\"\0*\0field_name\";s:29:\"field_slideshow_flexible_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_slideshow_flexible_sdesc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ffca2e43-e9d1-482f-bd13-60eb1f343f8e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_slideshow_flexible_sdesc\";s:13:\"\0*\0field_name\";s:30:\"field_slideshow_flexible_sdesc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_cells\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"component_item.field_cells\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b761d1a0-b698-4d91-8bed-62a95e5fe05d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:14:\"component_item\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:26:\"component_item.field_cells\";s:13:\"\0*\0field_name\";s:11:\"field_cells\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"text\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:1:{s:10:\"max_length\";i:255;}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_table_columns\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_table_columns\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa48bf78-58ac-4f12-b308-4720ea3b5860\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:14:\"component_item\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_table_columns\";s:13:\"\0*\0field_name\";s:19:\"field_table_columns\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_item.field_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"25865b85-1eb3-488c-9e76-5203d24856b3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_item.field_information\";s:13:\"\0*\0field_name\";s:17:\"field_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:29:\"field_description_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:44:\"component_item.field_description_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b5753c99-7e2b-44d4-afc3-f667c5f579b0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:44:\"component_item.field_description_information\";s:13:\"\0*\0field_name\";s:29:\"field_description_information\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_as_address\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_as_address\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"29649109-de2f-43e3-953b-a60877312e98\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_as_address\";s:13:\"\0*\0field_name\";s:16:\"field_as_address\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_as_country\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_as_country\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e45b49a-7497-41c8-9fe0-ef35c448737f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_as_country\";s:13:\"\0*\0field_name\";s:16:\"field_as_country\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:30:\"field_as_date_of_establishment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_item.field_as_date_of_establishment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9963b3ad-9973-4733-b4f3-0a07939b2d1b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_item.field_as_date_of_establishment\";s:13:\"\0*\0field_name\";s:30:\"field_as_date_of_establishment\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_as_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_as_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d69cd62b-e070-443e-931c-2fb65467b8ac\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_as_description\";s:13:\"\0*\0field_name\";s:20:\"field_as_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_as_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_as_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0df357f9-9000-4d10-a1d5-b95ca58ad347\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_as_image\";s:13:\"\0*\0field_name\";s:14:\"field_as_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_as_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_as_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e64ac45-b787-4b8c-bd29-a4c756766c32\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_as_link\";s:13:\"\0*\0field_name\";s:13:\"field_as_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:22:\"field_as_opening_hours\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_item.field_as_opening_hours\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f237390d-1b71-4d34-989e-b25083742132\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_item.field_as_opening_hours\";s:13:\"\0*\0field_name\";s:22:\"field_as_opening_hours\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_counter_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_counter_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3e48c0cd-cbbd-4843-9cd7-28dc7a9dbfc3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_counter_image\";s:13:\"\0*\0field_name\";s:19:\"field_counter_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_counter_number\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_counter_number\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"064e4341-d78d-4183-9f6c-7d6feb435228\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_counter_number\";s:13:\"\0*\0field_name\";s:20:\"field_counter_number\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_divider_section_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_divider_section_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fc08a9e3-2a76-475d-8bb8-52d53df85011\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_divider_section_color\";s:13:\"\0*\0field_name\";s:27:\"field_divider_section_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_divider_section_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_divider_section_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"13277562-7e47-4f7b-bfc0-1de5e0af4c8b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_divider_section_desc\";s:13:\"\0*\0field_name\";s:26:\"field_divider_section_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_divider_section_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_divider_section_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"769afb6e-740d-473b-b0a2-12f59b58b8a6\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_divider_section_image\";s:13:\"\0*\0field_name\";s:27:\"field_divider_section_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pv_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pv_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"619be666-5172-48ad-aab2-ffd9c882408a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pv_body\";s:13:\"\0*\0field_name\";s:13:\"field_pv_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_pv_embed_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_item.field_pv_embed_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4f57c952-1b2f-4a58-8b79-4db7ce93edf0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_item.field_pv_embed_video\";s:13:\"\0*\0field_name\";s:20:\"field_pv_embed_video\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_pv_video_file\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_item.field_pv_video_file\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cef29921-f15f-4a7b-855d-314603639f52\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_item.field_pv_video_file\";s:13:\"\0*\0field_name\";s:19:\"field_pv_video_file\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"file\";s:9:\"\0*\0module\";s:4:\"file\";s:11:\"\0*\0settings\";a:4:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_pv_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_pv_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9faac48c-0616-4991-8552-fa73654bf547\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_pv_link\";s:13:\"\0*\0field_name\";s:13:\"field_pv_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_pv_display\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_item.field_pv_display\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f1317a3e-8da7-4077-9aaf-857d8768a5e2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_item.field_pv_display\";s:13:\"\0*\0field_name\";s:16:\"field_pv_display\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{s:11:\"video_embed\";s:11:\"Video Embed\";s:10:\"video_file\";s:10:\"Video File\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_service_block_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_service_block_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7e21538f-daf2-43d7-b9c7-8f3736ea14da\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_service_block_color\";s:13:\"\0*\0field_name\";s:25:\"field_service_block_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:31:\"field_service_block_description\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:46:\"component_item.field_service_block_description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"68777643-84d2-4f21-addf-0fbae5c8e516\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:46:\"component_item.field_service_block_description\";s:13:\"\0*\0field_name\";s:31:\"field_service_block_description\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_service_block_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:40:\"component_item.field_service_block_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"63538f7a-6fef-469d-a616-af393994c131\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:40:\"component_item.field_service_block_image\";s:13:\"\0*\0field_name\";s:25:\"field_service_block_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:24:\"field_service_block_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_item.field_service_block_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c76066c1-180e-43da-acca-ca7edcb55f58\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_item.field_service_block_link\";s:13:\"\0*\0field_name\";s:24:\"field_service_block_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_desc\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_desc\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9eef7e00-dbaa-478b-8fc7-f34c7e8d41d3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_desc\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_desc\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_sidebar_summary_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_sidebar_summary_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"759e9249-4138-4851-a49e-170feb76aefb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_sidebar_summary_image\";s:13:\"\0*\0field_name\";s:27:\"field_sidebar_summary_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1ba40339-faab-4195-9a3f-1439e604025b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_link\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:32:\"field_sidebar_summary_created_by\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:47:\"component_item.field_sidebar_summary_created_by\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c63c0a41-fe49-4318-8246-8a3002748e90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:47:\"component_item.field_sidebar_summary_created_by\";s:13:\"\0*\0field_name\";s:32:\"field_sidebar_summary_created_by\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;s:8:\"is_ascii\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:26:\"field_sidebar_summary_date\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_item.field_sidebar_summary_date\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2ee66812-1877-425f-85c1-d826eb79f02c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:8:\"datetime\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_item.field_sidebar_summary_date\";s:13:\"\0*\0field_name\";s:26:\"field_sidebar_summary_date\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:8:\"datetime\";s:9:\"\0*\0module\";s:8:\"datetime\";s:11:\"\0*\0settings\";a:1:{s:13:\"datetime_type\";s:4:\"date\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_process\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_process\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7305801-a2b8-49d5-a395-bcae249c13fb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_process\";s:13:\"\0*\0field_name\";s:13:\"field_process\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:2:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_sbp_color\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"component_item.field_sbp_color\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"01d4343a-2f59-4982-a45b-65f26210a364\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:11:\"color_field\";i:1;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:30:\"component_item.field_sbp_color\";s:13:\"\0*\0field_name\";s:15:\"field_sbp_color\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"color_field_type\";s:9:\"\0*\0module\";s:11:\"color_field\";s:11:\"\0*\0settings\";a:1:{s:6:\"format\";s:7:\"#HEXHEX\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_content_statistic_bar\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_item.field_content_statistic_bar\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aa3f583c-4227-4142-b163-9eedafa87b3c\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_item.field_content_statistic_bar\";s:13:\"\0*\0field_name\";s:27:\"field_content_statistic_bar\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:28:\"field_statistic_bar_progress\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_item.field_statistic_bar_progress\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a23196a8-d216-4f63-80f4-494f779ed0fe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_item.field_statistic_bar_progress\";s:13:\"\0*\0field_name\";s:28:\"field_statistic_bar_progress\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a0f4c01f-e880-4e50-8f40-e2aa27457580\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_body\";s:13:\"\0*\0field_name\";s:13:\"field_ti_body\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_icon\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_icon\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4a892c1c-81f4-45e4-8804-1a1f23d41c73\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_icon\";s:13:\"\0*\0field_name\";s:13:\"field_ti_icon\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aae31211-fc86-4161-a57b-c72b881f2def\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_link\";s:13:\"\0*\0field_name\";s:13:\"field_ti_link\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c84a3ffc-8007-47d8-80cd-2d59f1f9b195\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:17:\"component_builder\";i:1;s:4:\"file\";i:2;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_image\";s:13:\"\0*\0field_name\";s:14:\"field_ti_image\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a6d1b8d3-2807-4fdd-aa30-7cd6fde483eb\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_video\";s:13:\"\0*\0field_name\";s:14:\"field_ti_video\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"component_item.field_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b70990d4-3b40-4af7-87c8-90236dd35868\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:17:\"component_builder\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:25:\"component_item.field_type\";s:13:\"\0*\0field_name\";s:10:\"field_type\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{s:5:\"image\";s:5:\"Image\";s:5:\"video\";s:5:\"Video\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_ti_left\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_item.field_ti_left\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"752b7b9b-194d-4ebe-a748-dd330b193597\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_item.field_ti_left\";s:13:\"\0*\0field_name\";s:13:\"field_ti_left\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_ti_right\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_item.field_ti_right\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6ff5cda7-0402-4d91-b4cc-65ba513ecb90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"component_builder\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_item.field_ti_right\";s:13:\"\0*\0field_name\";s:14:\"field_ti_right\";s:14:\"\0*\0entity_type\";s:14:\"component_item\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}}'),('entity.definitions.installed','component_item_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":43:{s:5:\"\0*\0id\";s:19:\"component_item_type\";s:8:\"\0*\0class\";s:49:\"Drupal\\component_builder\\Entity\\ComponentItemType\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:0;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";s:49:\"Drupal\\component_builder\\Entity\\ComponentItemType\";s:11:\"\0*\0handlers\";a:8:{s:6:\"access\";s:46:\"Drupal\\entity\\BundleEntityAccessControlHandler\";s:12:\"list_builder\";s:53:\"Drupal\\component_builder\\ComponentItemTypeListBuilder\";s:4:\"form\";a:4:{s:3:\"add\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:4:\"edit\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:9:\"duplicate\";s:51:\"Drupal\\component_builder\\Form\\ComponentItemTypeForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:1:{s:7:\"default\";s:46:\"Drupal\\entity\\Routing\\DefaultHtmlRouteProvider\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:11:\"inline_form\";s:48:\"\\Drupal\\inline_entity_form\\Form\\EntityInlineForm\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:30:\"administer component_item_type\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:41:\"/admin/structure/component-item/types/add\";s:9:\"edit-form\";s:64:\"/admin/structure/component-item/types/{component_item_type}/edit\";s:14:\"duplicate-form\";s:69:\"/admin/structure/component-item/types/{component_item_type}/duplicate\";s:11:\"delete-form\";s:66:\"/admin/structure/component-item/types/{component_item_type}/delete\";s:10:\"collection\";s:37:\"/admin/structure/component-item/types\";s:27:\"config-translation-overview\";s:74:\"/admin/structure/component-item/types/{component_item_type}/edit/translate\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:14:\"component_item\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Component Item type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:26:\"@count Component Item type\";s:6:\"plural\";s:27:\"@count Component Item types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:component_item_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"component_item_type\";}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:16:\"\0*\0config_prefix\";s:19:\"component_item_type\";s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}}'),('entity.definitions.installed','component_wrapper.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:17:\"component_wrapper\";s:8:\"\0*\0class\";s:48:\"Drupal\\component_builder\\Entity\\ComponentWrapper\";s:11:\"\0*\0provider\";s:17:\"component_builder\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:11:{s:2:\"id\";s:20:\"component_wrapper_id\";s:8:\"revision\";s:3:\"vid\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:3:\"uid\";s:3:\"uid\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:16:\"\0*\0originalClass\";s:48:\"Drupal\\component_builder\\Entity\\ComponentWrapper\";s:11:\"\0*\0handlers\";a:13:{s:6:\"access\";s:40:\"Drupal\\entity\\EntityAccessControlHandler\";s:12:\"query_access\";s:44:\"Drupal\\entity\\QueryAccess\\QueryAccessHandler\";s:19:\"permission_provider\";s:38:\"Drupal\\entity\\EntityPermissionProvider\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:52:\"Drupal\\component_builder\\ComponentWrapperListBuilder\";s:10:\"views_data\";s:28:\"Drupal\\views\\EntityViewsData\";s:10:\"moderation\";s:40:\"Drupal\\content_moderation\\Entity\\Handler\";s:4:\"form\";a:5:{s:7:\"default\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:3:\"add\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:4:\"edit\";s:50:\"Drupal\\component_builder\\Form\\ComponentWrapperForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"inline_form\";s:56:\"Drupal\\component_builder\\Form\\ComponentWrapperInlineForm\";s:19:\"local_task_provider\";a:1:{s:7:\"default\";s:49:\"Drupal\\entity\\Menu\\DefaultEntityLocalTaskProvider\";}s:14:\"route_provider\";a:2:{s:7:\"default\";s:44:\"Drupal\\entity\\Routing\\AdminHtmlRouteProvider\";s:15:\"delete-multiple\";s:49:\"Drupal\\entity\\Routing\\DeleteMultipleRouteProvider\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:28:\"administer component_wrapper\";s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:10:{s:9:\"canonical\";s:38:\"/component-wrapper/{component_wrapper}\";s:8:\"add-form\";s:38:\"/admin/structure/component-wrapper/add\";s:9:\"edit-form\";s:59:\"/admin/structure/component-wrapper/{component_wrapper}/edit\";s:11:\"delete-form\";s:61:\"/admin/structure/component-wrapper/{component_wrapper}/delete\";s:20:\"delete-multiple-form\";s:41:\"/admin/structure/component-wrapper/delete\";s:10:\"collection\";s:35:\"/admin/structure/component-wrappers\";s:35:\"drupal:content-translation-overview\";s:51:\"/component-wrapper/{component_wrapper}/translations\";s:30:\"drupal:content-translation-add\";s:73:\"/component-wrapper/{component_wrapper}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:67:\"/component-wrapper/{component_wrapper}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:69:\"/component-wrapper/{component_wrapper}/translations/delete/{language}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Component Wrapper type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:17:\"component_wrapper\";s:22:\"\0*\0revision_data_table\";s:32:\"component_wrapper_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"component_wrapper_revision\";s:13:\"\0*\0data_table\";s:28:\"component_wrapper_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Components\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Component\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Components\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:24:\"@count Component Wrapper\";s:6:\"plural\";s:25:\"@count Component Wrappers\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:33:\"entity.component_wrapper.settings\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"component_wrapper_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:17:\"component_wrapper\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}'),('entity.definitions.installed','component_wrapper.field_storage_definitions','a:56:{s:20:\"component_wrapper_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:20:\"component_wrapper_id\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:36;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:69;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:103;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:71:\"Drupal\\component_builder\\Entity\\ComponentWrapper::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The entity author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:141;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:188;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-1;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-1;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:232;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"display_title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:13:\"display_title\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:277;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:14:\"display_header\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Header\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"display_header\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:323;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:14:\"display_footer\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Display Footer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"display_footer\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:369;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:17:\"display_in_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Display in region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"display_in_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:415;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:14:\"component_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Component Types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:14:\"component_type\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{s:13:\"taxonomy_term\";s:15:\"component_types\";}}}}s:18:\"\0*\0fieldDefinition\";r:461;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:0;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:505;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:22:\"field_weight_in_region\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Weight in region\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:92:\"Put component weight here. Please visit Structure > Block Layout to check other block weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:3;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:0;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:22:\"field_weight_in_region\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:547;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_header\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Header\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:4;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_header\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:594;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:17:\"field_left_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Left Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:17:\"field_left_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:638;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:19:\"field_middle_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Middle Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:19:\"field_middle_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:683;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"field_right_column\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Right Column\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:26:\"inline_entity_form_complex\";s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:28:\"entity_reference_entity_view\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:9:\"view_mode\";s:4:\"full\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:18:\"field_right_column\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"component_wrapper\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:728;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"field_footer\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Footer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:9;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:12:\"field_footer\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:773;}s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"field_properties\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Properties\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"field_properties\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:817;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"field_display_mode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Display mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:18:\"field_display_mode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:4:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:851;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The time when the entity was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:897;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time when the entity was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:937;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:968;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1011;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"component_builder\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1053;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:15:\"field_accordion\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:33:\"component_wrapper.field_accordion\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"535aabf9-053f-4403-86aa-b87054849c65\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:33:\"component_wrapper.field_accordion\";s:13:\"\0*\0field_name\";s:15:\"field_accordion\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_banner_grid\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_wrapper.field_banner_grid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"81abd263-0af2-4201-9b86-66f84ad516ff\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_wrapper.field_banner_grid\";s:13:\"\0*\0field_name\";s:17:\"field_banner_grid\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_basic_component\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_basic_component\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5af2e220-2326-4d90-9148-1ead88277eb1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_basic_component\";s:13:\"\0*\0field_name\";s:21:\"field_basic_component\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_card\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_wrapper.field_card\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d00e5eb0-82dd-4835-aec2-6f75a86d95e9\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_wrapper.field_card\";s:13:\"\0*\0field_name\";s:10:\"field_card\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_carousel\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_wrapper.field_carousel\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ab4e3f11-4bdb-465c-b960-19c747b618ae\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_wrapper.field_carousel\";s:13:\"\0*\0field_name\";s:14:\"field_carousel\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:20:\"field_classified_ads\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"component_wrapper.field_classified_ads\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a8ab7b61-2c44-44c3-aad7-445725afe610\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:38:\"component_wrapper.field_classified_ads\";s:13:\"\0*\0field_name\";s:20:\"field_classified_ads\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:10:\"field_grid\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"component_wrapper.field_grid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"384f895c-0f6f-483c-a1f9-702bb4558cbe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:28:\"component_wrapper.field_grid\";s:13:\"\0*\0field_name\";s:10:\"field_grid\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_grid_carousel\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_grid_carousel\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b99f21b6-fe34-46f8-865d-0e7331fe8bdc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_grid_carousel\";s:13:\"\0*\0field_name\";s:19:\"field_grid_carousel\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:27:\"field_horizontal_push_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:45:\"component_wrapper.field_horizontal_push_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c10e925-ebb9-4999-84ce-b789dc361274\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:45:\"component_wrapper.field_horizontal_push_image\";s:13:\"\0*\0field_name\";s:27:\"field_horizontal_push_image\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_push_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_wrapper.field_push_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"87a09dd3-89d2-4d92-971b-fb4b5cb1bd9a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_wrapper.field_push_image\";s:13:\"\0*\0field_name\";s:16:\"field_push_image\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_quote\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_wrapper.field_quote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6362b15b-0f28-4a4e-84ee-79415c438f60\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_wrapper.field_quote\";s:13:\"\0*\0field_name\";s:11:\"field_quote\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_related_content\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_related_content\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8d9e9548-c38f-43fc-b4d7-2220f4a47b95\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_related_content\";s:13:\"\0*\0field_name\";s:21:\"field_related_content\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:23:\"field_sidebar_link_text\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"component_wrapper.field_sidebar_link_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2c88ce93-2589-4f77-8126-129f683da763\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:41:\"component_wrapper.field_sidebar_link_text\";s:13:\"\0*\0field_name\";s:23:\"field_sidebar_link_text\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_sidebar_service\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_sidebar_service\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6260677c-b7a4-45f1-bfa2-aa390f8e2c1d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_sidebar_service\";s:13:\"\0*\0field_name\";s:21:\"field_sidebar_service\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:15:\"field_slideshow\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:33:\"component_wrapper.field_slideshow\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1f7d4c01-1ef1-4f24-8767-4f60d4a78120\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:33:\"component_wrapper.field_slideshow\";s:13:\"\0*\0field_name\";s:15:\"field_slideshow\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:24:\"field_slideshow_flexible\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:42:\"component_wrapper.field_slideshow_flexible\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"edc686e2-1db3-4ae5-803e-1ac7a727f041\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:42:\"component_wrapper.field_slideshow_flexible\";s:13:\"\0*\0field_name\";s:24:\"field_slideshow_flexible\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:25:\"field_summary_information\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"component_wrapper.field_summary_information\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e1f7474b-76f5-4a33-8b20-13122d95a4cf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:43:\"component_wrapper.field_summary_information\";s:13:\"\0*\0field_name\";s:25:\"field_summary_information\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_table\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"component_wrapper.field_table\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"75f5ae2f-1a9a-46a2-933b-7c02ed875539\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:29:\"component_wrapper.field_table\";s:13:\"\0*\0field_name\";s:11:\"field_table\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:17:\"field_testimonial\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:35:\"component_wrapper.field_testimonial\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7adf258-713f-43be-b146-2d87592a280b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:35:\"component_wrapper.field_testimonial\";s:13:\"\0*\0field_name\";s:17:\"field_testimonial\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_topic_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_topic_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"26506a3a-2ec1-4797-8e00-d5dc55538371\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_topic_summary\";s:13:\"\0*\0field_name\";s:19:\"field_topic_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_article_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_article_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"769ab229-95f2-4b66-af20-ea658e2327ea\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_article_summary\";s:13:\"\0*\0field_name\";s:21:\"field_article_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:13:\"field_counter\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"component_wrapper.field_counter\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"170f9378-4953-480f-a169-ee6ebd8d915d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:31:\"component_wrapper.field_counter\";s:13:\"\0*\0field_name\";s:13:\"field_counter\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_divider_section\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_divider_section\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7365a73d-2f7f-4347-911c-fc91f20b43b8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_divider_section\";s:13:\"\0*\0field_name\";s:21:\"field_divider_section\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:16:\"field_push_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:34:\"component_wrapper.field_push_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a07bbc94-b860-4ff8-9bc3-a5366ee97f68\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:34:\"component_wrapper.field_push_video\";s:13:\"\0*\0field_name\";s:16:\"field_push_video\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_service_block\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_service_block\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8ac406a2-4eb1-46d9-9331-b272b53a8893\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_service_block\";s:13:\"\0*\0field_name\";s:19:\"field_service_block\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:21:\"field_sidebar_summary\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:39:\"component_wrapper.field_sidebar_summary\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b288c663-361f-4705-885d-741898cad8ec\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:39:\"component_wrapper.field_sidebar_summary\";s:13:\"\0*\0field_name\";s:21:\"field_sidebar_summary\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:19:\"field_statistic_bar\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:37:\"component_wrapper.field_statistic_bar\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4ead576e-49a0-4dc6-9395-ac2b41002396\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:37:\"component_wrapper.field_statistic_bar\";s:13:\"\0*\0field_name\";s:19:\"field_statistic_bar\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:14:\"field_timeline\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:32:\"component_wrapper.field_timeline\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"64300233-879c-4914-9ee2-8ff88b73801e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:32:\"component_wrapper.field_timeline\";s:13:\"\0*\0field_name\";s:14:\"field_timeline\";s:14:\"\0*\0entity_type\";s:17:\"component_wrapper\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:14:\"component_item\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;}s:11:\"field_image\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Images\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The image of component wrapper.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:1;}s:12:\"configurable\";b:1;}}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:8:\"provider\";s:17:\"component_wrapper\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:image\";s:8:\"settings\";a:16:{s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;s:10:\"uri_scheme\";s:6:\"public\";s:15:\"file_extensions\";s:12:\"png jpg jpeg\";s:9:\"alt_field\";i:1;s:18:\"alt_field_required\";i:1;s:11:\"title_field\";i:0;s:20:\"title_field_required\";i:0;s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:12:\"max_filesize\";s:0:\"\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:1990;}s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:5:{s:9:\"target_id\";a:3:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}s:3:\"alt\";a:3:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;}s:5:\"title\";a:3:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;}s:5:\"width\";a:3:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}s:6:\"height\";a:3:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:12:\"foreign keys\";a:1:{s:9:\"target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:9:\"target_id\";s:3:\"fid\";}}}s:11:\"unique keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"display_image\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:10:\"field_name\";s:13:\"display_image\";s:11:\"entity_type\";s:17:\"component_wrapper\";s:8:\"provider\";s:17:\"component_wrapper\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:2077;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}'),('entity.definitions.installed','configurable_language.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:6:\"entity\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:21:\"configurable_language\";s:11:\"\0*\0provider\";s:8:\"language\";s:8:\"\0*\0class\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:12:\"list_builder\";s:35:\"Drupal\\language\\LanguageListBuilder\";s:6:\"access\";s:44:\"Drupal\\language\\LanguageAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\language\\Form\\LanguageAddForm\";s:4:\"edit\";s:37:\"Drupal\\language\\Form\\LanguageEditForm\";s:6:\"delete\";s:39:\"Drupal\\language\\Form\\LanguageDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:9:\"edit-form\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:10:\"collection\";s:31:\"/admin/config/regional/language\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:configurable_language_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','contact_form.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:4:\"form\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:10:\"recipients\";i:3;s:5:\"reply\";i:4;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"contact_form\";s:11:\"\0*\0provider\";s:7:\"contact\";s:8:\"\0*\0class\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:46:\"Drupal\\contact\\ContactFormAccessControlHandler\";s:12:\"list_builder\";s:37:\"Drupal\\contact\\ContactFormListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:4:\"edit\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:10:\"collection\";s:24:\"/admin/structure/contact\";s:9:\"canonical\";s:23:\"/contact/{contact_form}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:15:\"contact_message\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:contact_form_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','contact_message.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:6:\"bundle\";s:12:\"contact_form\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:15:\"contact_message\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:49:\"Drupal\\contact\\ContactMessageAccessControlHandler\";s:7:\"storage\";s:43:\"Drupal\\Core\\Entity\\ContentEntityNullStorage\";s:12:\"view_builder\";s:33:\"Drupal\\contact\\MessageViewBuilder\";s:4:\"form\";a:1:{s:7:\"default\";s:26:\"Drupal\\contact\\MessageForm\";}}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";s:12:\"contact_form\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.contact_form.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:20:\"contact_message_list\";}s:14:\"\0*\0constraints\";a:1:{s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:29:\"Drupal\\contact\\Entity\\Message\";s:11:\"\0*\0provider\";s:7:\"contact\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','contact_message.field_storage_definitions','a:9:{s:12:\"contact_form\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"contact_form\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Form ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The ID of the associated form.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:12:\"contact_form\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:28;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The message UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:54;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The message language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:81;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The sender\'s name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The name of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:106;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The sender\'s email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The email of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:128;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:100;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:7:\"message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:156;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:4:\"rows\";i:12;}}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;s:5:\"label\";s:5:\"above\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"message\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"copy\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:190;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Copy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Whether to send a copy of the message to the sender.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"copy\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:9:\"recipient\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:220;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Recipient ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The ID of the recipient user for personal contact messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:9:\"recipient\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','date_format.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"locked\";i:3;s:7:\"pattern\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"date_format\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:44:\"Drupal\\system\\DateFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\system\\Form\\DateFormatAddForm\";s:4:\"edit\";s:37:\"Drupal\\system\\Form\\DateFormatEditForm\";s:6:\"delete\";s:39:\"Drupal\\system\\Form\\DateFormatDeleteForm\";}s:12:\"list_builder\";s:35:\"Drupal\\system\\DateFormatListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:11:\"delete-form\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:10:\"collection\";s:40:\"/admin/config/regional/date-time/formats\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','editor.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:6:\"format\";i:1;s:6:\"editor\";i:2;s:8:\"settings\";i:3;s:12:\"image_upload\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:6:\"format\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:6:\"editor\";s:11:\"\0*\0provider\";s:6:\"editor\";s:8:\"\0*\0class\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:editor_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_form_display.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"entity_form_display\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_form_mode.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:9:{s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:6:\"status\";s:6:\"status\";s:12:\"dependencies\";s:12:\"dependencies\";s:20:\"third_party_settings\";s:20:\"third_party_settings\";s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:16:\"targetEntityType\";s:16:\"targetEntityType\";s:5:\"cache\";s:5:\"cache\";}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:16:\"entity_form_mode\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_form_mode_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_view_display.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"entity_view_display\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_view_mode.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:9:{s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:6:\"status\";s:6:\"status\";s:12:\"dependencies\";s:12:\"dependencies\";s:20:\"third_party_settings\";s:20:\"third_party_settings\";s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:16:\"targetEntityType\";s:16:\"targetEntityType\";s:5:\"cache\";s:5:\"cache\";}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:16:\"entity_view_mode\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_view_mode_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','field_config.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"field_config\";s:11:\"\0*\0provider\";s:5:\"field\";s:8:\"\0*\0class\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:44:\"Drupal\\field\\FieldConfigAccessControlHandler\";s:7:\"storage\";s:31:\"Drupal\\field\\FieldConfigStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:field_config_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','field_storage_config.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:7:\"storage\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:4:\"type\";i:4;s:8:\"settings\";i:5;s:6:\"module\";i:6;s:6:\"locked\";i:7;s:11:\"cardinality\";i:8;s:12:\"translatable\";i:9;s:7:\"indexes\";i:10;s:22:\"persist_with_no_fields\";i:11;s:14:\"custom_storage\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:20:\"field_storage_config\";s:11:\"\0*\0provider\";s:5:\"field\";s:8:\"\0*\0class\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:7:\"storage\";s:38:\"Drupal\\field\\FieldStorageConfigStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:32:\"config:field_storage_config_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','file.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"fid\";s:5:\"label\";s:8:\"filename\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"file\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:23:\"Drupal\\file\\FileStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\file\\FileStorageSchema\";s:6:\"access\";s:36:\"Drupal\\file\\FileAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\file\\FileViewsData\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:12:\"file_managed\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"file_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0provider\";s:4:\"file\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','file.field_storage_definitions','a:11:{s:3:\"fid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The file ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"fid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The file UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The file language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:104;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user ID of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filename\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:139;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Filename\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Name of the file with no path components.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filename\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:3:\"uri\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:1;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:172;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:1;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URI to access the file (either local or remote).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:13:\"FileUriUnique\";N;}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uri\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filemime\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:206;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The file\'s MIME type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filemime\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filesize\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:239;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The size of the file in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filesize\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:275;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The status of the file, temporary (FALSE) and permanent (TRUE).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:315;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The timestamp that the file was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:343;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The timestamp that the file was last changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','filter_format.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:6:\"format\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:6:\"format\";i:2;s:6:\"weight\";i:3;s:5:\"roles\";i:4;s:7:\"filters\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:6:\"format\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:13:\"filter_format\";s:11:\"\0*\0provider\";s:6:\"filter\";s:8:\"\0*\0class\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:3:{s:3:\"add\";s:33:\"Drupal\\filter\\FilterFormatAddForm\";s:4:\"edit\";s:34:\"Drupal\\filter\\FilterFormatEditForm\";s:7:\"disable\";s:36:\"Drupal\\filter\\Form\\FilterDisableForm\";}s:12:\"list_builder\";s:37:\"Drupal\\filter\\FilterFormatListBuilder\";s:6:\"access\";s:46:\"Drupal\\filter\\FilterFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:18:\"administer filters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:7:\"disable\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:25:\"config:filter_format_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','image_style.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:5:\"style\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"label\";i:2;s:7:\"effects\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:4:\"name\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"image_style\";s:11:\"\0*\0provider\";s:5:\"image\";s:8:\"\0*\0class\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:3:\"add\";s:35:\"Drupal\\image\\Form\\ImageStyleAddForm\";s:4:\"edit\";s:36:\"Drupal\\image\\Form\\ImageStyleEditForm\";s:6:\"delete\";s:38:\"Drupal\\image\\Form\\ImageStyleDeleteForm\";s:5:\"flush\";s:37:\"Drupal\\image\\Form\\ImageStyleFlushForm\";}s:12:\"list_builder\";s:34:\"Drupal\\image\\ImageStyleListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:23:\"administer image styles\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"flush-form\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:9:\"edit-form\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:11:\"delete-form\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:10:\"collection\";s:32:\"/admin/config/media/image-styles\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:image_style_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','language_content_settings.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:16:\"content_settings\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:25:\"language_content_settings\";s:11:\"\0*\0provider\";s:8:\"language\";s:8:\"\0*\0class\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','menu.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";i:3;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"menu\";s:11:\"\0*\0provider\";s:6:\"system\";s:8:\"\0*\0class\";s:25:\"Drupal\\system\\Entity\\Menu\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:38:\"Drupal\\system\\MenuAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:menu_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','menu_link_content.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:8:\"revision\";s:11:\"revision_id\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:7:\"enabled\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:2:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";s:32:\"menu_link_content_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"menu_link_content_revision\";s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','menu_link_content.field_storage_definitions','a:22:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Bundle\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:109;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:156;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:201;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:237;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:330;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:366;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:415;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"If selected and this menu link has children, the menu will always appear expanded.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:466;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:518;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:557;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:590;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:620;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:662;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:695;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:736;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:776;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:805;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:841;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:13:\"initial_value\";N;}}}'),('entity.definitions.installed','node.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:12:\"revision_uid\";s:16:\"revision_created\";s:18:\"revision_timestamp\";s:20:\"revision_log_message\";s:12:\"revision_log\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:12:{s:2:\"id\";s:3:\"nid\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"status\";s:6:\"status\";s:3:\"uid\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"node\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\node\\NodeStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\node\\NodeStorageSchema\";s:12:\"view_builder\";s:27:\"Drupal\\node\\NodeViewBuilder\";s:6:\"access\";s:36:\"Drupal\\node\\NodeAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\node\\NodeViewsData\";s:4:\"form\";a:3:{s:7:\"default\";s:20:\"Drupal\\node\\NodeForm\";s:6:\"delete\";s:31:\"Drupal\\node\\Form\\NodeDeleteForm\";s:4:\"edit\";s:20:\"Drupal\\node\\NodeForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\node\\Entity\\NodeRouteProvider\";}s:12:\"list_builder\";s:27:\"Drupal\\node\\NodeListBuilder\";s:11:\"translation\";s:34:\"Drupal\\node\\NodeTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:5:{s:9:\"canonical\";s:12:\"/node/{node}\";s:11:\"delete-form\";s:19:\"/node/{node}/delete\";s:9:\"edit-form\";s:17:\"/node/{node}/edit\";s:15:\"version-history\";s:22:\"/node/{node}/revisions\";s:8:\"revision\";s:43:\"/node/{node}/revisions/{node_revision}/view\";}s:21:\"\0*\0bundle_entity_type\";s:9:\"node_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:4:\"node\";s:22:\"\0*\0revision_data_table\";s:19:\"node_field_revision\";s:17:\"\0*\0revision_table\";s:13:\"node_revision\";s:13:\"\0*\0data_table\";s:15:\"node_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:26:\"entity.node_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"node_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0provider\";s:4:\"node\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','node.field_storage_definitions','a:31:{s:3:\"nid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Node ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The node ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"nid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The node UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The node revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The node type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"node_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:112;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The node language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:148;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:187;}s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The username of the content author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"author\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:3:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";s:2:\"60\";s:11:\"placeholder\";s:0:\"\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:230;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"A boolean indicating whether the node is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:283;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"timestamp\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:325;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:366;}s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"promote\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:396;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"sticky\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:442;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:18:\"revision_timestamp\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Revision timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"queryable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:18:\"revision_timestamp\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:488;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Revision user ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"queryable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:518;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:555;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:596;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:636;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:9:\"node.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"578317ee-54b9-4df9-aa00-b7f5187e366a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:9:\"node.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:7:\"comment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:12:\"node.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6fc15e30-a3fc-4891-b64c-76364b4468ee\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:12:\"node.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c03a055a-f28b-47f0-a100-adec96658707\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:16:\"node.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:10:\"field_tags\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"81ac884e-d9c8-406a-9a1d-29b262c313e8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:16:\"simplenews_issue\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.simplenews_issue\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4990045a-0df4-40e5-8436-545f18512a15\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:16:\"entity_reference\";i:1;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.simplenews_issue\";s:13:\"\0*\0field_name\";s:16:\"simplenews_issue\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"simplenews_issue\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:14:\"field_category\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.field_category\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cf2e6a47-b53f-4ce6-8902-2f9eec88bcb0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:19:\"node.field_category\";s:13:\"\0*\0field_name\";s:14:\"field_category\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-qHne08Mmw4mYi7MfN1OBX4b4JQsyA3weByFUTuyktng\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"04fa4ba3-2961-4922-a200-e292be5448c1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:15:\"node.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:13:\"comment_forum\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.comment_forum\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"45c6e113-b684-438c-b44a-74b94c3aa85e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:18:\"node.comment_forum\";s:13:\"\0*\0field_name\";s:13:\"comment_forum\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:15:\"taxonomy_forums\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.taxonomy_forums\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"036ad012-28b8-484d-8c00-c0e6030f093e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:20:\"node.taxonomy_forums\";s:13:\"\0*\0field_name\";s:15:\"taxonomy_forums\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:16:\"field_video_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.field_video_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"656196f0-e0ae-4388-be00-ad0dd28c612f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.field_video_link\";s:13:\"\0*\0field_name\";s:16:\"field_video_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-Xbz96WWniY8-pGIAsPPOjjQLgzdQGslB9MYZN0SaWTA\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:1060;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1094;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:4:\"node\";s:8:\"provider\";s:4:\"node\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:1136;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:16:\"field_components\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.field_components\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7c1b343c-89db-4b14-a5b6-0b94f7e80c2a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:5:\"\0*\0id\";s:21:\"node.field_components\";s:13:\"\0*\0field_name\";s:16:\"field_components\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:17:\"component_wrapper\";}s:14:\"\0*\0cardinality\";s:2:\"-1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:18:\"cardinality_number\";i:1;s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-IJLTpnk-cpuvRTvUFOjCuwimazenBe3_Grb1KhvCtbI\";s:10:\"form_token\";s:43:\"2c3_Y61tmW0fxstX38cicAxBz-aT9hQqleEC8eQD0s4\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}}'),('entity.definitions.installed','node_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:4:\"name\";i:1;s:4:\"type\";i:2;s:11:\"description\";i:3;s:4:\"help\";i:4;s:12:\"new_revision\";i:5;s:12:\"preview_mode\";i:6;s:17:\"display_submitted\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:4:\"type\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:9:\"node_type\";s:11:\"\0*\0provider\";s:4:\"node\";s:8:\"\0*\0class\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:40:\"Drupal\\node\\NodeTypeAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:24:\"Drupal\\node\\NodeTypeForm\";s:4:\"edit\";s:24:\"Drupal\\node\\NodeTypeForm\";s:6:\"delete\";s:38:\"Drupal\\node\\Form\\NodeTypeDeleteConfirm\";}s:12:\"list_builder\";s:31:\"Drupal\\node\\NodeTypeListBuilder\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer content types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:41:\"/admin/structure/types/manage/{node_type}\";s:11:\"delete-form\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:10:\"collection\";s:22:\"/admin/structure/types\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:4:\"node\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:node_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','pathauto_pattern.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:7:\"pattern\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:3:{i:0;s:4:\"type\";i:1;s:6:\"status\";i:2;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:7:\"pattern\";i:4;s:18:\"selection_criteria\";i:5;s:15:\"selection_logic\";i:6;s:6:\"weight\";i:7;s:13:\"relationships\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:5:\"\0*\0id\";s:16:\"pathauto_pattern\";s:11:\"\0*\0provider\";s:8:\"pathauto\";s:8:\"\0*\0class\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:6:{s:12:\"list_builder\";s:42:\"Drupal\\pathauto\\PathautoPatternListBuilder\";s:4:\"form\";a:4:{s:7:\"default\";s:36:\"Drupal\\pathauto\\Form\\PatternEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:6:\"enable\";s:38:\"Drupal\\pathauto\\Form\\PatternEnableForm\";s:7:\"disable\";s:39:\"Drupal\\pathauto\\Form\\PatternDisableForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:51:\"Drupal\\Core\\Entity\\Routing\\DefaultHtmlRouteProvider\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:19:\"administer pathauto\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:10:\"collection\";s:34:\"/admin/config/search/path/patterns\";s:9:\"edit-form\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:11:\"delete-form\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:6:\"enable\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:7:\"disable\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";s:27:\"config-translation-overview\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:pathauto_pattern_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"pathauto_pattern\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','path_alias.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:10:\"path_alias\";s:16:\"\0*\0originalClass\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:34:\"Drupal\\path_alias\\PathAliasStorage\";s:14:\"storage_schema\";s:40:\"Drupal\\path_alias\\PathAliasStorageSchema\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:25:\"Drupal\\path\\PathAliasForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";}s:12:\"list_builder\";s:32:\"Drupal\\path\\PathAliasListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer url aliases\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"collection\";s:25:\"/admin/config/search/path\";s:8:\"add-form\";s:29:\"/admin/config/search/path/add\";s:9:\"edit-form\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:11:\"delete-form\";s:45:\"/admin/config/search/path/delete/{path_alias}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:10:\"path_alias\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";s:19:\"path_alias_revision\";s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:16:\"@count URL alias\";s:6:\"plural\";s:18:\"@count URL aliases\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:11:\"route_match\";}s:14:\"\0*\0constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:2:{s:10:\"token_type\";s:10:\"path_alias\";s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0provider\";s:10:\"path_alias\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','path_alias.field_storage_definitions','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:36;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:69;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:103;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:0;}}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:145;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:9:\"ValidPath\";a:0:{}s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The source path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"System path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The path that this alias belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}s:13:\"initial_value\";N;}}s:5:\"alias\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:198;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The alias path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"An alias used with this path.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:5:\"alias\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}s:13:\"initial_value\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:250;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}}'),('entity.definitions.installed','rdf_mapping.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:7:\"mapping\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:5:\"types\";i:4;s:13:\"fieldMappings\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"rdf_mapping\";s:11:\"\0*\0provider\";s:3:\"rdf\";s:8:\"\0*\0class\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:rdf_mapping_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','search_page.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:4:\"page\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"path\";i:3;s:6:\"weight\";i:4;s:6:\"plugin\";i:5;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"search_page\";s:11:\"\0*\0provider\";s:6:\"search\";s:8:\"\0*\0class\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:44:\"Drupal\\search\\SearchPageAccessControlHandler\";s:12:\"list_builder\";s:35:\"Drupal\\search\\SearchPageListBuilder\";s:4:\"form\";a:4:{s:3:\"add\";s:36:\"Drupal\\search\\Form\\SearchPageAddForm\";s:4:\"edit\";s:37:\"Drupal\\search\\Form\\SearchPageEditForm\";s:6:\"search\";s:33:\"Drupal\\search\\Form\\SearchPageForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer search\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:9:\"edit-form\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:11:\"delete-form\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:6:\"enable\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:7:\"disable\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:11:\"set-default\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:10:\"collection\";s:26:\"/admin/config/search/pages\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:search_page_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','shortcut.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:12:\"shortcut_set\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:8:\"shortcut\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\shortcut\\ShortcutAccessControlHandler\";s:4:\"form\";a:4:{s:7:\"default\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:3:\"add\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:4:\"edit\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:6:\"delete\";s:39:\"Drupal\\shortcut\\Form\\ShortcutDeleteForm\";}s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:11:\"delete-form\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:9:\"edit-form\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";}s:21:\"\0*\0bundle_entity_type\";s:12:\"shortcut_set\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:8:\"shortcut\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:19:\"shortcut_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:1:{s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','shortcut.field_storage_definitions','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The ID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The UUID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:12:\"shortcut_set\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"shortcut_set\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The bundle of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:12:\"shortcut_set\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:111;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The name of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"size\";i:40;}}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:153;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Weight among shortcuts in the same shortcut set.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:189;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:1;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The location this shortcut points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:241;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The language code of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:279;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','shortcut_set.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:3:\"set\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:2:{i:0;s:2:\"id\";i:1;s:5:\"label\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"shortcut_set\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:8:\"\0*\0class\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:34:\"Drupal\\shortcut\\ShortcutSetStorage\";s:6:\"access\";s:47:\"Drupal\\shortcut\\ShortcutSetAccessControlHandler\";s:12:\"list_builder\";s:38:\"Drupal\\shortcut\\ShortcutSetListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:3:\"add\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:4:\"edit\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:9:\"customize\";s:33:\"Drupal\\shortcut\\Form\\SetCustomize\";s:6:\"delete\";s:42:\"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm\";}}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:14:\"customize-form\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:11:\"delete-form\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:9:\"edit-form\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:10:\"collection\";s:37:\"/admin/config/user-interface/shortcut\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:8:\"shortcut\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','simplenews_newsletter.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:10:\"newsletter\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:13:{i:0;s:4:\"name\";i:1;s:2:\"id\";i:2;s:11:\"description\";i:3;s:6:\"format\";i:4;s:8:\"priority\";i:5;s:7:\"receipt\";i:6;s:9:\"from_name\";i:7;s:7:\"subject\";i:8;s:12:\"from_address\";i:9;s:10:\"hyperlinks\";i:10;s:11:\"new_account\";i:11;s:9:\"opt_inout\";i:12;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:21:\"simplenews_newsletter\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:12:\"list_builder\";s:39:\"Drupal\\simplenews\\NewsletterListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:4:\"edit\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\NewsletterDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:22:\"administer newsletters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:11:\"delete-form\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:9:\"edit-form\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:simplenews_newsletter_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','simplenews_subscriber.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:5:\"\0*\0id\";s:21:\"simplenews_subscriber\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"mail\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:6:{s:4:\"form\";a:5:{s:7:\"default\";s:37:\"Drupal\\simplenews\\Form\\SubscriberForm\";s:7:\"account\";s:47:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm\";s:5:\"block\";s:45:\"Drupal\\simplenews\\Form\\SubscriptionsBlockForm\";s:4:\"page\";s:44:\"Drupal\\simplenews\\Form\\SubscriptionsPageForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\SubscriberDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:10:\"views_data\";s:37:\"Drupal\\simplenews\\SubscriberViewsData\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";}s:19:\"\0*\0admin_permission\";s:35:\"administer simplenews subscriptions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:11:\"delete-form\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:21:\"simplenews_subscriber\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:30:\"simplenews.settings_subscriber\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:26:\"simplenews_subscriber_list\";}s:14:\"\0*\0constraints\";a:1:{s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}}'),('entity.definitions.installed','simplenews_subscriber.field_storage_definitions','a:9:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Primary key: Unique subscriber ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:2;}s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The subscriber UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:39;}s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Boolean indicating the status of the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"\0*\0fieldDefinition\";r:75;}s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The subscriber\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:5:\"email\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:1:{s:13:\"default_value\";s:0:\"\";}}s:18:\"\0*\0fieldDefinition\";r:115;}s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The corresponding user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:153;}s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The subscriber\'s preferred language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:193;}s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"changes\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Contains the requested subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"changes\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}s:18:\"\0*\0fieldDefinition\";r:222;}s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time that the subscriber was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}s:18:\"\0*\0fieldDefinition\";r:252;}s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}s:13:\"subscriptions\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:13:\"\0*\0definition\";a:7:{s:11:\"cardinality\";i:-1;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriptions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:4:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:8:\"provider\";s:10:\"simplenews\";s:6:\"bundle\";N;}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:34:\"field_item:simplenews_subscription\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}s:18:\"\0*\0fieldDefinition\";r:280;}s:7:\"\0*\0type\";s:23:\"simplenews_subscription\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:4:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}s:6:\"status\";a:4:{s:11:\"description\";s:90:\"A flag indicating whether the user is unsubscribed (0), subscribed (1) or unconfirmed (2).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:9:\"timestamp\";a:4:{s:11:\"description\";s:50:\"UNIX timestamp of when the user is (un)subscribed.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:6:\"source\";a:4:{s:11:\"description\";s:50:\"The source via which the user is (un)subscription.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:24;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}}}'),('entity.definitions.installed','taxonomy_term.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"tid\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:11:\"revision_id\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:31:\"Drupal\\taxonomy\\TermViewBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";}s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";s:28:\"taxonomy_term_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"taxonomy_term_revision\";s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:17:\"taxonomy_term_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";N;}s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','taxonomy_term.field_storage_definitions','a:19:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:110;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:149;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:196;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"A description of the term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:244;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:283;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:14:\"custom_storage\";b:0;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:320;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:350;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:15:\"forum_container\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:5:\"\0*\0id\";s:29:\"taxonomy_term.forum_container\";s:13:\"\0*\0field_name\";s:15:\"forum_container\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:0;s:9:\"\0*\0locked\";b:1;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:29:\"taxonomy_term.forum_container\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:5:\"\0*\0id\";s:25:\"taxonomy_term.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:25:\"taxonomy_term.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-MgDCS9_EtGN-FVUTYvEK6pj8gAp0cSHwXQCPsOc_390\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:480;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:8:\"provider\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:525;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:558;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:599;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:639;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:668;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:704;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:13:\"initial_value\";N;}}}'),('entity.definitions.installed','taxonomy_vocabulary.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:10:\"vocabulary\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:3:\"vid\";i:2;s:11:\"description\";i:3;s:9:\"hierarchy\";i:4;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"taxonomy_vocabulary\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:8:\"\0*\0class\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:33:\"Drupal\\taxonomy\\VocabularyStorage\";s:12:\"list_builder\";s:37:\"Drupal\\taxonomy\\VocabularyListBuilder\";s:4:\"form\";a:3:{s:7:\"default\";s:30:\"Drupal\\taxonomy\\VocabularyForm\";s:5:\"reset\";s:40:\"Drupal\\taxonomy\\Form\\VocabularyResetForm\";s:6:\"delete\";s:41:\"Drupal\\taxonomy\\Form\\VocabularyDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";s:19:\"administer taxonomy\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:58:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add\";s:11:\"delete-form\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:10:\"reset-form\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:13:\"overview-form\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:9:\"edit-form\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:10:\"collection\";s:25:\"/admin/structure/taxonomy\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"taxonomy_term\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:taxonomy_vocabulary_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','tour.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:19:\"routes.*.route_name\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:6:\"routes\";i:4;s:4:\"tips\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"tour\";s:11:\"\0*\0provider\";s:4:\"tour\";s:8:\"\0*\0class\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:3:{s:12:\"view_builder\";s:27:\"Drupal\\tour\\TourViewBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:tour_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','user.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":40:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:3:\"uid\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"user\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\user\\UserStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\user\\UserStorageSchema\";s:6:\"access\";s:36:\"Drupal\\user\\UserAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\UserListBuilder\";s:10:\"views_data\";s:25:\"Drupal\\user\\UserViewsData\";s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\user\\Entity\\UserRouteProvider\";}s:4:\"form\";a:3:{s:7:\"default\";s:23:\"Drupal\\user\\ProfileForm\";s:6:\"cancel\";s:31:\"Drupal\\user\\Form\\UserCancelForm\";s:8:\"register\";s:24:\"Drupal\\user\\RegisterForm\";}s:11:\"translation\";s:37:\"Drupal\\user\\ProfileTranslationHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:16:\"administer users\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"canonical\";s:12:\"/user/{user}\";s:9:\"edit-form\";s:17:\"/user/{user}/edit\";s:11:\"cancel-form\";s:19:\"/user/{user}/cancel\";s:10:\"collection\";s:13:\"/admin/people\";}s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:5:\"users\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:16:\"users_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:22:\"entity.user.admin_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"user_list\";}s:14:\"\0*\0constraints\";a:2:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;}s:13:\"\0*\0additional\";a:1:{s:17:\"\0*\0label_callback\";s:16:\"user_format_name\";}s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\User\";s:11:\"\0*\0provider\";s:4:\"user\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','user.field_storage_definitions','a:18:{s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:18:\"preferred_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:105;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Preferred language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"The user\'s preferred language code for receiving emails and viewing the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:18:\"preferred_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:24:\"preferred_admin_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:141;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Preferred admin language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"The user\'s preferred language code for viewing administration pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";N;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:24:\"preferred_admin_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:180;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:5:\"class\";s:25:\"\\Drupal\\user\\UserNameItem\";}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The name of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"constraints\";a:2:{s:8:\"UserName\";a:0:{}s:14:\"UserNameUnique\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"pass\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"password\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:218;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:password\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"pass\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:253;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The email of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:11:\"constraints\";a:3:{s:14:\"UserMailUnique\";N;s:16:\"UserMailRequired\";N;s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:8:\"timezone\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:44:\"Drupal\\user\\Entity\\User::getAllowedTimezones\";}}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"timezone\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:327;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:367;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:395;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:6:\"access\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:424;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"access\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:5:\"login\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:455;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"login\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"init\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:486;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"init\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:5:\"roles\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:518;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"user_role\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The roles the user has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"roles\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:554;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:12:\"user_picture\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":28:{s:5:\"\0*\0id\";s:17:\"user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:17:\"user.user_picture\";s:18:\"\0*\0pluginConfigKey\";N;s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8067c901-4997-4726-9a00-d85626469302\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}}}'),('entity.definitions.installed','user_role.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";s:4:\"role\";s:15:\"\0*\0static_cache\";b:1;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"weight\";i:3;s:8:\"is_admin\";i:4;s:11:\"permissions\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"weight\";s:6:\"weight\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:9:\"user_role\";s:11:\"\0*\0provider\";s:4:\"user\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\Role\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:23:\"Drupal\\user\\RoleStorage\";s:6:\"access\";s:36:\"Drupal\\user\\RoleAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\RoleListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:20:\"Drupal\\user\\RoleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}}s:19:\"\0*\0admin_permission\";s:22:\"administer permissions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:9:\"edit-form\";s:38:\"/admin/people/roles/manage/{user_role}\";s:21:\"edit-permissions-form\";s:37:\"/admin/people/permissions/{user_role}\";s:10:\"collection\";s:19:\"/admin/people/roles\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:user_role_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','view.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":36:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:9:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:11:\"description\";i:4;s:3:\"tag\";i:5;s:10:\"base_table\";i:6;s:10:\"base_field\";i:7;s:4:\"core\";i:8;s:7:\"display\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"view\";s:11:\"\0*\0provider\";s:5:\"views\";s:8:\"\0*\0class\";s:24:\"Drupal\\views\\Entity\\View\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:37:\"Drupal\\views\\ViewAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:16:\"administer views\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:view_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.storage_schema.sql','block_content.entity_schema_data','a:4:{s:13:\"block_content\";a:2:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:11:\"unique keys\";a:1:{s:26:\"block_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:22:\"block_content_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:17:\"block_content__id\";a:1:{i:0;s:2:\"id\";}}}s:24:\"block_content_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:2:\"id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:45:\"block_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:26:\"block_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"block_content__status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:2:\"id\";}}}s:28:\"block_content_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:11:\"revision_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:45:\"block_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.body','a:2:{s:19:\"block_content__body\";a:4:{s:11:\"description\";s:42:\"Data storage for block_content field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}s:28:\"block_content_revision__body\";a:4:{s:11:\"description\";s:54:\"Revision archive storage for block_content field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.changed','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.default_langcode','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.id','a:4:{s:13:\"block_content\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.info','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"info\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:4:\"info\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.langcode','a:4:{s:13:\"block_content\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.reusable','a:1:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"reusable\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_created','a:1:{s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_default','a:1:{s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_id','a:4:{s:13:\"block_content\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_log','a:1:{s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:12:\"revision_log\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_translation_affected','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_user','a:1:{s:22:\"block_content_revision\";a:2:{s:6:\"fields\";a:1:{s:13:\"revision_user\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:45:\"block_content_field__revision_user__target_id\";a:1:{i:0;s:13:\"revision_user\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.status','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.type','a:2:{s:13:\"block_content\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:36:\"block_content_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}s:24:\"block_content_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:36:\"block_content_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.uuid','a:1:{s:13:\"block_content\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:32:\"block_content_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','comment.entity_schema_data','a:2:{s:7:\"comment\";a:1:{s:11:\"primary key\";a:1:{i:0;s:3:\"cid\";}}s:18:\"comment_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"cid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:5:{s:39:\"comment__id__default_langcode__langcode\";a:3:{i:0;s:3:\"cid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:28:\"comment__status_comment_type\";a:3:{i:0;s:6:\"status\";i:1;s:12:\"comment_type\";i:2;s:3:\"cid\";}s:19:\"comment__status_pid\";a:2:{i:0;s:3:\"pid\";i:1;s:6:\"status\";}s:16:\"comment__num_new\";a:7:{i:0;s:9:\"entity_id\";i:1;s:11:\"entity_type\";i:2;s:12:\"comment_type\";i:3;s:6:\"status\";i:4;s:7:\"created\";i:5;s:3:\"cid\";i:6;s:6:\"thread\";}s:24:\"comment__entity_langcode\";a:4:{i:0;s:9:\"entity_id\";i:1;s:11:\"entity_type\";i:2;s:12:\"comment_type\";i:3;s:16:\"default_langcode\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.changed','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.cid','a:2:{s:7:\"comment\";a:1:{s:6:\"fields\";a:1:{s:3:\"cid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"cid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.comment_body','a:1:{s:21:\"comment__comment_body\";a:4:{s:11:\"description\";s:44:\"Data storage for comment field comment_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:18:\"comment_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:19:\"comment_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:19:\"comment_body_format\";a:1:{i:0;s:19:\"comment_body_format\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.comment_type','a:2:{s:7:\"comment\";a:2:{s:6:\"fields\";a:1:{s:12:\"comment_type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:38:\"comment_field__comment_type__target_id\";a:1:{i:0;s:12:\"comment_type\";}}}s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:12:\"comment_type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:38:\"comment_field__comment_type__target_id\";a:1:{i:0;s:12:\"comment_type\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.created','a:1:{s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:22:\"comment_field__created\";a:1:{i:0;s:7:\"created\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.default_langcode','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.entity_id','a:1:{s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:9:\"entity_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:0:{}}}'),('entity.storage_schema.sql','comment.field_schema_data.entity_type','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"entity_type\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.field_name','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:10:\"field_name\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.homepage','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"homepage\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.hostname','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"hostname\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.langcode','a:2:{s:7:\"comment\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.mail','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.name','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.pid','a:1:{s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"pid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:0:{}}}'),('entity.storage_schema.sql','comment.field_schema_data.status','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.subject','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"subject\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.thread','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"thread\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.uid','a:1:{s:18:\"comment_field_data\";a:3:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:29:\"comment_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}s:12:\"foreign keys\";a:1:{s:18:\"comment_field__uid\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}}}'),('entity.storage_schema.sql','comment.field_schema_data.uuid','a:1:{s:7:\"comment\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:26:\"comment_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','component_item.entity_schema_data','a:4:{s:14:\"component_item\";a:2:{s:11:\"primary key\";a:1:{i:0;s:17:\"component_item_id\";}s:11:\"unique keys\";a:1:{s:19:\"component_item__vid\";a:1:{i:0;s:3:\"vid\";}}}s:23:\"component_item_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:33:\"component_item__component_item_id\";a:1:{i:0;s:17:\"component_item_id\";}}}s:25:\"component_item_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:17:\"component_item_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:46:\"component_item__id__default_langcode__langcode\";a:3:{i:0;s:17:\"component_item_id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:19:\"component_item__vid\";a:1:{i:0;s:3:\"vid\";}s:27:\"component_item__status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:17:\"component_item_id\";}}}s:29:\"component_item_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:46:\"component_item__id__default_langcode__langcode\";a:3:{i:0;s:17:\"component_item_id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.admin_title','a:1:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"admin_title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.changed','a:2:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.component_item_id','a:4:{s:14:\"component_item\";a:1:{s:6:\"fields\";a:1:{s:17:\"component_item_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:17:\"component_item_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:23:\"component_item_revision\";a:1:{s:6:\"fields\";a:1:{s:17:\"component_item_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:17:\"component_item_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.created','a:2:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.default_langcode','a:2:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_address','a:2:{s:32:\"component_item__field_as_address\";a:4:{s:11:\"description\";s:55:\"Data storage for component_item field field_as_address.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_as_address_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:41:\"component_item_revision__field_as_address\";a:4:{s:11:\"description\";s:67:\"Revision archive storage for component_item field field_as_address.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_as_address_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_country','a:2:{s:32:\"component_item__field_as_country\";a:4:{s:11:\"description\";s:55:\"Data storage for component_item field field_as_country.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_as_country_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:41:\"component_item_revision__field_as_country\";a:4:{s:11:\"description\";s:67:\"Revision archive storage for component_item field field_as_country.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_as_country_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_date_of_establishment','a:2:{s:46:\"component_item__field_as_date_of_establishment\";a:4:{s:11:\"description\";s:69:\"Data storage for component_item field field_as_date_of_establishment.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:36:\"field_as_date_of_establishment_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:36:\"field_as_date_of_establishment_value\";a:1:{i:0;s:36:\"field_as_date_of_establishment_value\";}}}s:28:\"component_item_r__e031b11f55\";a:4:{s:11:\"description\";s:81:\"Revision archive storage for component_item field field_as_date_of_establishment.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:36:\"field_as_date_of_establishment_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:36:\"field_as_date_of_establishment_value\";a:1:{i:0;s:36:\"field_as_date_of_establishment_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_description','a:2:{s:36:\"component_item__field_as_description\";a:4:{s:11:\"description\";s:59:\"Data storage for component_item field field_as_description.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_as_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:45:\"component_item_revision__field_as_description\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_item field field_as_description.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_as_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_image','a:2:{s:30:\"component_item__field_as_image\";a:5:{s:11:\"description\";s:53:\"Data storage for component_item field field_as_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_as_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_as_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_as_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_as_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_as_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_as_image_target_id\";a:1:{i:0;s:24:\"field_as_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_as_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_as_image_target_id\";s:3:\"fid\";}}}}s:39:\"component_item_revision__field_as_image\";a:5:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_as_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_as_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_as_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_as_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_as_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_as_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_as_image_target_id\";a:1:{i:0;s:24:\"field_as_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_as_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_as_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_link','a:2:{s:29:\"component_item__field_as_link\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_as_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_as_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_as_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_as_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_as_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_as_link_uri\";i:1;i:30;}}}}s:38:\"component_item_revision__field_as_link\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_as_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_as_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_as_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_as_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_as_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_as_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_as_opening_hours','a:2:{s:38:\"component_item__field_as_opening_hours\";a:4:{s:11:\"description\";s:61:\"Data storage for component_item field field_as_opening_hours.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:28:\"field_as_opening_hours_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:47:\"component_item_revision__field_as_opening_hours\";a:4:{s:11:\"description\";s:73:\"Revision archive storage for component_item field field_as_opening_hours.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:28:\"field_as_opening_hours_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_body','a:2:{s:26:\"component_item__field_body\";a:4:{s:11:\"description\";s:49:\"Data storage for component_item field field_body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:18:\"field_body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:17:\"field_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_body_format\";a:1:{i:0;s:17:\"field_body_format\";}}}s:35:\"component_item_revision__field_body\";a:4:{s:11:\"description\";s:61:\"Revision archive storage for component_item field field_body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:18:\"field_body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:17:\"field_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_body_format\";a:1:{i:0;s:17:\"field_body_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_captions','a:2:{s:30:\"component_item__field_captions\";a:4:{s:11:\"description\";s:53:\"Data storage for component_item field field_captions.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_captions_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:39:\"component_item_revision__field_captions\";a:4:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_captions.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_captions_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_card_body','a:2:{s:31:\"component_item__field_card_body\";a:4:{s:11:\"description\";s:54:\"Data storage for component_item field field_card_body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_card_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:23:\"field_card_body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:22:\"field_card_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_card_body_format\";a:1:{i:0;s:22:\"field_card_body_format\";}}}s:40:\"component_item_revision__field_card_body\";a:4:{s:11:\"description\";s:66:\"Revision archive storage for component_item field field_card_body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_card_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:23:\"field_card_body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:22:\"field_card_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_card_body_format\";a:1:{i:0;s:22:\"field_card_body_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_card_color','a:2:{s:32:\"component_item__field_card_color\";a:4:{s:11:\"description\";s:55:\"Data storage for component_item field field_card_color.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_card_color_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_card_color_value\";a:1:{i:0;s:22:\"field_card_color_value\";}}}s:41:\"component_item_revision__field_card_color\";a:4:{s:11:\"description\";s:67:\"Revision archive storage for component_item field field_card_color.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_card_color_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_card_color_value\";a:1:{i:0;s:22:\"field_card_color_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_card_icon','a:2:{s:31:\"component_item__field_card_icon\";a:5:{s:11:\"description\";s:54:\"Data storage for component_item field field_card_icon.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_card_icon_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:19:\"field_card_icon_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:21:\"field_card_icon_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:21:\"field_card_icon_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:22:\"field_card_icon_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_card_icon_target_id\";a:1:{i:0;s:25:\"field_card_icon_target_id\";}}s:12:\"foreign keys\";a:1:{s:25:\"field_card_icon_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:25:\"field_card_icon_target_id\";s:3:\"fid\";}}}}s:40:\"component_item_revision__field_card_icon\";a:5:{s:11:\"description\";s:66:\"Revision archive storage for component_item field field_card_icon.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_card_icon_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:19:\"field_card_icon_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:21:\"field_card_icon_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:21:\"field_card_icon_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:22:\"field_card_icon_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_card_icon_target_id\";a:1:{i:0;s:25:\"field_card_icon_target_id\";}}s:12:\"foreign keys\";a:1:{s:25:\"field_card_icon_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:25:\"field_card_icon_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_card_link','a:2:{s:31:\"component_item__field_card_link\";a:4:{s:11:\"description\";s:54:\"Data storage for component_item field field_card_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_card_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:21:\"field_card_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:23:\"field_card_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:19:\"field_card_link_uri\";a:1:{i:0;a:2:{i:0;s:19:\"field_card_link_uri\";i:1;i:30;}}}}s:40:\"component_item_revision__field_card_link\";a:4:{s:11:\"description\";s:66:\"Revision archive storage for component_item field field_card_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_card_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:21:\"field_card_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:23:\"field_card_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:19:\"field_card_link_uri\";a:1:{i:0;a:2:{i:0;s:19:\"field_card_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_cells','a:2:{s:27:\"component_item__field_cells\";a:4:{s:11:\"description\";s:50:\"Data storage for component_item field field_cells.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_cells_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:18:\"field_cells_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:18:\"field_cells_format\";a:1:{i:0;s:18:\"field_cells_format\";}}}s:36:\"component_item_revision__field_cells\";a:4:{s:11:\"description\";s:62:\"Revision archive storage for component_item field field_cells.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_cells_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:18:\"field_cells_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:18:\"field_cells_format\";a:1:{i:0;s:18:\"field_cells_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_classified_ads_image','a:2:{s:42:\"component_item__field_classified_ads_image\";a:5:{s:11:\"description\";s:65:\"Data storage for component_item field field_classified_ads_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:36:\"field_classified_ads_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:30:\"field_classified_ads_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:32:\"field_classified_ads_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:32:\"field_classified_ads_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:33:\"field_classified_ads_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:36:\"field_classified_ads_image_target_id\";a:1:{i:0;s:36:\"field_classified_ads_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:36:\"field_classified_ads_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:36:\"field_classified_ads_image_target_id\";s:3:\"fid\";}}}}s:28:\"component_item_r__81451f32d0\";a:5:{s:11:\"description\";s:77:\"Revision archive storage for component_item field field_classified_ads_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:36:\"field_classified_ads_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:30:\"field_classified_ads_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:32:\"field_classified_ads_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:32:\"field_classified_ads_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:33:\"field_classified_ads_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:36:\"field_classified_ads_image_target_id\";a:1:{i:0;s:36:\"field_classified_ads_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:36:\"field_classified_ads_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:36:\"field_classified_ads_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_classified_ads_text','a:2:{s:41:\"component_item__field_classified_ads_text\";a:4:{s:11:\"description\";s:64:\"Data storage for component_item field field_classified_ads_text.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_classified_ads_text_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__766300854d\";a:4:{s:11:\"description\";s:76:\"Revision archive storage for component_item field field_classified_ads_text.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_classified_ads_text_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_content_statistic_bar','a:2:{s:43:\"component_item__field_content_statistic_bar\";a:4:{s:11:\"description\";s:66:\"Data storage for component_item field field_content_statistic_bar.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_content_statistic_bar_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__67576c0f5f\";a:4:{s:11:\"description\";s:78:\"Revision archive storage for component_item field field_content_statistic_bar.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_content_statistic_bar_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_counter_image','a:2:{s:35:\"component_item__field_counter_image\";a:5:{s:11:\"description\";s:58:\"Data storage for component_item field field_counter_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_counter_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:23:\"field_counter_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:25:\"field_counter_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:25:\"field_counter_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:26:\"field_counter_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_counter_image_target_id\";a:1:{i:0;s:29:\"field_counter_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:29:\"field_counter_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:29:\"field_counter_image_target_id\";s:3:\"fid\";}}}}s:44:\"component_item_revision__field_counter_image\";a:5:{s:11:\"description\";s:70:\"Revision archive storage for component_item field field_counter_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_counter_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:23:\"field_counter_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:25:\"field_counter_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:25:\"field_counter_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:26:\"field_counter_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_counter_image_target_id\";a:1:{i:0;s:29:\"field_counter_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:29:\"field_counter_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:29:\"field_counter_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_counter_number','a:2:{s:36:\"component_item__field_counter_number\";a:4:{s:11:\"description\";s:59:\"Data storage for component_item field field_counter_number.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_counter_number_value\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:45:\"component_item_revision__field_counter_number\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_item field field_counter_number.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_counter_number_value\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_date','a:2:{s:26:\"component_item__field_date\";a:4:{s:11:\"description\";s:49:\"Data storage for component_item field field_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"field_date_value\";a:1:{i:0;s:16:\"field_date_value\";}}}s:35:\"component_item_revision__field_date\";a:4:{s:11:\"description\";s:61:\"Revision archive storage for component_item field field_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"field_date_value\";a:1:{i:0;s:16:\"field_date_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_description','a:2:{s:33:\"component_item__field_description\";a:4:{s:11:\"description\";s:56:\"Data storage for component_item field field_description.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:25:\"field_description_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:24:\"field_description_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_description_format\";a:1:{i:0;s:24:\"field_description_format\";}}}s:42:\"component_item_revision__field_description\";a:4:{s:11:\"description\";s:68:\"Revision archive storage for component_item field field_description.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:25:\"field_description_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:24:\"field_description_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_description_format\";a:1:{i:0;s:24:\"field_description_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_description_information','a:2:{s:45:\"component_item__field_description_information\";a:4:{s:11:\"description\";s:68:\"Data storage for component_item field field_description_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_description_information_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__2794c3141e\";a:4:{s:11:\"description\";s:80:\"Revision archive storage for component_item field field_description_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_description_information_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_divider_section_color','a:2:{s:43:\"component_item__field_divider_section_color\";a:4:{s:11:\"description\";s:66:\"Data storage for component_item field field_divider_section_color.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_divider_section_color_color\";a:4:{s:11:\"description\";s:15:\"The color value\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:7;s:8:\"not null\";b:0;}s:35:\"field_divider_section_color_opacity\";a:4:{s:11:\"description\";s:31:\"The opacity/alphavalue property\";s:4:\"type\";s:5:\"float\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_divider_section_color_color\";a:1:{i:0;s:33:\"field_divider_section_color_color\";}}}s:28:\"component_item_r__5d88543e3d\";a:4:{s:11:\"description\";s:78:\"Revision archive storage for component_item field field_divider_section_color.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_divider_section_color_color\";a:4:{s:11:\"description\";s:15:\"The color value\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:7;s:8:\"not null\";b:0;}s:35:\"field_divider_section_color_opacity\";a:4:{s:11:\"description\";s:31:\"The opacity/alphavalue property\";s:4:\"type\";s:5:\"float\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_divider_section_color_color\";a:1:{i:0;s:33:\"field_divider_section_color_color\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_divider_section_desc','a:2:{s:42:\"component_item__field_divider_section_desc\";a:4:{s:11:\"description\";s:65:\"Data storage for component_item field field_divider_section_desc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:32:\"field_divider_section_desc_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__357c18fcb1\";a:4:{s:11:\"description\";s:77:\"Revision archive storage for component_item field field_divider_section_desc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:32:\"field_divider_section_desc_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_divider_section_image','a:2:{s:43:\"component_item__field_divider_section_image\";a:5:{s:11:\"description\";s:66:\"Data storage for component_item field field_divider_section_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_divider_section_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:31:\"field_divider_section_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:33:\"field_divider_section_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:33:\"field_divider_section_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:34:\"field_divider_section_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_divider_section_image_target_id\";a:1:{i:0;s:37:\"field_divider_section_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:37:\"field_divider_section_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:37:\"field_divider_section_image_target_id\";s:3:\"fid\";}}}}s:28:\"component_item_r__6ae369509d\";a:5:{s:11:\"description\";s:78:\"Revision archive storage for component_item field field_divider_section_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_divider_section_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:31:\"field_divider_section_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:33:\"field_divider_section_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:33:\"field_divider_section_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:34:\"field_divider_section_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_divider_section_image_target_id\";a:1:{i:0;s:37:\"field_divider_section_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:37:\"field_divider_section_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:37:\"field_divider_section_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_gc_date','a:2:{s:29:\"component_item__field_gc_date\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_gc_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_gc_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:19:\"field_gc_date_value\";a:1:{i:0;s:19:\"field_gc_date_value\";}}}s:38:\"component_item_revision__field_gc_date\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_gc_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_gc_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:19:\"field_gc_date_value\";a:1:{i:0;s:19:\"field_gc_date_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_gc_description','a:2:{s:36:\"component_item__field_gc_description\";a:4:{s:11:\"description\";s:59:\"Data storage for component_item field field_gc_description.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_gc_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:28:\"field_gc_description_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:27:\"field_gc_description_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_gc_description_format\";a:1:{i:0;s:27:\"field_gc_description_format\";}}}s:45:\"component_item_revision__field_gc_description\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_item field field_gc_description.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_gc_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:28:\"field_gc_description_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:27:\"field_gc_description_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_gc_description_format\";a:1:{i:0;s:27:\"field_gc_description_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_gc_image','a:2:{s:30:\"component_item__field_gc_image\";a:5:{s:11:\"description\";s:53:\"Data storage for component_item field field_gc_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_gc_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_gc_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_gc_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_gc_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_gc_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_gc_image_target_id\";a:1:{i:0;s:24:\"field_gc_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_gc_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_gc_image_target_id\";s:3:\"fid\";}}}}s:39:\"component_item_revision__field_gc_image\";a:5:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_gc_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_gc_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_gc_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_gc_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_gc_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_gc_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_gc_image_target_id\";a:1:{i:0;s:24:\"field_gc_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_gc_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_gc_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_gc_link','a:2:{s:29:\"component_item__field_gc_link\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_gc_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_gc_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_gc_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_gc_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_gc_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_gc_link_uri\";i:1;i:30;}}}}s:38:\"component_item_revision__field_gc_link\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_gc_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_gc_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_gc_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_gc_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_gc_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_gc_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_grid_date','a:2:{s:31:\"component_item__field_grid_date\";a:4:{s:11:\"description\";s:54:\"Data storage for component_item field field_grid_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_grid_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_grid_date_value\";a:1:{i:0;s:21:\"field_grid_date_value\";}}}s:40:\"component_item_revision__field_grid_date\";a:4:{s:11:\"description\";s:66:\"Revision archive storage for component_item field field_grid_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_grid_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_grid_date_value\";a:1:{i:0;s:21:\"field_grid_date_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_hero_image','a:2:{s:32:\"component_item__field_hero_image\";a:5:{s:11:\"description\";s:55:\"Data storage for component_item field field_hero_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_hero_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:20:\"field_hero_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:22:\"field_hero_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:22:\"field_hero_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:23:\"field_hero_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_hero_image_target_id\";a:1:{i:0;s:26:\"field_hero_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:26:\"field_hero_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:26:\"field_hero_image_target_id\";s:3:\"fid\";}}}}s:41:\"component_item_revision__field_hero_image\";a:5:{s:11:\"description\";s:67:\"Revision archive storage for component_item field field_hero_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_hero_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:20:\"field_hero_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:22:\"field_hero_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:22:\"field_hero_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:23:\"field_hero_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_hero_image_target_id\";a:1:{i:0;s:26:\"field_hero_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:26:\"field_hero_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:26:\"field_hero_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_hpi_image','a:2:{s:31:\"component_item__field_hpi_image\";a:5:{s:11:\"description\";s:54:\"Data storage for component_item field field_hpi_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_hpi_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:19:\"field_hpi_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:21:\"field_hpi_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:21:\"field_hpi_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:22:\"field_hpi_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_hpi_image_target_id\";a:1:{i:0;s:25:\"field_hpi_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:25:\"field_hpi_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:25:\"field_hpi_image_target_id\";s:3:\"fid\";}}}}s:40:\"component_item_revision__field_hpi_image\";a:5:{s:11:\"description\";s:66:\"Revision archive storage for component_item field field_hpi_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_hpi_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:19:\"field_hpi_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:21:\"field_hpi_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:21:\"field_hpi_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:22:\"field_hpi_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_hpi_image_target_id\";a:1:{i:0;s:25:\"field_hpi_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:25:\"field_hpi_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:25:\"field_hpi_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_icon','a:2:{s:26:\"component_item__field_icon\";a:5:{s:11:\"description\";s:49:\"Data storage for component_item field field_icon.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_icon_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:14:\"field_icon_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:16:\"field_icon_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:16:\"field_icon_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:17:\"field_icon_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_icon_target_id\";a:1:{i:0;s:20:\"field_icon_target_id\";}}s:12:\"foreign keys\";a:1:{s:20:\"field_icon_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:20:\"field_icon_target_id\";s:3:\"fid\";}}}}s:35:\"component_item_revision__field_icon\";a:5:{s:11:\"description\";s:61:\"Revision archive storage for component_item field field_icon.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_icon_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:14:\"field_icon_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:16:\"field_icon_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:16:\"field_icon_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:17:\"field_icon_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_icon_target_id\";a:1:{i:0;s:20:\"field_icon_target_id\";}}s:12:\"foreign keys\";a:1:{s:20:\"field_icon_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:20:\"field_icon_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_image','a:2:{s:27:\"component_item__field_image\";a:5:{s:11:\"description\";s:50:\"Data storage for component_item field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}s:36:\"component_item_revision__field_image\";a:5:{s:11:\"description\";s:62:\"Revision archive storage for component_item field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_information','a:2:{s:33:\"component_item__field_information\";a:4:{s:11:\"description\";s:56:\"Data storage for component_item field field_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_information_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:42:\"component_item_revision__field_information\";a:4:{s:11:\"description\";s:68:\"Revision archive storage for component_item field field_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_information_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_large_image','a:2:{s:33:\"component_item__field_large_image\";a:5:{s:11:\"description\";s:56:\"Data storage for component_item field field_large_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_large_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:21:\"field_large_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:23:\"field_large_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:23:\"field_large_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:24:\"field_large_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_large_image_target_id\";a:1:{i:0;s:27:\"field_large_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:27:\"field_large_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:27:\"field_large_image_target_id\";s:3:\"fid\";}}}}s:42:\"component_item_revision__field_large_image\";a:5:{s:11:\"description\";s:68:\"Revision archive storage for component_item field field_large_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_large_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:21:\"field_large_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:23:\"field_large_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:23:\"field_large_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:24:\"field_large_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_large_image_target_id\";a:1:{i:0;s:27:\"field_large_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:27:\"field_large_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:27:\"field_large_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_link','a:2:{s:26:\"component_item__field_link\";a:4:{s:11:\"description\";s:49:\"Data storage for component_item field field_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:16:\"field_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:18:\"field_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:14:\"field_link_uri\";a:1:{i:0;a:2:{i:0;s:14:\"field_link_uri\";i:1;i:30;}}}}s:35:\"component_item_revision__field_link\";a:4:{s:11:\"description\";s:61:\"Revision archive storage for component_item field field_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:16:\"field_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:18:\"field_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:14:\"field_link_uri\";a:1:{i:0;a:2:{i:0;s:14:\"field_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_mobile_hero_image','a:2:{s:39:\"component_item__field_mobile_hero_image\";a:5:{s:11:\"description\";s:62:\"Data storage for component_item field field_mobile_hero_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_mobile_hero_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:27:\"field_mobile_hero_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:29:\"field_mobile_hero_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:29:\"field_mobile_hero_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:30:\"field_mobile_hero_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_mobile_hero_image_target_id\";a:1:{i:0;s:33:\"field_mobile_hero_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:33:\"field_mobile_hero_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:33:\"field_mobile_hero_image_target_id\";s:3:\"fid\";}}}}s:48:\"component_item_revision__field_mobile_hero_image\";a:5:{s:11:\"description\";s:74:\"Revision archive storage for component_item field field_mobile_hero_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_mobile_hero_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:27:\"field_mobile_hero_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:29:\"field_mobile_hero_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:29:\"field_mobile_hero_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:30:\"field_mobile_hero_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_mobile_hero_image_target_id\";a:1:{i:0;s:33:\"field_mobile_hero_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:33:\"field_mobile_hero_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:33:\"field_mobile_hero_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pi_body','a:2:{s:29:\"component_item__field_pi_body\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_pi_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_pi_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_pi_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_pi_body_format\";a:1:{i:0;s:20:\"field_pi_body_format\";}}}s:38:\"component_item_revision__field_pi_body\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_pi_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_pi_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_pi_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_pi_body_format\";a:1:{i:0;s:20:\"field_pi_body_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pi_image','a:2:{s:30:\"component_item__field_pi_image\";a:5:{s:11:\"description\";s:53:\"Data storage for component_item field field_pi_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_pi_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_pi_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_pi_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_pi_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_pi_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_pi_image_target_id\";a:1:{i:0;s:24:\"field_pi_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_pi_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_pi_image_target_id\";s:3:\"fid\";}}}}s:39:\"component_item_revision__field_pi_image\";a:5:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_pi_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_pi_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_pi_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_pi_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_pi_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_pi_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_pi_image_target_id\";a:1:{i:0;s:24:\"field_pi_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_pi_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_pi_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pi_link','a:2:{s:29:\"component_item__field_pi_link\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_pi_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_pi_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_pi_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_pi_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_pi_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_pi_link_uri\";i:1;i:30;}}}}s:38:\"component_item_revision__field_pi_link\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_pi_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_pi_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_pi_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_pi_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_pi_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_pi_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_process','a:2:{s:29:\"component_item__field_process\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_process.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_process_value\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:38:\"component_item_revision__field_process\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_process.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_process_value\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pv_body','a:2:{s:29:\"component_item__field_pv_body\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_pv_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_pv_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_pv_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_pv_body_format\";a:1:{i:0;s:20:\"field_pv_body_format\";}}}s:38:\"component_item_revision__field_pv_body\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_pv_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_pv_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_pv_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_pv_body_format\";a:1:{i:0;s:20:\"field_pv_body_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pv_display','a:2:{s:32:\"component_item__field_pv_display\";a:4:{s:11:\"description\";s:55:\"Data storage for component_item field field_pv_display.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_pv_display_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_pv_display_value\";a:1:{i:0;s:22:\"field_pv_display_value\";}}}s:41:\"component_item_revision__field_pv_display\";a:4:{s:11:\"description\";s:67:\"Revision archive storage for component_item field field_pv_display.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_pv_display_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_pv_display_value\";a:1:{i:0;s:22:\"field_pv_display_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pv_embed_video','a:2:{s:36:\"component_item__field_pv_embed_video\";a:4:{s:11:\"description\";s:59:\"Data storage for component_item field field_pv_embed_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_pv_embed_video_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:256;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:45:\"component_item_revision__field_pv_embed_video\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_item field field_pv_embed_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_pv_embed_video_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:256;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pv_link','a:2:{s:29:\"component_item__field_pv_link\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_pv_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_pv_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_pv_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_pv_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_pv_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_pv_link_uri\";i:1;i:30;}}}}s:38:\"component_item_revision__field_pv_link\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_pv_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_pv_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_pv_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_pv_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_pv_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_pv_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_pv_video_file','a:2:{s:35:\"component_item__field_pv_video_file\";a:5:{s:11:\"description\";s:58:\"Data storage for component_item field field_pv_video_file.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_pv_video_file_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:27:\"field_pv_video_file_display\";a:6:{s:11:\"description\";s:75:\"Flag to control whether this file should be displayed when viewing content.\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"unsigned\";b:1;s:7:\"default\";i:1;s:8:\"not null\";b:0;}s:31:\"field_pv_video_file_description\";a:3:{s:11:\"description\";s:26:\"A description of the file.\";s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_pv_video_file_target_id\";a:1:{i:0;s:29:\"field_pv_video_file_target_id\";}}s:12:\"foreign keys\";a:1:{s:29:\"field_pv_video_file_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:29:\"field_pv_video_file_target_id\";s:3:\"fid\";}}}}s:44:\"component_item_revision__field_pv_video_file\";a:5:{s:11:\"description\";s:70:\"Revision archive storage for component_item field field_pv_video_file.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_pv_video_file_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:27:\"field_pv_video_file_display\";a:6:{s:11:\"description\";s:75:\"Flag to control whether this file should be displayed when viewing content.\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"unsigned\";b:1;s:7:\"default\";i:1;s:8:\"not null\";b:0;}s:31:\"field_pv_video_file_description\";a:3:{s:11:\"description\";s:26:\"A description of the file.\";s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_pv_video_file_target_id\";a:1:{i:0;s:29:\"field_pv_video_file_target_id\";}}s:12:\"foreign keys\";a:1:{s:29:\"field_pv_video_file_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:29:\"field_pv_video_file_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_quote','a:2:{s:27:\"component_item__field_quote\";a:4:{s:11:\"description\";s:50:\"Data storage for component_item field field_quote.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_quote_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:36:\"component_item_revision__field_quote\";a:4:{s:11:\"description\";s:62:\"Revision archive storage for component_item field field_quote.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_quote_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_quote_description_infor','a:2:{s:45:\"component_item__field_quote_description_infor\";a:4:{s:11:\"description\";s:68:\"Data storage for component_item field field_quote_description_infor.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_quote_description_infor_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__db151ffc2b\";a:4:{s:11:\"description\";s:80:\"Revision archive storage for component_item field field_quote_description_infor.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_quote_description_infor_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_quote_image','a:2:{s:33:\"component_item__field_quote_image\";a:5:{s:11:\"description\";s:56:\"Data storage for component_item field field_quote_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_quote_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:21:\"field_quote_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:23:\"field_quote_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:23:\"field_quote_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:24:\"field_quote_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_quote_image_target_id\";a:1:{i:0;s:27:\"field_quote_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:27:\"field_quote_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:27:\"field_quote_image_target_id\";s:3:\"fid\";}}}}s:42:\"component_item_revision__field_quote_image\";a:5:{s:11:\"description\";s:68:\"Revision archive storage for component_item field field_quote_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_quote_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:21:\"field_quote_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:23:\"field_quote_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:23:\"field_quote_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:24:\"field_quote_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_quote_image_target_id\";a:1:{i:0;s:27:\"field_quote_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:27:\"field_quote_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:27:\"field_quote_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_quote_information','a:2:{s:39:\"component_item__field_quote_information\";a:4:{s:11:\"description\";s:62:\"Data storage for component_item field field_quote_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_quote_information_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:48:\"component_item_revision__field_quote_information\";a:4:{s:11:\"description\";s:74:\"Revision archive storage for component_item field field_quote_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_quote_information_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_rc_body','a:2:{s:29:\"component_item__field_rc_body\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_rc_body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_rc_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:21:\"field_rc_body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:20:\"field_rc_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_rc_body_format\";a:1:{i:0;s:20:\"field_rc_body_format\";}}}s:38:\"component_item_revision__field_rc_body\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_rc_body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_rc_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:21:\"field_rc_body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:20:\"field_rc_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_rc_body_format\";a:1:{i:0;s:20:\"field_rc_body_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_rc_image','a:2:{s:30:\"component_item__field_rc_image\";a:5:{s:11:\"description\";s:53:\"Data storage for component_item field field_rc_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_rc_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_rc_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_rc_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_rc_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_rc_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_rc_image_target_id\";a:1:{i:0;s:24:\"field_rc_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_rc_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_rc_image_target_id\";s:3:\"fid\";}}}}s:39:\"component_item_revision__field_rc_image\";a:5:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_rc_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_rc_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_rc_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_rc_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_rc_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_rc_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_rc_image_target_id\";a:1:{i:0;s:24:\"field_rc_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_rc_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_rc_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_rc_link','a:2:{s:29:\"component_item__field_rc_link\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_rc_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_rc_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_rc_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_rc_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_rc_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_rc_link_uri\";i:1;i:30;}}}}s:38:\"component_item_revision__field_rc_link\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_rc_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_rc_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_rc_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_rc_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_rc_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_rc_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sbp_color','a:2:{s:31:\"component_item__field_sbp_color\";a:4:{s:11:\"description\";s:54:\"Data storage for component_item field field_sbp_color.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_sbp_color_color\";a:4:{s:11:\"description\";s:15:\"The color value\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:7;s:8:\"not null\";b:0;}s:23:\"field_sbp_color_opacity\";a:4:{s:11:\"description\";s:31:\"The opacity/alphavalue property\";s:4:\"type\";s:5:\"float\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_sbp_color_color\";a:1:{i:0;s:21:\"field_sbp_color_color\";}}}s:40:\"component_item_revision__field_sbp_color\";a:4:{s:11:\"description\";s:66:\"Revision archive storage for component_item field field_sbp_color.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_sbp_color_color\";a:4:{s:11:\"description\";s:15:\"The color value\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:7;s:8:\"not null\";b:0;}s:23:\"field_sbp_color_opacity\";a:4:{s:11:\"description\";s:31:\"The opacity/alphavalue property\";s:4:\"type\";s:5:\"float\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_sbp_color_color\";a:1:{i:0;s:21:\"field_sbp_color_color\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_service_block_color','a:2:{s:41:\"component_item__field_service_block_color\";a:4:{s:11:\"description\";s:64:\"Data storage for component_item field field_service_block_color.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_service_block_color_color\";a:4:{s:11:\"description\";s:15:\"The color value\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:7;s:8:\"not null\";b:0;}s:33:\"field_service_block_color_opacity\";a:4:{s:11:\"description\";s:31:\"The opacity/alphavalue property\";s:4:\"type\";s:5:\"float\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_service_block_color_color\";a:1:{i:0;s:31:\"field_service_block_color_color\";}}}s:28:\"component_item_r__481c56fb7a\";a:4:{s:11:\"description\";s:76:\"Revision archive storage for component_item field field_service_block_color.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_service_block_color_color\";a:4:{s:11:\"description\";s:15:\"The color value\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:7;s:8:\"not null\";b:0;}s:33:\"field_service_block_color_opacity\";a:4:{s:11:\"description\";s:31:\"The opacity/alphavalue property\";s:4:\"type\";s:5:\"float\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_service_block_color_color\";a:1:{i:0;s:31:\"field_service_block_color_color\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_service_block_description','a:2:{s:47:\"component_item__field_service_block_description\";a:4:{s:11:\"description\";s:70:\"Data storage for component_item field field_service_block_description.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_service_block_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__645517611e\";a:4:{s:11:\"description\";s:82:\"Revision archive storage for component_item field field_service_block_description.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_service_block_description_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_service_block_image','a:2:{s:41:\"component_item__field_service_block_image\";a:5:{s:11:\"description\";s:64:\"Data storage for component_item field field_service_block_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_service_block_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:29:\"field_service_block_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:31:\"field_service_block_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:31:\"field_service_block_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:32:\"field_service_block_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:35:\"field_service_block_image_target_id\";a:1:{i:0;s:35:\"field_service_block_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:35:\"field_service_block_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:35:\"field_service_block_image_target_id\";s:3:\"fid\";}}}}s:28:\"component_item_r__ef7af74fb6\";a:5:{s:11:\"description\";s:76:\"Revision archive storage for component_item field field_service_block_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_service_block_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:29:\"field_service_block_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:31:\"field_service_block_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:31:\"field_service_block_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:32:\"field_service_block_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:35:\"field_service_block_image_target_id\";a:1:{i:0;s:35:\"field_service_block_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:35:\"field_service_block_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:35:\"field_service_block_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_service_block_link','a:2:{s:40:\"component_item__field_service_block_link\";a:4:{s:11:\"description\";s:63:\"Data storage for component_item field field_service_block_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:28:\"field_service_block_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:30:\"field_service_block_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:32:\"field_service_block_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:28:\"field_service_block_link_uri\";a:1:{i:0;a:2:{i:0;s:28:\"field_service_block_link_uri\";i:1;i:30;}}}}s:28:\"component_item_r__80c32e6615\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_item field field_service_block_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:28:\"field_service_block_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:30:\"field_service_block_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:32:\"field_service_block_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:28:\"field_service_block_link_uri\";a:1:{i:0;a:2:{i:0;s:28:\"field_service_block_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_link_text','a:2:{s:39:\"component_item__field_sidebar_link_text\";a:4:{s:11:\"description\";s:62:\"Data storage for component_item field field_sidebar_link_text.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_sidebar_link_text_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:29:\"field_sidebar_link_text_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:31:\"field_sidebar_link_text_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_sidebar_link_text_uri\";a:1:{i:0;a:2:{i:0;s:27:\"field_sidebar_link_text_uri\";i:1;i:30;}}}}s:48:\"component_item_revision__field_sidebar_link_text\";a:4:{s:11:\"description\";s:74:\"Revision archive storage for component_item field field_sidebar_link_text.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_sidebar_link_text_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:29:\"field_sidebar_link_text_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:31:\"field_sidebar_link_text_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_sidebar_link_text_uri\";a:1:{i:0;a:2:{i:0;s:27:\"field_sidebar_link_text_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_link_text_desc','a:2:{s:44:\"component_item__field_sidebar_link_text_desc\";a:4:{s:11:\"description\";s:67:\"Data storage for component_item field field_sidebar_link_text_desc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:34:\"field_sidebar_link_text_desc_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__32e1b4a400\";a:4:{s:11:\"description\";s:79:\"Revision archive storage for component_item field field_sidebar_link_text_desc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:34:\"field_sidebar_link_text_desc_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_service_image','a:2:{s:43:\"component_item__field_sidebar_service_image\";a:5:{s:11:\"description\";s:66:\"Data storage for component_item field field_sidebar_service_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_sidebar_service_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:31:\"field_sidebar_service_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:33:\"field_sidebar_service_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:33:\"field_sidebar_service_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:34:\"field_sidebar_service_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_sidebar_service_image_target_id\";a:1:{i:0;s:37:\"field_sidebar_service_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:37:\"field_sidebar_service_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:37:\"field_sidebar_service_image_target_id\";s:3:\"fid\";}}}}s:28:\"component_item_r__d37614d88b\";a:5:{s:11:\"description\";s:78:\"Revision archive storage for component_item field field_sidebar_service_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_sidebar_service_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:31:\"field_sidebar_service_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:33:\"field_sidebar_service_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:33:\"field_sidebar_service_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:34:\"field_sidebar_service_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_sidebar_service_image_target_id\";a:1:{i:0;s:37:\"field_sidebar_service_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:37:\"field_sidebar_service_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:37:\"field_sidebar_service_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_service_link','a:2:{s:42:\"component_item__field_sidebar_service_link\";a:4:{s:11:\"description\";s:65:\"Data storage for component_item field field_sidebar_service_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:30:\"field_sidebar_service_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:32:\"field_sidebar_service_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:34:\"field_sidebar_service_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:30:\"field_sidebar_service_link_uri\";a:1:{i:0;a:2:{i:0;s:30:\"field_sidebar_service_link_uri\";i:1;i:30;}}}}s:28:\"component_item_r__d1e4ff912b\";a:4:{s:11:\"description\";s:77:\"Revision archive storage for component_item field field_sidebar_service_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:30:\"field_sidebar_service_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:32:\"field_sidebar_service_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:34:\"field_sidebar_service_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:30:\"field_sidebar_service_link_uri\";a:1:{i:0;a:2:{i:0;s:30:\"field_sidebar_service_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_summary_created_by','a:2:{s:48:\"component_item__field_sidebar_summary_created_by\";a:4:{s:11:\"description\";s:71:\"Data storage for component_item field field_sidebar_summary_created_by.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:38:\"field_sidebar_summary_created_by_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__f50afc385e\";a:4:{s:11:\"description\";s:83:\"Revision archive storage for component_item field field_sidebar_summary_created_by.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:38:\"field_sidebar_summary_created_by_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_summary_date','a:2:{s:42:\"component_item__field_sidebar_summary_date\";a:4:{s:11:\"description\";s:65:\"Data storage for component_item field field_sidebar_summary_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:32:\"field_sidebar_summary_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:32:\"field_sidebar_summary_date_value\";a:1:{i:0;s:32:\"field_sidebar_summary_date_value\";}}}s:28:\"component_item_r__c61e4f93e0\";a:4:{s:11:\"description\";s:77:\"Revision archive storage for component_item field field_sidebar_summary_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:32:\"field_sidebar_summary_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:32:\"field_sidebar_summary_date_value\";a:1:{i:0;s:32:\"field_sidebar_summary_date_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_summary_desc','a:2:{s:42:\"component_item__field_sidebar_summary_desc\";a:4:{s:11:\"description\";s:65:\"Data storage for component_item field field_sidebar_summary_desc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:32:\"field_sidebar_summary_desc_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__7b6548b2ab\";a:4:{s:11:\"description\";s:77:\"Revision archive storage for component_item field field_sidebar_summary_desc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:32:\"field_sidebar_summary_desc_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_summary_image','a:2:{s:43:\"component_item__field_sidebar_summary_image\";a:5:{s:11:\"description\";s:66:\"Data storage for component_item field field_sidebar_summary_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_sidebar_summary_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:31:\"field_sidebar_summary_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:33:\"field_sidebar_summary_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:33:\"field_sidebar_summary_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:34:\"field_sidebar_summary_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_sidebar_summary_image_target_id\";a:1:{i:0;s:37:\"field_sidebar_summary_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:37:\"field_sidebar_summary_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:37:\"field_sidebar_summary_image_target_id\";s:3:\"fid\";}}}}s:28:\"component_item_r__fff7256f49\";a:5:{s:11:\"description\";s:78:\"Revision archive storage for component_item field field_sidebar_summary_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_sidebar_summary_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:31:\"field_sidebar_summary_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:33:\"field_sidebar_summary_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:33:\"field_sidebar_summary_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:34:\"field_sidebar_summary_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_sidebar_summary_image_target_id\";a:1:{i:0;s:37:\"field_sidebar_summary_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:37:\"field_sidebar_summary_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:37:\"field_sidebar_summary_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_sidebar_summary_link','a:2:{s:42:\"component_item__field_sidebar_summary_link\";a:4:{s:11:\"description\";s:65:\"Data storage for component_item field field_sidebar_summary_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:30:\"field_sidebar_summary_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:32:\"field_sidebar_summary_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:34:\"field_sidebar_summary_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:30:\"field_sidebar_summary_link_uri\";a:1:{i:0;a:2:{i:0;s:30:\"field_sidebar_summary_link_uri\";i:1;i:30;}}}}s:28:\"component_item_r__7a227bd502\";a:4:{s:11:\"description\";s:77:\"Revision archive storage for component_item field field_sidebar_summary_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:30:\"field_sidebar_summary_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:32:\"field_sidebar_summary_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:34:\"field_sidebar_summary_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:30:\"field_sidebar_summary_link_uri\";a:1:{i:0;a:2:{i:0;s:30:\"field_sidebar_summary_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_slideshow_flexible_date','a:2:{s:45:\"component_item__field_slideshow_flexible_date\";a:4:{s:11:\"description\";s:68:\"Data storage for component_item field field_slideshow_flexible_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_slideshow_flexible_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:35:\"field_slideshow_flexible_date_value\";a:1:{i:0;s:35:\"field_slideshow_flexible_date_value\";}}}s:28:\"component_item_r__cce2d93878\";a:4:{s:11:\"description\";s:80:\"Revision archive storage for component_item field field_slideshow_flexible_date.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_slideshow_flexible_date_value\";a:4:{s:11:\"description\";s:15:\"The date value.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:20;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:35:\"field_slideshow_flexible_date_value\";a:1:{i:0;s:35:\"field_slideshow_flexible_date_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_slideshow_flexible_image','a:2:{s:46:\"component_item__field_slideshow_flexible_image\";a:5:{s:11:\"description\";s:69:\"Data storage for component_item field field_slideshow_flexible_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:40:\"field_slideshow_flexible_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:34:\"field_slideshow_flexible_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:36:\"field_slideshow_flexible_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:36:\"field_slideshow_flexible_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:37:\"field_slideshow_flexible_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:40:\"field_slideshow_flexible_image_target_id\";a:1:{i:0;s:40:\"field_slideshow_flexible_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:40:\"field_slideshow_flexible_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:40:\"field_slideshow_flexible_image_target_id\";s:3:\"fid\";}}}}s:28:\"component_item_r__b8160e4707\";a:5:{s:11:\"description\";s:81:\"Revision archive storage for component_item field field_slideshow_flexible_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:40:\"field_slideshow_flexible_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:34:\"field_slideshow_flexible_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:36:\"field_slideshow_flexible_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:36:\"field_slideshow_flexible_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:37:\"field_slideshow_flexible_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:40:\"field_slideshow_flexible_image_target_id\";a:1:{i:0;s:40:\"field_slideshow_flexible_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:40:\"field_slideshow_flexible_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:40:\"field_slideshow_flexible_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_slideshow_flexible_link','a:2:{s:45:\"component_item__field_slideshow_flexible_link\";a:4:{s:11:\"description\";s:68:\"Data storage for component_item field field_slideshow_flexible_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_slideshow_flexible_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:35:\"field_slideshow_flexible_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:37:\"field_slideshow_flexible_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_slideshow_flexible_link_uri\";a:1:{i:0;a:2:{i:0;s:33:\"field_slideshow_flexible_link_uri\";i:1;i:30;}}}}s:28:\"component_item_r__3383a0f259\";a:4:{s:11:\"description\";s:80:\"Revision archive storage for component_item field field_slideshow_flexible_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_slideshow_flexible_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:35:\"field_slideshow_flexible_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:37:\"field_slideshow_flexible_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_slideshow_flexible_link_uri\";a:1:{i:0;a:2:{i:0;s:33:\"field_slideshow_flexible_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_slideshow_flexible_sdesc','a:2:{s:46:\"component_item__field_slideshow_flexible_sdesc\";a:4:{s:11:\"description\";s:69:\"Data storage for component_item field field_slideshow_flexible_sdesc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:36:\"field_slideshow_flexible_sdesc_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"component_item_r__40c86cf946\";a:4:{s:11:\"description\";s:81:\"Revision archive storage for component_item field field_slideshow_flexible_sdesc.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:36:\"field_slideshow_flexible_sdesc_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}');
INSERT INTO `key_value` VALUES ('entity.storage_schema.sql','component_item.field_schema_data.field_small_image','a:2:{s:33:\"component_item__field_small_image\";a:5:{s:11:\"description\";s:56:\"Data storage for component_item field field_small_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_small_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:21:\"field_small_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:23:\"field_small_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:23:\"field_small_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:24:\"field_small_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_small_image_target_id\";a:1:{i:0;s:27:\"field_small_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:27:\"field_small_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:27:\"field_small_image_target_id\";s:3:\"fid\";}}}}s:42:\"component_item_revision__field_small_image\";a:5:{s:11:\"description\";s:68:\"Revision archive storage for component_item field field_small_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_small_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:21:\"field_small_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:23:\"field_small_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:23:\"field_small_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:24:\"field_small_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_small_image_target_id\";a:1:{i:0;s:27:\"field_small_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:27:\"field_small_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:27:\"field_small_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_statistic_bar_progress','a:2:{s:44:\"component_item__field_statistic_bar_progress\";a:4:{s:11:\"description\";s:67:\"Data storage for component_item field field_statistic_bar_progress.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:38:\"field_statistic_bar_progress_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:38:\"field_statistic_bar_progress_target_id\";a:1:{i:0;s:38:\"field_statistic_bar_progress_target_id\";}}}s:28:\"component_item_r__9d4d2c414d\";a:4:{s:11:\"description\";s:79:\"Revision archive storage for component_item field field_statistic_bar_progress.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:38:\"field_statistic_bar_progress_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:38:\"field_statistic_bar_progress_target_id\";a:1:{i:0;s:38:\"field_statistic_bar_progress_target_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_summary','a:2:{s:29:\"component_item__field_summary\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_summary.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_summary_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_summary_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_summary_format\";a:1:{i:0;s:20:\"field_summary_format\";}}}s:38:\"component_item_revision__field_summary\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_summary.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_summary_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_summary_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_summary_format\";a:1:{i:0;s:20:\"field_summary_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_table_columns','a:2:{s:35:\"component_item__field_table_columns\";a:4:{s:11:\"description\";s:58:\"Data storage for component_item field field_table_columns.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_table_columns_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_table_columns_target_id\";a:1:{i:0;s:29:\"field_table_columns_target_id\";}}}s:44:\"component_item_revision__field_table_columns\";a:4:{s:11:\"description\";s:70:\"Revision archive storage for component_item field field_table_columns.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_table_columns_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_table_columns_target_id\";a:1:{i:0;s:29:\"field_table_columns_target_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_body','a:2:{s:29:\"component_item__field_ti_body\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_ti_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_ti_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_ti_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_ti_body_format\";a:1:{i:0;s:20:\"field_ti_body_format\";}}}s:38:\"component_item_revision__field_ti_body\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_ti_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_ti_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:20:\"field_ti_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_ti_body_format\";a:1:{i:0;s:20:\"field_ti_body_format\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_icon','a:2:{s:29:\"component_item__field_ti_icon\";a:5:{s:11:\"description\";s:52:\"Data storage for component_item field field_ti_icon.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_ti_icon_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:17:\"field_ti_icon_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:19:\"field_ti_icon_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:19:\"field_ti_icon_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:20:\"field_ti_icon_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_ti_icon_target_id\";a:1:{i:0;s:23:\"field_ti_icon_target_id\";}}s:12:\"foreign keys\";a:1:{s:23:\"field_ti_icon_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:23:\"field_ti_icon_target_id\";s:3:\"fid\";}}}}s:38:\"component_item_revision__field_ti_icon\";a:5:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_ti_icon.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_ti_icon_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:17:\"field_ti_icon_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:19:\"field_ti_icon_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:19:\"field_ti_icon_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:20:\"field_ti_icon_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_ti_icon_target_id\";a:1:{i:0;s:23:\"field_ti_icon_target_id\";}}s:12:\"foreign keys\";a:1:{s:23:\"field_ti_icon_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:23:\"field_ti_icon_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_image','a:2:{s:30:\"component_item__field_ti_image\";a:5:{s:11:\"description\";s:53:\"Data storage for component_item field field_ti_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_ti_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_ti_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_ti_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_ti_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_ti_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_ti_image_target_id\";a:1:{i:0;s:24:\"field_ti_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_ti_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_ti_image_target_id\";s:3:\"fid\";}}}}s:39:\"component_item_revision__field_ti_image\";a:5:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_ti_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_ti_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_ti_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_ti_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_ti_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_ti_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_ti_image_target_id\";a:1:{i:0;s:24:\"field_ti_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_ti_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_ti_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_left','a:2:{s:29:\"component_item__field_ti_left\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_ti_left.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_ti_left_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_ti_left_target_id\";a:1:{i:0;s:23:\"field_ti_left_target_id\";}}}s:38:\"component_item_revision__field_ti_left\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_ti_left.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_ti_left_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_ti_left_target_id\";a:1:{i:0;s:23:\"field_ti_left_target_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_link','a:2:{s:29:\"component_item__field_ti_link\";a:4:{s:11:\"description\";s:52:\"Data storage for component_item field field_ti_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_ti_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_ti_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_ti_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_ti_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_ti_link_uri\";i:1;i:30;}}}}s:38:\"component_item_revision__field_ti_link\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_item field field_ti_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_ti_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:19:\"field_ti_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:21:\"field_ti_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:17:\"field_ti_link_uri\";a:1:{i:0;a:2:{i:0;s:17:\"field_ti_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_right','a:2:{s:30:\"component_item__field_ti_right\";a:4:{s:11:\"description\";s:53:\"Data storage for component_item field field_ti_right.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_ti_right_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_ti_right_target_id\";a:1:{i:0;s:24:\"field_ti_right_target_id\";}}}s:39:\"component_item_revision__field_ti_right\";a:4:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_ti_right.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_ti_right_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_ti_right_target_id\";a:1:{i:0;s:24:\"field_ti_right_target_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_ti_video','a:2:{s:30:\"component_item__field_ti_video\";a:4:{s:11:\"description\";s:53:\"Data storage for component_item field field_ti_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_ti_video_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:256;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:39:\"component_item_revision__field_ti_video\";a:4:{s:11:\"description\";s:65:\"Revision archive storage for component_item field field_ti_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_ti_video_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:256;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.field_type','a:2:{s:26:\"component_item__field_type\";a:4:{s:11:\"description\";s:49:\"Data storage for component_item field field_type.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_type_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"field_type_value\";a:1:{i:0;s:16:\"field_type_value\";}}}s:35:\"component_item_revision__field_type\";a:4:{s:11:\"description\";s:61:\"Revision archive storage for component_item field field_type.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_type_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"field_type_value\";a:1:{i:0;s:16:\"field_type_value\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.langcode','a:4:{s:14:\"component_item\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:23:\"component_item_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.revision_default','a:1:{s:23:\"component_item_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.revision_translation_affected','a:2:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.status','a:2:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.title','a:1:{s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.type','a:2:{s:14:\"component_item\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:37:\"component_item_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}s:25:\"component_item_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:37:\"component_item_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.uid','a:1:{s:25:\"component_item_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:36:\"component_item_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.uuid','a:1:{s:14:\"component_item\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:33:\"component_item_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','component_item.field_schema_data.vid','a:4:{s:14:\"component_item\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:25:\"component_item_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:23:\"component_item_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:29:\"component_item_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_wrapper.entity_schema_data','a:4:{s:17:\"component_wrapper\";a:2:{s:11:\"primary key\";a:1:{i:0;s:20:\"component_wrapper_id\";}s:11:\"unique keys\";a:1:{s:22:\"component_wrapper__vid\";a:1:{i:0;s:3:\"vid\";}}}s:26:\"component_wrapper_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:39:\"component_wrapper__component_wrapper_id\";a:1:{i:0;s:20:\"component_wrapper_id\";}}}s:28:\"component_wrapper_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:20:\"component_wrapper_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:49:\"component_wrapper__id__default_langcode__langcode\";a:3:{i:0;s:20:\"component_wrapper_id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:22:\"component_wrapper__vid\";a:1:{i:0;s:3:\"vid\";}s:25:\"component_wrapper__status\";a:2:{i:0;s:6:\"status\";i:1;s:20:\"component_wrapper_id\";}}}s:32:\"component_wrapper_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:49:\"component_wrapper__id__default_langcode__langcode\";a:3:{i:0;s:20:\"component_wrapper_id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.changed','a:2:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.component_type','a:1:{s:28:\"component_wrapper_field_data\";a:2:{s:6:\"fields\";a:1:{s:14:\"component_type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:29:\"component_wrapper__6575303988\";a:1:{i:0;s:14:\"component_type\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.component_wrapper_id','a:4:{s:17:\"component_wrapper\";a:1:{s:6:\"fields\";a:1:{s:20:\"component_wrapper_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:20:\"component_wrapper_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:26:\"component_wrapper_revision\";a:1:{s:6:\"fields\";a:1:{s:20:\"component_wrapper_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:20:\"component_wrapper_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.created','a:2:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.default_langcode','a:2:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.display_footer','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:14:\"display_footer\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.display_header','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:14:\"display_header\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.display_image','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:13:\"display_image\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.display_in_region','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:17:\"display_in_region\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.display_title','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:13:\"display_title\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_accordion','a:2:{s:34:\"component_wrapper__field_accordion\";a:4:{s:11:\"description\";s:57:\"Data storage for component_wrapper field field_accordion.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_accordion_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_accordion_target_id\";a:1:{i:0;s:25:\"field_accordion_target_id\";}}}s:43:\"component_wrapper_revision__field_accordion\";a:4:{s:11:\"description\";s:69:\"Revision archive storage for component_wrapper field field_accordion.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_accordion_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_accordion_target_id\";a:1:{i:0;s:25:\"field_accordion_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_article_summary','a:2:{s:40:\"component_wrapper__field_article_summary\";a:4:{s:11:\"description\";s:63:\"Data storage for component_wrapper field field_article_summary.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_article_summary_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_article_summary_target_id\";a:1:{i:0;s:31:\"field_article_summary_target_id\";}}}s:31:\"component_wrapper_r__603369b4af\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_wrapper field field_article_summary.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_article_summary_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_article_summary_target_id\";a:1:{i:0;s:31:\"field_article_summary_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_banner_grid','a:2:{s:36:\"component_wrapper__field_banner_grid\";a:4:{s:11:\"description\";s:59:\"Data storage for component_wrapper field field_banner_grid.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_banner_grid_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_banner_grid_target_id\";a:1:{i:0;s:27:\"field_banner_grid_target_id\";}}}s:45:\"component_wrapper_revision__field_banner_grid\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_wrapper field field_banner_grid.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_banner_grid_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_banner_grid_target_id\";a:1:{i:0;s:27:\"field_banner_grid_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_basic_component','a:2:{s:40:\"component_wrapper__field_basic_component\";a:4:{s:11:\"description\";s:63:\"Data storage for component_wrapper field field_basic_component.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_basic_component_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_basic_component_target_id\";a:1:{i:0;s:31:\"field_basic_component_target_id\";}}}s:31:\"component_wrapper_r__363324e047\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_wrapper field field_basic_component.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_basic_component_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_basic_component_target_id\";a:1:{i:0;s:31:\"field_basic_component_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_card','a:2:{s:29:\"component_wrapper__field_card\";a:4:{s:11:\"description\";s:52:\"Data storage for component_wrapper field field_card.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_card_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_card_target_id\";a:1:{i:0;s:20:\"field_card_target_id\";}}}s:38:\"component_wrapper_revision__field_card\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_wrapper field field_card.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_card_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_card_target_id\";a:1:{i:0;s:20:\"field_card_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_carousel','a:2:{s:33:\"component_wrapper__field_carousel\";a:4:{s:11:\"description\";s:56:\"Data storage for component_wrapper field field_carousel.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_carousel_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_carousel_target_id\";a:1:{i:0;s:24:\"field_carousel_target_id\";}}}s:42:\"component_wrapper_revision__field_carousel\";a:4:{s:11:\"description\";s:68:\"Revision archive storage for component_wrapper field field_carousel.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_carousel_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_carousel_target_id\";a:1:{i:0;s:24:\"field_carousel_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_classified_ads','a:2:{s:39:\"component_wrapper__field_classified_ads\";a:4:{s:11:\"description\";s:62:\"Data storage for component_wrapper field field_classified_ads.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:30:\"field_classified_ads_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:30:\"field_classified_ads_target_id\";a:1:{i:0;s:30:\"field_classified_ads_target_id\";}}}s:48:\"component_wrapper_revision__field_classified_ads\";a:4:{s:11:\"description\";s:74:\"Revision archive storage for component_wrapper field field_classified_ads.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:30:\"field_classified_ads_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:30:\"field_classified_ads_target_id\";a:1:{i:0;s:30:\"field_classified_ads_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_counter','a:2:{s:32:\"component_wrapper__field_counter\";a:4:{s:11:\"description\";s:55:\"Data storage for component_wrapper field field_counter.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_counter_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_counter_target_id\";a:1:{i:0;s:23:\"field_counter_target_id\";}}}s:41:\"component_wrapper_revision__field_counter\";a:4:{s:11:\"description\";s:67:\"Revision archive storage for component_wrapper field field_counter.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_counter_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_counter_target_id\";a:1:{i:0;s:23:\"field_counter_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_display_mode','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:18:\"field_display_mode\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_divider_section','a:2:{s:40:\"component_wrapper__field_divider_section\";a:4:{s:11:\"description\";s:63:\"Data storage for component_wrapper field field_divider_section.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_divider_section_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_divider_section_target_id\";a:1:{i:0;s:31:\"field_divider_section_target_id\";}}}s:31:\"component_wrapper_r__e48f846d13\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_wrapper field field_divider_section.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_divider_section_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_divider_section_target_id\";a:1:{i:0;s:31:\"field_divider_section_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_footer','a:1:{s:28:\"component_wrapper_field_data\";a:2:{s:6:\"fields\";a:2:{s:19:\"field_footer__value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:20:\"field_footer__format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:45:\"component_wrapper_field__field_footer__format\";a:1:{i:0;s:20:\"field_footer__format\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_grid','a:2:{s:29:\"component_wrapper__field_grid\";a:4:{s:11:\"description\";s:52:\"Data storage for component_wrapper field field_grid.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_grid_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_grid_target_id\";a:1:{i:0;s:20:\"field_grid_target_id\";}}}s:38:\"component_wrapper_revision__field_grid\";a:4:{s:11:\"description\";s:64:\"Revision archive storage for component_wrapper field field_grid.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_grid_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_grid_target_id\";a:1:{i:0;s:20:\"field_grid_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_grid_carousel','a:2:{s:38:\"component_wrapper__field_grid_carousel\";a:4:{s:11:\"description\";s:61:\"Data storage for component_wrapper field field_grid_carousel.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_grid_carousel_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_grid_carousel_target_id\";a:1:{i:0;s:29:\"field_grid_carousel_target_id\";}}}s:47:\"component_wrapper_revision__field_grid_carousel\";a:4:{s:11:\"description\";s:73:\"Revision archive storage for component_wrapper field field_grid_carousel.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_grid_carousel_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_grid_carousel_target_id\";a:1:{i:0;s:29:\"field_grid_carousel_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_header','a:1:{s:28:\"component_wrapper_field_data\";a:2:{s:6:\"fields\";a:2:{s:19:\"field_header__value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:20:\"field_header__format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:45:\"component_wrapper_field__field_header__format\";a:1:{i:0;s:20:\"field_header__format\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_horizontal_push_image','a:2:{s:46:\"component_wrapper__field_horizontal_push_image\";a:4:{s:11:\"description\";s:69:\"Data storage for component_wrapper field field_horizontal_push_image.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_horizontal_push_image_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_horizontal_push_image_target_id\";a:1:{i:0;s:37:\"field_horizontal_push_image_target_id\";}}}s:31:\"component_wrapper_r__634659c9ab\";a:4:{s:11:\"description\";s:81:\"Revision archive storage for component_wrapper field field_horizontal_push_image.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:37:\"field_horizontal_push_image_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:37:\"field_horizontal_push_image_target_id\";a:1:{i:0;s:37:\"field_horizontal_push_image_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_image','a:2:{s:30:\"component_wrapper__field_image\";a:5:{s:11:\"description\";s:53:\"Data storage for component_wrapper field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}s:39:\"component_wrapper_revision__field_image\";a:5:{s:11:\"description\";s:65:\"Revision archive storage for component_wrapper field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_left_column','a:2:{s:36:\"component_wrapper__field_left_column\";a:4:{s:11:\"description\";s:59:\"Data storage for component_wrapper field field_left_column.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_left_column_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_left_column_target_id\";a:1:{i:0;s:27:\"field_left_column_target_id\";}}}s:45:\"component_wrapper_revision__field_left_column\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_wrapper field field_left_column.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_left_column_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_left_column_target_id\";a:1:{i:0;s:27:\"field_left_column_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_middle_column','a:2:{s:38:\"component_wrapper__field_middle_column\";a:4:{s:11:\"description\";s:61:\"Data storage for component_wrapper field field_middle_column.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_middle_column_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_middle_column_target_id\";a:1:{i:0;s:29:\"field_middle_column_target_id\";}}}s:47:\"component_wrapper_revision__field_middle_column\";a:4:{s:11:\"description\";s:73:\"Revision archive storage for component_wrapper field field_middle_column.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_middle_column_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_middle_column_target_id\";a:1:{i:0;s:29:\"field_middle_column_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_properties','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"field_properties\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_push_image','a:2:{s:35:\"component_wrapper__field_push_image\";a:4:{s:11:\"description\";s:58:\"Data storage for component_wrapper field field_push_image.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_push_image_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_push_image_target_id\";a:1:{i:0;s:26:\"field_push_image_target_id\";}}}s:44:\"component_wrapper_revision__field_push_image\";a:4:{s:11:\"description\";s:70:\"Revision archive storage for component_wrapper field field_push_image.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_push_image_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_push_image_target_id\";a:1:{i:0;s:26:\"field_push_image_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_push_video','a:2:{s:35:\"component_wrapper__field_push_video\";a:4:{s:11:\"description\";s:58:\"Data storage for component_wrapper field field_push_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_push_video_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_push_video_target_id\";a:1:{i:0;s:26:\"field_push_video_target_id\";}}}s:44:\"component_wrapper_revision__field_push_video\";a:4:{s:11:\"description\";s:70:\"Revision archive storage for component_wrapper field field_push_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_push_video_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_push_video_target_id\";a:1:{i:0;s:26:\"field_push_video_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_quote','a:2:{s:30:\"component_wrapper__field_quote\";a:4:{s:11:\"description\";s:53:\"Data storage for component_wrapper field field_quote.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_quote_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_quote_target_id\";a:1:{i:0;s:21:\"field_quote_target_id\";}}}s:39:\"component_wrapper_revision__field_quote\";a:4:{s:11:\"description\";s:65:\"Revision archive storage for component_wrapper field field_quote.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_quote_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_quote_target_id\";a:1:{i:0;s:21:\"field_quote_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_region','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:12:\"field_region\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_related_content','a:2:{s:40:\"component_wrapper__field_related_content\";a:4:{s:11:\"description\";s:63:\"Data storage for component_wrapper field field_related_content.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_related_content_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_related_content_target_id\";a:1:{i:0;s:31:\"field_related_content_target_id\";}}}s:31:\"component_wrapper_r__a874022e1b\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_wrapper field field_related_content.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_related_content_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_related_content_target_id\";a:1:{i:0;s:31:\"field_related_content_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_right_column','a:2:{s:37:\"component_wrapper__field_right_column\";a:4:{s:11:\"description\";s:60:\"Data storage for component_wrapper field field_right_column.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:28:\"field_right_column_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:28:\"field_right_column_target_id\";a:1:{i:0;s:28:\"field_right_column_target_id\";}}}s:46:\"component_wrapper_revision__field_right_column\";a:4:{s:11:\"description\";s:72:\"Revision archive storage for component_wrapper field field_right_column.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:28:\"field_right_column_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:28:\"field_right_column_target_id\";a:1:{i:0;s:28:\"field_right_column_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_service_block','a:2:{s:38:\"component_wrapper__field_service_block\";a:4:{s:11:\"description\";s:61:\"Data storage for component_wrapper field field_service_block.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_service_block_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_service_block_target_id\";a:1:{i:0;s:29:\"field_service_block_target_id\";}}}s:47:\"component_wrapper_revision__field_service_block\";a:4:{s:11:\"description\";s:73:\"Revision archive storage for component_wrapper field field_service_block.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_service_block_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_service_block_target_id\";a:1:{i:0;s:29:\"field_service_block_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_sidebar_link_text','a:2:{s:42:\"component_wrapper__field_sidebar_link_text\";a:4:{s:11:\"description\";s:65:\"Data storage for component_wrapper field field_sidebar_link_text.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_sidebar_link_text_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_sidebar_link_text_target_id\";a:1:{i:0;s:33:\"field_sidebar_link_text_target_id\";}}}s:31:\"component_wrapper_r__f347f28465\";a:4:{s:11:\"description\";s:77:\"Revision archive storage for component_wrapper field field_sidebar_link_text.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:33:\"field_sidebar_link_text_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"field_sidebar_link_text_target_id\";a:1:{i:0;s:33:\"field_sidebar_link_text_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_sidebar_service','a:2:{s:40:\"component_wrapper__field_sidebar_service\";a:4:{s:11:\"description\";s:63:\"Data storage for component_wrapper field field_sidebar_service.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_sidebar_service_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_sidebar_service_target_id\";a:1:{i:0;s:31:\"field_sidebar_service_target_id\";}}}s:31:\"component_wrapper_r__e8a3b51d2a\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_wrapper field field_sidebar_service.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_sidebar_service_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_sidebar_service_target_id\";a:1:{i:0;s:31:\"field_sidebar_service_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_sidebar_summary','a:2:{s:40:\"component_wrapper__field_sidebar_summary\";a:4:{s:11:\"description\";s:63:\"Data storage for component_wrapper field field_sidebar_summary.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_sidebar_summary_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_sidebar_summary_target_id\";a:1:{i:0;s:31:\"field_sidebar_summary_target_id\";}}}s:31:\"component_wrapper_r__b6d05f61af\";a:4:{s:11:\"description\";s:75:\"Revision archive storage for component_wrapper field field_sidebar_summary.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:31:\"field_sidebar_summary_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:31:\"field_sidebar_summary_target_id\";a:1:{i:0;s:31:\"field_sidebar_summary_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_slideshow','a:2:{s:34:\"component_wrapper__field_slideshow\";a:4:{s:11:\"description\";s:57:\"Data storage for component_wrapper field field_slideshow.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_slideshow_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_slideshow_target_id\";a:1:{i:0;s:25:\"field_slideshow_target_id\";}}}s:43:\"component_wrapper_revision__field_slideshow\";a:4:{s:11:\"description\";s:69:\"Revision archive storage for component_wrapper field field_slideshow.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_slideshow_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_slideshow_target_id\";a:1:{i:0;s:25:\"field_slideshow_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_slideshow_flexible','a:2:{s:43:\"component_wrapper__field_slideshow_flexible\";a:4:{s:11:\"description\";s:66:\"Data storage for component_wrapper field field_slideshow_flexible.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:34:\"field_slideshow_flexible_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:34:\"field_slideshow_flexible_target_id\";a:1:{i:0;s:34:\"field_slideshow_flexible_target_id\";}}}s:31:\"component_wrapper_r__96c010c9be\";a:4:{s:11:\"description\";s:78:\"Revision archive storage for component_wrapper field field_slideshow_flexible.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:34:\"field_slideshow_flexible_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:34:\"field_slideshow_flexible_target_id\";a:1:{i:0;s:34:\"field_slideshow_flexible_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_statistic_bar','a:2:{s:38:\"component_wrapper__field_statistic_bar\";a:4:{s:11:\"description\";s:61:\"Data storage for component_wrapper field field_statistic_bar.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_statistic_bar_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_statistic_bar_target_id\";a:1:{i:0;s:29:\"field_statistic_bar_target_id\";}}}s:47:\"component_wrapper_revision__field_statistic_bar\";a:4:{s:11:\"description\";s:73:\"Revision archive storage for component_wrapper field field_statistic_bar.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_statistic_bar_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_statistic_bar_target_id\";a:1:{i:0;s:29:\"field_statistic_bar_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_summary_information','a:2:{s:44:\"component_wrapper__field_summary_information\";a:4:{s:11:\"description\";s:67:\"Data storage for component_wrapper field field_summary_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_summary_information_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:35:\"field_summary_information_target_id\";a:1:{i:0;s:35:\"field_summary_information_target_id\";}}}s:31:\"component_wrapper_r__f0f106351b\";a:4:{s:11:\"description\";s:79:\"Revision archive storage for component_wrapper field field_summary_information.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:35:\"field_summary_information_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:35:\"field_summary_information_target_id\";a:1:{i:0;s:35:\"field_summary_information_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_table','a:2:{s:30:\"component_wrapper__field_table\";a:4:{s:11:\"description\";s:53:\"Data storage for component_wrapper field field_table.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_table_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_table_target_id\";a:1:{i:0;s:21:\"field_table_target_id\";}}}s:39:\"component_wrapper_revision__field_table\";a:4:{s:11:\"description\";s:65:\"Revision archive storage for component_wrapper field field_table.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_table_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_table_target_id\";a:1:{i:0;s:21:\"field_table_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_testimonial','a:2:{s:36:\"component_wrapper__field_testimonial\";a:4:{s:11:\"description\";s:59:\"Data storage for component_wrapper field field_testimonial.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_testimonial_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_testimonial_target_id\";a:1:{i:0;s:27:\"field_testimonial_target_id\";}}}s:45:\"component_wrapper_revision__field_testimonial\";a:4:{s:11:\"description\";s:71:\"Revision archive storage for component_wrapper field field_testimonial.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:27:\"field_testimonial_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:27:\"field_testimonial_target_id\";a:1:{i:0;s:27:\"field_testimonial_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_timeline','a:2:{s:33:\"component_wrapper__field_timeline\";a:4:{s:11:\"description\";s:56:\"Data storage for component_wrapper field field_timeline.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_timeline_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_timeline_target_id\";a:1:{i:0;s:24:\"field_timeline_target_id\";}}}s:42:\"component_wrapper_revision__field_timeline\";a:4:{s:11:\"description\";s:68:\"Revision archive storage for component_wrapper field field_timeline.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_timeline_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_timeline_target_id\";a:1:{i:0;s:24:\"field_timeline_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_topic_summary','a:2:{s:38:\"component_wrapper__field_topic_summary\";a:4:{s:11:\"description\";s:61:\"Data storage for component_wrapper field field_topic_summary.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_topic_summary_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_topic_summary_target_id\";a:1:{i:0;s:29:\"field_topic_summary_target_id\";}}}s:47:\"component_wrapper_revision__field_topic_summary\";a:4:{s:11:\"description\";s:73:\"Revision archive storage for component_wrapper field field_topic_summary.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:29:\"field_topic_summary_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:29:\"field_topic_summary_target_id\";a:1:{i:0;s:29:\"field_topic_summary_target_id\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.field_weight_in_region','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:22:\"field_weight_in_region\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.langcode','a:4:{s:17:\"component_wrapper\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:26:\"component_wrapper_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.revision_default','a:1:{s:26:\"component_wrapper_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.revision_translation_affected','a:2:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.status','a:2:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.title','a:1:{s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.uid','a:1:{s:28:\"component_wrapper_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:39:\"component_wrapper_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.uuid','a:1:{s:17:\"component_wrapper\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:36:\"component_wrapper_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','component_wrapper.field_schema_data.vid','a:4:{s:17:\"component_wrapper\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:28:\"component_wrapper_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:26:\"component_wrapper_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:32:\"component_wrapper_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','file.entity_schema_data','a:1:{s:12:\"file_managed\";a:1:{s:11:\"primary key\";a:1:{i:0;s:3:\"fid\";}}}'),('entity.storage_schema.sql','file.field_schema_data.changed','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"file_field__changed\";a:1:{i:0;s:7:\"changed\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.created','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.fid','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:3:\"fid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','file.field_schema_data.filemime','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"filemime\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.filename','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"filename\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.filesize','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"filesize\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.langcode','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','file.field_schema_data.status','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:18:\"file_field__status\";a:1:{i:0;s:6:\"status\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.uid','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:26:\"file_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.uri','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:3:\"uri\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:15:\"file_field__uri\";a:1:{i:0;s:3:\"uri\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.uuid','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:23:\"file_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','menu_link_content.entity_schema_data','a:4:{s:17:\"menu_link_content\";a:2:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:11:\"unique keys\";a:1:{s:30:\"menu_link_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:26:\"menu_link_content_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:21:\"menu_link_content__id\";a:1:{i:0;s:2:\"id\";}}}s:22:\"menu_link_content_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:2:\"id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:49:\"menu_link_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:30:\"menu_link_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"menu_link_content__enabled_bundle\";a:3:{i:0;s:7:\"enabled\";i:1;s:6:\"bundle\";i:2;s:2:\"id\";}}}s:32:\"menu_link_content_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:11:\"revision_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:49:\"menu_link_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.bundle','a:2:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:6:\"bundle\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"bundle\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.changed','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.default_langcode','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.description','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"description\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"description\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.enabled','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"enabled\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"enabled\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.expanded','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"expanded\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.external','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"external\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"external\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.id','a:4:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.langcode','a:4:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.link','a:2:{s:22:\"menu_link_content_data\";a:2:{s:6:\"fields\";a:3:{s:9:\"link__uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:11:\"link__title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:13:\"link__options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:34:\"menu_link_content_field__link__uri\";a:1:{i:0;a:2:{i:0;s:9:\"link__uri\";i:1;i:30;}}}}s:32:\"menu_link_content_field_revision\";a:2:{s:6:\"fields\";a:3:{s:9:\"link__uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:11:\"link__title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:13:\"link__options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:34:\"menu_link_content_field__link__uri\";a:1:{i:0;a:2:{i:0;s:9:\"link__uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.menu_name','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:9:\"menu_name\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.parent','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"parent\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.rediscover','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:10:\"rediscover\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_created','a:1:{s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_default','a:1:{s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_id','a:4:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_log_message','a:1:{s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:20:\"revision_log_message\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_translation_affected','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_user','a:1:{s:26:\"menu_link_content_revision\";a:2:{s:6:\"fields\";a:1:{s:13:\"revision_user\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:29:\"menu_link_content__ef029a1897\";a:1:{i:0;s:13:\"revision_user\";}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.title','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.uuid','a:1:{s:17:\"menu_link_content\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:36:\"menu_link_content_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.weight','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"weight\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.entity_schema_data','a:4:{s:4:\"node\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"nid\";}s:11:\"unique keys\";a:1:{s:9:\"node__vid\";a:1:{i:0;s:3:\"vid\";}}}s:13:\"node_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:9:\"node__nid\";a:1:{i:0;s:3:\"nid\";}}}s:15:\"node_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"nid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:5:{s:36:\"node__id__default_langcode__langcode\";a:3:{i:0;s:3:\"nid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:9:\"node__vid\";a:1:{i:0;s:3:\"vid\";}s:15:\"node__frontpage\";a:4:{i:0;s:7:\"promote\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}s:17:\"node__status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:3:\"nid\";}s:16:\"node__title_type\";a:2:{i:0;s:5:\"title\";i:1;a:2:{i:0;s:4:\"type\";i:1;i:4;}}}}s:19:\"node_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:36:\"node__id__default_langcode__langcode\";a:3:{i:0;s:3:\"nid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.body','a:2:{s:10:\"node__body\";a:4:{s:11:\"description\";s:33:\"Data storage for node field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}s:19:\"node_revision__body\";a:4:{s:11:\"description\";s:45:\"Revision archive storage for node field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.changed','a:2:{s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"node_field__changed\";a:1:{i:0;s:7:\"changed\";}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.comment','a:2:{s:13:\"node__comment\";a:4:{s:11:\"description\";s:36:\"Data storage for node field comment.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"comment_status\";a:4:{s:11:\"description\";s:99:\"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).\";s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:22:\"node_revision__comment\";a:4:{s:11:\"description\";s:48:\"Revision archive storage for node field comment.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"comment_status\";a:4:{s:11:\"description\";s:99:\"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).\";s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.comment_forum','a:2:{s:19:\"node__comment_forum\";a:4:{s:11:\"description\";s:42:\"Data storage for node field comment_forum.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"comment_forum_status\";a:4:{s:11:\"description\";s:99:\"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).\";s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"node_revision__comment_forum\";a:4:{s:11:\"description\";s:54:\"Revision archive storage for node field comment_forum.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"comment_forum_status\";a:4:{s:11:\"description\";s:99:\"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).\";s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.content_translation_outdated','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.content_translation_source','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.created','a:2:{s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"node_field__created\";a:1:{i:0;s:7:\"created\";}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.default_langcode','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_category','a:2:{s:20:\"node__field_category\";a:4:{s:11:\"description\";s:43:\"Data storage for node field field_category.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_category_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_category_target_id\";a:1:{i:0;s:24:\"field_category_target_id\";}}}s:29:\"node_revision__field_category\";a:4:{s:11:\"description\";s:55:\"Revision archive storage for node field field_category.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_category_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_category_target_id\";a:1:{i:0;s:24:\"field_category_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_components','a:2:{s:22:\"node__field_components\";a:4:{s:11:\"description\";s:45:\"Data storage for node field field_components.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_components_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_components_target_id\";a:1:{i:0;s:26:\"field_components_target_id\";}}}s:31:\"node_revision__field_components\";a:4:{s:11:\"description\";s:57:\"Revision archive storage for node field field_components.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"field_components_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"field_components_target_id\";a:1:{i:0;s:26:\"field_components_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_image','a:2:{s:17:\"node__field_image\";a:5:{s:11:\"description\";s:40:\"Data storage for node field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}s:26:\"node_revision__field_image\";a:5:{s:11:\"description\";s:52:\"Revision archive storage for node field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_link','a:2:{s:16:\"node__field_link\";a:4:{s:11:\"description\";s:39:\"Data storage for node field field_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:16:\"field_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:18:\"field_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:14:\"field_link_uri\";a:1:{i:0;a:2:{i:0;s:14:\"field_link_uri\";i:1;i:30;}}}}s:25:\"node_revision__field_link\";a:4:{s:11:\"description\";s:51:\"Revision archive storage for node field field_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:16:\"field_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:18:\"field_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:14:\"field_link_uri\";a:1:{i:0;a:2:{i:0;s:14:\"field_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_tags','a:2:{s:16:\"node__field_tags\";a:4:{s:11:\"description\";s:39:\"Data storage for node field field_tags.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_tags_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_tags_target_id\";a:1:{i:0;s:20:\"field_tags_target_id\";}}}s:25:\"node_revision__field_tags\";a:4:{s:11:\"description\";s:51:\"Revision archive storage for node field field_tags.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_tags_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_tags_target_id\";a:1:{i:0;s:20:\"field_tags_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_video_link','a:2:{s:22:\"node__field_video_link\";a:4:{s:11:\"description\";s:45:\"Data storage for node field field_video_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_video_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:22:\"field_video_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:24:\"field_video_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_video_link_uri\";a:1:{i:0;a:2:{i:0;s:20:\"field_video_link_uri\";i:1;i:30;}}}}s:31:\"node_revision__field_video_link\";a:4:{s:11:\"description\";s:57:\"Revision archive storage for node field field_video_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_video_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:22:\"field_video_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:24:\"field_video_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_video_link_uri\";a:1:{i:0;a:2:{i:0;s:20:\"field_video_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','node.field_schema_data.langcode','a:4:{s:4:\"node\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:13:\"node_revision\";a:2:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:20:\"node_field__langcode\";a:1:{i:0;s:8:\"langcode\";}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.nid','a:4:{s:4:\"node\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.promote','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_default','a:1:{s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_log','a:1:{s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:12:\"revision_log\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_timestamp','a:1:{s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:18:\"revision_timestamp\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_translation_affected','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_uid','a:1:{s:13:\"node_revision\";a:3:{s:6:\"fields\";a:1:{s:12:\"revision_uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:35:\"node_field__revision_uid__target_id\";a:1:{i:0;s:12:\"revision_uid\";}}s:12:\"foreign keys\";a:1:{s:24:\"node_field__revision_uid\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:12:\"revision_uid\";s:3:\"uid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.simplenews_issue','a:2:{s:22:\"node__simplenews_issue\";a:4:{s:11:\"description\";s:45:\"Data storage for node field simplenews_issue.\";s:6:\"fields\";a:13:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"simplenews_issue_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:24:\"simplenews_issue_handler\";a:4:{s:11:\"description\";s:18:\"The issue handler.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:33:\"simplenews_issue_handler_settings\";a:5:{s:11:\"description\";s:27:\"The issue handler settings.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;s:9:\"serialize\";b:1;}s:23:\"simplenews_issue_status\";a:4:{s:11:\"description\";s:88:\"A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:27:\"simplenews_issue_sent_count\";a:4:{s:11:\"description\";s:36:\"Counter of already sent newsletters.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:28:\"simplenews_issue_error_count\";a:4:{s:11:\"description\";s:36:\"Counter of already sent newsletters.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:28:\"simplenews_issue_subscribers\";a:4:{s:11:\"description\";s:23:\"Counter of subscribers.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"simplenews_issue_target_id\";a:1:{i:0;s:26:\"simplenews_issue_target_id\";}}}s:31:\"node_revision__simplenews_issue\";a:4:{s:11:\"description\";s:57:\"Revision archive storage for node field simplenews_issue.\";s:6:\"fields\";a:13:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"simplenews_issue_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:24:\"simplenews_issue_handler\";a:4:{s:11:\"description\";s:18:\"The issue handler.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:33:\"simplenews_issue_handler_settings\";a:5:{s:11:\"description\";s:27:\"The issue handler settings.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;s:9:\"serialize\";b:1;}s:23:\"simplenews_issue_status\";a:4:{s:11:\"description\";s:88:\"A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:27:\"simplenews_issue_sent_count\";a:4:{s:11:\"description\";s:36:\"Counter of already sent newsletters.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:28:\"simplenews_issue_error_count\";a:4:{s:11:\"description\";s:36:\"Counter of already sent newsletters.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:28:\"simplenews_issue_subscribers\";a:4:{s:11:\"description\";s:23:\"Counter of subscribers.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"simplenews_issue_target_id\";a:1:{i:0;s:26:\"simplenews_issue_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.status','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.sticky','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.taxonomy_forums','a:2:{s:21:\"node__taxonomy_forums\";a:4:{s:11:\"description\";s:44:\"Data storage for node field taxonomy_forums.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"taxonomy_forums_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"taxonomy_forums_target_id\";a:1:{i:0;s:25:\"taxonomy_forums_target_id\";}}}s:30:\"node_revision__taxonomy_forums\";a:4:{s:11:\"description\";s:56:\"Revision archive storage for node field taxonomy_forums.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"taxonomy_forums_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"taxonomy_forums_target_id\";a:1:{i:0;s:25:\"taxonomy_forums_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.title','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.type','a:2:{s:4:\"node\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:27:\"node_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:27:\"node_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.uid','a:2:{s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:26:\"node_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}s:19:\"node_field_revision\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:26:\"node_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.uuid','a:1:{s:4:\"node\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:23:\"node_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.vid','a:4:{s:4:\"node\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.entity_schema_data','a:2:{s:10:\"path_alias\";a:3:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:7:\"indexes\";a:3:{s:18:\"path_alias__status\";a:2:{i:0;s:6:\"status\";i:1;s:2:\"id\";}s:36:\"path_alias__alias_langcode_id_status\";a:4:{i:0;s:5:\"alias\";i:1;s:8:\"langcode\";i:2;s:2:\"id\";i:3;s:6:\"status\";}s:35:\"path_alias__path_langcode_id_status\";a:4:{i:0;s:4:\"path\";i:1;s:8:\"langcode\";i:2;s:2:\"id\";i:3;s:6:\"status\";}}s:11:\"unique keys\";a:1:{s:23:\"path_alias__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:19:\"path_alias_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:14:\"path_alias__id\";a:1:{i:0;s:2:\"id\";}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.alias','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:5:\"alias\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:5:\"alias\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.id','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.langcode','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.path','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:4:\"path\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:4:\"path\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.revision_default','a:1:{s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.revision_id','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.status','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.uuid','a:1:{s:10:\"path_alias\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:29:\"path_alias_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','shortcut.entity_schema_data','a:2:{s:8:\"shortcut\";a:1:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}}s:19:\"shortcut_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:2:\"id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:40:\"shortcut__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.default_langcode','a:1:{s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.id','a:2:{s:8:\"shortcut\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.langcode','a:2:{s:8:\"shortcut\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.link','a:1:{s:19:\"shortcut_field_data\";a:2:{s:6:\"fields\";a:3:{s:9:\"link__uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:11:\"link__title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:13:\"link__options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:25:\"shortcut_field__link__uri\";a:1:{i:0;a:2:{i:0;s:9:\"link__uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.shortcut_set','a:2:{s:8:\"shortcut\";a:2:{s:6:\"fields\";a:1:{s:12:\"shortcut_set\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:39:\"shortcut_field__shortcut_set__target_id\";a:1:{i:0;s:12:\"shortcut_set\";}}}s:19:\"shortcut_field_data\";a:2:{s:6:\"fields\";a:1:{s:12:\"shortcut_set\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:39:\"shortcut_field__shortcut_set__target_id\";a:1:{i:0;s:12:\"shortcut_set\";}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.title','a:1:{s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.uuid','a:1:{s:8:\"shortcut\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:27:\"shortcut_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.weight','a:1:{s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"weight\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.entity_schema_data','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.changes','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:7:\"changes\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.created','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.id','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.langcode','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.mail','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.status','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.subscriptions','a:1:{s:36:\"simplenews_subscriber__subscriptions\";a:4:{s:11:\"description\";s:59:\"Data storage for simplenews_subscriber field subscriptions.\";s:6:\"fields\";a:10:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"subscriptions_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:20:\"subscriptions_status\";a:4:{s:11:\"description\";s:90:\"A flag indicating whether the user is unsubscribed (0), subscribed (1) or unconfirmed (2).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:23:\"subscriptions_timestamp\";a:4:{s:11:\"description\";s:50:\"UNIX timestamp of when the user is (un)subscribed.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:20:\"subscriptions_source\";a:4:{s:11:\"description\";s:50:\"The source via which the user is (un)subscription.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:24;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"subscriptions_target_id\";a:1:{i:0;s:23:\"subscriptions_target_id\";}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.uid','a:1:{s:21:\"simplenews_subscriber\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:43:\"simplenews_subscriber_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.uuid','a:1:{s:21:\"simplenews_subscriber\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:40:\"simplenews_subscriber_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','taxonomy_term.entity_schema_data','a:5:{s:18:\"taxonomy_term_data\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"tid\";}s:11:\"unique keys\";a:1:{s:26:\"taxonomy_term__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:22:\"taxonomy_term_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:18:\"taxonomy_term__tid\";a:1:{i:0;s:3:\"tid\";}}}s:24:\"taxonomy_term_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"tid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:5:{s:45:\"taxonomy_term__id__default_langcode__langcode\";a:3:{i:0;s:3:\"tid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:26:\"taxonomy_term__revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"taxonomy_term__status_vid\";a:3:{i:0;s:6:\"status\";i:1;s:3:\"vid\";i:2;s:3:\"tid\";}s:19:\"taxonomy_term__tree\";a:3:{i:0;s:3:\"vid\";i:1;s:6:\"weight\";i:2;s:4:\"name\";}s:23:\"taxonomy_term__vid_name\";a:2:{i:0;s:3:\"vid\";i:1;s:4:\"name\";}}}s:28:\"taxonomy_term_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:11:\"revision_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:45:\"taxonomy_term__id__default_langcode__langcode\";a:3:{i:0;s:3:\"tid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}s:14:\"taxonomy_index\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"nid\";i:1;s:3:\"tid\";}s:7:\"indexes\";a:1:{s:9:\"term_node\";a:4:{i:0;s:3:\"tid\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.changed','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.default_langcode','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.description','a:2:{s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:2:{s:18:\"description__value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:19:\"description__format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:0:{}}s:28:\"taxonomy_term_field_revision\";a:2:{s:6:\"fields\";a:2:{s:18:\"description__value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:19:\"description__format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:40:\"taxonomy_term_field__description__format\";a:1:{i:0;s:19:\"description__format\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.field_image','a:2:{s:26:\"taxonomy_term__field_image\";a:5:{s:11:\"description\";s:49:\"Data storage for taxonomy_term field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}s:35:\"taxonomy_term_revision__field_image\";a:5:{s:11:\"description\";s:61:\"Revision archive storage for taxonomy_term field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.forum_container','a:2:{s:30:\"taxonomy_term__forum_container\";a:4:{s:11:\"description\";s:53:\"Data storage for taxonomy_term field forum_container.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"forum_container_value\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:39:\"taxonomy_term_revision__forum_container\";a:4:{s:11:\"description\";s:65:\"Revision archive storage for taxonomy_term field forum_container.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"forum_container_value\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.langcode','a:4:{s:18:\"taxonomy_term_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.name','a:2:{s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:25:\"taxonomy_term_field__name\";a:1:{i:0;s:4:\"name\";}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.parent','a:2:{s:21:\"taxonomy_term__parent\";a:4:{s:11:\"description\";s:44:\"Data storage for taxonomy_term field parent.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"parent_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"parent_target_id\";a:1:{i:0;s:16:\"parent_target_id\";}s:22:\"bundle_delta_target_id\";a:3:{i:0;s:6:\"bundle\";i:1;s:5:\"delta\";i:2;s:16:\"parent_target_id\";}}}s:30:\"taxonomy_term_revision__parent\";a:4:{s:11:\"description\";s:56:\"Revision archive storage for taxonomy_term field parent.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"parent_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"parent_target_id\";a:1:{i:0;s:16:\"parent_target_id\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_created','a:1:{s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_default','a:1:{s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_id','a:4:{s:18:\"taxonomy_term_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_log_message','a:1:{s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:20:\"revision_log_message\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_translation_affected','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_user','a:1:{s:22:\"taxonomy_term_revision\";a:2:{s:6:\"fields\";a:1:{s:13:\"revision_user\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:45:\"taxonomy_term_field__revision_user__target_id\";a:1:{i:0;s:13:\"revision_user\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.status','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.tid','a:4:{s:18:\"taxonomy_term_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.uuid','a:1:{s:18:\"taxonomy_term_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:32:\"taxonomy_term_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.vid','a:2:{s:18:\"taxonomy_term_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:35:\"taxonomy_term_field__vid__target_id\";a:1:{i:0;s:3:\"vid\";}}}s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:0:{}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.weight','a:1:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"weight\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.entity_schema_data','a:2:{s:5:\"users\";a:1:{s:11:\"primary key\";a:1:{i:0;s:3:\"uid\";}}s:16:\"users_field_data\";a:3:{s:11:\"primary key\";a:2:{i:0;s:3:\"uid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:36:\"user__id__default_langcode__langcode\";a:3:{i:0;s:3:\"uid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}s:11:\"unique keys\";a:1:{s:10:\"user__name\";a:2:{i:0;s:4:\"name\";i:1;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.access','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:6:\"access\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:18:\"user_field__access\";a:1:{i:0;s:6:\"access\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.changed','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.created','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"user_field__created\";a:1:{i:0;s:7:\"created\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.default_langcode','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.init','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"init\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.langcode','a:2:{s:5:\"users\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.login','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"login\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.mail','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:16:\"user_field__mail\";a:1:{i:0;s:4:\"mail\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.name','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.pass','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"pass\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.preferred_admin_langcode','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:24:\"preferred_admin_langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.preferred_langcode','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:18:\"preferred_langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.roles','a:1:{s:11:\"user__roles\";a:4:{s:11:\"description\";s:34:\"Data storage for user field roles.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:15:\"roles_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:15:\"roles_target_id\";a:1:{i:0;s:15:\"roles_target_id\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.status','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.timezone','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"timezone\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.uid','a:2:{s:5:\"users\";a:1:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.user_picture','a:1:{s:18:\"user__user_picture\";a:5:{s:11:\"description\";s:41:\"Data storage for user field user_picture.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"user_picture_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:16:\"user_picture_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:18:\"user_picture_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:18:\"user_picture_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:19:\"user_picture_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"user_picture_target_id\";a:1:{i:0;s:22:\"user_picture_target_id\";}}s:12:\"foreign keys\";a:1:{s:22:\"user_picture_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:22:\"user_picture_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','user.field_schema_data.uuid','a:1:{s:5:\"users\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:23:\"user_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.update_backup','menu_link_content.7b46bf','a:4:{s:11:\"entity_type\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:0:{}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:7:\"enabled\";}s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:2:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:25:\"field_storage_definitions\";a:16:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:73;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:110;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:146;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Bundle\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:180;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:226;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:270;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:306;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:357;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:397;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:433;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:482;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"If selected and this menu link has children, the menu will always appear expanded.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:533;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:584;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:622;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:655;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:684;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}}s:13:\"table_mapping\";O:42:\"Drupal\\Core\\Entity\\Sql\\DefaultTableMapping\":11:{s:13:\"\0*\0entityType\";r:2;s:26:\"\0*\0fieldStorageDefinitions\";a:16:{s:2:\"id\";r:73;s:4:\"uuid\";r:110;s:6:\"bundle\";r:146;s:5:\"title\";r:180;s:11:\"description\";r:226;s:9:\"menu_name\";r:270;s:4:\"link\";r:306;s:8:\"external\";r:357;s:10:\"rediscover\";r:397;s:6:\"weight\";r:433;s:8:\"expanded\";r:482;s:7:\"enabled\";r:533;s:8:\"langcode\";r:584;s:6:\"parent\";r:622;s:7:\"changed\";r:655;s:16:\"default_langcode\";r:684;}s:9:\"\0*\0prefix\";s:10:\"old_7b46bf\";s:12:\"\0*\0baseTable\";s:27:\"old_7b46bfmenu_link_content\";s:16:\"\0*\0revisionTable\";N;s:12:\"\0*\0dataTable\";s:32:\"old_7b46bfmenu_link_content_data\";s:20:\"\0*\0revisionDataTable\";N;s:13:\"\0*\0fieldNames\";a:2:{s:27:\"old_7b46bfmenu_link_content\";a:4:{i:0;s:2:\"id\";i:1;s:6:\"bundle\";i:2;s:4:\"uuid\";i:3;s:8:\"langcode\";}s:32:\"old_7b46bfmenu_link_content_data\";a:15:{i:0;s:2:\"id\";i:1;s:6:\"bundle\";i:2;s:8:\"langcode\";i:3;s:5:\"title\";i:4;s:11:\"description\";i:5;s:9:\"menu_name\";i:6;s:4:\"link\";i:7;s:8:\"external\";i:8;s:10:\"rediscover\";i:9;s:6:\"weight\";i:10;s:8:\"expanded\";i:11;s:7:\"enabled\";i:12;s:6:\"parent\";i:13;s:7:\"changed\";i:14;s:16:\"default_langcode\";}}s:15:\"\0*\0extraColumns\";a:0:{}s:16:\"\0*\0columnMapping\";a:0:{}s:13:\"\0*\0allColumns\";a:0:{}}s:12:\"request_time\";i:1558336560;}'),('entity.update_backup','taxonomy_term.933d5d','a:4:{s:11:\"entity_type\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:0:{}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:3:\"tid\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";}s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:31:\"Drupal\\taxonomy\\TermViewBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:17:\"taxonomy_term_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:25:\"field_storage_definitions\";a:13:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:78;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:115;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:151;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:186;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:224;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:270;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"A description of the term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:317;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:356;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:14:\"custom_storage\";b:0;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:393;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:422;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:15:\"forum_container\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":31:{s:5:\"\0*\0id\";s:29:\"taxonomy_term.forum_container\";s:13:\"\0*\0field_name\";s:15:\"forum_container\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:0;s:9:\"\0*\0locked\";b:1;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:29:\"taxonomy_term.forum_container\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f158cf98-dfb7-419e-a200-f400fb4444d7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"\0*\0pluginConfigKey\";N;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":36:{s:5:\"\0*\0id\";s:25:\"taxonomy_term.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:25:\"taxonomy_term.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8c0f7f7b-ff83-47ce-8408-8e5b5ef7dfe5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"\0*\0pluginConfigKey\";N;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-MgDCS9_EtGN-FVUTYvEK6pj8gAp0cSHwXQCPsOc_390\";s:10:\"form_token\";s:43:\"AnQoRpzaAvXAYoBJyZqVoCp98HjBFR6HvBWySU-fEGY\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:552;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:8:\"provider\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}}s:13:\"table_mapping\";O:42:\"Drupal\\Core\\Entity\\Sql\\DefaultTableMapping\":11:{s:13:\"\0*\0entityType\";r:2;s:26:\"\0*\0fieldStorageDefinitions\";a:13:{s:3:\"tid\";r:78;s:4:\"uuid\";r:115;s:3:\"vid\";r:151;s:8:\"langcode\";r:186;s:4:\"name\";r:224;s:11:\"description\";r:270;s:6:\"weight\";r:317;s:6:\"parent\";r:356;s:7:\"changed\";r:393;s:16:\"default_langcode\";r:422;s:15:\"forum_container\";r:464;s:11:\"field_image\";r:498;s:6:\"status\";r:552;}s:9:\"\0*\0prefix\";s:10:\"old_933d5d\";s:12:\"\0*\0baseTable\";s:28:\"old_933d5dtaxonomy_term_data\";s:16:\"\0*\0revisionTable\";N;s:12:\"\0*\0dataTable\";s:34:\"old_933d5dtaxonomy_term_field_data\";s:20:\"\0*\0revisionDataTable\";N;s:13:\"\0*\0fieldNames\";a:5:{s:28:\"old_933d5dtaxonomy_term_data\";a:4:{i:0;s:3:\"tid\";i:1;s:3:\"vid\";i:2;s:4:\"uuid\";i:3;s:8:\"langcode\";}s:34:\"old_933d5dtaxonomy_term_field_data\";a:9:{i:0;s:3:\"tid\";i:1;s:3:\"vid\";i:2;s:8:\"langcode\";i:3;s:4:\"name\";i:4;s:11:\"description\";i:5;s:6:\"weight\";i:6;s:7:\"changed\";i:7;s:16:\"default_langcode\";i:8;s:6:\"status\";}s:31:\"old_933d5dtaxonomy_term__parent\";a:1:{i:0;s:6:\"parent\";}s:40:\"old_933d5dtaxonomy_term__forum_container\";a:1:{i:0;s:15:\"forum_container\";}s:36:\"old_933d5dtaxonomy_term__field_image\";a:1:{i:0;s:11:\"field_image\";}}s:15:\"\0*\0extraColumns\";a:3:{s:31:\"old_933d5dtaxonomy_term__parent\";a:6:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";}s:40:\"old_933d5dtaxonomy_term__forum_container\";a:6:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";}s:36:\"old_933d5dtaxonomy_term__field_image\";a:6:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";}}s:16:\"\0*\0columnMapping\";a:0:{}s:13:\"\0*\0allColumns\";a:0:{}}s:12:\"request_time\";i:1558336560;}'),('entity_autocomplete','-qfKU3V-ya6FhRSgHlXv2BUqqhryb7ohTio8fYwsMq8','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','4YSxCHPRjHoB_O1ABBduMZK2Sk08E6j4laJQn4Wqk4Y','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','6Mzg9ZTZeF2qYQTuBT5qNnBUfpDKGpiesbjPF32ZD0A','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','9m_g68t7CWb68RBz3tH_RpPBBgKJNCEL2xK9TeLtOk0','a:0:{}'),('entity_autocomplete','9WbxObIuqS2eQl4G_hO-0QoM8qsH7LeMBryts0qL5-U','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','BdFJHY8Pj_9IoJRQSKRYZUnP9Mi8a-VKIjpBWRkc6m0','a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','ckGFSaHKDfYUxyA6mm85imY-3H6tWEAi5E_kZKOcUjo','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','cM43L9-o1Lrw5bYSmBjFM_gQl1L5qe60Xycde9Xyc0g','a:1:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}'),('entity_autocomplete','cy4wd0fakxCUgSik3VcQscrSQpb9nxgT7DdhGed_3hU','a:0:{}'),('entity_autocomplete','DDI-X0N6g6VZOwpcmDdG6nQ-ZaPGGrYtKTghJccLsJI','a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','dgyq7X29_H-2LBUD4v9IStOng8iZBI5Y4CQ_iSW2Z3Y','a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;}'),('entity_autocomplete','gIaxKDKKtUuS5G4EIweXLaU8-yzbRo-bnffGXnIRmEk','a:0:{}'),('entity_autocomplete','GYtJyUfoiPkS6Vtl8BDkZuKGRapeJtBn58Rvit9YJKc','a:0:{}'),('entity_autocomplete','HWF_Ics5fi6sOVevboOM-bHdktTtHawvxG96rL8nCJ8','a:0:{}'),('entity_autocomplete','iORDEgGSNaq9TJFuaHTtMur7Rt8fL8v2OsedHsgC-Wk','a:0:{}'),('entity_autocomplete','IUqpIOZK_dVYMSCKmMn91QeWjTAwwlNXDh4gpxTnw80','a:0:{}'),('entity_autocomplete','j6f93tKPNzTGikDxC9WVLyj-pVj_u8xKthzir16d23U','a:5:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;}'),('entity_autocomplete','KjaZlDuJAdoW80Oc6KOp0Xm-cQgcv7AiMB25xMk-K9M','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','Nr_TMOvkTBDTqXQ_3KXLm-l93VcMXvN1MCorALp3WXc','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','nSGt9HiOF9L4ev238ipVZdBNcgCWF4iZboP-qJykvDo','a:5:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;}'),('entity_autocomplete','pa6VpgMkeGJF7nuX9VpPYAj0_dikvFHz0slkafXljas','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','pglmXz4y1-ZM7mf39at-ZxMhX7CiiLZnKGOft7hQcRA','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','QTjKrvbsBp4IASnm1E4qyhStLTyK-L2BtMJiOlr5YD0','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','r1ugnEMYxuZR8LaU5CJSbh7l1oSKug9M9ujKefUSmRM','a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','RQ4CsGjv9RxxsuxhhPunuSTECDbjeVVO648grSImvKg','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','TaA0AoMqM2i-WHhXvHu-NVvSZk2KW2flSrbvpMCNhbE','a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','tMRSOD1dtzrPCT8Tc8RB41ArWulwO6u_7i78FyTUzco','a:2:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;}'),('entity_autocomplete','uKVgHQGNR4K540CfdOsGyvyk41PmuF5WrkDXe6E6Qr0','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','vdMbtf212e-Knp1A6kCoKvdrgjEcugTPcQzM9byIEDA','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','vkdKeoZ1dKGipfxqlUSb3vTg8apYvi7RWuXj0ievZ4E','a:0:{}'),('entity_autocomplete','W96OZ4oDlLM0D74kGDBqa0SUgkhgkbwuSH0OpzL5Kpk','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','w9QQaD6Rkukd4bmhHpUjIzzxFQaHNZ9kcFQV1TeEm3k','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','WJRoy_aFvlgVV3n9pXTfXKMNsz0v5ZR8nTwTKwwD5nE','a:0:{}'),('entity_autocomplete','X1lxs1ffhoOS5rMk4D3o4g7dhcuIxwUklD18HfQXVfQ','a:0:{}'),('entity_autocomplete','xwUJaa7EkKLhueIXMK3rLhuXPBOKu0dheqJjqON5UGY','a:0:{}'),('entity_autocomplete','zeXESDtPbPzF19M9tTimALckPtOmIcAW08cfgrA2XCY','a:0:{}'),('entity_autocomplete','ZlK8B-MWOtHf1x57VF-8QRtuB3iWVZgeWpJiD8JBZp8','a:2:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:11:\"match_limit\";i:10;}'),('entity_autocomplete','zOb_JhjSgbrOIvuijNiVUwT2BfUp--_qPKZ6s_rKVHQ','a:3:{s:14:\"target_bundles\";a:1:{s:10:\"categories\";s:10:\"categories\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','_k8PpVlqGZtJ5ih7toE2NcUwtT8gsSuvxy3nLQ14PQM','a:1:{s:17:\"include_anonymous\";b:0;}'),('locale.project','admin_toolbar','a:10:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:5:\"3.2.1\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1665044278;s:16:\"_info_file_ctime\";i:1666585128;}s:9:\"datestamp\";i:1665044278;s:8:\"includes\";a:3:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:20:\"admin_toolbar_search\";s:20:\"Admin Toolbar Search\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:5:\"3.2.1\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','color_field','a:10:{s:4:\"name\";s:11:\"color_field\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Color Field\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:11:\"color_field\";s:9:\"datestamp\";i:1632938100;s:16:\"_info_file_ctime\";i:1666585101;}s:9:\"datestamp\";i:1632938100;s:8:\"includes\";a:1:{s:11:\"color_field\";s:11:\"Color Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-2.5\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','ctools','a:10:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos Tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:5:\"4.0.1\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1659069140;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659069140;s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:5:\"4.0.1\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','drupal','a:10:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Automated Cron\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.4.8\";s:7:\"project\";s:6:\"drupal\";s:16:\"_info_file_ctime\";i:1666585131;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:48:{s:14:\"automated_cron\";s:14:\"Automated Cron\";s:5:\"block\";s:5:\"Block\";s:13:\"block_content\";s:12:\"Custom Block\";s:10:\"breakpoint\";s:10:\"Breakpoint\";s:8:\"ckeditor\";s:8:\"CKEditor\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:6:\"config\";s:21:\"Configuration Manager\";s:18:\"config_translation\";s:25:\"Configuration Translation\";s:7:\"contact\";s:7:\"Contact\";s:19:\"content_translation\";s:19:\"Content Translation\";s:10:\"contextual\";s:16:\"Contextual Links\";s:8:\"datetime\";s:8:\"Datetime\";s:5:\"dblog\";s:16:\"Database Logging\";s:18:\"dynamic_page_cache\";s:27:\"Internal Dynamic Page Cache\";s:6:\"editor\";s:11:\"Text Editor\";s:5:\"field\";s:5:\"Field\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:7:\"history\";s:7:\"History\";s:5:\"image\";s:5:\"Image\";s:8:\"language\";s:8:\"Language\";s:4:\"link\";s:4:\"Link\";s:6:\"locale\";s:21:\"Interface Translation\";s:17:\"menu_link_content\";s:17:\"Custom Menu Links\";s:7:\"menu_ui\";s:7:\"Menu UI\";s:5:\"mysql\";s:5:\"MySQL\";s:4:\"node\";s:4:\"Node\";s:7:\"options\";s:7:\"Options\";s:10:\"page_cache\";s:19:\"Internal Page Cache\";s:4:\"path\";s:4:\"Path\";s:10:\"path_alias\";s:10:\"Path alias\";s:9:\"quickedit\";s:10:\"Quick Edit\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:4:\"tour\";s:4:\"Tour\";s:6:\"update\";s:14:\"Update Manager\";s:4:\"user\";s:4:\"User\";s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:7:\"version\";s:5:\"9.4.8\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','entity','a:10:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Entity\";s:7:\"version\";s:7:\"8.x-1.4\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";i:1661898026;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1665461139;}s:9:\"datestamp\";i:1661898026;s:8:\"includes\";a:1:{s:6:\"entity\";s:6:\"Entity\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-1.4\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','field_group','a:10:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"8.x-3.3\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";i:1663516405;s:16:\"_info_file_ctime\";i:1666585115;}s:9:\"datestamp\";i:1663516405;s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-3.3\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','inline_entity_form','a:10:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:12:\"8.x-1.0-rc14\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";i:1663701307;s:16:\"_info_file_ctime\";i:1665461139;}s:9:\"datestamp\";i:1663701307;s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:12:\"8.x-1.0-rc14\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','module_filter','a:10:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module Filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"8.x-3.2\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";i:1614918374;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1614918374;s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module Filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-3.2\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','pathauto','a:10:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1659472551;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659472551;s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:8:\"8.x-1.11\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','simplenews','a:10:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:11:\"3.0.0-beta4\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1666544252;s:16:\"_info_file_ctime\";i:1666585128;}s:9:\"datestamp\";i:1666544252;s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:11:\"3.0.0-beta4\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','token','a:10:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1659471815;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659471815;s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:8:\"8.x-1.11\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','video_embed_field','a:10:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1666585113;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-2.4\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','we_megamenu','a:10:{s:4:\"name\";s:11:\"we_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:24:\"Mega Menu for Drupal 8/9\";s:7:\"package\";s:10:\"WeMegaMenu\";s:7:\"version\";s:8:\"8.x-1.13\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1624951528;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1624951528;s:8:\"includes\";a:1:{s:11:\"we_megamenu\";s:24:\"Mega Menu for Drupal 8/9\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:8:\"8.x-1.13\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.translation_status','color_field','a:1:{s:2:\"ar\";O:8:\"stdClass\":16:{s:4:\"name\";s:11:\"color_field\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Color Field\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:11:\"color_field\";s:9:\"datestamp\";i:1632938100;s:16:\"_info_file_ctime\";i:1666585101;}s:9:\"datestamp\";i:1632938100;s:8:\"includes\";a:1:{s:11:\"color_field\";s:11:\"Color Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-2.5\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;s:7:\"project\";s:11:\"color_field\";s:8:\"langcode\";s:2:\"ar\";s:4:\"type\";s:7:\"current\";s:9:\"timestamp\";i:1666585778;s:12:\"last_checked\";i:1666585778;s:5:\"files\";a:2:{s:6:\"remote\";O:8:\"stdClass\":7:{s:7:\"project\";s:11:\"color_field\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:7:\"8.x-2.5\";s:4:\"type\";s:6:\"remote\";s:8:\"filename\";s:25:\"color_field-8.x-2.5.ar.po\";s:3:\"uri\";s:83:\"https://ftp.drupal.org/files/translations/all/color_field/color_field-8.x-2.5.ar.po\";s:9:\"timestamp\";i:1632941189;}s:5:\"local\";O:8:\"stdClass\":8:{s:7:\"project\";s:11:\"color_field\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:7:\"8.x-2.5\";s:4:\"type\";s:5:\"local\";s:8:\"filename\";s:25:\"color_field-8.x-2.5.ar.po\";s:3:\"uri\";s:40:\"translations://color_field-8.x-2.5.ar.po\";s:9:\"timestamp\";i:1666585778;s:9:\"directory\";s:15:\"translations://\";}}}}'),('locale.translation_status','field_group','a:1:{s:2:\"ar\";O:8:\"stdClass\":16:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"8.x-3.3\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";i:1663516405;s:16:\"_info_file_ctime\";i:1666585115;}s:9:\"datestamp\";i:1663516405;s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-3.3\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;s:7:\"project\";s:11:\"field_group\";s:8:\"langcode\";s:2:\"ar\";s:4:\"type\";s:7:\"current\";s:9:\"timestamp\";i:1666585779;s:12:\"last_checked\";i:1666585778;s:5:\"files\";a:2:{s:6:\"remote\";O:8:\"stdClass\":7:{s:7:\"project\";s:11:\"field_group\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:7:\"8.x-3.3\";s:4:\"type\";s:6:\"remote\";s:8:\"filename\";s:25:\"field_group-8.x-3.3.ar.po\";s:3:\"uri\";s:83:\"https://ftp.drupal.org/files/translations/all/field_group/field_group-8.x-3.3.ar.po\";s:9:\"timestamp\";i:1663519564;}s:5:\"local\";O:8:\"stdClass\":8:{s:7:\"project\";s:11:\"field_group\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:7:\"8.x-3.3\";s:4:\"type\";s:5:\"local\";s:8:\"filename\";s:25:\"field_group-8.x-3.3.ar.po\";s:3:\"uri\";s:40:\"translations://field_group-8.x-3.3.ar.po\";s:9:\"timestamp\";i:1666585779;s:9:\"directory\";s:15:\"translations://\";}}}}'),('locale.translation_status','video_embed_field','a:1:{s:2:\"ar\";O:8:\"stdClass\":16:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1666585113;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-2.4\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;s:7:\"project\";s:17:\"video_embed_field\";s:8:\"langcode\";s:2:\"ar\";s:4:\"type\";s:7:\"current\";s:9:\"timestamp\";i:1666585779;s:12:\"last_checked\";i:1666585779;s:5:\"files\";a:2:{s:6:\"remote\";O:8:\"stdClass\":7:{s:7:\"project\";s:17:\"video_embed_field\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:7:\"8.x-2.4\";s:4:\"type\";s:6:\"remote\";s:8:\"filename\";s:31:\"video_embed_field-8.x-2.4.ar.po\";s:3:\"uri\";s:95:\"https://ftp.drupal.org/files/translations/all/video_embed_field/video_embed_field-8.x-2.4.ar.po\";s:9:\"timestamp\";i:1612308936;}s:5:\"local\";O:8:\"stdClass\":8:{s:7:\"project\";s:17:\"video_embed_field\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:7:\"8.x-2.4\";s:4:\"type\";s:5:\"local\";s:8:\"filename\";s:31:\"video_embed_field-8.x-2.4.ar.po\";s:3:\"uri\";s:46:\"translations://video_embed_field-8.x-2.4.ar.po\";s:9:\"timestamp\";i:1666585779;s:9:\"directory\";s:15:\"translations://\";}}}}'),('pathauto_state.node','49','i:0;'),('pathauto_state.taxonomy_term','44','i:1;'),('pathauto_state.taxonomy_term','45','i:1;'),('pathauto_state.taxonomy_term','46','i:1;'),('pathauto_state.taxonomy_term','47','i:1;'),('pathauto_state.taxonomy_term','48','i:1;'),('pathauto_state.taxonomy_term','49','i:1;'),('pathauto_state.taxonomy_term','50','i:1;'),('pathauto_state.taxonomy_term','51','i:1;'),('pathauto_state.taxonomy_term','52','i:1;'),('pathauto_state.taxonomy_term','53','i:1;'),('pathauto_state.taxonomy_term','54','i:1;'),('pathauto_state.taxonomy_term','55','i:1;'),('pathauto_state.taxonomy_term','56','i:1;'),('pathauto_state.taxonomy_term','57','i:1;'),('pathauto_state.taxonomy_term','58','i:1;'),('pathauto_state.taxonomy_term','59','i:1;'),('pathauto_state.taxonomy_term','60','i:1;'),('pathauto_state.taxonomy_term','61','i:1;'),('pathauto_state.taxonomy_term','62','i:1;'),('pathauto_state.taxonomy_term','63','i:1;'),('pathauto_state.taxonomy_term','64','i:1;'),('pathauto_state.taxonomy_term','65','i:1;'),('pathauto_state.taxonomy_term','66','i:1;'),('pathauto_state.taxonomy_term','67','i:1;'),('pathauto_state.taxonomy_term','68','i:1;'),('pathauto_state.taxonomy_term','69','i:1;'),('pathauto_state.taxonomy_term','70','i:1;'),('pathauto_state.taxonomy_term','71','i:1;'),('pathauto_state.taxonomy_term','72','i:1;'),('post_update','existing_updates','a:104:{i:0;s:64:\"system_post_update_recalculate_configuration_entity_dependencies\";i:1;s:50:\"field_post_update_entity_reference_handler_setting\";i:2;s:46:\"field_post_update_save_custom_storage_property\";i:3;s:54:\"block_post_update_disable_blocks_with_missing_contexts\";i:4;s:46:\"views_post_update_cleanup_duplicate_views_data\";i:5;s:46:\"views_post_update_update_cacheability_metadata\";i:6;s:42:\"image_post_update_image_style_dependencies\";i:7;s:43:\"field_post_update_email_widget_size_setting\";i:8;s:46:\"views_post_update_field_formatter_dependencies\";i:9;s:36:\"views_post_update_taxonomy_index_tid\";i:10;s:42:\"block_post_update_fix_negate_in_conditions\";i:11;s:62:\"contact_post_update_add_message_redirect_field_to_contact_form\";i:12;s:56:\"editor_post_update_clear_cache_for_file_reference_filter\";i:13;s:39:\"views_post_update_boolean_filter_values\";i:14;s:41:\"views_post_update_serializer_dependencies\";i:15;s:40:\"block_post_update_disabled_region_update\";i:16;s:48:\"system_post_update_add_region_to_entity_displays\";i:17;s:37:\"system_post_update_hashes_clear_cache\";i:18;s:36:\"system_post_update_timestamp_plugins\";i:19;s:45:\"user_post_update_enforce_order_of_permissions\";i:20;s:33:\"views_post_update_grouped_filters\";i:21;s:45:\"comment_post_update_enable_comment_admin_view\";i:22;s:49:\"dblog_post_update_convert_recent_messages_to_view\";i:23;s:47:\"field_post_update_remove_handler_submit_setting\";i:24;s:43:\"language_post_update_language_select_widget\";i:25;s:46:\"node_post_update_configure_status_field_widget\";i:26;s:41:\"system_post_update_classy_message_library\";i:27;s:37:\"system_post_update_field_type_plugins\";i:28;s:42:\"views_post_update_revision_metadata_fields\";i:29;s:51:\"locale_post_update_clear_cache_for_old_translations\";i:30;s:40:\"system_post_update_change_action_plugins\";i:31;s:48:\"system_post_update_field_formatter_entity_schema\";i:32;s:34:\"views_post_update_bulk_field_moved\";i:33;s:33:\"views_post_update_entity_link_url\";i:34;s:41:\"views_post_update_filter_placeholder_text\";i:35;s:45:\"views_post_update_table_display_cache_max_age\";i:36;s:47:\"views_post_update_views_data_table_dependencies\";i:37;s:51:\"block_content_post_update_add_views_reusable_filter\";i:38;s:50:\"image_post_update_scale_and_crop_effect_add_anchor\";i:39;s:47:\"system_post_update_change_delete_action_plugins\";i:40;s:31:\"system_post_update_extra_fields\";i:41;s:41:\"system_post_update_language_item_callback\";i:42;s:64:\"taxonomy_post_update_clear_entity_bundle_field_definitions_cache\";i:43;s:43:\"taxonomy_post_update_clear_views_data_cache\";i:44;s:63:\"taxonomy_post_update_handle_publishing_status_addition_in_views\";i:45;s:48:\"contextual_post_update_fixed_endpoint_and_markup\";i:46;s:42:\"comment_post_update_add_ip_address_setting\";i:47;s:65:\"menu_link_content_post_update_make_menu_link_content_revisionable\";i:48;s:41:\"node_post_update_node_revision_views_data\";i:49;s:64:\"system_post_update_add_expand_all_items_key_in_system_menu_block\";i:50;s:35:\"system_post_update_clear_menu_cache\";i:51;s:36:\"system_post_update_fix_jquery_extend\";i:52;s:37:\"system_post_update_states_clear_cache\";i:53;s:52:\"taxonomy_post_update_make_taxonomy_term_revisionable\";i:54;s:55:\"taxonomy_post_update_remove_hierarchy_from_vocabularies\";i:55;s:53:\"views_post_update_exposed_filter_blocks_label_display\";i:56;s:48:\"views_post_update_make_placeholders_translatable\";i:57;s:49:\"path_post_update_create_language_content_settings\";i:58;s:29:\"search_post_update_block_page\";i:59;s:60:\"system_post_update_entity_reference_autocomplete_match_limit\";i:60;s:44:\"system_post_update_extra_fields_form_display\";i:61;s:46:\"system_post_update_layout_plugin_schema_change\";i:62;s:50:\"taxonomy_post_update_configure_status_field_widget\";i:63;s:42:\"text_post_update_add_required_summary_flag\";i:64;s:55:\"text_post_update_add_required_summary_flag_form_display\";i:65;s:41:\"views_post_update_limit_operator_defaults\";i:66;s:33:\"views_post_update_remove_core_key\";i:67;s:51:\"views_post_update_field_names_for_multivalue_fields\";i:68;s:55:\"search_post_update_reindex_after_diacritics_rule_change\";i:69;s:54:\"file_post_update_add_txt_if_allows_insecure_extensions\";i:70;s:40:\"node_post_update_glossary_view_published\";i:71;s:44:\"system_post_update_claro_dropbutton_variants\";i:72;s:38:\"system_post_update_delete_rss_settings\";i:73;s:54:\"system_post_update_entity_revision_metadata_bc_cleanup\";i:74;s:52:\"system_post_update_remove_key_value_expire_all_index\";i:75;s:37:\"system_post_update_schema_version_int\";i:76;s:44:\"system_post_update_service_advisory_settings\";i:77;s:35:\"system_post_update_uninstall_classy\";i:78;s:52:\"system_post_update_uninstall_entity_reference_module\";i:79;s:39:\"system_post_update_uninstall_simpletest\";i:80;s:35:\"system_post_update_uninstall_stable\";i:81;s:55:\"tour_post_update_joyride_selectors_to_selector_property\";i:82;s:52:\"views_post_update_configuration_entity_relationships\";i:83;s:50:\"views_post_update_remove_sorting_global_text_field\";i:84;s:48:\"views_post_update_rename_default_display_setting\";i:85;s:36:\"views_post_update_title_translations\";i:86;s:45:\"block_post_update_replace_node_type_condition\";i:87;s:55:\"ckeditor_post_update_omit_settings_for_disabled_plugins\";i:88;s:41:\"image_post_update_image_loading_attribute\";i:89;s:50:\"node_post_update_modify_base_field_author_override\";i:90;s:45:\"node_post_update_rebuild_node_revision_routes\";i:91;s:44:\"system_post_update_delete_authorize_settings\";i:92;s:50:\"system_post_update_enable_provider_database_driver\";i:93;s:34:\"system_post_update_sort_all_config\";i:94;s:65:\"taxonomy_post_update_clear_views_argument_validator_plugins_cache\";i:95;s:59:\"update_post_update_add_view_update_notifications_permission\";i:96;s:29:\"user_post_update_update_roles\";i:97;s:33:\"views_post_update_image_lazy_load\";i:98;s:53:\"views_post_update_provide_revision_table_relationship\";i:99;s:33:\"views_post_update_sort_identifier\";i:100;s:40:\"color_field_post_update_spectrum_palette\";i:101;s:28:\"field_group_post_update_0001\";i:102;s:51:\"block_content_post_update_entity_changed_constraint\";i:103;s:48:\"ctools_post_update_remove_entitybundleconstraint\";}'),('state','comment.maintain_entity_statistics','b:1;'),('state','comment.node_comment_statistics_scale','d:0.3333333333333333;'),('state','field.field.deleted','a:0:{}'),('state','field.storage.deleted','a:0:{}'),('state','install_task','s:4:\"done\";'),('state','install_time','i:1449817502;'),('state','locale.translation.formulae','a:1:{s:2:\"ar\";a:2:{s:7:\"plurals\";s:1:\"6\";s:7:\"formula\";a:23:{i:0;i:1;i:1;i:0;i:2;i:2;i:3;i:3;i:4;i:3;i:5;i:3;i:6;i:3;i:7;i:3;i:8;i:3;i:9;i:3;i:10;i:3;i:100;i:5;i:101;i:5;i:102;i:5;i:103;i:3;i:104;i:3;i:105;i:3;i:106;i:3;i:107;i:3;i:108;i:3;i:109;i:3;i:110;i:3;s:7:\"default\";i:4;}}}'),('state','locale.translation.javascript','a:1:{s:2:\"ar\";s:43:\"S4AystnCg3G2s9FttOoHb873x8K7gx4K9v-_E0JfwU4\";}'),('state','locale.translation_last_checked','i:1666585781;'),('state','module_filter.recent','a:3:{s:11:\"field_group\";i:1666585780;s:11:\"color_field\";i:1666585780;s:17:\"video_embed_field\";i:1666585780;}'),('state','node.min_max_update_time','a:2:{s:11:\"min_created\";s:10:\"1450062226\";s:11:\"max_created\";s:10:\"1666586013\";}'),('state','node.type.locked','a:1:{s:5:\"forum\";s:5:\"forum\";}'),('state','router.path_roots','a:40:{i:0;s:5:\"admin\";i:1;s:8:\"run-cron\";i:2;s:14:\"block-category\";i:3;s:5:\"block\";i:4;s:7:\"comment\";i:5;s:8:\"comments\";i:6;s:7:\"contact\";i:7;s:4:\"user\";i:8;s:10:\"contextual\";i:9;s:6:\"editor\";i:10;s:4:\"file\";i:11;s:6:\"filter\";i:12;s:7:\"history\";i:13;s:5:\"sites\";i:14;s:6:\"system\";i:15;s:4:\"node\";i:16;s:9:\"quickedit\";i:17;s:6:\"search\";i:18;s:10:\"newsletter\";i:19;s:4:\"cron\";i:20;s:12:\"machine_name\";i:21;s:0:\"\";i:22;s:9:\"<current>\";i:23;s:5:\"batch\";i:24;s:10:\"update.php\";i:25;s:29:\"entity_reference_autocomplete\";i:26;s:7:\"session\";i:27;s:8:\"taxonomy\";i:28;s:5:\"token\";i:29;s:7:\"toolbar\";i:30;s:11:\".well-known\";i:31;s:12:\"we-mega-menu\";i:32;s:5:\"forum\";i:33;s:10:\"categories\";i:34;s:5:\"blogs\";i:35;s:8:\"showcase\";i:36;s:9:\"tagscloud\";i:37;s:5:\"views\";i:38;s:14:\"component-item\";i:39;s:17:\"component-wrapper\";}'),('state','routing.menu_masks.router','a:61:{i:0;i:2037;i:1;i:2005;i:2;i:1973;i:3;i:1017;i:4;i:1013;i:5;i:1001;i:6;i:985;i:7;i:981;i:8;i:509;i:9;i:501;i:10;i:493;i:11;i:489;i:12;i:464;i:13;i:255;i:14;i:254;i:15;i:253;i:16;i:252;i:17;i:251;i:18;i:250;i:19;i:249;i:20;i:247;i:21;i:246;i:22;i:245;i:23;i:232;i:24;i:224;i:25;i:193;i:26;i:127;i:27;i:126;i:28;i:125;i:29;i:123;i:30;i:122;i:31;i:116;i:32;i:113;i:33;i:96;i:34;i:63;i:35;i:62;i:36;i:61;i:37;i:60;i:38;i:56;i:39;i:49;i:40;i:42;i:41;i:32;i:42;i:31;i:43;i:30;i:44;i:29;i:45;i:28;i:46;i:27;i:47;i:24;i:48;i:21;i:49;i:15;i:50;i:14;i:51;i:13;i:52;i:12;i:53;i:11;i:54;i:8;i:55;i:7;i:56;i:6;i:57;i:5;i:58;i:3;i:59;i:2;i:60;i:1;}'),('state','routing.non_admin_routes','a:141:{i:0;s:22:\"admin_toolbar.run.cron\";i:1;s:27:\"block.category_autocomplete\";i:2;s:22:\"block_content.add_page\";i:3;s:22:\"block_content.add_form\";i:4;s:30:\"entity.block_content.canonical\";i:5;s:30:\"entity.block_content.edit_form\";i:6;s:32:\"entity.block_content.delete_form\";i:7;s:24:\"entity.comment.edit_form\";i:8;s:15:\"comment.approve\";i:9;s:24:\"entity.comment.canonical\";i:10;s:26:\"entity.comment.delete_form\";i:11;s:13:\"comment.reply\";i:12;s:31:\"comment.new_comments_node_links\";i:13;s:21:\"comment.node_redirect\";i:14;s:17:\"contact.site_page\";i:15;s:29:\"entity.contact_form.canonical\";i:16;s:24:\"entity.user.contact_form\";i:17;s:17:\"contextual.render\";i:18;s:17:\"editor.filter_xss\";i:19;s:19:\"editor.image_dialog\";i:20;s:18:\"editor.link_dialog\";i:21;s:18:\"file.ajax_progress\";i:22;s:15:\"filter.tips_all\";i:23;s:11:\"filter.tips\";i:24;s:26:\"history.get_last_node_view\";i:25;s:17:\"history.read_node\";i:26;s:18:\"image.style_public\";i:27;s:19:\"image.style_private\";i:28;s:13:\"node.add_page\";i:29;s:8:\"node.add\";i:30;s:19:\"entity.node.preview\";i:31;s:27:\"entity.node.version_history\";i:32;s:20:\"entity.node.revision\";i:33;s:28:\"node.revision_revert_confirm\";i:34;s:40:\"node.revision_revert_translation_confirm\";i:35;s:28:\"node.revision_delete_confirm\";i:36;s:18:\"quickedit.metadata\";i:37;s:21:\"quickedit.attachments\";i:38;s:20:\"quickedit.field_form\";i:39;s:21:\"quickedit.entity_save\";i:40;s:22:\"quickedit.image_upload\";i:41;s:20:\"quickedit.image_info\";i:42;s:34:\"quickedit.field_untransformed_text\";i:43;s:11:\"search.view\";i:44;s:23:\"search.view_node_search\";i:45;s:23:\"search.help_node_search\";i:46;s:23:\"search.view_user_search\";i:47;s:23:\"search.help_user_search\";i:48;s:19:\"shortcut.set_switch\";i:49;s:30:\"simplenews.newsletter_validate\";i:50;s:35:\"simplenews.newsletter_subscriptions\";i:51;s:45:\"simplenews.newsletter_subscriptions_arguments\";i:52;s:40:\"simplenews.newsletter_subscriptions_user\";i:53;s:38:\"simplenews.newsletter_confirm_combined\";i:54;s:42:\"simplenews.newsletter_confirm_subscription\";i:55;s:48:\"simplenews.newsletter_confirm_combined_immediate\";i:56;s:52:\"simplenews.newsletter_confirm_subscription_immediate\";i:57;s:19:\"simplenews.node_tab\";i:58;s:10:\"system.401\";i:59;s:10:\"system.403\";i:60;s:10:\"system.404\";i:61;s:10:\"system.4xx\";i:62;s:11:\"system.cron\";i:63;s:33:\"system.machine_name_transliterate\";i:64;s:12:\"system.files\";i:65;s:28:\"system.private_file_download\";i:66;s:16:\"system.temporary\";i:67;s:7:\"<front>\";i:68;s:6:\"<none>\";i:69;s:8:\"<nolink>\";i:70;s:8:\"<button>\";i:71;s:9:\"<current>\";i:72;s:15:\"system.timezone\";i:73;s:22:\"system.batch_page.html\";i:74;s:16:\"system.db_update\";i:75;s:26:\"system.entity_autocomplete\";i:76;s:16:\"system.csrftoken\";i:77;s:30:\"entity.taxonomy_term.edit_form\";i:78;s:32:\"entity.taxonomy_term.delete_form\";i:79;s:10:\"token.tree\";i:80;s:16:\"toolbar.subtrees\";i:81;s:13:\"user.register\";i:82;s:11:\"user.logout\";i:83;s:9:\"user.pass\";i:84;s:9:\"user.page\";i:85;s:9:\"user.edit\";i:86;s:10:\"user.login\";i:87;s:19:\"user.cancel_confirm\";i:88;s:16:\"user.reset.login\";i:89;s:10:\"user.reset\";i:90;s:15:\"user.reset.form\";i:91;s:31:\"user.well-known.change_password\";i:92;s:23:\"we_megamenu.renderblock\";i:93;s:20:\"we_megamenu.geticons\";i:94;s:11:\"forum.index\";i:95;s:10:\"forum.page\";i:96;s:22:\"view.categories.page_1\";i:97;s:26:\"view.featured_posts.page_1\";i:98;s:21:\"view.frontpage.page_1\";i:99;s:20:\"view.showcase.page_1\";i:100;s:24:\"view.tags_in_tags.page_1\";i:101;s:25:\"view.taxonomy_term.feed_1\";i:102;s:25:\"view.taxonomy_term.page_1\";i:103;s:10:\"views.ajax\";i:104;s:31:\"entity.component_item.canonical\";i:105;s:34:\"entity.component_wrapper.canonical\";i:106;s:21:\"entity.node.canonical\";i:107;s:23:\"entity.node.delete_form\";i:108;s:21:\"entity.node.edit_form\";i:109;s:21:\"entity.user.canonical\";i:110;s:21:\"entity.user.edit_form\";i:111;s:23:\"entity.user.cancel_form\";i:112;s:30:\"entity.taxonomy_term.canonical\";i:113;s:49:\"entity.block_content.content_translation_overview\";i:114;s:44:\"entity.block_content.content_translation_add\";i:115;s:45:\"entity.block_content.content_translation_edit\";i:116;s:47:\"entity.block_content.content_translation_delete\";i:117;s:43:\"entity.comment.content_translation_overview\";i:118;s:38:\"entity.comment.content_translation_add\";i:119;s:39:\"entity.comment.content_translation_edit\";i:120;s:41:\"entity.comment.content_translation_delete\";i:121;s:50:\"entity.component_item.content_translation_overview\";i:122;s:45:\"entity.component_item.content_translation_add\";i:123;s:46:\"entity.component_item.content_translation_edit\";i:124;s:48:\"entity.component_item.content_translation_delete\";i:125;s:53:\"entity.component_wrapper.content_translation_overview\";i:126;s:48:\"entity.component_wrapper.content_translation_add\";i:127;s:49:\"entity.component_wrapper.content_translation_edit\";i:128;s:51:\"entity.component_wrapper.content_translation_delete\";i:129;s:40:\"entity.node.content_translation_overview\";i:130;s:35:\"entity.node.content_translation_add\";i:131;s:36:\"entity.node.content_translation_edit\";i:132;s:38:\"entity.node.content_translation_delete\";i:133;s:49:\"entity.taxonomy_term.content_translation_overview\";i:134;s:44:\"entity.taxonomy_term.content_translation_add\";i:135;s:45:\"entity.taxonomy_term.content_translation_edit\";i:136;s:47:\"entity.taxonomy_term.content_translation_delete\";i:137;s:40:\"entity.user.content_translation_overview\";i:138;s:35:\"entity.user.content_translation_add\";i:139;s:36:\"entity.user.content_translation_edit\";i:140;s:38:\"entity.user.content_translation_delete\";}'),('state','system.cron_key','s:74:\"lWgS9YvAXBeCxaaY1SIy3dsjPcyY4sSmcb6OoE08iWJnieXYmSuSxwj0hi67cqELIE8sHfqvwA\";'),('state','system.cron_last','i:1674418703;'),('state','system.css_js_query_string','s:6:\"rp4v1l\";'),('state','system.maintenance_mode','b:0;'),('state','system.private_key','s:74:\"gvTDq8MYHlxcCND1_q1FdznWNfkn0mqS2MKfJlPrl7UsYZ4C9iaHzk_HGgSdTqDpAYHXHwOXGA\";'),('state','system.profile.files','a:15:{s:10:\"demo_umami\";s:44:\"core/profiles/demo_umami/demo_umami.info.yml\";s:7:\"minimal\";s:38:\"core/profiles/minimal/minimal.info.yml\";s:18:\"nightwatch_testing\";s:60:\"core/profiles/nightwatch_testing/nightwatch_testing.info.yml\";s:8:\"standard\";s:40:\"core/profiles/standard/standard.info.yml\";s:7:\"testing\";s:38:\"core/profiles/testing/testing.info.yml\";s:21:\"testing_config_import\";s:66:\"core/profiles/testing_config_import/testing_config_import.info.yml\";s:24:\"testing_config_overrides\";s:72:\"core/profiles/testing_config_overrides/testing_config_overrides.info.yml\";s:40:\"testing_install_profile_all_dependencies\";s:104:\"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml\";s:36:\"testing_install_profile_dependencies\";s:96:\"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml\";s:28:\"testing_missing_dependencies\";s:80:\"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml\";s:20:\"testing_multilingual\";s:64:\"core/profiles/testing_multilingual/testing_multilingual.info.yml\";s:33:\"testing_multilingual_with_english\";s:90:\"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml\";s:20:\"testing_requirements\";s:64:\"core/profiles/testing_requirements/testing_requirements.info.yml\";s:19:\"testing_site_config\";s:62:\"core/profiles/testing_site_config/testing_site_config.info.yml\";s:21:\"testing_themes_blocks\";s:66:\"core/profiles/testing_themes_blocks/testing_themes_blocks.info.yml\";}'),('state','update.last_check','i:1674418714;'),('state','update.last_email_notification','i:1674418703;'),('state','views.view_route_names','a:17:{s:13:\"watchdog.page\";s:14:\"dblog.overview\";s:24:\"user_admin_people.page_1\";s:22:\"entity.user.collection\";s:20:\"taxonomy_term.page_1\";s:30:\"entity.taxonomy_term.canonical\";s:29:\"simplenews_subscribers.page_1\";s:39:\"entity.simplenews_subscriber.collection\";s:14:\"content.page_1\";s:20:\"system.admin_content\";s:23:\"comment.page_unapproved\";s:22:\"comment.admin_approval\";s:22:\"comment.page_published\";s:13:\"comment.admin\";s:20:\"block_content.page_1\";s:31:\"entity.block_content.collection\";s:17:\"categories.page_1\";s:22:\"view.categories.page_1\";s:21:\"featured_posts.page_1\";s:26:\"view.featured_posts.page_1\";s:12:\"files.page_1\";s:17:\"view.files.page_1\";s:12:\"files.page_2\";s:17:\"view.files.page_2\";s:16:\"frontpage.page_1\";s:21:\"view.frontpage.page_1\";s:15:\"showcase.page_1\";s:20:\"view.showcase.page_1\";s:29:\"simplenews_newsletters.page_1\";s:34:\"view.simplenews_newsletters.page_1\";s:19:\"tags_in_tags.page_1\";s:24:\"view.tags_in_tags.page_1\";s:20:\"taxonomy_term.feed_1\";s:25:\"view.taxonomy_term.feed_1\";}'),('system.schema','admin_toolbar','i:8002;'),('system.schema','admin_toolbar_search','i:8000;'),('system.schema','admin_toolbar_tools','i:8202;'),('system.schema','automated_cron','i:8000;'),('system.schema','block','i:8003;'),('system.schema','block_content','i:8600;'),('system.schema','breakpoint','i:8000;'),('system.schema','ckeditor','i:8000;'),('system.schema','color','i:8000;'),('system.schema','color_field','i:8000;'),('system.schema','comment','i:8701;'),('system.schema','component_builder','i:8211;'),('system.schema','config','i:8000;'),('system.schema','config_translation','i:8000;'),('system.schema','contact','i:8000;'),('system.schema','content_translation','i:8400;'),('system.schema','contextual','i:8000;'),('system.schema','ctools','i:8000;'),('system.schema','datetime','i:8000;'),('system.schema','dblog','i:8600;'),('system.schema','dynamic_page_cache','i:8000;'),('system.schema','editor','i:8001;'),('system.schema','entity','i:8000;'),('system.schema','field','i:8500;'),('system.schema','field_group','i:8302;'),('system.schema','field_ui','i:8000;'),('system.schema','file','i:8700;'),('system.schema','filter','i:8000;'),('system.schema','forum','i:8000;'),('system.schema','help','i:8000;'),('system.schema','history','i:8101;'),('system.schema','image','i:8201;'),('system.schema','inline_entity_form','i:8000;'),('system.schema','language','i:8001;'),('system.schema','link','i:8000;'),('system.schema','locale','i:9101;'),('system.schema','menu_link_content','i:8601;'),('system.schema','menu_ui','i:8000;'),('system.schema','module_filter','i:8000;'),('system.schema','mysql','i:8000;'),('system.schema','node','i:8700;'),('system.schema','options','i:8000;'),('system.schema','page_cache','i:8000;'),('system.schema','path','i:8200;'),('system.schema','pathauto','i:8108;'),('system.schema','path_alias','i:8000;'),('system.schema','quickedit','i:8000;'),('system.schema','rdf','i:8000;'),('system.schema','search','i:8000;'),('system.schema','shortcut','i:8000;'),('system.schema','simplenews','i:830009;'),('system.schema','standard','i:8000;'),('system.schema','system','i:8901;'),('system.schema','taxonomy','i:8702;'),('system.schema','text','i:8000;'),('system.schema','token','i:8000;'),('system.schema','toolbar','i:8000;'),('system.schema','tour','i:8000;'),('system.schema','update','i:8001;'),('system.schema','user','i:9301;'),('system.schema','video_embed_field','i:8000;'),('system.schema','views','i:8500;'),('system.schema','views_ui','i:8000;'),('system.schema','we_megamenu','i:8101;');
/*!40000 ALTER TABLE `key_value` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `key_value_expire`
--

DROP TABLE IF EXISTS `key_value_expire`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_value_expire` (
  `collection` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A named collection of key and value pairs.',
  `name` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The key of the key/value pair.',
  `value` longblob NOT NULL COMMENT 'The value of the key/value pair.',
  `expire` int(11) NOT NULL DEFAULT 2147483647 COMMENT 'The time since Unix epoch in seconds when this item expires. Defaults to the maximum possible time.',
  PRIMARY KEY (`collection`,`name`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Generic key/value storage table with an expiration.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_value_expire`
--

LOCK TABLES `key_value_expire` WRITE;
/*!40000 ALTER TABLE `key_value_expire` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `key_value_expire` VALUES ('system','advisories_response','a:0:{}',1674440303),('update','fetch_failures','N;',1674419014),('update','update_project_data','a:13:{s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Automated Cron\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.4.8\";s:7:\"project\";s:6:\"drupal\";s:16:\"_info_file_ctime\";i:1666585131;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:48:{s:14:\"automated_cron\";s:14:\"Automated Cron\";s:5:\"block\";s:5:\"Block\";s:13:\"block_content\";s:12:\"Custom Block\";s:10:\"breakpoint\";s:10:\"Breakpoint\";s:8:\"ckeditor\";s:8:\"CKEditor\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:6:\"config\";s:21:\"Configuration Manager\";s:18:\"config_translation\";s:25:\"Configuration Translation\";s:7:\"contact\";s:7:\"Contact\";s:19:\"content_translation\";s:19:\"Content Translation\";s:10:\"contextual\";s:16:\"Contextual Links\";s:8:\"datetime\";s:8:\"Datetime\";s:5:\"dblog\";s:16:\"Database Logging\";s:18:\"dynamic_page_cache\";s:27:\"Internal Dynamic Page Cache\";s:6:\"editor\";s:11:\"Text Editor\";s:5:\"field\";s:5:\"Field\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:7:\"history\";s:7:\"History\";s:5:\"image\";s:5:\"Image\";s:8:\"language\";s:8:\"Language\";s:4:\"link\";s:4:\"Link\";s:6:\"locale\";s:21:\"Interface Translation\";s:17:\"menu_link_content\";s:17:\"Custom Menu Links\";s:7:\"menu_ui\";s:7:\"Menu UI\";s:5:\"mysql\";s:5:\"MySQL\";s:4:\"node\";s:4:\"Node\";s:7:\"options\";s:7:\"Options\";s:10:\"page_cache\";s:19:\"Internal Page Cache\";s:4:\"path\";s:4:\"Path\";s:10:\"path_alias\";s:10:\"Path alias\";s:9:\"quickedit\";s:10:\"Quick Edit\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:4:\"tour\";s:4:\"Tour\";s:6:\"update\";s:14:\"Update Manager\";s:4:\"user\";s:4:\"User\";s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:5:\"9.4.8\";s:14:\"existing_major\";s:1:\"9\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:4:\"also\";a:1:{i:10;s:6:\"10.0.2\";}s:8:\"releases\";a:2:{s:6:\"10.0.2\";a:10:{s:4:\"name\";s:13:\"drupal 10.0.2\";s:7:\"version\";s:6:\"10.0.2\";s:3:\"tag\";s:6:\"10.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/10.0.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-10.0.2.tar.gz\";s:4:\"date\";s:10:\"1674065542\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.5.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.5.2\";s:7:\"version\";s:5:\"9.5.2\";s:3:\"tag\";s:5:\"9.5.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.5.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.5.2.tar.gz\";s:4:\"date\";s:10:\"1674066112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:5:\"9.5.2\";s:11:\"recommended\";s:5:\"9.5.2\";s:16:\"security updates\";a:2:{i:0;a:10:{s:4:\"name\";s:12:\"drupal 9.5.2\";s:7:\"version\";s:5:\"9.5.2\";s:3:\"tag\";s:5:\"9.5.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.5.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.5.2.tar.gz\";s:4:\"date\";s:10:\"1674066112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}i:1;a:10:{s:4:\"name\";s:13:\"drupal 9.4.10\";s:7:\"version\";s:6:\"9.4.10\";s:3:\"tag\";s:6:\"9.4.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.4.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.4.10.tar.gz\";s:4:\"date\";s:10:\"1674066615\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:6:\"status\";i:1;}s:13:\"admin_toolbar\";a:15:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:5:\"3.2.1\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1665044278;s:16:\"_info_file_ctime\";i:1666585128;}s:9:\"datestamp\";i:1665044278;s:8:\"includes\";a:3:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:20:\"admin_toolbar_search\";s:20:\"Admin Toolbar Search\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:5:\"3.2.1\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Admin Toolbar\";s:4:\"link\";s:44:\"https://www.drupal.org/project/admin_toolbar\";s:14:\"latest_version\";s:5:\"3.3.0\";s:8:\"releases\";a:1:{s:5:\"3.3.0\";a:13:{s:4:\"name\";s:19:\"admin_toolbar 3.3.0\";s:7:\"version\";s:5:\"3.3.0\";s:3:\"tag\";s:5:\"3.3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.3.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.3.0.tar.gz\";s:4:\"date\";s:10:\"1669567837\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:5:\"3.3.0\";s:6:\"status\";i:4;}s:11:\"color_field\";a:16:{s:4:\"name\";s:11:\"color_field\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Color Field\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:11:\"color_field\";s:9:\"datestamp\";i:1632938100;s:16:\"_info_file_ctime\";i:1666585101;}s:9:\"datestamp\";i:1632938100;s:8:\"includes\";a:1:{s:11:\"color_field\";s:11:\"Color Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-2.5\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Color Field\";s:4:\"link\";s:42:\"https://www.drupal.org/project/color_field\";s:4:\"also\";a:1:{i:3;s:5:\"3.0.0\";}s:8:\"releases\";a:2:{s:5:\"3.0.0\";a:13:{s:4:\"name\";s:17:\"color_field 3.0.0\";s:7:\"version\";s:5:\"3.0.0\";s:3:\"tag\";s:5:\"3.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/color_field/releases/3.0.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/color_field-3.0.0.tar.gz\";s:4:\"date\";s:10:\"1671324231\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}s:7:\"8.x-2.5\";a:13:{s:4:\"name\";s:19:\"color_field 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1632938098\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:36:\"Requires Drupal core: 9.4.8 to 9.5.2\";}}s:14:\"latest_version\";s:7:\"8.x-2.5\";s:11:\"recommended\";s:7:\"8.x-2.5\";s:6:\"status\";i:5;}s:6:\"ctools\";a:15:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos Tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:5:\"4.0.1\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1659069140;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659069140;s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:5:\"4.0.1\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos Tool Suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:5:\"4.0.3\";s:8:\"releases\";a:1:{s:5:\"4.0.3\";a:13:{s:4:\"name\";s:12:\"ctools 4.0.3\";s:7:\"version\";s:5:\"4.0.3\";s:3:\"tag\";s:5:\"4.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/ctools/releases/4.0.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/ctools-4.0.3.tar.gz\";s:4:\"date\";s:10:\"1668631947\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:5:\"4.0.3\";s:6:\"status\";i:4;}s:6:\"entity\";a:15:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Entity\";s:7:\"version\";s:7:\"8.x-1.4\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";i:1661898026;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1665461139;}s:9:\"datestamp\";i:1661898026;s:8:\"includes\";a:1:{s:6:\"entity\";s:6:\"Entity\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Entity API\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:14:\"latest_version\";s:7:\"8.x-1.4\";s:8:\"releases\";a:1:{s:7:\"8.x-1.4\";a:13:{s:4:\"name\";s:14:\"entity 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1661898023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^9.2|^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:7:\"8.x-1.4\";s:6:\"status\";i:5;}s:11:\"field_group\";a:15:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"8.x-3.3\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";i:1663516405;s:16:\"_info_file_ctime\";i:1666585115;}s:9:\"datestamp\";i:1663516405;s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-3.3\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Field Group\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:14:\"latest_version\";s:7:\"8.x-3.4\";s:8:\"releases\";a:1:{s:7:\"8.x-3.4\";a:13:{s:4:\"name\";s:19:\"field_group 8.x-3.4\";s:7:\"version\";s:7:\"8.x-3.4\";s:3:\"tag\";s:7:\"8.x-3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-3.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1667241979\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:7:\"8.x-3.4\";s:6:\"status\";i:4;}s:18:\"inline_entity_form\";a:15:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:12:\"8.x-1.0-rc14\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";i:1663701307;s:16:\"_info_file_ctime\";i:1665461139;}s:9:\"datestamp\";i:1663701307;s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:12:\"8.x-1.0-rc14\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Inline Entity Form\";s:4:\"link\";s:49:\"https://www.drupal.org/project/inline_entity_form\";s:14:\"latest_version\";s:12:\"8.x-1.0-rc14\";s:8:\"releases\";a:1:{s:12:\"8.x-1.0-rc14\";a:13:{s:4:\"name\";s:31:\"inline_entity_form 8.x-1.0-rc14\";s:7:\"version\";s:12:\"8.x-1.0-rc14\";s:3:\"tag\";s:12:\"8.x-1.0-rc14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc14\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc14.tar.gz\";s:4:\"date\";s:10:\"1663701306\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:17:\"^8.8 || ^9 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:12:\"8.x-1.0-rc14\";s:6:\"status\";i:5;}s:13:\"module_filter\";a:16:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module Filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"8.x-3.2\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";i:1614918374;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1614918374;s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module Filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-3.2\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Module Filter\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:4:\"also\";a:1:{i:4;s:5:\"4.0.1\";}s:8:\"releases\";a:2:{s:5:\"4.0.1\";a:13:{s:4:\"name\";s:19:\"module_filter 4.0.1\";s:7:\"version\";s:5:\"4.0.1\";s:3:\"tag\";s:5:\"4.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/module_filter/releases/4.0.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/module_filter-4.0.1.tar.gz\";s:4:\"date\";s:10:\"1671484875\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}s:7:\"8.x-3.4\";a:13:{s:4:\"name\";s:21:\"module_filter 8.x-3.4\";s:7:\"version\";s:7:\"8.x-3.4\";s:3:\"tag\";s:7:\"8.x-3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/8.x-3.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1671484800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:36:\"Requires Drupal core: 9.4.8 to 9.5.2\";}}s:14:\"latest_version\";s:7:\"8.x-3.4\";s:11:\"recommended\";s:7:\"8.x-3.4\";s:6:\"status\";i:4;}s:8:\"pathauto\";a:15:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1659472551;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659472551;s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:8:\"8.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:8:\"8.x-1.11\";s:8:\"releases\";a:1:{s:8:\"8.x-1.11\";a:13:{s:4:\"name\";s:17:\"pathauto 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/pathauto/releases/8.x-1.11\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1659472548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:8:\"8.x-1.11\";s:6:\"status\";i:5;}s:10:\"simplenews\";a:15:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:11:\"3.0.0-beta4\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1666544252;s:16:\"_info_file_ctime\";i:1666585128;}s:9:\"datestamp\";i:1666544252;s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:11:\"3.0.0-beta4\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Simplenews\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:14:\"latest_version\";s:11:\"3.0.0-beta4\";s:8:\"releases\";a:1:{s:11:\"3.0.0-beta4\";a:13:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta4\";s:7:\"version\";s:11:\"3.0.0-beta4\";s:3:\"tag\";s:11:\"3.0.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1666544250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:36:\"Requires Drupal core: 9.4.8 to 9.5.2\";}}s:11:\"recommended\";s:11:\"3.0.0-beta4\";s:6:\"status\";i:5;}s:5:\"token\";a:15:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1659471815;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659471815;s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:8:\"8.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:8:\"8.x-1.11\";s:8:\"releases\";a:1:{s:8:\"8.x-1.11\";a:13:{s:4:\"name\";s:14:\"token 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/token/releases/8.x-1.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/token-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1659471813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:8:\"8.x-1.11\";s:6:\"status\";i:5;}s:17:\"video_embed_field\";a:15:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1666585113;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-2.4\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Video Embed Field\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:14:\"latest_version\";s:7:\"8.x-2.5\";s:8:\"releases\";a:1:{s:7:\"8.x-2.5\";a:13:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1671413311\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 9.4.8 to 10.0.2\";}}s:11:\"recommended\";s:7:\"8.x-2.5\";s:6:\"status\";i:4;}s:11:\"we_megamenu\";a:15:{s:4:\"name\";s:11:\"we_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:24:\"Mega Menu for Drupal 8/9\";s:7:\"package\";s:10:\"WeMegaMenu\";s:7:\"version\";s:8:\"8.x-1.13\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1624951528;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1624951528;s:8:\"includes\";a:1:{s:11:\"we_megamenu\";s:24:\"Mega Menu for Drupal 8/9\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:8:\"8.x-1.13\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Drupal Mega Menu\";s:4:\"link\";s:42:\"https://www.drupal.org/project/we_megamenu\";s:14:\"latest_version\";s:8:\"8.x-1.13\";s:8:\"releases\";a:1:{s:8:\"8.x-1.13\";a:13:{s:4:\"name\";s:20:\"we_megamenu 8.x-1.13\";s:7:\"version\";s:8:\"8.x-1.13\";s:3:\"tag\";s:8:\"8.x-1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.13\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1624951526\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:36:\"Requires Drupal core: 9.4.8 to 9.5.2\";}}s:11:\"recommended\";s:8:\"8.x-1.13\";s:6:\"status\";i:5;}}',1674422303),('update','update_project_projects','a:13:{s:6:\"drupal\";a:6:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Automated Cron\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"9.4.8\";s:7:\"project\";s:6:\"drupal\";s:16:\"_info_file_ctime\";i:1666585131;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:48:{s:14:\"automated_cron\";s:14:\"Automated Cron\";s:5:\"block\";s:5:\"Block\";s:13:\"block_content\";s:12:\"Custom Block\";s:10:\"breakpoint\";s:10:\"Breakpoint\";s:8:\"ckeditor\";s:8:\"CKEditor\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:6:\"config\";s:21:\"Configuration Manager\";s:18:\"config_translation\";s:25:\"Configuration Translation\";s:7:\"contact\";s:7:\"Contact\";s:19:\"content_translation\";s:19:\"Content Translation\";s:10:\"contextual\";s:16:\"Contextual Links\";s:8:\"datetime\";s:8:\"Datetime\";s:5:\"dblog\";s:16:\"Database Logging\";s:18:\"dynamic_page_cache\";s:27:\"Internal Dynamic Page Cache\";s:6:\"editor\";s:11:\"Text Editor\";s:5:\"field\";s:5:\"Field\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:7:\"history\";s:7:\"History\";s:5:\"image\";s:5:\"Image\";s:8:\"language\";s:8:\"Language\";s:4:\"link\";s:4:\"Link\";s:6:\"locale\";s:21:\"Interface Translation\";s:17:\"menu_link_content\";s:17:\"Custom Menu Links\";s:7:\"menu_ui\";s:7:\"Menu UI\";s:5:\"mysql\";s:5:\"MySQL\";s:4:\"node\";s:4:\"Node\";s:7:\"options\";s:7:\"Options\";s:10:\"page_cache\";s:19:\"Internal Page Cache\";s:4:\"path\";s:4:\"Path\";s:10:\"path_alias\";s:10:\"Path alias\";s:9:\"quickedit\";s:10:\"Quick Edit\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:4:\"tour\";s:4:\"Tour\";s:6:\"update\";s:14:\"Update Manager\";s:4:\"user\";s:4:\"User\";s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;}s:13:\"admin_toolbar\";a:6:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:5:\"3.2.1\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1665044278;s:16:\"_info_file_ctime\";i:1666585128;}s:9:\"datestamp\";i:1665044278;s:8:\"includes\";a:3:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:20:\"admin_toolbar_search\";s:20:\"Admin Toolbar Search\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:11:\"color_field\";a:6:{s:4:\"name\";s:11:\"color_field\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Color Field\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:11:\"color_field\";s:9:\"datestamp\";i:1632938100;s:16:\"_info_file_ctime\";i:1666585101;}s:9:\"datestamp\";i:1632938100;s:8:\"includes\";a:1:{s:11:\"color_field\";s:11:\"Color Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:6:\"ctools\";a:6:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos Tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:5:\"4.0.1\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1659069140;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659069140;s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:6:\"entity\";a:6:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Entity\";s:7:\"version\";s:7:\"8.x-1.4\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";i:1661898026;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1665461139;}s:9:\"datestamp\";i:1661898026;s:8:\"includes\";a:1:{s:6:\"entity\";s:6:\"Entity\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:11:\"field_group\";a:6:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"8.x-3.3\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";i:1663516405;s:16:\"_info_file_ctime\";i:1666585115;}s:9:\"datestamp\";i:1663516405;s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:18:\"inline_entity_form\";a:6:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:12:\"8.x-1.0-rc14\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";i:1663701307;s:16:\"_info_file_ctime\";i:1665461139;}s:9:\"datestamp\";i:1663701307;s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:13:\"module_filter\";a:6:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module Filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"8.x-3.2\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";i:1614918374;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1614918374;s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module Filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:8:\"pathauto\";a:6:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1659472551;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659472551;s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:10:\"simplenews\";a:6:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:11:\"3.0.0-beta4\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1666544252;s:16:\"_info_file_ctime\";i:1666585128;}s:9:\"datestamp\";i:1666544252;s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:5:\"token\";a:6:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1659471815;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1659471815;s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:17:\"video_embed_field\";a:6:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1666585113;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:11:\"we_megamenu\";a:6:{s:4:\"name\";s:11:\"we_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:24:\"Mega Menu for Drupal 8/9\";s:7:\"package\";s:10:\"WeMegaMenu\";s:7:\"version\";s:8:\"8.x-1.13\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1624951528;s:16:\"_info_file_ctime\";i:1662521956;}s:9:\"datestamp\";i:1624951528;s:8:\"includes\";a:1:{s:11:\"we_megamenu\";s:24:\"Mega Menu for Drupal 8/9\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}}',1674422303),('update_available_releases','admin_toolbar','a:10:{s:5:\"title\";s:13:\"Admin Toolbar\";s:10:\"short_name\";s:13:\"admin_toolbar\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:9:\"3.2.,3.3.\";s:18:\"composer_namespace\";s:20:\"drupal/admin_toolbar\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/admin_toolbar\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:48:{s:5:\"3.3.0\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.3.0\";s:7:\"version\";s:5:\"3.3.0\";s:3:\"tag\";s:5:\"3.3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.3.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.3.0.tar.gz\";s:4:\"date\";s:10:\"1669567837\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}s:5:\"3.2.1\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.2.1\";s:7:\"version\";s:5:\"3.2.1\";s:3:\"tag\";s:5:\"3.2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.2.1.tar.gz\";s:4:\"date\";s:10:\"1665044276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.2.0\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.2.0\";s:7:\"version\";s:5:\"3.2.0\";s:3:\"tag\";s:5:\"3.2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.2.0.tar.gz\";s:4:\"date\";s:10:\"1664981657\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.1.1\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.1.1\";s:7:\"version\";s:5:\"3.1.1\";s:3:\"tag\";s:5:\"3.1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.1.1.tar.gz\";s:4:\"date\";s:10:\"1658801841\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:19:\"^8.8.0 || ^9 || ^10\";}s:5:\"3.1.0\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.1.0\";s:7:\"version\";s:5:\"3.1.0\";s:3:\"tag\";s:5:\"3.1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.1.0.tar.gz\";s:4:\"date\";s:10:\"1643097060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:19:\"^8.8.0 || ^9 || ^10\";}s:5:\"3.0.3\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.3\";s:7:\"version\";s:5:\"3.0.3\";s:3:\"tag\";s:5:\"3.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.3.tar.gz\";s:4:\"date\";s:10:\"1632322068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.0.2\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.2\";s:7:\"version\";s:5:\"3.0.2\";s:3:\"tag\";s:5:\"3.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.2.tar.gz\";s:4:\"date\";s:10:\"1629882675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.0.1\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.1\";s:7:\"version\";s:5:\"3.0.1\";s:3:\"tag\";s:5:\"3.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.1.tar.gz\";s:4:\"date\";s:10:\"1622644077\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.0.0\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.0\";s:7:\"version\";s:5:\"3.0.0\";s:3:\"tag\";s:5:\"3.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.0.tar.gz\";s:4:\"date\";s:10:\"1611311186\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.5\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1629883381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.4\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.4\";s:7:\"version\";s:7:\"8.x-2.4\";s:3:\"tag\";s:7:\"8.x-2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1601998853\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.3\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.3\";s:7:\"version\";s:7:\"8.x-2.3\";s:3:\"tag\";s:7:\"8.x-2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1592535597\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.2\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.2\";s:7:\"version\";s:7:\"8.x-2.2\";s:3:\"tag\";s:7:\"8.x-2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1585017179\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.1\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.1\";s:7:\"version\";s:7:\"8.x-2.1\";s:3:\"tag\";s:7:\"8.x-2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1584986458\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.7.7 || ^9.0\";}s:7:\"8.x-2.0\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.0\";s:7:\"version\";s:7:\"8.x-2.0\";s:3:\"tag\";s:7:\"8.x-2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1572370984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-2.0-beta2\";a:11:{s:4:\"name\";s:27:\"admin_toolbar 8.x-2.0-beta2\";s:7:\"version\";s:13:\"8.x-2.0-beta2\";s:3:\"tag\";s:13:\"8.x-2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.0-beta2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1567506785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-2.0-beta1\";a:11:{s:4:\"name\";s:27:\"admin_toolbar 8.x-2.0-beta1\";s:7:\"version\";s:13:\"8.x-2.0-beta1\";s:3:\"tag\";s:13:\"8.x-2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.0-beta1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1562269081\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.27\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.27\";s:7:\"version\";s:8:\"8.x-1.27\";s:3:\"tag\";s:8:\"8.x-1.27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.27\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.27.tar.gz\";s:4:\"date\";s:10:\"1558552081\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.26\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.26\";s:7:\"version\";s:8:\"8.x-1.26\";s:3:\"tag\";s:8:\"8.x-1.26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.26\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.26.tar.gz\";s:4:\"date\";s:10:\"1549218480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.25\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.25\";s:7:\"version\";s:8:\"8.x-1.25\";s:3:\"tag\";s:8:\"8.x-1.25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.25\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.25.tar.gz\";s:4:\"date\";s:10:\"1542915180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.24\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.24\";s:7:\"version\";s:8:\"8.x-1.24\";s:3:\"tag\";s:8:\"8.x-1.24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.24\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.24.tar.gz\";s:4:\"date\";s:10:\"1527522480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.23\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.23\";s:7:\"version\";s:8:\"8.x-1.23\";s:3:\"tag\";s:8:\"8.x-1.23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.23\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.23.tar.gz\";s:4:\"date\";s:10:\"1517936581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.22\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.22\";s:7:\"version\";s:8:\"8.x-1.22\";s:3:\"tag\";s:8:\"8.x-1.22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.22\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.22.tar.gz\";s:4:\"date\";s:10:\"1514888585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.21\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.21\";s:7:\"version\";s:8:\"8.x-1.21\";s:3:\"tag\";s:8:\"8.x-1.21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.21\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.21.tar.gz\";s:4:\"date\";s:10:\"1511190785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.20\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.20\";s:7:\"version\";s:8:\"8.x-1.20\";s:3:\"tag\";s:8:\"8.x-1.20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.20\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.20.tar.gz\";s:4:\"date\";s:10:\"1505199844\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.19\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.19\";s:7:\"version\";s:8:\"8.x-1.19\";s:3:\"tag\";s:8:\"8.x-1.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.19\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.19.tar.gz\";s:4:\"date\";s:10:\"1491487683\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.18\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.18\";s:7:\"version\";s:8:\"8.x-1.18\";s:3:\"tag\";s:8:\"8.x-1.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.18\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.18.tar.gz\";s:4:\"date\";s:10:\"1480614184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.17\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.17\";s:7:\"version\";s:8:\"8.x-1.17\";s:3:\"tag\";s:8:\"8.x-1.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.17\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.17.tar.gz\";s:4:\"date\";s:10:\"1472585039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.16\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.16\";s:7:\"version\";s:8:\"8.x-1.16\";s:3:\"tag\";s:8:\"8.x-1.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.16\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.16.tar.gz\";s:4:\"date\";s:10:\"1469715839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.15\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.15\";s:7:\"version\";s:8:\"8.x-1.15\";s:3:\"tag\";s:8:\"8.x-1.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.15\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.15.tar.gz\";s:4:\"date\";s:10:\"1464016832\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.14\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.14\";s:7:\"version\";s:8:\"8.x-1.14\";s:3:\"tag\";s:8:\"8.x-1.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.14\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.14.tar.gz\";s:4:\"date\";s:10:\"1454942939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.13\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.13\";s:7:\"version\";s:8:\"8.x-1.13\";s:3:\"tag\";s:8:\"8.x-1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.13\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1454405939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.12\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.12\";s:7:\"version\";s:8:\"8.x-1.12\";s:3:\"tag\";s:8:\"8.x-1.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.12\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1454402339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.11\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.11\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1449833341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.10\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.10\";s:7:\"version\";s:8:\"8.x-1.10\";s:3:\"tag\";s:8:\"8.x-1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.10\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1445350439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.9\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1438248239\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1437400139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1434972483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1433331481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1433329681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1432141381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1432129285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1432129285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1432048381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1431018181\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"3.x-dev\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 3.x-dev\";s:7:\"version\";s:7:\"3.x-dev\";s:3:\"tag\";s:3:\"3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1669567480\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:25:\"admin_toolbar 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1649739022\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:25:\"admin_toolbar 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1567701780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}}s:10:\"last_fetch\";i:1674418713;}',1674505113),('update_available_releases','color_field','a:10:{s:5:\"title\";s:11:\"Color Field\";s:10:\"short_name\";s:11:\"color_field\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:11:\"3.0.,8.x-2.\";s:18:\"composer_namespace\";s:18:\"drupal/color_field\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/color_field\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:5:\"3.0.0\";a:11:{s:4:\"name\";s:17:\"color_field 3.0.0\";s:7:\"version\";s:5:\"3.0.0\";s:3:\"tag\";s:5:\"3.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/color_field/releases/3.0.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/color_field-3.0.0.tar.gz\";s:4:\"date\";s:10:\"1671324231\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";}s:7:\"8.x-2.5\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1632938098\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-2.4\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-2.4\";s:7:\"version\";s:7:\"8.x-2.4\";s:3:\"tag\";s:7:\"8.x-2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1596479692\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-2.3\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-2.3\";s:7:\"version\";s:7:\"8.x-2.3\";s:3:\"tag\";s:7:\"8.x-2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1592252308\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-2.2\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-2.2\";s:7:\"version\";s:7:\"8.x-2.2\";s:3:\"tag\";s:7:\"8.x-2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1579552087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-2.1\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-2.1\";s:7:\"version\";s:7:\"8.x-2.1\";s:3:\"tag\";s:7:\"8.x-2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1579324387\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-2.0\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-2.0\";s:7:\"version\";s:7:\"8.x-2.0\";s:3:\"tag\";s:7:\"8.x-2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1536168780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-2.0-rc4\";a:11:{s:4:\"name\";s:23:\"color_field 8.x-2.0-rc4\";s:7:\"version\";s:11:\"8.x-2.0-rc4\";s:3:\"tag\";s:11:\"8.x-2.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/color_field/releases/8.x-2.0-rc4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1535578984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-2.0-rc3\";a:11:{s:4:\"name\";s:23:\"color_field 8.x-2.0-rc3\";s:7:\"version\";s:11:\"8.x-2.0-rc3\";s:3:\"tag\";s:11:\"8.x-2.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/color_field/releases/8.x-2.0-rc3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1526529484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-2.0-rc2\";a:11:{s:4:\"name\";s:23:\"color_field 8.x-2.0-rc2\";s:7:\"version\";s:11:\"8.x-2.0-rc2\";s:3:\"tag\";s:11:\"8.x-2.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/color_field/releases/8.x-2.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1493227442\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-2.0-rc1\";a:11:{s:4:\"name\";s:23:\"color_field 8.x-2.0-rc1\";s:7:\"version\";s:11:\"8.x-2.0-rc1\";s:3:\"tag\";s:11:\"8.x-2.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/color_field/releases/8.x-2.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1447537139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-2.0-beta1\";a:11:{s:4:\"name\";s:25:\"color_field 8.x-2.0-beta1\";s:7:\"version\";s:13:\"8.x-2.0-beta1\";s:3:\"tag\";s:13:\"8.x-2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/color_field/releases/8.x-2.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1447404250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-2.0-alpha1\";a:11:{s:4:\"name\";s:26:\"color_field 8.x-2.0-alpha1\";s:7:\"version\";s:14:\"8.x-2.0-alpha1\";s:3:\"tag\";s:14:\"8.x-2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/color_field/releases/8.x-2.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1419156480\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:19:\"color_field 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/color_field/releases/8.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/color_field-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1375168268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta3\";a:11:{s:4:\"name\";s:25:\"color_field 8.x-1.0-beta3\";s:7:\"version\";s:13:\"8.x-1.0-beta3\";s:3:\"tag\";s:13:\"8.x-1.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/color_field/releases/8.x-1.0-beta3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/color_field-8.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1416156713\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:9:\"3.0.x-dev\";a:11:{s:4:\"name\";s:21:\"color_field 3.0.x-dev\";s:7:\"version\";s:9:\"3.0.x-dev\";s:3:\"tag\";s:5:\"3.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/color_field/releases/3.0.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/color_field-3.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1671322793\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";s:5:\"terms\";a:0:{}}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:23:\"color_field 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/color_field/releases/8.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/color_field-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1632901895\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:23:\"color_field 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/color_field/releases/8.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/color_field-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1416156181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}}s:10:\"last_fetch\";i:1674418713;}',1674505113),('update_available_releases','ctools','a:10:{s:5:\"title\";s:25:\"Chaos Tool Suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:11:\"4.0.,8.x-3.\";s:18:\"composer_namespace\";s:13:\"drupal/ctools\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:36:{s:5:\"4.0.3\";a:11:{s:4:\"name\";s:12:\"ctools 4.0.3\";s:7:\"version\";s:5:\"4.0.3\";s:3:\"tag\";s:5:\"4.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/ctools/releases/4.0.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/ctools-4.0.3.tar.gz\";s:4:\"date\";s:10:\"1668631947\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:5:\"4.0.2\";a:11:{s:4:\"name\";s:12:\"ctools 4.0.2\";s:7:\"version\";s:5:\"4.0.2\";s:3:\"tag\";s:5:\"4.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/ctools/releases/4.0.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/ctools-4.0.2.tar.gz\";s:4:\"date\";s:10:\"1668486570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:5:\"4.0.1\";a:11:{s:4:\"name\";s:12:\"ctools 4.0.1\";s:7:\"version\";s:5:\"4.0.1\";s:3:\"tag\";s:5:\"4.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/ctools/releases/4.0.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/ctools-4.0.1.tar.gz\";s:4:\"date\";s:10:\"1659069125\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:5:\"4.0.0\";a:11:{s:4:\"name\";s:12:\"ctools 4.0.0\";s:7:\"version\";s:5:\"4.0.0\";s:3:\"tag\";s:5:\"4.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/ctools/releases/4.0.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/ctools-4.0.0.tar.gz\";s:4:\"date\";s:10:\"1656635481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";}s:8:\"8.x-3.13\";a:11:{s:4:\"name\";s:15:\"ctools 8.x-3.13\";s:7:\"version\";s:8:\"8.x-3.13\";s:3:\"tag\";s:8:\"8.x-3.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/8.x-3.13\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1668631846\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:8:\"8.x-3.12\";a:11:{s:4:\"name\";s:15:\"ctools 8.x-3.12\";s:7:\"version\";s:8:\"8.x-3.12\";s:3:\"tag\";s:8:\"8.x-3.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/8.x-3.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1668486476\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:8:\"8.x-3.11\";a:11:{s:4:\"name\";s:15:\"ctools 8.x-3.11\";s:7:\"version\";s:8:\"8.x-3.11\";s:3:\"tag\";s:8:\"8.x-3.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/8.x-3.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1660167573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:12:\"8.x-3.11-rc1\";a:11:{s:4:\"name\";s:19:\"ctools 8.x-3.11-rc1\";s:7:\"version\";s:12:\"8.x-3.11-rc1\";s:3:\"tag\";s:12:\"8.x-3.11-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/ctools/releases/8.x-3.11-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.11-rc1.tar.gz\";s:4:\"date\";s:10:\"1660069005\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:8:\"8.x-3.10\";a:11:{s:4:\"name\";s:15:\"ctools 8.x-3.10\";s:7:\"version\";s:8:\"8.x-3.10\";s:3:\"tag\";s:8:\"8.x-3.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/8.x-3.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1659040378\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:7:\"8.x-3.9\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.9\";s:7:\"version\";s:7:\"8.x-3.9\";s:3:\"tag\";s:7:\"8.x-3.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1658864511\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.8\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.8\";s:7:\"version\";s:7:\"8.x-3.8\";s:3:\"tag\";s:7:\"8.x-3.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1656633722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.7\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.7\";s:7:\"version\";s:7:\"8.x-3.7\";s:3:\"tag\";s:7:\"8.x-3.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1623822128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.6\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.6\";s:7:\"version\";s:7:\"8.x-3.6\";s:3:\"tag\";s:7:\"8.x-3.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1620832812\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.5\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.5\";s:7:\"version\";s:7:\"8.x-3.5\";s:3:\"tag\";s:7:\"8.x-3.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1618592931\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.4\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.4\";s:7:\"version\";s:7:\"8.x-3.4\";s:3:\"tag\";s:7:\"8.x-3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1585763383\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:7:\"8.x-3.3\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.3\";s:7:\"version\";s:7:\"8.x-3.3\";s:3:\"tag\";s:7:\"8.x-3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1585762870\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-3.2\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.2\";s:7:\"version\";s:7:\"8.x-3.2\";s:3:\"tag\";s:7:\"8.x-3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1550728386\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-3.1\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.1\";s:7:\"version\";s:7:\"8.x-3.1\";s:3:\"tag\";s:7:\"8.x-3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1549603381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-3.0\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.0\";s:7:\"version\";s:7:\"8.x-3.0\";s:3:\"tag\";s:7:\"8.x-3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1493401742\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-3.0-beta2\";a:11:{s:4:\"name\";s:20:\"ctools 8.x-3.0-beta2\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:3:\"tag\";s:13:\"8.x-3.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1492545842\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-3.0-beta1\";a:11:{s:4:\"name\";s:20:\"ctools 8.x-3.0-beta1\";s:7:\"version\";s:13:\"8.x-3.0-beta1\";s:3:\"tag\";s:13:\"8.x-3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1490677984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha27\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha27\";s:7:\"version\";s:15:\"8.x-3.0-alpha27\";s:3:\"tag\";s:15:\"8.x-3.0-alpha27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha27\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha27.tar.gz\";s:4:\"date\";s:10:\"1471723439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha26\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha26\";s:7:\"version\";s:15:\"8.x-3.0-alpha26\";s:3:\"tag\";s:15:\"8.x-3.0-alpha26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha26\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha26.tar.gz\";s:4:\"date\";s:10:\"1462560839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha25\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha25\";s:7:\"version\";s:15:\"8.x-3.0-alpha25\";s:3:\"tag\";s:15:\"8.x-3.0-alpha25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha25\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha25.tar.gz\";s:4:\"date\";s:10:\"1459542839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha24\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha24\";s:7:\"version\";s:15:\"8.x-3.0-alpha24\";s:3:\"tag\";s:15:\"8.x-3.0-alpha24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha24\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha24.tar.gz\";s:4:\"date\";s:10:\"1459129741\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha23\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha23\";s:7:\"version\";s:15:\"8.x-3.0-alpha23\";s:3:\"tag\";s:15:\"8.x-3.0-alpha23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha23\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha23.tar.gz\";s:4:\"date\";s:10:\"1454702339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha22\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha22\";s:7:\"version\";s:15:\"8.x-3.0-alpha22\";s:3:\"tag\";s:15:\"8.x-3.0-alpha22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha22\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha22.tar.gz\";s:4:\"date\";s:10:\"1454448839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha21\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha21\";s:7:\"version\";s:15:\"8.x-3.0-alpha21\";s:3:\"tag\";s:15:\"8.x-3.0-alpha21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha21\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha21.tar.gz\";s:4:\"date\";s:10:\"1452350939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha20\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha20\";s:7:\"version\";s:15:\"8.x-3.0-alpha20\";s:3:\"tag\";s:15:\"8.x-3.0-alpha20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha20\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha20.tar.gz\";s:4:\"date\";s:10:\"1450374240\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha19\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha19\";s:7:\"version\";s:15:\"8.x-3.0-alpha19\";s:3:\"tag\";s:15:\"8.x-3.0-alpha19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha19\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha19.tar.gz\";s:4:\"date\";s:10:\"1447863840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha18\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha18\";s:7:\"version\";s:15:\"8.x-3.0-alpha18\";s:3:\"tag\";s:15:\"8.x-3.0-alpha18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha18\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha18.tar.gz\";s:4:\"date\";s:10:\"1446661740\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha17\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha17\";s:7:\"version\";s:15:\"8.x-3.0-alpha17\";s:3:\"tag\";s:15:\"8.x-3.0-alpha17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha17\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha17.tar.gz\";s:4:\"date\";s:10:\"1444426739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:9:\"4.1.x-dev\";a:11:{s:4:\"name\";s:16:\"ctools 4.1.x-dev\";s:7:\"version\";s:9:\"4.1.x-dev\";s:3:\"tag\";s:5:\"4.1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ctools/releases/4.1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ctools-4.1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1659039442\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}s:9:\"4.0.x-dev\";a:11:{s:4:\"name\";s:16:\"ctools 4.0.x-dev\";s:7:\"version\";s:9:\"4.0.x-dev\";s:3:\"tag\";s:5:\"4.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ctools/releases/4.0.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ctools-4.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1659068300\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";s:5:\"terms\";a:0:{}}s:7:\"4.x-dev\";a:11:{s:4:\"name\";s:14:\"ctools 4.x-dev\";s:7:\"version\";s:7:\"4.x-dev\";s:3:\"tag\";s:3:\"4.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/4.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1659128008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";}s:11:\"8.x-3.x-dev\";a:11:{s:4:\"name\";s:18:\"ctools 8.x-3.x-dev\";s:7:\"version\";s:11:\"8.x-3.x-dev\";s:3:\"tag\";s:7:\"8.x-3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/8.x-3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1668628497\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418713;}',1674505113),('update_available_releases','drupal','a:9:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:18:\"supported_branches\";s:21:\"10.0.,10.1.,9.4.,9.5.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:349:{s:6:\"10.0.2\";a:10:{s:4:\"name\";s:13:\"drupal 10.0.2\";s:7:\"version\";s:6:\"10.0.2\";s:3:\"tag\";s:6:\"10.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/10.0.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-10.0.2.tar.gz\";s:4:\"date\";s:10:\"1674065542\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"10.0.1\";a:10:{s:4:\"name\";s:13:\"drupal 10.0.1\";s:7:\"version\";s:6:\"10.0.1\";s:3:\"tag\";s:6:\"10.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/10.0.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-10.0.1.tar.gz\";s:4:\"date\";s:10:\"1672847780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"10.0.0\";a:10:{s:4:\"name\";s:13:\"drupal 10.0.0\";s:7:\"version\";s:6:\"10.0.0\";s:3:\"tag\";s:6:\"10.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/10.0.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-10.0.0.tar.gz\";s:4:\"date\";s:10:\"1671125939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:10:\"10.0.0-rc3\";a:10:{s:4:\"name\";s:17:\"drupal 10.0.0-rc3\";s:7:\"version\";s:10:\"10.0.0-rc3\";s:3:\"tag\";s:10:\"10.0.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/10.0.0-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1670591784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:10:\"10.0.0-rc2\";a:10:{s:4:\"name\";s:17:\"drupal 10.0.0-rc2\";s:7:\"version\";s:10:\"10.0.0-rc2\";s:3:\"tag\";s:10:\"10.0.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/10.0.0-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1670320927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:10:\"10.0.0-rc1\";a:10:{s:4:\"name\";s:17:\"drupal 10.0.0-rc1\";s:7:\"version\";s:10:\"10.0.0-rc1\";s:3:\"tag\";s:10:\"10.0.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/10.0.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1668612993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"10.0.0-beta2\";a:10:{s:4:\"name\";s:19:\"drupal 10.0.0-beta2\";s:7:\"version\";s:12:\"10.0.0-beta2\";s:3:\"tag\";s:12:\"10.0.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/10.0.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1664462663\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"10.0.0-beta1\";a:10:{s:4:\"name\";s:19:\"drupal 10.0.0-beta1\";s:7:\"version\";s:12:\"10.0.0-beta1\";s:3:\"tag\";s:12:\"10.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/10.0.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1663358020\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha7\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha7\";s:7:\"version\";s:13:\"10.0.0-alpha7\";s:3:\"tag\";s:13:\"10.0.0-alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1659633851\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha6\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha6\";s:7:\"version\";s:13:\"10.0.0-alpha6\";s:3:\"tag\";s:13:\"10.0.0-alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1657218740\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha5\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha5\";s:7:\"version\";s:13:\"10.0.0-alpha5\";s:3:\"tag\";s:13:\"10.0.0-alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1654722993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha4\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha4\";s:7:\"version\";s:13:\"10.0.0-alpha4\";s:3:\"tag\";s:13:\"10.0.0-alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1651875601\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha3\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha3\";s:7:\"version\";s:13:\"10.0.0-alpha3\";s:3:\"tag\";s:13:\"10.0.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1649887793\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha2\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha2\";s:7:\"version\";s:13:\"10.0.0-alpha2\";s:3:\"tag\";s:13:\"10.0.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1645204305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"10.0.0-alpha1\";a:10:{s:4:\"name\";s:20:\"drupal 10.0.0-alpha1\";s:7:\"version\";s:13:\"10.0.0-alpha1\";s:3:\"tag\";s:13:\"10.0.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/10.0.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1643404041\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"9.5.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.5.2\";s:7:\"version\";s:5:\"9.5.2\";s:3:\"tag\";s:5:\"9.5.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.5.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.5.2.tar.gz\";s:4:\"date\";s:10:\"1674066112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.5.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.5.1\";s:7:\"version\";s:5:\"9.5.1\";s:3:\"tag\";s:5:\"9.5.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.5.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.5.1.tar.gz\";s:4:\"date\";s:10:\"1672849046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.5.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.5.0\";s:7:\"version\";s:5:\"9.5.0\";s:3:\"tag\";s:5:\"9.5.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.5.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.5.0.tar.gz\";s:4:\"date\";s:10:\"1671115839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.5.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 9.5.0-rc2\";s:7:\"version\";s:9:\"9.5.0-rc2\";s:3:\"tag\";s:9:\"9.5.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.5.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.5.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1670593040\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"9.5.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.5.0-rc1\";s:7:\"version\";s:9:\"9.5.0-rc1\";s:3:\"tag\";s:9:\"9.5.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.5.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.5.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1668611189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.5.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 9.5.0-beta2\";s:7:\"version\";s:11:\"9.5.0-beta2\";s:3:\"tag\";s:11:\"9.5.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.5.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.5.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1664463958\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.5.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.5.0-beta1\";s:7:\"version\";s:11:\"9.5.0-beta1\";s:3:\"tag\";s:11:\"9.5.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.5.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.5.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1663358587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:6:\"9.4.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.4.10\";s:7:\"version\";s:6:\"9.4.10\";s:3:\"tag\";s:6:\"9.4.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.4.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.4.10.tar.gz\";s:4:\"date\";s:10:\"1674066615\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.9\";s:7:\"version\";s:5:\"9.4.9\";s:3:\"tag\";s:5:\"9.4.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.9.tar.gz\";s:4:\"date\";s:10:\"1670421053\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.8\";s:7:\"version\";s:5:\"9.4.8\";s:3:\"tag\";s:5:\"9.4.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.8.tar.gz\";s:4:\"date\";s:10:\"1665072393\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.7\";s:7:\"version\";s:5:\"9.4.7\";s:3:\"tag\";s:5:\"9.4.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.7.tar.gz\";s:4:\"date\";s:10:\"1664383239\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.6\";s:7:\"version\";s:5:\"9.4.6\";s:3:\"tag\";s:5:\"9.4.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.6.tar.gz\";s:4:\"date\";s:10:\"1663681319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.5\";s:7:\"version\";s:5:\"9.4.5\";s:3:\"tag\";s:5:\"9.4.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.5.tar.gz\";s:4:\"date\";s:10:\"1659545453\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.4\";s:7:\"version\";s:5:\"9.4.4\";s:3:\"tag\";s:5:\"9.4.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.4.tar.gz\";s:4:\"date\";s:10:\"1659037490\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.3\";s:7:\"version\";s:5:\"9.4.3\";s:3:\"tag\";s:5:\"9.4.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.3.tar.gz\";s:4:\"date\";s:10:\"1658333415\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.2\";s:7:\"version\";s:5:\"9.4.2\";s:3:\"tag\";s:5:\"9.4.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.2.tar.gz\";s:4:\"date\";s:10:\"1657157309\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.1\";s:7:\"version\";s:5:\"9.4.1\";s:3:\"tag\";s:5:\"9.4.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.1.tar.gz\";s:4:\"date\";s:10:\"1655845511\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.4.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.4.0\";s:7:\"version\";s:5:\"9.4.0\";s:3:\"tag\";s:5:\"9.4.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.4.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.4.0.tar.gz\";s:4:\"date\";s:10:\"1655311138\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.4.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 9.4.0-rc2\";s:7:\"version\";s:9:\"9.4.0-rc2\";s:3:\"tag\";s:9:\"9.4.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.4.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1654890055\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"9.4.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.4.0-rc1\";s:7:\"version\";s:9:\"9.4.0-rc1\";s:3:\"tag\";s:9:\"9.4.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.4.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1654740019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.4.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.4.0-beta1\";s:7:\"version\";s:11:\"9.4.0-beta1\";s:3:\"tag\";s:11:\"9.4.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.4.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1653938214\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.4.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.4.0-alpha1\";s:7:\"version\";s:12:\"9.4.0-alpha1\";s:3:\"tag\";s:12:\"9.4.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.4.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1651875606\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"9.3.22\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.22\";s:7:\"version\";s:6:\"9.3.22\";s:3:\"tag\";s:6:\"9.3.22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.22\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.22.tar.gz\";s:4:\"date\";s:10:\"1664382666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.21\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.21\";s:7:\"version\";s:6:\"9.3.21\";s:3:\"tag\";s:6:\"9.3.21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.21\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.21.tar.gz\";s:4:\"date\";s:10:\"1659544886\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.20\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.20\";s:7:\"version\";s:6:\"9.3.20\";s:3:\"tag\";s:6:\"9.3.20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.20\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.20.tar.gz\";s:4:\"date\";s:10:\"1659037977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.19\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.19\";s:7:\"version\";s:6:\"9.3.19\";s:3:\"tag\";s:6:\"9.3.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.19\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.19.tar.gz\";s:4:\"date\";s:10:\"1658333887\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.18\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.18\";s:7:\"version\";s:6:\"9.3.18\";s:3:\"tag\";s:6:\"9.3.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.18.tar.gz\";s:4:\"date\";s:10:\"1657238772\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.17\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.17\";s:7:\"version\";s:6:\"9.3.17\";s:3:\"tag\";s:6:\"9.3.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.17.tar.gz\";s:4:\"date\";s:10:\"1655846622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.16\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.16\";s:7:\"version\";s:6:\"9.3.16\";s:3:\"tag\";s:6:\"9.3.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.16.tar.gz\";s:4:\"date\";s:10:\"1654888736\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.15\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.15\";s:7:\"version\";s:6:\"9.3.15\";s:3:\"tag\";s:6:\"9.3.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.15.tar.gz\";s:4:\"date\";s:10:\"1654098765\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.14\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.14\";s:7:\"version\";s:6:\"9.3.14\";s:3:\"tag\";s:6:\"9.3.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.14.tar.gz\";s:4:\"date\";s:10:\"1653506291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.13\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.13\";s:7:\"version\";s:6:\"9.3.13\";s:3:\"tag\";s:6:\"9.3.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.13.tar.gz\";s:4:\"date\";s:10:\"1652261874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.12\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.12\";s:7:\"version\";s:6:\"9.3.12\";s:3:\"tag\";s:6:\"9.3.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.12.tar.gz\";s:4:\"date\";s:10:\"1650467536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.11\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.11\";s:7:\"version\";s:6:\"9.3.11\";s:3:\"tag\";s:6:\"9.3.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.11.tar.gz\";s:4:\"date\";s:10:\"1649897391\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.3.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.3.10\";s:7:\"version\";s:6:\"9.3.10\";s:3:\"tag\";s:6:\"9.3.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.3.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.3.10.tar.gz\";s:4:\"date\";s:10:\"1649890098\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.9\";s:7:\"version\";s:5:\"9.3.9\";s:3:\"tag\";s:5:\"9.3.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.9.tar.gz\";s:4:\"date\";s:10:\"1647899360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.8\";s:7:\"version\";s:5:\"9.3.8\";s:3:\"tag\";s:5:\"9.3.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.8.tar.gz\";s:4:\"date\";s:10:\"1647446914\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.7\";s:7:\"version\";s:5:\"9.3.7\";s:3:\"tag\";s:5:\"9.3.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.7.tar.gz\";s:4:\"date\";s:10:\"1646300599\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.6\";s:7:\"version\";s:5:\"9.3.6\";s:3:\"tag\";s:5:\"9.3.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.6.tar.gz\";s:4:\"date\";s:10:\"1645029460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.5\";s:7:\"version\";s:5:\"9.3.5\";s:3:\"tag\";s:5:\"9.3.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.5.tar.gz\";s:4:\"date\";s:10:\"1644011676\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.4\";s:7:\"version\";s:5:\"9.3.4\";s:3:\"tag\";s:5:\"9.3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.4.tar.gz\";s:4:\"date\";s:10:\"1643832805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.3\";s:7:\"version\";s:5:\"9.3.3\";s:3:\"tag\";s:5:\"9.3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.3.tar.gz\";s:4:\"date\";s:10:\"1642607769\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.2\";s:7:\"version\";s:5:\"9.3.2\";s:3:\"tag\";s:5:\"9.3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.2.tar.gz\";s:4:\"date\";s:10:\"1641351799\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.1\";s:7:\"version\";s:5:\"9.3.1\";s:3:\"tag\";s:5:\"9.3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.1.tar.gz\";s:4:\"date\";s:10:\"1641342679\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.3.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.3.0\";s:7:\"version\";s:5:\"9.3.0\";s:3:\"tag\";s:5:\"9.3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.3.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.3.0.tar.gz\";s:4:\"date\";s:10:\"1639051276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.3.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.3.0-rc1\";s:7:\"version\";s:9:\"9.3.0-rc1\";s:3:\"tag\";s:9:\"9.3.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.3.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1637959424\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.3.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 9.3.0-beta3\";s:7:\"version\";s:11:\"9.3.0-beta3\";s:3:\"tag\";s:11:\"9.3.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.3.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1637764182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.3.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 9.3.0-beta2\";s:7:\"version\";s:11:\"9.3.0-beta2\";s:3:\"tag\";s:11:\"9.3.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.3.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1637196496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.3.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.3.0-beta1\";s:7:\"version\";s:11:\"9.3.0-beta1\";s:3:\"tag\";s:11:\"9.3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.3.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1636746050\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.3.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.3.0-alpha1\";s:7:\"version\";s:12:\"9.3.0-alpha1\";s:3:\"tag\";s:12:\"9.3.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.3.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1635510285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"9.2.21\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.21\";s:7:\"version\";s:6:\"9.2.21\";s:3:\"tag\";s:6:\"9.2.21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.21\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.21.tar.gz\";s:4:\"date\";s:10:\"1654889475\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.20\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.20\";s:7:\"version\";s:6:\"9.2.20\";s:3:\"tag\";s:6:\"9.2.20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.20\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.20.tar.gz\";s:4:\"date\";s:10:\"1653507225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.19\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.19\";s:7:\"version\";s:6:\"9.2.19\";s:3:\"tag\";s:6:\"9.2.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.19\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.19.tar.gz\";s:4:\"date\";s:10:\"1652306637\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.18\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.18\";s:7:\"version\";s:6:\"9.2.18\";s:3:\"tag\";s:6:\"9.2.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.18.tar.gz\";s:4:\"date\";s:10:\"1650466972\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.17\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.17\";s:7:\"version\";s:6:\"9.2.17\";s:3:\"tag\";s:6:\"9.2.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.17.tar.gz\";s:4:\"date\";s:10:\"1649898006\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.16\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.16\";s:7:\"version\";s:6:\"9.2.16\";s:3:\"tag\";s:6:\"9.2.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.16.tar.gz\";s:4:\"date\";s:10:\"1647898826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.15\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.15\";s:7:\"version\";s:6:\"9.2.15\";s:3:\"tag\";s:6:\"9.2.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.15.tar.gz\";s:4:\"date\";s:10:\"1647447411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.14\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.14\";s:7:\"version\";s:6:\"9.2.14\";s:3:\"tag\";s:6:\"9.2.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.14.tar.gz\";s:4:\"date\";s:10:\"1647027629\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.13\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.13\";s:7:\"version\";s:6:\"9.2.13\";s:3:\"tag\";s:6:\"9.2.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.13.tar.gz\";s:4:\"date\";s:10:\"1645029955\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.12\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.12\";s:7:\"version\";s:6:\"9.2.12\";s:3:\"tag\";s:6:\"9.2.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.12.tar.gz\";s:4:\"date\";s:10:\"1644012448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.11\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.11\";s:7:\"version\";s:6:\"9.2.11\";s:3:\"tag\";s:6:\"9.2.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.11.tar.gz\";s:4:\"date\";s:10:\"1642608353\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.2.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.2.10\";s:7:\"version\";s:6:\"9.2.10\";s:3:\"tag\";s:6:\"9.2.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.2.10.tar.gz\";s:4:\"date\";s:10:\"1637765544\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.9\";s:7:\"version\";s:5:\"9.2.9\";s:3:\"tag\";s:5:\"9.2.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.9.tar.gz\";s:4:\"date\";s:10:\"1637184936\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.8\";s:7:\"version\";s:5:\"9.2.8\";s:3:\"tag\";s:5:\"9.2.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.8.tar.gz\";s:4:\"date\";s:10:\"1635961216\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.7\";s:7:\"version\";s:5:\"9.2.7\";s:3:\"tag\";s:5:\"9.2.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.7.tar.gz\";s:4:\"date\";s:10:\"1633544267\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.6\";s:7:\"version\";s:5:\"9.2.6\";s:3:\"tag\";s:5:\"9.2.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.6.tar.gz\";s:4:\"date\";s:10:\"1631721555\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.5\";s:7:\"version\";s:5:\"9.2.5\";s:3:\"tag\";s:5:\"9.2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.5.tar.gz\";s:4:\"date\";s:10:\"1630534729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.4\";s:7:\"version\";s:5:\"9.2.4\";s:3:\"tag\";s:5:\"9.2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.4.tar.gz\";s:4:\"date\";s:10:\"1628791178\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.3\";s:7:\"version\";s:5:\"9.2.3\";s:3:\"tag\";s:5:\"9.2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.3.tar.gz\";s:4:\"date\";s:10:\"1627997922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.2\";s:7:\"version\";s:5:\"9.2.2\";s:3:\"tag\";s:5:\"9.2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.2.tar.gz\";s:4:\"date\";s:10:\"1626882385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.1\";s:7:\"version\";s:5:\"9.2.1\";s:3:\"tag\";s:5:\"9.2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.1.tar.gz\";s:4:\"date\";s:10:\"1625664286\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.0\";s:7:\"version\";s:5:\"9.2.0\";s:3:\"tag\";s:5:\"9.2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.0.tar.gz\";s:4:\"date\";s:10:\"1623847798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.2.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.2.0-rc1\";s:7:\"version\";s:9:\"9.2.0-rc1\";s:3:\"tag\";s:9:\"9.2.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1623080867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.2.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 9.2.0-beta3\";s:7:\"version\";s:11:\"9.2.0-beta3\";s:3:\"tag\";s:11:\"9.2.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.2.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1622207568\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.2.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 9.2.0-beta2\";s:7:\"version\";s:11:\"9.2.0-beta2\";s:3:\"tag\";s:11:\"9.2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.2.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1622068611\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";i:3;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.2.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.2.0-beta1\";s:7:\"version\";s:11:\"9.2.0-beta1\";s:3:\"tag\";s:11:\"9.2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.2.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1621506248\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.2.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.2.0-alpha1\";s:7:\"version\";s:12:\"9.2.0-alpha1\";s:3:\"tag\";s:12:\"9.2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.2.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1620291652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"9.1.15\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.15\";s:7:\"version\";s:6:\"9.1.15\";s:3:\"tag\";s:6:\"9.1.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.15.tar.gz\";s:4:\"date\";s:10:\"1637766681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.14\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.14\";s:7:\"version\";s:6:\"9.1.14\";s:3:\"tag\";s:6:\"9.1.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.14.tar.gz\";s:4:\"date\";s:10:\"1637185450\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.13\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.13\";s:7:\"version\";s:6:\"9.1.13\";s:3:\"tag\";s:6:\"9.1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.13.tar.gz\";s:4:\"date\";s:10:\"1631722011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.12\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.12\";s:7:\"version\";s:6:\"9.1.12\";s:3:\"tag\";s:6:\"9.1.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.12.tar.gz\";s:4:\"date\";s:10:\"1628791786\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.11\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.11\";s:7:\"version\";s:6:\"9.1.11\";s:3:\"tag\";s:6:\"9.1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.11.tar.gz\";s:4:\"date\";s:10:\"1626882849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.10\";s:7:\"version\";s:6:\"9.1.10\";s:3:\"tag\";s:6:\"9.1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.10.tar.gz\";s:4:\"date\";s:10:\"1622828120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.9\";s:7:\"version\";s:5:\"9.1.9\";s:3:\"tag\";s:5:\"9.1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.9.tar.gz\";s:4:\"date\";s:10:\"1622056478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.8\";s:7:\"version\";s:5:\"9.1.8\";s:3:\"tag\";s:5:\"9.1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.8.tar.gz\";s:4:\"date\";s:10:\"1620214182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.7\";s:7:\"version\";s:5:\"9.1.7\";s:3:\"tag\";s:5:\"9.1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.7.tar.gz\";s:4:\"date\";s:10:\"1619022156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.6\";s:7:\"version\";s:5:\"9.1.6\";s:3:\"tag\";s:5:\"9.1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.6.tar.gz\";s:4:\"date\";s:10:\"1617795446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.5\";s:7:\"version\";s:5:\"9.1.5\";s:3:\"tag\";s:5:\"9.1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.5.tar.gz\";s:4:\"date\";s:10:\"1614869503\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.4\";s:7:\"version\";s:5:\"9.1.4\";s:3:\"tag\";s:5:\"9.1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.4.tar.gz\";s:4:\"date\";s:10:\"1612380948\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.3\";s:7:\"version\";s:5:\"9.1.3\";s:3:\"tag\";s:5:\"9.1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.3.tar.gz\";s:4:\"date\";s:10:\"1611161215\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.2\";s:7:\"version\";s:5:\"9.1.2\";s:3:\"tag\";s:5:\"9.1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.2.tar.gz\";s:4:\"date\";s:10:\"1609984407\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.1\";s:7:\"version\";s:5:\"9.1.1\";s:3:\"tag\";s:5:\"9.1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.1.tar.gz\";s:4:\"date\";s:10:\"1609979034\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.0\";s:7:\"version\";s:5:\"9.1.0\";s:3:\"tag\";s:5:\"9.1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.0.tar.gz\";s:4:\"date\";s:10:\"1606933254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.1.0-rc3\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.0-rc3\";s:7:\"version\";s:9:\"9.1.0-rc3\";s:3:\"tag\";s:9:\"9.1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1606357271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"9.1.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.0-rc2\";s:7:\"version\";s:9:\"9.1.0-rc2\";s:3:\"tag\";s:9:\"9.1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1606332982\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"9.1.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.0-rc1\";s:7:\"version\";s:9:\"9.1.0-rc1\";s:3:\"tag\";s:9:\"9.1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1605722782\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";i:3;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.1.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.1.0-beta1\";s:7:\"version\";s:11:\"9.1.0-beta1\";s:3:\"tag\";s:11:\"9.1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1604672644\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.1.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.1.0-alpha1\";s:7:\"version\";s:12:\"9.1.0-alpha1\";s:3:\"tag\";s:12:\"9.1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1603466665\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"9.0.14\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.14\";s:7:\"version\";s:6:\"9.0.14\";s:3:\"tag\";s:6:\"9.0.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.14.tar.gz\";s:4:\"date\";s:10:\"1622055778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.13\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.13\";s:7:\"version\";s:6:\"9.0.13\";s:3:\"tag\";s:6:\"9.0.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.13.tar.gz\";s:4:\"date\";s:10:\"1620218506\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.12\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.12\";s:7:\"version\";s:6:\"9.0.12\";s:3:\"tag\";s:6:\"9.0.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.12.tar.gz\";s:4:\"date\";s:10:\"1619020951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.11\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.11\";s:7:\"version\";s:6:\"9.0.11\";s:3:\"tag\";s:6:\"9.0.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.11.tar.gz\";s:4:\"date\";s:10:\"1611161749\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.10\";s:7:\"version\";s:6:\"9.0.10\";s:3:\"tag\";s:6:\"9.0.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.10.tar.gz\";s:4:\"date\";s:10:\"1607029536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.9\";s:7:\"version\";s:5:\"9.0.9\";s:3:\"tag\";s:5:\"9.0.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.9.tar.gz\";s:4:\"date\";s:10:\"1606359757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.8\";s:7:\"version\";s:5:\"9.0.8\";s:3:\"tag\";s:5:\"9.0.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.8.tar.gz\";s:4:\"date\";s:10:\"1605720638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.7\";s:7:\"version\";s:5:\"9.0.7\";s:3:\"tag\";s:5:\"9.0.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.7.tar.gz\";s:4:\"date\";s:10:\"1602100055\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.6\";s:7:\"version\";s:5:\"9.0.6\";s:3:\"tag\";s:5:\"9.0.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.6.tar.gz\";s:4:\"date\";s:10:\"1600275813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.5\";s:7:\"version\";s:5:\"9.0.5\";s:3:\"tag\";s:5:\"9.0.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.5.tar.gz\";s:4:\"date\";s:10:\"1599167739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.4\";s:7:\"version\";s:5:\"9.0.4\";s:3:\"tag\";s:5:\"9.0.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.4.tar.gz\";s:4:\"date\";s:10:\"1599046734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.3\";s:7:\"version\";s:5:\"9.0.3\";s:3:\"tag\";s:5:\"9.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.3.tar.gz\";s:4:\"date\";s:10:\"1596664575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.2\";s:7:\"version\";s:5:\"9.0.2\";s:3:\"tag\";s:5:\"9.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.2.tar.gz\";s:4:\"date\";s:10:\"1594237418\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.1\";s:7:\"version\";s:5:\"9.0.1\";s:3:\"tag\";s:5:\"9.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.1.tar.gz\";s:4:\"date\";s:10:\"1592417721\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.0\";s:7:\"version\";s:5:\"9.0.0\";s:3:\"tag\";s:5:\"9.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.0.tar.gz\";s:4:\"date\";s:10:\"1591221685\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.0.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.0.0-rc1\";s:7:\"version\";s:9:\"9.0.0-rc1\";s:3:\"tag\";s:9:\"9.0.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.0.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1590187579\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.0.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 9.0.0-beta3\";s:7:\"version\";s:11:\"9.0.0-beta3\";s:3:\"tag\";s:11:\"9.0.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.0.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1589587936\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.0.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 9.0.0-beta2\";s:7:\"version\";s:11:\"9.0.0-beta2\";s:3:\"tag\";s:11:\"9.0.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.0.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1585597395\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.0.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.0.0-beta1\";s:7:\"version\";s:11:\"9.0.0-beta1\";s:3:\"tag\";s:11:\"9.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.0.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1584734060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.0.0-alpha2\";a:10:{s:4:\"name\";s:19:\"drupal 9.0.0-alpha2\";s:7:\"version\";s:12:\"9.0.0-alpha2\";s:3:\"tag\";s:12:\"9.0.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.0.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1583349043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:12:\"9.0.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.0.0-alpha1\";s:7:\"version\";s:12:\"9.0.0-alpha1\";s:3:\"tag\";s:12:\"9.0.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.0.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1581447927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.9.20\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.20\";s:7:\"version\";s:6:\"8.9.20\";s:3:\"tag\";s:6:\"8.9.20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.20\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.20.tar.gz\";s:4:\"date\";s:10:\"1637185966\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.19\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.19\";s:7:\"version\";s:6:\"8.9.19\";s:3:\"tag\";s:6:\"8.9.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.19\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.19.tar.gz\";s:4:\"date\";s:10:\"1631722431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.18\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.18\";s:7:\"version\";s:6:\"8.9.18\";s:3:\"tag\";s:6:\"8.9.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.18.tar.gz\";s:4:\"date\";s:10:\"1628792296\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.17\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.17\";s:7:\"version\";s:6:\"8.9.17\";s:3:\"tag\";s:6:\"8.9.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.17.tar.gz\";s:4:\"date\";s:10:\"1626883324\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.16\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.16\";s:7:\"version\";s:6:\"8.9.16\";s:3:\"tag\";s:6:\"8.9.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.16.tar.gz\";s:4:\"date\";s:10:\"1622058087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.15\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.15\";s:7:\"version\";s:6:\"8.9.15\";s:3:\"tag\";s:6:\"8.9.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.15.tar.gz\";s:4:\"date\";s:10:\"1620216983\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.14\";s:7:\"version\";s:6:\"8.9.14\";s:3:\"tag\";s:6:\"8.9.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.14.tar.gz\";s:4:\"date\";s:10:\"1619021518\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.13\";s:7:\"version\";s:6:\"8.9.13\";s:3:\"tag\";s:6:\"8.9.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.13.tar.gz\";s:4:\"date\";s:10:\"1611162272\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.12\";s:7:\"version\";s:6:\"8.9.12\";s:3:\"tag\";s:6:\"8.9.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.12.tar.gz\";s:4:\"date\";s:10:\"1609977009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.11\";s:7:\"version\";s:6:\"8.9.11\";s:3:\"tag\";s:6:\"8.9.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.11.tar.gz\";s:4:\"date\";s:10:\"1607030087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.10\";s:7:\"version\";s:6:\"8.9.10\";s:3:\"tag\";s:6:\"8.9.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.10.tar.gz\";s:4:\"date\";s:10:\"1606360301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.9\";s:7:\"version\";s:5:\"8.9.9\";s:3:\"tag\";s:5:\"8.9.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.9.tar.gz\";s:4:\"date\";s:10:\"1605721120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.8\";s:7:\"version\";s:5:\"8.9.8\";s:3:\"tag\";s:5:\"8.9.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.8.tar.gz\";s:4:\"date\";s:10:\"1604595269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.7\";s:7:\"version\";s:5:\"8.9.7\";s:3:\"tag\";s:5:\"8.9.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.7.tar.gz\";s:4:\"date\";s:10:\"1602100507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.6\";s:7:\"version\";s:5:\"8.9.6\";s:3:\"tag\";s:5:\"8.9.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.6.tar.gz\";s:4:\"date\";s:10:\"1600276267\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.5\";s:7:\"version\";s:5:\"8.9.5\";s:3:\"tag\";s:5:\"8.9.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.5.tar.gz\";s:4:\"date\";s:10:\"1599168205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.4\";s:7:\"version\";s:5:\"8.9.4\";s:3:\"tag\";s:5:\"8.9.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.4.tar.gz\";s:4:\"date\";s:10:\"1599047691\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.3\";s:7:\"version\";s:5:\"8.9.3\";s:3:\"tag\";s:5:\"8.9.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.3.tar.gz\";s:4:\"date\";s:10:\"1596665051\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.2\";s:7:\"version\";s:5:\"8.9.2\";s:3:\"tag\";s:5:\"8.9.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.2.tar.gz\";s:4:\"date\";s:10:\"1594237961\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.1\";s:7:\"version\";s:5:\"8.9.1\";s:3:\"tag\";s:5:\"8.9.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.1.tar.gz\";s:4:\"date\";s:10:\"1592418237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.0\";s:7:\"version\";s:5:\"8.9.0\";s:3:\"tag\";s:5:\"8.9.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.0.tar.gz\";s:4:\"date\";s:10:\"1591204117\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.9.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.9.0-rc1\";s:7:\"version\";s:9:\"8.9.0-rc1\";s:3:\"tag\";s:9:\"8.9.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.9.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1590189096\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.9.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 8.9.0-beta3\";s:7:\"version\";s:11:\"8.9.0-beta3\";s:3:\"tag\";s:11:\"8.9.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.9.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1589746375\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.9.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.9.0-beta2\";s:7:\"version\";s:11:\"8.9.0-beta2\";s:3:\"tag\";s:11:\"8.9.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.9.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1585863226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.9.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.9.0-beta1\";s:7:\"version\";s:11:\"8.9.0-beta1\";s:3:\"tag\";s:11:\"8.9.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.9.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1585263710\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:6:\"8.8.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.8.12\";s:7:\"version\";s:6:\"8.8.12\";s:3:\"tag\";s:6:\"8.8.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.8.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.8.12.tar.gz\";s:4:\"date\";s:10:\"1606360866\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.8.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.8.11\";s:7:\"version\";s:6:\"8.8.11\";s:3:\"tag\";s:6:\"8.8.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.8.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.8.11.tar.gz\";s:4:\"date\";s:10:\"1605721628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.8.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.8.10\";s:7:\"version\";s:6:\"8.8.10\";s:3:\"tag\";s:6:\"8.8.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.8.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.8.10.tar.gz\";s:4:\"date\";s:10:\"1600276704\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.9\";s:7:\"version\";s:5:\"8.8.9\";s:3:\"tag\";s:5:\"8.8.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.9.tar.gz\";s:4:\"date\";s:10:\"1599168716\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.8\";s:7:\"version\";s:5:\"8.8.8\";s:3:\"tag\";s:5:\"8.8.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.8.tar.gz\";s:4:\"date\";s:10:\"1592418750\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.7\";s:7:\"version\";s:5:\"8.8.7\";s:3:\"tag\";s:5:\"8.8.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.7.tar.gz\";s:4:\"date\";s:10:\"1591203837\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.6\";s:7:\"version\";s:5:\"8.8.6\";s:3:\"tag\";s:5:\"8.8.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.6.tar.gz\";s:4:\"date\";s:10:\"1589989060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.5\";s:7:\"version\";s:5:\"8.8.5\";s:3:\"tag\";s:5:\"8.8.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.5.tar.gz\";s:4:\"date\";s:10:\"1585861530\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.4\";s:7:\"version\";s:5:\"8.8.4\";s:3:\"tag\";s:5:\"8.8.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.4.tar.gz\";s:4:\"date\";s:10:\"1584560524\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.3\";s:7:\"version\";s:5:\"8.8.3\";s:3:\"tag\";s:5:\"8.8.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.3.tar.gz\";s:4:\"date\";s:10:\"1583347094\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.2\";s:7:\"version\";s:5:\"8.8.2\";s:3:\"tag\";s:5:\"8.8.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.2.tar.gz\";s:4:\"date\";s:10:\"1580598849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.1\";s:7:\"version\";s:5:\"8.8.1\";s:3:\"tag\";s:5:\"8.8.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.1.tar.gz\";s:4:\"date\";s:10:\"1576695785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.0\";s:7:\"version\";s:5:\"8.8.0\";s:3:\"tag\";s:5:\"8.8.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.0.tar.gz\";s:4:\"date\";s:10:\"1575450481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.8.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.8.0-rc1\";s:7:\"version\";s:9:\"8.8.0-rc1\";s:3:\"tag\";s:9:\"8.8.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.8.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.8.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1574462580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.8.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.8.0-beta1\";s:7:\"version\";s:11:\"8.8.0-beta1\";s:3:\"tag\";s:11:\"8.8.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.8.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.8.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1573256280\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.8.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.8.0-alpha1\";s:7:\"version\";s:12:\"8.8.0-alpha1\";s:3:\"tag\";s:12:\"8.8.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.8.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.8.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1571355784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.7.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.14\";s:7:\"version\";s:6:\"8.7.14\";s:3:\"tag\";s:6:\"8.7.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.14.tar.gz\";s:4:\"date\";s:10:\"1589988665\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.13\";s:7:\"version\";s:6:\"8.7.13\";s:3:\"tag\";s:6:\"8.7.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.13.tar.gz\";s:4:\"date\";s:10:\"1585861883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.12\";s:7:\"version\";s:6:\"8.7.12\";s:3:\"tag\";s:6:\"8.7.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.12.tar.gz\";s:4:\"date\";s:10:\"1584552250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.11\";s:7:\"version\";s:6:\"8.7.11\";s:3:\"tag\";s:6:\"8.7.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.11.tar.gz\";s:4:\"date\";s:10:\"1576695785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.10\";s:7:\"version\";s:6:\"8.7.10\";s:3:\"tag\";s:6:\"8.7.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.10.tar.gz\";s:4:\"date\";s:10:\"1573687985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.9\";s:7:\"version\";s:5:\"8.7.9\";s:3:\"tag\";s:5:\"8.7.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.9.tar.gz\";s:4:\"date\";s:10:\"1573063387\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.8\";s:7:\"version\";s:5:\"8.7.8\";s:3:\"tag\";s:5:\"8.7.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.8.tar.gz\";s:4:\"date\";s:10:\"1570044484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.7\";s:7:\"version\";s:5:\"8.7.7\";s:3:\"tag\";s:5:\"8.7.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.7.tar.gz\";s:4:\"date\";s:10:\"1567593185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.6\";s:7:\"version\";s:5:\"8.7.6\";s:3:\"tag\";s:5:\"8.7.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.6.tar.gz\";s:4:\"date\";s:10:\"1565206385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.5\";s:7:\"version\";s:5:\"8.7.5\";s:3:\"tag\";s:5:\"8.7.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.5.tar.gz\";s:4:\"date\";s:10:\"1563380885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.4\";s:7:\"version\";s:5:\"8.7.4\";s:3:\"tag\";s:5:\"8.7.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.4.tar.gz\";s:4:\"date\";s:10:\"1562225587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.3\";s:7:\"version\";s:5:\"8.7.3\";s:3:\"tag\";s:5:\"8.7.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.3.tar.gz\";s:4:\"date\";s:10:\"1559762581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.2\";s:7:\"version\";s:5:\"8.7.2\";s:3:\"tag\";s:5:\"8.7.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.2.tar.gz\";s:4:\"date\";s:10:\"1558597086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.1\";s:7:\"version\";s:5:\"8.7.1\";s:3:\"tag\";s:5:\"8.7.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.1.tar.gz\";s:4:\"date\";s:10:\"1557335588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.0\";s:7:\"version\";s:5:\"8.7.0\";s:3:\"tag\";s:5:\"8.7.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.0.tar.gz\";s:4:\"date\";s:10:\"1556737085\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.7.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.7.0-rc1\";s:7:\"version\";s:9:\"8.7.0-rc1\";s:3:\"tag\";s:9:\"8.7.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.7.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1555603385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";i:3;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.7.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.7.0-beta2\";s:7:\"version\";s:11:\"8.7.0-beta2\";s:3:\"tag\";s:11:\"8.7.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.7.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1554684784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.7.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.7.0-beta1\";s:7:\"version\";s:11:\"8.7.0-beta1\";s:3:\"tag\";s:11:\"8.7.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.7.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1553881681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.7.0-alpha2\";a:10:{s:4:\"name\";s:19:\"drupal 8.7.0-alpha2\";s:7:\"version\";s:12:\"8.7.0-alpha2\";s:3:\"tag\";s:12:\"8.7.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.7.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1553106180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:12:\"8.7.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.7.0-alpha1\";s:7:\"version\";s:12:\"8.7.0-alpha1\";s:3:\"tag\";s:12:\"8.7.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.7.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1552602484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.6.18\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.18\";s:7:\"version\";s:6:\"8.6.18\";s:3:\"tag\";s:6:\"8.6.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.18.tar.gz\";s:4:\"date\";s:10:\"1573687985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.17\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.17\";s:7:\"version\";s:6:\"8.6.17\";s:3:\"tag\";s:6:\"8.6.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.17.tar.gz\";s:4:\"date\";s:10:\"1560756785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.16\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.16\";s:7:\"version\";s:6:\"8.6.16\";s:3:\"tag\";s:6:\"8.6.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.16.tar.gz\";s:4:\"date\";s:10:\"1557335588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.15\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.15\";s:7:\"version\";s:6:\"8.6.15\";s:3:\"tag\";s:6:\"8.6.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.15.tar.gz\";s:4:\"date\";s:10:\"1555533181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.14\";s:7:\"version\";s:6:\"8.6.14\";s:3:\"tag\";s:6:\"8.6.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.14.tar.gz\";s:4:\"date\";s:10:\"1554688384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.13\";s:7:\"version\";s:6:\"8.6.13\";s:3:\"tag\";s:6:\"8.6.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.13.tar.gz\";s:4:\"date\";s:10:\"1553099584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.12\";s:7:\"version\";s:6:\"8.6.12\";s:3:\"tag\";s:6:\"8.6.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.12.tar.gz\";s:4:\"date\";s:10:\"1552601584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.11\";s:7:\"version\";s:6:\"8.6.11\";s:3:\"tag\";s:6:\"8.6.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.11.tar.gz\";s:4:\"date\";s:10:\"1552511584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.10\";s:7:\"version\";s:6:\"8.6.10\";s:3:\"tag\";s:6:\"8.6.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.10.tar.gz\";s:4:\"date\";s:10:\"1550691784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.9\";s:7:\"version\";s:5:\"8.6.9\";s:3:\"tag\";s:5:\"8.6.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.9.tar.gz\";s:4:\"date\";s:10:\"1549628580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.8\";s:7:\"version\";s:5:\"8.6.8\";s:3:\"tag\";s:5:\"8.6.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.8.tar.gz\";s:4:\"date\";s:10:\"1549466580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.7\";s:7:\"version\";s:5:\"8.6.7\";s:3:\"tag\";s:5:\"8.6.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.7.tar.gz\";s:4:\"date\";s:10:\"1547682180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.6\";s:7:\"version\";s:5:\"8.6.6\";s:3:\"tag\";s:5:\"8.6.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.6.tar.gz\";s:4:\"date\";s:10:\"1547663557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.5\";s:7:\"version\";s:5:\"8.6.5\";s:3:\"tag\";s:5:\"8.6.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.5.tar.gz\";s:4:\"date\";s:10:\"1546467485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.4\";s:7:\"version\";s:5:\"8.6.4\";s:3:\"tag\";s:5:\"8.6.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.4.tar.gz\";s:4:\"date\";s:10:\"1544011681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.3\";s:7:\"version\";s:5:\"8.6.3\";s:3:\"tag\";s:5:\"8.6.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.3.tar.gz\";s:4:\"date\";s:10:\"1541602684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.2\";s:7:\"version\";s:5:\"8.6.2\";s:3:\"tag\";s:5:\"8.6.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.2.tar.gz\";s:4:\"date\";s:10:\"1539816180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.1\";s:7:\"version\";s:5:\"8.6.1\";s:3:\"tag\";s:5:\"8.6.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.1.tar.gz\";s:4:\"date\";s:10:\"1536585780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.0\";s:7:\"version\";s:5:\"8.6.0\";s:3:\"tag\";s:5:\"8.6.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.0.tar.gz\";s:4:\"date\";s:10:\"1536186480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.6.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.6.0-rc1\";s:7:\"version\";s:9:\"8.6.0-rc1\";s:3:\"tag\";s:9:\"8.6.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.6.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1534532580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.6.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.6.0-beta2\";s:7:\"version\";s:11:\"8.6.0-beta2\";s:3:\"tag\";s:11:\"8.6.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.6.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1533298080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.6.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.6.0-beta1\";s:7:\"version\";s:11:\"8.6.0-beta1\";s:3:\"tag\";s:11:\"8.6.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.6.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1533270485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.6.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.6.0-alpha1\";s:7:\"version\";s:12:\"8.6.0-alpha1\";s:3:\"tag\";s:12:\"8.6.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.6.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1532033881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.5.15\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.15\";s:7:\"version\";s:6:\"8.5.15\";s:3:\"tag\";s:6:\"8.5.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.15.tar.gz\";s:4:\"date\";s:10:\"1555533181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.14\";s:7:\"version\";s:6:\"8.5.14\";s:3:\"tag\";s:6:\"8.5.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.14.tar.gz\";s:4:\"date\";s:10:\"1553099584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.13\";s:7:\"version\";s:6:\"8.5.13\";s:3:\"tag\";s:6:\"8.5.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.13.tar.gz\";s:4:\"date\";s:10:\"1552601584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.12\";s:7:\"version\";s:6:\"8.5.12\";s:3:\"tag\";s:6:\"8.5.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.12.tar.gz\";s:4:\"date\";s:10:\"1552511584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.11\";s:7:\"version\";s:6:\"8.5.11\";s:3:\"tag\";s:6:\"8.5.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.11.tar.gz\";s:4:\"date\";s:10:\"1550691784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.10\";s:7:\"version\";s:6:\"8.5.10\";s:3:\"tag\";s:6:\"8.5.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.10.tar.gz\";s:4:\"date\";s:10:\"1547682180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.9\";s:7:\"version\";s:5:\"8.5.9\";s:3:\"tag\";s:5:\"8.5.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.9.tar.gz\";s:4:\"date\";s:10:\"1547663557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.8\";s:7:\"version\";s:5:\"8.5.8\";s:3:\"tag\";s:5:\"8.5.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.8.tar.gz\";s:4:\"date\";s:10:\"1539816180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.7\";s:7:\"version\";s:5:\"8.5.7\";s:3:\"tag\";s:5:\"8.5.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.7.tar.gz\";s:4:\"date\";s:10:\"1536187080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.6\";s:7:\"version\";s:5:\"8.5.6\";s:3:\"tag\";s:5:\"8.5.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.6.tar.gz\";s:4:\"date\";s:10:\"1533156780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.5\";s:7:\"version\";s:5:\"8.5.5\";s:3:\"tag\";s:5:\"8.5.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.5.tar.gz\";s:4:\"date\";s:10:\"1530738820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.4\";s:7:\"version\";s:5:\"8.5.4\";s:3:\"tag\";s:5:\"8.5.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.4.tar.gz\";s:4:\"date\";s:10:\"1528319584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.3\";s:7:\"version\";s:5:\"8.5.3\";s:3:\"tag\";s:5:\"8.5.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.3.tar.gz\";s:4:\"date\";s:10:\"1524672780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.2\";s:7:\"version\";s:5:\"8.5.2\";s:3:\"tag\";s:5:\"8.5.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.2.tar.gz\";s:4:\"date\";s:10:\"1524073147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.1\";s:7:\"version\";s:5:\"8.5.1\";s:3:\"tag\";s:5:\"8.5.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.1.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.0\";s:7:\"version\";s:5:\"8.5.0\";s:3:\"tag\";s:5:\"8.5.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.0.tar.gz\";s:4:\"date\";s:10:\"1520457780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.5.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.5.0-rc1\";s:7:\"version\";s:9:\"8.5.0-rc1\";s:3:\"tag\";s:9:\"8.5.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.5.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.5.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1519234680\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";i:2;s:9:\"Bug fixes\";i:3;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.5.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.5.0-beta1\";s:7:\"version\";s:11:\"8.5.0-beta1\";s:3:\"tag\";s:11:\"8.5.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.5.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.5.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1518211380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.5.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.5.0-alpha1\";s:7:\"version\";s:12:\"8.5.0-alpha1\";s:3:\"tag\";s:12:\"8.5.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.5.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.5.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1516320484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"8.4.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.8\";s:7:\"version\";s:5:\"8.4.8\";s:3:\"tag\";s:5:\"8.4.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.8.tar.gz\";s:4:\"date\";s:10:\"1524672780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.7\";s:7:\"version\";s:5:\"8.4.7\";s:3:\"tag\";s:5:\"8.4.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.7.tar.gz\";s:4:\"date\";s:10:\"1524073147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.6\";s:7:\"version\";s:5:\"8.4.6\";s:3:\"tag\";s:5:\"8.4.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.6.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.5\";s:7:\"version\";s:5:\"8.4.5\";s:3:\"tag\";s:5:\"8.4.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.5.tar.gz\";s:4:\"date\";s:10:\"1519234680\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.4\";s:7:\"version\";s:5:\"8.4.4\";s:3:\"tag\";s:5:\"8.4.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.4.tar.gz\";s:4:\"date\";s:10:\"1515021185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.3\";s:7:\"version\";s:5:\"8.4.3\";s:3:\"tag\";s:5:\"8.4.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.3.tar.gz\";s:4:\"date\";s:10:\"1512600784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.2\";s:7:\"version\";s:5:\"8.4.2\";s:3:\"tag\";s:5:\"8.4.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.2.tar.gz\";s:4:\"date\";s:10:\"1509719885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.1\";s:7:\"version\";s:5:\"8.4.1\";s:3:\"tag\";s:5:\"8.4.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.1.tar.gz\";s:4:\"date\";s:10:\"1509562384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.0\";s:7:\"version\";s:5:\"8.4.0\";s:3:\"tag\";s:5:\"8.4.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.0.tar.gz\";s:4:\"date\";s:10:\"1507146244\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.4.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.4.0-rc2\";s:7:\"version\";s:9:\"8.4.0-rc2\";s:3:\"tag\";s:9:\"8.4.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.4.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1505911444\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.4.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.4.0-rc1\";s:7:\"version\";s:9:\"8.4.0-rc1\";s:3:\"tag\";s:9:\"8.4.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.4.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1504733043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.4.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.4.0-beta1\";s:7:\"version\";s:11:\"8.4.0-beta1\";s:3:\"tag\";s:11:\"8.4.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.4.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1502992144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.4.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.4.0-alpha1\";s:7:\"version\";s:12:\"8.4.0-alpha1\";s:3:\"tag\";s:12:\"8.4.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.4.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1501790944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"8.3.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.9\";s:7:\"version\";s:5:\"8.3.9\";s:3:\"tag\";s:5:\"8.3.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.9.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.8\";s:7:\"version\";s:5:\"8.3.8\";s:3:\"tag\";s:5:\"8.3.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.8.tar.gz\";s:4:\"date\";s:10:\"1520881985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.7\";s:7:\"version\";s:5:\"8.3.7\";s:3:\"tag\";s:5:\"8.3.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.7.tar.gz\";s:4:\"date\";s:10:\"1502903903\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.6\";s:7:\"version\";s:5:\"8.3.6\";s:3:\"tag\";s:5:\"8.3.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.6.tar.gz\";s:4:\"date\";s:10:\"1501688043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.5\";s:7:\"version\";s:5:\"8.3.5\";s:3:\"tag\";s:5:\"8.3.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.5.tar.gz\";s:4:\"date\";s:10:\"1499274843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.4\";s:7:\"version\";s:5:\"8.3.4\";s:3:\"tag\";s:5:\"8.3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.4.tar.gz\";s:4:\"date\";s:10:\"1498069442\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.3\";s:7:\"version\";s:5:\"8.3.3\";s:3:\"tag\";s:5:\"8.3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.3.tar.gz\";s:4:\"date\";s:10:\"1496858041\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.2\";s:7:\"version\";s:5:\"8.3.2\";s:3:\"tag\";s:5:\"8.3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.2.tar.gz\";s:4:\"date\";s:10:\"1493834585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.1\";s:7:\"version\";s:5:\"8.3.1\";s:3:\"tag\";s:5:\"8.3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.1.tar.gz\";s:4:\"date\";s:10:\"1492622946\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.0\";s:7:\"version\";s:5:\"8.3.0\";s:3:\"tag\";s:5:\"8.3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.0.tar.gz\";s:4:\"date\";s:10:\"1491439084\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.3.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.3.0-rc2\";s:7:\"version\";s:9:\"8.3.0-rc2\";s:3:\"tag\";s:9:\"8.3.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.3.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1489613583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.3.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.3.0-rc1\";s:7:\"version\";s:9:\"8.3.0-rc1\";s:3:\"tag\";s:9:\"8.3.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.3.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1488383284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.3.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.3.0-beta1\";s:7:\"version\";s:11:\"8.3.0-beta1\";s:3:\"tag\";s:11:\"8.3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.3.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1487175783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.3.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.3.0-alpha1\";s:7:\"version\";s:12:\"8.3.0-alpha1\";s:3:\"tag\";s:12:\"8.3.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.3.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1485968583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"8.2.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.8\";s:7:\"version\";s:5:\"8.2.8\";s:3:\"tag\";s:5:\"8.2.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.8.tar.gz\";s:4:\"date\";s:10:\"1492622852\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.7\";s:7:\"version\";s:5:\"8.2.7\";s:3:\"tag\";s:5:\"8.2.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.7.tar.gz\";s:4:\"date\";s:10:\"1489609638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.6\";s:7:\"version\";s:5:\"8.2.6\";s:3:\"tag\";s:5:\"8.2.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.6.tar.gz\";s:4:\"date\";s:10:\"1485975485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.5\";s:7:\"version\";s:5:\"8.2.5\";s:3:\"tag\";s:5:\"8.2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.5.tar.gz\";s:4:\"date\";s:10:\"1483529942\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.4\";s:7:\"version\";s:5:\"8.2.4\";s:3:\"tag\";s:5:\"8.2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.4.tar.gz\";s:4:\"date\";s:10:\"1481136784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.3\";s:7:\"version\";s:5:\"8.2.3\";s:3:\"tag\";s:5:\"8.2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.3.tar.gz\";s:4:\"date\";s:10:\"1479322439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.2\";s:7:\"version\";s:5:\"8.2.2\";s:3:\"tag\";s:5:\"8.2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.2.tar.gz\";s:4:\"date\";s:10:\"1478106542\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.1\";s:7:\"version\";s:5:\"8.2.1\";s:3:\"tag\";s:5:\"8.2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.1.tar.gz\";s:4:\"date\";s:10:\"1476181439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.0\";s:7:\"version\";s:5:\"8.2.0\";s:3:\"tag\";s:5:\"8.2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.0.tar.gz\";s:4:\"date\";s:10:\"1475660639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.2.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.2.0-rc2\";s:7:\"version\";s:9:\"8.2.0-rc2\";s:3:\"tag\";s:9:\"8.2.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.2.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1474484358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.2.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.2.0-rc1\";s:7:\"version\";s:9:\"8.2.0-rc1\";s:3:\"tag\";s:9:\"8.2.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1473285089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.2.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 8.2.0-beta3\";s:7:\"version\";s:11:\"8.2.0-beta3\";s:3:\"tag\";s:11:\"8.2.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.2.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1472222475\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.2.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.2.0-beta2\";s:7:\"version\";s:11:\"8.2.0-beta2\";s:3:\"tag\";s:11:\"8.2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.2.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1471710839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.2.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.2.0-beta1\";s:7:\"version\";s:11:\"8.2.0-beta1\";s:3:\"tag\";s:11:\"8.2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.2.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1470230639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:6:\"8.1.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.1.10\";s:7:\"version\";s:6:\"8.1.10\";s:3:\"tag\";s:6:\"8.1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.1.10.tar.gz\";s:4:\"date\";s:10:\"1474478939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.9\";s:7:\"version\";s:5:\"8.1.9\";s:3:\"tag\";s:5:\"8.1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.9.tar.gz\";s:4:\"date\";s:10:\"1473276313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.8\";s:7:\"version\";s:5:\"8.1.8\";s:3:\"tag\";s:5:\"8.1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.8.tar.gz\";s:4:\"date\";s:10:\"1470233647\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.7\";s:7:\"version\";s:5:\"8.1.7\";s:3:\"tag\";s:5:\"8.1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.7.tar.gz\";s:4:\"date\";s:10:\"1468855358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.6\";s:7:\"version\";s:5:\"8.1.6\";s:3:\"tag\";s:5:\"8.1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.6.tar.gz\";s:4:\"date\";s:10:\"1468242539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.5\";s:7:\"version\";s:5:\"8.1.5\";s:3:\"tag\";s:5:\"8.1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.5.tar.gz\";s:4:\"date\";s:10:\"1467884639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.4\";s:7:\"version\";s:5:\"8.1.4\";s:3:\"tag\";s:5:\"8.1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.4.tar.gz\";s:4:\"date\";s:10:\"1467810839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.3\";s:7:\"version\";s:5:\"8.1.3\";s:3:\"tag\";s:5:\"8.1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.3.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.2\";s:7:\"version\";s:5:\"8.1.2\";s:3:\"tag\";s:5:\"8.1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.2.tar.gz\";s:4:\"date\";s:10:\"1464824339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.1\";s:7:\"version\";s:5:\"8.1.1\";s:3:\"tag\";s:5:\"8.1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.1.tar.gz\";s:4:\"date\";s:10:\"1462361039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.0\";s:7:\"version\";s:5:\"8.1.0\";s:3:\"tag\";s:5:\"8.1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.0.tar.gz\";s:4:\"date\";s:10:\"1461118190\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.1.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.1.0-rc1\";s:7:\"version\";s:9:\"8.1.0-rc1\";s:3:\"tag\";s:9:\"8.1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1459976639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.1.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.1.0-beta2\";s:7:\"version\";s:11:\"8.1.0-beta2\";s:3:\"tag\";s:11:\"8.1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1458699840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.1.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.1.0-beta1\";s:7:\"version\";s:11:\"8.1.0-beta1\";s:3:\"tag\";s:11:\"8.1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1456975758\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:5:\"8.0.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.6\";s:7:\"version\";s:5:\"8.0.6\";s:3:\"tag\";s:5:\"8.0.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.6.tar.gz\";s:4:\"date\";s:10:\"1459900439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.5\";s:7:\"version\";s:5:\"8.0.5\";s:3:\"tag\";s:5:\"8.0.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.5.tar.gz\";s:4:\"date\";s:10:\"1456914839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.4\";s:7:\"version\";s:5:\"8.0.4\";s:3:\"tag\";s:5:\"8.0.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.4.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.3\";s:7:\"version\";s:5:\"8.0.3\";s:3:\"tag\";s:5:\"8.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.3.tar.gz\";s:4:\"date\";s:10:\"1454489043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.2\";s:7:\"version\";s:5:\"8.0.2\";s:3:\"tag\";s:5:\"8.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.2.tar.gz\";s:4:\"date\";s:10:\"1452119939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.1\";s:7:\"version\";s:5:\"8.0.1\";s:3:\"tag\";s:5:\"8.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.1.tar.gz\";s:4:\"date\";s:10:\"1449066839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.0\";s:7:\"version\";s:5:\"8.0.0\";s:3:\"tag\";s:5:\"8.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.0.tar.gz\";s:4:\"date\";s:10:\"1447941840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.0.0-rc4\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc4\";s:7:\"version\";s:9:\"8.0.0-rc4\";s:3:\"tag\";s:9:\"8.0.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1447413840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.0.0-rc3\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc3\";s:7:\"version\";s:9:\"8.0.0-rc3\";s:3:\"tag\";s:9:\"8.0.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1446633239\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.0.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc2\";s:7:\"version\";s:9:\"8.0.0-rc2\";s:3:\"tag\";s:9:\"8.0.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1445468639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.0.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc1\";s:7:\"version\";s:9:\"8.0.0-rc1\";s:3:\"tag\";s:9:\"8.0.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta16\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta16\";s:7:\"version\";s:12:\"8.0.0-beta16\";s:3:\"tag\";s:12:\"8.0.0-beta16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta16\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta16.tar.gz\";s:4:\"date\";s:10:\"1443746640\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta15\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta15\";s:7:\"version\";s:12:\"8.0.0-beta15\";s:3:\"tag\";s:12:\"8.0.0-beta15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta15\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta15.tar.gz\";s:4:\"date\";s:10:\"1441357140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta14\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta14\";s:7:\"version\";s:12:\"8.0.0-beta14\";s:3:\"tag\";s:12:\"8.0.0-beta14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta14\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta14.tar.gz\";s:4:\"date\";s:10:\"1438593539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta13\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta13\";s:7:\"version\";s:12:\"8.0.0-beta13\";s:3:\"tag\";s:12:\"8.0.0-beta13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta13\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta13.tar.gz\";s:4:\"date\";s:10:\"1438194539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta12\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta12\";s:7:\"version\";s:12:\"8.0.0-beta12\";s:3:\"tag\";s:12:\"8.0.0-beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta12\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1435601583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta11\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta11\";s:7:\"version\";s:12:\"8.0.0-beta11\";s:3:\"tag\";s:12:\"8.0.0-beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta11\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1432758481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta10\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta10\";s:7:\"version\";s:12:\"8.0.0-beta10\";s:3:\"tag\";s:12:\"8.0.0-beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta10\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1430314681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta9\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta9\";s:7:\"version\";s:11:\"8.0.0-beta9\";s:3:\"tag\";s:11:\"8.0.0-beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta9\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1427299981\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta7\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta7\";s:7:\"version\";s:11:\"8.0.0-beta7\";s:3:\"tag\";s:11:\"8.0.0-beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1424875381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta6\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta6\";s:7:\"version\";s:11:\"8.0.0-beta6\";s:3:\"tag\";s:11:\"8.0.0-beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1422443800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta4\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta4\";s:7:\"version\";s:11:\"8.0.0-beta4\";s:3:\"tag\";s:11:\"8.0.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1418825280\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta3\";s:7:\"version\";s:11:\"8.0.0-beta3\";s:3:\"tag\";s:11:\"8.0.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1415797380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta2\";s:7:\"version\";s:11:\"8.0.0-beta2\";s:3:\"tag\";s:11:\"8.0.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1413394161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta1\";s:7:\"version\";s:11:\"8.0.0-beta1\";s:3:\"tag\";s:11:\"8.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1412147030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"8.0.0-alpha15\";a:10:{s:4:\"name\";s:20:\"drupal 8.0.0-alpha15\";s:7:\"version\";s:13:\"8.0.0-alpha15\";s:3:\"tag\";s:13:\"8.0.0-alpha15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/8.0.0-alpha15\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-alpha15.tar.gz\";s:4:\"date\";s:10:\"1411139628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"8.0.0-alpha14\";a:10:{s:4:\"name\";s:20:\"drupal 8.0.0-alpha14\";s:7:\"version\";s:13:\"8.0.0-alpha14\";s:3:\"tag\";s:13:\"8.0.0-alpha14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/8.0.0-alpha14\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-alpha14.tar.gz\";s:4:\"date\";s:10:\"1407344628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha13\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha13\";s:7:\"version\";s:11:\"8.0-alpha13\";s:3:\"tag\";s:11:\"8.0-alpha13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha13\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha13.tar.gz\";s:4:\"date\";s:10:\"1404296627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha12\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha12\";s:7:\"version\";s:11:\"8.0-alpha12\";s:3:\"tag\";s:11:\"8.0-alpha12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha12\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha12.tar.gz\";s:4:\"date\";s:10:\"1401293627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha11\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha11\";s:7:\"version\";s:11:\"8.0-alpha11\";s:3:\"tag\";s:11:\"8.0-alpha11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha11.tar.gz\";s:4:\"date\";s:10:\"1398249227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha10\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha10\";s:7:\"version\";s:11:\"8.0-alpha10\";s:3:\"tag\";s:11:\"8.0-alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1395231556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha9\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha9\";s:7:\"version\";s:10:\"8.0-alpha9\";s:3:\"tag\";s:10:\"8.0-alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1392806005\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha8\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha8\";s:7:\"version\";s:10:\"8.0-alpha8\";s:3:\"tag\";s:10:\"8.0-alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1390393105\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha7\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha7\";s:7:\"version\";s:10:\"8.0-alpha7\";s:3:\"tag\";s:10:\"8.0-alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1387399705\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha6\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha6\";s:7:\"version\";s:10:\"8.0-alpha6\";s:3:\"tag\";s:10:\"8.0-alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1385153305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha5\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha5\";s:7:\"version\";s:10:\"8.0-alpha5\";s:3:\"tag\";s:10:\"8.0-alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1384850305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha4\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha4\";s:7:\"version\";s:10:\"8.0-alpha4\";s:3:\"tag\";s:10:\"8.0-alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1382092313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha3\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha3\";s:7:\"version\";s:10:\"8.0-alpha3\";s:3:\"tag\";s:10:\"8.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1378303307\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha2\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha2\";s:7:\"version\";s:10:\"8.0-alpha2\";s:3:\"tag\";s:10:\"8.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1372069563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"10.1.x-dev\";a:10:{s:4:\"name\";s:17:\"drupal 10.1.x-dev\";s:7:\"version\";s:10:\"10.1.x-dev\";s:3:\"tag\";s:6:\"10.1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/10.1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-10.1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1674300713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:10:\"10.0.x-dev\";a:10:{s:4:\"name\";s:17:\"drupal 10.0.x-dev\";s:7:\"version\";s:10:\"10.0.x-dev\";s:3:\"tag\";s:6:\"10.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/10.0.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-10.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1674255572\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"9.5.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.5.x-dev\";s:7:\"version\";s:9:\"9.5.x-dev\";s:3:\"tag\";s:5:\"9.5.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.5.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.5.x-dev.tar.gz\";s:4:\"date\";s:10:\"1674298723\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.4.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.4.x-dev\";s:7:\"version\";s:9:\"9.4.x-dev\";s:3:\"tag\";s:5:\"9.4.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.4.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1674071706\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.3.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.3.x-dev\";s:7:\"version\";s:9:\"9.3.x-dev\";s:3:\"tag\";s:5:\"9.3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.3.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1664385919\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"9.2.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.2.x-dev\";s:7:\"version\";s:9:\"9.2.x-dev\";s:3:\"tag\";s:5:\"9.2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1654891907\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.1.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.x-dev\";s:7:\"version\";s:9:\"9.1.x-dev\";s:3:\"tag\";s:5:\"9.1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1637766277\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.0.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.0.x-dev\";s:7:\"version\";s:9:\"9.0.x-dev\";s:3:\"tag\";s:5:\"9.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.0.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1622063424\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.9.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.9.x-dev\";s:7:\"version\";s:9:\"8.9.x-dev\";s:3:\"tag\";s:5:\"8.9.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.9.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.9.x-dev.tar.gz\";s:4:\"date\";s:10:\"1637188625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.8.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.8.x-dev\";s:7:\"version\";s:9:\"8.8.x-dev\";s:3:\"tag\";s:5:\"8.8.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.8.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.8.x-dev.tar.gz\";s:4:\"date\";s:10:\"1606364994\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.7.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.7.x-dev\";s:7:\"version\";s:9:\"8.7.x-dev\";s:3:\"tag\";s:5:\"8.7.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.7.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1589987612\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.6.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.6.x-dev\";s:7:\"version\";s:9:\"8.6.x-dev\";s:3:\"tag\";s:5:\"8.6.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.6.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.6.x-dev.tar.gz\";s:4:\"date\";s:10:\"1573687985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.5.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.5.x-dev\";s:7:\"version\";s:9:\"8.5.x-dev\";s:3:\"tag\";s:5:\"8.5.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.5.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.5.x-dev.tar.gz\";s:4:\"date\";s:10:\"1555533181\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.4.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.4.x-dev\";s:7:\"version\";s:9:\"8.4.x-dev\";s:3:\"tag\";s:5:\"8.4.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.4.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1533047880\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.3.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.3.x-dev\";s:7:\"version\";s:9:\"8.3.x-dev\";s:3:\"tag\";s:5:\"8.3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.3.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.2.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.2.x-dev\";s:7:\"version\";s:9:\"8.2.x-dev\";s:3:\"tag\";s:5:\"8.2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1492624982\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.1.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.1.x-dev\";s:7:\"version\";s:9:\"8.1.x-dev\";s:3:\"tag\";s:5:\"8.1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1474478393\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.0.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.x-dev\";s:7:\"version\";s:9:\"8.0.x-dev\";s:3:\"tag\";s:5:\"8.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1459900439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}s:10:\"last_fetch\";i:1674418713;}',1674505113),('update_available_releases','entity','a:10:{s:5:\"title\";s:10:\"Entity API\";s:10:\"short_name\";s:6:\"entity\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:18:\"composer_namespace\";s:13:\"drupal/entity\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:19:{s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:14:\"entity 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1661898023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^9.2|^10\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:14:\"entity 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1646324539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.2 || ^9\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:14:\"entity 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1606399149\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:14:\"entity 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1595445791\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:14:\"entity 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1582735747\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:11:\"8.x-1.0-rc3\";a:11:{s:4:\"name\";s:18:\"entity 8.x-1.0-rc3\";s:7:\"version\";s:11:\"8.x-1.0-rc3\";s:3:\"tag\";s:11:\"8.x-1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/8.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1559579884\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc2\";a:11:{s:4:\"name\";s:18:\"entity 8.x-1.0-rc2\";s:7:\"version\";s:11:\"8.x-1.0-rc2\";s:3:\"tag\";s:11:\"8.x-1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/8.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1553254684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:18:\"entity 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1539272580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta4\";a:11:{s:4:\"name\";s:20:\"entity 8.x-1.0-beta4\";s:7:\"version\";s:13:\"8.x-1.0-beta4\";s:3:\"tag\";s:13:\"8.x-1.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/8.x-1.0-beta4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1528452184\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:13:\"8.x-1.0-beta3\";a:11:{s:4:\"name\";s:20:\"entity 8.x-1.0-beta3\";s:7:\"version\";s:13:\"8.x-1.0-beta3\";s:3:\"tag\";s:13:\"8.x-1.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/8.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1520958485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:20:\"entity 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1520873280\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:20:\"entity 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1505895844\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha4\";a:11:{s:4:\"name\";s:21:\"entity 8.x-1.0-alpha4\";s:7:\"version\";s:14:\"8.x-1.0-alpha4\";s:3:\"tag\";s:14:\"8.x-1.0-alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/8.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1481194983\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:14:\"8.x-1.0-alpha3\";a:11:{s:4:\"name\";s:21:\"entity 8.x-1.0-alpha3\";s:7:\"version\";s:14:\"8.x-1.0-alpha3\";s:3:\"tag\";s:14:\"8.x-1.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/8.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1461748139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:21:\"entity 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1459289340\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:21:\"entity 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1452761939\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"8.x-0.1\";a:11:{s:4:\"name\";s:14:\"entity 8.x-0.1\";s:7:\"version\";s:7:\"8.x-0.1\";s:3:\"tag\";s:7:\"8.x-0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/8.x-0.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-8.x-0.1.tar.gz\";s:4:\"date\";s:10:\"1459284240\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:18:\"entity 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/8.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1673673427\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^9.2|^10\";s:5:\"terms\";a:0:{}}s:11:\"8.x-0.x-dev\";a:11:{s:4:\"name\";s:18:\"entity 8.x-0.x-dev\";s:7:\"version\";s:11:\"8.x-0.x-dev\";s:3:\"tag\";s:7:\"8.x-0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/8.x-0.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-8.x-0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1459283939\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418713;}',1674505113),('update_available_releases','field_group','a:10:{s:5:\"title\";s:11:\"Field Group\";s:10:\"short_name\";s:11:\"field_group\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-3.\";s:18:\"composer_namespace\";s:18:\"drupal/field_group\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"8.x-3.4\";a:11:{s:4:\"name\";s:19:\"field_group 8.x-3.4\";s:7:\"version\";s:7:\"8.x-3.4\";s:3:\"tag\";s:7:\"8.x-3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-3.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1667241979\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";}s:7:\"8.x-3.3\";a:11:{s:4:\"name\";s:19:\"field_group 8.x-3.3\";s:7:\"version\";s:7:\"8.x-3.3\";s:3:\"tag\";s:7:\"8.x-3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-3.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1663516404\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.2\";a:11:{s:4:\"name\";s:19:\"field_group 8.x-3.2\";s:7:\"version\";s:7:\"8.x-3.2\";s:3:\"tag\";s:7:\"8.x-3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-3.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1628513585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.1\";a:11:{s:4:\"name\";s:19:\"field_group 8.x-3.1\";s:7:\"version\";s:7:\"8.x-3.1\";s:3:\"tag\";s:7:\"8.x-3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-3.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1591772567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.0\";a:11:{s:4:\"name\";s:19:\"field_group 8.x-3.0\";s:7:\"version\";s:7:\"8.x-3.0\";s:3:\"tag\";s:7:\"8.x-3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-3.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1580250787\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:11:\"8.x-3.0-rc2\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-3.0-rc2\";s:7:\"version\";s:11:\"8.x-3.0-rc2\";s:3:\"tag\";s:11:\"8.x-3.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-3.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1574200085\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-3.0-rc1\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-3.0-rc1\";s:7:\"version\";s:11:\"8.x-3.0-rc1\";s:3:\"tag\";s:11:\"8.x-3.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-3.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1558647185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-3.0-beta1\";a:11:{s:4:\"name\";s:25:\"field_group 8.x-3.0-beta1\";s:7:\"version\";s:13:\"8.x-3.0-beta1\";s:3:\"tag\";s:13:\"8.x-3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/field_group/releases/8.x-3.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1510352284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:19:\"field_group 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/8.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1510352885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc6\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-1.0-rc6\";s:7:\"version\";s:11:\"8.x-1.0-rc6\";s:3:\"tag\";s:11:\"8.x-1.0-rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1480365484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc5\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-1.0-rc5\";s:7:\"version\";s:11:\"8.x-1.0-rc5\";s:3:\"tag\";s:11:\"8.x-1.0-rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1480288380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc4\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-1.0-rc4\";s:7:\"version\";s:11:\"8.x-1.0-rc4\";s:3:\"tag\";s:11:\"8.x-1.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1449771240\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc3\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-1.0-rc3\";s:7:\"version\";s:11:\"8.x-1.0-rc3\";s:3:\"tag\";s:11:\"8.x-1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1447385940\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-3.x-dev\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-3.x-dev\";s:7:\"version\";s:11:\"8.x-3.x-dev\";s:3:\"tag\";s:7:\"8.x-3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-3.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1667403745\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:23:\"field_group 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/8.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1570214888\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','inline_entity_form','a:10:{s:5:\"title\";s:18:\"Inline Entity Form\";s:10:\"short_name\";s:18:\"inline_entity_form\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:18:\"composer_namespace\";s:25:\"drupal/inline_entity_form\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:49:\"https://www.drupal.org/project/inline_entity_form\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:12:\"8.x-1.0-rc14\";a:11:{s:4:\"name\";s:31:\"inline_entity_form 8.x-1.0-rc14\";s:7:\"version\";s:12:\"8.x-1.0-rc14\";s:3:\"tag\";s:12:\"8.x-1.0-rc14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc14\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc14.tar.gz\";s:4:\"date\";s:10:\"1663701306\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:17:\"^8.8 || ^9 || ^10\";}s:12:\"8.x-1.0-rc13\";a:11:{s:4:\"name\";s:31:\"inline_entity_form 8.x-1.0-rc13\";s:7:\"version\";s:12:\"8.x-1.0-rc13\";s:3:\"tag\";s:12:\"8.x-1.0-rc13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc13\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc13.tar.gz\";s:4:\"date\";s:10:\"1663108794\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:17:\"^8.8 || ^9 || ^10\";}s:12:\"8.x-1.0-rc12\";a:11:{s:4:\"name\";s:31:\"inline_entity_form 8.x-1.0-rc12\";s:7:\"version\";s:12:\"8.x-1.0-rc12\";s:3:\"tag\";s:12:\"8.x-1.0-rc12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc12.tar.gz\";s:4:\"date\";s:10:\"1658308069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:17:\"^8.8 || ^9 || ^10\";}s:12:\"8.x-1.0-rc11\";a:11:{s:4:\"name\";s:31:\"inline_entity_form 8.x-1.0-rc11\";s:7:\"version\";s:12:\"8.x-1.0-rc11\";s:3:\"tag\";s:12:\"8.x-1.0-rc11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc11\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc11.tar.gz\";s:4:\"date\";s:10:\"1648748863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:12:\"8.x-1.0-rc10\";a:11:{s:4:\"name\";s:31:\"inline_entity_form 8.x-1.0-rc10\";s:7:\"version\";s:12:\"8.x-1.0-rc10\";s:3:\"tag\";s:12:\"8.x-1.0-rc10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc10\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc10.tar.gz\";s:4:\"date\";s:10:\"1646314907\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-1.0-rc9\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc9\";s:7:\"version\";s:11:\"8.x-1.0-rc9\";s:3:\"tag\";s:11:\"8.x-1.0-rc9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc9\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc9.tar.gz\";s:4:\"date\";s:10:\"1618174486\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-1.0-rc8\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc8\";s:7:\"version\";s:11:\"8.x-1.0-rc8\";s:3:\"tag\";s:11:\"8.x-1.0-rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc8\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1602172716\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-1.0-rc7\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc7\";s:7:\"version\";s:11:\"8.x-1.0-rc7\";s:3:\"tag\";s:11:\"8.x-1.0-rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc7\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1595545223\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:11:\"8.x-1.0-rc6\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc6\";s:7:\"version\";s:11:\"8.x-1.0-rc6\";s:3:\"tag\";s:11:\"8.x-1.0-rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc6\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1589280847\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:11:\"8.x-1.0-rc5\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc5\";s:7:\"version\";s:11:\"8.x-1.0-rc5\";s:3:\"tag\";s:11:\"8.x-1.0-rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1589228247\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:11:\"8.x-1.0-rc4\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc4\";s:7:\"version\";s:11:\"8.x-1.0-rc4\";s:3:\"tag\";s:11:\"8.x-1.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1589225647\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:11:\"8.x-1.0-rc3\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc3\";s:7:\"version\";s:11:\"8.x-1.0-rc3\";s:3:\"tag\";s:11:\"8.x-1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1581640483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:11:\"8.x-1.0-rc2\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc2\";s:7:\"version\";s:11:\"8.x-1.0-rc2\";s:3:\"tag\";s:11:\"8.x-1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1568446684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1527030784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:32:\"inline_entity_form 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1477868343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha6\";a:11:{s:4:\"name\";s:33:\"inline_entity_form 8.x-1.0-alpha6\";s:7:\"version\";s:14:\"8.x-1.0-alpha6\";s:3:\"tag\";s:14:\"8.x-1.0-alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-alpha6\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1461165839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha5\";a:11:{s:4:\"name\";s:33:\"inline_entity_form 8.x-1.0-alpha5\";s:7:\"version\";s:14:\"8.x-1.0-alpha5\";s:3:\"tag\";s:14:\"8.x-1.0-alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-alpha5\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1456785539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha4\";a:11:{s:4:\"name\";s:33:\"inline_entity_form 8.x-1.0-alpha4\";s:7:\"version\";s:14:\"8.x-1.0-alpha4\";s:3:\"tag\";s:14:\"8.x-1.0-alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-alpha4\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1455831839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha3\";a:11:{s:4:\"name\";s:33:\"inline_entity_form 8.x-1.0-alpha3\";s:7:\"version\";s:14:\"8.x-1.0-alpha3\";s:3:\"tag\";s:14:\"8.x-1.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-alpha3\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1451036639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:33:\"inline_entity_form 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1444926539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:33:\"inline_entity_form 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1436609939\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:30:\"inline_entity_form 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/8.x-1.x-dev\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1668437773\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:17:\"^8.8 || ^9 || ^10\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','module_filter','a:10:{s:5:\"title\";s:13:\"Module Filter\";s:10:\"short_name\";s:13:\"module_filter\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:11:\"4.0.,8.x-3.\";s:18:\"composer_namespace\";s:20:\"drupal/module_filter\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:5:\"4.0.1\";a:11:{s:4:\"name\";s:19:\"module_filter 4.0.1\";s:7:\"version\";s:5:\"4.0.1\";s:3:\"tag\";s:5:\"4.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/module_filter/releases/4.0.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/module_filter-4.0.1.tar.gz\";s:4:\"date\";s:10:\"1671484875\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";}s:5:\"4.0.0\";a:11:{s:4:\"name\";s:19:\"module_filter 4.0.0\";s:7:\"version\";s:5:\"4.0.0\";s:3:\"tag\";s:5:\"4.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/module_filter/releases/4.0.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/module_filter-4.0.0.tar.gz\";s:4:\"date\";s:10:\"1671472556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";}s:7:\"8.x-3.4\";a:11:{s:4:\"name\";s:21:\"module_filter 8.x-3.4\";s:7:\"version\";s:7:\"8.x-3.4\";s:3:\"tag\";s:7:\"8.x-3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/8.x-3.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1671484800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-3.3\";a:11:{s:4:\"name\";s:21:\"module_filter 8.x-3.3\";s:7:\"version\";s:7:\"8.x-3.3\";s:3:\"tag\";s:7:\"8.x-3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/8.x-3.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1671472496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-3.2\";a:11:{s:4:\"name\";s:21:\"module_filter 8.x-3.2\";s:7:\"version\";s:7:\"8.x-3.2\";s:3:\"tag\";s:7:\"8.x-3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/8.x-3.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1614918371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-3.1\";a:11:{s:4:\"name\";s:21:\"module_filter 8.x-3.1\";s:7:\"version\";s:7:\"8.x-3.1\";s:3:\"tag\";s:7:\"8.x-3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/8.x-3.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1507650844\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-3.0\";a:11:{s:4:\"name\";s:21:\"module_filter 8.x-3.0\";s:7:\"version\";s:7:\"8.x-3.0\";s:3:\"tag\";s:7:\"8.x-3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/8.x-3.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1483321444\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"4.x-dev\";a:11:{s:4:\"name\";s:21:\"module_filter 4.x-dev\";s:7:\"version\";s:7:\"4.x-dev\";s:3:\"tag\";s:3:\"4.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/4.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1673967348\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:9:\"^9 || ^10\";}s:11:\"8.x-3.x-dev\";a:11:{s:4:\"name\";s:25:\"module_filter 8.x-3.x-dev\";s:7:\"version\";s:11:\"8.x-3.x-dev\";s:3:\"tag\";s:7:\"8.x-3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/8.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-8.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1671484745\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:25:\"module_filter 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/8.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1477642740\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','pathauto','a:10:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:18:\"composer_namespace\";s:15:\"drupal/pathauto\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:21:{s:8:\"8.x-1.11\";a:11:{s:4:\"name\";s:17:\"pathauto 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/pathauto/releases/8.x-1.11\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1659472548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";}s:8:\"8.x-1.10\";a:11:{s:4:\"name\";s:17:\"pathauto 8.x-1.10\";s:7:\"version\";s:8:\"8.x-1.10\";s:3:\"tag\";s:8:\"8.x-1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/pathauto/releases/8.x-1.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1650806739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1644822949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1588103046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1587898105\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1575467285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.6-beta1\";a:11:{s:4:\"name\";s:22:\"pathauto 8.x-1.6-beta1\";s:7:\"version\";s:13:\"8.x-1.6-beta1\";s:3:\"tag\";s:13:\"8.x-1.6-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/8.x-1.6-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.6-beta1.tar.gz\";s:4:\"date\";s:10:\"1573505285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.6-alpha1\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.6-alpha1\";s:7:\"version\";s:14:\"8.x-1.6-alpha1\";s:3:\"tag\";s:14:\"8.x-1.6-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.6-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.6-alpha1.tar.gz\";s:4:\"date\";s:10:\"1571587984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1570828084\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1554239887\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1536407884\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1524421084\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1520092685\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1493468044\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:20:\"pathauto 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1485702484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:22:\"pathauto 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1484781483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:22:\"pathauto 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1474313339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha3\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.0-alpha3\";s:7:\"version\";s:14:\"8.x-1.0-alpha3\";s:3:\"tag\";s:14:\"8.x-1.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1461007694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1456529339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1453413539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:20:\"pathauto 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/8.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1671911793\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.3 || ^10\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','simplenews','a:10:{s:5:\"title\";s:10:\"Simplenews\";s:10:\"short_name\";s:10:\"simplenews\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:11:\"3.0.,8.x-2.\";s:18:\"composer_namespace\";s:17:\"drupal/simplenews\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:17:{s:11:\"3.0.0-beta4\";a:11:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta4\";s:7:\"version\";s:11:\"3.0.0-beta4\";s:3:\"tag\";s:11:\"3.0.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1666544250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"3.0.0-beta3\";a:11:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta3\";s:7:\"version\";s:11:\"3.0.0-beta3\";s:3:\"tag\";s:11:\"3.0.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1665764708\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"3.0.0-beta2\";a:11:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta2\";s:7:\"version\";s:11:\"3.0.0-beta2\";s:3:\"tag\";s:11:\"3.0.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1637315634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"3.0.0-beta1\";a:11:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta1\";s:7:\"version\";s:11:\"3.0.0-beta1\";s:3:\"tag\";s:11:\"3.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1636221224\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:12:\"3.0.0-alpha1\";a:11:{s:4:\"name\";s:23:\"simplenews 3.0.0-alpha1\";s:7:\"version\";s:12:\"3.0.0-alpha1\";s:3:\"tag\";s:12:\"3.0.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/simplenews/releases/3.0.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1603102789\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-2.0-beta2\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-2.0-beta2\";s:7:\"version\";s:13:\"8.x-2.0-beta2\";s:3:\"tag\";s:13:\"8.x-2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1592298547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-2.0-beta1\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-2.0-beta1\";s:7:\"version\";s:13:\"8.x-2.0-beta1\";s:3:\"tag\";s:13:\"8.x-2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1580749447\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:14:\"8.x-2.0-alpha2\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-2.0-alpha2\";s:7:\"version\";s:14:\"8.x-2.0-alpha2\";s:3:\"tag\";s:14:\"8.x-2.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1564762385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-2.0-alpha1\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-2.0-alpha1\";s:7:\"version\";s:14:\"8.x-2.0-alpha1\";s:3:\"tag\";s:14:\"8.x-2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1564314785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1599415335\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1556010481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha3\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-1.0-alpha3\";s:7:\"version\";s:14:\"8.x-1.0-alpha3\";s:3:\"tag\";s:14:\"8.x-1.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1487059683\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1448269739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1444573139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"3.x-dev\";a:11:{s:4:\"name\";s:18:\"simplenews 3.x-dev\";s:7:\"version\";s:7:\"3.x-dev\";s:3:\"tag\";s:3:\"3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1666544109\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:22:\"simplenews 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/8.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1659508377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:22:\"simplenews 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/8.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1570272486\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','token','a:10:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:18:\"composer_namespace\";s:12:\"drupal/token\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:8:\"8.x-1.11\";a:11:{s:4:\"name\";s:14:\"token 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/token/releases/8.x-1.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/token-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1659471813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";}s:8:\"8.x-1.10\";a:11:{s:4:\"name\";s:14:\"token 8.x-1.10\";s:7:\"version\";s:8:\"8.x-1.10\";s:3:\"tag\";s:8:\"8.x-1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/token/releases/8.x-1.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/token-8.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1638619775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.9\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1608284866\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1607552423\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1587893588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1577708583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1537557481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1536408480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1527232684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1527112080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1513810384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1493466843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:17:\"token 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1483290542\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:19:\"token 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1474367039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:19:\"token 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1470864453\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:20:\"token 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1453363739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:20:\"token 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1450961339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:17:\"token 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/8.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1656663507\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','video_embed_field','a:10:{s:5:\"title\";s:17:\"Video Embed Field\";s:10:\"short_name\";s:17:\"video_embed_field\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-2.\";s:18:\"composer_namespace\";s:24:\"drupal/video_embed_field\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:25:{s:7:\"8.x-2.5\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1671413311\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}s:7:\"8.x-2.4\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.4\";s:7:\"version\";s:7:\"8.x-2.4\";s:3:\"tag\";s:7:\"8.x-2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1587686284\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-2.3\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.3\";s:7:\"version\";s:7:\"8.x-2.3\";s:3:\"tag\";s:7:\"8.x-2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1584489966\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-2.2\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.2\";s:7:\"version\";s:7:\"8.x-2.2\";s:3:\"tag\";s:7:\"8.x-2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1564103585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-2.1\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.1\";s:7:\"version\";s:7:\"8.x-2.1\";s:3:\"tag\";s:7:\"8.x-2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1557724385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-2.0\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.0\";s:7:\"version\";s:7:\"8.x-2.0\";s:3:\"tag\";s:7:\"8.x-2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1523338084\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:14:\"8.x-2.0-alpha2\";a:11:{s:4:\"name\";s:32:\"video_embed_field 8.x-2.0-alpha2\";s:7:\"version\";s:14:\"8.x-2.0-alpha2\";s:3:\"tag\";s:14:\"8.x-2.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1512694688\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-2.0-alpha1\";a:11:{s:4:\"name\";s:32:\"video_embed_field 8.x-2.0-alpha1\";s:7:\"version\";s:14:\"8.x-2.0-alpha1\";s:3:\"tag\";s:14:\"8.x-2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1506684843\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.6\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1557724385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1493246342\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1484253183\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1470991139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1469178539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1466402039\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1463131439\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.0-rc8\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc8\";s:7:\"version\";s:11:\"8.x-1.0-rc8\";s:3:\"tag\";s:11:\"8.x-1.0-rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc8\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1461927809\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.0-rc7\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc7\";s:7:\"version\";s:11:\"8.x-1.0-rc7\";s:3:\"tag\";s:11:\"8.x-1.0-rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc7\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1460534039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc6\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc6\";s:7:\"version\";s:11:\"8.x-1.0-rc6\";s:3:\"tag\";s:11:\"8.x-1.0-rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc6\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1459730642\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc5\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc5\";s:7:\"version\";s:11:\"8.x-1.0-rc5\";s:3:\"tag\";s:11:\"8.x-1.0-rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1458050080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc4\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc4\";s:7:\"version\";s:11:\"8.x-1.0-rc4\";s:3:\"tag\";s:11:\"8.x-1.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1457346497\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc3\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc3\";s:7:\"version\";s:11:\"8.x-1.0-rc3\";s:3:\"tag\";s:11:\"8.x-1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1453357740\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc2\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc2\";s:7:\"version\";s:11:\"8.x-1.0-rc2\";s:3:\"tag\";s:11:\"8.x-1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1450136640\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1447238040\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1671413203\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:11:\"^9.2 || ^10\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1558683487\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114),('update_available_releases','we_megamenu','a:10:{s:5:\"title\";s:16:\"Drupal Mega Menu\";s:10:\"short_name\";s:11:\"we_megamenu\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:18:\"composer_namespace\";s:18:\"drupal/we_megamenu\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/we_megamenu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:8:\"8.x-1.13\";a:11:{s:4:\"name\";s:20:\"we_megamenu 8.x-1.13\";s:7:\"version\";s:8:\"8.x-1.13\";s:3:\"tag\";s:8:\"8.x-1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.13\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1624951526\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:8:\"8.x-1.11\";a:11:{s:4:\"name\";s:20:\"we_megamenu 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.11\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1592456472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:12:\"8.x-1.10-rc1\";a:11:{s:4:\"name\";s:24:\"we_megamenu 8.x-1.10-rc1\";s:7:\"version\";s:12:\"8.x-1.10-rc1\";s:3:\"tag\";s:12:\"8.x-1.10-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.10-rc1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1591694573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-1.10-beta2\";a:11:{s:4:\"name\";s:26:\"we_megamenu 8.x-1.10-beta2\";s:7:\"version\";s:14:\"8.x-1.10-beta2\";s:3:\"tag\";s:14:\"8.x-1.10-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.10-beta2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.10-beta2.tar.gz\";s:4:\"date\";s:10:\"1591609009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-1.10-beta1\";a:11:{s:4:\"name\";s:26:\"we_megamenu 8.x-1.10-beta1\";s:7:\"version\";s:14:\"8.x-1.10-beta1\";s:3:\"tag\";s:14:\"8.x-1.10-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.10-beta1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1591355181\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.9\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1585670713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.8\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1585670509\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1575618784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1575618185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1550114284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1539769380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1536913980\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1532421784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1523430484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.1-beta2\";a:11:{s:4:\"name\";s:25:\"we_megamenu 8.x-1.1-beta2\";s:7:\"version\";s:13:\"8.x-1.1-beta2\";s:3:\"tag\";s:13:\"8.x-1.1-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.1-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.1-beta2.tar.gz\";s:4:\"date\";s:10:\"1523429885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1522379885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc2\";a:11:{s:4:\"name\";s:23:\"we_megamenu 8.x-1.0-rc2\";s:7:\"version\";s:11:\"8.x-1.0-rc2\";s:3:\"tag\";s:11:\"8.x-1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1512375785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:23:\"we_megamenu 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1503399545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:25:\"we_megamenu 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1501122544\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:23:\"we_megamenu 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1668141126\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1674418714;}',1674505114);
/*!40000 ALTER TABLE `key_value_expire` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locale_file`
--

DROP TABLE IF EXISTS `locale_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locale_file` (
  `project` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A unique short name to identify the project the file belongs to.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Language code of this translation. References language.langcode.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename of the imported file.',
  `version` varchar(128) NOT NULL DEFAULT '' COMMENT 'Version tag of the imported file.',
  `uri` varchar(255) NOT NULL DEFAULT '' COMMENT 'URI of the remote file, the resulting local file or the locally imported file.',
  `timestamp` int(11) DEFAULT 0 COMMENT 'Unix timestamp of the imported file.',
  `last_checked` int(11) DEFAULT 0 COMMENT 'Unix timestamp of the last time this translation was confirmed to be the most recent release available.',
  PRIMARY KEY (`project`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='File import status information for interface translation…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locale_file`
--

LOCK TABLES `locale_file` WRITE;
/*!40000 ALTER TABLE `locale_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locale_file` VALUES ('admin_toolbar','ar','','3.2.1','',0,0),('color_field','ar','','8.x-2.5','',1666585778,1666585778),('ctools','ar','','8.x-3.0-alpha26','',1467349146,1467349144),('drupal','ar','','9.4.8','',0,0),('entity','ar','','8.x-1.4','',0,0),('field_group','ar','','8.x-3.3','',1666585779,1666585778),('inline_entity_form','ar','','8.x-1.0-rc14','',0,0),('module_filter','ar','','8.x-3.2','',0,0),('pathauto','ar','','8.x-1.0-alpha3','',1467349147,1467349146),('simplenews','ar','','3.0.0-beta4','',0,0),('token','ar','','8.x-1.0-alpha2','',1467348624,1467348622),('video_embed_field','ar','','8.x-2.4','',1666585779,1666585779),('we_megamenu','ar','','8.x-1.13','',0,0);
/*!40000 ALTER TABLE `locale_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_location`
--

DROP TABLE IF EXISTS `locales_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_location` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this location.',
  `sid` int(11) NOT NULL COMMENT 'Unique identifier of this string.',
  `type` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The location type (file, config, path, etc).',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Type dependent location information (file name, path, etc).',
  `version` varchar(20) CHARACTER SET ascii NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal where the location was found.',
  PRIMARY KEY (`lid`),
  KEY `string_type` (`sid`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=1168 DEFAULT CHARSET=utf8mb4 COMMENT='Location information for source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_location`
--

LOCK TABLES `locales_location` WRITE;
/*!40000 ALTER TABLE `locales_location` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_location` VALUES (1,1,'javascript','core/modules/ckeditor/js/plugins/drupalimage/plugin.js','9.4.8'),(2,2,'javascript','core/modules/ckeditor/js/plugins/drupallink/plugin.js','9.4.8'),(3,3,'javascript','core/modules/ckeditor/js/plugins/drupallink/plugin.js','9.4.8'),(4,4,'javascript','core/modules/ckeditor/js/plugins/drupallink/plugin.js','9.4.8'),(5,5,'configuration','language.entity.en','8.1.0'),(6,6,'configuration','language.entity.und','8.1.0'),(7,7,'configuration','language.entity.zxx','8.1.0'),(8,8,'configuration','simplenews.settings','8.1.0'),(9,9,'configuration','simplenews.settings','8.1.0'),(10,10,'configuration','simplenews.settings','8.1.0'),(11,11,'configuration','simplenews.settings','8.1.0'),(12,12,'configuration','simplenews.settings','8.1.0'),(13,13,'configuration','simplenews.settings','8.1.0'),(14,14,'configuration','simplenews.settings','8.1.0'),(15,15,'configuration','simplenews.settings','8.1.0'),(16,16,'configuration','simplenews.settings','8.1.0'),(17,17,'configuration','simplenews.settings','8.1.0'),(18,18,'configuration','simplenews.settings','8.1.0'),(19,19,'configuration','simplenews.settings','8.1.0'),(20,20,'configuration','system.maintenance','8.1.0'),(21,21,'configuration','user.mail','8.1.0'),(22,22,'configuration','user.mail','8.1.0'),(23,23,'configuration','user.mail','8.1.0'),(24,24,'configuration','user.mail','8.1.0'),(25,25,'configuration','user.mail','8.1.0'),(26,26,'configuration','user.mail','8.1.0'),(27,27,'configuration','user.mail','8.1.0'),(28,28,'configuration','user.mail','8.1.0'),(29,29,'configuration','user.mail','8.1.0'),(30,30,'configuration','user.mail','8.1.0'),(31,31,'configuration','user.mail','8.1.0'),(32,32,'configuration','user.mail','8.1.0'),(33,33,'configuration','user.mail','8.1.0'),(34,34,'configuration','user.mail','8.1.0'),(35,35,'configuration','user.mail','8.1.0'),(36,36,'configuration','user.mail','8.1.0'),(37,37,'configuration','user.mail','8.1.0'),(38,38,'configuration','user.settings','8.1.0'),(39,39,'configuration','tour.tour.language-add','8.1.0'),(40,40,'configuration','tour.tour.language-add','8.1.0'),(41,41,'configuration','tour.tour.language-add','8.1.0'),(42,42,'configuration','tour.tour.language-add','8.1.0'),(43,43,'configuration','tour.tour.language-add','8.1.0'),(44,44,'configuration','tour.tour.language-add','8.1.0'),(45,45,'configuration','tour.tour.language-edit','8.1.0'),(46,46,'configuration','tour.tour.language-edit','8.1.0'),(47,47,'configuration','tour.tour.language-edit','8.1.0'),(48,48,'configuration','tour.tour.language-edit','8.1.0'),(49,49,'configuration','tour.tour.language-edit','8.1.0'),(50,50,'configuration','tour.tour.language-edit','8.1.0'),(51,51,'configuration','tour.tour.language-edit','8.1.0'),(52,52,'configuration','tour.tour.language-edit','8.1.0'),(53,43,'configuration','tour.tour.language-edit','8.1.0'),(54,53,'configuration','tour.tour.language-edit','8.1.0'),(55,54,'configuration','tour.tour.language','8.1.0'),(56,55,'configuration','tour.tour.language','8.1.0'),(57,56,'configuration','tour.tour.language','8.1.0'),(58,39,'configuration','tour.tour.language','8.1.0'),(59,57,'configuration','tour.tour.language','8.1.0'),(60,58,'configuration','tour.tour.language','8.1.0'),(61,59,'configuration','tour.tour.language','8.1.0'),(62,60,'configuration','tour.tour.language','8.1.0'),(63,61,'configuration','tour.tour.language','8.1.0'),(64,62,'configuration','tour.tour.language','8.1.0'),(65,63,'configuration','tour.tour.language','8.1.0'),(66,43,'configuration','tour.tour.language','8.1.0'),(67,64,'configuration','tour.tour.language','8.1.0'),(68,65,'configuration','tour.tour.locale','8.1.0'),(69,66,'configuration','tour.tour.locale','8.1.0'),(70,67,'configuration','tour.tour.locale','8.1.0'),(71,68,'configuration','tour.tour.locale','8.1.0'),(72,69,'configuration','tour.tour.locale','8.1.0'),(73,70,'configuration','tour.tour.locale','8.1.0'),(74,71,'configuration','tour.tour.locale','8.1.0'),(75,72,'configuration','tour.tour.locale','8.1.0'),(76,73,'configuration','tour.tour.locale','8.1.0'),(77,74,'configuration','tour.tour.locale','8.1.0'),(78,75,'configuration','tour.tour.locale','8.1.0'),(79,76,'configuration','tour.tour.locale','8.1.0'),(80,77,'configuration','tour.tour.locale','8.1.0'),(81,78,'configuration','tour.tour.locale','8.1.0'),(82,79,'configuration','tour.tour.locale','8.1.0'),(83,43,'configuration','tour.tour.locale','8.1.0'),(84,80,'configuration','tour.tour.locale','8.1.0'),(85,81,'configuration','language.entity.ar','8.1.0'),(86,82,'path','/ar','8.1.0'),(87,83,'path','/ar','8.1.0'),(88,84,'path','/ar/contextual/render','8.1.0'),(89,85,'path','/ar/contextual/render','8.1.0'),(90,86,'path','/ar/contextual/render','8.1.0'),(91,87,'path','/ar/contextual/render','8.1.0'),(92,88,'path','/ar/contextual/render','8.1.0'),(93,89,'path','/ar/contextual/render','8.1.0'),(94,90,'path','/ar/contextual/render','8.1.0'),(95,91,'path','/ar/contextual/render','8.1.0'),(96,92,'path','/ar/contextual/render','8.1.0'),(97,93,'path','/ar/contextual/render','8.1.0'),(98,94,'path','/ar/contextual/render','8.1.0'),(99,95,'path','/ar/contextual/render','8.1.0'),(100,96,'path','/ar/contextual/render','8.1.0'),(101,97,'path','/ar/contextual/render','8.1.0'),(102,98,'path','/ar/contextual/render','8.1.0'),(103,99,'path','/ar/contextual/render','8.1.0'),(104,100,'path','/ar/contextual/render','8.1.0'),(105,101,'path','/ar/contextual/render','8.1.0'),(106,102,'path','/ar/contextual/render','8.1.0'),(107,103,'path','/ar/contextual/render','8.1.0'),(108,104,'path','/ar/contextual/render','8.1.0'),(109,105,'path','/ar/contextual/render','8.1.0'),(110,106,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.0'),(111,107,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.0'),(112,108,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.0'),(113,109,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.0'),(114,110,'javascript','core/modules/contextual/js/contextual.js','9.4.8'),(115,111,'javascript','core/modules/contextual/js/contextual.js','9.4.8'),(116,112,'javascript','core/modules/contextual/js/views/AuralView.js','9.4.8'),(117,113,'javascript','core/modules/system/js/system.modules.js','8.4.2'),(118,114,'javascript','core/misc/ajax.js','9.4.8'),(119,115,'javascript','core/misc/ajax.js','9.4.8'),(120,116,'javascript','core/misc/ajax.js','9.4.8'),(121,117,'javascript','core/misc/ajax.js','9.4.8'),(122,118,'javascript','core/misc/ajax.js','9.4.8'),(123,119,'javascript','core/misc/ajax.js','9.4.8'),(124,120,'javascript','core/misc/ajax.js','9.4.8'),(125,121,'javascript','core/misc/ajax.js','9.4.8'),(126,122,'javascript','core/misc/ajax.js','9.4.8'),(127,123,'javascript','core/misc/ajax.js','9.4.8'),(128,124,'javascript','core/misc/ajax.js','9.4.8'),(129,125,'javascript','core/misc/ajax.js','9.4.8'),(130,126,'javascript','core/misc/ajax.js','9.4.8'),(131,127,'javascript','core/misc/announce.js','8.3.5'),(132,128,'javascript','core/modules/toolbar/js/toolbar.menu.js','9.4.8'),(133,129,'javascript','core/modules/toolbar/js/toolbar.menu.js','9.4.8'),(134,130,'javascript','core/modules/toolbar/js/toolbar.menu.js','9.4.8'),(135,131,'javascript','core/modules/toolbar/js/toolbar.js','9.4.8'),(136,132,'javascript','core/modules/toolbar/js/toolbar.js','9.4.8'),(137,133,'javascript','core/modules/toolbar/js/models/ToolbarModel.js','9.4.8'),(138,134,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','9.4.8'),(139,135,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','9.4.8'),(140,136,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','9.4.8'),(141,137,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','9.4.8'),(142,138,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','9.4.8'),(143,139,'javascript','core/modules/contextual/js/contextual.toolbar.js','9.4.8'),(144,140,'javascript','core/modules/contextual/js/contextual.toolbar.js','9.4.8'),(145,141,'javascript','core/modules/contextual/js/contextual.toolbar.js','9.4.8'),(146,142,'javascript','core/modules/contextual/js/toolbar/views/AuralView.js','9.4.8'),(147,143,'javascript','core/modules/tour/js/tour.js','9.4.8'),(148,144,'javascript','core/modules/tour/js/tour.js','9.4.8'),(149,145,'javascript','core/modules/toolbar/js/escapeAdmin.js','9.4.8'),(150,146,'javascript','core/modules/quickedit/js/quickedit.js','9.4.8'),(151,147,'javascript','core/modules/quickedit/js/util.js','9.4.8'),(152,148,'javascript','core/modules/quickedit/js/util.js','9.4.8'),(153,149,'javascript','core/modules/quickedit/js/util.js','9.4.8'),(154,150,'javascript','core/modules/quickedit/js/models/EntityModel.js','9.4.8'),(155,149,'javascript','core/modules/quickedit/js/models/EntityModel.js','9.4.8'),(156,151,'javascript','core/modules/quickedit/js/views/AppView.js','9.4.8'),(157,152,'javascript','core/modules/quickedit/js/views/AppView.js','9.4.8'),(158,153,'javascript','core/modules/quickedit/js/views/AppView.js','9.4.8'),(159,154,'javascript','core/modules/quickedit/js/views/AppView.js','9.4.8'),(160,153,'javascript','core/modules/quickedit/js/views/EntityToolbarView.js','9.4.8'),(161,155,'javascript','core/modules/quickedit/js/views/EntityToolbarView.js','9.4.8'),(162,111,'javascript','core/modules/quickedit/js/views/EntityToolbarView.js','9.4.8'),(163,156,'javascript','themes/pinteros/assets/js/weebpal.js','9.4.8'),(164,156,'javascript','themes/pinteros/includes/skins-menu/skins_menu.js','8.1.3'),(165,157,'javascript','themes/pinteros/assets/js/fix_script.js','9.4.8'),(166,158,'javascript','themes/pinteros/assets/js/fix_script.js','9.4.8'),(167,159,'javascript','themes/pinteros/assets/js/fix_script.js','9.4.8'),(168,160,'javascript','core/modules/comment/js/node-new-comments-link.js','9.4.8'),(169,161,'javascript','core/misc/tableresponsive.js','9.4.8'),(170,162,'javascript','core/misc/tableresponsive.js','9.4.8'),(171,163,'javascript','core/misc/tableresponsive.js','9.4.8'),(172,164,'javascript','core/misc/dropbutton/dropbutton.js','9.4.8'),(173,165,'javascript','core/misc/tableselect.js','9.4.8'),(174,166,'javascript','core/misc/tableselect.js','9.4.8'),(175,167,'javascript','core/modules/node/node.js','8.1.3'),(176,168,'javascript','core/modules/node/node.js','8.1.3'),(177,169,'javascript','core/modules/node/node.js','9.4.8'),(178,170,'javascript','core/modules/node/node.js','9.4.8'),(179,171,'javascript','core/modules/node/node.js','9.4.8'),(180,172,'javascript','core/modules/node/node.js','9.4.8'),(181,173,'javascript','core/modules/node/node.js','8.1.3'),(182,174,'javascript','core/modules/node/node.js','8.1.3'),(183,175,'javascript','core/modules/node/node.js','8.1.3'),(184,176,'javascript','core/modules/node/node.js','8.1.3'),(185,177,'javascript','core/misc/collapse.js','9.4.8'),(186,178,'javascript','core/misc/collapse.js','9.4.8'),(187,179,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(188,180,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(189,181,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(190,182,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(191,183,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(192,184,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(193,185,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(194,186,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(195,187,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(196,188,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(197,189,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(198,190,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(199,191,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(200,192,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(201,193,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(202,194,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(203,195,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(204,196,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(205,197,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(206,198,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(207,199,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(208,200,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(209,201,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(210,202,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(211,203,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(212,204,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(213,205,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(214,206,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(215,207,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(216,208,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(217,209,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(218,210,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(219,211,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(220,212,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(221,213,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(222,214,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(223,215,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(224,216,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(225,217,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(226,218,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(227,219,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(228,220,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(229,221,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(230,222,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(231,223,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(232,224,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(233,225,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(234,226,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(235,227,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(236,228,'javascript','core/modules/locale/locale.datepicker.js','8.1.3'),(237,229,'javascript','core/modules/path/path.js','9.4.8'),(238,230,'javascript','core/modules/path/path.js','9.4.8'),(239,231,'javascript','core/modules/file/file.js','9.2.8'),(240,232,'javascript','core/modules/editor/js/editor.js','9.4.8'),(241,233,'javascript','core/modules/editor/js/editor.js','9.4.8'),(242,234,'javascript','core/modules/editor/js/editor.js','9.4.8'),(243,235,'javascript','core/modules/editor/js/editor.js','9.4.8'),(244,236,'javascript','core/modules/ckeditor/js/ckeditor.js','9.4.8'),(245,237,'javascript','core/modules/ckeditor/js/ckeditor.js','9.4.8'),(246,238,'javascript','core/modules/text/text.js','9.4.8'),(247,239,'javascript','core/modules/text/text.js','9.4.8'),(248,240,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(249,241,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(250,242,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(251,243,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(252,244,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(253,245,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(254,246,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(255,247,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(256,248,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(257,249,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(258,250,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(259,251,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(260,252,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(261,253,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(262,254,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(263,255,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(264,256,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(265,257,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(266,258,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(267,259,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(268,260,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(269,261,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(270,262,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(271,263,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(272,264,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(273,265,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(274,266,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(275,267,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(276,268,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(277,269,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(278,270,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(279,271,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(280,272,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(281,273,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(282,274,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(283,275,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(284,276,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(285,277,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(286,278,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(287,279,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(288,280,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(289,281,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(290,282,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(291,283,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(292,284,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(293,285,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(294,286,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(295,287,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(296,288,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(297,289,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(298,290,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(299,291,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(300,292,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(301,293,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(302,294,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(303,295,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(304,296,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(305,297,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(306,298,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(307,299,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(308,300,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(309,301,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(310,302,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(311,303,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(312,304,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(313,305,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(314,306,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(315,307,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(316,308,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(317,309,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(318,310,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(319,311,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(320,312,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(321,313,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(322,314,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(323,315,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(324,316,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(325,317,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(326,318,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(327,319,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(328,320,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(329,321,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(330,322,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(331,323,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(332,324,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(333,325,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(334,326,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(335,327,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(336,328,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(337,329,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(338,330,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(339,331,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(340,332,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(341,333,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(342,334,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(343,335,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(344,336,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(345,337,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(346,338,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(347,339,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(348,340,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(349,341,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(350,342,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(351,343,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(352,344,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(353,345,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(354,346,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(355,347,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(356,348,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(357,349,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(358,350,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(359,351,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(360,352,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(361,353,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(362,354,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(363,355,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(364,356,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(365,357,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(366,358,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(367,359,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(368,360,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(369,361,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(370,362,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(371,363,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(372,364,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(373,365,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(374,366,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(375,367,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(376,368,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(377,369,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(378,370,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(379,371,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(380,372,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(381,373,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(382,374,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(383,375,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(384,376,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(385,377,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(386,378,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(387,379,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(388,380,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(389,381,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(390,382,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(391,383,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(392,384,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(393,385,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(394,386,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(395,387,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(396,388,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(397,389,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(398,390,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(399,391,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(400,392,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(401,393,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(402,394,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(403,395,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(404,396,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(405,397,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(406,398,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(407,399,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(408,400,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(409,401,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(410,402,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(411,403,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(412,404,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(413,405,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(414,406,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(415,407,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(416,408,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(417,409,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(418,410,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(419,411,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(420,412,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(421,413,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(422,414,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(423,415,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(424,416,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(425,417,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(426,418,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(427,419,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(428,420,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(429,421,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(430,422,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(431,423,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(432,424,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(433,425,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(434,426,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(435,427,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(436,428,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(437,429,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(438,430,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(439,431,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(440,432,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(441,433,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(442,434,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(443,435,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(444,436,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(445,437,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(446,438,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(447,439,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(448,440,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(449,441,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(450,442,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(451,443,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(452,444,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(453,445,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(454,446,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(455,447,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(456,448,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(457,449,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(458,450,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(459,451,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(460,452,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(461,453,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(462,454,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(463,455,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(464,456,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(465,457,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(466,458,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(467,459,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(468,460,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(469,461,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(470,462,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(471,463,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(472,464,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(473,465,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(474,466,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(475,467,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(476,468,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(477,469,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(478,470,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(479,471,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(480,472,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(481,473,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(482,474,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(483,475,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(484,476,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(485,477,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(486,478,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(487,479,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(488,480,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(489,481,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(490,482,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(491,483,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(492,484,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(493,485,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(494,486,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(495,487,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(496,488,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(497,489,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(498,490,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(499,491,'path','/ar/node/36','8.1.0'),(500,492,'path','/ar/node/36','8.1.0'),(501,493,'path','/ar/node/36','8.1.0'),(502,494,'path','/ar/node/36','8.1.0'),(503,495,'path','/ar/node/36','8.1.0'),(504,496,'path','/ar/node/36','8.1.0'),(505,497,'path','/ar/node/36','8.1.0'),(506,498,'path','/ar/node/36','8.1.0'),(507,499,'path','/ar/node/36','8.1.0'),(508,500,'path','/ar/node/36','8.1.0'),(509,501,'path','/ar/node/36','8.1.0'),(510,502,'path','/ar/node/36','8.1.0'),(511,503,'path','/ar/node/36','8.1.0'),(512,504,'path','/ar/node/36','8.1.0'),(513,505,'path','/ar/node/36','8.1.0'),(514,506,'path','/ar/node/36','8.1.0'),(515,507,'path','/ar/node/36','8.1.0'),(516,508,'path','/ar/node/36','8.1.0'),(517,509,'path','/ar/node/36','8.1.0'),(518,510,'path','/ar/contextual/render','8.1.0'),(519,511,'path','/ar','8.1.0'),(520,512,'path','/ar','8.1.0'),(521,513,'path','/ar/node/36/translations/add/en/ar','8.1.0'),(522,514,'javascript','core/misc/tabledrag.js','8.3.5'),(523,515,'javascript','core/misc/tabledrag.js','9.4.8'),(524,516,'javascript','core/misc/tabledrag.js','9.4.8'),(525,517,'javascript','core/misc/tabledrag.js','9.4.8'),(526,126,'javascript','core/misc/tabledrag.js','9.4.8'),(527,518,'javascript','core/misc/tabledrag.js','9.4.8'),(528,488,'javascript','core/modules/views_ui/js/views-admin.js','9.4.8'),(529,519,'javascript','core/modules/views_ui/js/views-admin.js','9.4.8'),(530,520,'javascript','core/modules/views_ui/js/views-admin.js','9.4.8'),(531,521,'javascript','core/modules/views_ui/js/views-admin.js','9.4.8'),(532,522,'javascript','core/modules/views_ui/js/views-admin.js','9.4.8'),(533,523,'path','/ar/blogs','8.1.0'),(534,524,'path','/ar/blogs','8.1.0'),(535,525,'path','/ar/blogs','8.1.0'),(536,526,'path','/ar/blogs','8.1.0'),(537,527,'path','/ar/blogs','8.1.0'),(538,528,'path','/ar/blogs','8.1.0'),(539,529,'path','/ar/blogs','8.1.0'),(540,530,'path','/ar/blogs','8.1.0'),(541,102,'javascript','core/misc/machine-name.js','9.4.8'),(542,531,'path','/ar/taxonomy/term/7','8.1.0'),(543,532,'path','/ar/node/29/translations/add/en/ar','8.1.0'),(544,533,'javascript','core/modules/comment/js/comment-new-indicator.js','9.4.8'),(545,534,'path','/ar/node/16','8.1.0'),(546,535,'path','/ar/node/16','8.1.0'),(547,536,'path','/ar/node/16','8.1.0'),(548,537,'path','/ar/node/16','8.1.0'),(549,538,'javascript','core/modules/block/js/block.js','9.2.8'),(550,539,'javascript','core/modules/block/js/block.js','9.2.8'),(551,540,'javascript','core/modules/block/js/block.js','9.2.8'),(552,501,'javascript','core/misc/vertical-tabs.js','9.2.2'),(553,541,'path','/ar','8.1.0'),(554,542,'path','/ar/node/38','8.1.0'),(555,543,'path','/ar/user/login','8.1.0'),(556,544,'path','/ar/user/login','8.1.0'),(557,545,'path','/ar/user/login','8.1.0'),(558,546,'path','/ar/user/login','8.1.0'),(559,547,'path','/ar/user/login','8.1.0'),(560,548,'path','/ar/user/login','8.1.0'),(561,549,'path','/ar/user/login','8.1.0'),(562,550,'path','/ar/user/1','8.1.0'),(563,551,'path','/ar/user/1','8.1.0'),(564,552,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(565,553,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(566,554,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(567,555,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(568,556,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(569,557,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(570,558,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(571,559,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(572,560,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(573,561,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(574,562,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(575,563,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(576,564,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(577,565,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(578,566,'path','/ar/admin/structure/menu/manage/main?destination=user/1','8.1.0'),(579,567,'path','/ar','8.1.0'),(580,568,'path','/ar','8.1.0'),(581,569,'path','/ar/node/49/translations/add/en/ar','8.1.3'),(582,570,'path','/ar/node/49','8.1.3'),(583,571,'path','/ar/node/49/delete','8.1.3'),(584,572,'path','/ar/node/49/delete','8.1.3'),(585,573,'path','/ar/node/49/delete','8.1.3'),(586,574,'path','/ar/node/49/delete','8.1.3'),(587,156,'javascript','themes/pinteros/assets/includes/skins-menu/skins_menu.js','9.4.8'),(588,615,'configuration','system.action.pathauto_update_alias_node','8.1.3'),(589,615,'configuration','system.action.pathauto_update_alias_user','8.1.3'),(590,616,'javascript','modules/token/js/token.js','9.2.2'),(591,617,'javascript','modules/token/js/token.js','9.2.2'),(592,618,'javascript','modules/pathauto/pathauto.js','9.2.2'),(593,229,'javascript','modules/pathauto/pathauto.js','9.2.2'),(594,230,'javascript','modules/pathauto/pathauto.js','9.2.2'),(595,619,'javascript','core/modules/locale/locale.admin.js','8.1.3'),(596,620,'javascript','core/modules/locale/locale.admin.js','8.1.3'),(597,126,'javascript','core/modules/locale/locale.admin.js','8.1.3'),(598,621,'javascript','core/modules/locale/locale.admin.js','8.1.3'),(599,622,'javascript','core/modules/user/user.permissions.js','8.1.6'),(600,167,'javascript','core/modules/block_content/js/block_content.js','8.2.6'),(601,168,'javascript','core/modules/block_content/js/block_content.js','8.2.6'),(602,173,'javascript','core/modules/block_content/js/block_content.js','8.2.6'),(603,174,'javascript','core/modules/block_content/js/block_content.js','8.2.6'),(604,175,'javascript','core/modules/block_content/js/block_content.js','8.2.6'),(605,176,'javascript','core/modules/block_content/js/block_content.js','8.2.6'),(606,623,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(607,624,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(608,625,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(609,626,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(610,627,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(611,628,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(612,629,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(613,630,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(614,631,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(615,632,'path','/ar/blog/guided-tours-every-taste','8.1.6'),(616,633,'configuration','system.site','8.3.5'),(617,634,'configuration','tour.tour.language-add','8.3.5'),(618,635,'configuration','tour.tour.language-edit','8.3.5'),(619,636,'configuration','tour.tour.language','8.3.5'),(620,637,'configuration','tour.tour.locale','8.3.5'),(621,638,'configuration','tour.tour.locale','8.3.5'),(622,639,'path','/ar','8.4.2'),(623,640,'path','/ar','8.4.2'),(624,641,'path','/ar/taxonomy/term/6','8.4.2'),(625,111,'javascript','core/modules/tour/js/tour.js','8.9.6'),(626,642,'javascript','modules/module_filter/js/module_filter.modules.js','9.2.8'),(627,643,'javascript','modules/module_filter/js/module_filter.modules.js','9.2.8'),(628,644,'javascript','modules/module_filter/js/module_filter.modules.js','9.2.8'),(629,645,'javascript','modules/module_filter/js/module_filter.modules_tabs.js','9.2.8'),(630,646,'javascript','modules/module_filter/js/module_filter.modules_tabs.js','9.2.8'),(631,647,'javascript','modules/module_filter/js/module_filter.modules_tabs.js','9.2.8'),(632,648,'javascript','modules/module_filter/js/module_filter.modules_tabs.js','9.2.8'),(633,649,'javascript','modules/module_filter/js/module_filter.modules_tabs.js','9.2.8'),(634,650,'javascript','modules/module_filter/js/module_filter.modules_tabs.js','9.2.8'),(635,642,'javascript','modules/module_filter/js/module_filter.update_status.js','8.6.2'),(636,643,'javascript','modules/module_filter/js/module_filter.update_status.js','8.6.2'),(637,651,'javascript','modules/module_filter/js/module_filter.update_status.js','8.6.2'),(638,652,'path','/ar','8.6.1'),(639,653,'path','/ar','8.6.1'),(640,654,'path','/ar','8.6.1'),(641,655,'path','/ar','8.6.1'),(642,656,'path','/ar','8.6.1'),(643,657,'path','/ar','8.6.1'),(644,658,'path','/ar','8.6.1'),(645,659,'path','/ar','8.6.1'),(646,660,'path','/ar','8.6.1'),(647,661,'path','/ar','8.6.1'),(648,662,'path','/ar','8.6.1'),(649,663,'path','/ar','8.6.1'),(650,664,'path','/ar','8.6.1'),(651,665,'path','/ar','8.6.1'),(652,666,'path','/ar','8.6.1'),(653,667,'path','/ar','8.6.1'),(654,668,'path','/ar','8.6.1'),(655,669,'path','/ar','8.6.1'),(656,670,'path','/ar/contextual/render','8.6.1'),(657,671,'path','/ar/user/register','8.6.2'),(658,672,'path','/ar/user/register','8.6.2'),(659,673,'path','/ar/user/register','8.6.2'),(660,674,'path','/ar/user/register','8.6.2'),(661,675,'path','/ar/user/register','8.6.2'),(662,676,'path','/ar/user/register','8.6.2'),(663,677,'path','/ar/user/register','8.6.2'),(664,678,'path','/ar/user/register','8.6.2'),(665,679,'path','/ar/user/register','8.6.2'),(666,680,'path','/ar/user/register','8.6.2'),(667,681,'path','/ar/user/register','8.6.2'),(668,682,'path','/ar/user/register','8.6.2'),(669,683,'path','/ar/user/register','8.6.2'),(670,684,'path','/ar/user/register','8.6.2'),(671,685,'path','/ar/user/register','8.6.2'),(672,686,'path','/ar/user/register','8.6.2'),(673,687,'path','/ar/user/register','8.6.2'),(674,688,'path','/ar/user/register','8.6.2'),(675,689,'path','/ar/user/register','8.6.2'),(676,690,'path','/ar/user/register','8.6.2'),(677,691,'path','/ar/user/register','8.6.2'),(678,692,'path','/ar/user/register','8.6.2'),(679,693,'path','/ar/user/register','8.6.2'),(680,694,'path','/ar/user/register','8.6.2'),(681,695,'path','/ar/user/register','8.6.2'),(682,696,'path','/ar/user/register','8.6.2'),(683,697,'path','/ar/user/register','8.6.2'),(684,698,'path','/ar/user/register','8.6.2'),(685,699,'path','/ar/user/register','8.6.2'),(686,700,'path','/ar/user/register','8.6.2'),(687,701,'path','/ar/user/register','8.6.2'),(688,702,'path','/ar/user/register','8.6.2'),(689,703,'path','/ar/user/register','8.6.2'),(690,704,'path','/ar/user/register','8.6.2'),(691,705,'path','/ar/user/register','8.6.2'),(692,706,'path','/ar/user/register','8.6.2'),(693,707,'path','/ar/user/register','8.6.2'),(694,708,'path','/ar/user/register','8.6.2'),(695,709,'path','/ar/user/register','8.6.2'),(696,710,'path','/ar/user/register','8.6.2'),(697,711,'path','/ar/user/register','8.6.2'),(698,712,'path','/ar/user/register','8.6.2'),(699,713,'path','/ar/user/register','8.6.2'),(700,714,'path','/ar/user/register','8.6.2'),(701,715,'path','/ar/user/register','8.6.2'),(702,716,'path','/ar/user/register','8.6.2'),(703,717,'path','/ar/user/register','8.6.2'),(704,718,'path','/ar/user/register','8.6.2'),(705,719,'path','/ar/user/register','8.6.2'),(706,720,'path','/ar/user/register','8.6.2'),(707,721,'path','/ar/user/register','8.6.2'),(708,722,'path','/ar/user/register','8.6.2'),(709,723,'path','/ar/user/register','8.6.2'),(710,724,'path','/ar/user/register','8.6.2'),(711,725,'path','/ar/user/register','8.6.2'),(712,726,'path','/ar/user/register','8.6.2'),(713,727,'path','/ar/user/register','8.6.2'),(714,728,'path','/ar/user/register','8.6.2'),(715,729,'path','/ar/user/register','8.6.2'),(716,730,'path','/ar/user/register','8.6.2'),(717,731,'path','/ar/user/register','8.6.2'),(718,732,'path','/ar/user/register','8.6.2'),(719,733,'path','/ar/user/register','8.6.2'),(720,734,'path','/ar/user/register','8.6.2'),(721,735,'path','/ar/user/register','8.6.2'),(722,736,'path','/ar/user/register','8.6.2'),(723,737,'path','/ar/user/register','8.6.2'),(724,738,'path','/ar/user/register','8.6.2'),(725,739,'path','/ar/user/register','8.6.2'),(726,740,'path','/ar/user/register','8.6.2'),(727,741,'path','/ar/user/register','8.6.2'),(728,742,'path','/ar/user/register','8.6.2'),(729,743,'path','/ar/user/register','8.6.2'),(730,744,'path','/ar/user/register','8.6.2'),(731,745,'path','/ar/user/register','8.6.2'),(732,746,'path','/ar/user/register','8.6.2'),(733,747,'path','/ar/user/register','8.6.2'),(734,748,'path','/ar/user/register','8.6.2'),(735,749,'path','/ar/user/register','8.6.2'),(736,750,'path','/ar/user/register','8.6.2'),(737,751,'path','/ar/user/register','8.6.2'),(738,752,'path','/ar/user/register','8.6.2'),(739,753,'path','/ar/user/register','8.6.2'),(740,754,'path','/ar/user/register','8.6.2'),(741,755,'path','/ar/user/register','8.6.2'),(742,756,'path','/ar/user/register','8.6.2'),(743,757,'path','/ar/user/register','8.6.2'),(744,758,'path','/ar/user/register','8.6.2'),(745,759,'path','/ar/user/register','8.6.2'),(746,760,'path','/ar/user/register','8.6.2'),(747,761,'path','/ar/user/register','8.6.2'),(748,762,'path','/ar/user/register','8.6.2'),(749,763,'path','/ar/user/register','8.6.2'),(750,764,'path','/ar/user/register','8.6.2'),(751,765,'path','/ar/user/register','8.6.2'),(752,766,'path','/ar/user/register','8.6.2'),(753,767,'path','/ar/user/register','8.6.2'),(754,768,'path','/ar/user/register','8.6.2'),(755,769,'path','/ar/user/register','8.6.2'),(756,770,'path','/ar/user/register','8.6.2'),(757,771,'path','/ar/user/register','8.6.2'),(758,772,'path','/ar/user/register','8.6.2'),(759,773,'path','/ar/user/register','8.6.2'),(760,774,'path','/ar/user/register','8.6.2'),(761,775,'path','/ar/user/register','8.6.2'),(762,776,'path','/ar/user/register','8.6.2'),(763,777,'path','/ar/user/register','8.6.2'),(764,778,'path','/ar/user/register','8.6.2'),(765,779,'path','/ar/user/register','8.6.2'),(766,780,'path','/ar/user/register','8.6.2'),(767,781,'path','/ar/user/register','8.6.2'),(768,782,'path','/ar/user/register','8.6.2'),(769,783,'path','/ar/user/register','8.6.2'),(770,784,'path','/ar/user/register','8.6.2'),(771,785,'path','/ar/user/register','8.6.2'),(772,786,'path','/ar/user/register','8.6.2'),(773,787,'path','/ar/user/register','8.6.2'),(774,788,'path','/ar/user/register','8.6.2'),(775,789,'path','/ar/user/register','8.6.2'),(776,790,'path','/ar/user/register','8.6.2'),(777,791,'path','/ar/user/register','8.6.2'),(778,792,'path','/ar/user/register','8.6.2'),(779,793,'path','/ar/user/register','8.6.2'),(780,794,'path','/ar/user/register','8.6.2'),(781,795,'path','/ar/user/register','8.6.2'),(782,796,'path','/ar/user/register','8.6.2'),(783,797,'path','/ar/user/register','8.6.2'),(784,798,'path','/ar/user/register','8.6.2'),(785,799,'path','/ar/user/register','8.6.2'),(786,800,'path','/ar/user/register','8.6.2'),(787,801,'path','/ar/user/register','8.6.2'),(788,802,'path','/ar/user/register','8.6.2'),(789,803,'path','/ar/user/register','8.6.2'),(790,804,'path','/ar/user/register','8.6.2'),(791,805,'path','/ar/user/register','8.6.2'),(792,806,'path','/ar/user/register','8.6.2'),(793,807,'path','/ar/user/register','8.6.2'),(794,808,'path','/ar/user/register','8.6.2'),(795,809,'path','/ar/user/register','8.6.2'),(796,810,'path','/ar/user/register','8.6.2'),(797,811,'path','/ar/user/register','8.6.2'),(798,812,'path','/ar/user/register','8.6.2'),(799,813,'path','/ar/user/register','8.6.2'),(800,814,'path','/ar/user/register','8.6.2'),(801,815,'path','/ar/user/register','8.6.2'),(802,816,'path','/ar/user/register','8.6.2'),(803,817,'path','/ar/user/register','8.6.2'),(804,818,'path','/ar/user/register','8.6.2'),(805,819,'path','/ar/user/register','8.6.2'),(806,820,'path','/ar/user/register','8.6.2'),(807,821,'path','/ar/user/register','8.6.2'),(808,822,'path','/ar/user/register','8.6.2'),(809,823,'path','/ar/user/register','8.6.2'),(810,824,'path','/ar/user/register','8.6.2'),(811,825,'path','/ar/user/register','8.6.2'),(812,826,'path','/ar/user/register','8.6.2'),(813,827,'path','/ar/user/register','8.6.2'),(814,828,'path','/ar/user/register','8.6.2'),(815,829,'path','/ar/user/register','8.6.2'),(816,830,'path','/ar/user/register','8.6.2'),(817,831,'path','/ar/user/register','8.6.2'),(818,832,'path','/ar/user/register','8.6.2'),(819,833,'path','/ar/user/register','8.6.2'),(820,834,'path','/ar/user/register','8.6.2'),(821,835,'path','/ar/user/register','8.6.2'),(822,836,'path','/ar/user/register','8.6.2'),(823,837,'path','/ar/user/register','8.6.2'),(824,838,'path','/ar/user/register','8.6.2'),(825,839,'path','/ar/user/register','8.6.2'),(826,840,'path','/ar/user/register','8.6.2'),(827,841,'path','/ar/user/register','8.6.2'),(828,842,'path','/ar/user/register','8.6.2'),(829,843,'path','/ar/user/register','8.6.2'),(830,844,'path','/ar/user/register','8.6.2'),(831,845,'path','/ar/user/register','8.6.2'),(832,846,'path','/ar/user/register','8.6.2'),(833,847,'path','/ar/user/register','8.6.2'),(834,848,'path','/ar/user/register','8.6.2'),(835,849,'path','/ar/user/register','8.6.2'),(836,850,'path','/ar/user/register','8.6.2'),(837,851,'path','/ar/user/register','8.6.2'),(838,852,'path','/ar/user/register','8.6.2'),(839,853,'path','/ar/user/register','8.6.2'),(840,854,'path','/ar/user/register','8.6.2'),(841,855,'path','/ar/user/register','8.6.2'),(842,856,'path','/ar/user/register','8.6.2'),(843,857,'path','/ar/user/register','8.6.2'),(844,858,'path','/ar/user/register','8.6.2'),(845,859,'path','/ar/user/register','8.6.2'),(846,860,'path','/ar/user/register','8.6.2'),(847,861,'path','/ar/user/register','8.6.2'),(848,862,'path','/ar/user/register','8.6.2'),(849,863,'path','/ar/user/register','8.6.2'),(850,864,'path','/ar/user/register','8.6.2'),(851,865,'path','/ar/user/register','8.6.2'),(852,866,'path','/ar/user/register','8.6.2'),(853,867,'path','/ar/user/register','8.6.2'),(854,868,'path','/ar/user/register','8.6.2'),(855,869,'path','/ar/user/register','8.6.2'),(856,870,'path','/ar/user/register','8.6.2'),(857,871,'path','/ar/user/register','8.6.2'),(858,872,'path','/ar/user/register','8.6.2'),(859,873,'path','/ar/user/register','8.6.2'),(860,874,'path','/ar/user/register','8.6.2'),(861,875,'path','/ar/user/register','8.6.2'),(862,876,'path','/ar/user/register','8.6.2'),(863,877,'path','/ar/user/register','8.6.2'),(864,878,'path','/ar/user/register','8.6.2'),(865,879,'path','/ar/user/register','8.6.2'),(866,880,'path','/ar/user/register','8.6.2'),(867,881,'path','/ar/user/register','8.6.2'),(868,882,'path','/ar/user/register','8.6.2'),(869,883,'path','/ar/user/register','8.6.2'),(870,884,'path','/ar/user/register','8.6.2'),(871,885,'path','/ar/user/register','8.6.2'),(872,886,'path','/ar/user/register','8.6.2'),(873,887,'path','/ar/user/register','8.6.2'),(874,888,'path','/ar/user/register','8.6.2'),(875,889,'path','/ar/user/register','8.6.2'),(876,890,'path','/ar/user/register','8.6.2'),(877,891,'path','/ar/user/register','8.6.2'),(878,892,'path','/ar/user/register','8.6.2'),(879,893,'path','/ar/user/register','8.6.2'),(880,894,'path','/ar/user/register','8.6.2'),(881,895,'path','/ar/user/register','8.6.2'),(882,896,'path','/ar/user/register','8.6.2'),(883,897,'path','/ar/user/register','8.6.2'),(884,898,'path','/ar/user/register','8.6.2'),(885,899,'path','/ar/user/register','8.6.2'),(886,900,'path','/ar/user/register','8.6.2'),(887,901,'path','/ar/user/register','8.6.2'),(888,902,'path','/ar/user/register','8.6.2'),(889,903,'path','/ar/user/register','8.6.2'),(890,904,'path','/ar/user/register','8.6.2'),(891,905,'path','/ar/user/register','8.6.2'),(892,906,'path','/ar/user/register','8.6.2'),(893,907,'path','/ar/user/register','8.6.2'),(894,908,'path','/ar/user/register','8.6.2'),(895,909,'path','/ar/user/register','8.6.2'),(896,910,'path','/ar/user/register','8.6.2'),(897,911,'path','/ar/user/register','8.6.2'),(898,912,'path','/ar/user/register','8.6.2'),(899,913,'path','/ar/user/register','8.6.2'),(900,914,'path','/ar/user/register','8.6.2'),(901,915,'path','/ar/user/register','8.6.2'),(902,916,'path','/ar/user/register','8.6.2'),(903,917,'path','/ar/user/register','8.6.2'),(904,918,'path','/ar/user/register','8.6.2'),(905,919,'path','/ar/user/register','8.6.2'),(906,920,'path','/ar/user/register','8.6.2'),(907,921,'path','/ar/user/register','8.6.2'),(908,922,'path','/ar/user/register','8.6.2'),(909,923,'path','/ar/user/register','8.6.2'),(910,924,'path','/ar/user/register','8.6.2'),(911,925,'path','/ar/user/register','8.6.2'),(912,926,'path','/ar/user/register','8.6.2'),(913,927,'path','/ar/user/register','8.6.2'),(914,928,'path','/ar/user/register','8.6.2'),(915,929,'path','/ar/user/register','8.6.2'),(916,930,'path','/ar/user/register','8.6.2'),(917,931,'path','/ar/user/register','8.6.2'),(918,932,'path','/ar/user/register','8.6.2'),(919,933,'path','/ar/user/register','8.6.2'),(920,934,'path','/ar/user/register','8.6.2'),(921,935,'path','/ar/user/register','8.6.2'),(922,936,'path','/ar/user/register','8.6.2'),(923,937,'path','/ar/user/register','8.6.2'),(924,938,'path','/ar/user/register','8.6.2'),(925,939,'path','/ar/user/register','8.6.2'),(926,940,'path','/ar/user/register','8.6.2'),(927,941,'path','/ar/user/register','8.6.2'),(928,942,'path','/ar/user/register','8.6.2'),(929,943,'path','/ar/user/register','8.6.2'),(930,944,'path','/ar/user/register','8.6.2'),(931,945,'path','/ar/user/register','8.6.2'),(932,946,'path','/ar/user/register','8.6.2'),(933,947,'path','/ar/user/register','8.6.2'),(934,948,'path','/ar/user/register','8.6.2'),(935,949,'path','/ar/user/register','8.6.2'),(936,950,'path','/ar/user/register','8.6.2'),(937,951,'path','/ar/user/register','8.6.2'),(938,952,'path','/ar/user/register','8.6.2'),(939,953,'path','/ar/user/register','8.6.2'),(940,954,'path','/ar/user/register','8.6.2'),(941,955,'path','/ar/user/register','8.6.2'),(942,956,'path','/ar/user/register','8.6.2'),(943,957,'path','/ar/user/register','8.6.2'),(944,958,'path','/ar/user/register','8.6.2'),(945,959,'path','/ar/user/register','8.6.2'),(946,960,'path','/ar/user/register','8.6.2'),(947,961,'path','/ar/user/register','8.6.2'),(948,962,'path','/ar/user/register','8.6.2'),(949,963,'path','/ar/user/register','8.6.2'),(950,964,'path','/ar/user/register','8.6.2'),(951,965,'path','/ar/user/register','8.6.2'),(952,966,'path','/ar/user/register','8.6.2'),(953,967,'path','/ar/user/register','8.6.2'),(954,968,'path','/ar/user/register','8.6.2'),(955,969,'path','/ar/user/register','8.6.2'),(956,970,'path','/ar/user/register','8.6.2'),(957,971,'path','/ar/user/register','8.6.2'),(958,972,'path','/ar/user/register','8.6.2'),(959,973,'path','/ar/user/register','8.6.2'),(960,974,'path','/ar/user/register','8.6.2'),(961,975,'path','/ar/user/register','8.6.2'),(962,976,'path','/ar/user/register','8.6.2'),(963,977,'path','/ar/user/register','8.6.2'),(964,978,'path','/ar/user/register','8.6.2'),(965,979,'path','/ar/user/register','8.6.2'),(966,980,'path','/ar/user/register','8.6.2'),(967,981,'path','/ar/user/register','8.6.2'),(968,982,'path','/ar/user/register','8.6.2'),(969,983,'path','/ar/user/register','8.6.2'),(970,984,'path','/ar/user/register','8.6.2'),(971,985,'path','/ar/user/register','8.6.2'),(972,986,'path','/ar/user/register','8.6.2'),(973,987,'path','/ar/user/register','8.6.2'),(974,988,'path','/ar/user/register','8.6.2'),(975,989,'path','/ar/user/register','8.6.2'),(976,990,'path','/ar/user/register','8.6.2'),(977,991,'path','/ar/user/register','8.6.2'),(978,992,'path','/ar/user/register','8.6.2'),(979,993,'path','/ar/user/register','8.6.2'),(980,994,'path','/ar/user/register','8.6.2'),(981,995,'path','/ar/user/register','8.6.2'),(982,996,'path','/ar/user/register','8.6.2'),(983,997,'path','/ar/user/register','8.6.2'),(984,998,'path','/ar/user/register','8.6.2'),(985,999,'path','/ar/user/register','8.6.2'),(986,1000,'path','/ar/user/register','8.6.2'),(987,1001,'path','/ar/user/register','8.6.2'),(988,1002,'path','/ar/user/register','8.6.2'),(989,1003,'path','/ar/user/register','8.6.2'),(990,1004,'path','/ar/user/register','8.6.2'),(991,1005,'path','/ar/user/register','8.6.2'),(992,1006,'path','/ar/user/register','8.6.2'),(993,1007,'path','/ar/user/register','8.6.2'),(994,1008,'path','/ar/user/register','8.6.2'),(995,1009,'path','/ar/user/register','8.6.2'),(996,1010,'path','/ar/user/register','8.6.2'),(997,1011,'path','/ar/user/register','8.6.2'),(998,1012,'path','/ar/user/register','8.6.2'),(999,1013,'path','/ar/user/register','8.6.2'),(1000,1014,'path','/ar/user/register','8.6.2'),(1001,1015,'path','/ar/user/register','8.6.2'),(1002,1016,'path','/ar/user/register','8.6.2'),(1003,1017,'path','/ar/user/register','8.6.2'),(1004,1018,'path','/ar/user/register','8.6.2'),(1005,1019,'path','/ar/user/register','8.6.2'),(1006,1020,'path','/ar/user/register','8.6.2'),(1007,1021,'path','/ar/user/register','8.6.2'),(1008,1022,'path','/ar/user/register','8.6.2'),(1009,1023,'path','/ar/user/register','8.6.2'),(1010,1024,'path','/ar/user/register','8.6.2'),(1011,1025,'path','/ar/user/register','8.6.2'),(1012,1026,'path','/ar/user/register','8.6.2'),(1013,1027,'path','/ar/user/register','8.6.2'),(1014,1028,'path','/ar/user/register','8.6.2'),(1015,1029,'path','/ar/user/register','8.6.2'),(1016,1030,'path','/ar/user/register','8.6.2'),(1017,1031,'path','/ar/user/register','8.6.2'),(1018,1032,'path','/ar/user/register','8.6.2'),(1019,1033,'path','/ar/user/register','8.6.2'),(1020,1034,'path','/ar/user/register','8.6.2'),(1021,1035,'path','/ar/user/register','8.6.2'),(1022,1036,'path','/ar/user/register','8.6.2'),(1023,1037,'path','/ar/user/register','8.6.2'),(1024,1038,'path','/ar/user/register','8.6.2'),(1025,1039,'path','/ar/user/register','8.6.2'),(1026,1040,'path','/ar/user/register','8.6.2'),(1027,1041,'path','/ar/user/register','8.6.2'),(1028,1042,'path','/ar/user/register','8.6.2'),(1029,1043,'path','/ar/user/register','8.6.2'),(1030,1044,'path','/ar/user/register','8.6.2'),(1031,1045,'path','/ar/user/register','8.6.2'),(1032,1046,'path','/ar/user/register','8.6.2'),(1033,1047,'path','/ar/user/register','8.6.2'),(1034,1048,'path','/ar/user/register','8.6.2'),(1035,1049,'path','/ar/user/register','8.6.2'),(1036,1050,'path','/ar/user/register','8.6.2'),(1037,1051,'path','/ar/user/register','8.6.2'),(1038,1052,'path','/ar/user/register','8.6.2'),(1039,1053,'path','/ar/user/register','8.6.2'),(1040,1054,'path','/ar/user/register','8.6.2'),(1041,1055,'path','/ar/user/register','8.6.2'),(1042,1056,'path','/ar/user/register','8.6.2'),(1043,1057,'path','/ar/user/register','8.6.2'),(1044,1058,'path','/ar/user/register','8.6.2'),(1045,1059,'path','/ar/user/register','8.6.2'),(1046,1060,'path','/ar/user/register','8.6.2'),(1047,1061,'path','/ar/user/register','8.6.2'),(1048,1062,'path','/ar/user/register','8.6.2'),(1049,1063,'path','/ar/user/register','8.6.2'),(1050,1064,'path','/ar/user/register','8.6.2'),(1051,1065,'path','/ar/user/register','8.6.2'),(1052,1066,'path','/ar/user/register','8.6.2'),(1053,1067,'path','/ar/user/register','8.6.2'),(1054,1068,'path','/ar/user/register','8.6.2'),(1055,1069,'path','/ar/user/register','8.6.2'),(1056,1070,'path','/ar/user/register','8.6.2'),(1057,1071,'path','/ar/user/register','8.6.2'),(1058,1072,'path','/ar/user/register','8.6.2'),(1059,1073,'path','/ar/user/register','8.6.2'),(1060,1074,'path','/ar/user/register','8.6.2'),(1061,1075,'path','/ar/user/register','8.6.2'),(1062,1076,'path','/ar/user/register','8.6.2'),(1063,1077,'path','/ar/user/register','8.6.2'),(1064,1078,'path','/ar/user/register','8.6.2'),(1065,1079,'path','/ar/user/register','8.6.2'),(1066,1080,'path','/ar/user/register','8.6.2'),(1067,1081,'path','/ar/user/register','8.6.2'),(1068,1082,'path','/ar/user/register','8.6.2'),(1069,1083,'path','/ar/user/register','8.6.2'),(1070,1084,'path','/ar/user/register','8.6.2'),(1071,1085,'path','/ar/user/register','8.6.2'),(1072,1086,'path','/ar/user/register','8.6.2'),(1073,1087,'path','/ar/user/register','8.6.2'),(1074,1088,'path','/ar/user/register','8.6.2'),(1075,1089,'path','/ar/user/register','8.6.2'),(1076,1090,'path','/ar/user/register','8.6.2'),(1077,1091,'path','/ar/user/register','8.6.2'),(1078,1092,'path','/ar/user/register','8.6.2'),(1079,1093,'path','/ar/user/register','8.6.2'),(1080,1094,'path','/ar/user/register','8.6.2'),(1081,1095,'path','/ar/user/register','8.6.2'),(1082,1096,'path','/ar/user/register','8.6.2'),(1083,1097,'path','/ar/user/register','8.6.2'),(1084,1098,'path','/ar/user/register','8.6.2'),(1085,1099,'path','/ar/user/register','8.6.2'),(1086,1100,'path','/ar/user/register','8.6.2'),(1087,1101,'path','/ar/user/register','8.6.2'),(1088,1102,'path','/ar/user/register','8.6.2'),(1089,1103,'path','/ar/user/register','8.6.2'),(1090,1104,'path','/ar/user/register','8.6.2'),(1091,1105,'path','/ar/user/register','8.6.2'),(1092,1106,'path','/ar/user/register','8.6.2'),(1093,1107,'path','/ar/user/register','8.6.2'),(1094,1108,'path','/ar/user/register','8.6.2'),(1095,1109,'path','/ar/user/register','8.6.2'),(1096,1110,'configuration','user.mail','8.8.2'),(1097,167,'javascript','core/misc/entity-form.js','9.4.8'),(1098,168,'javascript','core/misc/entity-form.js','9.4.8'),(1099,173,'javascript','core/misc/entity-form.js','9.4.8'),(1100,174,'javascript','core/misc/entity-form.js','9.4.8'),(1101,175,'javascript','core/misc/entity-form.js','9.4.8'),(1102,176,'javascript','core/misc/entity-form.js','9.4.8'),(1103,181,'javascript','core/modules/tour/js/tour.js','9.4.8'),(1104,1111,'javascript','core/modules/block/js/block.admin.js','9.2.8'),(1105,1112,'javascript','core/modules/menu_ui/menu_ui.js','9.4.8'),(1106,1113,'configuration','user.mail','9.4.5'),(1107,1114,'javascript','core/modules/quickedit/js/theme.js','9.4.8'),(1108,252,'javascript','core/modules/quickedit/js/theme.js','9.4.8'),(1109,642,'javascript','modules/contrib/module_filter/js/module_filter.update_status.js','9.4.5'),(1110,643,'javascript','modules/contrib/module_filter/js/module_filter.update_status.js','9.4.5'),(1111,651,'javascript','modules/contrib/module_filter/js/module_filter.update_status.js','9.4.5'),(1112,642,'javascript','modules/contrib/module_filter/js/module_filter.modules.js','9.4.8'),(1113,643,'javascript','modules/contrib/module_filter/js/module_filter.modules.js','9.4.8'),(1114,644,'javascript','modules/contrib/module_filter/js/module_filter.modules.js','9.4.8'),(1115,645,'javascript','modules/contrib/module_filter/js/module_filter.modules_tabs.js','9.4.8'),(1116,646,'javascript','modules/contrib/module_filter/js/module_filter.modules_tabs.js','9.4.8'),(1117,647,'javascript','modules/contrib/module_filter/js/module_filter.modules_tabs.js','9.4.8'),(1118,648,'javascript','modules/contrib/module_filter/js/module_filter.modules_tabs.js','9.4.8'),(1119,649,'javascript','modules/contrib/module_filter/js/module_filter.modules_tabs.js','9.4.8'),(1120,650,'javascript','modules/contrib/module_filter/js/module_filter.modules_tabs.js','9.4.8'),(1121,1159,'configuration','system.action.component_item_delete_action','9.4.8'),(1122,1160,'configuration','system.action.component_wrapper_delete_action','9.4.8'),(1123,1161,'configuration','taxonomy.vocabulary.component_types','9.4.8'),(1124,1162,'configuration','simplenews.settings','9.4.8'),(1125,1163,'configuration','simplenews.settings','9.4.8'),(1126,1164,'configuration','simplenews.settings','9.4.8'),(1127,1165,'configuration','simplenews.settings','9.4.8'),(1128,616,'javascript','modules/contrib/token/js/token.js','9.4.8'),(1129,617,'javascript','modules/contrib/token/js/token.js','9.4.8'),(1130,1166,'path','/ar','9.4.8'),(1131,1167,'path','/ar','9.4.8'),(1132,1168,'path','/ar','9.4.8'),(1133,1169,'path','/ar','9.4.8'),(1134,1170,'path','/ar','9.4.8'),(1135,1171,'path','/ar','9.4.8'),(1136,1172,'path','/ar','9.4.8'),(1137,1173,'path','/ar','9.4.8'),(1138,1174,'path','/ar','9.4.8'),(1139,1175,'path','/ar','9.4.8'),(1140,1176,'path','/ar','9.4.8'),(1141,1177,'path','/ar','9.4.8'),(1142,1178,'path','/ar','9.4.8'),(1143,1179,'path','/ar','9.4.8'),(1144,1180,'path','/ar','9.4.8'),(1145,1181,'path','/ar','9.4.8'),(1146,1182,'path','/ar','9.4.8'),(1147,1183,'path','/ar','9.4.8'),(1148,1184,'path','/ar','9.4.8'),(1149,1185,'path','/ar','9.4.8'),(1150,1186,'path','/ar','9.4.8'),(1151,1187,'path','/ar','9.4.8'),(1152,1188,'path','/ar','9.4.8'),(1153,1189,'path','/ar','9.4.8'),(1154,1190,'path','/ar','9.4.8'),(1155,1191,'path','/ar','9.4.8'),(1156,1192,'path','/ar','9.4.8'),(1157,1193,'path','/ar','9.4.8'),(1158,1194,'path','/ar','9.4.8'),(1159,1195,'path','/ar','9.4.8'),(1160,1196,'path','/ar','9.4.8'),(1161,1197,'path','/ar','9.4.8'),(1162,1198,'path','/ar','9.4.8'),(1163,1199,'path','/ar','9.4.8'),(1164,1200,'path','/ar','9.4.8'),(1165,1201,'path','/ar','9.4.8'),(1166,1202,'path','/ar','9.4.8'),(1167,1203,'path','/ar/contextual/render','9.4.8');
/*!40000 ALTER TABLE `locales_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) CHARACTER SET ascii NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=1204 DEFAULT CHARSET=utf8mb4 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'Image','','9.4.8'),(2,'Link','','9.4.8'),(3,'Unlink','','9.4.8'),(4,'Edit Link','','9.4.8'),(5,'English','','8.1.0'),(6,'Not specified','','8.1.0'),(7,'Not applicable','','8.1.0'),(8,'Confirmation for [simplenews-newsletter:name] from [site:name]','','8.1.0'),(9,'We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name] newsletter on [site:name] website at [site:url]. To confirm please use the link below. \n\n [simplenews-subscriber:subscribe-url]','','8.1.0'),(10,'We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name]  newsletter on [site:name] website at [site:url]. However, this email is already subscribed to this newsletter. If you intended to unsubscribe please visit our site: [site:url]','','8.1.0'),(11,'We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:unsubscribe-url]','','8.1.0'),(12,'We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. However, this email is not subscribed to this mailing list. If you intended to subscribe please visit our site at [site:url]','','8.1.0'),(13,'Confirmation for [site:name]','','8.1.0'),(14,'We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nTo confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]','','8.1.0'),(15,'We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nNo confirmation necessary because all requested changes equal the current state.','','8.1.0'),(16,'Subscribe to [simplenews-newsletter:name]','','8.1.0'),(17,'Already subscribed to [simplenews-newsletter:name]','','8.1.0'),(18,'Unsubscribe from [simplenews-newsletter:name]','','8.1.0'),(19,'Already unsubscribed from [simplenews-newsletter:name]','','8.1.0'),(20,'@site is currently under maintenance. We should be back shortly. Thank you for your patience.','','8.1.0'),(21,'[user:display-name],\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team','','8.1.0'),(22,'Account cancellation request for [user:display-name] at [site:name]','','8.1.0'),(23,'[user:display-name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\n\n--  [site:name] team','','8.1.0'),(24,'Replacement login information for [user:display-name] at [site:name]','','8.1.0'),(25,'[user:display-name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','8.1.0'),(26,'An administrator created an account for you at [site:name]','','8.1.0'),(27,'[user:display-name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','8.1.0'),(28,'Account details for [user:display-name] at [site:name]','','8.1.0'),(29,'[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team','','8.1.0'),(30,'Account details for [user:display-name] at [site:name] (pending admin approval)','','8.1.0'),(31,'[user:display-name] has applied for an account.\n\n[user:edit-url]','','8.1.0'),(32,'[user:display-name],\n\nYour account at [site:name] has been activated.\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:account-name]\npassword: Your password\n\n--  [site:name] team','','8.1.0'),(33,'Account details for [user:display-name] at [site:name] (approved)','','8.1.0'),(34,'[user:display-name],\n\nYour account on [site:name] has been blocked.\n\n--  [site:name] team','','8.1.0'),(35,'Account details for [user:display-name] at [site:name] (blocked)','','8.1.0'),(36,'[user:display-name],\n\nYour account on [site:name] has been canceled.\n\n--  [site:name] team','','8.1.0'),(37,'Account details for [user:display-name] at [site:name] (canceled)','','8.1.0'),(38,'Anonymous','','8.1.0'),(39,'Adding languages','','8.1.0'),(40,'<p>This page provides the ability to add common languages to your site.</p><p>If the desired language is not available, you can add a custom language.</p>','','8.1.0'),(41,'Select language','','8.1.0'),(42,'<p>Choose a language from the list, or choose \"Custom language...\" at the end of the list.</p><p>Click the \"Add language\" button when you are done choosing your language.</p><p>When adding a custom language, you will get an additional form where you can provide the name, code, and direction of the language.</p>','','8.1.0'),(43,'Continuing on','','8.1.0'),(44,'<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.1.0'),(45,'Editing languages','','8.1.0'),(46,'<p>This page provides the ability to edit a language on your site, including custom languages.</p>','','8.1.0'),(47,'Language code','','8.1.0'),(48,'<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>','','8.1.0'),(49,'Language name','','8.1.0'),(50,'<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>','','8.1.0'),(51,'Language direction','','8.1.0'),(52,'<p>Choose if the language is a \"Left to right\" or \"Right to left\" language.</p><p>Note that not all themes support \"Right to left\" layouts, so test your theme if you are using \"Right to left\".</p>','','8.1.0'),(53,'<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.1.0'),(54,'Language','','9.4.8'),(55,'Languages','','9.4.8'),(56,'<p>The \"Languages\" page allows you to add, edit, delete, and reorder languages for the site.</p>','','8.1.0'),(57,'<p>To add more languages to your site, click the \"Add language\" button.</p><p>Added languages will be displayed in the language list and can then be edited or deleted.</p>','','8.1.0'),(58,'Reordering languages','','8.1.0'),(59,'<p>To reorder the languages on your site, use the drag icons next to each language.</p><p>The order shown here is the display order for language lists on the site such as in the language switcher blocks provided by the Interface Translation and Content Translation modules.</p><p>When you are done with reordering the languages, click the \"Save configuration\" button for the changes to take effect.</p>','','8.1.0'),(60,'Set a language as default','','8.1.0'),(61,'<p>You can change the default language of the site by choosing one of your configured languages as default. The site will use the default language in situations where no choice is made but a language should be set, for example as the language of the displayed interface.</p>','','8.1.0'),(62,'Modifying languages','','8.1.0'),(63,'<p>Operations are provided for editing and deleting your languages.</p><p>You can edit the name and the direction of the language.</p><p>Deleted languages can be added back at a later time. Deleting a language will remove all interface translations associated with it, and content in this language will be set to be language neutral. Note that you cannot delete the default language of the site.</p>','','8.1.0'),(64,'<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]/admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>','','8.1.0'),(65,'Translation','','8.1.3'),(66,'User interface translation','','9.4.8'),(67,'This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]/admin/config/regional/language\">Languages page</a>, in order to use this page.','','8.1.0'),(68,'Translation language','','8.1.0'),(69,'Choose the language you want to translate.','','8.1.0'),(70,'Search','','9.4.8'),(71,'Enter the specific word or sentence you want to translate, you can also write just a part of a word.','','8.1.0'),(72,'Filter the search','','8.1.0'),(73,'You can search for untranslated strings if you want to translate something that isn\'t translated yet. If you want to modify an existing translation, you might want to search only for translated strings.','','8.1.0'),(74,'Apply your search criteria','','8.1.0'),(75,'To apply your search criteria, click on the <em>Filter</em> button.','','8.1.0'),(76,'Translate','','9.4.8'),(77,'You can write your own translation in the text fields of the right column. Try to figure out in which context the text will be used in order to translate it in the appropriate way.','','8.1.0'),(78,'Validate the translation','','8.1.0'),(79,'When you have finished your translations, click on the <em>Save translations</em> button. You must save your translations, each time before changing the page or making a new search.','','8.1.0'),(80,'The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]/admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]/admin/config/regional/translate/import\">import them</a> later.','','8.1.0'),(81,'Arabic','','8.1.0'),(82,'Skip to main content','','9.4.8'),(83,'Site header','','9.4.8'),(84,'Block','','9.4.8'),(85,'Custom block type','','9.4.8'),(86,'Comment type','','9.4.8'),(87,'Contact form','','8.6.2'),(88,'Text format','','8.6.2'),(89,'Image style','','8.6.2'),(90,'Content type','','9.4.8'),(91,'Search page','','8.6.2'),(92,'Shortcut set','','9.4.8'),(93,'Simplenews newsletter','','9.4.8'),(94,'Menu','','9.4.8'),(95,'Taxonomy vocabulary','','8.6.2'),(96,'Role','','8.6.2'),(97,'View','View entity type','9.4.8'),(98,'Date format','','9.4.8'),(99,'Form mode','','9.4.8'),(100,'View mode','','9.4.8'),(101,'Configure block','','9.4.8'),(102,'Edit','','9.4.8'),(103,'Delete','','9.4.8'),(104,'Edit menu','','9.4.8'),(105,'Edit view','','9.4.8'),(106,'Enter caption here','','9.4.8'),(107,'Insert Image','','9.4.8'),(108,'Edit Image','','9.4.8'),(109,'Add Link','','9.4.8'),(110,'Open','','9.4.8'),(111,'Close','','9.4.8'),(112,'@action @title configuration options','','9.4.8'),(113,'!modules modules are available in the modified list.','','8.4.2'),(114,'An AJAX HTTP error occurred.','','9.4.8'),(115,'HTTP Result Code: !status','','9.4.8'),(116,'An AJAX HTTP request terminated abnormally.','','9.4.8'),(117,'Debugging information follows.','','9.4.8'),(118,'Path: !uri','','9.4.8'),(119,'StatusText: !statusText','','9.4.8'),(120,'ResponseText: !responseText','','9.4.8'),(121,'ReadyState: !readyState','','9.4.8'),(122,'CustomMessage: !customMessage','','9.4.8'),(123,'Please wait...','','9.4.8'),(124,'The response failed verification so will not be processed.','','9.4.8'),(125,'The callback URL is not local and not trusted: !url','','9.4.8'),(126,'Changed','','9.4.8'),(127,'@count items added to @container','','8.3.5'),(128,'Extend','','9.4.8'),(129,'Collapse','','9.4.8'),(130,'@label','','9.4.8'),(131,'Horizontal orientation','','9.4.8'),(132,'Vertical orientation','','9.4.8'),(133,'The toolbar cannot be set to a horizontal orientation when it is locked.','','9.4.8'),(134,'Tray orientation changed to @orientation.','','9.4.8'),(135,'closed','','9.4.8'),(136,'opened','','9.4.8'),(137,'Tray \"@tray\" @action.','','9.4.8'),(138,'Tray @action.','','9.4.8'),(139,'Tabbing is no longer constrained by the Contextual module.','','9.4.8'),(140,'Tabbing is constrained to a set of @contextualsCount and the edit mode toggle.','','9.4.8'),(141,'Press the esc key to exit.','','9.4.8'),(142,'@count contextual link@count contextual links','','9.4.8'),(143,'!tour_item of !total','','9.4.8'),(144,'End tour','','9.4.8'),(145,'Home','','9.4.8'),(146,'Quick edit','','9.4.8'),(147,'OK','','9.4.8'),(148,'Could not load the form for <q>@field-label</q>, either due to a website problem or a network connection problem.<br>Please try again.','','9.4.8'),(149,'Network problem!','','9.4.8'),(150,'Your changes to <q>@entity-title</q> could not be saved, either due to a website problem or a network connection problem.<br>Please try again.','','9.4.8'),(151,'You have unsaved changes','','9.4.8'),(152,'Discard changes?','','9.4.8'),(153,'Save','','9.4.8'),(154,'Discard changes','','9.4.8'),(155,'Saving','','9.4.8'),(156,'Are you sure you want to reset your theme settings to default theme settings?','','9.4.8'),(157,'Keywords','','9.4.8'),(158,'Your name','','9.4.8'),(159,'Your email address','','9.4.8'),(160,'1 new comment@count new comments','','9.4.8'),(161,'Show all columns','','9.4.8'),(162,'Hide lower priority columns','','9.4.8'),(163,'Show table cells that were hidden to make the table fit within a small screen.','','9.4.8'),(164,'List additional actions','','9.4.8'),(165,'Select all rows in this table','','9.4.8'),(166,'Deselect all rows in this table','','9.4.8'),(167,'New revision','','9.4.8'),(168,'No revision','','9.4.8'),(169,'By @name on @date','','9.4.8'),(170,'By @name','','9.4.8'),(171,'Authored on @date','','9.4.8'),(172,'Not promoted','','9.4.8'),(173,'Needs to be updated','','9.4.8'),(174,'Does not need to be updated','','9.4.8'),(175,'Flag other translations as outdated','','9.4.8'),(176,'Do not flag other translations as outdated','','9.4.8'),(177,'Hide','','9.4.8'),(178,'Show','','9.4.8'),(179,'Done','','8.1.3'),(180,'Prev','','8.1.3'),(181,'Next','','9.4.8'),(182,'Today','','8.1.3'),(183,'January','Long month name','8.1.3'),(184,'February','Long month name','8.1.3'),(185,'March','Long month name','8.1.3'),(186,'April','Long month name','8.1.3'),(187,'May','Long month name','8.1.3'),(188,'June','Long month name','8.1.3'),(189,'July','Long month name','8.1.3'),(190,'August','Long month name','8.1.3'),(191,'September','Long month name','8.1.3'),(192,'October','Long month name','8.1.3'),(193,'November','Long month name','8.1.3'),(194,'December','Long month name','8.1.3'),(195,'Jan','','8.1.3'),(196,'Feb','','8.1.3'),(197,'Mar','','8.1.3'),(198,'Apr','','8.1.3'),(199,'May','','8.1.3'),(200,'Jun','','8.1.3'),(201,'Jul','','8.1.3'),(202,'Aug','','8.1.3'),(203,'Sep','','8.1.3'),(204,'Oct','','8.1.3'),(205,'Nov','','8.1.3'),(206,'Dec','','8.1.3'),(207,'Sunday','','8.1.3'),(208,'Monday','','8.1.3'),(209,'Tuesday','','8.1.3'),(210,'Wednesday','','8.1.3'),(211,'Thursday','','8.1.3'),(212,'Friday','','8.1.3'),(213,'Saturday','','8.1.3'),(214,'Sun','','8.1.3'),(215,'Mon','','8.1.3'),(216,'Tue','','9.4.8'),(217,'Wed','','8.1.3'),(218,'Thu','','8.4.2'),(219,'Fri','','8.1.3'),(220,'Sat','','8.1.3'),(221,'Su','','8.1.3'),(222,'Mo','','8.1.3'),(223,'Tu','','8.1.3'),(224,'We','','8.1.3'),(225,'Th','','8.1.3'),(226,'Fr','','8.1.3'),(227,'Sa','','8.1.3'),(228,'mm/dd/yy','','8.1.3'),(229,'Alias: @alias','','9.4.8'),(230,'No alias','','9.4.8'),(231,'The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','9.2.8'),(232,'Changing the text format to %text_format will permanently remove content that is not allowed in that text format.<br><br>Save your changes before switching the text format to avoid losing data.','','9.4.8'),(233,'Change text format?','','9.4.8'),(234,'Continue','','9.4.8'),(235,'Cancel','','9.4.8'),(236,'Rich Text Editor, !label field','','9.4.8'),(237,'Loading...','','9.4.8'),(238,'Hide summary','','9.4.8'),(239,'Edit summary','','9.4.8'),(240,'The time that the node was created.','','8.1.3'),(241,'The username of the content author.','','8.1.3'),(242,'Briefly describe the changes you have made.','','8.1.3'),(243,'(this translation)','','8.1.3'),(244,'Save and keep published','','8.1.3'),(245,'Save and unpublish','','8.1.3'),(246,'Last saved','','8.1.3'),(247,'Author','','8.1.3'),(248,'all languages','','8.1.3'),(249,'Revision log message','','8.1.3'),(250,'Revision information','','8.1.3'),(251,'Create new revision','','8.1.3'),(252,'Title','','9.4.8'),(253,'Summary','','8.1.3'),(254,'Leave blank to use trimmed value of full text as the summary.','','8.1.3'),(255,'About text formats','','8.1.6'),(256,'Allowed HTML tags: @tags','','8.1.6'),(257,'Lines and paragraphs break automatically.','','8.1.6'),(258,'Web page addresses and email addresses turn into links automatically.','','8.1.6'),(259,'@size KB','','8.6.2'),(260,'The title is used as a tool tip when the user hovers the mouse over the image.','','8.1.3'),(261,'Remove','','8.1.3'),(262,'URL','','8.1.3'),(263,'Start typing the title of a piece of content to select it. You can also enter an internal path such as %add-node or an external URL such as %url. Enter %front to link to the front page.','','8.1.3'),(264,'Link text','','8.1.3'),(265,'Published','','8.1.3'),(266,'URL alias','','8.1.3'),(267,'The alternative URL for this content. Use a relative path. For example, enter \"/about\" for the about page.','','8.1.3'),(268,'URL path settings','','8.1.3'),(269,'Authored by','','9.4.8'),(270,'Date (e.g. @format)','','8.1.3'),(271,'Date','','8.1.3'),(272,'Time (e.g. @format)','','8.1.3'),(273,'Time','','8.1.3'),(274,'Authored on','','9.4.8'),(275,'Format: %format. Leave blank to use the time of form submission.','','8.1.3'),(276,'Authoring information','','8.1.3'),(277,'Promoted to front page','','8.1.3'),(278,'Sticky at top of lists','','8.1.3'),(279,'Promotion options','','8.1.3'),(280,'If you made a significant change, which means the other translations should be updated, you can flag all translations of this content as outdated. This will not change any other property of them, like whether they are published or not.','','8.1.3'),(281,'Leave blank for %anonymous.','','8.1.3'),(282,'Preview','','8.1.6'),(283,'(version @version available)','','8.1.0'),(284,'Out of date','','8.1.3'),(285,'Up to date','','8.4.2'),(286,'There are updates available for your version of Drupal. To ensure the proper functioning of your site, you should update as soon as possible.','','8.1.0'),(287,'See the <a href=\":available_updates\">available updates</a> page for more information and to install your missing updates.','','8.1.3'),(288,'Create %language translation of %title','','8.1.3'),(289,'<em>Edit @type</em> @title','','8.1.3'),(290,'Article','','8.6.2'),(291,'Basic page','','8.6.2'),(292,'Newsletter Issue','','8.6.2'),(293,'Blog','','8.6.2'),(294,'Showcase','','8.6.2'),(295,'Forum topic','','8.6.2'),(296,'Add content','','9.4.8'),(297,'Comments','','9.4.8'),(298,'Content','','9.4.8'),(299,'Add custom block','','9.4.8'),(300,'Custom block library','','9.4.8'),(301,'Types','','8.6.2'),(302,'Block layout','','9.4.8'),(303,'Default comments','','8.6.2'),(304,'Comment_forum','','8.6.2'),(305,'Comment types','','9.4.8'),(306,'Add contact form','','9.4.8'),(307,'Contact','','8.6.2'),(308,'Personal contact form','','8.6.2'),(309,'Contact forms','','9.4.8'),(310,'View modes','','9.4.8'),(311,'Form modes','','9.4.8'),(312,'Display modes','','9.4.8'),(313,'Add menu','','9.4.8'),(314,'Administration','','8.6.2'),(315,'Footer','','9.4.8'),(316,'Main navigation','','8.6.2'),(317,'Tools','','9.4.8'),(318,'User account menu','','8.6.2'),(319,'Anonymous Menu','','8.6.2'),(320,'Categories Menu','','8.6.2'),(321,'Menus','','9.4.8'),(322,'Add content type','','9.4.8'),(323,'Content types','','9.4.8'),(324,'Add vocabulary','','9.4.8'),(325,'Tags','','8.6.2'),(326,'Categories','','8.6.2'),(327,'Forums','','9.4.8'),(328,'Taxonomy','','9.4.8'),(329,'Add new view','','8.6.2'),(330,'Views','','9.4.8'),(331,'Structure','','9.4.8'),(332,'bartik','','8.1.6'),(333,'seven','','8.1.6'),(334,'pinteros','','8.1.6'),(335,'Settings','','9.4.8'),(336,'Install new theme','','9.4.8'),(337,'Update','','9.4.8'),(338,'Appearance','','9.4.8'),(339,'Uninstall','','8.1.3'),(340,'Install new module','','9.4.8'),(341,'File system','','9.4.8'),(342,'Image toolkit','','9.4.8'),(343,'Image styles','','9.4.8'),(344,'Media','','9.4.8'),(345,'RSS publishing','','9.4.8'),(346,'Simplenews','','9.4.8'),(347,'Web services','','9.4.8'),(348,'Maintenance mode','','9.4.8'),(349,'Performance','','9.4.8'),(350,'Logging and errors','','9.4.8'),(351,'Configuration synchronization','','9.4.8'),(352,'Development','','9.4.8'),(353,'Regional settings','','9.4.8'),(354,'Date and time formats','','9.4.8'),(355,'Content language and translation','','9.4.8'),(356,'Configuration translation','','9.4.8'),(357,'Regional and language','','9.4.8'),(358,'URL aliases','','9.4.8'),(359,'Search pages','','9.4.8'),(360,'Search and metadata','','9.4.8'),(361,'Basic site settings','','9.4.8'),(362,'Cron','','9.4.8'),(363,'System','','9.4.8'),(364,'Shortcuts','','9.4.8'),(365,'User interface','','9.4.8'),(366,'Workflow','','9.4.8'),(367,'Text formats and editors','','9.4.8'),(368,'Content authoring','','9.4.8'),(369,'Account settings','','9.4.8'),(370,'Subscriber settings','','9.4.8'),(371,'People','','9.4.8'),(372,'Configuration','','9.4.8'),(373,'Status report','','9.4.8'),(374,'Recent log messages','','9.4.8'),(375,'Top \'page not found\' errors','','9.4.8'),(376,'Top \'access denied\' errors','','9.4.8'),(377,'Field list','','9.4.8'),(378,'Available updates','','9.4.8'),(379,'Views plugins','','9.4.8'),(380,'Top search phrases','','9.4.8'),(381,'Available translation updates','','9.4.8'),(382,'Reports','','9.4.8'),(383,'Help','','9.4.8'),(384,'Add user','','9.4.8'),(385,'Permissions','','9.4.8'),(386,'Add role','','9.4.8'),(387,'Anonymous user','','8.6.2'),(388,'Authenticated user','','8.6.2'),(389,'Administrator','','8.6.2'),(390,'Roles','','9.4.8'),(391,'CSS and Javascript','','8.1.6'),(392,'Plugins','','8.1.6'),(393,'Static caches','','8.1.6'),(394,'Flush all caches','','9.4.8'),(395,'List changes D8','','8.1.3'),(396,'Documentation D8','','8.1.3'),(397,'Drupal.org','','8.6.2'),(398,'Index','','9.4.8'),(399,'Run cron','','9.4.8'),(400,'Run database updates','','8.1.3'),(401,'Log out','','9.4.8'),(402,'List and edit site comments and the comment approval queue.','','9.4.8'),(403,'Find and manage content.','','9.4.8'),(404,'Configure what block content appears in your site\'s sidebars and other regions.','','9.4.8'),(405,'Manage form and displays settings of comments.','','9.4.8'),(406,'Create and manage contact forms.','','9.4.8'),(407,'Create and manage fields, forms, and display settings for your content.','','9.4.8'),(408,'Manage custom form modes.','','9.4.8'),(409,'Manage custom view modes.','','9.4.8'),(410,'Configure what displays are available for your content and forms.','','9.4.8'),(411,'Control forum hierarchy settings.','','9.4.8'),(412,'Manage menus and menu links.','','9.4.8'),(413,'Manage tagging, categorization, and classification of your content.','','9.4.8'),(414,'Manage customized lists of content.','','9.4.8'),(415,'Administer blocks, content types, menus, etc.','','9.4.8'),(416,'Select and configure themes.','','9.4.8'),(417,'Add and enable modules to extend site functionality.','','9.4.8'),(418,'Configure default user account settings, including fields, registration requirements, and email messages.','','9.4.8'),(419,'Administer your subscriber settings.','','9.4.8'),(420,'Configure user accounts.','','9.4.8'),(421,'Change site name, email address, slogan, default front page, and error pages.','','9.4.8'),(422,'Manage automatic site maintenance tasks.','','9.4.8'),(423,'Configure basic site settings, actions, and cron.','','9.4.8'),(424,'Select and configure text editors, and how content is filtered when displayed.','','9.4.8'),(425,'Configure content formatting and authoring.','','9.4.8'),(426,'Add and modify shortcut sets.','','9.4.8'),(427,'Configure the administrative user interface.','','9.4.8'),(428,'Configure caching and bandwidth optimization.','','9.4.8'),(429,'Configure the display of error messages and database logging.','','9.4.8'),(430,'Take the site offline for updates and other maintenance tasks.','','9.4.8'),(431,'Import and export your configuration.','','9.4.8'),(432,'Configure and use development tools.','','9.4.8'),(433,'Configure the location of uploaded files and how they are accessed.','','9.4.8'),(434,'Configure styles that can be used for resizing or adjusting images on display.','','9.4.8'),(435,'Choose which image toolkit to use if you have installed optional toolkits.','','9.4.8'),(436,'Configure search pages and search indexing options.','','9.4.8'),(437,'Add custom URLs to existing paths.','','9.4.8'),(438,'Configure site search, metadata, and search engine optimization.','','9.4.8'),(439,'Configure the locale and timezone settings.','','9.4.8'),(440,'Configure how dates and times are displayed.','','9.4.8'),(441,'Configure languages for content, interface, and configuration.','','9.4.8'),(442,'Configure language and translation support for content.','','9.4.8'),(443,'Configure the import of translation files, and add or customize interface translations.','','9.4.8'),(444,'Translate the configuration.','','9.4.8'),(445,'Configure regional settings, localization, and translation.','','9.4.8'),(446,'Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.','','9.4.8'),(447,'Configure your sites newsletters.','','9.4.8'),(448,'Manage the content workflow.','','9.4.8'),(449,'Administer settings.','','9.4.8'),(450,'Manage user accounts, roles, and permissions.','','9.4.8'),(451,'Get a status report about available updates for your installed modules and themes.','','9.4.8'),(452,'View events that have recently been logged.','','9.4.8'),(453,'Get a status report about available interface translations for your installed modules and themes.','','9.4.8'),(454,'Overview of fields on all entity types.','','9.4.8'),(455,'Get a status report about your site\'s operation.','','9.4.8'),(456,'View \'access denied\' errors (403s).','','9.4.8'),(457,'View \'page not found\' errors (404s).','','9.4.8'),(458,'View most popular search phrases.','','9.4.8'),(459,'Overview of plugins used in all views.','','9.4.8'),(460,'View reports, updates, and errors.','','9.4.8'),(461,'Reference for usage, configuration, and modules.','','9.4.8'),(462,'Toolbar items','','9.4.8'),(463,'Return to site content','','9.4.8'),(464,'Back to site','','9.4.8'),(465,'Admin menu','','9.4.8'),(466,'Manage','','9.4.8'),(467,'Basic block','','8.6.2'),(468,'Manage fields','','9.4.8'),(469,'Manage form display','','9.4.8'),(470,'Manage display','','9.4.8'),(471,'Add new view mode','','8.6.2'),(472,'Add new form mode','','8.6.2'),(473,'Add link','','9.4.8'),(474,'Edit permissions','','9.4.8'),(475,'Edit shortcuts','','9.4.8'),(476,'Tour','','9.4.8'),(477,'My account','','9.4.8'),(478,'User account','','9.4.8'),(479,'Edit user account','','9.4.8'),(480,'View profile','','9.4.8'),(481,'Edit profile','','9.4.8'),(482,'Site administration toolbar','','9.4.8'),(483,'Administration menu','','9.4.8'),(484,'User-defined shortcuts','','9.4.8'),(485,'User account actions','','9.4.8'),(486,'Add to %shortcut_set shortcuts','','8.1.3'),(487,'Breadcrumb','','8.1.3'),(488,'Add','','9.4.8'),(489,'View','','8.6.2'),(490,'@type %title has been updated.','','8.1.3'),(491,'View user profile.','','9.4.8'),(492,'Profile picture for user @username','','8.6.2'),(493,'Submitted by @author_name on @date','','9.4.8'),(494,'Add new comment','','9.4.8'),(495,'Enter the terms you wish to search for.','','9.4.8'),(496,'Revisions','','8.6.2'),(497,'Newsletter','','8.6.2'),(498,'Tabs','','8.6.2'),(499,'Primary tabs','','8.6.2'),(500,'@local-task-title@active','','8.6.2'),(501,'(active tab)','','9.2.2'),(502,'Description','','9.4.8'),(503,'Taxonomy term','','8.6.2'),(504,'1 month@count months','','8.6.2'),(505,'1 week@count weeks','','8.1.6'),(506,'The subscriber\'s email address.','','8.6.2'),(507,'Subscribe','','8.6.2'),(508,'The comment language code.','','8.1.6'),(509,'Status message','','8.1.3'),(510,'Translate @type_name','','9.4.8'),(511,'Share your thoughts and opinions.','','9.4.8'),(512,'Read more<span class=\"visually-hidden\"> about @title</span>','','9.4.8'),(513,'The website encountered an unexpected error. Please try again later.','','8.1.0'),(514,'Re-order rows by numerical weight instead of dragging.','','8.3.5'),(515,'Show row weights','','9.4.8'),(516,'Hide row weights','','9.4.8'),(517,'Drag to re-order','','9.4.8'),(518,'You have unsaved changes.','','9.4.8'),(519,'Remove group','','9.4.8'),(520,'Apply (all displays)','','9.4.8'),(521,'Revert to default','','9.4.8'),(522,'Apply (this display)','','9.4.8'),(523,'Pagination','','9.4.8'),(524,'Current page','','9.4.8'),(525,'Go to page @key','','9.4.8'),(526,'Page','','9.4.8'),(527,'Go to next page','','9.4.8'),(528,'Next page','','9.4.8'),(529,'Go to last page','','9.4.8'),(530,'Last page','','9.4.8'),(531,'Subscribe to @title','','8.4.2'),(532,'Default','','8.1.3'),(533,'new','','9.4.8'),(534,'Permalink','','8.1.0'),(535,'Parent permalink','','8.1.0'),(536,'In reply to @parent_title by @parent_username','','8.1.0'),(537,'Reply','','8.1.0'),(538,'Not restricted','','9.2.8'),(539,'Restricted to certain pages','','9.2.8'),(540,'The block cannot be placed in this region.','','9.2.8'),(541,'<a href=\":login\">Log in</a> or <a href=\":register\">register</a> to post comments','','8.6.2'),(542,'Email','','8.6.2'),(543,'Username','','8.6.2'),(544,'Enter your @s username.','','8.1.0'),(545,'Password','','8.1.0'),(546,'Enter the password that accompanies your username.','','8.1.0'),(547,'Log in','','8.6.2'),(548,'Create new account','','8.6.2'),(549,'Reset your password','','8.6.2'),(550,'Member for','','8.1.0'),(551,'Newsletters','','8.1.0'),(552,'Menu name','','8.1.0'),(553,'A unique name to construct the URL for the menu. It must only contain lowercase letters, numbers and hyphens.','','8.1.0'),(554,'Administrative summary','','8.1.0'),(555,'- @name -','','8.1.0'),(556,'Menu language','','8.1.0'),(557,'Enabled','','8.1.0'),(558,'Operations','','8.1.0'),(559,'Menu link','','8.1.0'),(560,'Weight','','8.1.0'),(561,'Enable @title menu link','','8.1.0'),(562,'Weight for @title','','8.1.0'),(563,'Reset','','8.1.0'),(564,'Edit menu %label','','8.1.0'),(565,'Primary tabs display toggle','','8.1.3'),(566,'Machine name','','8.1.0'),(567,'Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, @url.','','8.1.0'),(568,'Unable to send email. Contact the site administrator if the problem persists.','','8.1.0'),(569,'There are updates available for one or more of your modules or themes. To ensure the proper functioning of your site, you should update as soon as possible.','','8.1.3'),(570,'1 day@count days','','8.1.3'),(571,'This action cannot be undone.','','8.1.3'),(572,'Delete @language translation','','8.1.3'),(573,'Are you sure you want to delete the @language translation of the @entity-type %label?','','8.1.3'),(574,'@language translation of the @type %label has been deleted.','','8.1.3'),(575,'Value','','none'),(576,'Number','','none'),(577,'Parent','','none'),(578,'Parents','','none'),(579,'Name','','none'),(580,'Book','','none'),(581,'Path','','none'),(582,'The name of the menu.','','none'),(583,'Count','','none'),(584,'Arguments','','none'),(585,'Random','','none'),(586,'Node count','','none'),(587,'IP address','','none'),(588,'The size of the file.','','none'),(589,'Current date','','none'),(590,'Machine-readable name','','none'),(591,'Edit URL','','none'),(592,'Previous','','none'),(593,'Disable','','none'),(594,'None','','none'),(595,'Label','','none'),(596,'Region','','none'),(597,'Options','','none'),(598,'Inline','','none'),(599,'Order','','none'),(600,'Hidden','','none'),(601,'Information','','none'),(602,'Blocks','','none'),(603,'Above','','none'),(604,'Context','','none'),(605,'Pager','','none'),(606,'Machine Name','','none'),(607,'UUID','','none'),(608,'Enable','','none'),(609,'Conditions','','none'),(610,'Forum','','none'),(611,'Pattern','','none'),(612,'About','','none'),(613,'Comma','','none'),(614,'Ampersand','','none'),(615,'Update URL alias','','8.1.3'),(616,'Insert this token into your form','','9.4.8'),(617,'First click a text field to insert your tokens into.','','9.4.8'),(618,'Automatic alias','','9.2.2'),(619,'Hide description','','8.1.3'),(620,'Show description','','8.1.3'),(621,'Changes made in this table will not be saved until the form is submitted.','','8.1.3'),(622,'This permission is inherited from the authenticated user role.','','8.1.6'),(623,'Uninstall module','','9.4.8'),(624,'Add a new user','','8.6.2'),(625,'Add a new role','','8.6.2'),(626,'Routing and links','','8.1.6'),(627,'Change records for Drupal core','','8.6.2'),(628,'D8 API documentation','','8.6.2'),(629,'Run CRON','','8.1.6'),(630,'Run updates','','9.4.8'),(631,'Logout','','9.4.8'),(632,'Pathauto pattern','','9.4.8'),(633,'Drupal','','8.3.5'),(634,'<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.3.5'),(635,'<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.3.5'),(636,'<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>','','8.3.5'),(637,'This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]admin/config/regional/language\">Languages page</a>, in order to use this page.','','8.3.5'),(638,'The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]admin/config/regional/translate/import\">import them</a> later.','','8.3.5'),(639,'Vocabulary','','9.4.8'),(640,'@view: @display','','9.4.8'),(641,'1 year@count years','','8.6.2'),(642,'No results','','9.4.8'),(643,'clear','','9.4.8'),(644,'1 module is available in the modified list.@count modules are available in the modified list.','','9.4.8'),(645,'All modules','','9.4.8'),(646,'Recently enabled','','9.4.8'),(647,'Newly available','','9.4.8'),(648,'No modules installed or uninstalled within the last week.','','9.4.8'),(649,'No modules added within the last week.','','9.4.8'),(650,'@enabled of @total','','9.4.8'),(651,'1 project is available in the modified list.@count projects are available in the modified list.','','9.4.5'),(652,'@type_label bundle','','9.4.8'),(653,'Custom menu link','','9.4.8'),(654,'Files','','9.4.8'),(655,'Drupal 8 Mega Menu','','9.4.8'),(656,'Module filter','','9.4.8'),(657,'Used in views','','9.4.8'),(658,'Flush CSS and Javascript','','8.6.2'),(659,'Flush plugins cache','','9.4.8'),(660,'Flush static cache','','9.4.8'),(661,'Flush routing and links cache','','9.4.8'),(662,'Flush render cache','','9.4.8'),(663,'Flush views cache','','9.4.8'),(664,'Flush twig cache','','9.4.8'),(665,'List Of We Mega Menu Items','','9.4.8'),(666,'Settings for the Module Filter module.','','9.4.8'),(667,'Import','','9.4.8'),(668,'Export','','9.4.8'),(669,'Detection and selection','','9.4.8'),(670,'Drupal 8 Mega Menu Configure','','9.4.8'),(671,'One file only.Maximum @count files.','','8.6.2'),(672,'@size limit.','','8.6.2'),(673,'Allowed types: @extensions.','','8.6.2'),(674,'Images larger than <strong>@max</strong> pixels will be resized.','','8.6.2'),(675,'@zone','','8.6.2'),(676,'Africa/Abidjan','','8.6.2'),(677,'Africa/Accra','','8.6.2'),(678,'Africa/Addis Ababa','','8.6.2'),(679,'Africa/Algiers','','8.6.2'),(680,'Africa/Asmara','','8.6.2'),(681,'Africa/Bamako','','8.6.2'),(682,'Africa/Bangui','','8.6.2'),(683,'Africa/Banjul','','8.6.2'),(684,'Africa/Bissau','','8.6.2'),(685,'Africa/Blantyre','','8.6.2'),(686,'Africa/Brazzaville','','8.6.2'),(687,'Africa/Bujumbura','','8.6.2'),(688,'Africa/Cairo','','8.6.2'),(689,'Africa/Casablanca','','8.6.2'),(690,'Africa/Ceuta','','8.6.2'),(691,'Africa/Conakry','','8.6.2'),(692,'Africa/Dakar','','8.6.2'),(693,'Africa/Dar es Salaam','','8.6.2'),(694,'Africa/Djibouti','','8.6.2'),(695,'Africa/Douala','','8.6.2'),(696,'Africa/El Aaiun','','8.6.2'),(697,'Africa/Freetown','','8.6.2'),(698,'Africa/Gaborone','','8.6.2'),(699,'Africa/Harare','','8.6.2'),(700,'Africa/Johannesburg','','8.6.2'),(701,'Africa/Juba','','8.6.2'),(702,'Africa/Kampala','','8.6.2'),(703,'Africa/Khartoum','','8.6.2'),(704,'Africa/Kigali','','8.6.2'),(705,'Africa/Kinshasa','','8.6.2'),(706,'Africa/Lagos','','8.6.2'),(707,'Africa/Libreville','','8.6.2'),(708,'Africa/Lome','','8.6.2'),(709,'Africa/Luanda','','8.6.2'),(710,'Africa/Lubumbashi','','8.6.2'),(711,'Africa/Lusaka','','8.6.2'),(712,'Africa/Malabo','','8.6.2'),(713,'Africa/Maputo','','8.6.2'),(714,'Africa/Maseru','','8.6.2'),(715,'Africa/Mbabane','','8.6.2'),(716,'Africa/Mogadishu','','8.6.2'),(717,'Africa/Monrovia','','8.6.2'),(718,'Africa/Nairobi','','8.6.2'),(719,'Africa/Ndjamena','','8.6.2'),(720,'Africa/Niamey','','8.6.2'),(721,'Africa/Nouakchott','','8.6.2'),(722,'Africa/Ouagadougou','','8.6.2'),(723,'Africa/Porto-Novo','','8.6.2'),(724,'Africa/Sao Tome','','8.6.2'),(725,'Africa/Tripoli','','8.6.2'),(726,'Africa/Tunis','','8.6.2'),(727,'Africa/Windhoek','','8.6.2'),(728,'America/Adak','','8.6.2'),(729,'America/Anchorage','','8.6.2'),(730,'America/Anguilla','','8.6.2'),(731,'America/Antigua','','8.6.2'),(732,'America/Araguaina','','8.6.2'),(733,'America/Argentina/Buenos Aires','','8.6.2'),(734,'America/Argentina/Catamarca','','8.6.2'),(735,'America/Argentina/Cordoba','','8.6.2'),(736,'America/Argentina/Jujuy','','8.6.2'),(737,'America/Argentina/La Rioja','','8.6.2'),(738,'America/Argentina/Mendoza','','8.6.2'),(739,'America/Argentina/Rio Gallegos','','8.6.2'),(740,'America/Argentina/Salta','','8.6.2'),(741,'America/Argentina/San Juan','','8.6.2'),(742,'America/Argentina/San Luis','','8.6.2'),(743,'America/Argentina/Tucuman','','8.6.2'),(744,'America/Argentina/Ushuaia','','8.6.2'),(745,'America/Aruba','','8.6.2'),(746,'America/Asuncion','','8.6.2'),(747,'America/Atikokan','','8.6.2'),(748,'America/Bahia','','8.6.2'),(749,'America/Bahia Banderas','','8.6.2'),(750,'America/Barbados','','8.6.2'),(751,'America/Belem','','8.6.2'),(752,'America/Belize','','8.6.2'),(753,'America/Blanc-Sablon','','8.6.2'),(754,'America/Boa Vista','','8.6.2'),(755,'America/Bogota','','8.6.2'),(756,'America/Boise','','8.6.2'),(757,'America/Cambridge Bay','','8.6.2'),(758,'America/Campo Grande','','8.6.2'),(759,'America/Cancun','','8.6.2'),(760,'America/Caracas','','8.6.2'),(761,'America/Cayenne','','8.6.2'),(762,'America/Cayman','','8.6.2'),(763,'America/Chicago','','8.6.2'),(764,'America/Chihuahua','','8.6.2'),(765,'America/Costa Rica','','8.6.2'),(766,'America/Creston','','8.6.2'),(767,'America/Cuiaba','','8.6.2'),(768,'America/Curacao','','8.6.2'),(769,'America/Danmarkshavn','','8.6.2'),(770,'America/Dawson','','8.6.2'),(771,'America/Dawson Creek','','8.6.2'),(772,'America/Denver','','8.6.2'),(773,'America/Detroit','','8.6.2'),(774,'America/Dominica','','8.6.2'),(775,'America/Edmonton','','8.6.2'),(776,'America/Eirunepe','','8.6.2'),(777,'America/El Salvador','','8.6.2'),(778,'America/Fort Nelson','','8.6.2'),(779,'America/Fortaleza','','8.6.2'),(780,'America/Glace Bay','','8.6.2'),(781,'America/Godthab','','8.6.2'),(782,'America/Goose Bay','','8.6.2'),(783,'America/Grand Turk','','8.6.2'),(784,'America/Grenada','','8.6.2'),(785,'America/Guadeloupe','','8.6.2'),(786,'America/Guatemala','','8.6.2'),(787,'America/Guayaquil','','8.6.2'),(788,'America/Guyana','','8.6.2'),(789,'America/Halifax','','8.6.2'),(790,'America/Havana','','8.6.2'),(791,'America/Hermosillo','','8.6.2'),(792,'America/Indiana/Indianapolis','','8.6.2'),(793,'America/Indiana/Knox','','8.6.2'),(794,'America/Indiana/Marengo','','8.6.2'),(795,'America/Indiana/Petersburg','','8.6.2'),(796,'America/Indiana/Tell City','','8.6.2'),(797,'America/Indiana/Vevay','','8.6.2'),(798,'America/Indiana/Vincennes','','8.6.2'),(799,'America/Indiana/Winamac','','8.6.2'),(800,'America/Inuvik','','8.6.2'),(801,'America/Iqaluit','','8.6.2'),(802,'America/Jamaica','','8.6.2'),(803,'America/Juneau','','8.6.2'),(804,'America/Kentucky/Louisville','','8.6.2'),(805,'America/Kentucky/Monticello','','8.6.2'),(806,'America/Kralendijk','','8.6.2'),(807,'America/La Paz','','8.6.2'),(808,'America/Lima','','8.6.2'),(809,'America/Los Angeles','','8.6.2'),(810,'America/Lower Princes','','8.6.2'),(811,'America/Maceio','','8.6.2'),(812,'America/Managua','','8.6.2'),(813,'America/Manaus','','8.6.2'),(814,'America/Marigot','','8.6.2'),(815,'America/Martinique','','8.6.2'),(816,'America/Matamoros','','8.6.2'),(817,'America/Mazatlan','','8.6.2'),(818,'America/Menominee','','8.6.2'),(819,'America/Merida','','8.6.2'),(820,'America/Metlakatla','','8.6.2'),(821,'America/Mexico City','','8.6.2'),(822,'America/Miquelon','','8.6.2'),(823,'America/Moncton','','8.6.2'),(824,'America/Monterrey','','8.6.2'),(825,'America/Montevideo','','8.6.2'),(826,'America/Montserrat','','8.6.2'),(827,'America/Nassau','','8.6.2'),(828,'America/New York','','8.6.2'),(829,'America/Nipigon','','8.6.2'),(830,'America/Nome','','8.6.2'),(831,'America/Noronha','','8.6.2'),(832,'America/North Dakota/Beulah','','8.6.2'),(833,'America/North Dakota/Center','','8.6.2'),(834,'America/North Dakota/New Salem','','8.6.2'),(835,'America/Ojinaga','','8.6.2'),(836,'America/Panama','','8.6.2'),(837,'America/Pangnirtung','','8.6.2'),(838,'America/Paramaribo','','8.6.2'),(839,'America/Phoenix','','8.6.2'),(840,'America/Port of Spain','','8.6.2'),(841,'America/Port-au-Prince','','8.6.2'),(842,'America/Porto Velho','','8.6.2'),(843,'America/Puerto Rico','','8.6.2'),(844,'America/Rainy River','','8.6.2'),(845,'America/Rankin Inlet','','8.6.2'),(846,'America/Recife','','8.6.2'),(847,'America/Regina','','8.6.2'),(848,'America/Resolute','','8.6.2'),(849,'America/Rio Branco','','8.6.2'),(850,'America/Santarem','','8.6.2'),(851,'America/Santiago','','8.6.2'),(852,'America/Santo Domingo','','8.6.2'),(853,'America/Sao Paulo','','8.6.2'),(854,'America/Scoresbysund','','8.6.2'),(855,'America/Sitka','','8.6.2'),(856,'America/St Barthelemy','','8.6.2'),(857,'America/St Johns','','8.6.2'),(858,'America/St Kitts','','8.6.2'),(859,'America/St Lucia','','8.6.2'),(860,'America/St Thomas','','8.6.2'),(861,'America/St Vincent','','8.6.2'),(862,'America/Swift Current','','8.6.2'),(863,'America/Tegucigalpa','','8.6.2'),(864,'America/Thule','','8.6.2'),(865,'America/Thunder Bay','','8.6.2'),(866,'America/Tijuana','','8.6.2'),(867,'America/Toronto','','8.6.2'),(868,'America/Tortola','','8.6.2'),(869,'America/Vancouver','','8.6.2'),(870,'America/Whitehorse','','8.6.2'),(871,'America/Winnipeg','','8.6.2'),(872,'America/Yakutat','','8.6.2'),(873,'America/Yellowknife','','8.6.2'),(874,'Antarctica/Casey','','8.6.2'),(875,'Antarctica/Davis','','8.6.2'),(876,'Antarctica/DumontDUrville','','8.6.2'),(877,'Antarctica/Macquarie','','8.6.2'),(878,'Antarctica/Mawson','','8.6.2'),(879,'Antarctica/McMurdo','','8.6.2'),(880,'Antarctica/Palmer','','8.6.2'),(881,'Antarctica/Rothera','','8.6.2'),(882,'Antarctica/Syowa','','8.6.2'),(883,'Antarctica/Troll','','8.6.2'),(884,'Antarctica/Vostok','','8.6.2'),(885,'Arctic/Longyearbyen','','8.6.2'),(886,'Asia/Aden','','8.6.2'),(887,'Asia/Almaty','','8.6.2'),(888,'Asia/Amman','','8.6.2'),(889,'Asia/Anadyr','','8.6.2'),(890,'Asia/Aqtau','','8.6.2'),(891,'Asia/Aqtobe','','8.6.2'),(892,'Asia/Ashgabat','','8.6.2'),(893,'Asia/Atyrau','','8.6.2'),(894,'Asia/Baghdad','','8.6.2'),(895,'Asia/Bahrain','','8.6.2'),(896,'Asia/Baku','','8.6.2'),(897,'Asia/Bangkok','','8.6.2'),(898,'Asia/Barnaul','','8.6.2'),(899,'Asia/Beirut','','8.6.2'),(900,'Asia/Bishkek','','8.6.2'),(901,'Asia/Brunei','','8.6.2'),(902,'Asia/Chita','','8.6.2'),(903,'Asia/Choibalsan','','8.6.2'),(904,'Asia/Colombo','','8.6.2'),(905,'Asia/Damascus','','8.6.2'),(906,'Asia/Dhaka','','8.6.2'),(907,'Asia/Dili','','8.6.2'),(908,'Asia/Dubai','','8.6.2'),(909,'Asia/Dushanbe','','8.6.2'),(910,'Asia/Famagusta','','8.6.2'),(911,'Asia/Gaza','','8.6.2'),(912,'Asia/Hebron','','8.6.2'),(913,'Asia/Ho Chi Minh','','8.6.2'),(914,'Asia/Hong Kong','','8.6.2'),(915,'Asia/Hovd','','8.6.2'),(916,'Asia/Irkutsk','','8.6.2'),(917,'Asia/Jakarta','','8.6.2'),(918,'Asia/Jayapura','','8.6.2'),(919,'Asia/Jerusalem','','8.6.2'),(920,'Asia/Kabul','','8.6.2'),(921,'Asia/Kamchatka','','8.6.2'),(922,'Asia/Karachi','','8.6.2'),(923,'Asia/Kathmandu','','8.6.2'),(924,'Asia/Khandyga','','8.6.2'),(925,'Asia/Kolkata','','8.6.2'),(926,'Asia/Krasnoyarsk','','8.6.2'),(927,'Asia/Kuala Lumpur','','8.6.2'),(928,'Asia/Kuching','','8.6.2'),(929,'Asia/Kuwait','','8.6.2'),(930,'Asia/Macau','','8.6.2'),(931,'Asia/Magadan','','8.6.2'),(932,'Asia/Makassar','','8.6.2'),(933,'Asia/Manila','','8.6.2'),(934,'Asia/Muscat','','8.6.2'),(935,'Asia/Nicosia','','8.6.2'),(936,'Asia/Novokuznetsk','','8.6.2'),(937,'Asia/Novosibirsk','','8.6.2'),(938,'Asia/Omsk','','8.6.2'),(939,'Asia/Oral','','8.6.2'),(940,'Asia/Phnom Penh','','8.6.2'),(941,'Asia/Pontianak','','8.6.2'),(942,'Asia/Pyongyang','','8.6.2'),(943,'Asia/Qatar','','8.6.2'),(944,'Asia/Qyzylorda','','8.6.2'),(945,'Asia/Riyadh','','8.6.2'),(946,'Asia/Sakhalin','','8.6.2'),(947,'Asia/Samarkand','','8.6.2'),(948,'Asia/Seoul','','8.6.2'),(949,'Asia/Shanghai','','8.6.2'),(950,'Asia/Singapore','','8.6.2'),(951,'Asia/Srednekolymsk','','8.6.2'),(952,'Asia/Taipei','','8.6.2'),(953,'Asia/Tashkent','','8.6.2'),(954,'Asia/Tbilisi','','8.6.2'),(955,'Asia/Tehran','','8.6.2'),(956,'Asia/Thimphu','','8.6.2'),(957,'Asia/Tokyo','','8.6.2'),(958,'Asia/Tomsk','','8.6.2'),(959,'Asia/Ulaanbaatar','','8.6.2'),(960,'Asia/Urumqi','','8.6.2'),(961,'Asia/Ust-Nera','','8.6.2'),(962,'Asia/Vientiane','','8.6.2'),(963,'Asia/Vladivostok','','8.6.2'),(964,'Asia/Yakutsk','','8.6.2'),(965,'Asia/Yangon','','8.6.2'),(966,'Asia/Yekaterinburg','','8.6.2'),(967,'Asia/Yerevan','','8.6.2'),(968,'Atlantic/Azores','','8.6.2'),(969,'Atlantic/Bermuda','','8.6.2'),(970,'Atlantic/Canary','','8.6.2'),(971,'Atlantic/Cape Verde','','8.6.2'),(972,'Atlantic/Faroe','','8.6.2'),(973,'Atlantic/Madeira','','8.6.2'),(974,'Atlantic/Reykjavik','','8.6.2'),(975,'Atlantic/South Georgia','','8.6.2'),(976,'Atlantic/St Helena','','8.6.2'),(977,'Atlantic/Stanley','','8.6.2'),(978,'Australia/Adelaide','','8.6.2'),(979,'Australia/Brisbane','','8.6.2'),(980,'Australia/Broken Hill','','8.6.2'),(981,'Australia/Currie','','8.6.2'),(982,'Australia/Darwin','','8.6.2'),(983,'Australia/Eucla','','8.6.2'),(984,'Australia/Hobart','','8.6.2'),(985,'Australia/Lindeman','','8.6.2'),(986,'Australia/Lord Howe','','8.6.2'),(987,'Australia/Melbourne','','8.6.2'),(988,'Australia/Perth','','8.6.2'),(989,'Australia/Sydney','','8.6.2'),(990,'Europe/Amsterdam','','8.6.2'),(991,'Europe/Andorra','','8.6.2'),(992,'Europe/Astrakhan','','8.6.2'),(993,'Europe/Athens','','8.6.2'),(994,'Europe/Belgrade','','8.6.2'),(995,'Europe/Berlin','','8.6.2'),(996,'Europe/Bratislava','','8.6.2'),(997,'Europe/Brussels','','8.6.2'),(998,'Europe/Bucharest','','8.6.2'),(999,'Europe/Budapest','','8.6.2'),(1000,'Europe/Busingen','','8.6.2'),(1001,'Europe/Chisinau','','8.6.2'),(1002,'Europe/Copenhagen','','8.6.2'),(1003,'Europe/Dublin','','8.6.2'),(1004,'Europe/Gibraltar','','8.6.2'),(1005,'Europe/Guernsey','','8.6.2'),(1006,'Europe/Helsinki','','8.6.2'),(1007,'Europe/Isle of Man','','8.6.2'),(1008,'Europe/Istanbul','','8.6.2'),(1009,'Europe/Jersey','','8.6.2'),(1010,'Europe/Kaliningrad','','8.6.2'),(1011,'Europe/Kiev','','8.6.2'),(1012,'Europe/Kirov','','8.6.2'),(1013,'Europe/Lisbon','','8.6.2'),(1014,'Europe/Ljubljana','','8.6.2'),(1015,'Europe/London','','8.6.2'),(1016,'Europe/Luxembourg','','8.6.2'),(1017,'Europe/Madrid','','8.6.2'),(1018,'Europe/Malta','','8.6.2'),(1019,'Europe/Mariehamn','','8.6.2'),(1020,'Europe/Minsk','','8.6.2'),(1021,'Europe/Monaco','','8.6.2'),(1022,'Europe/Moscow','','8.6.2'),(1023,'Europe/Oslo','','8.6.2'),(1024,'Europe/Paris','','8.6.2'),(1025,'Europe/Podgorica','','8.6.2'),(1026,'Europe/Prague','','8.6.2'),(1027,'Europe/Riga','','8.6.2'),(1028,'Europe/Rome','','8.6.2'),(1029,'Europe/Samara','','8.6.2'),(1030,'Europe/San Marino','','8.6.2'),(1031,'Europe/Sarajevo','','8.6.2'),(1032,'Europe/Saratov','','8.6.2'),(1033,'Europe/Simferopol','','8.6.2'),(1034,'Europe/Skopje','','8.6.2'),(1035,'Europe/Sofia','','8.6.2'),(1036,'Europe/Stockholm','','8.6.2'),(1037,'Europe/Tallinn','','8.6.2'),(1038,'Europe/Tirane','','8.6.2'),(1039,'Europe/Ulyanovsk','','8.6.2'),(1040,'Europe/Uzhgorod','','8.6.2'),(1041,'Europe/Vaduz','','8.6.2'),(1042,'Europe/Vatican','','8.6.2'),(1043,'Europe/Vienna','','8.6.2'),(1044,'Europe/Vilnius','','8.6.2'),(1045,'Europe/Volgograd','','8.6.2'),(1046,'Europe/Warsaw','','8.6.2'),(1047,'Europe/Zagreb','','8.6.2'),(1048,'Europe/Zaporozhye','','8.6.2'),(1049,'Europe/Zurich','','8.6.2'),(1050,'Indian/Antananarivo','','8.6.2'),(1051,'Indian/Chagos','','8.6.2'),(1052,'Indian/Christmas','','8.6.2'),(1053,'Indian/Cocos','','8.6.2'),(1054,'Indian/Comoro','','8.6.2'),(1055,'Indian/Kerguelen','','8.6.2'),(1056,'Indian/Mahe','','8.6.2'),(1057,'Indian/Maldives','','8.6.2'),(1058,'Indian/Mauritius','','8.6.2'),(1059,'Indian/Mayotte','','8.6.2'),(1060,'Indian/Reunion','','8.6.2'),(1061,'Pacific/Apia','','8.6.2'),(1062,'Pacific/Auckland','','8.6.2'),(1063,'Pacific/Bougainville','','8.6.2'),(1064,'Pacific/Chatham','','8.6.2'),(1065,'Pacific/Chuuk','','8.6.2'),(1066,'Pacific/Easter','','8.6.2'),(1067,'Pacific/Efate','','8.6.2'),(1068,'Pacific/Enderbury','','8.6.2'),(1069,'Pacific/Fakaofo','','8.6.2'),(1070,'Pacific/Fiji','','8.6.2'),(1071,'Pacific/Funafuti','','8.6.2'),(1072,'Pacific/Galapagos','','8.6.2'),(1073,'Pacific/Gambier','','8.6.2'),(1074,'Pacific/Guadalcanal','','8.6.2'),(1075,'Pacific/Guam','','8.6.2'),(1076,'Pacific/Honolulu','','8.6.2'),(1077,'Pacific/Johnston','','8.6.2'),(1078,'Pacific/Kiritimati','','8.6.2'),(1079,'Pacific/Kosrae','','8.6.2'),(1080,'Pacific/Kwajalein','','8.6.2'),(1081,'Pacific/Majuro','','8.6.2'),(1082,'Pacific/Marquesas','','8.6.2'),(1083,'Pacific/Midway','','8.6.2'),(1084,'Pacific/Nauru','','8.6.2'),(1085,'Pacific/Niue','','8.6.2'),(1086,'Pacific/Norfolk','','8.6.2'),(1087,'Pacific/Noumea','','8.6.2'),(1088,'Pacific/Pago Pago','','8.6.2'),(1089,'Pacific/Palau','','8.6.2'),(1090,'Pacific/Pitcairn','','8.6.2'),(1091,'Pacific/Pohnpei','','8.6.2'),(1092,'Pacific/Port Moresby','','8.6.2'),(1093,'Pacific/Rarotonga','','8.6.2'),(1094,'Pacific/Saipan','','8.6.2'),(1095,'Pacific/Tahiti','','8.6.2'),(1096,'Pacific/Tarawa','','8.6.2'),(1097,'Pacific/Tongatapu','','8.6.2'),(1098,'Pacific/Wake','','8.6.2'),(1099,'Pacific/Wallis','','8.6.2'),(1100,'UTC','','8.6.2'),(1101,'Email address','','8.6.2'),(1102,'A valid email address. All emails from the system will be sent to this address. The email address is not made public and will only be used if you wish to receive a new password or wish to receive certain news or notifications by email.','','8.6.2'),(1103,'Several special characters are allowed, including space, period (.), hyphen (-), apostrophe (\'), underscore (_), and the @ sign.','','8.6.2'),(1104,'Upload','','8.6.2'),(1105,'Allow other users to contact you via a personal contact form which keeps your email address hidden. Note that some privileged users such as site administrators are still able to contact you even if you choose to disable this feature.','','8.6.2'),(1106,'Contact settings','','8.6.2'),(1107,'Time zone','','8.6.2'),(1108,'Select the desired local time and time zone. Dates and times throughout this site will be displayed using this time zone.','','8.6.2'),(1109,'Locale settings','','8.6.2'),(1110,'[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n--  [site:name] team','','8.8.2'),(1111,'1 block is available in the modified list.@count blocks are available in the modified list.','','9.2.8'),(1112,'Not in menu','','9.4.8'),(1113,'[user:display-name]\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team','','9.4.5'),(1114,'Alternative text','','9.4.8'),(1115,'Yes','','none'),(1116,'No','','none'),(1117,'Format','','none'),(1118,'Advanced','','none'),(1119,'Width','','none'),(1120,'Height','','none'),(1121,'Background color','','none'),(1122,'Text color','','none'),(1123,'Color','','none'),(1124,'Square','','none'),(1125,'Property','','none'),(1126,'Missing','','none'),(1127,'Installed','','none'),(1128,'Blue','','none'),(1129,'Uses','','none'),(1130,'Text that will be shown inside the field until a value is entered. This hint is usually a sample value or a brief description of the expected format.','','none'),(1131,'No placeholder','','none'),(1132,'delete','','none'),(1133,'ID','','none'),(1134,'Horizontal','','none'),(1135,'Vertical','','none'),(1136,'Fields','','none'),(1137,'Details','','none'),(1138,'Group name','','none'),(1139,'Attributes','','none'),(1140,'Clone','','none'),(1141,'Identifier','','none'),(1142,'Data','','none'),(1143,'Element','','none'),(1144,'Effect','','none'),(1145,'Entity type','','none'),(1146,'Direction','','none'),(1147,'Save and continue','','none'),(1148,'Create group','','none'),(1149,'Bundle','','none'),(1150,'Fieldset','','none'),(1151,'HTML element','','none'),(1152,'A unique machine-readable name containing letters, numbers, and underscores.','','none'),(1153,'- None -','','none'),(1154,'Thumbnail','','none'),(1155,'Defaults','','none'),(1156,'Video','','none'),(1157,'Autoplay','','none'),(1158,'Link image to','','none'),(1159,'Delete Component Item','','9.4.8'),(1160,'Delete Component Wrapper','','9.4.8'),(1161,'Component Types','','9.4.8'),(1162,'We have received a request to subscribe [simplenews-subscriber:mail] at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]','','9.4.8'),(1163,'We have received a request to subscribe [simplenews-subscriber:mail] at [site:url]. No confirmation necessary because you are already subscribed.','','9.4.8'),(1164,'Manage your subscriptions at [site:name]','','9.4.8'),(1165,'We have received a request to manage your subscriptions for [simplenews-subscriber:mail] at [site:url]. To proceed please use the link below.\r\n\r\n[simplenews-subscriber:manage-url]','','9.4.8'),(1166,'Component Item type','','9.4.8'),(1167,'Header','','9.4.8'),(1168,'Subscriptions','','9.4.8'),(1169,'Appears in: @bundles.','','9.4.8'),(1170,'Also known as:','','9.4.8'),(1171,'@group: @field','','9.4.8'),(1172,'Component Item','','9.4.8'),(1173,'@group (historical data): @field','','9.4.8'),(1174,'@label (@name)','','9.4.8'),(1175,'@label (@name:@column)','','9.4.8'),(1176,'Block types','','9.4.8'),(1177,'Add view','','9.4.8'),(1178,'Admin Toolbar','','9.4.8'),(1179,'Admin Toolbar Search','','9.4.8'),(1180,'Admin Toolbar Tools','','9.4.8'),(1181,'Subscribers','','9.4.8'),(1182,'Flush CSS and JavaScript','','9.4.8'),(1183,'Rebuild theme registry','','9.4.8'),(1184,'Component Wrapper','','9.4.8'),(1185,'Add Component Wrapper','','9.4.8'),(1186,'Component Item content','','9.4.8'),(1187,'Component Item types','','9.4.8'),(1188,'Add Component Item types','','9.4.8'),(1189,'Component','','9.4.8'),(1190,'Manage permissions','','9.4.8'),(1191,'List of entities.','','9.4.8'),(1192,'Manage fields, form and display settings for bundle.','','9.4.8'),(1193,'List of Component Wrapper','','9.4.8'),(1194,'Configure the Admin Toolbar Search module.','','9.4.8'),(1195,'Configure the Admin Toolbar Tools module.','','9.4.8'),(1196,'Configure the Admin Toolbar module.','','9.4.8'),(1197,'Administer your subscribers.','','9.4.8'),(1198,'Add view mode','','9.4.8'),(1199,'Add form mode','','9.4.8'),(1200,'Add language','','9.4.8'),(1201,'All types','','9.4.8'),(1202,'Admin Toolbar quick search','','9.4.8'),(1203,'Remove block','','9.4.8');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT 0 COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Language code. References language.langcode.',
  `customized` int(11) NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether the translation is custom to this site.',
  PRIMARY KEY (`language`,`lid`),
  KEY `lid` (`lid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_target` VALUES (54,'اللغة','ar',0),(55,'اللغات','ar',0),(90,'نوع المحتوى','ar',0),(94,'القائمة','ar',0),(100,'نمط المشاهدة','ar',0),(102,'تحرير','ar',0),(103,'حذف','ar',0),(153,'حفظ','ar',0),(177,'إخفاء','ar',0),(181,'التالي','ar',0),(229,'البديل: @alias','ar',0),(230,'لا يوجد بدائل','ar',0),(235,'إلغاء','ar',0),(249,'رسالة سجل المراجعة','ar',0),(252,'العنوان','ar',0),(253,'الملخص','ar',0),(261,'حذف','ar',0),(262,'العنوان URL','ar',0),(266,'بديل المسار','ar',0),(298,'المحتوى','ar',0),(321,'القوائم','ar',0),(323,'أنواع المحتوى','ar',0),(335,'الإعدادات','ar',0),(337,'تحديث','ar',0),(344,'ميديا','ar',0),(372,'الإعدادات','ar',0),(390,'الأدوار','ar',0),(498,'علامات التبويب','ar',0),(501,'(علامة التبويب النشطة)','ar',0),(502,'الوصف','ar',0),(557,'مفعل','ar',0),(558,'عمليات','ar',0),(559,'رابط القائمة','ar',0),(560,'الوزن','ar',0),(562,'الوزن لـ @title','ar',0),(571,'لا يمكن التراجع عن هذة العملية.','ar',0),(575,'القيمة','ar',0),(576,'رقم','ar',0),(577,'الأب','ar',0),(578,'أمهات','ar',0),(579,'الاسم','ar',0),(580,'الوثيقة','ar',0),(581,'المسار','ar',0),(582,'اسم القائمة.','ar',0),(583,'العدد','ar',0),(584,'المتغيرات','ar',0),(585,'عشوائي','ar',0),(586,'عدد العقد','ar',0),(587,'عنوان الـIP','ar',0),(588,'حجم الملف.','ar',0),(589,'التاريخ الحالي','ar',0),(590,'الاسم المقروء آليا','ar',0),(591,'تحرير العنوان URL','ar',0),(592,'السابق','ar',0),(593,'تعطيل','ar',0),(594,'لا شيء','ar',0),(595,'التسمية','ar',0),(596,'المنطقة','ar',0),(597,'الخيارات','ar',0),(598,'داخل المحتوى','ar',0),(599,'الترتيب','ar',0),(600,'مخفي','ar',0),(601,'معلومات','ar',0),(602,'الصناديق','ar',0),(603,'أعلاه','ar',0),(604,'السياق','ar',0),(605,'دليل الصفحات','ar',0),(606,'الاسم المقروء آليا','ar',0),(607,'المعرف UUID','ar',0),(608,'تفعيل','ar',0),(609,'الشروط','ar',0),(610,'المنتدى','ar',0),(611,'النموذج','ar',0),(612,'حول','ar',0),(613,'فاصلة','ar',0),(614,'رمز &','ar',0),(1115,'نعم','ar',0),(1116,'لا','ar',0),(1117,'التنسيق','ar',0),(1118,'متقدم','ar',0),(1119,'العرض','ar',0),(1120,'الارتفاع','ar',0),(1121,'لون الخلفية','ar',0),(1122,'لون النص','ar',0),(1123,'اللون','ar',0),(1124,'ميدان','ar',0),(1125,'الخاصية','ar',0),(1126,'مفقود','ar',0),(1127,'مثبت','ar',0),(1128,'أزرق','ar',0),(1129,'الاستخدامات','ar',0),(1130,'النص الذي سيظهر في داخل الحقل حتى يتم إدخال القيمة. غالبًا ما يكون هذا التلميح قيمة العينة أو وصفًا موجزًا للتنسيق المتوقع.','ar',0),(1131,'بدون نص بديل','ar',0),(1132,'حذف','ar',0),(1133,'المعرف ID','ar',0),(1134,'أفقي','ar',0),(1135,'عمودي','ar',0),(1136,'الحقول','ar',0),(1137,'التفاصيل','ar',0),(1138,'اسم المجموعة','ar',0),(1139,'سمات','ar',0),(1140,'استنساخ','ar',0),(1141,'المعرف','ar',0),(1142,'المعطيات','ar',0),(1143,'عنصر','ar',0),(1144,'التأثير','ar',0),(1145,'نوع الكيان','ar',0),(1146,'الاتجاه','ar',0),(1147,'حفظ ومتابعة','ar',0),(1148,'إنشاء مجموعة','ar',0),(1149,'الحزمة','ar',0),(1150,'مجموعة حقول','ar',0),(1151,'عنصر HTML','ar',0),(1152,'اسم فريد مقروء آليا يحتوي على أحرف وأرقام وشرطات سفلية.','ar',0),(1153,'- لا شيء -','ar',0),(1154,'النسخة المصغرة','ar',0),(1155,'الوضعيات الافتراضية','ar',0),(1156,'فيديو','ar',0),(1157,'تشغيل آلي','ar',0),(1158,'ربط الصورة إلى','ar',0);
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content`
--

DROP TABLE IF EXISTS `menu_link_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`),
  UNIQUE KEY `menu_link_content__revision_id` (`revision_id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content`
--

LOCK TABLES `menu_link_content` WRITE;
/*!40000 ALTER TABLE `menu_link_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content` VALUES (1,1,'menu_link_content','c5d6929d-00de-42ac-9063-9988171e864f','en'),(2,2,'menu_link_content','581338a7-370f-4cdb-8c05-5e6151d94574','en'),(4,4,'menu_link_content','ea317148-07e9-4d7c-a300-f6fac4d9f9e4','en'),(5,5,'menu_link_content','13010224-23c2-4f52-a821-33e998c7b67a','en'),(6,6,'menu_link_content','90715f0e-4a87-49e4-8700-ac85484106b2','en'),(7,7,'menu_link_content','3a682f53-74f2-4d7d-b652-825d873ffaa2','en'),(9,9,'menu_link_content','5d61c9f4-a774-49f9-9e02-2a8c41acf283','en'),(10,10,'menu_link_content','0d08bf56-025e-4ee8-a700-f6ba5648d3c0','en'),(11,11,'menu_link_content','fd92bc46-e9e1-436a-9f04-4ae46fa5b016','en'),(12,12,'menu_link_content','172c78c7-def1-4223-8a02-2fe370de8159','en'),(13,13,'menu_link_content','a87533f7-ef49-4443-992f-47788a5b1dae','en'),(14,14,'menu_link_content','2fc6e920-c293-4e23-bd07-7d5080159edf','en'),(15,15,'menu_link_content','f6fb6125-edd4-459a-b400-c24827d008e9','en'),(16,16,'menu_link_content','76326b7a-b3ca-4629-ac2b-432607c6a83f','en'),(17,17,'menu_link_content','a8d01f6b-3277-427a-9400-eaa7806644f9','en'),(18,18,'menu_link_content','5aeb6703-c454-4d41-9b49-73e04f8078db','en'),(19,19,'menu_link_content','58fba109-dc9e-4d88-ba04-4a67217ccfc6','en'),(20,20,'menu_link_content','fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27','en'),(21,21,'menu_link_content','45df0c1b-5560-49da-8761-9789fa68299e','en'),(22,22,'menu_link_content','d29ce013-0882-4097-8800-bb5160bf01bb','en'),(23,23,'menu_link_content','b85bcd97-6786-49b1-9128-27ad2a7366a5','en');
/*!40000 ALTER TABLE `menu_link_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content_data`
--

DROP TABLE IF EXISTS `menu_link_content_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content__revision_id` (`revision_id`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content_data`
--

LOCK TABLES `menu_link_content_data` WRITE;
/*!40000 ALTER TABLE `menu_link_content_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content_data` VALUES (1,1,'menu_link_content','en','Register',NULL,'anonymous-menu','internal:/user/register','','a:0:{}',0,1,0,0,1,NULL,1450060536,1,1),(2,2,'menu_link_content','en','Login',NULL,'anonymous-menu','internal:/user/login','','a:0:{}',0,1,0,0,1,NULL,1450060555,1,1),(4,4,'menu_link_content','en','Forums',NULL,'main','internal:/forum','','a:0:{}',0,1,-50,1,1,'menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb',1450076095,1,1),(5,5,'menu_link_content','en','Categories',NULL,'main','internal:/categories','','a:0:{}',0,1,-49,1,1,'menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb',1450076095,1,1),(6,6,'menu_link_content','en','Showcase',NULL,'main','internal:/showcase','','a:0:{}',0,1,-46,1,1,NULL,1450076095,1,1),(7,7,'menu_link_content','en','Blog',NULL,'main','internal:/blogs','','a:0:{}',0,1,-45,1,1,NULL,1450076095,1,1),(9,9,'menu_link_content','en','Contact',NULL,'main','internal:/contact','','a:0:{}',0,1,-44,1,1,NULL,1450076095,1,1),(10,10,'menu_link_content','en','Log out',NULL,'account','internal:/user/logout','','a:0:{}',0,1,0,1,1,NULL,1450065991,1,1),(11,11,'menu_link_content','en','Business',NULL,'categories-menu','internal:/taxonomy/term/10','','a:0:{}',0,1,-50,1,1,NULL,1450066369,1,1),(12,12,'menu_link_content','en','Education',NULL,'categories-menu','internal:/taxonomy/term/3','','a:0:{}',0,1,-49,1,1,NULL,1450066369,1,1),(13,13,'menu_link_content','en','Fashion',NULL,'categories-menu','internal:/taxonomy/term/6','','a:0:{}',0,1,-48,1,1,NULL,1450066369,1,1),(14,14,'menu_link_content','en','Health & Beauty',NULL,'categories-menu','internal:/taxonomy/term/30','','a:0:{}',0,1,-47,1,1,NULL,1450066369,1,1),(15,15,'menu_link_content','en','Hospital',NULL,'categories-menu','internal:/taxonomy/term/13','','a:0:{}',0,1,-46,1,1,NULL,1450066369,1,1),(16,16,'menu_link_content','en','Sports',NULL,'categories-menu','internal:/taxonomy/term/7','','a:0:{}',0,1,-45,1,1,NULL,1450066369,1,1),(17,17,'menu_link_content','en','More',NULL,'categories-menu','internal:/taxonomy/term/23','','a:0:{}',0,1,-44,1,1,NULL,1450066369,1,1),(18,18,'menu_link_content','en','Nature',NULL,'categories-menu','internal:/taxonomy/term/17','','a:0:{}',0,1,-50,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450066369,1,1),(19,19,'menu_link_content','en','Others',NULL,'categories-menu','internal:/taxonomy/term/20','','a:0:{}',0,1,-47,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450938387,1,1),(20,20,'menu_link_content','en','Travel',NULL,'categories-menu','internal:/taxonomy/term/4','','a:0:{}',0,1,-49,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450938387,1,1),(21,21,'menu_link_content','en','Wedding',NULL,'categories-menu','internal:/taxonomy/term/25','','a:0:{}',0,1,-48,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450938387,1,1),(22,22,'menu_link_content','en','Pages',NULL,'main','internal:/pages','','a:0:{}',0,1,-48,1,1,NULL,1450076095,1,1),(23,23,'menu_link_content','en','Landing page',NULL,'main','entity:node/49',NULL,'a:0:{}',0,0,0,0,1,NULL,1666586697,1,1);
/*!40000 ALTER TABLE `menu_link_content_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content_field_revision`
--

DROP TABLE IF EXISTS `menu_link_content_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content_field_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content_field_revision`
--

LOCK TABLES `menu_link_content_field_revision` WRITE;
/*!40000 ALTER TABLE `menu_link_content_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content_field_revision` VALUES (1,1,'en','Register',NULL,'internal:/user/register','','a:0:{}',0,1,1450060536,1,1),(2,2,'en','Login',NULL,'internal:/user/login','','a:0:{}',0,1,1450060555,1,1),(4,4,'en','Forums',NULL,'internal:/forum','','a:0:{}',0,1,1450076095,1,1),(5,5,'en','Categories',NULL,'internal:/categories','','a:0:{}',0,1,1450076095,1,1),(6,6,'en','Showcase',NULL,'internal:/showcase','','a:0:{}',0,1,1450076095,1,1),(7,7,'en','Blog',NULL,'internal:/blogs','','a:0:{}',0,1,1450076095,1,1),(9,9,'en','Contact',NULL,'internal:/contact','','a:0:{}',0,1,1450076095,1,1),(10,10,'en','Log out',NULL,'internal:/user/logout','','a:0:{}',0,1,1450065991,1,1),(11,11,'en','Business',NULL,'internal:/taxonomy/term/10','','a:0:{}',0,1,1450066369,1,1),(12,12,'en','Education',NULL,'internal:/taxonomy/term/3','','a:0:{}',0,1,1450066369,1,1),(13,13,'en','Fashion',NULL,'internal:/taxonomy/term/6','','a:0:{}',0,1,1450066369,1,1),(14,14,'en','Health & Beauty',NULL,'internal:/taxonomy/term/30','','a:0:{}',0,1,1450066369,1,1),(15,15,'en','Hospital',NULL,'internal:/taxonomy/term/13','','a:0:{}',0,1,1450066369,1,1),(16,16,'en','Sports',NULL,'internal:/taxonomy/term/7','','a:0:{}',0,1,1450066369,1,1),(17,17,'en','More',NULL,'internal:/taxonomy/term/23','','a:0:{}',0,1,1450066369,1,1),(18,18,'en','Nature',NULL,'internal:/taxonomy/term/17','','a:0:{}',0,1,1450066369,1,1),(19,19,'en','Others',NULL,'internal:/taxonomy/term/20','','a:0:{}',0,1,1450938387,1,1),(20,20,'en','Travel',NULL,'internal:/taxonomy/term/4','','a:0:{}',0,1,1450938387,1,1),(21,21,'en','Wedding',NULL,'internal:/taxonomy/term/25','','a:0:{}',0,1,1450938387,1,1),(22,22,'en','Pages',NULL,'internal:/pages','','a:0:{}',0,1,1450076095,1,1),(23,23,'en','Landing page',NULL,'entity:node/49',NULL,'a:0:{}',0,1,1666586697,1,1);
/*!40000 ALTER TABLE `menu_link_content_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content_revision`
--

DROP TABLE IF EXISTS `menu_link_content_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_created` int(11) DEFAULT NULL,
  `revision_log_message` longtext DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `menu_link_content__id` (`id`),
  KEY `menu_link_content__ef029a1897` (`revision_user`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content_revision`
--

LOCK TABLES `menu_link_content_revision` WRITE;
/*!40000 ALTER TABLE `menu_link_content_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content_revision` VALUES (1,1,'en',1,NULL,NULL,NULL),(2,2,'en',1,NULL,NULL,NULL),(4,4,'en',1,NULL,NULL,NULL),(5,5,'en',1,NULL,NULL,NULL),(6,6,'en',1,NULL,NULL,NULL),(7,7,'en',1,NULL,NULL,NULL),(9,9,'en',1,NULL,NULL,NULL),(10,10,'en',1,NULL,NULL,NULL),(11,11,'en',1,NULL,NULL,NULL),(12,12,'en',1,NULL,NULL,NULL),(13,13,'en',1,NULL,NULL,NULL),(14,14,'en',1,NULL,NULL,NULL),(15,15,'en',1,NULL,NULL,NULL),(16,16,'en',1,NULL,NULL,NULL),(17,17,'en',1,NULL,NULL,NULL),(18,18,'en',1,NULL,NULL,NULL),(19,19,'en',1,NULL,NULL,NULL),(20,20,'en',1,NULL,NULL,NULL),(21,21,'en',1,NULL,NULL,NULL),(22,22,'en',1,NULL,NULL,NULL),(23,23,'en',1,NULL,1666586697,NULL);
/*!40000 ALTER TABLE `menu_link_content_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_tree`
--

DROP TABLE IF EXISTS `menu_tree`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_tree` (
  `menu_name` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ''tools'') are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'Unique machine name: the plugin ID.',
  `parent` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The plugin ID for the parent of this link.',
  `route_name` varchar(255) CHARACTER SET ascii DEFAULT NULL COMMENT 'The machine name of a defined Symfony Route this menu item represents.',
  `route_param_key` varchar(255) DEFAULT NULL COMMENT 'An encoded string of route parameters for loading by route.',
  `route_parameters` longblob DEFAULT NULL COMMENT 'Serialized array of route parameters of this menu link.',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT 'The external path this link points to (when not using a route).',
  `title` longblob DEFAULT NULL COMMENT 'The serialized title for the link. May be a TranslatableMarkup.',
  `description` longblob DEFAULT NULL COMMENT 'The serialized description of this link - used for admin pages and title attribute. May be a TranslatableMarkup.',
  `class` text DEFAULT NULL COMMENT 'The class for this link plugin.',
  `options` longblob DEFAULT NULL COMMENT 'A serialized array of URL options, such as a query string or HTML attributes.',
  `provider` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `enabled` smallint(6) NOT NULL DEFAULT 1 COMMENT 'A flag for whether the link should be rendered in menus. (0 = a disabled menu item that may be shown on admin screens, 1 = a normal, visible link)',
  `discovered` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag for whether the link was discovered, so can be purged on rebuild',
  `expanded` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT 0 COMMENT 'Link weight among links in the same menu at the same depth.',
  `metadata` longblob DEFAULT NULL COMMENT 'A serialized array of data that may be used by the plugin instance.',
  `has_children` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Flag indicating whether any enabled links have this link as a parent (1 = enabled children exist, 0 = no enabled children).',
  `depth` smallint(6) NOT NULL DEFAULT 0 COMMENT 'The depth relative to the top level. A link with empty parent will have depth == 1.',
  `p1` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the parent link mlid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The ninth mlid in the materialized path. See p1.',
  `form_class` varchar(255) DEFAULT NULL COMMENT 'meh',
  PRIMARY KEY (`mlid`),
  UNIQUE KEY `id` (`id`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `menu_parent_expand_child` (`menu_name`,`expanded`,`has_children`,`parent`(16)),
  KEY `route_values` (`route_name`(32),`route_param_key`(16))
) ENGINE=InnoDB AUTO_INCREMENT=642 DEFAULT CHARSET=utf8mb4 COMMENT='Contains the menu tree hierarchy.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_tree`
--

LOCK TABLES `menu_tree` WRITE;
/*!40000 ALTER TABLE `menu_tree` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_tree` VALUES ('admin',1,'system.admin','','system.admin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Administration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,9,'a:0:{}',1,1,1,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',2,'system.admin_content','system.admin','system.admin_content','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Find and manage content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,2,1,2,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',3,'system.admin_structure','system.admin','system.admin_structure','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Structure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Administer blocks, content types, menus, etc.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-8,'a:0:{}',1,2,1,3,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',4,'system.themes_page','system.admin','system.themes_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Appearance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Select and configure themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-6,'a:0:{}',1,2,1,4,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',5,'system.modules_list','system.admin','system.modules_list','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Extend\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Add and enable modules to extend site functionality.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-2,'a:0:{}',1,2,1,5,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',6,'system.admin_config','system.admin','system.admin_config','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Administer settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',1,2,1,6,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',7,'system.admin_config_media','system.admin_config','system.admin_config_media','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,3,1,6,7,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',8,'system.file_system_settings','system.admin_config_media','system.file_system_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"File system\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Configure the location of uploaded files and how they are accessed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',0,4,1,6,7,8,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',9,'system.image_toolkit_settings','system.admin_config_media','system.image_toolkit_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Image toolkit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,20,'a:0:{}',0,4,1,6,7,9,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',10,'system.admin_config_services','system.admin_config','system.admin_config_services','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Web services\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',1,3,1,6,10,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',11,'system.rss_feeds_settings','system.admin_config_services','system.rss_feeds_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"RSS publishing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',0,4,1,6,10,11,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',12,'system.admin_config_development','system.admin_config','system.admin_config_development','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Development\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Configure and use development tools.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,3,1,6,12,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',13,'system.site_maintenance_mode','system.admin_config_development','system.site_maintenance_mode','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Maintenance mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Take the site offline for updates and other maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',0,4,1,6,12,13,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',14,'system.performance_settings','system.admin_config_development','system.performance_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Performance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Configure caching and bandwidth optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',0,4,1,6,12,14,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',15,'system.logging_settings','system.admin_config_development','system.logging_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Logging and errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Configure the display of error messages and database logging.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-15,'a:0:{}',0,4,1,6,12,15,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',16,'system.admin_config_regional','system.admin_config','system.admin_config_regional','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Regional and language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Configure regional settings, localization, and translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-5,'a:0:{}',1,3,1,6,16,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',17,'system.regional_settings','system.admin_config_regional','system.regional_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Regional settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure the locale and timezone settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',0,4,1,6,16,17,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',18,'entity.date_format.collection','system.admin_config_regional','entity.date_format.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Date and time formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure how dates and times are displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-9,'a:0:{}',0,4,1,6,16,18,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',19,'system.admin_config_search','system.admin_config','system.admin_config_search','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Search and metadata\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Configure site search, metadata, and search engine optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,3,1,6,19,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',20,'system.admin_config_system','system.admin_config','system.admin_config_system','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"Configure basic site settings, actions, and cron.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',1,3,1,6,20,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',21,'system.site_information_settings','system.admin_config_system','system.site_information_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Basic site settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"Change site name, email address, slogan, default front page, and error pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',0,4,1,6,20,21,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',22,'system.cron_settings','system.admin_config_system','system.cron_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"Manage automatic site maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,20,'a:0:{}',0,4,1,6,20,22,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',23,'system.admin_config_ui','system.admin_config','system.admin_config_ui','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"User interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure the administrative user interface.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-15,'a:0:{}',1,3,1,6,23,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',24,'system.admin_config_workflow','system.admin_config','system.admin_config_workflow','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Workflow\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage the content workflow.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,5,'a:0:{}',0,3,1,6,24,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',25,'system.admin_config_content','system.admin_config','system.admin_config_content','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Content authoring\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure content formatting and authoring.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-15,'a:0:{}',1,3,1,6,25,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',26,'system.admin_reports','system.admin','system.admin_reports','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Reports\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"View reports, updates, and errors.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,5,'a:0:{}',1,2,1,26,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',27,'system.status','system.admin_reports','system.status','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Status report\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Get a status report about your site\'s operation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-60,'a:0:{}',0,3,1,26,27,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('footer',28,'contact.site_page','','contact.site_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Contact\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','contact',1,1,0,0,'a:0:{}',0,1,28,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',29,'filter.tips_all','','filter.tips_all','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Compose tips\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','filter',0,1,0,0,'a:0:{}',0,1,29,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',30,'node.add_page','','node.add_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','node',1,1,0,0,'a:0:{}',0,1,30,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',32,'help.main','system.admin','help.main','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Help\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Reference for usage, configuration, and modules.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','help',1,1,0,9,'a:0:{}',0,2,1,32,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',33,'comment.admin','system.admin_content','comment.admin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"List and edit site comments and the comment approval queue.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','comment',1,1,0,0,'a:0:{}',1,3,1,2,33,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',34,'block.admin_display','system.admin_structure','block.admin_display','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Block layout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','block',1,1,0,0,'a:0:{}',1,3,1,3,34,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',35,'entity.comment_type.collection','system.admin_structure','entity.comment_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Comment types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Manage form and displays settings of comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','comment',1,1,0,0,'a:0:{}',1,3,1,3,35,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',36,'entity.contact_form.collection','system.admin_structure','entity.contact_form.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Create and manage contact forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','contact',1,1,0,0,'a:0:{}',1,3,1,3,36,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',37,'field_ui.display_mode','system.admin_structure','field_ui.display_mode','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Configure what displays are available for your content and forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,3,1,3,37,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',38,'entity.entity_view_mode.collection','field_ui.display_mode','entity.entity_view_mode.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"View modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom view modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,4,1,3,37,38,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',39,'entity.entity_form_mode.collection','field_ui.display_mode','entity.entity_form_mode.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Form modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom form modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,4,1,3,37,39,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',40,'entity.menu.collection','system.admin_structure','entity.menu.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage menus and menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','menu_ui',1,1,0,0,'a:0:{}',1,3,1,3,40,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',41,'entity.node_type.collection','system.admin_structure','entity.node_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:71:\"Create and manage fields, forms, and display settings for your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','node',1,1,0,0,'a:0:{}',1,3,1,3,41,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',42,'entity.taxonomy_vocabulary.collection','system.admin_structure','entity.taxonomy_vocabulary.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Taxonomy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Manage tagging, categorization, and classification of your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','taxonomy',1,1,0,0,'a:0:{}',1,3,1,3,42,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',43,'entity.image_style.collection','system.admin_config_media','entity.image_style.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','image',1,1,0,0,'a:0:{}',0,4,1,6,7,43,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',44,'config.sync','system.admin_config_development','config.sync','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Configuration synchronization\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Import and export your configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','config',1,1,0,0,'a:0:{}',1,4,1,6,12,44,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',45,'filter.admin_overview','system.admin_config_content','filter.admin_overview','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Text formats and editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Select and configure text editors, and how content is filtered when displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','filter',1,1,0,0,'a:0:{}',0,4,1,6,25,45,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',46,'user.admin_index','system.admin_config','user.admin_index','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Configure user accounts.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,-20,'a:0:{}',1,3,1,6,46,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',47,'entity.user.admin_form','user.admin_index','entity.user.admin_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Account settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"Configure default user account settings, including fields, registration requirements, and email messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,-10,'a:0:{}',1,4,1,6,46,47,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',48,'dblog.overview','system.admin_reports','dblog.overview','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Recent log messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"View events that have recently been logged.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','dblog',1,1,0,-1,'a:0:{}',0,3,1,26,48,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',49,'dblog.page_not_found','system.admin_reports','dblog.page_not_found','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Top \'page not found\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"View \'page not found\' errors (404s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','dblog',1,1,0,0,'a:0:{}',0,3,1,26,49,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',50,'dblog.access_denied','system.admin_reports','dblog.access_denied','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Top \'access denied\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"View \'access denied\' errors (403s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','dblog',1,1,0,0,'a:0:{}',0,3,1,26,50,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',51,'entity.field_storage_config.collection','system.admin_reports','entity.field_storage_config.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Field list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Overview of fields on all entity types.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,3,1,26,51,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',52,'entity.user.collection','system.admin','entity.user.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Manage user accounts, roles, and permissions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,4,'a:0:{}',1,2,1,52,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('account',53,'user.page','','user.page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"My account\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,-10,'a:0:{}',0,1,53,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('account',54,'user.logout','','','','a:0:{}','','s:0:\"\";','s:0:\"\";','Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink','a:0:{}','user',0,1,0,10,'a:0:{}',0,1,54,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',55,'search.view','','search.view','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Search\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','search',0,1,0,0,'a:0:{}',0,1,55,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',56,'entity.view.collection','system.admin_structure','entity.view.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Manage customized lists of content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','views_ui',1,1,0,0,'a:0:{}',1,3,1,3,56,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',58,'entity.search_page.collection','system.admin_config_search','entity.search_page.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Configure search pages and search indexing options.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','search',1,1,0,-10,'a:0:{}',0,4,1,6,19,58,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',59,'entity.shortcut_set.collection','system.admin_config_ui','entity.shortcut_set.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Add and modify shortcut sets.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','shortcut',1,1,0,0,'a:0:{}',0,4,1,6,23,59,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',60,'update.status','system.admin_reports','update.status','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Available updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"Get a status report about available updates for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','update',1,1,0,-50,'a:0:{}',0,3,1,26,60,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',61,'views_ui.reports_plugins','system.admin_reports','views_ui.reports_plugins','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Views plugins\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Overview of plugins used in all views.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','views_ui',1,1,0,0,'a:0:{}',0,3,1,26,61,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',62,'dblog.search','system.admin_reports','dblog.search','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Top search phrases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"View most popular search phrases.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','',1,1,0,0,'a:0:{}',0,3,1,26,62,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',91,'system.modules_uninstall','system.modules_list','system.modules_uninstall','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Uninstall module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,5,91,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',94,'simplenews.settings','system.admin_config_services','simplenews.newsletter_list','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Simplenews\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Configure your sites newsletters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','simplenews',1,1,0,0,'a:0:{}',0,4,1,6,10,94,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',95,'simplenews.subscriber_settings','user.admin_index','simplenews.settings_subscriber','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Subscriber settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Administer your subscriber settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','simplenews',1,1,0,0,'a:0:{}',0,4,1,6,46,95,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',103,'admin_toolbar_tools.help','system.admin','<front>','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tools\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-100,'a:0:{}',1,2,1,103,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',112,'system.admin_index','admin_toolbar_tools.help','system.admin_index','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Index\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-100,'a:0:{}',0,3,1,103,112,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',114,'system.db_update','admin_toolbar_tools.help','system.db_update','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Run updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-6,'a:0:{}',0,3,1,103,114,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('anonymous-menu',124,'menu_link_content:c5d6929d-00de-42ac-9063-9988171e864f','','user.register','','a:0:{}','','s:8:\"Register\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,0,'a:1:{s:9:\"entity_id\";s:1:\"1\";}',0,1,124,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('anonymous-menu',125,'menu_link_content:581338a7-370f-4cdb-8c05-5e6151d94574','','user.login','','a:0:{}','','s:5:\"Login\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,0,'a:1:{s:9:\"entity_id\";s:1:\"2\";}',0,1,125,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',127,'menu_link_content:ea317148-07e9-4d7c-a300-f6fac4d9f9e4','menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb','forum.index','','a:0:{}','','s:6:\"Forums\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-50,'a:1:{s:9:\"entity_id\";s:1:\"4\";}',0,2,155,127,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',128,'menu_link_content:13010224-23c2-4f52-a821-33e998c7b67a','menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb','view.categories.page_1','','a:0:{}','','s:10:\"Categories\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-49,'a:1:{s:9:\"entity_id\";s:1:\"5\";}',0,2,155,128,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',129,'menu_link_content:90715f0e-4a87-49e4-8700-ac85484106b2','','view.showcase.page_1','','a:0:{}','','s:8:\"Showcase\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-46,'a:1:{s:9:\"entity_id\";s:1:\"6\";}',0,1,129,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',130,'menu_link_content:3a682f53-74f2-4d7d-b652-825d873ffaa2','','view.featured_posts.page_1','','a:0:{}','','s:4:\"Blog\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-45,'a:1:{s:9:\"entity_id\";s:1:\"7\";}',0,1,130,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',132,'menu_link_content:5d61c9f4-a774-49f9-9e02-2a8c41acf283','','contact.site_page','','a:0:{}','','s:7:\"Contact\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-44,'a:1:{s:9:\"entity_id\";s:1:\"9\";}',0,1,132,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('admin',140,'forum.overview','system.admin_structure','forum.overview','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Forums\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Control forum hierarchy settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','forum',1,1,0,0,'a:0:{}',0,3,1,3,140,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',141,'forum.index','','forum.index','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Forums\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','forum',1,1,0,0,'a:0:{}',0,1,141,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('account',143,'menu_link_content:0d08bf56-025e-4ee8-a700-f6ba5648d3c0','','user.logout','','a:0:{}','','s:7:\"Log out\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,0,'a:1:{s:9:\"entity_id\";s:2:\"10\";}',0,1,143,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',144,'menu_link_content:fd92bc46-e9e1-436a-9f04-4ae46fa5b016','','entity.taxonomy_term.canonical','taxonomy_term=10','a:1:{s:13:\"taxonomy_term\";s:2:\"10\";}','','s:8:\"Business\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-50,'a:1:{s:9:\"entity_id\";s:2:\"11\";}',0,1,144,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',145,'menu_link_content:172c78c7-def1-4223-8a02-2fe370de8159','','entity.taxonomy_term.canonical','taxonomy_term=3','a:1:{s:13:\"taxonomy_term\";s:1:\"3\";}','','s:9:\"Education\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-49,'a:1:{s:9:\"entity_id\";s:2:\"12\";}',0,1,145,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',146,'menu_link_content:a87533f7-ef49-4443-992f-47788a5b1dae','','entity.taxonomy_term.canonical','taxonomy_term=6','a:1:{s:13:\"taxonomy_term\";s:1:\"6\";}','','s:7:\"Fashion\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-48,'a:1:{s:9:\"entity_id\";s:2:\"13\";}',0,1,146,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',147,'menu_link_content:2fc6e920-c293-4e23-bd07-7d5080159edf','','entity.taxonomy_term.canonical','taxonomy_term=30','a:1:{s:13:\"taxonomy_term\";s:2:\"30\";}','','s:15:\"Health & Beauty\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-47,'a:1:{s:9:\"entity_id\";s:2:\"14\";}',0,1,147,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',148,'menu_link_content:f6fb6125-edd4-459a-b400-c24827d008e9','','entity.taxonomy_term.canonical','taxonomy_term=13','a:1:{s:13:\"taxonomy_term\";s:2:\"13\";}','','s:8:\"Hospital\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-46,'a:1:{s:9:\"entity_id\";s:2:\"15\";}',0,1,148,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',149,'menu_link_content:76326b7a-b3ca-4629-ac2b-432607c6a83f','','entity.taxonomy_term.canonical','taxonomy_term=7','a:1:{s:13:\"taxonomy_term\";s:1:\"7\";}','','s:6:\"Sports\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-45,'a:1:{s:9:\"entity_id\";s:2:\"16\";}',0,1,149,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',150,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9','','entity.taxonomy_term.canonical','taxonomy_term=23','a:1:{s:13:\"taxonomy_term\";s:2:\"23\";}','','s:4:\"More\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-44,'a:1:{s:9:\"entity_id\";s:2:\"17\";}',1,1,150,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',151,'menu_link_content:5aeb6703-c454-4d41-9b49-73e04f8078db','menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9','entity.taxonomy_term.canonical','taxonomy_term=17','a:1:{s:13:\"taxonomy_term\";s:2:\"17\";}','','s:6:\"Nature\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-50,'a:1:{s:9:\"entity_id\";s:2:\"18\";}',0,2,150,151,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',152,'menu_link_content:58fba109-dc9e-4d88-ba04-4a67217ccfc6','menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9','entity.taxonomy_term.canonical','taxonomy_term=20','a:1:{s:13:\"taxonomy_term\";s:2:\"20\";}','','s:6:\"Others\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-47,'a:1:{s:9:\"entity_id\";s:2:\"19\";}',0,2,150,152,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',153,'menu_link_content:fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27','menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9','entity.taxonomy_term.canonical','taxonomy_term=4','a:1:{s:13:\"taxonomy_term\";s:1:\"4\";}','','s:6:\"Travel\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-49,'a:1:{s:9:\"entity_id\";s:2:\"20\";}',0,2,150,153,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('categories-menu',154,'menu_link_content:45df0c1b-5560-49da-8761-9789fa68299e','menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9','entity.taxonomy_term.canonical','taxonomy_term=25','a:1:{s:13:\"taxonomy_term\";s:2:\"25\";}','','s:7:\"Wedding\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-48,'a:1:{s:9:\"entity_id\";s:2:\"21\";}',0,2,150,154,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',155,'menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb','','entity.node.canonical','node=38','a:1:{s:4:\"node\";s:2:\"38\";}','','s:5:\"Pages\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:1:{s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-48,'a:1:{s:9:\"entity_id\";s:2:\"22\";}',1,1,155,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',156,'standard.front_page','','<front>','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Home\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','standard',1,1,0,-49,'a:0:{}',0,1,156,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',241,'entity.configurable_language.collection','system.admin_config_regional','entity.configurable_language.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Configure languages for content, interface, and configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','language',1,1,0,0,'a:0:{}',1,4,1,6,16,241,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',242,'language.content_settings_page','system.admin_config_regional','language.content_settings_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Content language and translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Configure language and translation support for content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','language',1,1,0,10,'a:0:{}',0,4,1,6,16,242,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',243,'config_translation.mapper_list','system.admin_config_regional','config_translation.mapper_list','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configuration translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Translate the configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','config_translation',1,1,0,30,'a:0:{}',0,4,1,6,16,243,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',244,'locale.translate_page','system.admin_config_regional','locale.translate_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"User interface translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Configure the import of translation files, and add or customize interface translations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','locale',1,1,0,15,'a:0:{}',0,4,1,6,16,244,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',245,'locale.translate_status','system.admin_reports','locale.translate_status','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Available translation updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:97:\"Get a status report about available interface translations for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','locale',1,1,0,0,'a:0:{}',0,3,1,26,245,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',246,'we_megamenu.admin','system.admin_structure','we_megamenu.admin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Drupal 8 Mega Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"List Of We Mega Menu Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','we_megamenu',1,1,0,0,'a:0:{}',0,3,1,3,246,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',299,'system.run_cron','admin_toolbar_tools.help','admin_toolbar.run.cron','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Run cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-8,'a:0:{}',0,3,1,103,299,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',300,'admin_toolbar_tools.flush','admin_toolbar_tools.help','admin_toolbar_tools.flush','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush all caches\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-9,'a:0:{}',1,3,1,103,300,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',301,'admin_toolbar_tools.cssjs','admin_toolbar_tools.flush','admin_toolbar_tools.cssjs','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Flush CSS and JavaScript\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,301,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',302,'admin_toolbar_tools.plugin','admin_toolbar_tools.flush','admin_toolbar_tools.plugin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Flush plugins cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,302,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',303,'admin_toolbar_tools.flush_static','admin_toolbar_tools.flush','admin_toolbar_tools.flush_static','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush static cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,303,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',304,'admin_toolbar_tools.flush_menu','admin_toolbar_tools.flush','admin_toolbar_tools.flush_menu','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Flush routing and links cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,304,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',305,'admin_toolbar_tools.flush_rendercache','admin_toolbar_tools.flush','admin_toolbar_tools.flush_rendercache','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush render cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,305,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',313,'module_filter.config_admin_menu_item','system.admin_config_ui','module_filter.settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Module filter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Settings for the Module Filter module.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','module_filter',1,1,0,0,'a:0:{}',0,4,1,6,23,313,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',314,'admin_toolbar_tools.flush_twig','admin_toolbar_tools.flush','admin_toolbar_tools.flush_twig','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush twig cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,314,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',316,'entity.path_alias.collection','system.admin_config_search','entity.path_alias.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Add custom URLs to existing paths.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','path',1,1,0,-5,'a:0:{}',0,4,1,6,19,316,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',317,'admin_toolbar_tools.theme_rebuild','admin_toolbar_tools.flush','admin_toolbar_tools.theme_rebuild','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Rebuild theme registry\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,317,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',318,'admin_toolbar_tools.extra_links:flush_views','admin_toolbar_tools.flush','admin_toolbar_tools.flush_views','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Flush views cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,103,300,318,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',320,'admin_toolbar_tools.extra_links:node.add','system.admin_content','node.add_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,3,1,2,320,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',321,'admin_toolbar_tools.extra_links:node.add.article','admin_toolbar_tools.extra_links:node.add','node.add','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:7:\"article\";}',0,4,1,2,320,321,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',322,'admin_toolbar_tools.extra_links:node.add.blog','admin_toolbar_tools.extra_links:node.add','node.add','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:4:\"blog\";}',0,4,1,2,320,322,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',323,'admin_toolbar_tools.extra_links:node.add.forum','admin_toolbar_tools.extra_links:node.add','node.add','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:5:\"forum\";}',0,4,1,2,320,323,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',324,'admin_toolbar_tools.extra_links:node.add.page','admin_toolbar_tools.extra_links:node.add','node.add','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:4:\"page\";}',0,4,1,2,320,324,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',325,'admin_toolbar_tools.extra_links:node.add.showcase','admin_toolbar_tools.extra_links:node.add','node.add','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:8:\"showcase\";}',0,4,1,2,320,325,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',326,'admin_toolbar_tools.extra_links:node.add.simplenews_issue','admin_toolbar_tools.extra_links:node.add','node.add','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:16:\"simplenews_issue\";}',0,4,1,2,320,326,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',327,'admin_toolbar_tools.extra_links:view.files','system.admin_content','view.files.page_1','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,2,327,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',328,'admin_toolbar_tools.extra_links:block_content.add_page','block.admin_display','block_content.add_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,34,328,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',329,'admin_toolbar_tools.extra_links:entity.block_content.collection','block.admin_display','entity.block_content.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,34,329,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',330,'admin_toolbar_tools.extra_links:entity.block_content_type.collection','block.admin_display','entity.block_content_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,34,330,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',331,'admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment_type.collection','entity.comment_type.edit_form','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"entity_id\";s:7:\"comment\";}',1,4,1,3,35,331,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',332,'admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment.field_ui_fields','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,35,331,332,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',333,'admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.entity_form_display.comment.default','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,35,331,333,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',334,'admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.entity_view_display.comment.default','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,35,331,334,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',335,'admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment_type.delete_form','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,35,331,335,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',336,'admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment_forum','entity.comment_type.collection','entity.comment_type.edit_form','comment_type=comment_forum','a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"entity_id\";s:13:\"comment_forum\";}',1,4,1,3,35,336,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',337,'admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment_forum','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment_forum','entity.comment.field_ui_fields','comment_type=comment_forum','a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,35,336,337,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',338,'admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment_forum','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment_forum','entity.entity_form_display.comment.default','comment_type=comment_forum','a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,35,336,338,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',339,'admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment_forum','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment_forum','entity.entity_view_display.comment.default','comment_type=comment_forum','a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,35,336,339,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',340,'admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment_forum','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment_forum','entity.comment_type.delete_form','comment_type=comment_forum','a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,35,336,340,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',341,'admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_form.collection','entity.contact_form.edit_form','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"entity_id\";s:8:\"feedback\";}',1,4,1,3,36,341,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',342,'admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldsfeedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_message.field_ui_fields','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,36,341,342,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',343,'admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultfeedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.entity_form_display.contact_message.default','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,36,341,343,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',344,'admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.feedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.entity_view_display.contact_message.default','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,36,341,344,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',345,'admin_toolbar_tools.extra_links:entity.contact_form.delete_form.feedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_form.delete_form','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,36,341,345,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',346,'admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_form.collection','entity.contact_form.edit_form','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"entity_id\";s:8:\"personal\";}',1,4,1,3,36,346,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',347,'admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldspersonal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_message.field_ui_fields','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,36,346,347,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',348,'admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultpersonal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.entity_form_display.contact_message.default','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,36,346,348,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',349,'admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.personal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.entity_view_display.contact_message.default','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,36,346,349,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',350,'admin_toolbar_tools.extra_links:entity.contact_form.delete_form.personal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_form.delete_form','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,36,346,350,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',351,'admin_toolbar_tools.extra_links:contact.form_add','entity.contact_form.collection','contact.form_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,3,36,351,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',352,'admin_toolbar_tools.extra_links:field_ui.entity_view_mode_add','entity.entity_view_mode.collection','field_ui.entity_view_mode_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add view mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,37,38,352,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',353,'admin_toolbar_tools.extra_links:field_ui.entity_form_mode_add','entity.entity_form_mode.collection','field_ui.entity_form_mode_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,37,39,353,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',354,'admin_toolbar_tools.extra_links:entity.menu.add_form','entity.menu.collection','entity.menu.add_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-2,'a:0:{}',0,4,1,3,40,354,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',355,'admin_toolbar_tools.extra_links:entity.menu.edit_form.admin','entity.menu.collection','entity.menu.edit_form','menu=admin','a:1:{s:4:\"menu\";s:5:\"admin\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:5:\"admin\";}',1,4,1,3,40,355,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',356,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.admin','admin_toolbar_tools.extra_links:entity.menu.edit_form.admin','entity.menu.add_link_form','menu=admin','a:1:{s:4:\"menu\";s:5:\"admin\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,355,356,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',357,'admin_toolbar_tools.extra_links:entity.menu.edit_form.anonymous-menu','entity.menu.collection','entity.menu.edit_form','menu=anonymous-menu','a:1:{s:4:\"menu\";s:14:\"anonymous-menu\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:14:\"anonymous-menu\";}',1,4,1,3,40,357,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',358,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.anonymous-menu','admin_toolbar_tools.extra_links:entity.menu.edit_form.anonymous-menu','entity.menu.add_link_form','menu=anonymous-menu','a:1:{s:4:\"menu\";s:14:\"anonymous-menu\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,357,358,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',359,'admin_toolbar_tools.extra_links:entity.menu.delete_form.anonymous-menu','admin_toolbar_tools.extra_links:entity.menu.edit_form.anonymous-menu','entity.menu.delete_form','menu=anonymous-menu','a:1:{s:4:\"menu\";s:14:\"anonymous-menu\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,357,359,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',360,'admin_toolbar_tools.extra_links:entity.menu.edit_form.categories-menu','entity.menu.collection','entity.menu.edit_form','menu=categories-menu','a:1:{s:4:\"menu\";s:15:\"categories-menu\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:15:\"categories-menu\";}',1,4,1,3,40,360,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',361,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.categories-menu','admin_toolbar_tools.extra_links:entity.menu.edit_form.categories-menu','entity.menu.add_link_form','menu=categories-menu','a:1:{s:4:\"menu\";s:15:\"categories-menu\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,360,361,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',362,'admin_toolbar_tools.extra_links:entity.menu.delete_form.categories-menu','admin_toolbar_tools.extra_links:entity.menu.edit_form.categories-menu','entity.menu.delete_form','menu=categories-menu','a:1:{s:4:\"menu\";s:15:\"categories-menu\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,360,362,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',363,'admin_toolbar_tools.extra_links:entity.menu.edit_form.footer','entity.menu.collection','entity.menu.edit_form','menu=footer','a:1:{s:4:\"menu\";s:6:\"footer\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:6:\"footer\";}',1,4,1,3,40,363,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',364,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.footer','admin_toolbar_tools.extra_links:entity.menu.edit_form.footer','entity.menu.add_link_form','menu=footer','a:1:{s:4:\"menu\";s:6:\"footer\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,363,364,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',365,'admin_toolbar_tools.extra_links:entity.menu.edit_form.main','entity.menu.collection','entity.menu.edit_form','menu=main','a:1:{s:4:\"menu\";s:4:\"main\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,4,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:4:\"main\";}',1,4,1,3,40,365,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',366,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.main','admin_toolbar_tools.extra_links:entity.menu.edit_form.main','entity.menu.add_link_form','menu=main','a:1:{s:4:\"menu\";s:4:\"main\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,365,366,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',367,'admin_toolbar_tools.extra_links:entity.menu.edit_form.tools','entity.menu.collection','entity.menu.edit_form','menu=tools','a:1:{s:4:\"menu\";s:5:\"tools\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:5:\"tools\";}',1,4,1,3,40,367,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',368,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.tools','admin_toolbar_tools.extra_links:entity.menu.edit_form.tools','entity.menu.add_link_form','menu=tools','a:1:{s:4:\"menu\";s:5:\"tools\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,367,368,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',369,'admin_toolbar_tools.extra_links:entity.menu.edit_form.account','entity.menu.collection','entity.menu.edit_form','menu=account','a:1:{s:4:\"menu\";s:7:\"account\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,6,'a:2:{s:11:\"entity_type\";s:4:\"menu\";s:9:\"entity_id\";s:7:\"account\";}',1,4,1,3,40,369,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',370,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.account','admin_toolbar_tools.extra_links:entity.menu.edit_form.account','entity.menu.add_link_form','menu=account','a:1:{s:4:\"menu\";s:7:\"account\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,40,369,370,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',371,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node_type.collection','entity.node_type.edit_form','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:7:\"article\";}',1,4,1,3,41,371,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',372,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsarticle','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node.field_ui_fields','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,41,371,372,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',373,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultarticle','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.entity_form_display.node.default','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,41,371,373,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',374,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.article','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.entity_view_display.node.default','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,371,374,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',375,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.article','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node_type.delete_form','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,41,371,375,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',376,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node_type.collection','entity.node_type.edit_form','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:4:\"blog\";}',1,4,1,3,41,376,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',377,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsblog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node.field_ui_fields','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,41,376,377,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',378,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultblog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.entity_form_display.node.default','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,41,376,378,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',379,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.blog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.entity_view_display.node.default','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,376,379,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',380,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.blog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node_type.delete_form','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,41,376,380,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',381,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.forum','entity.node_type.collection','entity.node_type.edit_form','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:5:\"forum\";}',1,4,1,3,41,381,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',382,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsforum','admin_toolbar_tools.extra_links:entity.node_type.edit_form.forum','entity.node.field_ui_fields','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,41,381,382,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',383,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultforum','admin_toolbar_tools.extra_links:entity.node_type.edit_form.forum','entity.entity_form_display.node.default','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,41,381,383,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',384,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.forum','admin_toolbar_tools.extra_links:entity.node_type.edit_form.forum','entity.entity_view_display.node.default','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,381,384,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',385,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.forum','admin_toolbar_tools.extra_links:entity.node_type.edit_form.forum','entity.node_type.delete_form','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,41,381,385,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',386,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node_type.collection','entity.node_type.edit_form','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:4:\"page\";}',1,4,1,3,41,386,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',387,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspage','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node.field_ui_fields','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,41,386,387,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',388,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpage','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.entity_form_display.node.default','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,41,386,388,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',389,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.page','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.entity_view_display.node.default','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,386,389,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',390,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.page','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node_type.delete_form','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,41,386,390,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',391,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.showcase','entity.node_type.collection','entity.node_type.edit_form','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:8:\"showcase\";}',1,4,1,3,41,391,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',392,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsshowcase','admin_toolbar_tools.extra_links:entity.node_type.edit_form.showcase','entity.node.field_ui_fields','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,41,391,392,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',393,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultshowcase','admin_toolbar_tools.extra_links:entity.node_type.edit_form.showcase','entity.entity_form_display.node.default','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,41,391,393,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',394,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.showcase','admin_toolbar_tools.extra_links:entity.node_type.edit_form.showcase','entity.entity_view_display.node.default','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,391,394,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',395,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.showcase','admin_toolbar_tools.extra_links:entity.node_type.edit_form.showcase','entity.node_type.delete_form','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,41,391,395,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',396,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node_type.collection','entity.node_type.edit_form','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"node_type\";s:9:\"entity_id\";s:16:\"simplenews_issue\";}',1,4,1,3,41,396,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',397,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldssimplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node.field_ui_fields','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,41,396,397,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',398,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultsimplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.entity_form_display.node.default','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,41,396,398,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',399,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.simplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.entity_view_display.node.default','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,396,399,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',400,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.simplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node_type.delete_form','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,41,396,400,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',401,'admin_toolbar_tools.extra_links:node.type_add','entity.node_type.collection','node.type_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-2,'a:0:{}',0,4,1,3,41,401,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',402,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.overview_form','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"entity_id\";s:10:\"categories\";}',1,4,1,3,42,402,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',403,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.categories','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.taxonomy_vocabulary.edit_form','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,42,402,403,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',404,'admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldscategories','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.taxonomy_term.field_ui_fields','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,42,402,404,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',405,'admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaultcategories','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.entity_form_display.taxonomy_term.default','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,42,402,405,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',406,'admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.categories','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.entity_view_display.taxonomy_term.default','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,402,406,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',407,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.categories','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.taxonomy_vocabulary.delete_form','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,42,402,407,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',408,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.overview_form','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"entity_id\";s:6:\"forums\";}',1,4,1,3,42,408,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',409,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.forums','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.taxonomy_vocabulary.edit_form','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,42,408,409,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',410,'admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldsforums','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.taxonomy_term.field_ui_fields','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,42,408,410,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',411,'admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaultforums','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.entity_form_display.taxonomy_term.default','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,42,408,411,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',412,'admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.forums','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.entity_view_display.taxonomy_term.default','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,408,412,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',413,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.forums','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.taxonomy_vocabulary.delete_form','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,42,408,413,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',414,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.overview_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"entity_id\";s:4:\"tags\";}',1,4,1,3,42,414,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',415,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.edit_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,42,414,415,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',416,'admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldstags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_term.field_ui_fields','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,42,414,416,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',417,'admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaulttags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.entity_form_display.taxonomy_term.default','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,42,414,417,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',418,'admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.entity_view_display.taxonomy_term.default','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,414,418,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',419,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.delete_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,42,414,419,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',420,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.add_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Add vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,3,42,420,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',421,'admin_toolbar_tools.extra_links:views_ui.add','entity.view.collection','views_ui.add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,3,56,421,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',422,'admin_toolbar_tools.extra_links:update.theme_install','system.themes_page','update.theme_install','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Install new theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,4,422,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',423,'admin_toolbar_tools.extra_links:update.theme_update','system.themes_page','update.theme_update','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,4,423,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',424,'admin_toolbar_tools.extra_links:system.theme_settings','system.themes_page','system.theme_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,3,1,4,424,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',425,'admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik','admin_toolbar_tools.extra_links:system.theme_settings','system.theme_settings_theme','theme=bartik','a:1:{s:5:\"theme\";s:6:\"bartik\";}','','s:6:\"Bartik\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,4,424,425,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',426,'admin_toolbar_tools.extra_links:system.theme_settings_theme.seven','admin_toolbar_tools.extra_links:system.theme_settings','system.theme_settings_theme','theme=seven','a:1:{s:5:\"theme\";s:5:\"seven\";}','','s:5:\"Seven\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,4,424,426,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',427,'admin_toolbar_tools.extra_links:system.theme_settings_theme.pinteros','admin_toolbar_tools.extra_links:system.theme_settings','system.theme_settings_theme','theme=pinteros','a:1:{s:5:\"theme\";s:8:\"pinteros\";}','','s:8:\"Pinteros\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,4,424,427,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',428,'admin_toolbar_tools.extra_links:update.module_install','system.modules_list','update.module_install','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Install new module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,5,428,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',429,'admin_toolbar_tools.extra_links:update.module_update','system.modules_list','update.module_update','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,5,429,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',430,'admin_toolbar_tools.extra_links:config.import','config.sync','config.import_full','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Import\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,6,12,44,430,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',431,'admin_toolbar_tools.extra_links:config.export','config.sync','config.export_full','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Export\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,6,12,44,431,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',432,'admin_toolbar_tools.extra_links:language.negotiation','entity.configurable_language.collection','language.negotiation','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Detection and selection\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,6,16,241,432,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',433,'admin_toolbar_tools.extra_links:language.add','entity.configurable_language.collection','language.add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Add language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,6,16,241,433,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',434,'admin_toolbar_tools.extra_links:entity.user.field_ui_fields_','entity.user.admin_form','entity.user.field_ui_fields','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,6,46,47,434,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',435,'admin_toolbar_tools.extra_links:entity.entity_form_display.user.default_','entity.user.admin_form','entity.entity_form_display.user.default','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,6,46,47,435,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',436,'admin_toolbar_tools.extra_links:entity.entity_view_display.user.default_','entity.user.admin_form','entity.entity_view_display.user.default','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,6,46,47,436,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',437,'admin_toolbar_tools.extra_links:views_ui.field_list','entity.field_storage_config.collection','views_ui.reports_fields','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Used in views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,26,51,437,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',438,'admin_toolbar_tools.extra_links:user.admin_create','entity.user.collection','user.admin_create','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,52,438,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',439,'admin_toolbar_tools.extra_links:user.admin_permissions','entity.user.collection','user.admin_permissions','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,52,439,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',440,'admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user.collection','entity.user_role.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,3,1,52,440,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',441,'admin_toolbar_tools.extra_links:user.role_add','admin_toolbar_tools.extra_links:entity.user_role.collection','user.role_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-50,'a:0:{}',0,4,1,52,440,441,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',442,'admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous','admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user_role.edit_form','user_role=anonymous','a:1:{s:9:\"user_role\";s:9:\"anonymous\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:9:\"user_role\";s:9:\"entity_id\";s:9:\"anonymous\";}',1,4,1,52,440,442,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',443,'admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.anonymous','admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous','entity.user_role.edit_permissions_form','user_role=anonymous','a:1:{s:9:\"user_role\";s:9:\"anonymous\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,52,440,442,443,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',444,'admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated','admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user_role.edit_form','user_role=authenticated','a:1:{s:9:\"user_role\";s:13:\"authenticated\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:2:{s:11:\"entity_type\";s:9:\"user_role\";s:9:\"entity_id\";s:13:\"authenticated\";}',1,4,1,52,440,444,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',445,'admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.authenticated','admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated','entity.user_role.edit_permissions_form','user_role=authenticated','a:1:{s:9:\"user_role\";s:13:\"authenticated\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,52,440,444,445,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',446,'admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator','admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user_role.edit_form','user_role=administrator','a:1:{s:9:\"user_role\";s:13:\"administrator\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:2:{s:11:\"entity_type\";s:9:\"user_role\";s:9:\"entity_id\";s:13:\"administrator\";}',1,4,1,52,440,446,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',447,'admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.administrator','admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator','entity.user_role.edit_permissions_form','user_role=administrator','a:1:{s:9:\"user_role\";s:13:\"administrator\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,52,440,446,447,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',448,'admin_toolbar_tools.extra_links:entity.user_role.delete_form.administrator','admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator','entity.user_role.delete_form','user_role=administrator','a:1:{s:9:\"user_role\";s:13:\"administrator\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,52,440,446,448,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',449,'admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','','entity.block_content_type.edit_form','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"entity_id\";s:5:\"basic\";}',1,1,449,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',450,'admin_toolbar_tools.extra_links:entity.block_content.field_ui_fieldsbasic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.block_content.field_ui_fields','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,2,449,450,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',451,'admin_toolbar_tools.extra_links:entity.entity_form_display.block_content.defaultbasic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.entity_form_display.block_content.default','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,2,449,451,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',452,'admin_toolbar_tools.extra_links:entity.entity_view_display.block_content.default.basic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.entity_view_display.block_content.default','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,2,449,452,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',453,'admin_toolbar_tools.extra_links:entity.block_content_type.delete_form.basic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.block_content_type.delete_form','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,2,449,453,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',455,'simplenews.subscribers','entity.user.collection','entity.simplenews_subscriber.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Subscribers\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Administer your subscribers.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','simplenews',1,1,0,0,'a:0:{}',0,3,1,52,455,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',456,'admin_toolbar_tools.extra_links:views_ui.archive','entity.view.collection','entity.view.edit_form','view=archive','a:1:{s:4:\"view\";s:7:\"archive\";}','','s:7:\"Archive\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,456,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',457,'admin_toolbar_tools.extra_links:views_ui.block_content','entity.view.collection','entity.view.edit_form','view=block_content','a:1:{s:4:\"view\";s:13:\"block_content\";}','','s:20:\"Custom block library\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,457,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',458,'admin_toolbar_tools.extra_links:views_ui.categories','entity.view.collection','entity.view.edit_form','view=categories','a:1:{s:4:\"view\";s:10:\"categories\";}','','s:10:\"Categories\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,458,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',459,'admin_toolbar_tools.extra_links:views_ui.comment','entity.view.collection','entity.view.edit_form','view=comment','a:1:{s:4:\"view\";s:7:\"comment\";}','','s:8:\"Comments\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,459,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',460,'admin_toolbar_tools.extra_links:views_ui.comments_recent','entity.view.collection','entity.view.edit_form','view=comments_recent','a:1:{s:4:\"view\";s:15:\"comments_recent\";}','','s:15:\"Recent comments\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,460,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',461,'admin_toolbar_tools.extra_links:views_ui.content','entity.view.collection','entity.view.edit_form','view=content','a:1:{s:4:\"view\";s:7:\"content\";}','','s:7:\"Content\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,461,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',462,'admin_toolbar_tools.extra_links:views_ui.content_recent','entity.view.collection','entity.view.edit_form','view=content_recent','a:1:{s:4:\"view\";s:14:\"content_recent\";}','','s:14:\"Recent content\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,462,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',463,'admin_toolbar_tools.extra_links:views_ui.featured_posts','entity.view.collection','entity.view.edit_form','view=featured_posts','a:1:{s:4:\"view\";s:14:\"featured_posts\";}','','s:10:\"Blog Posts\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,463,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',464,'admin_toolbar_tools.extra_links:views_ui.files','entity.view.collection','entity.view.edit_form','view=files','a:1:{s:4:\"view\";s:5:\"files\";}','','s:5:\"Files\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,464,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',465,'admin_toolbar_tools.extra_links:views_ui.frontpage','entity.view.collection','entity.view.edit_form','view=frontpage','a:1:{s:4:\"view\";s:9:\"frontpage\";}','','s:9:\"Frontpage\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,465,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',466,'admin_toolbar_tools.extra_links:views_ui.glossary','entity.view.collection','entity.view.edit_form','view=glossary','a:1:{s:4:\"view\";s:8:\"glossary\";}','','s:8:\"Glossary\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,466,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',467,'admin_toolbar_tools.extra_links:views_ui.showcase','entity.view.collection','entity.view.edit_form','view=showcase','a:1:{s:4:\"view\";s:8:\"showcase\";}','','s:8:\"Showcase\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,467,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',468,'admin_toolbar_tools.extra_links:views_ui.simplenews_newsletters','entity.view.collection','entity.view.edit_form','view=simplenews_newsletters','a:1:{s:4:\"view\";s:22:\"simplenews_newsletters\";}','','s:11:\"Newsletters\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,468,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',469,'admin_toolbar_tools.extra_links:views_ui.simplenews_subscribers','entity.view.collection','entity.view.edit_form','view=simplenews_subscribers','a:1:{s:4:\"view\";s:22:\"simplenews_subscribers\";}','','s:11:\"Subscribers\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,469,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',470,'admin_toolbar_tools.extra_links:views_ui.tags_in_tags','entity.view.collection','entity.view.edit_form','view=tags_in_tags','a:1:{s:4:\"view\";s:12:\"tags_in_tags\";}','','s:12:\"Tags in Tags\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,470,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',471,'admin_toolbar_tools.extra_links:views_ui.taxonomy_term','entity.view.collection','entity.view.edit_form','view=taxonomy_term','a:1:{s:4:\"view\";s:13:\"taxonomy_term\";}','','s:13:\"Taxonomy term\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,471,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',472,'admin_toolbar_tools.extra_links:views_ui.user_admin_people','entity.view.collection','entity.view.edit_form','view=user_admin_people','a:1:{s:4:\"view\";s:17:\"user_admin_people\";}','','s:6:\"People\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,472,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',473,'admin_toolbar_tools.extra_links:views_ui.watchdog','entity.view.collection','entity.view.edit_form','view=watchdog','a:1:{s:4:\"view\";s:8:\"watchdog\";}','','s:8:\"Watchdog\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,473,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',474,'admin_toolbar_tools.extra_links:views_ui.who_s_new','entity.view.collection','entity.view.edit_form','view=who_s_new','a:1:{s:4:\"view\";s:9:\"who_s_new\";}','','s:9:\"Who\'s new\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,474,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',475,'admin_toolbar_tools.extra_links:views_ui.who_s_online','entity.view.collection','entity.view.edit_form','view=who_s_online','a:1:{s:4:\"view\";s:12:\"who_s_online\";}','','s:18:\"Who\'s online block\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,56,475,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',476,'admin_toolbar.settings','system.admin_config_ui','admin_toolbar.settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Admin Toolbar\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Configure the Admin Toolbar module.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar',1,1,0,0,'a:0:{}',0,4,1,6,23,476,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',477,'admin_toolbar_search.settings','system.admin_config_ui','admin_toolbar_search.settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Admin Toolbar Search\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Configure the Admin Toolbar Search module.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_search',1,1,0,0,'a:0:{}',0,4,1,6,23,477,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',478,'admin_toolbar_tools.settings','system.admin_config_ui','admin_toolbar_tools.settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Admin Toolbar Tools\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Configure the Admin Toolbar Tools module.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,6,23,478,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',479,'component_builder.root','system.admin','component_builder.root','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Component\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Component\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,-9,'a:0:{}',1,2,1,479,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',480,'entity.component_wrapper.root','component_builder.root','entity.component_wrapper.root','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',1,3,1,479,480,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',481,'entity.component_wrapper.collection','entity.component_wrapper.root','entity.component_wrapper.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"List of Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',0,4,1,479,480,481,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',482,'entity.component_wrapper.add_form','entity.component_wrapper.root','entity.component_wrapper.add_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Add Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Add Component Wrapper\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,1,'a:0:{}',0,4,1,479,480,482,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',483,'entity.component_item.root','component_builder.root','entity.component_item.root','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Component Item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',1,3,1,479,483,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',484,'entity.component_item.collection','entity.component_item.root','entity.component_item.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Component Item content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"List of entities.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',0,4,1,479,483,484,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',485,'entity.component_item_type.collection','entity.component_item.root','entity.component_item_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Manage fields, form and display settings for bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',1,4,1,479,483,485,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',486,'entity.component_item_type.add_form','entity.component_item.root','entity.component_item_type.add_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Add Component Item types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',0,4,1,479,483,486,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',487,'component_builder.settings','component_builder.root','component_builder.settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','component_builder',1,1,0,0,'a:0:{}',0,3,1,479,487,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',488,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.overview_form','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"entity_id\";s:15:\"component_types\";}',1,4,1,3,42,488,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',489,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.component_types','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.taxonomy_vocabulary.edit_form','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,42,488,489,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',490,'admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldscomponent_types','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.taxonomy_term.field_ui_fields','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,42,488,490,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',491,'admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaultcomponent_types','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.entity_form_display.taxonomy_term.default','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,42,488,491,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',492,'admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.component_types','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.entity_view_display.taxonomy_term.default','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,488,492,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',493,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.component_types','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.taxonomy_vocabulary.delete_form','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,42,488,493,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',494,'admin_toolbar_tools.extra_links:user.logout','admin_toolbar_tools.help','user.logout','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Logout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,10,'a:0:{}',0,3,1,103,494,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',495,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.comment.default.comment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment_type.entity_permissions_form','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,35,331,495,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',496,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.comment.default.comment_forum','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment_forum','entity.comment_type.entity_permissions_form','comment_type=comment_forum','a:1:{s:12:\"comment_type\";s:13:\"comment_forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,35,336,496,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',497,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.contact_message.default.feedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_form.entity_permissions_form','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,36,341,497,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',498,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.contact_message.default.personal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_form.entity_permissions_form','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,36,346,498,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',499,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.node.default.article','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node_type.entity_permissions_form','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,371,499,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',500,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.node.default.blog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node_type.entity_permissions_form','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,376,500,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',501,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.node.default.forum','admin_toolbar_tools.extra_links:entity.node_type.edit_form.forum','entity.node_type.entity_permissions_form','node_type=forum','a:1:{s:9:\"node_type\";s:5:\"forum\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,381,501,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',502,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.node.default.page','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node_type.entity_permissions_form','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,386,502,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',503,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.node.default.showcase','admin_toolbar_tools.extra_links:entity.node_type.edit_form.showcase','entity.node_type.entity_permissions_form','node_type=showcase','a:1:{s:9:\"node_type\";s:8:\"showcase\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,391,503,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',504,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.node.default.simplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node_type.entity_permissions_form','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,41,396,504,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',505,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.taxonomy_term.default.categories','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.categories','entity.taxonomy_vocabulary.entity_permissions_form','taxonomy_vocabulary=categories','a:1:{s:19:\"taxonomy_vocabulary\";s:10:\"categories\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,402,505,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',506,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.taxonomy_term.default.component_types','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.component_types','entity.taxonomy_vocabulary.entity_permissions_form','taxonomy_vocabulary=component_types','a:1:{s:19:\"taxonomy_vocabulary\";s:15:\"component_types\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,488,506,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',507,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.taxonomy_term.default.forums','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.forums','entity.taxonomy_vocabulary.entity_permissions_form','taxonomy_vocabulary=forums','a:1:{s:19:\"taxonomy_vocabulary\";s:6:\"forums\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,408,507,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',508,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.taxonomy_term.default.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.entity_permissions_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,42,414,508,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',509,'admin_toolbar_tools.extra_links:entity.entity_permissions_form.block_content.default.basic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.block_content_type.entity_permissions_form','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Manage permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,2,449,509,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',510,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.accordion','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=accordion','a:1:{s:19:\"component_item_type\";s:9:\"accordion\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:9:\"accordion\";}',1,5,1,479,483,485,510,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',511,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsaccordion','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.accordion','entity.component_item.field_ui_fields','component_item_type=accordion','a:1:{s:19:\"component_item_type\";s:9:\"accordion\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,510,511,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',512,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultaccordion','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.accordion','entity.entity_form_display.component_item.default','component_item_type=accordion','a:1:{s:19:\"component_item_type\";s:9:\"accordion\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,510,512,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',513,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.accordion','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.accordion','entity.entity_view_display.component_item.default','component_item_type=accordion','a:1:{s:19:\"component_item_type\";s:9:\"accordion\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,510,513,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',514,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.accordion','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.accordion','entity.component_item_type.delete_form','component_item_type=accordion','a:1:{s:19:\"component_item_type\";s:9:\"accordion\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,510,514,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',515,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.banner_grid','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=banner_grid','a:1:{s:19:\"component_item_type\";s:11:\"banner_grid\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:11:\"banner_grid\";}',1,5,1,479,483,485,515,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',516,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsbanner_grid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.banner_grid','entity.component_item.field_ui_fields','component_item_type=banner_grid','a:1:{s:19:\"component_item_type\";s:11:\"banner_grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,515,516,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',517,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultbanner_grid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.banner_grid','entity.entity_form_display.component_item.default','component_item_type=banner_grid','a:1:{s:19:\"component_item_type\";s:11:\"banner_grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,515,517,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',518,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.banner_grid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.banner_grid','entity.entity_view_display.component_item.default','component_item_type=banner_grid','a:1:{s:19:\"component_item_type\";s:11:\"banner_grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,515,518,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',519,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.banner_grid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.banner_grid','entity.component_item_type.delete_form','component_item_type=banner_grid','a:1:{s:19:\"component_item_type\";s:11:\"banner_grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,515,519,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',520,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.basic_component','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=basic_component','a:1:{s:19:\"component_item_type\";s:15:\"basic_component\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:15:\"basic_component\";}',1,5,1,479,483,485,520,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',521,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsbasic_component','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.basic_component','entity.component_item.field_ui_fields','component_item_type=basic_component','a:1:{s:19:\"component_item_type\";s:15:\"basic_component\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,520,521,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',522,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultbasic_component','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.basic_component','entity.entity_form_display.component_item.default','component_item_type=basic_component','a:1:{s:19:\"component_item_type\";s:15:\"basic_component\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,520,522,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',523,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.basic_component','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.basic_component','entity.entity_view_display.component_item.default','component_item_type=basic_component','a:1:{s:19:\"component_item_type\";s:15:\"basic_component\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,520,523,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',524,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.basic_component','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.basic_component','entity.component_item_type.delete_form','component_item_type=basic_component','a:1:{s:19:\"component_item_type\";s:15:\"basic_component\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,520,524,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',525,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.card','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=card','a:1:{s:19:\"component_item_type\";s:4:\"card\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:4:\"card\";}',1,5,1,479,483,485,525,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',526,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldscard','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.card','entity.component_item.field_ui_fields','component_item_type=card','a:1:{s:19:\"component_item_type\";s:4:\"card\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,525,526,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',527,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultcard','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.card','entity.entity_form_display.component_item.default','component_item_type=card','a:1:{s:19:\"component_item_type\";s:4:\"card\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,525,527,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',528,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.card','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.card','entity.entity_view_display.component_item.default','component_item_type=card','a:1:{s:19:\"component_item_type\";s:4:\"card\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,525,528,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',529,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.card','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.card','entity.component_item_type.delete_form','component_item_type=card','a:1:{s:19:\"component_item_type\";s:4:\"card\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,525,529,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',530,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.carousel','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=carousel','a:1:{s:19:\"component_item_type\";s:8:\"carousel\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:8:\"carousel\";}',1,5,1,479,483,485,530,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',531,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldscarousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.carousel','entity.component_item.field_ui_fields','component_item_type=carousel','a:1:{s:19:\"component_item_type\";s:8:\"carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,530,531,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',532,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultcarousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.carousel','entity.entity_form_display.component_item.default','component_item_type=carousel','a:1:{s:19:\"component_item_type\";s:8:\"carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,530,532,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',533,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.carousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.carousel','entity.entity_view_display.component_item.default','component_item_type=carousel','a:1:{s:19:\"component_item_type\";s:8:\"carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,530,533,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',534,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.carousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.carousel','entity.component_item_type.delete_form','component_item_type=carousel','a:1:{s:19:\"component_item_type\";s:8:\"carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,530,534,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',535,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.classified_ads','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=classified_ads','a:1:{s:19:\"component_item_type\";s:14:\"classified_ads\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:14:\"classified_ads\";}',1,5,1,479,483,485,535,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',536,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsclassified_ads','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.classified_ads','entity.component_item.field_ui_fields','component_item_type=classified_ads','a:1:{s:19:\"component_item_type\";s:14:\"classified_ads\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,535,536,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',537,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultclassified_ads','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.classified_ads','entity.entity_form_display.component_item.default','component_item_type=classified_ads','a:1:{s:19:\"component_item_type\";s:14:\"classified_ads\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,535,537,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',538,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.classified_ads','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.classified_ads','entity.entity_view_display.component_item.default','component_item_type=classified_ads','a:1:{s:19:\"component_item_type\";s:14:\"classified_ads\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,535,538,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',539,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.classified_ads','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.classified_ads','entity.component_item_type.delete_form','component_item_type=classified_ads','a:1:{s:19:\"component_item_type\";s:14:\"classified_ads\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,535,539,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',540,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=grid','a:1:{s:19:\"component_item_type\";s:4:\"grid\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:4:\"grid\";}',1,5,1,479,483,485,540,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',541,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsgrid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid','entity.component_item.field_ui_fields','component_item_type=grid','a:1:{s:19:\"component_item_type\";s:4:\"grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,540,541,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',542,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultgrid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid','entity.entity_form_display.component_item.default','component_item_type=grid','a:1:{s:19:\"component_item_type\";s:4:\"grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,540,542,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',543,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.grid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid','entity.entity_view_display.component_item.default','component_item_type=grid','a:1:{s:19:\"component_item_type\";s:4:\"grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,540,543,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',544,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.grid','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid','entity.component_item_type.delete_form','component_item_type=grid','a:1:{s:19:\"component_item_type\";s:4:\"grid\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,540,544,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',545,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid_carousel','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=grid_carousel','a:1:{s:19:\"component_item_type\";s:13:\"grid_carousel\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:13:\"grid_carousel\";}',1,5,1,479,483,485,545,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',546,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsgrid_carousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid_carousel','entity.component_item.field_ui_fields','component_item_type=grid_carousel','a:1:{s:19:\"component_item_type\";s:13:\"grid_carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,545,546,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',547,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultgrid_carousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid_carousel','entity.entity_form_display.component_item.default','component_item_type=grid_carousel','a:1:{s:19:\"component_item_type\";s:13:\"grid_carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,545,547,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',548,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.grid_carousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid_carousel','entity.entity_view_display.component_item.default','component_item_type=grid_carousel','a:1:{s:19:\"component_item_type\";s:13:\"grid_carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,545,548,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',549,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.grid_carousel','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.grid_carousel','entity.component_item_type.delete_form','component_item_type=grid_carousel','a:1:{s:19:\"component_item_type\";s:13:\"grid_carousel\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,545,549,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',550,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.horizontal_push_image','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=horizontal_push_image','a:1:{s:19:\"component_item_type\";s:21:\"horizontal_push_image\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:21:\"horizontal_push_image\";}',1,5,1,479,483,485,550,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',551,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldshorizontal_push_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.horizontal_push_image','entity.component_item.field_ui_fields','component_item_type=horizontal_push_image','a:1:{s:19:\"component_item_type\";s:21:\"horizontal_push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,550,551,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',552,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaulthorizontal_push_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.horizontal_push_image','entity.entity_form_display.component_item.default','component_item_type=horizontal_push_image','a:1:{s:19:\"component_item_type\";s:21:\"horizontal_push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,550,552,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',553,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.horizontal_push_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.horizontal_push_image','entity.entity_view_display.component_item.default','component_item_type=horizontal_push_image','a:1:{s:19:\"component_item_type\";s:21:\"horizontal_push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,550,553,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',554,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.horizontal_push_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.horizontal_push_image','entity.component_item_type.delete_form','component_item_type=horizontal_push_image','a:1:{s:19:\"component_item_type\";s:21:\"horizontal_push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,550,554,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',555,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_image','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=push_image','a:1:{s:19:\"component_item_type\";s:10:\"push_image\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:10:\"push_image\";}',1,5,1,479,483,485,555,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',556,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldspush_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_image','entity.component_item.field_ui_fields','component_item_type=push_image','a:1:{s:19:\"component_item_type\";s:10:\"push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,555,556,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',557,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultpush_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_image','entity.entity_form_display.component_item.default','component_item_type=push_image','a:1:{s:19:\"component_item_type\";s:10:\"push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,555,557,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',558,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.push_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_image','entity.entity_view_display.component_item.default','component_item_type=push_image','a:1:{s:19:\"component_item_type\";s:10:\"push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,555,558,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',559,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.push_image','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_image','entity.component_item_type.delete_form','component_item_type=push_image','a:1:{s:19:\"component_item_type\";s:10:\"push_image\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,555,559,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',560,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.quote','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=quote','a:1:{s:19:\"component_item_type\";s:5:\"quote\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:5:\"quote\";}',1,5,1,479,483,485,560,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',561,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsquote','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.quote','entity.component_item.field_ui_fields','component_item_type=quote','a:1:{s:19:\"component_item_type\";s:5:\"quote\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,560,561,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',562,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultquote','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.quote','entity.entity_form_display.component_item.default','component_item_type=quote','a:1:{s:19:\"component_item_type\";s:5:\"quote\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,560,562,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',563,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.quote','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.quote','entity.entity_view_display.component_item.default','component_item_type=quote','a:1:{s:19:\"component_item_type\";s:5:\"quote\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,560,563,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',564,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.quote','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.quote','entity.component_item_type.delete_form','component_item_type=quote','a:1:{s:19:\"component_item_type\";s:5:\"quote\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,560,564,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',565,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.related_content','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=related_content','a:1:{s:19:\"component_item_type\";s:15:\"related_content\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:15:\"related_content\";}',1,5,1,479,483,485,565,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',566,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsrelated_content','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.related_content','entity.component_item.field_ui_fields','component_item_type=related_content','a:1:{s:19:\"component_item_type\";s:15:\"related_content\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,565,566,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',567,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultrelated_content','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.related_content','entity.entity_form_display.component_item.default','component_item_type=related_content','a:1:{s:19:\"component_item_type\";s:15:\"related_content\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,565,567,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',568,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.related_content','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.related_content','entity.entity_view_display.component_item.default','component_item_type=related_content','a:1:{s:19:\"component_item_type\";s:15:\"related_content\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,565,568,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',569,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.related_content','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.related_content','entity.component_item_type.delete_form','component_item_type=related_content','a:1:{s:19:\"component_item_type\";s:15:\"related_content\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,565,569,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',570,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_link_text','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=sidebar_link_text','a:1:{s:19:\"component_item_type\";s:17:\"sidebar_link_text\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:17:\"sidebar_link_text\";}',1,5,1,479,483,485,570,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',571,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldssidebar_link_text','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_link_text','entity.component_item.field_ui_fields','component_item_type=sidebar_link_text','a:1:{s:19:\"component_item_type\";s:17:\"sidebar_link_text\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,570,571,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',572,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultsidebar_link_text','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_link_text','entity.entity_form_display.component_item.default','component_item_type=sidebar_link_text','a:1:{s:19:\"component_item_type\";s:17:\"sidebar_link_text\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,570,572,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',573,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.sidebar_link_text','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_link_text','entity.entity_view_display.component_item.default','component_item_type=sidebar_link_text','a:1:{s:19:\"component_item_type\";s:17:\"sidebar_link_text\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,570,573,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',574,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.sidebar_link_text','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_link_text','entity.component_item_type.delete_form','component_item_type=sidebar_link_text','a:1:{s:19:\"component_item_type\";s:17:\"sidebar_link_text\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,570,574,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',575,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_service','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=sidebar_service','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_service\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:15:\"sidebar_service\";}',1,5,1,479,483,485,575,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',576,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldssidebar_service','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_service','entity.component_item.field_ui_fields','component_item_type=sidebar_service','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_service\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,575,576,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',577,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultsidebar_service','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_service','entity.entity_form_display.component_item.default','component_item_type=sidebar_service','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_service\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,575,577,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',578,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.sidebar_service','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_service','entity.entity_view_display.component_item.default','component_item_type=sidebar_service','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_service\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,575,578,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',579,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.sidebar_service','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_service','entity.component_item_type.delete_form','component_item_type=sidebar_service','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_service\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,575,579,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',605,'admin_toolbar_tools.extra_links:component_item_type.collection','entity.component_item_type.collection','entity.component_item_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"All types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-1,'a:0:{}',0,5,1,479,483,485,605,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',611,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.article_summary','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=article_summary','a:1:{s:19:\"component_item_type\";s:15:\"article_summary\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:15:\"article_summary\";}',1,5,1,479,483,485,611,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',612,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsarticle_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.article_summary','entity.component_item.field_ui_fields','component_item_type=article_summary','a:1:{s:19:\"component_item_type\";s:15:\"article_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,611,612,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',613,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultarticle_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.article_summary','entity.entity_form_display.component_item.default','component_item_type=article_summary','a:1:{s:19:\"component_item_type\";s:15:\"article_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,611,613,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',614,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.article_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.article_summary','entity.entity_view_display.component_item.default','component_item_type=article_summary','a:1:{s:19:\"component_item_type\";s:15:\"article_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,611,614,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',615,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.article_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.article_summary','entity.component_item_type.delete_form','component_item_type=article_summary','a:1:{s:19:\"component_item_type\";s:15:\"article_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,611,615,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',616,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.counter','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=counter','a:1:{s:19:\"component_item_type\";s:7:\"counter\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:7:\"counter\";}',1,5,1,479,483,485,616,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',617,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldscounter','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.counter','entity.component_item.field_ui_fields','component_item_type=counter','a:1:{s:19:\"component_item_type\";s:7:\"counter\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,616,617,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',618,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultcounter','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.counter','entity.entity_form_display.component_item.default','component_item_type=counter','a:1:{s:19:\"component_item_type\";s:7:\"counter\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,616,618,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',619,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.counter','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.counter','entity.entity_view_display.component_item.default','component_item_type=counter','a:1:{s:19:\"component_item_type\";s:7:\"counter\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,616,619,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',620,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.counter','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.counter','entity.component_item_type.delete_form','component_item_type=counter','a:1:{s:19:\"component_item_type\";s:7:\"counter\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,616,620,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',621,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.divider_section','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=divider_section','a:1:{s:19:\"component_item_type\";s:15:\"divider_section\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:15:\"divider_section\";}',1,5,1,479,483,485,621,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',622,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsdivider_section','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.divider_section','entity.component_item.field_ui_fields','component_item_type=divider_section','a:1:{s:19:\"component_item_type\";s:15:\"divider_section\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,621,622,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',623,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultdivider_section','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.divider_section','entity.entity_form_display.component_item.default','component_item_type=divider_section','a:1:{s:19:\"component_item_type\";s:15:\"divider_section\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,621,623,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',624,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.divider_section','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.divider_section','entity.entity_view_display.component_item.default','component_item_type=divider_section','a:1:{s:19:\"component_item_type\";s:15:\"divider_section\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,621,624,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',625,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.divider_section','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.divider_section','entity.component_item_type.delete_form','component_item_type=divider_section','a:1:{s:19:\"component_item_type\";s:15:\"divider_section\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,621,625,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',626,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_video','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=push_video','a:1:{s:19:\"component_item_type\";s:10:\"push_video\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:10:\"push_video\";}',1,5,1,479,483,485,626,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',627,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldspush_video','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_video','entity.component_item.field_ui_fields','component_item_type=push_video','a:1:{s:19:\"component_item_type\";s:10:\"push_video\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,626,627,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',628,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultpush_video','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_video','entity.entity_form_display.component_item.default','component_item_type=push_video','a:1:{s:19:\"component_item_type\";s:10:\"push_video\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,626,628,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',629,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.push_video','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_video','entity.entity_view_display.component_item.default','component_item_type=push_video','a:1:{s:19:\"component_item_type\";s:10:\"push_video\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,626,629,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',630,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.push_video','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.push_video','entity.component_item_type.delete_form','component_item_type=push_video','a:1:{s:19:\"component_item_type\";s:10:\"push_video\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,626,630,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',631,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.service_block','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=service_block','a:1:{s:19:\"component_item_type\";s:13:\"service_block\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:13:\"service_block\";}',1,5,1,479,483,485,631,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',632,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldsservice_block','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.service_block','entity.component_item.field_ui_fields','component_item_type=service_block','a:1:{s:19:\"component_item_type\";s:13:\"service_block\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,631,632,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',633,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultservice_block','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.service_block','entity.entity_form_display.component_item.default','component_item_type=service_block','a:1:{s:19:\"component_item_type\";s:13:\"service_block\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,631,633,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',634,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.service_block','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.service_block','entity.entity_view_display.component_item.default','component_item_type=service_block','a:1:{s:19:\"component_item_type\";s:13:\"service_block\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,631,634,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',635,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.service_block','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.service_block','entity.component_item_type.delete_form','component_item_type=service_block','a:1:{s:19:\"component_item_type\";s:13:\"service_block\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,631,635,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',636,'admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_summary','entity.component_item_type.collection','entity.component_item_type.edit_form','component_item_type=sidebar_summary','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_summary\";}','','s:0:\"\";','s:0:\"\";','Drupal\\admin_toolbar_tools\\Plugin\\Menu\\MenuLinkEntity','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:2:{s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"entity_id\";s:15:\"sidebar_summary\";}',1,5,1,479,483,485,636,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',637,'admin_toolbar_tools.extra_links:entity.component_item.field_ui_fieldssidebar_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_summary','entity.component_item.field_ui_fields','component_item_type=sidebar_summary','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,6,1,479,483,485,636,637,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',638,'admin_toolbar_tools.extra_links:entity.entity_form_display.component_item.defaultsidebar_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_summary','entity.entity_form_display.component_item.default','component_item_type=sidebar_summary','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,6,1,479,483,485,636,638,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',639,'admin_toolbar_tools.extra_links:entity.entity_view_display.component_item.default.sidebar_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_summary','entity.entity_view_display.component_item.default','component_item_type=sidebar_summary','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,6,1,479,483,485,636,639,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',640,'admin_toolbar_tools.extra_links:entity.component_item_type.delete_form.sidebar_summary','admin_toolbar_tools.extra_links:entity.component_item_type.edit_form.sidebar_summary','entity.component_item_type.delete_form','component_item_type=sidebar_summary','a:1:{s:19:\"component_item_type\";s:15:\"sidebar_summary\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,6,1,479,483,485,636,640,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('main',641,'menu_link_content:b85bcd97-6786-49b1-9128-27ad2a7366a5','','entity.node.canonical','node=49','a:1:{s:4:\"node\";s:2:\"49\";}','','s:12:\"Landing page\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:0:{}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:2:\"23\";}',0,1,641,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm');
/*!40000 ALTER TABLE `menu_tree` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`nid`),
  UNIQUE KEY `node_field__uuid__value` (`uuid`),
  UNIQUE KEY `node__vid` (`vid`),
  KEY `node_field__type__target_id` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'blog','14348ee6-9e73-4c26-854d-7700b17d0fd4','en'),(2,2,'blog','42b708bf-def7-45e9-8500-bad94daba5a3','en'),(3,3,'blog','314c8b9d-c32b-4bfb-821f-316ba2ab0718','en'),(4,4,'blog','13632333-103a-4782-aa25-3701579baa72','en'),(5,5,'blog','003c4302-e863-40c1-bf3f-63b48e31b035','en'),(6,6,'blog','d7ffc165-0e9e-49e6-9b05-5ea56202c8f7','en'),(7,7,'blog','2a63d20a-c767-46b9-bd28-407b713a97d5','en'),(8,8,'blog','2d47ad6b-615b-4fc8-a300-d961e641a63d','en'),(9,9,'blog','fb6cab9f-18d4-4758-bd00-a2d70b04247e','en'),(10,10,'blog','1e99542e-9d99-4a8b-8908-08d16f4d585e','en'),(11,11,'blog','f57b9f32-2c00-46ef-9800-ebae3fb1b50f','en'),(12,12,'blog','86d9ae62-f8cc-4c5b-b800-b62eecf1b62a','en'),(13,13,'blog','c7263313-b3f5-4426-862b-43d82ed76765','en'),(14,14,'blog','281c8e81-d80e-4698-b609-9acc6d863235','en'),(15,15,'blog','b4bca5b2-efeb-4661-8950-80c4a77861ab','en'),(16,16,'blog','122faf37-e146-400b-aa09-9bfe3860ff71','en'),(17,17,'blog','732853d8-331c-4229-814d-77e888863056','en'),(18,18,'blog','8c5e38d3-7d4f-42f3-ac37-55badc31ffe0','en'),(19,19,'blog','c2a60e7e-33ff-44fe-b200-0f5122a7f909','en'),(20,20,'blog','2564e9de-f573-435b-8d00-a4a619027a9c','en'),(21,21,'blog','9231fb78-3d95-4f0c-ac04-4c901a1ebe9a','en'),(22,22,'blog','5b2ba6f7-558b-4071-9b47-71a26cc3efbc','en'),(23,23,'blog','a7d93d8f-204f-48db-9262-9875d09ff6b6','en'),(24,24,'blog','e330f450-b28a-4b7f-b236-54cf1d153980','en'),(25,25,'blog','aaa86252-59cb-498c-b800-0b43903d94fb','en'),(26,26,'blog','40f3c059-ee14-47b0-af00-fad0dccce9f6','en'),(27,27,'blog','87deff20-402f-4cc8-b600-e94028074018','en'),(28,28,'blog','21f8df07-7d7a-4edb-8900-ab9e3fc83ee1','en'),(29,29,'blog','fa8ba2ed-912a-47cf-a902-022868abc3c8','en'),(30,30,'blog','4547d56f-a02b-4a31-8500-0baf25b79b55','en'),(31,31,'blog','c84af595-0284-4b6d-8f00-ded5fcb9fe3f','en'),(32,32,'blog','02def9bd-3b8e-44ef-9104-4c0bb4973877','en'),(33,33,'blog','fe026552-d8e1-4557-b14e-784d5b016eb3','en'),(34,34,'blog','444d9a40-74cc-41ba-9d55-8558ae540ed3','en'),(35,35,'blog','66b1d6ee-8c58-4046-9e00-d3cc1864e28c','en'),(36,36,'blog','d22d3137-4165-4895-8059-8901dd9390ad','en'),(38,38,'page','505a7fb5-6eee-4029-b823-357c5fede922','en'),(40,40,'showcase','2a7c162e-e808-402c-8200-fb5bc04afc71','en'),(41,41,'showcase','76b983a5-9b43-4641-8100-f7d502beb251','en'),(42,42,'showcase','ee209e8f-8391-4267-8625-37ba8c5742c9','en'),(43,43,'showcase','fac62a26-0bfa-4656-8800-b0eb8354691d','en'),(44,44,'showcase','6adf5990-2f7f-42f2-9814-206f5d998d17','en'),(45,45,'showcase','3b25f942-8665-44af-8902-028296702619','en'),(46,46,'showcase','3fb7fa16-16ab-44bb-bb34-528f4263e3f9','en'),(47,47,'showcase','88f9aea6-3d8a-4ba5-9400-c36e0700677c','en'),(48,48,'forum','72a12b12-8cf3-4423-9400-a761d6f64840','en'),(49,49,'page','012a9161-4485-44de-8eeb-4256c160775e','en');
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__body`
--

DROP TABLE IF EXISTS `node__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__body`
--

LOCK TABLES `node__body` WRITE;
/*!40000 ALTER TABLE `node__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__body` VALUES ('blog',0,1,1,'ar',0,'<p>Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.</p>\r\n\r\n<p>The Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.</p>\r\n\r\n<p>Among the findings: As few as 4.9 percent of teachers in France said that society valued their work, and 5 percent in Sweden, compared with highs of 83.8 percent in Malaysia, 67.6 percent in Singapore, and 66.5 percent in Abu Dhabi and South Korea. Finland scored highest in Europe, with 58.6 percent of teachers saying they felt properly appreciated.</p>\r\n\r\n<p>Nunc faucibus aliquet tincidunt. Donec adipiscing aliquet orci vel porta. Vivamus rhoncus pellentesque metus, hendrerit varius augue sagittis et. Nunc quis suscipit orci. Fusce tincidunt quam non scelerisque ultricies. Nulla gravida augue ac eros tempor, vel convallis ipsum rutrum. Fusce pretium molestie condimentum. Ut rhoncus, odio a fringilla sagittis, lectus lorem accumsan neque, et aliquet odio tortor mattis mauris. Sed quis suscipit purus. Nulla imperdiet enim eu mi consequat, vitae venenatis nisl pretium. Duis auctor luctus lectus et hendrerit. Ut id luctus sapien.</p>\r\n\r\n<p>Aenean viverra est sed justo rhoncus, sit amet aliquam erat pulvinar. Nam et varius purus. Curabitur ultricies risus tincidunt pulvinar varius. Cras non mauris suscipit, pulvinar urna tincidunt, auctor leo. Etiam ac ipsum gravida, aliquet neque sed, adipiscing magna. Vestibulum porttitor vitae nisi in tincidunt. Maecenas fermentum augue placerat, scelerisque ligula a, lacinia ipsum.</p>\r\n\r\n<p>Nulla nec porttitor urna. Nam mattis gravida dolor ac vehicula. Etiam pulvinar tincidunt hendrerit. Nam nec imperdiet lacus. Donec rutrum ultricies nulla sed tempor. Aliquam blandit condimentum sollicitudin. Proin vel iaculis nisi. Nunc at orci in sapien blandit semper. Nunc faucibus felis ante, nec ultricies lacus pretium vel. Aenean nec rhoncus sem, a cursus magna. Morbi sit amet felis posuere, ultrices diam sed, adipiscing metus. Mauris semper odio orci, at ornare dolor aliquet in. Vivamus sagittis tellus dictum, lobortis felis non, dapibus ante. Pellentesque porttitor enim sit amet augue viverra sollicitudin. Etiam id arcu iaculis, molestie magna in, venenatis leo.</p>\r\n\r\n<p>Nullam non turpis enim. Nunc sed dapibus elit. Sed non tellus vel nisl consectetur eleifend. Nulla condimentum libero rhoncus tortor pellentesque, vitae venenatis nulla convallis. Ut dignissim tellus sit amet quam aliquam molestie. Curabitur laoreet mollis dolor, at tristique tortor luctus ut. Mauris sed tincidunt elit. Morbi a tellus sit amet velit fermentum congue et in libero. Nam condimentum urna laoreet, condimentum odio quis, aliquam nunc. Sed at lacinia odio. Fusce lacinia vitae ipsum a lobortis. Integer tincidunt nibh id interdum semper. Fusce velit lacus, blandit cursus nibh vitae, fermentum egestas enim. In sit amet venenatis mauris.</p>\r\n','','full_html'),('blog',0,1,1,'en',0,'<p>Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.</p>\r\n\r\n<p>The Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.</p>\r\n\r\n<p>Among the findings: As few as 4.9 percent of teachers in France said that society valued their work, and 5 percent in Sweden, compared with highs of 83.8 percent in Malaysia, 67.6 percent in Singapore, and 66.5 percent in Abu Dhabi and South Korea. Finland scored highest in Europe, with 58.6 percent of teachers saying they felt properly appreciated.</p>\r\n\r\n<p>Nunc faucibus aliquet tincidunt. Donec adipiscing aliquet orci vel porta. Vivamus rhoncus pellentesque metus, hendrerit varius augue sagittis et. Nunc quis suscipit orci. Fusce tincidunt quam non scelerisque ultricies. Nulla gravida augue ac eros tempor, vel convallis ipsum rutrum. Fusce pretium molestie condimentum. Ut rhoncus, odio a fringilla sagittis, lectus lorem accumsan neque, et aliquet odio tortor mattis mauris. Sed quis suscipit purus. Nulla imperdiet enim eu mi consequat, vitae venenatis nisl pretium. Duis auctor luctus lectus et hendrerit. Ut id luctus sapien.</p>\r\n\r\n<p>Aenean viverra est sed justo rhoncus, sit amet aliquam erat pulvinar. Nam et varius purus. Curabitur ultricies risus tincidunt pulvinar varius. Cras non mauris suscipit, pulvinar urna tincidunt, auctor leo. Etiam ac ipsum gravida, aliquet neque sed, adipiscing magna. Vestibulum porttitor vitae nisi in tincidunt. Maecenas fermentum augue placerat, scelerisque ligula a, lacinia ipsum.</p>\r\n\r\n<p>Nulla nec porttitor urna. Nam mattis gravida dolor ac vehicula. Etiam pulvinar tincidunt hendrerit. Nam nec imperdiet lacus. Donec rutrum ultricies nulla sed tempor. Aliquam blandit condimentum sollicitudin. Proin vel iaculis nisi. Nunc at orci in sapien blandit semper. Nunc faucibus felis ante, nec ultricies lacus pretium vel. Aenean nec rhoncus sem, a cursus magna. Morbi sit amet felis posuere, ultrices diam sed, adipiscing metus. Mauris semper odio orci, at ornare dolor aliquet in. Vivamus sagittis tellus dictum, lobortis felis non, dapibus ante. Pellentesque porttitor enim sit amet augue viverra sollicitudin. Etiam id arcu iaculis, molestie magna in, venenatis leo.</p>\r\n\r\n<p>Nullam non turpis enim. Nunc sed dapibus elit. Sed non tellus vel nisl consectetur eleifend. Nulla condimentum libero rhoncus tortor pellentesque, vitae venenatis nulla convallis. Ut dignissim tellus sit amet quam aliquam molestie. Curabitur laoreet mollis dolor, at tristique tortor luctus ut. Mauris sed tincidunt elit. Morbi a tellus sit amet velit fermentum congue et in libero. Nam condimentum urna laoreet, condimentum odio quis, aliquam nunc. Sed at lacinia odio. Fusce lacinia vitae ipsum a lobortis. Integer tincidunt nibh id interdum semper. Fusce velit lacus, blandit cursus nibh vitae, fermentum egestas enim. In sit amet venenatis mauris.</p>\r\n','','full_html'),('blog',0,2,2,'ar',0,'<p>If San Diego is known for one thing, it would be for our gorgeous beaches. With 70 miles of pristine coastline, year-around sunshine and mild temperatures, you can enjoy the surf and sand almost any day of the year. For visitors and locals alike, the beach is a veritable wonderland and the place to spend entire days with family and friends.&nbsp;</p>\r\n\r\n<p>From expansive sandy beaches, rocky cliffs, reefs, tide pools and everything in between, the beaches in San Diego are as varied as the California beach towns that were built around them. Discover beaches perfect for families and dogs, beaches coveted by the world’s top surfers, or to enjoy a fire, play volleyball, spot sea creatures or simply relax and people watch. One thing’s for sure, on any given day at any beach in San Diego, you’ll find a front row seat to a magnificent display of the western sky as the sun descents into the Pacific.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,2,2,'en',0,'<p>If San Diego is known for one thing, it would be for our gorgeous beaches. With 70 miles of pristine coastline, year-around sunshine and mild temperatures, you can enjoy the surf and sand almost any day of the year. For visitors and locals alike, the beach is a veritable wonderland and the place to spend entire days with family and friends.&nbsp;</p>\r\n\r\n<p>From expansive sandy beaches, rocky cliffs, reefs, tide pools and everything in between, the beaches in San Diego are as varied as the California beach towns that were built around them. Discover beaches perfect for families and dogs, beaches coveted by the world’s top surfers, or to enjoy a fire, play volleyball, spot sea creatures or simply relax and people watch. One thing’s for sure, on any given day at any beach in San Diego, you’ll find a front row seat to a magnificent display of the western sky as the sun descents into the Pacific.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,3,3,'ar',0,'<p>From the coastline of Whakatane, White Island appears on the horizon as a stereotypical volcano, the kind you may have doodled in schoolbooks as a kid. With its classic conical shape and plume of natural gases rising high above the crater rim, it seems to warn, “I am still breathing.”</p>\r\n\r\n<p>I was filled with excitement as I climbed aboard our vessel, the PeeJay5, and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination. On my right, a middle aged couple in their 60’s with walking sticks, tramping shoes and cameras at the ready; on my left, a family of three with a five year old and one on the way; and across from me, two friends in their early twenties wearing skinny jeans and Converse, attached to their iPhones.</p>\r\n\r\n<p>As our boat drifted down the Whakatane River through the harbour entrance into the Pacific Ocean, our trip to the island began. We passed little blue penguins, a pod of travelling dolphins and a rare blue shark sunning himself on the surface, one of the rarest sites I have ever seen on the water. The middle aged couple were snapping wildly, cheers of excitement roared from the five year old encouraged by mum and dad, and the young hipsters never saw a thing, keeping their eyes and attention firmly glued to playing games on their phones.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,3,3,'en',0,'<p>From the coastline of Whakatane, White Island appears on the horizon as a stereotypical volcano, the kind you may have doodled in schoolbooks as a kid. With its classic conical shape and plume of natural gases rising high above the crater rim, it seems to warn, “I am still breathing.”</p>\r\n\r\n<p>I was filled with excitement as I climbed aboard our vessel, the PeeJay5, and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination. On my right, a middle aged couple in their 60’s with walking sticks, tramping shoes and cameras at the ready; on my left, a family of three with a five year old and one on the way; and across from me, two friends in their early twenties wearing skinny jeans and Converse, attached to their iPhones.</p>\r\n\r\n<p>As our boat drifted down the Whakatane River through the harbour entrance into the Pacific Ocean, our trip to the island began. We passed little blue penguins, a pod of travelling dolphins and a rare blue shark sunning himself on the surface, one of the rarest sites I have ever seen on the water. The middle aged couple were snapping wildly, cheers of excitement roared from the five year old encouraged by mum and dad, and the young hipsters never saw a thing, keeping their eyes and attention firmly glued to playing games on their phones.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,4,4,'ar',0,'<p>If you like beaches and the lifestyle that goes with them, then you’re going to love New Zealand. Because the great thing about it being an island nation is that it\'s literally surrounded by beaches. Over 15,000 km of them in fact.&nbsp;<br />\r\n&nbsp;<br />\r\nGenerally you’ll find white sand beaches down the East Coast, and more wild, black sand beaches line the West Coast. The laid-back Kiwi lifestyle is well known around the world, and the closer you get to the coast, the more chilled out things become. And with all of its major cities situated on the water, it’s a pretty sweet place to live and visit.<br />\r\n&nbsp;<br />\r\nSailing, surfing, kayaking, fishing – Kiwi’s love the water and are spoiled for choice when it comes to water activities, whether it be on beaches, rivers or lakes. Top off your bliss-filled days in the sun, partying with new friends around a bonfire on your favourite beach.<br />\r\n&nbsp;<br />\r\nLooking for trip ideas? Swim with dolphins in the Bay of Islands off Paihia, among 144 spectacular islands and sparkling secluded bays. Head north and body board down the massive Te Paki Sand Dunes by Ninety Mile Beach in Northland at thrilling speeds. Or go scuba diving at Cathedral Cove on the Coromandel Peninsula.&nbsp;</p>\r\n\r\n<p>Praesent aliquam semper sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eu blandit est. Mauris ornare, elit quis imperdiet interdum, nibh leo sagittis libero, et sodales tortor tortor in sem. Pellentesque bibendum, diam ac gravida imperdiet, purus ligula sodales eros, a varius metus felis ut nisi. Sed pretium est eu porttitor molestie. Nulla ut suscipit arcu, sit amet imperdiet orci. Etiam placerat nisi justo, aliquam rutrum nibh scelerisque vel. Sed aliquet metus sed ultricies ultrices. Etiam nisl arcu, facilisis a laoreet vitae, bibendum placerat enim.</p>\r\n\r\n<p>Etiam pulvinar dolor sit amet aliquet ullamcorper. Nunc posuere pulvinar felis in commodo. Suspendisse potenti. Nullam sapien lectus, sollicitudin eu porta quis, mattis a odio. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris gravida posuere mauris sed bibendum. Nunc dapibus et enim a molestie.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n','','basic_html'),('blog',0,4,4,'en',0,'<p>If you like beaches and the lifestyle that goes with them, then you’re going to love New Zealand. Because the great thing about it being an island nation is that it\'s literally surrounded by beaches. Over 15,000 km of them in fact.&nbsp;<br />\r\n&nbsp;<br />\r\nGenerally you’ll find white sand beaches down the East Coast, and more wild, black sand beaches line the West Coast. The laid-back Kiwi lifestyle is well known around the world, and the closer you get to the coast, the more chilled out things become. And with all of its major cities situated on the water, it’s a pretty sweet place to live and visit.<br />\r\n&nbsp;<br />\r\nSailing, surfing, kayaking, fishing – Kiwi’s love the water and are spoiled for choice when it comes to water activities, whether it be on beaches, rivers or lakes. Top off your bliss-filled days in the sun, partying with new friends around a bonfire on your favourite beach.<br />\r\n&nbsp;<br />\r\nLooking for trip ideas? Swim with dolphins in the Bay of Islands off Paihia, among 144 spectacular islands and sparkling secluded bays. Head north and body board down the massive Te Paki Sand Dunes by Ninety Mile Beach in Northland at thrilling speeds. Or go scuba diving at Cathedral Cove on the Coromandel Peninsula.&nbsp;</p>\r\n\r\n<p>Praesent aliquam semper sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eu blandit est. Mauris ornare, elit quis imperdiet interdum, nibh leo sagittis libero, et sodales tortor tortor in sem. Pellentesque bibendum, diam ac gravida imperdiet, purus ligula sodales eros, a varius metus felis ut nisi. Sed pretium est eu porttitor molestie. Nulla ut suscipit arcu, sit amet imperdiet orci. Etiam placerat nisi justo, aliquam rutrum nibh scelerisque vel. Sed aliquet metus sed ultricies ultrices. Etiam nisl arcu, facilisis a laoreet vitae, bibendum placerat enim.</p>\r\n\r\n<p>Etiam pulvinar dolor sit amet aliquet ullamcorper. Nunc posuere pulvinar felis in commodo. Suspendisse potenti. Nullam sapien lectus, sollicitudin eu porta quis, mattis a odio. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris gravida posuere mauris sed bibendum. Nunc dapibus et enim a molestie.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n','','basic_html'),('blog',0,5,5,'ar',0,'<p>From Elizabeth Taylor, to Audrey Hepburn, Grace Kelly and Olivia Palermo - we\'ve rounded up the most stylish brides of all time. Find out who made the biggest fashion statement as they walked down the aisle...</p>\r\n\r\n<p>Olivia Palermo parted with tradition to marry her model fiance Johannes Huebl in New York on June 28. The stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts, with a simple cream cashmere jumper on top. Her something blue came in the form of some vibrant Manolo Blahnik heels. Quite possibly our favourite bridal look to date.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n\r\n<p>Pellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.</p>\r\n','','basic_html'),('blog',0,5,5,'en',0,'<p>From Elizabeth Taylor, to Audrey Hepburn, Grace Kelly and Olivia Palermo - we\'ve rounded up the most stylish brides of all time. Find out who made the biggest fashion statement as they walked down the aisle...</p>\r\n\r\n<p>Olivia Palermo parted with tradition to marry her model fiance Johannes Huebl in New York on June 28. The stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts, with a simple cream cashmere jumper on top. Her something blue came in the form of some vibrant Manolo Blahnik heels. Quite possibly our favourite bridal look to date.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n\r\n<p>Pellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.</p>\r\n','','basic_html'),('blog',0,6,6,'ar',0,'<p>On the map, our planned bicycle trip could be measured in inches: a straight shot up the Hudson River’s narrow blue line, a jaunt along Lake Champlain, a short border crossing into Canada, and voilà – we’d be on international turf. On the ground, however, our more than 370-mile journey from New York City to Montreal took more twists and turns than the map implied.</p>\r\n\r\n<p>The good news, I discovered, is that trips like this aren\'t about fitness – or my father-in-law Dave O’Leary, a former contestant on the epic CBS TV show the Amazing Race, would have left me behind like road kill. They\'re about persistence and flexibility. And a lot can be said for travelling light.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n','','basic_html'),('blog',0,6,6,'en',0,'<p>On the map, our planned bicycle trip could be measured in inches: a straight shot up the Hudson River’s narrow blue line, a jaunt along Lake Champlain, a short border crossing into Canada, and voilà – we’d be on international turf. On the ground, however, our more than 370-mile journey from New York City to Montreal took more twists and turns than the map implied.</p>\r\n\r\n<p>The good news, I discovered, is that trips like this aren\'t about fitness – or my father-in-law Dave O’Leary, a former contestant on the epic CBS TV show the Amazing Race, would have left me behind like road kill. They\'re about persistence and flexibility. And a lot can be said for travelling light.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n','','basic_html'),('blog',0,7,7,'ar',0,'<p>When I think of a sports touring bike, I think of a road racing bike with the eyelets for a rear rack. The geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank, the rear cog will have a wider range than the typical racing cog.</p>\r\n\r\n<p>So all in all fast quick and a little stouter than a racing bike. Waterford bikes has a sport touring catagory and says it light weight, quick accelerating has a longer wheel base than a racing bike for comfort over long distances. Used for credit card touring or light touring.</p>\r\n\r\n<p>Nunc in facilisis lacus. Nulla sed urna faucibus, fringilla libero ac, ornare est. Curabitur a sem tortor. Vivamus elementum dictum bibendum. Duis iaculis interdum pulvinar. Donec blandit metus urna, eget viverra arcu accumsan id. Suspendisse dui sem, hendrerit eget tortor nec, adipiscing sollicitudin lacus.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,7,7,'en',0,'<p>When I think of a sports touring bike, I think of a road racing bike with the eyelets for a rear rack. The geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank, the rear cog will have a wider range than the typical racing cog.</p>\r\n\r\n<p>So all in all fast quick and a little stouter than a racing bike. Waterford bikes has a sport touring catagory and says it light weight, quick accelerating has a longer wheel base than a racing bike for comfort over long distances. Used for credit card touring or light touring.</p>\r\n\r\n<p>Nunc in facilisis lacus. Nulla sed urna faucibus, fringilla libero ac, ornare est. Curabitur a sem tortor. Vivamus elementum dictum bibendum. Duis iaculis interdum pulvinar. Donec blandit metus urna, eget viverra arcu accumsan id. Suspendisse dui sem, hendrerit eget tortor nec, adipiscing sollicitudin lacus.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,8,8,'ar',0,'<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,8,8,'en',0,'<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,9,9,'ar',0,'<p>GREENWELL SPRINGS, La. — Rebekah and Kevin Nelams moved to their modest brick home in this suburb of Baton Rouge seven years ago because it has one of the top-performing public school districts in the state. But starting this fall, Ms. Nelams plans to home-school the couple’s four elementary-age children.</p>\r\n\r\n<p>The main reason: the methods that are being used for teaching math under the Common Core, a set of academic standards adopted by more than 40 states.</p>\r\n\r\n<p>Ms. Nelams said she did not recognize the approaches her children, ages 7 to 10, were being asked to use on math work sheets. They were frustrated by the pictures, dots and sheer number of steps needed to solve some problems. Her husband, who is a pipe designer for petroleum products at an engineering firm, once had to watch a YouTube video before he could help their fifth-grade son with his division homework.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,9,9,'en',0,'<p>GREENWELL SPRINGS, La. — Rebekah and Kevin Nelams moved to their modest brick home in this suburb of Baton Rouge seven years ago because it has one of the top-performing public school districts in the state. But starting this fall, Ms. Nelams plans to home-school the couple’s four elementary-age children.</p>\r\n\r\n<p>The main reason: the methods that are being used for teaching math under the Common Core, a set of academic standards adopted by more than 40 states.</p>\r\n\r\n<p>Ms. Nelams said she did not recognize the approaches her children, ages 7 to 10, were being asked to use on math work sheets. They were frustrated by the pictures, dots and sheer number of steps needed to solve some problems. Her husband, who is a pipe designer for petroleum products at an engineering firm, once had to watch a YouTube video before he could help their fifth-grade son with his division homework.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,10,10,'ar',0,'<p>MODELS 1 has named 20-year-old Lauren Punter as the winner of their curve supermodel competition. Run in collaboration with ASOS, the competition looked for women aged between 17 and 28, who were a dress size 18-plus, to Instagram an image of themselves with the handle #MakeMeACurveModel - and professional model bookers then chose their winner.</p>\r\n\r\n<p>\"The prospect of walking into a model agency can be daunting and Models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves,\" said Models 1, adding: \"We believe that beauty comes in different sizes.\"</p>\r\n\r\n<p>Phasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.</p>\r\n\r\n<p>Vestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.</p>\r\n\r\n<p>Integer eget est vel leo suscipit eleifend. Suspendisse potenti. Pellentesque eu lobortis erat, vitae varius felis. Donec id velit ac dolor convallis lobortis. Proin egestas nisl nec erat faucibus, id aliquet enim volutpat. Nullam sollicitudin risus eu sem molestie interdum. Praesent et dui sit amet metus aliquet vulputate. Phasellus commodo nisl a felis consectetur, ut tristique diam pretium. Pellentesque gravida quam vitae elit mattis malesuada. In sit amet ultricies augue. Mauris id nisi sit amet eros fermentum rhoncus ut nec purus. Nullam rutrum, justo sit amet volutpat porttitor, lectus velit tempor massa, et porttitor felis velit non ipsum.</p>\r\n','','basic_html'),('blog',0,10,10,'en',0,'<p>MODELS 1 has named 20-year-old Lauren Punter as the winner of their curve supermodel competition. Run in collaboration with ASOS, the competition looked for women aged between 17 and 28, who were a dress size 18-plus, to Instagram an image of themselves with the handle #MakeMeACurveModel - and professional model bookers then chose their winner.</p>\r\n\r\n<p>\"The prospect of walking into a model agency can be daunting and Models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves,\" said Models 1, adding: \"We believe that beauty comes in different sizes.\"</p>\r\n\r\n<p>Phasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.</p>\r\n\r\n<p>Vestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.</p>\r\n\r\n<p>Integer eget est vel leo suscipit eleifend. Suspendisse potenti. Pellentesque eu lobortis erat, vitae varius felis. Donec id velit ac dolor convallis lobortis. Proin egestas nisl nec erat faucibus, id aliquet enim volutpat. Nullam sollicitudin risus eu sem molestie interdum. Praesent et dui sit amet metus aliquet vulputate. Phasellus commodo nisl a felis consectetur, ut tristique diam pretium. Pellentesque gravida quam vitae elit mattis malesuada. In sit amet ultricies augue. Mauris id nisi sit amet eros fermentum rhoncus ut nec purus. Nullam rutrum, justo sit amet volutpat porttitor, lectus velit tempor massa, et porttitor felis velit non ipsum.</p>\r\n','','basic_html'),('blog',0,11,11,'ar',0,'<p>It was a stormy graduation day in Cambridge on Saturday. Drenched with rain, the students in their gowns looked like penguins emerging from the sea. Parents wielded golf umbrellas, the sword and shield of the English middle classes. The downpour could not extinguish their justifiable pride: a degree from a university often ranked number one in the world is still a glittering prize.</p>\r\n\r\n<p>But as the graduates splashed down Trinity Street clutching their BA (Cantab), I wondered how many had come to this beautiful, fiercely clever place from a state school, as I did. The latest figures reveal that state-educated applicants bagged just over 61 per cent of Cambridge places in 2013/14, down from more than 63 per cent. Despite the university spending more than £4 million a year on “outreach” work to identify talented pupils from deprived backgrounds, Cambridge’s social mix remains stubbornly static.</p>\r\n\r\n<p>Nam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.</p>\r\n\r\n<p>Pellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.</p>\r\n\r\n<p>Donec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.</p>\r\n','','basic_html'),('blog',0,11,11,'en',0,'<p>It was a stormy graduation day in Cambridge on Saturday. Drenched with rain, the students in their gowns looked like penguins emerging from the sea. Parents wielded golf umbrellas, the sword and shield of the English middle classes. The downpour could not extinguish their justifiable pride: a degree from a university often ranked number one in the world is still a glittering prize.</p>\r\n\r\n<p>But as the graduates splashed down Trinity Street clutching their BA (Cantab), I wondered how many had come to this beautiful, fiercely clever place from a state school, as I did. The latest figures reveal that state-educated applicants bagged just over 61 per cent of Cambridge places in 2013/14, down from more than 63 per cent. Despite the university spending more than £4 million a year on “outreach” work to identify talented pupils from deprived backgrounds, Cambridge’s social mix remains stubbornly static.</p>\r\n\r\n<p>Nam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.</p>\r\n\r\n<p>Pellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.</p>\r\n\r\n<p>Donec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.</p>\r\n','','basic_html'),('blog',0,12,12,'ar',0,'<p>There are so many things to see and do in Philly. From taking a stroll through historic homes and learning about the Liberty Bell to encountering many cultural gems and architecture — there\'s a tour for everyone and every group.</p>\r\n\r\n<p>Nulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.</p>\r\n\r\n<p>Cras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.</p>\r\n\r\n<p>Morbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.</p>\r\n','','basic_html'),('blog',0,12,12,'en',0,'<p>There are so many things to see and do in Philly. From taking a stroll through historic homes and learning about the Liberty Bell to encountering many cultural gems and architecture — there\'s a tour for everyone and every group.</p>\r\n\r\n<p>Nulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.</p>\r\n\r\n<p>Cras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.</p>\r\n\r\n<p>Morbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.</p>\r\n','','basic_html'),('blog',0,13,13,'ar',0,'<p>The New Zealand Companies Office (NZCO) has recently released three new features to the NZCO website. These new features allow businesses in New Zealand to determine if the organisations they are intending to engage with are registered as a Limited Liability Company on the Register of Companies.</p>\r\n\r\n<p>The new features include the introduction of a QR Code which has been added to all Certificates of Incorporation, Company Extracts and Annual Return Extracts. The QR Code can be scanned and will direct the client to the Company Details page for that particular company.</p>\r\n\r\n<p>&nbsp;Suspendisse facilisis sollicitudin libero, in pretium nulla consectetur ut. Cras ut tortor nisi. Cras quis luctus nisi. Fusce non sodales ipsum. Integer tincidunt mauris tellus, eget pellentesque eros commodo in. Ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam. Donec pretium justo non leo dignissim luctus. Sed aliquam dui non massa eleifend, nec iaculis lacus consequat. Suspendisse vulputate tortor dolor.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,13,13,'en',0,'<p>The New Zealand Companies Office (NZCO) has recently released three new features to the NZCO website. These new features allow businesses in New Zealand to determine if the organisations they are intending to engage with are registered as a Limited Liability Company on the Register of Companies.</p>\r\n\r\n<p>The new features include the introduction of a QR Code which has been added to all Certificates of Incorporation, Company Extracts and Annual Return Extracts. The QR Code can be scanned and will direct the client to the Company Details page for that particular company.</p>\r\n\r\n<p>&nbsp;Suspendisse facilisis sollicitudin libero, in pretium nulla consectetur ut. Cras ut tortor nisi. Cras quis luctus nisi. Fusce non sodales ipsum. Integer tincidunt mauris tellus, eget pellentesque eros commodo in. Ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam. Donec pretium justo non leo dignissim luctus. Sed aliquam dui non massa eleifend, nec iaculis lacus consequat. Suspendisse vulputate tortor dolor.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,14,14,'ar',0,'<p>Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this year is one of only 17 recipients of a prestigious award from the Emergency Nurses Association (ENA).<br />\r\n&nbsp;<br />\r\nThe emergency department is among those receiving the Lantern Award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership, practice, education, advocacy and research.</p>\r\n\r\n<p>Etiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n','','basic_html'),('blog',0,14,14,'en',0,'<p>Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this year is one of only 17 recipients of a prestigious award from the Emergency Nurses Association (ENA).<br />\r\n&nbsp;<br />\r\nThe emergency department is among those receiving the Lantern Award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership, practice, education, advocacy and research.</p>\r\n\r\n<p>Etiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n','','basic_html'),('blog',0,15,15,'ar',0,'<p>In summing up his view on the value of research, heart-attack survivor Tom Lancaster doesn’t mince words: “If it weren’t for heart research, I wouldn’t be here right now.”</p>\r\n\r\n<p>When he suffered a major heart attack last June, the 81-year-old Edmontonian soon found himself at the Mazankowski Alberta Heart Institute where he was diagnosed with a blocked artery and several narrowed vessels.</p>\r\n\r\n<p>Vivamus ut erat scelerisque elit lacinia congue. Integer sit amet leo dictum, euismod sem ut, tincidunt turpis. Nullam bibendum vestibulum faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus ut fermentum urna. Praesent molestie malesuada velit a tempor. Mauris pharetra semper augue non lobortis. Nunc a posuere justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus ultricies vestibulum felis eu placerat. Praesent orci metus, feugiat ut odio vitae, aliquet luctus urna. Vivamus eget enim ac mauris tincidunt aliquet vitae a magna. In sed lacus auctor, ultrices augue at, malesuada augue. Maecenas mollis vitae ante ac tincidunt.</p>\r\n\r\n<p>Morbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.</p>\r\n\r\n<p>Nullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.</p>\r\n','','basic_html'),('blog',0,15,15,'en',0,'<p>In summing up his view on the value of research, heart-attack survivor Tom Lancaster doesn’t mince words: “If it weren’t for heart research, I wouldn’t be here right now.”</p>\r\n\r\n<p>When he suffered a major heart attack last June, the 81-year-old Edmontonian soon found himself at the Mazankowski Alberta Heart Institute where he was diagnosed with a blocked artery and several narrowed vessels.</p>\r\n\r\n<p>Vivamus ut erat scelerisque elit lacinia congue. Integer sit amet leo dictum, euismod sem ut, tincidunt turpis. Nullam bibendum vestibulum faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus ut fermentum urna. Praesent molestie malesuada velit a tempor. Mauris pharetra semper augue non lobortis. Nunc a posuere justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus ultricies vestibulum felis eu placerat. Praesent orci metus, feugiat ut odio vitae, aliquet luctus urna. Vivamus eget enim ac mauris tincidunt aliquet vitae a magna. In sed lacus auctor, ultrices augue at, malesuada augue. Maecenas mollis vitae ante ac tincidunt.</p>\r\n\r\n<p>Morbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.</p>\r\n\r\n<p>Nullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.</p>\r\n','','basic_html'),('blog',0,16,16,'ar',0,'<p>The Companies and Limited Partnerships Amendment Bill received Royal Assent on 2 July 2014. The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.</p>\r\n\r\n<p>This legislation assists with the prevention of misuse of New Zealand companies (shell companies) and Limited Partnerships by overseas criminal organisations and provides the Registrar with additional powers.</p>\r\n\r\n<p>&nbsp;Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,16,16,'en',0,'<p>The Companies and Limited Partnerships Amendment Bill received Royal Assent on 2 July 2014. The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.</p>\r\n\r\n<p>This legislation assists with the prevention of misuse of New Zealand companies (shell companies) and Limited Partnerships by overseas criminal organisations and provides the Registrar with additional powers.</p>\r\n\r\n<p>&nbsp;Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,17,17,'ar',0,'<p>Did you know you can search the Personal Property Securities Register (PPSR) to find out if the second-hand car you are considering buying privately may have money owing on it? &nbsp;For less than the price of a cup of coffee the search is worth it for the peace of mind it gives you.</p>\r\n\r\n<p>Imagine this scenario: Jack spends weeks finding the car of his dreams. &nbsp;He settles on a tidy, red Holden. &nbsp;It’s a little over his price bracket and even though Jack negotiates a deal with the seller, he still needs to sell his existing car and take out a small loan. &nbsp;Once the finances are sorted, Jack takes possession of the car and registers it with NZ Transport in his name.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,17,17,'en',0,'<p>Did you know you can search the Personal Property Securities Register (PPSR) to find out if the second-hand car you are considering buying privately may have money owing on it? &nbsp;For less than the price of a cup of coffee the search is worth it for the peace of mind it gives you.</p>\r\n\r\n<p>Imagine this scenario: Jack spends weeks finding the car of his dreams. &nbsp;He settles on a tidy, red Holden. &nbsp;It’s a little over his price bracket and even though Jack negotiates a deal with the seller, he still needs to sell his existing car and take out a small loan. &nbsp;Once the finances are sorted, Jack takes possession of the car and registers it with NZ Transport in his name.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,18,18,'ar',0,'<p>In a previous blog post, I asked “what makes a Nature Genetics paper?” I have been slow to follow up on the post with my own answers to that question, but in the meantime I would like to share this email that brightened my day (edited for clarity):&nbsp;</p>\r\n\r\n<p>“I work on the field of genome-wide association studies (GWAS) in complex diseases and I note that of recent months, the criteria and standard of Nature Genetics (NG) for accepting GWAS papers is getting higher and higher.</p>\r\n\r\n<p>Proin a pharetra est. Quisque nulla nisi, lacinia vitae luctus ut, euismod sit amet nibh. Sed et cursus quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis molestie feugiat. Nullam eleifend leo ornare elementum tempus. Aliquam quis leo sit amet lacus molestie egestas. Suspendisse quis ante rhoncus, mattis ligula quis, adipiscing eros.</p>\r\n\r\n<p>Etiam sit amet elit diam. Donec malesuada magna sed eros posuere, in malesuada orci vulputate. In eu laoreet tellus. Nullam nec scelerisque dui, eu accumsan ante. Pellentesque ultricies ligula vitae nunc eleifend, ut viverra sem rutrum. Aliquam dictum rhoncus velit quis bibendum. Sed nibh diam, dictum et semper nec, porta vitae sapien. Ut non congue odio. Etiam quam libero, auctor sit amet mollis et, tristique sit amet dolor.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,18,18,'en',0,'<p>In a previous blog post, I asked “what makes a Nature Genetics paper?” I have been slow to follow up on the post with my own answers to that question, but in the meantime I would like to share this email that brightened my day (edited for clarity):&nbsp;</p>\r\n\r\n<p>“I work on the field of genome-wide association studies (GWAS) in complex diseases and I note that of recent months, the criteria and standard of Nature Genetics (NG) for accepting GWAS papers is getting higher and higher.</p>\r\n\r\n<p>Proin a pharetra est. Quisque nulla nisi, lacinia vitae luctus ut, euismod sit amet nibh. Sed et cursus quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis molestie feugiat. Nullam eleifend leo ornare elementum tempus. Aliquam quis leo sit amet lacus molestie egestas. Suspendisse quis ante rhoncus, mattis ligula quis, adipiscing eros.</p>\r\n\r\n<p>Etiam sit amet elit diam. Donec malesuada magna sed eros posuere, in malesuada orci vulputate. In eu laoreet tellus. Nullam nec scelerisque dui, eu accumsan ante. Pellentesque ultricies ligula vitae nunc eleifend, ut viverra sem rutrum. Aliquam dictum rhoncus velit quis bibendum. Sed nibh diam, dictum et semper nec, porta vitae sapien. Ut non congue odio. Etiam quam libero, auctor sit amet mollis et, tristique sit amet dolor.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,19,19,'ar',0,'<p>Brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from Florida, the Associated Press reports. The works, valued at $4.5m, were hidden among the belongings of a 75-year-old Brazilian woman and authorities suspect a company used her move to evade taxes. The Brazilian Ministry of Finance, Guido Mantega, said the art is believed to have been acquired at auctions abroad.</p>\r\n\r\n<p>Works by contemporary artists such as the Brazilian Beatriz Milhazes and the twin graffiti artists known as Os Gêmeos (Otavio and Gustavo Pandolfo) were found among the stash. A sculpture by Sérgio de Camargo valued at $900,000, was found in a second container, according to the Brazilian federal agency.&nbsp;</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.&nbsp;</p>\r\n','','basic_html'),('blog',0,19,19,'en',0,'<p>Brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from Florida, the Associated Press reports. The works, valued at $4.5m, were hidden among the belongings of a 75-year-old Brazilian woman and authorities suspect a company used her move to evade taxes. The Brazilian Ministry of Finance, Guido Mantega, said the art is believed to have been acquired at auctions abroad.</p>\r\n\r\n<p>Works by contemporary artists such as the Brazilian Beatriz Milhazes and the twin graffiti artists known as Os Gêmeos (Otavio and Gustavo Pandolfo) were found among the stash. A sculpture by Sérgio de Camargo valued at $900,000, was found in a second container, according to the Brazilian federal agency.&nbsp;</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.&nbsp;</p>\r\n','','basic_html'),('blog',0,20,20,'ar',0,'<p>This week, Nature Careers ran a great feature about scientists who act as advisers for Hollywood blockbusters and hit TV shows: Media consulting: Entertaining science. The article touches on the experience several scientists have had with some big names: David Saltzberg and The Big Bang Theory, James Kakalios and The Amazing Spiderman, and Donna Nelson and Breaking Bad.</p>\r\n\r\n<p>I decided to dig a little deeper into Donna’s story, and that of Dr David Kirby, a science communication professor at the University of Manchester, to find out a little more about the cultural differences between the lab and the media.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,20,20,'en',0,'<p>This week, Nature Careers ran a great feature about scientists who act as advisers for Hollywood blockbusters and hit TV shows: Media consulting: Entertaining science. The article touches on the experience several scientists have had with some big names: David Saltzberg and The Big Bang Theory, James Kakalios and The Amazing Spiderman, and Donna Nelson and Breaking Bad.</p>\r\n\r\n<p>I decided to dig a little deeper into Donna’s story, and that of Dr David Kirby, a science communication professor at the University of Manchester, to find out a little more about the cultural differences between the lab and the media.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,21,21,'ar',0,'<p>Another criticism for the Bill has been in the area of domestic quarantine. While the bill, does forbid individuals to “possess, move, grow, raise, culture, breed or produce any plant, animal and plant product”, it does not clarify how states should act to contain the spread of disease. India’s past record in imposing domestic quarantine has not been worth mention. Numerous diseases that made a localized appearance earlier have now spread all over the country.</p>\r\n\r\n<p>The new Bill hopes to establish an Agricultural Biosecurity Authority of India with headquarters in the national capital region and regional centres all over the country. The authority is expected to be responsible for regulation of the import and export of plants, animals and related products; prevention of entry of quarantine pests; and implementation of post-entry quarantine measures.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.&nbsp;</p>\r\n','','basic_html'),('blog',0,21,21,'en',0,'<p>Another criticism for the Bill has been in the area of domestic quarantine. While the bill, does forbid individuals to “possess, move, grow, raise, culture, breed or produce any plant, animal and plant product”, it does not clarify how states should act to contain the spread of disease. India’s past record in imposing domestic quarantine has not been worth mention. Numerous diseases that made a localized appearance earlier have now spread all over the country.</p>\r\n\r\n<p>The new Bill hopes to establish an Agricultural Biosecurity Authority of India with headquarters in the national capital region and regional centres all over the country. The authority is expected to be responsible for regulation of the import and export of plants, animals and related products; prevention of entry of quarantine pests; and implementation of post-entry quarantine measures.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.&nbsp;</p>\r\n','','basic_html'),('blog',0,22,22,'ar',0,'<p>FOR many Australians, a trip to Bali equates to slurping cheap cocktails by the beach in Kuta, dodging banana-crazy monkeys in Ubud and shopping in Seminyak. But there’s so much more to Bali. After spending time in the more remote, mountainous areas of the island, the tourist capitals are a bizarre sight.</p>\r\n\r\n<p>Most of the people pounding the pavement are tourists rather than locals, there’s a lot of tacky wares for sale and the bars feel like they’ve been cloned from Australia.</p>\r\n\r\n<p>&nbsp;Mauris elementum nunc ac massa pellentesque, sit amet faucibus ipsum mollis. Nunc porttitor quis odio a fermentum. Fusce dignissim ante et enim congue, id lobortis quam sodales. In rhoncus sodales ante, a accumsan arcu volutpat ac. Nunc porta, libero at scelerisque ullamcorper, nisi eros sollicitudin nunc, vitae porta elit risus vitae purus. Aliquam auctor rutrum ligula. Aenean a scelerisque felis, vel malesuada mi.</p>\r\n\r\n<p>Curabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.</p>\r\n\r\n<p>In vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a.&nbsp;</p>\r\n','','basic_html'),('blog',0,22,22,'en',0,'<p>FOR many Australians, a trip to Bali equates to slurping cheap cocktails by the beach in Kuta, dodging banana-crazy monkeys in Ubud and shopping in Seminyak. But there’s so much more to Bali. After spending time in the more remote, mountainous areas of the island, the tourist capitals are a bizarre sight.</p>\r\n\r\n<p>Most of the people pounding the pavement are tourists rather than locals, there’s a lot of tacky wares for sale and the bars feel like they’ve been cloned from Australia.</p>\r\n\r\n<p>&nbsp;Mauris elementum nunc ac massa pellentesque, sit amet faucibus ipsum mollis. Nunc porttitor quis odio a fermentum. Fusce dignissim ante et enim congue, id lobortis quam sodales. In rhoncus sodales ante, a accumsan arcu volutpat ac. Nunc porta, libero at scelerisque ullamcorper, nisi eros sollicitudin nunc, vitae porta elit risus vitae purus. Aliquam auctor rutrum ligula. Aenean a scelerisque felis, vel malesuada mi.</p>\r\n\r\n<p>Curabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.</p>\r\n\r\n<p>In vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a.&nbsp;</p>\r\n','','basic_html'),('blog',0,23,23,'ar',0,'<p>Spain returned 691 artefacts, spanning nearly 3,000 years of history, to Colombia on Tuesday. The pieces were recovered by Spanish police during a drug trafficking and money laundering investigation in 2003. Since then, the works have been kept for conservation in Madrid’s Museum of the Americas, where 885 recovered pieces were studied.</p>\r\n\r\n<p>At an official handover ceremony in Madrid, the culture ministry’s director-general of fine arts, archives and libraries, Jesús Prieto, referred to the treasure as “a small Colombian museum of archaeology”. “Today is a very special day for Colombia,” said Fernando Carrillo, the Colombian ambassador in Spain, after accepting the works. “The arrival of nearly 700 artefacts is one of the most important cultural events of recent history.” The hoard includes ceramics with animal and human figures, vases with geometric designs, necklaces with precious stones, idols, and stamps, from as early as 1,400 BC to as late as the 16th century.&nbsp;</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,23,23,'en',0,'<p>Spain returned 691 artefacts, spanning nearly 3,000 years of history, to Colombia on Tuesday. The pieces were recovered by Spanish police during a drug trafficking and money laundering investigation in 2003. Since then, the works have been kept for conservation in Madrid’s Museum of the Americas, where 885 recovered pieces were studied.</p>\r\n\r\n<p>At an official handover ceremony in Madrid, the culture ministry’s director-general of fine arts, archives and libraries, Jesús Prieto, referred to the treasure as “a small Colombian museum of archaeology”. “Today is a very special day for Colombia,” said Fernando Carrillo, the Colombian ambassador in Spain, after accepting the works. “The arrival of nearly 700 artefacts is one of the most important cultural events of recent history.” The hoard includes ceramics with animal and human figures, vases with geometric designs, necklaces with precious stones, idols, and stamps, from as early as 1,400 BC to as late as the 16th century.&nbsp;</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,24,24,'ar',0,'<p>&nbsp;The British Library has agreed to return a spoliated Sienese oil painting made for the binding of a 1488 set of accounts, following the recommendation of the UK’s Spoliation Advisory Panel. The Biccherna panel, named after the city’s treasury, is attributed to Guidoccio Cozzarelli.</p>\r\n\r\n<p>Although not named in the spoliation panel’s June report, The Art Newspaper has identified the pre-war owner as the shareholders of the Munich-based A.S. Drey gallery. The painting was part of a “forced sale” in 1936, fetching the equivalent of £228. In 1942, it was sold by Arthur Bendir at Sotheby’s in London. Henry David bought the picture and donated it to the British Library in 1968 (it was formally accessioned on his death in 1977 with other bookbindings).</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,24,24,'en',0,'<p>&nbsp;The British Library has agreed to return a spoliated Sienese oil painting made for the binding of a 1488 set of accounts, following the recommendation of the UK’s Spoliation Advisory Panel. The Biccherna panel, named after the city’s treasury, is attributed to Guidoccio Cozzarelli.</p>\r\n\r\n<p>Although not named in the spoliation panel’s June report, The Art Newspaper has identified the pre-war owner as the shareholders of the Munich-based A.S. Drey gallery. The painting was part of a “forced sale” in 1936, fetching the equivalent of £228. In 1942, it was sold by Arthur Bendir at Sotheby’s in London. Henry David bought the picture and donated it to the British Library in 1968 (it was formally accessioned on his death in 1977 with other bookbindings).</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,25,25,'ar',0,'<p>Andre Schürrle became the first German to score a World Cup goal while wearing the number nine shirt since Carsten Jancker against Saudi Arabia in 2002. Toni Kroos (473) has had more touches than any other player at this World Cup so far, Philipp Lahm (437) is the only other player to have more than 400. Thomas Muller has been directly involved in seven of Germany\'s last 12 goals at the World Cup finals (5 goals, 2 assists).</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n','','basic_html'),('blog',0,25,25,'en',0,'<p>Andre Schürrle became the first German to score a World Cup goal while wearing the number nine shirt since Carsten Jancker against Saudi Arabia in 2002. Toni Kroos (473) has had more touches than any other player at this World Cup so far, Philipp Lahm (437) is the only other player to have more than 400. Thomas Muller has been directly involved in seven of Germany\'s last 12 goals at the World Cup finals (5 goals, 2 assists).</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n','','basic_html'),('blog',0,26,26,'ar',0,'<p>See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny climes of Los Angele. Kerry Washington was perfectly turned out for summer in a floral minidress and white heels at the BET Award in Los Angeles.</p>\r\n\r\n<p>Suspendisse ultricies purus ac massa interdum sodales. Ut euismod nunc sed suscipit pharetra. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec ac arcu vitae mi bibendum consectetur sed eu justo. Mauris eget quam et nisi placerat tincidunt. Phasellus viverra sed libero eu suscipit. Mauris ultrices risus sit amet nisi luctus laoreet. Proin sed nibh magna. Etiam molestie ipsum lectus, at euismod tellus pellentesque eu. Mauris elementum libero at dolor bibendum, at euismod sapien adipiscing. Morbi ultrices eros in sem pretium mollis. Donec eu libero eu magna fringilla lacinia in quis nibh. Integer accumsan pretium risus, at ornare est fringilla ac. Nulla porta pellentesque tortor, in fermentum arcu tincidunt quis. Duis augue mauris, egestas a ornare viverra, tincidunt et mauris.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n','','basic_html'),('blog',0,26,26,'en',0,'<p>See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny climes of Los Angele. Kerry Washington was perfectly turned out for summer in a floral minidress and white heels at the BET Award in Los Angeles.</p>\r\n\r\n<p>Suspendisse ultricies purus ac massa interdum sodales. Ut euismod nunc sed suscipit pharetra. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec ac arcu vitae mi bibendum consectetur sed eu justo. Mauris eget quam et nisi placerat tincidunt. Phasellus viverra sed libero eu suscipit. Mauris ultrices risus sit amet nisi luctus laoreet. Proin sed nibh magna. Etiam molestie ipsum lectus, at euismod tellus pellentesque eu. Mauris elementum libero at dolor bibendum, at euismod sapien adipiscing. Morbi ultrices eros in sem pretium mollis. Donec eu libero eu magna fringilla lacinia in quis nibh. Integer accumsan pretium risus, at ornare est fringilla ac. Nulla porta pellentesque tortor, in fermentum arcu tincidunt quis. Duis augue mauris, egestas a ornare viverra, tincidunt et mauris.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n','','basic_html'),('blog',0,27,27,'ar',0,'<p>Wedding vows give brides and grooms the chance to express what\'s in their heart of hearts. But sometimes those beautifully crafted sentences come from far less sincere places. Below, 12 users on Whisper -- a free app where people share their secrets anonymously -- cop to the cringe-worthy ways they came up with their wedding vows, if they even managed to get that far.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n\r\n<p>Sed molestie mollis ipsum id pharetra. Etiam porttitor pretium ante, id eleifend lectus dignissim non. Maecenas dapibus auctor blandit. Morbi condimentum tempus urna. Maecenas tristique magna varius, rhoncus dolor commodo, iaculis mi. Proin sem lacus, sagittis vitae venenatis nec, laoreet in leo. Nunc pellentesque mollis neque at aliquet. Cras consectetur magna ac tempus elementum. Maecenas molestie tempus ligula ut iaculis. Nulla velit metus, malesuada id fermentum quis, feugiat nec massa. Nullam congue, dolor elementum interdum hendrerit, eros ipsum commodo elit, a placerat nulla dui eget erat.</p>\r\n\r\n<p>Sed placerat ut velit nec sagittis. Vestibulum congue, lectus at scelerisque suscipit, nulla odio scelerisque augue, vel commodo velit mauris vel lectus. Aliquam et lectus faucibus ligula mollis feugiat vel quis augue. Nullam at erat vel lacus semper congue. Integer sed lectus est. In posuere, nisi in facilisis fermentum, libero augue lobortis diam, gravida blandit nunc urna ac ipsum. Suspendisse rhoncus consectetur urna, sit amet semper arcu rutrum id. In pretium tincidunt lectus, eget euismod sapien congue egestas. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent urna arcu, tincidunt vitae massa sed, molestie ornare risus. Sed aliquam pretium metus, at venenatis elit gravida non.</p>\r\n','','basic_html'),('blog',0,27,27,'en',0,'<p>Wedding vows give brides and grooms the chance to express what\'s in their heart of hearts. But sometimes those beautifully crafted sentences come from far less sincere places. Below, 12 users on Whisper -- a free app where people share their secrets anonymously -- cop to the cringe-worthy ways they came up with their wedding vows, if they even managed to get that far.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n\r\n<p>Sed molestie mollis ipsum id pharetra. Etiam porttitor pretium ante, id eleifend lectus dignissim non. Maecenas dapibus auctor blandit. Morbi condimentum tempus urna. Maecenas tristique magna varius, rhoncus dolor commodo, iaculis mi. Proin sem lacus, sagittis vitae venenatis nec, laoreet in leo. Nunc pellentesque mollis neque at aliquet. Cras consectetur magna ac tempus elementum. Maecenas molestie tempus ligula ut iaculis. Nulla velit metus, malesuada id fermentum quis, feugiat nec massa. Nullam congue, dolor elementum interdum hendrerit, eros ipsum commodo elit, a placerat nulla dui eget erat.</p>\r\n\r\n<p>Sed placerat ut velit nec sagittis. Vestibulum congue, lectus at scelerisque suscipit, nulla odio scelerisque augue, vel commodo velit mauris vel lectus. Aliquam et lectus faucibus ligula mollis feugiat vel quis augue. Nullam at erat vel lacus semper congue. Integer sed lectus est. In posuere, nisi in facilisis fermentum, libero augue lobortis diam, gravida blandit nunc urna ac ipsum. Suspendisse rhoncus consectetur urna, sit amet semper arcu rutrum id. In pretium tincidunt lectus, eget euismod sapien congue egestas. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent urna arcu, tincidunt vitae massa sed, molestie ornare risus. Sed aliquam pretium metus, at venenatis elit gravida non.</p>\r\n','','basic_html'),('blog',0,28,28,'ar',0,'<p>Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syracuse Half Marathon set for March 24. The race will start at 8 a.m. at the Oncenter, and will end there at around noon. The course will take runners through the north, west and south sides of Syracuse, with nine of its full 13.1 miles being within city limits.</p>\r\n\r\n<p>Runners can signup online or the the morning of the race, with advance admission at $75 and a race weekend rate of $90. As of Friday, more than 1,100 runners had entered.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,28,28,'en',0,'<p>Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syracuse Half Marathon set for March 24. The race will start at 8 a.m. at the Oncenter, and will end there at around noon. The course will take runners through the north, west and south sides of Syracuse, with nine of its full 13.1 miles being within city limits.</p>\r\n\r\n<p>Runners can signup online or the the morning of the race, with advance admission at $75 and a race weekend rate of $90. As of Friday, more than 1,100 runners had entered.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,29,29,'ar',0,'<p>More than nine million Canadians are living with diabetes or prediabetes. With more than 20 people being newly diagnosed every hour of every day, chances are the disease affects someone you know. That could be a relative, friend, neighbour, co-worker or someone who’s part of your personal or professional community. In Ontario alone, there has been a 68 per cent increase between 1995 and 2005. The majority of cases are of type 2 diabetes and that is where most of the growth is seen. The need to ensure optimal care and outcomes for people living with diabetes has always been great, but is now being brought into sharper focus by the magnitude of the situation.</p>\r\n\r\n<p>A chronic disease, diabetes is often debilitating and sometimes fatal. The body either cannot produce the hormone insulin (type 1 diabetes), or it cannot properly use the insulin it produces (type 2 diabetes). This leads to high levels of glucose (sugar) in the blood, which can damage organs, blood vessels and nerves and result in a variety of complications. To use sugar as an energy source, the body needs insulin. People with prediabetes have higher-than-normal blood sugar levels that aren’t high enough to be diagnosed with type 2 diabetes. Without intervention, 50 per cent of those people will develop type 2 diabetes.</p>\r\n\r\n<p>Aliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.</p>\r\n\r\n<p>Mauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.</p>\r\n\r\n<p>Phasellus ut erat eu turpis bibendum varius posuere eu odio. Duis viverra ante non faucibus sollicitudin. Nunc at leo ligula. Vestibulum lobortis diam felis. Etiam in nisi vel justo facilisis volutpat. Nam dictum ipsum adipiscing orci feugiat fringilla. Nam id rutrum diam, quis mattis metus. Aenean dolor ligula, ultrices et nibh eu, rhoncus malesuada erat. Sed eu lorem ipsum. Maecenas vestibulum ut metus id euismod. Aliquam erat volutpat. Nullam nec tortor condimentum, varius dui ut, vestibulum enim. Curabitur sit amet neque est. Aenean vulputate turpis eu purus aliquet euismod. Curabitur a sagittis est. Nam volutpat id felis ut molestie.</p>\r\n','','basic_html'),('blog',0,29,29,'en',0,'<p>More than nine million Canadians are living with diabetes or prediabetes. With more than 20 people being newly diagnosed every hour of every day, chances are the disease affects someone you know. That could be a relative, friend, neighbour, co-worker or someone who’s part of your personal or professional community. In Ontario alone, there has been a 68 per cent increase between 1995 and 2005. The majority of cases are of type 2 diabetes and that is where most of the growth is seen. The need to ensure optimal care and outcomes for people living with diabetes has always been great, but is now being brought into sharper focus by the magnitude of the situation.</p>\r\n\r\n<p>A chronic disease, diabetes is often debilitating and sometimes fatal. The body either cannot produce the hormone insulin (type 1 diabetes), or it cannot properly use the insulin it produces (type 2 diabetes). This leads to high levels of glucose (sugar) in the blood, which can damage organs, blood vessels and nerves and result in a variety of complications. To use sugar as an energy source, the body needs insulin. People with prediabetes have higher-than-normal blood sugar levels that aren’t high enough to be diagnosed with type 2 diabetes. Without intervention, 50 per cent of those people will develop type 2 diabetes.</p>\r\n\r\n<p>Aliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.</p>\r\n\r\n<p>Mauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.</p>\r\n\r\n<p>Phasellus ut erat eu turpis bibendum varius posuere eu odio. Duis viverra ante non faucibus sollicitudin. Nunc at leo ligula. Vestibulum lobortis diam felis. Etiam in nisi vel justo facilisis volutpat. Nam dictum ipsum adipiscing orci feugiat fringilla. Nam id rutrum diam, quis mattis metus. Aenean dolor ligula, ultrices et nibh eu, rhoncus malesuada erat. Sed eu lorem ipsum. Maecenas vestibulum ut metus id euismod. Aliquam erat volutpat. Nullam nec tortor condimentum, varius dui ut, vestibulum enim. Curabitur sit amet neque est. Aenean vulputate turpis eu purus aliquet euismod. Curabitur a sagittis est. Nam volutpat id felis ut molestie.</p>\r\n','','basic_html'),('blog',0,30,30,'ar',0,'<p>Welcome to your wedding day! With the stress of planning behind you, you might think the big day will be easy-breezy, and it should be -- as long as you can navigate these six potential stress bombs.</p>\r\n\r\n<p>Weddings come with a host of heavy emotions, especially when your son or daughter is the star of the show. Some moms might be adept at handling stress, while others might teeter closer to meltdown territory. If you know your mom or future MIL might get a little testy, plan to keep your distance. (If you\'ll be getting your hair and makeup done at 10am, schedule her appointment for noon.) Hang a sign that reads: \"Stress-Free Zone: Bride and Bridesmaids Only Beyond This Point\" on your hotel suite. If a manic mama busts in anyway, appoint a bridesmaid to run interference, steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n','','basic_html'),('blog',0,30,30,'en',0,'<p>Welcome to your wedding day! With the stress of planning behind you, you might think the big day will be easy-breezy, and it should be -- as long as you can navigate these six potential stress bombs.</p>\r\n\r\n<p>Weddings come with a host of heavy emotions, especially when your son or daughter is the star of the show. Some moms might be adept at handling stress, while others might teeter closer to meltdown territory. If you know your mom or future MIL might get a little testy, plan to keep your distance. (If you\'ll be getting your hair and makeup done at 10am, schedule her appointment for noon.) Hang a sign that reads: \"Stress-Free Zone: Bride and Bridesmaids Only Beyond This Point\" on your hotel suite. If a manic mama busts in anyway, appoint a bridesmaid to run interference, steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n','','basic_html'),('blog',0,31,31,'ar',0,'<p>&nbsp;The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two days before Manifesta 10 in St Petersburg, making Russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in Ukraine.</p>\r\n\r\n<p>The biennial’s title, “A Time for Dreams”, was inspired by Dr Martin Luther King’s March on Washington speech, says its British curator David Elliott. However, the show, which runs until 10 August, is deeply rooted in reality, he adds. “It’s not a dream of an escape, it’s a dream of criticism, a dream made by young people who have no reason whatsoever to feel guilty for the world into which they’ve been born,” Elliott says.&nbsp;</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.&nbsp;</p>\r\n','','basic_html'),('blog',0,31,31,'en',0,'<p>&nbsp;The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two days before Manifesta 10 in St Petersburg, making Russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in Ukraine.</p>\r\n\r\n<p>The biennial’s title, “A Time for Dreams”, was inspired by Dr Martin Luther King’s March on Washington speech, says its British curator David Elliott. However, the show, which runs until 10 August, is deeply rooted in reality, he adds. “It’s not a dream of an escape, it’s a dream of criticism, a dream made by young people who have no reason whatsoever to feel guilty for the world into which they’ve been born,” Elliott says.&nbsp;</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.&nbsp;</p>\r\n','','basic_html'),('blog',0,32,32,'ar',0,'<p>If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chips, we\'ve got a simpler, healthier idea for you: Spend less than half an hour practicing mindful meditation. A new study published in the journal Psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation. It\'s a more focused, in-the-present way to meditate that\'s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain.&nbsp;</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n','','basic_html'),('blog',0,32,32,'en',0,'<p>If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chips, we\'ve got a simpler, healthier idea for you: Spend less than half an hour practicing mindful meditation. A new study published in the journal Psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation. It\'s a more focused, in-the-present way to meditate that\'s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain.&nbsp;</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n','','basic_html'),('blog',0,33,33,'ar',0,'<p>Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling their handmade wares has become a go-to resource for couples looking to elevate their nuptials with one-of-kind, DIY touches (there\'s even a dedicated section of the site just for weddings).</p>\r\n\r\n<p>Below, we present a curated selection of our favorite wedding objects from Etsy sellers. We\'ll be bringing you a new object, and its unique story, every week, so check back frequently.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,33,33,'en',0,'<p>Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling their handmade wares has become a go-to resource for couples looking to elevate their nuptials with one-of-kind, DIY touches (there\'s even a dedicated section of the site just for weddings).</p>\r\n\r\n<p>Below, we present a curated selection of our favorite wedding objects from Etsy sellers. We\'ll be bringing you a new object, and its unique story, every week, so check back frequently.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,34,34,'ar',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a company on the Companies Office register.</p>\r\n\r\n<p>During the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the Registrar confirms the incorporation of your company.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.</p>\r\n\r\n<p>Suspendisse ipsum ligula, consequat ut suscipit dapibus, pellentesque at nibh. Vestibulum elementum arcu eu pretium pellentesque. Integer eget sapien pellentesque, auctor ipsum sit amet, accumsan lectus. Vestibulum odio quam, egestas eu erat vitae, rutrum porta sem. Sed nulla neque, vestibulum in congue ut, dictum vitae tellus. Cras tincidunt orci in ipsum elementum, tempus vulputate tellus molestie. Nulla aliquet quis justo in imperdiet. Donec in eros massa. Proin porta nibh convallis dictum egestas. Suspendisse ac mauris mi. Donec volutpat tortor non velit adipiscing, quis sodales quam viverra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n','','basic_html'),('blog',0,34,34,'en',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a company on the Companies Office register.</p>\r\n\r\n<p>During the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the Registrar confirms the incorporation of your company.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.</p>\r\n\r\n<p>Suspendisse ipsum ligula, consequat ut suscipit dapibus, pellentesque at nibh. Vestibulum elementum arcu eu pretium pellentesque. Integer eget sapien pellentesque, auctor ipsum sit amet, accumsan lectus. Vestibulum odio quam, egestas eu erat vitae, rutrum porta sem. Sed nulla neque, vestibulum in congue ut, dictum vitae tellus. Cras tincidunt orci in ipsum elementum, tempus vulputate tellus molestie. Nulla aliquet quis justo in imperdiet. Donec in eros massa. Proin porta nibh convallis dictum egestas. Suspendisse ac mauris mi. Donec volutpat tortor non velit adipiscing, quis sodales quam viverra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n','','basic_html'),('blog',0,35,35,'ar',0,'<p>Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extract. I\'ll admit it: I had a mini celebration when I learned green tea has the incredible power to shift your fat-fighting metabolism into high gear. And, yes, I kicked my heels in the air when I found research suggesting that exercisers who drink green tea lose twice as much weight as those who don\'t.</p>\r\n\r\n<p>Fast forward to me pushing a shopping-cart-full of green tea products around my local grocery store. I was buying green tea everything. Ice cream, noodles, etc. Who was I fooling? The weight-loss benefits are in the epigallocatechin gallate (a.k.a. EGCG, a health-boosting antioxidant) found in green tea. Not the green tea flavor....</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,35,35,'en',0,'<p>Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extract. I\'ll admit it: I had a mini celebration when I learned green tea has the incredible power to shift your fat-fighting metabolism into high gear. And, yes, I kicked my heels in the air when I found research suggesting that exercisers who drink green tea lose twice as much weight as those who don\'t.</p>\r\n\r\n<p>Fast forward to me pushing a shopping-cart-full of green tea products around my local grocery store. I was buying green tea everything. Ice cream, noodles, etc. Who was I fooling? The weight-loss benefits are in the epigallocatechin gallate (a.k.a. EGCG, a health-boosting antioxidant) found in green tea. Not the green tea flavor....</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,36,36,'ar',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why. Mascara is the one product that instantly makes you look more put together, more awake, more alive. But are you making the most of your mascara’s lash boosting powers? It turns out there are strategic ways to apply your mascara to play up your specific eye shape. We caught up with Sonia Kashuk, makeup artist and founder of Sonia Kashuk Beauty, to learn the simple tricks that can transform your look with just a swipe of the wand.&nbsp;</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Nullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n','','basic_html'),('blog',0,36,36,'en',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why. Mascara is the one product that instantly makes you look more put together, more awake, more alive. But are you making the most of your mascara’s lash boosting powers? It turns out there are strategic ways to apply your mascara to play up your specific eye shape. We caught up with Sonia Kashuk, makeup artist and founder of Sonia Kashuk Beauty, to learn the simple tricks that can transform your look with just a swipe of the wand.&nbsp;</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Nullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n','','basic_html'),('page',0,38,38,'en',0,'<p>Aliquam aliquam tristique aliquam. Quisque eleifend eget turpis blandit commodo. Donec quis ante lacinia, dapibus diam at, auctor risus? Vestibulum porta interdum suscipit? Ut neque nunc, tincidunt nec nisl ut, elementum ultricies orci. Nam sit amet auctor enim. Suspendisse congue nulla sed sagittis auctor! Ut venenatis nulla turpis, vel fringilla lacus elementum sit amet. Nunc eu nunc gravida, dictum orci vel, cursus velit. Nam tincidunt nunc quis nunc congue, at sagittis nisi ultricies. Nam vitae consectetur ante. Phasellus at sapien metus.</p>\r\n\r\n<p>Proin leo purus, imperdiet et enim quis, faucibus rutrum nisi. Aliquam venenatis urna nec tellus commodo, vel auctor purus semper? Nullam ultricies dignissim nulla, vitae fermentum lectus faucibus nec. Nulla facilisi. In hac habitasse platea dictumst. Mauris orci arcu, imperdiet sed accumsan porttitor, vulputate sit amet augue. Sed ultricies est vitae libero semper; quis sagittis ligula fringilla. Maecenas a risus sed diam consequat aliquam. Vivamus molestie tempus luctus. Etiam condimentum nunc a purus accumsan bibendum.</p>\r\n\r\n<p>Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.</p>\r\n\r\n<p>Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sanctus sea sed takimata ut vero voluptua. Lorem ipsum dolor sit amet. At vero eos et accusam et justo duo dolores et ea rebum.</p>\r\n\r\n<p>Consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus.</p>\r\n\r\n<p>Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.</p>\r\n\r\n<p>Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus.</p>\r\n\r\n<p>Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Phasellus consectetuer vestibulum elit. Aenean tellus metus, bibendum sed, posuere ac, mattis non, nunc. Vestibulum fringilla pede sit amet augue. In turpis. Pellentesque posuere. Praesent turpis. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Nullam sagittis. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Ut varius tincidunt libero. Phasellus dolor. Maecenas vestibulum mollis</p>\r\n','','basic_html'),('forum',0,48,48,'en',0,'<p>Comis commodo hendrerit metuo quia refoveo. Eligo gemino huic metuo proprius refero roto. Aliquip eros tego ullamcorper. Commodo dignissim enim incassum olim premo. Damnum iaceo interdico magna pagus usitas. Abbas caecus commoveo diam enim obruo proprius uxor velit vulpes.</p>\r\n\r\n<p>Capto commoveo lobortis roto. Decet loquor metuo sudo. Huic immitto pala tamen tation valde. Exerci rusticus vel vero. Dignissim gilvus gravis nostrud nulla quidem valetudo. Nibh oppeto ratis ut vindico volutpat. Consectetuer paratus proprius tincidunt ullamcorper venio vero. Diam dolus iusto jus populus premo quibus quidem volutpat wisi.</p>\r\n\r\n<p>Consequat distineo humo paulatim refero tation tincidunt. Acsi dolus feugiat haero interdico jus si. Ille obruo paulatim populus ratis.</p>\r\n\r\n<p>Consectetuer decet nimis nunc validus. Cui haero nimis oppeto secundum. Refoveo veniam vulpes.</p>\r\n\r\n<p>Antehabeo meus natu tum. At autem caecus elit lucidus modo sino velit venio. Accumsan laoreet praesent. Camur gemino hendrerit luptatum praemitto proprius singularis. Abigo ad capto duis nulla. Abdo caecus commoveo sed te. Abbas iaceo minim te verto. Consectetuer et eu macto. Dolor gilvus humo iusto neo paratus. Odio paratus pecus praemitto saluto suscipere typicus virtus.</p>\r\n\r\n<p>Causa ea et facilisi nulla pala uxor validus vicis. Luptatum nostrud occuro pala premo volutpat. Caecus nibh paratus vel ymo. At exputo iaceo illum lucidus persto tation tego. Bene incassum pala.</p>\r\n\r\n<p>Commodo damnum dolus quidem. Augue exputo pertineo quidne tation tincidunt valetudo. Cui metuo quidne ulciscor utrum validus. Ideo iusto qui saluto utrum veniam vindico vulpes. Damnum gravis modo secundum. Augue ibidem olim virtus. Elit iaceo modo. Abigo immitto minim paulatim pecus quadrum valde. Luptatum quibus ratis sino. Aptent humo ideo mos paratus sino velit. Abigo consequat dolor haero humo iaceo natu velit.</p>\r\n\r\n<p>Accumsan blandit et gilvus plaga scisco sino wisi. Ex imputo letalis praesent. Augue autem causa interdico mauris os proprius tamen. Antehabeo macto utrum. Consequat facilisi turpis. Feugiat natu nunc os. Aliquip fere gemino luctus. At augue metuo qui vulputate. Abico hendrerit humo lucidus. Abbas dolus in incassum macto meus scisco torqueo.</p>\r\n','','basic_html');
/*!40000 ALTER TABLE `node__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__comment`
--

DROP TABLE IF EXISTS `node__comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__comment` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field comment.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__comment`
--

LOCK TABLES `node__comment` WRITE;
/*!40000 ALTER TABLE `node__comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__comment` VALUES ('blog',0,1,1,'ar',0,2),('blog',0,1,1,'en',0,2),('blog',0,2,2,'ar',0,2),('blog',0,2,2,'en',0,2),('blog',0,3,3,'ar',0,2),('blog',0,3,3,'en',0,2),('blog',0,4,4,'ar',0,2),('blog',0,4,4,'en',0,2),('blog',0,5,5,'ar',0,2),('blog',0,5,5,'en',0,2),('blog',0,6,6,'ar',0,2),('blog',0,6,6,'en',0,2),('blog',0,7,7,'ar',0,2),('blog',0,7,7,'en',0,2),('blog',0,8,8,'ar',0,2),('blog',0,8,8,'en',0,2),('blog',0,9,9,'ar',0,2),('blog',0,9,9,'en',0,2),('blog',0,10,10,'ar',0,2),('blog',0,10,10,'en',0,2),('blog',0,11,11,'ar',0,2),('blog',0,11,11,'en',0,2),('blog',0,12,12,'ar',0,2),('blog',0,12,12,'en',0,2),('blog',0,13,13,'ar',0,2),('blog',0,13,13,'en',0,2),('blog',0,14,14,'ar',0,2),('blog',0,14,14,'en',0,2),('blog',0,15,15,'ar',0,2),('blog',0,15,15,'en',0,2),('blog',0,16,16,'ar',0,2),('blog',0,16,16,'en',0,2),('blog',0,17,17,'ar',0,2),('blog',0,17,17,'en',0,2),('blog',0,18,18,'ar',0,2),('blog',0,18,18,'en',0,2),('blog',0,19,19,'ar',0,2),('blog',0,19,19,'en',0,2),('blog',0,20,20,'ar',0,2),('blog',0,20,20,'en',0,2),('blog',0,21,21,'ar',0,2),('blog',0,21,21,'en',0,2),('blog',0,22,22,'ar',0,2),('blog',0,22,22,'en',0,2),('blog',0,23,23,'ar',0,2),('blog',0,23,23,'en',0,2),('blog',0,24,24,'ar',0,2),('blog',0,24,24,'en',0,2),('blog',0,25,25,'ar',0,2),('blog',0,25,25,'en',0,2),('blog',0,26,26,'ar',0,2),('blog',0,26,26,'en',0,2),('blog',0,27,27,'ar',0,2),('blog',0,27,27,'en',0,2),('blog',0,28,28,'ar',0,2),('blog',0,28,28,'en',0,2),('blog',0,29,29,'ar',0,2),('blog',0,29,29,'en',0,2),('blog',0,30,30,'ar',0,2),('blog',0,30,30,'en',0,2),('blog',0,31,31,'ar',0,2),('blog',0,31,31,'en',0,2),('blog',0,32,32,'ar',0,2),('blog',0,32,32,'en',0,2),('blog',0,33,33,'ar',0,2),('blog',0,33,33,'en',0,2),('blog',0,34,34,'ar',0,2),('blog',0,34,34,'en',0,2),('blog',0,35,35,'ar',0,2),('blog',0,35,35,'en',0,2),('blog',0,36,36,'ar',0,2),('blog',0,36,36,'en',0,2);
/*!40000 ALTER TABLE `node__comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__comment_forum`
--

DROP TABLE IF EXISTS `node__comment_forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__comment_forum` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_forum_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field comment_forum.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__comment_forum`
--

LOCK TABLES `node__comment_forum` WRITE;
/*!40000 ALTER TABLE `node__comment_forum` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__comment_forum` VALUES ('forum',0,48,48,'en',0,2);
/*!40000 ALTER TABLE `node__comment_forum` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_banner`
--

DROP TABLE IF EXISTS `node__field_banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_banner` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_banner_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_banner_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_banner_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_banner_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_banner_target_id` (`field_banner_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_banner.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_banner`
--

LOCK TABLES `node__field_banner` WRITE;
/*!40000 ALTER TABLE `node__field_banner` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node__field_banner` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_categories`
--

DROP TABLE IF EXISTS `node__field_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_categories` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_categories_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_categories_target_id` (`field_categories_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_categories.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_categories`
--

LOCK TABLES `node__field_categories` WRITE;
/*!40000 ALTER TABLE `node__field_categories` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_categories` VALUES ('article',0,1,1,'ar',0,16),('article',0,1,1,'en',0,16),('article',0,2,2,'ar',0,10),('article',0,2,2,'en',0,10),('article',0,3,3,'ar',0,17),('article',0,3,3,'en',0,17),('article',0,4,4,'ar',0,17),('article',0,4,4,'en',0,17),('resource',0,5,5,'ar',0,21),('resource',0,5,5,'en',0,21),('resource',0,6,6,'ar',0,20),('resource',0,6,6,'en',0,20),('resource',0,7,7,'ar',0,19),('resource',0,7,7,'en',0,19),('resource',0,8,8,'ar',0,18),('resource',0,8,8,'en',0,18),('resource',0,9,9,'ar',0,22),('resource',0,9,9,'en',0,22),('resource',0,10,10,'ar',0,21),('resource',0,10,10,'en',0,21),('resource',0,11,11,'ar',0,20),('resource',0,11,11,'en',0,20),('resource',0,12,12,'ar',0,19),('resource',0,12,12,'en',0,19),('resource',0,13,13,'ar',0,18),('resource',0,13,13,'en',0,18),('work',0,15,15,'ar',0,23),('work',0,15,15,'en',0,23),('work',0,16,16,'ar',0,24),('work',0,16,16,'en',0,24),('work',0,17,17,'ar',0,26),('work',0,17,17,'en',0,26),('work',0,18,18,'ar',0,25),('work',0,18,18,'en',0,25),('work',0,19,19,'ar',0,23),('work',0,19,19,'en',0,23),('work',0,20,20,'ar',0,24),('work',0,20,20,'en',0,24),('work',0,21,21,'ar',0,26),('work',0,21,21,'en',0,26),('work',0,22,22,'ar',0,25),('work',0,22,22,'en',0,25),('resource',0,41,45,'ar',0,19),('resource',0,41,45,'en',0,19),('resource',0,42,46,'ar',0,22),('resource',0,42,46,'en',0,22),('resource',0,43,47,'ar',0,21),('resource',0,43,47,'en',0,21),('resource',0,44,48,'ar',0,19),('resource',0,44,48,'en',0,19),('resource',0,45,49,'ar',0,18),('resource',0,45,49,'en',0,18),('resource',0,46,50,'ar',0,20),('resource',0,46,50,'en',0,20),('work',0,47,51,'ar',0,26),('work',0,47,51,'en',0,26),('work',0,48,52,'ar',0,25),('work',0,48,52,'en',0,25),('work',0,49,53,'ar',0,26),('work',0,49,53,'en',0,26),('work',0,50,54,'ar',0,24),('work',0,50,54,'en',0,24),('work',0,51,55,'ar',0,23),('work',0,51,55,'en',0,23),('work',0,52,56,'ar',0,25),('work',0,52,56,'en',0,25),('work',0,53,57,'ar',0,25),('work',0,53,57,'en',0,25),('article',0,54,58,'ar',0,13),('article',0,54,58,'en',0,13),('article',0,55,59,'ar',0,11),('article',0,55,59,'en',0,11),('article',0,57,61,'ar',0,16),('article',0,57,61,'en',0,16);
/*!40000 ALTER TABLE `node__field_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_category`
--

DROP TABLE IF EXISTS `node__field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_category` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_category_target_id` (`field_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_category.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_category`
--

LOCK TABLES `node__field_category` WRITE;
/*!40000 ALTER TABLE `node__field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_category` VALUES ('blog',0,1,1,'ar',0,3),('blog',0,1,1,'en',0,3),('blog',0,2,2,'ar',0,4),('blog',0,2,2,'en',0,4),('blog',0,3,3,'ar',0,4),('blog',0,3,3,'en',0,4),('blog',0,4,4,'ar',0,4),('blog',0,4,4,'en',0,4),('blog',0,5,5,'ar',0,6),('blog',0,5,5,'en',0,6),('blog',0,6,6,'ar',0,4),('blog',0,6,6,'en',0,4),('blog',0,7,7,'ar',0,7),('blog',0,7,7,'en',0,7),('blog',0,8,8,'ar',0,7),('blog',0,8,8,'en',0,7),('blog',0,9,9,'ar',0,3),('blog',0,9,9,'en',0,3),('blog',0,10,10,'ar',0,6),('blog',0,10,10,'en',0,6),('blog',0,11,11,'ar',0,3),('blog',0,11,11,'en',0,3),('blog',0,12,12,'ar',0,4),('blog',0,12,12,'en',0,4),('blog',0,13,13,'ar',0,10),('blog',0,13,13,'en',0,10),('blog',0,14,14,'ar',0,13),('blog',0,14,14,'en',0,13),('blog',0,15,15,'ar',0,13),('blog',0,15,15,'en',0,13),('blog',0,16,16,'ar',0,10),('blog',0,16,16,'en',0,10),('blog',0,17,17,'ar',0,10),('blog',0,17,17,'en',0,10),('blog',0,18,18,'ar',0,17),('blog',0,18,18,'en',0,17),('blog',0,19,19,'ar',0,20),('blog',0,19,19,'en',0,20),('blog',0,20,20,'ar',0,17),('blog',0,20,20,'en',0,17),('blog',0,21,21,'ar',0,17),('blog',0,21,21,'en',0,17),('blog',0,22,22,'ar',0,23),('blog',0,22,22,'en',0,23),('blog',0,23,23,'ar',0,20),('blog',0,23,23,'en',0,20),('blog',0,24,24,'ar',0,20),('blog',0,24,24,'en',0,20),('blog',0,25,25,'en',0,42),('blog',0,26,26,'ar',0,6),('blog',0,26,26,'en',0,6),('blog',0,27,27,'ar',0,25),('blog',0,27,27,'en',0,25),('blog',0,28,28,'ar',0,7),('blog',0,28,28,'en',0,7),('blog',0,29,29,'ar',0,13),('blog',0,29,29,'en',0,13),('blog',0,30,30,'ar',0,25),('blog',0,30,30,'en',0,25),('blog',0,31,31,'ar',0,20),('blog',0,31,31,'en',0,20),('blog',0,32,32,'ar',0,30),('blog',0,32,32,'en',0,30),('blog',0,33,33,'ar',0,25),('blog',0,33,33,'en',0,25),('blog',0,34,34,'ar',0,10),('blog',0,34,34,'en',0,10),('blog',0,35,35,'ar',0,30),('blog',0,35,35,'en',0,30),('blog',0,36,36,'ar',0,30),('blog',0,36,36,'en',0,30);
/*!40000 ALTER TABLE `node__field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_client`
--

DROP TABLE IF EXISTS `node__field_client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_client` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_client_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_client.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_client`
--

LOCK TABLES `node__field_client` WRITE;
/*!40000 ALTER TABLE `node__field_client` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_client` VALUES ('work',0,15,15,'ar',0,'AAC Healthy Care'),('work',0,15,15,'en',0,'AAC Healthy Care'),('work',0,16,16,'ar',0,'Apple Inc'),('work',0,16,16,'en',0,'Apple Inc'),('work',0,17,17,'ar',0,'Myrio'),('work',0,17,17,'en',0,'Myrio'),('work',0,18,18,'ar',0,'AAC Healthy Care'),('work',0,18,18,'en',0,'AAC Healthy Care'),('work',0,19,19,'ar',0,'AAc Healthy'),('work',0,19,19,'en',0,'AAc Healthy'),('work',0,20,20,'ar',0,'Myrio'),('work',0,20,20,'en',0,'Myrio'),('work',0,21,21,'ar',0,'Myrio'),('work',0,21,21,'en',0,'Myrio'),('work',0,22,22,'ar',0,'Myrio'),('work',0,22,22,'en',0,'Myrio'),('work',0,47,51,'ar',0,'Myrio'),('work',0,47,51,'en',0,'Myrio'),('work',0,48,52,'ar',0,'Myrio'),('work',0,48,52,'en',0,'Myrio'),('work',0,49,53,'ar',0,'AAC Healthy Care'),('work',0,49,53,'en',0,'AAC Healthy Care'),('work',0,50,54,'ar',0,'Myrio'),('work',0,50,54,'en',0,'Myrio'),('work',0,51,55,'ar',0,'Myrio'),('work',0,51,55,'en',0,'Myrio'),('work',0,52,56,'ar',0,'Myrio'),('work',0,52,56,'en',0,'Myrio'),('work',0,53,57,'ar',0,'AAC Healthy Care'),('work',0,53,57,'en',0,'AAC Healthy Care');
/*!40000 ALTER TABLE `node__field_client` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_components`
--

DROP TABLE IF EXISTS `node__field_components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_components` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_components_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_components_target_id` (`field_components_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_components.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_components`
--

LOCK TABLES `node__field_components` WRITE;
/*!40000 ALTER TABLE `node__field_components` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_components` VALUES ('page',0,49,49,'en',0,1),('page',0,49,49,'en',1,2),('page',0,49,49,'en',2,3),('page',0,49,49,'en',3,4),('page',0,49,49,'en',4,5),('page',0,49,49,'en',5,7),('page',0,49,49,'en',6,8),('page',0,49,49,'en',7,6);
/*!40000 ALTER TABLE `node__field_components` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_image`
--

DROP TABLE IF EXISTS `node__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_image`
--

LOCK TABLES `node__field_image` WRITE;
/*!40000 ALTER TABLE `node__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_image` VALUES ('blog',0,1,1,'ar',0,1,'','Many Teachers Feel Undervalued, Survey Finds',750,500),('blog',0,1,1,'en',0,1,'','Many Teachers Feel Undervalued, Survey Finds',750,500),('blog',0,2,2,'ar',0,2,'','So Much To Do at the Beaches of San Diego',750,486),('blog',0,2,2,'en',0,2,'','So Much To Do at the Beaches of San Diego',750,486),('blog',0,3,3,'ar',0,3,'','Bay of Plenty – Adventure is Plentiful in the Bay',750,402),('blog',0,3,3,'en',0,3,'','Bay of Plenty – Adventure is Plentiful in the Bay',750,402),('blog',0,4,4,'ar',0,4,'','Beaches & Boats',750,375),('blog',0,4,4,'en',0,4,'','Beaches & Boats',750,375),('blog',0,5,5,'ar',0,5,'','What would a. \"Sport Touring\" bike be like?',750,1061),('blog',0,5,5,'en',0,5,'','What would a. \"Sport Touring\" bike be like?',750,1061),('blog',0,6,6,'ar',0,6,'','To Montreal, with Google as a guide',750,500),('blog',0,6,6,'en',0,6,'','To Montreal, with Google as a guide',750,500),('blog',0,7,7,'ar',0,7,'','What would a. \"Sport Touring\" bike be like?',750,564),('blog',0,7,7,'en',0,7,'','What would a. \"Sport Touring\" bike be like?',750,564),('blog',0,8,8,'ar',0,8,'','World Cup: U.S. has chance to pull off upset vs. Belgium',750,555),('blog',0,8,8,'en',0,8,'','World Cup: U.S. has chance to pull off upset vs. Belgium',750,555),('blog',0,9,9,'ar',0,9,'','Math Under Common Core Has Even Parents Stumbling',750,402),('blog',0,9,9,'en',0,9,'','Math Under Common Core Has Even Parents Stumbling',750,402),('blog',0,10,10,'ar',0,10,'','The New Girl On The Block',750,644),('blog',0,10,10,'en',0,10,'','The New Girl On The Block',750,644),('blog',0,11,11,'ar',0,11,'','The Prince is absolutely right – bring back grammar schools',750,500),('blog',0,11,11,'en',0,11,'','The Prince is absolutely right – bring back grammar schools',750,500),('blog',0,12,12,'ar',0,12,'','Guided Tours for Every Taste',750,511),('blog',0,12,12,'en',0,12,'','Guided Tours for Every Taste',750,511),('blog',0,13,13,'ar',0,13,'','New Companies Office status check features',750,564),('blog',0,13,13,'en',0,13,'','New Companies Office status check features',750,564),('blog',0,14,14,'ar',0,14,'','UW Hospital Emergency Department Nurses Receive Lantern Award',750,500),('blog',0,14,14,'en',0,14,'','UW Hospital Emergency Department Nurses Receive Lantern Award',750,500),('blog',0,15,15,'ar',0,15,'','',750,500),('blog',0,15,15,'en',0,15,'','',750,500),('blog',0,16,16,'ar',0,16,'','Companies Amendment Bill passes into law',750,500),('blog',0,16,16,'en',0,16,'','Companies Amendment Bill passes into law',750,500),('blog',0,17,17,'ar',0,17,'','Don’t get taken for a ride when buying a car',750,530),('blog',0,17,17,'en',0,17,'','Don’t get taken for a ride when buying a car',750,530),('blog',0,18,18,'ar',0,18,'','Love for Nature Genetics',750,433),('blog',0,18,18,'en',0,18,'','Love for Nature Genetics',750,433),('blog',0,19,19,'ar',0,19,'','Art worth $4.5m found hidden in Brazilian shipping container',750,452),('blog',0,19,19,'en',0,19,'','Art worth $4.5m found hidden in Brazilian shipping container',750,452),('blog',0,20,20,'ar',0,20,'','How to become a science adviser for films and TV shows',750,431),('blog',0,20,20,'en',0,20,'','How to become a science adviser for films and TV shows',750,431),('blog',0,21,21,'ar',0,21,'','Biosecurity laws under scanner',750,449),('blog',0,21,21,'en',0,21,'','Biosecurity laws under scanner',750,449),('blog',0,22,22,'ar',0,22,'','Move over Kuta ... this is the real Bali',750,751),('blog',0,22,22,'en',0,22,'','Move over Kuta ... this is the real Bali',750,751),('blog',0,23,23,'ar',0,23,'','Spain returns ‘small museum’ of artefacts to Colombia',750,639),('blog',0,23,23,'en',0,23,'','Spain returns ‘small museum’ of artefacts to Colombia',750,639),('blog',0,24,24,'ar',0,24,'','British Library returns painted Renaissance book panel',750,493),('blog',0,24,24,'en',0,24,'','British Library returns painted Renaissance book panel',750,493),('blog',0,25,25,'ar',0,62,'','World Cup Sportsday',900,481),('blog',0,25,25,'en',0,62,'','World Cup Sportsday',900,481),('blog',0,26,26,'ar',0,26,'','Looks of the day',750,482),('blog',0,26,26,'en',0,26,'','Looks of the day',750,482),('blog',0,27,27,'ar',0,27,'','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',750,500),('blog',0,27,27,'en',0,27,'','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',750,500),('blog',0,28,28,'ar',0,28,'','More than 1,000 runners signed up for Syracuse Half Marathon',750,650),('blog',0,28,28,'en',0,28,'','More than 1,000 runners signed up for Syracuse Half Marathon',750,650),('blog',0,29,29,'ar',0,29,'','The diabetes epidemic',750,683),('blog',0,29,29,'en',0,29,'','The diabetes epidemic',750,683),('blog',0,30,30,'ar',0,30,'','6 People Who Will Stress You Out On Your Wedding Day',750,1125),('blog',0,30,30,'en',0,30,'','6 People Who Will Stress You Out On Your Wedding Day',750,1125),('blog',0,31,31,'ar',0,31,'','Russia’s other art biennial',750,500),('blog',0,31,31,'en',0,31,'','Russia’s other art biennial',750,500),('blog',0,32,32,'ar',0,32,'','How to Banish Stress in 25 Minutes',750,563),('blog',0,32,32,'en',0,32,'','How to Banish Stress in 25 Minutes',750,563),('blog',0,33,33,'ar',0,33,'','Etsy Weddings: Handmade Object Of The Week',750,1125),('blog',0,33,33,'en',0,33,'','Etsy Weddings: Handmade Object Of The Week',750,1125),('blog',0,34,34,'ar',0,34,'','Branding and company extract changes',750,500),('blog',0,34,34,'en',0,34,'','Branding and company extract changes',750,500),('blog',0,35,35,'ar',0,35,'','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',750,762),('blog',0,35,35,'en',0,35,'','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',750,762),('blog',0,36,36,'ar',0,36,'','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',750,391),('blog',0,36,36,'en',0,36,'','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',750,391),('showcase',0,40,40,'en',0,53,'','Autox',750,1966),('showcase',0,41,41,'en',0,54,'','Education',750,1013),('showcase',0,42,42,'en',0,55,'','News',750,1268),('showcase',0,43,43,'en',0,56,'','Garnet',750,1017),('showcase',0,44,44,'en',0,57,'','Zircon II',750,750),('showcase',0,45,45,'en',0,58,'','Business',750,1127),('showcase',0,46,46,'en',0,59,'','New shopping',750,917),('showcase',0,47,47,'en',0,60,'','Onepage',750,2283);
/*!40000 ALTER TABLE `node__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_link`
--

DROP TABLE IF EXISTS `node__field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_link_uri` (`field_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_link`
--

LOCK TABLES `node__field_link` WRITE;
/*!40000 ALTER TABLE `node__field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_link` VALUES ('showcase',0,40,40,'en',0,'http://www.weebpal.com/drupal-themes/autox','Click to visit','a:0:{}'),('showcase',0,41,41,'en',0,'http://demo.weebpal.com/#education','Click to visit','a:0:{}'),('showcase',0,42,42,'en',0,'http://demo.weebpal.com/#news','Click to visit','a:0:{}'),('showcase',0,43,43,'en',0,'http://demo.weebpal.com/#garnet','Click to visit','a:0:{}'),('showcase',0,44,44,'en',0,'http://demo.weebpal.com/#zircon_ii','Click to visit','a:0:{}'),('showcase',0,45,45,'en',0,'http://demo.weebpal.com/#business','Click to visit','a:0:{}'),('showcase',0,46,46,'en',0,'http://demo.weebpal.com/#new-shopping','Click to visit','a:0:{}'),('showcase',0,47,47,'en',0,'http://demo.weebpal.com/#onepage','Click to visit','a:0:{}');
/*!40000 ALTER TABLE `node__field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_our_approach`
--

DROP TABLE IF EXISTS `node__field_our_approach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_our_approach` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_our_approach_value` longtext NOT NULL,
  `field_our_approach_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_our_approach_format` (`field_our_approach_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_our_approach.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_our_approach`
--

LOCK TABLES `node__field_our_approach` WRITE;
/*!40000 ALTER TABLE `node__field_our_approach` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_our_approach` VALUES ('work',0,15,15,'ar',0,'<p>Dolorum, eligendi, repellat mollitia convallis, anim justo habitant, fugit! Duis nesciunt commodo ac pulvinar nullam? In egestas, suscipit montes ornare, at nobis viverra voluptatem purus! Duis placerat id officiis qui quod quibusdam eget aperiam litora magnis convallis veritatis eros metus? Proin urna quos, perferendis semper.</p>\r\n','basic_html'),('work',0,15,15,'en',0,'<p>Dolorum, eligendi, repellat mollitia convallis, anim justo habitant, fugit! Duis nesciunt commodo ac pulvinar nullam? In egestas, suscipit montes ornare, at nobis viverra voluptatem purus! Duis placerat id officiis qui quod quibusdam eget aperiam litora magnis convallis veritatis eros metus? Proin urna quos, perferendis semper.</p>\r\n','basic_html'),('work',0,16,16,'ar',0,'<p>Velit pede! Nostrud odit nulla, do? Ipsum mi repellat, laboris temporibus parturient? In integer cupiditate euismod suscipit suscipit. Maxime ultrices! Bibendum a maiores modi, voluptatum cubilia, tenetur, montes.</p>\r\n','basic_html'),('work',0,16,16,'en',0,'<p>Velit pede! Nostrud odit nulla, do? Ipsum mi repellat, laboris temporibus parturient? In integer cupiditate euismod suscipit suscipit. Maxime ultrices! Bibendum a maiores modi, voluptatum cubilia, tenetur, montes.</p>\r\n','basic_html'),('work',0,17,17,'ar',0,'<p>Eius porta, vulputate sequi laboriosam conubia sodales varius, nostrum iure quas convallis massa eos voluptate! Habitasse dolorem nonummy, maxime consectetur nostra facilisi! Laudantium lacus! Nostra tempora est magnis.</p>\r\n','basic_html'),('work',0,17,17,'en',0,'<p>Eius porta, vulputate sequi laboriosam conubia sodales varius, nostrum iure quas convallis massa eos voluptate! Habitasse dolorem nonummy, maxime consectetur nostra facilisi! Laudantium lacus! Nostra tempora est magnis.</p>\r\n','basic_html'),('work',0,18,18,'ar',0,'<p>Veritatis quis reiciendis phasellus non, accumsan quisque reiciendis esse aliquip ligula cursus aspernatur, voluptatibus sociosqu, exercitation, faucibus molestias, delectus sollicitudin veritatis suscipit, sociis quaerat aliquet. Integer accusamus, ultrices! Id dicta ipsum pede torquent cupiditate repellat tempore.</p>\r\n','basic_html'),('work',0,18,18,'en',0,'<p>Veritatis quis reiciendis phasellus non, accumsan quisque reiciendis esse aliquip ligula cursus aspernatur, voluptatibus sociosqu, exercitation, faucibus molestias, delectus sollicitudin veritatis suscipit, sociis quaerat aliquet. Integer accusamus, ultrices! Id dicta ipsum pede torquent cupiditate repellat tempore.</p>\r\n','basic_html'),('work',0,19,19,'ar',0,'<p>Tristique volutpat sapiente minima, nunc officia, torquent mollit lectus. Consectetuer porttitor harum architecto magnis nostra hendrerit error alias arcu mi! Nobis. Dapibus error anim, mi aliquid facilis cras condimentum similique ligula numquam, repudiandae purus.</p>\r\n','basic_html'),('work',0,19,19,'en',0,'<p>Tristique volutpat sapiente minima, nunc officia, torquent mollit lectus. Consectetuer porttitor harum architecto magnis nostra hendrerit error alias arcu mi! Nobis. Dapibus error anim, mi aliquid facilis cras condimentum similique ligula numquam, repudiandae purus.</p>\r\n','basic_html'),('work',0,20,20,'ar',0,'<p>Voluptates, adipiscing. Massa felis quidem vehicula? Exercitationem autem curabitur minima alias nullam consequat adipiscing. Diamlorem adipisicing! Vulputate aliqua wisi quae tortor ipsam? In integer? Voluptas mollitia.</p>\r\n','basic_html'),('work',0,20,20,'en',0,'<p>Voluptates, adipiscing. Massa felis quidem vehicula? Exercitationem autem curabitur minima alias nullam consequat adipiscing. Diamlorem adipisicing! Vulputate aliqua wisi quae tortor ipsam? In integer? Voluptas mollitia.</p>\r\n','basic_html'),('work',0,21,21,'ar',0,'<p>In eget facilisis delectus? Adipisci aliquip debitis non voluptates per iste gravida nisi justo deserunt libero. Dolore orci, laudantium. Dignissimos similique inceptos proin sociosqu! Auctor excepturi potenti minim, beatae hendrerit ut ab.</p>\r\n','basic_html'),('work',0,21,21,'en',0,'<p>In eget facilisis delectus? Adipisci aliquip debitis non voluptates per iste gravida nisi justo deserunt libero. Dolore orci, laudantium. Dignissimos similique inceptos proin sociosqu! Auctor excepturi potenti minim, beatae hendrerit ut ab.</p>\r\n','basic_html'),('work',0,22,22,'ar',0,'<p>Tenetur nam odit? Mi do molestie consequuntur accusamus gravida ab dolorem euismod anim illum, nullam nullam tristique cursus dictumst pellentesque earum. Ut diamlorem porttitor ex irure harum, elit soluta. Quas a lobortis proin? Recusandae occaecati, lacinia, nostrud.</p>\r\n','basic_html'),('work',0,22,22,'en',0,'<p>Tenetur nam odit? Mi do molestie consequuntur accusamus gravida ab dolorem euismod anim illum, nullam nullam tristique cursus dictumst pellentesque earum. Ut diamlorem porttitor ex irure harum, elit soluta. Quas a lobortis proin? Recusandae occaecati, lacinia, nostrud.</p>\r\n','basic_html'),('work',0,47,51,'ar',0,'<p>Quasi ratione dolores laudantium aliqua eos do voluptatibus? Erat, dignissim nam, ipsam ipsum temporibus phasellus doloribus? Recusandae maxime accusantium, leo fermentum ac, a, quis penatibus, maecenas, sem, officia.</p>\r\n','basic_html'),('work',0,47,51,'en',0,'<p>Quasi ratione dolores laudantium aliqua eos do voluptatibus? Erat, dignissim nam, ipsam ipsum temporibus phasellus doloribus? Recusandae maxime accusantium, leo fermentum ac, a, quis penatibus, maecenas, sem, officia.</p>\r\n','basic_html'),('work',0,48,52,'ar',0,'<p>Porttitor diamlorem eleifend, ex nobis odit cumque porta? Vero deleniti! Magna. Elit molestiae, in tristique reprehenderit enim? Tristique erat officiis lectus, sed proin? Aut, non sapiente accusantium deserunt molestie, possimus commodi auctor asperiores.</p>\r\n','basic_html'),('work',0,48,52,'en',0,'<p>Porttitor diamlorem eleifend, ex nobis odit cumque porta? Vero deleniti! Magna. Elit molestiae, in tristique reprehenderit enim? Tristique erat officiis lectus, sed proin? Aut, non sapiente accusantium deserunt molestie, possimus commodi auctor asperiores.</p>\r\n','basic_html'),('work',0,49,53,'ar',0,'<p>Reiciendis! Ultricies saepe. Minim quisquam eum. Voluptate vestibulum aliquet? Similique metus iure eum molestias pulvinar, animi velit explicabo laudantium nascetur condimentum! Omnis mollitia minus montes porro quidem. Vulputate auctor laudantium eu.</p>\r\n','basic_html'),('work',0,49,53,'en',0,'<p>Reiciendis! Ultricies saepe. Minim quisquam eum. Voluptate vestibulum aliquet? Similique metus iure eum molestias pulvinar, animi velit explicabo laudantium nascetur condimentum! Omnis mollitia minus montes porro quidem. Vulputate auctor laudantium eu.</p>\r\n','basic_html'),('work',0,50,54,'ar',0,'<p>Scelerisque dictumst duis, cumque fugit elementum exercitationem? Ad commodi mattis, totam sapiente condimentum congue ullamco saepe donec orci? Ultrices quia placerat vivamus vero, lacus optio nisl turpis anim.</p>\r\n','basic_html'),('work',0,50,54,'en',0,'<p>Scelerisque dictumst duis, cumque fugit elementum exercitationem? Ad commodi mattis, totam sapiente condimentum congue ullamco saepe donec orci? Ultrices quia placerat vivamus vero, lacus optio nisl turpis anim.</p>\r\n','basic_html'),('work',0,51,55,'ar',0,'<p>Velit quis provident, consequat! Cumque id, dicta sociosqu. Natoque aspernatur officiis numquam provident duis mi unde facilis occaecat, accumsan placerat ex architecto molestiae sodales netus sodales? Praesent, recusandae.</p>\r\n','basic_html'),('work',0,51,55,'en',0,'<p>Velit quis provident, consequat! Cumque id, dicta sociosqu. Natoque aspernatur officiis numquam provident duis mi unde facilis occaecat, accumsan placerat ex architecto molestiae sodales netus sodales? Praesent, recusandae.</p>\r\n','basic_html'),('work',0,52,56,'ar',0,'<p>Placerat excepturi? Elit animi ridiculus harum magnis! Aptent nostrud repellat reiciendis diamlorem varius ultricies? Rhoncus hendrerit. Torquent! Earum cumque est laudantium sit, tempor netus molestias, sem, etiam est? Tempus? Mattis.</p>\r\n','basic_html'),('work',0,52,56,'en',0,'<p>Placerat excepturi? Elit animi ridiculus harum magnis! Aptent nostrud repellat reiciendis diamlorem varius ultricies? Rhoncus hendrerit. Torquent! Earum cumque est laudantium sit, tempor netus molestias, sem, etiam est? Tempus? Mattis.</p>\r\n','basic_html'),('work',0,53,57,'ar',0,'<p>Phasellus posuere, sapiente saepe erat cupiditate, natus minima mollitia dis, quasi, eveniet eveniet, sem consectetur vulputate, laoreet aliquam, proin, error primis, assumenda vestibulum, varius, quam nostrud, voluptas occaecati? Nobis, modi, laboris incidunt.</p>\r\n','basic_html'),('work',0,53,57,'en',0,'<p>Phasellus posuere, sapiente saepe erat cupiditate, natus minima mollitia dis, quasi, eveniet eveniet, sem consectetur vulputate, laoreet aliquam, proin, error primis, assumenda vestibulum, varius, quam nostrud, voluptas occaecati? Nobis, modi, laboris incidunt.</p>\r\n','basic_html');
/*!40000 ALTER TABLE `node__field_our_approach` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_paragraphs`
--

DROP TABLE IF EXISTS `node__field_paragraphs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_paragraphs` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_paragraphs_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_paragraphs_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_paragraphs_target_id` (`field_paragraphs_target_id`),
  KEY `field_paragraphs_target_revision_id` (`field_paragraphs_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_paragraphs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_paragraphs`
--

LOCK TABLES `node__field_paragraphs` WRITE;
/*!40000 ALTER TABLE `node__field_paragraphs` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_paragraphs` VALUES ('service',0,23,23,'en',0,42,42),('service',0,23,23,'en',1,43,43),('service',0,24,24,'en',0,44,44),('service',0,24,24,'en',1,45,45),('service',0,25,25,'ar',0,1,1),('service',0,25,25,'en',0,1,1),('service',0,25,25,'ar',1,2,2),('service',0,25,25,'en',1,2,2),('service',0,25,25,'ar',2,3,3),('service',0,25,25,'en',2,3,3);
/*!40000 ALTER TABLE `node__field_paragraphs` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_process`
--

DROP TABLE IF EXISTS `node__field_process`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_process` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_process_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_process_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_process_target_id` (`field_process_target_id`),
  KEY `field_process_target_revision_id` (`field_process_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_process.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_process`
--

LOCK TABLES `node__field_process` WRITE;
/*!40000 ALTER TABLE `node__field_process` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_process` VALUES ('work',0,15,15,'en',0,8,8),('work',0,15,15,'en',1,9,9),('work',0,15,15,'en',2,10,10),('work',0,15,15,'en',3,11,11),('work',0,16,16,'en',0,12,12),('work',0,16,16,'en',1,13,13),('work',0,17,17,'en',0,14,14),('work',0,17,17,'en',1,15,15),('work',0,18,18,'en',0,16,16),('work',0,18,18,'en',1,17,17),('work',0,19,19,'en',0,18,18),('work',0,19,19,'en',1,19,19),('work',0,20,20,'en',0,20,20),('work',0,20,20,'en',1,21,21),('work',0,21,21,'en',0,22,22),('work',0,21,21,'en',1,23,23),('work',0,22,22,'en',0,24,24),('work',0,22,22,'en',1,25,25),('work',0,47,51,'en',0,26,26),('work',0,47,51,'en',1,27,27),('work',0,48,52,'en',0,28,28),('work',0,48,52,'en',1,29,29),('work',0,49,53,'en',0,30,30),('work',0,49,53,'en',1,31,31),('work',0,50,54,'en',0,32,32),('work',0,50,54,'en',1,33,33),('work',0,51,55,'en',0,34,34),('work',0,51,55,'en',1,35,35),('work',0,52,56,'en',0,36,36),('work',0,52,56,'en',1,37,37),('work',0,53,57,'en',0,38,38),('work',0,53,57,'en',1,39,39),('work',0,53,57,'en',2,40,40),('work',0,53,57,'en',3,41,41);
/*!40000 ALTER TABLE `node__field_process` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_project`
--

DROP TABLE IF EXISTS `node__field_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_project` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_project.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_project`
--

LOCK TABLES `node__field_project` WRITE;
/*!40000 ALTER TABLE `node__field_project` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_project` VALUES ('work',0,15,15,'ar',0,'Creative Design'),('work',0,15,15,'en',0,'Creative Design'),('work',0,16,16,'ar',0,'Marketing'),('work',0,16,16,'en',0,'Marketing'),('work',0,17,17,'ar',0,'Marketing'),('work',0,17,17,'en',0,'Marketing'),('work',0,18,18,'ar',0,'Creative Design'),('work',0,18,18,'en',0,'Creative Design'),('work',0,19,19,'ar',0,'Creative Design'),('work',0,19,19,'en',0,'Creative Design'),('work',0,20,20,'ar',0,'Marketing '),('work',0,20,20,'en',0,'Marketing '),('work',0,21,21,'ar',0,'Marketing'),('work',0,21,21,'en',0,'Marketing'),('work',0,22,22,'ar',0,'Marketing'),('work',0,22,22,'en',0,'Marketing'),('work',0,47,51,'ar',0,'Marketing'),('work',0,47,51,'en',0,'Marketing'),('work',0,48,52,'ar',0,'Marketing '),('work',0,48,52,'en',0,'Marketing '),('work',0,49,53,'ar',0,'Creative Healthy Design'),('work',0,49,53,'en',0,'Creative Healthy Design'),('work',0,50,54,'ar',0,'Marketing'),('work',0,50,54,'en',0,'Marketing'),('work',0,51,55,'ar',0,'Marketing'),('work',0,51,55,'en',0,'Marketing'),('work',0,52,56,'ar',0,'Marketing'),('work',0,52,56,'en',0,'Marketing'),('work',0,53,57,'ar',0,'Creative Design'),('work',0,53,57,'en',0,'Creative Design');
/*!40000 ALTER TABLE `node__field_project` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_role`
--

DROP TABLE IF EXISTS `node__field_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_role` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_role_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_role.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_role`
--

LOCK TABLES `node__field_role` WRITE;
/*!40000 ALTER TABLE `node__field_role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_role` VALUES ('member',0,31,31,'en',0,'CEO'),('member',0,32,32,'en',0,'CTO'),('member',0,33,33,'en',0,'Marketing'),('member',0,34,34,'en',0,'Product Designer'),('member',0,35,35,'en',0,'Developer'),('member',0,36,36,'en',0,'Developer'),('member',0,37,37,'en',0,'Product Designer'),('member',0,38,38,'en',0,'Product Designer');
/*!40000 ALTER TABLE `node__field_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_social`
--

DROP TABLE IF EXISTS `node__field_social`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_social` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_social_platform` varchar(128) DEFAULT '',
  `field_social_value` varchar(128) DEFAULT '',
  `field_social_platform_values` blob DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_social_platform` (`field_social_platform`),
  KEY `field_social_value` (`field_social_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_social.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_social`
--

LOCK TABLES `node__field_social` WRITE;
/*!40000 ALTER TABLE `node__field_social` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_social` VALUES ('member',0,31,31,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,32,32,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,33,33,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,34,34,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,35,35,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,36,36,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,37,37,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,38,38,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}');
/*!40000 ALTER TABLE `node__field_social` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_tags`
--

DROP TABLE IF EXISTS `node__field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_tags.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_tags`
--

LOCK TABLES `node__field_tags` WRITE;
/*!40000 ALTER TABLE `node__field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_tags` VALUES ('blog',0,1,1,'ar',0,2),('blog',0,1,1,'en',0,2),('blog',0,2,2,'ar',0,5),('blog',0,2,2,'en',0,5),('blog',0,3,3,'ar',0,5),('blog',0,3,3,'en',0,5),('blog',0,4,4,'ar',0,5),('blog',0,4,4,'en',0,5),('blog',0,5,5,'ar',0,5),('blog',0,5,5,'en',0,5),('blog',0,6,6,'ar',0,5),('blog',0,6,6,'en',0,5),('blog',0,7,7,'ar',0,8),('blog',0,7,7,'en',0,8),('blog',0,10,10,'ar',0,9),('blog',0,10,10,'en',0,9),('blog',0,12,12,'ar',0,5),('blog',0,12,12,'en',0,5),('blog',0,13,13,'ar',0,11),('blog',0,13,13,'en',0,11),('blog',0,13,13,'ar',1,12),('blog',0,13,13,'en',1,12),('blog',0,14,14,'ar',0,14),('blog',0,14,14,'en',0,14),('blog',0,14,14,'ar',1,15),('blog',0,14,14,'en',1,15),('blog',0,15,15,'ar',0,16),('blog',0,15,15,'en',0,16),('blog',0,15,15,'ar',1,14),('blog',0,15,15,'en',1,14),('blog',0,16,16,'ar',0,12),('blog',0,16,16,'en',0,12),('blog',0,17,17,'ar',0,12),('blog',0,17,17,'en',0,12),('blog',0,18,18,'ar',0,18),('blog',0,18,18,'en',0,18),('blog',0,18,18,'ar',1,19),('blog',0,18,18,'en',1,19),('blog',0,19,19,'ar',0,21),('blog',0,19,19,'en',0,21),('blog',0,20,20,'ar',0,22),('blog',0,20,20,'en',0,22),('blog',0,21,21,'ar',0,19),('blog',0,21,21,'en',0,19),('blog',0,22,22,'ar',0,5),('blog',0,22,22,'en',0,5),('blog',0,23,23,'ar',0,21),('blog',0,23,23,'en',0,21),('blog',0,23,23,'ar',1,24),('blog',0,23,23,'en',1,24),('blog',0,24,24,'ar',0,21),('blog',0,24,24,'en',0,21),('blog',0,24,24,'ar',1,24),('blog',0,24,24,'en',1,24),('blog',0,25,25,'ar',0,43),('blog',0,25,25,'en',0,43),('blog',0,26,26,'ar',0,9),('blog',0,26,26,'en',0,9),('blog',0,27,27,'ar',0,26),('blog',0,27,27,'en',0,26),('blog',0,27,27,'ar',1,27),('blog',0,27,27,'en',1,27),('blog',0,28,28,'ar',0,28),('blog',0,28,28,'en',0,28),('blog',0,29,29,'ar',0,29),('blog',0,29,29,'en',0,29),('blog',0,30,30,'ar',0,26),('blog',0,30,30,'en',0,26),('blog',0,30,30,'ar',1,27),('blog',0,30,30,'en',1,27),('blog',0,31,31,'ar',0,21),('blog',0,31,31,'en',0,21),('blog',0,31,31,'ar',1,24),('blog',0,31,31,'en',1,24),('blog',0,32,32,'ar',0,2),('blog',0,32,32,'en',0,2),('blog',0,33,33,'ar',0,26),('blog',0,33,33,'en',0,26),('blog',0,33,33,'ar',1,27),('blog',0,33,33,'en',1,27),('blog',0,34,34,'ar',0,11),('blog',0,34,34,'en',0,11),('blog',0,35,35,'ar',0,31),('blog',0,35,35,'en',0,31),('blog',0,35,35,'ar',1,32),('blog',0,35,35,'en',1,32),('blog',0,36,36,'ar',0,33),('blog',0,36,36,'en',0,33);
/*!40000 ALTER TABLE `node__field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_the_challenge`
--

DROP TABLE IF EXISTS `node__field_the_challenge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_the_challenge` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_the_challenge_value` longtext NOT NULL,
  `field_the_challenge_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_the_challenge_format` (`field_the_challenge_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_the_challenge.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_the_challenge`
--

LOCK TABLES `node__field_the_challenge` WRITE;
/*!40000 ALTER TABLE `node__field_the_challenge` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_the_challenge` VALUES ('work',0,15,15,'ar',0,'<p>Iste cupidatat nostrum vestibulum eiusmod volutpat explicabo quia voluptas beatae illum orci. Tellus odio! Potenti gravida, atque ut consequatur enim impedit ultrices dignissimos eius, anim, totam veniam eu, explicabo natoque magnis&nbsp;</p>\r\n','basic_html'),('work',0,15,15,'en',0,'<p>Iste cupidatat nostrum vestibulum eiusmod volutpat explicabo quia voluptas beatae illum orci. Tellus odio! Potenti gravida, atque ut consequatur enim impedit ultrices dignissimos eius, anim, totam veniam eu, explicabo natoque magnis&nbsp;</p>\r\n','basic_html'),('work',0,16,16,'ar',0,'<p>Ullamco diamlorem ut corrupti sociosqu perferendis magnam, nunc, ea illo debitis odio, fringilla dolorem proident numquam possimus eos modi turpis, anim voluptatem mollitia erat, pariatur doloribus consequuntur feugiat.</p>\r\n','basic_html'),('work',0,16,16,'en',0,'<p>Ullamco diamlorem ut corrupti sociosqu perferendis magnam, nunc, ea illo debitis odio, fringilla dolorem proident numquam possimus eos modi turpis, anim voluptatem mollitia erat, pariatur doloribus consequuntur feugiat.</p>\r\n','basic_html'),('work',0,17,17,'ar',0,'<p>Vivamus fringilla nunc repellendus porta viverra labore volutpat eros delectus fermentum luctus non, lobortis, minima possimus? Sem quibusdam felis occaecat hac malesuada mollis et. Quisque elementum elementum fermentum enim mattis ipsum risus mus eius! Numquam nunc velit maiores est, justo! Curae beatae. Felis, gravida.</p>\r\n','basic_html'),('work',0,17,17,'en',0,'<p>Vivamus fringilla nunc repellendus porta viverra labore volutpat eros delectus fermentum luctus non, lobortis, minima possimus? Sem quibusdam felis occaecat hac malesuada mollis et. Quisque elementum elementum fermentum enim mattis ipsum risus mus eius! Numquam nunc velit maiores est, justo! Curae beatae. Felis, gravida.</p>\r\n','basic_html'),('work',0,18,18,'ar',0,'<p>Natoque sodales sed hendrerit accusamus class dolorem vulputate eveniet vel anim varius fugiat pharetra hic consequuntur. Quasi ipsum, natoque mus porttitor, omnis venenatis nostrum. Bibendum ea porttitor expedita, feugiat malesuada.</p>\r\n','basic_html'),('work',0,18,18,'en',0,'<p>Natoque sodales sed hendrerit accusamus class dolorem vulputate eveniet vel anim varius fugiat pharetra hic consequuntur. Quasi ipsum, natoque mus porttitor, omnis venenatis nostrum. Bibendum ea porttitor expedita, feugiat malesuada.</p>\r\n','basic_html'),('work',0,19,19,'ar',0,'<p>Veniam ante auctor molestie dis aliquet nobis, sodales? Vestibulum fringilla duis accusantium dis nunc pretium, integer, volutpat libero eiusmod asperiores, pulvinar, consectetur cursus nonummy mi potenti architecto justo sem sint.</p>\r\n','basic_html'),('work',0,19,19,'en',0,'<p>Veniam ante auctor molestie dis aliquet nobis, sodales? Vestibulum fringilla duis accusantium dis nunc pretium, integer, volutpat libero eiusmod asperiores, pulvinar, consectetur cursus nonummy mi potenti architecto justo sem sint.</p>\r\n','basic_html'),('work',0,20,20,'ar',0,'<p>Congue luctus est quisquam aperiam non? Hac hendrerit torquent ipsa non veritatis sequi architecto, ultricies mollis tempora massa, maecenas sapien, praesent magni tempore egestas in minim dolore aptent! Inventore assumenda?</p>\r\n','basic_html'),('work',0,20,20,'en',0,'<p>Congue luctus est quisquam aperiam non? Hac hendrerit torquent ipsa non veritatis sequi architecto, ultricies mollis tempora massa, maecenas sapien, praesent magni tempore egestas in minim dolore aptent! Inventore assumenda?</p>\r\n','basic_html'),('work',0,21,21,'ar',0,'<p>Non, pulvinar aliquet eos excepteur habitasse commodo maecenas aperiam? Recusandae minima consequat, iure eiusmod, litora exercitationem consequatur ut do erat nisi tempor, aliquid turpis, habitasse placerat voluptas? Eget. Diam fringilla! Mollitia aliquam magnam aliquet.</p>\r\n','basic_html'),('work',0,21,21,'en',0,'<p>Non, pulvinar aliquet eos excepteur habitasse commodo maecenas aperiam? Recusandae minima consequat, iure eiusmod, litora exercitationem consequatur ut do erat nisi tempor, aliquid turpis, habitasse placerat voluptas? Eget. Diam fringilla! Mollitia aliquam magnam aliquet.</p>\r\n','basic_html'),('work',0,22,22,'ar',0,'<p>Adipiscing, possimus porttitor quod in tenetur dictum est aperiam praesentium soluta atque nibh laudantium! Maecenas ducimus? Aliqua voluptatum, consequuntur irure eget amet ridiculus beatae. Blanditiis sodales iusto magnis, sapien nunc. Sapien primis.</p>\r\n','basic_html'),('work',0,22,22,'en',0,'<p>Adipiscing, possimus porttitor quod in tenetur dictum est aperiam praesentium soluta atque nibh laudantium! Maecenas ducimus? Aliqua voluptatum, consequuntur irure eget amet ridiculus beatae. Blanditiis sodales iusto magnis, sapien nunc. Sapien primis.</p>\r\n','basic_html'),('work',0,47,51,'ar',0,'<p>Porta repudiandae eum feugiat fames, nec! Tenetur sociosqu proident, platea consequatur sed! Voluptas per aliqua? Phasellus minima occaecat? Sapiente elementum, iste habitasse sociosqu optio? Ullamcorper cras eget! Enim itaque mauris, libero sodales officia mus?</p>\r\n','basic_html'),('work',0,47,51,'en',0,'<p>Porta repudiandae eum feugiat fames, nec! Tenetur sociosqu proident, platea consequatur sed! Voluptas per aliqua? Phasellus minima occaecat? Sapiente elementum, iste habitasse sociosqu optio? Ullamcorper cras eget! Enim itaque mauris, libero sodales officia mus?</p>\r\n','basic_html'),('work',0,48,52,'ar',0,'<p>Culpa elementum fuga occaecati voluptatum dictumst sint veniam? Modi? Libero dolor asperiores, hymenaeos eu modi blanditiis class eros ante beatae interdum, voluptas inceptos nibh! Accusamus inceptos, proident et duis dui mauris, hic elementum at faucibus euismod pede duis cupiditate aliquet.</p>\r\n','basic_html'),('work',0,48,52,'en',0,'<p>Culpa elementum fuga occaecati voluptatum dictumst sint veniam? Modi? Libero dolor asperiores, hymenaeos eu modi blanditiis class eros ante beatae interdum, voluptas inceptos nibh! Accusamus inceptos, proident et duis dui mauris, hic elementum at faucibus euismod pede duis cupiditate aliquet.</p>\r\n','basic_html'),('work',0,49,53,'ar',0,'<p>Quo blanditiis, sapiente qui similique elit nihil rhoncus adipisicing? Laboris, suscipit cupiditate interdum. Do odio recusandae saepe scelerisque? Officiis luctus? Orci? Sollicitudin facilisis quos, dolor parturient sequi nostrum? Ad mollit, rutrum litora consequatur!</p>\r\n','basic_html'),('work',0,49,53,'en',0,'<p>Quo blanditiis, sapiente qui similique elit nihil rhoncus adipisicing? Laboris, suscipit cupiditate interdum. Do odio recusandae saepe scelerisque? Officiis luctus? Orci? Sollicitudin facilisis quos, dolor parturient sequi nostrum? Ad mollit, rutrum litora consequatur!</p>\r\n','basic_html'),('work',0,50,54,'ar',0,'<p>Consequuntur, nostrud dapibus suscipit, habitant hymenaeos porro, aliqua ut, sapiente alias? Corporis in cupidatat quia voluptatem? Curabitur, volutpat ullamcorper placerat adipisci exercitationem saepe parturient dui architecto augue varius?</p>\r\n','basic_html'),('work',0,50,54,'en',0,'<p>Consequuntur, nostrud dapibus suscipit, habitant hymenaeos porro, aliqua ut, sapiente alias? Corporis in cupidatat quia voluptatem? Curabitur, volutpat ullamcorper placerat adipisci exercitationem saepe parturient dui architecto augue varius?</p>\r\n','basic_html'),('work',0,51,55,'ar',0,'<p>Fames cillum nonummy vel consequuntur? Exercitationem. Vehicula facilisi phasellus sociosqu necessitatibus natus! Facilis cupidatat, nihil, scelerisque proident placeat. Architecto eligendi voluptatem dicta eaque accusamus. Nisl pretium, quibusdam sapien? Commodi nostrud? Nisi molestie.</p>\r\n','basic_html'),('work',0,51,55,'en',0,'<p>Fames cillum nonummy vel consequuntur? Exercitationem. Vehicula facilisi phasellus sociosqu necessitatibus natus! Facilis cupidatat, nihil, scelerisque proident placeat. Architecto eligendi voluptatem dicta eaque accusamus. Nisl pretium, quibusdam sapien? Commodi nostrud? Nisi molestie.</p>\r\n','basic_html'),('work',0,52,56,'ar',0,'<p>Aliquet rerum nostra consectetuer aperiam quo, tempor illo lacus, similique incididunt, officiis aliquet tincidunt luctus praesentium velit quisque? Numquam do! Eveniet dolores facilisi. Ornare itaque aperiam occaecati, netus litora voluptatibus pariatur explicabo eum tincidunt exercitation asperiores laboris ad.</p>\r\n','basic_html'),('work',0,52,56,'en',0,'<p>Aliquet rerum nostra consectetuer aperiam quo, tempor illo lacus, similique incididunt, officiis aliquet tincidunt luctus praesentium velit quisque? Numquam do! Eveniet dolores facilisi. Ornare itaque aperiam occaecati, netus litora voluptatibus pariatur explicabo eum tincidunt exercitation asperiores laboris ad.</p>\r\n','basic_html'),('work',0,53,57,'ar',0,'<p>Convallis dictum sagittis, sunt pede libero, deleniti architecto nihil faucibus, officia incididunt. Torquent? Repellendus. Asperiores, diamlorem massa ipsum mollitia dicta distinctio etiam laboriosam! Hymenaeos, diam lacinia! Molestiae at interdum exercitation reiciendis qui?</p>\r\n','basic_html'),('work',0,53,57,'en',0,'<p>Convallis dictum sagittis, sunt pede libero, deleniti architecto nihil faucibus, officia incididunt. Torquent? Repellendus. Asperiores, diamlorem massa ipsum mollitia dicta distinctio etiam laboriosam! Hymenaeos, diam lacinia! Molestiae at interdum exercitation reiciendis qui?</p>\r\n','basic_html');
/*!40000 ALTER TABLE `node__field_the_challenge` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_video_link`
--

DROP TABLE IF EXISTS `node__field_video_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_video_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_video_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_video_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_video_link_uri` (`field_video_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_video_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_video_link`
--

LOCK TABLES `node__field_video_link` WRITE;
/*!40000 ALTER TABLE `node__field_video_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node__field_video_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__simplenews_issue`
--

DROP TABLE IF EXISTS `node__simplenews_issue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__simplenews_issue` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `simplenews_issue_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `simplenews_issue_handler` varchar(255) DEFAULT NULL COMMENT 'The issue handler.',
  `simplenews_issue_handler_settings` longblob DEFAULT NULL COMMENT 'The issue handler settings.',
  `simplenews_issue_status` tinyint(4) DEFAULT NULL COMMENT 'A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).',
  `simplenews_issue_sent_count` int(10) unsigned DEFAULT NULL COMMENT 'Counter of already sent newsletters.',
  `simplenews_issue_error_count` int(10) unsigned DEFAULT NULL COMMENT 'Counter of already sent newsletters.',
  `simplenews_issue_subscribers` int(10) unsigned DEFAULT NULL COMMENT 'Counter of subscribers.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `simplenews_issue_target_id` (`simplenews_issue_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field simplenews_issue.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__simplenews_issue`
--

LOCK TABLES `node__simplenews_issue` WRITE;
/*!40000 ALTER TABLE `node__simplenews_issue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node__simplenews_issue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__taxonomy_forums`
--

DROP TABLE IF EXISTS `node__taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__taxonomy_forums` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `taxonomy_forums_target_id` (`taxonomy_forums_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field taxonomy_forums.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__taxonomy_forums`
--

LOCK TABLES `node__taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `node__taxonomy_forums` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__taxonomy_forums` VALUES ('forum',0,48,48,'en',0,36);
/*!40000 ALTER TABLE `node__taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record affects.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language.langcode of this node.',
  `fallback` tinyint(3) unsigned NOT NULL DEFAULT 1 COMMENT 'Boolean indicating whether this record should be used as a fallback if a language condition is not provided.',
  `gid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The grant ID a user must possess in the specified realm to gain this row''s privileges on the node.',
  `realm` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Modules can define one or more realms by implementing hook_node_grants().',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Identifies which realm/grant pairs a user must possess in…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,'',1,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_field_data`
--

DROP TABLE IF EXISTS `node_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_field_data` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) NOT NULL,
  `promote` tinyint(4) NOT NULL,
  `sticky` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`nid`,`langcode`),
  KEY `node__id__default_langcode__langcode` (`nid`,`default_langcode`,`langcode`),
  KEY `node__vid` (`vid`),
  KEY `node_field__type__target_id` (`type`),
  KEY `node_field__created` (`created`),
  KEY `node_field__changed` (`changed`),
  KEY `node__frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node__status_type` (`status`,`type`,`nid`),
  KEY `node__title_type` (`title`(191),`type`(4)),
  KEY `node_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_field_data`
--

LOCK TABLES `node_field_data` WRITE;
/*!40000 ALTER TABLE `node_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_field_data` VALUES (1,1,'blog','ar','Many Teachers Feel Undervalued, Survey Finds',1,1,1462942231,1462942247,1,0,1,0,'en',0),(1,1,'blog','en','Many Teachers Feel Undervalued, Survey Finds',1,1,1450062226,1450062459,1,0,1,1,'und',0),(2,2,'blog','ar','So Much To Do at the Beaches of San Diego',1,1,1462942456,1462942484,1,0,1,0,'en',0),(2,2,'blog','en','So Much To Do at the Beaches of San Diego',1,1,1450062473,1450062546,1,0,1,1,'und',0),(3,3,'blog','ar','Bay of Plenty – Adventure is Plentiful in the Bay',1,1,1462942451,1462942478,1,0,1,0,'en',0),(3,3,'blog','en','Bay of Plenty – Adventure is Plentiful in the Bay',1,1,1450062484,1450062603,1,0,1,1,'und',0),(4,4,'blog','ar','Beaches & Boats',1,1,1462942449,1462942472,1,0,1,0,'en',0),(4,4,'blog','en','Beaches & Boats',1,1,1450062485,1450062668,1,0,1,1,'und',0),(5,5,'blog','ar','What would a. \"Sport Touring\" bike be like?',1,1,1462942274,1462942280,1,0,1,0,'en',0),(5,5,'blog','en','What would a. \"Sport Touring\" bike be like?',1,1,1450062487,1450062744,1,0,1,1,'und',0),(6,6,'blog','ar','To Montreal, with Google as a guide',1,1,1462942446,1462942453,1,0,1,0,'en',0),(6,6,'blog','en','To Montreal, with Google as a guide',1,1,1450062758,1450062805,1,0,1,1,'und',0),(7,7,'blog','ar','What would a. \"Sport Touring\" bike be like?',1,1,1462942339,1462942344,1,0,1,0,'en',0),(7,7,'blog','en','What would a. \"Sport Touring\" bike be like?',1,1,1450062760,1450062868,1,0,1,1,'und',0),(8,8,'blog','ar','World Cup: U.S. has chance to pull off upset vs. Belgium',1,1,1462941566,1462941572,1,0,1,0,'en',0),(8,8,'blog','en','World Cup: U.S. has chance to pull off upset vs. Belgium',1,1,1450062762,1450062922,1,0,1,1,'und',0),(9,9,'blog','ar','Math Under Common Core Has Even Parents Stumbling',1,1,1462942230,1462942240,1,0,1,0,'en',0),(9,9,'blog','en','Math Under Common Core Has Even Parents Stumbling',1,1,1450062939,1450062980,1,0,1,1,'und',0),(10,10,'blog','ar','The New Girl On The Block',1,1,1462942273,1462942277,1,0,1,0,'en',0),(10,10,'blog','en','The New Girl On The Block',1,1,1450062941,1450063027,1,0,1,1,'und',0),(11,11,'blog','ar','The Prince is absolutely right – bring back grammar schools',1,1,1462942228,1462942234,1,0,1,0,'en',0),(11,11,'blog','en','The Prince is absolutely right – bring back grammar schools',1,1,1450062943,1450063080,1,0,1,1,'und',0),(12,12,'blog','ar','Guided Tours for Every Taste',1,1,1462942448,1462942466,1,0,1,0,'en',0),(12,12,'blog','en','Guided Tours for Every Taste',1,1,1450062945,1450063121,1,0,1,1,'und',0),(13,13,'blog','ar','New Companies Office status check features',1,1,1462941660,1462942174,1,0,1,0,'en',0),(13,13,'blog','en','New Companies Office status check features',1,1,1450063702,1450063800,1,0,1,1,'und',0),(14,14,'blog','ar','UW Hospital Emergency Department Nurses Receive Lantern Award',1,1,1462941303,1462941308,1,0,1,0,'en',0),(14,14,'blog','en','UW Hospital Emergency Department Nurses Receive Lantern Award',1,1,1450063824,1450063874,1,0,1,1,'und',0),(15,15,'blog','ar','Heart attack study could lead to longer lives',1,1,1462941287,1462941292,1,0,1,0,'en',0),(15,15,'blog','en','Heart attack study could lead to longer lives',1,1,1450063826,1450063938,1,0,1,1,'und',0),(16,16,'blog','ar','Companies Amendment Bill passes into law',1,1,1462941659,1462941673,1,0,1,0,'en',0),(16,16,'blog','en','Companies Amendment Bill passes into law',1,1,1450063827,1450064007,1,0,1,1,'und',0),(17,17,'blog','ar','Don’t get taken for a ride when buying a car',1,1,1462941657,1462941667,1,0,1,0,'en',0),(17,17,'blog','en','Don’t get taken for a ride when buying a car',1,1,1450063829,1450064055,1,0,1,1,'und',0),(18,18,'blog','ar','Love for Nature Genetics',1,1,1462942385,1462942399,1,0,1,0,'en',0),(18,18,'blog','en','Love for Nature Genetics',1,1,1450064067,1450064123,1,0,1,1,'und',0),(19,19,'blog','ar','Art worth $4.5m found hidden in Brazilian shipping container',1,1,1462942554,1462942566,1,0,1,0,'en',0),(19,19,'blog','en','Art worth $4.5m found hidden in Brazilian shipping container',1,1,1450064069,1450064173,1,0,1,1,'und',0),(20,20,'blog','ar','How to become a science adviser for films and TV shows',1,1,1462942383,1462942392,1,0,1,0,'en',0),(20,20,'blog','en','How to become a science adviser for films and TV shows',1,1,1450064071,1450064230,1,0,1,1,'und',0),(21,21,'blog','ar','Biosecurity laws under scanner',1,1,1462942382,1462942387,1,0,1,0,'en',0),(21,21,'blog','en','Biosecurity laws under scanner',1,1,1450064251,1450064303,1,0,1,1,'und',0),(22,22,'blog','ar','Move over Kuta ... this is the real Bali',1,1,1462942341,1462942346,1,0,1,0,'en',0),(22,22,'blog','en','Move over Kuta ... this is the real Bali',1,1,1450064253,1450064350,1,0,1,1,'und',0),(23,23,'blog','ar','Spain returns ‘small museum’ of artefacts to Colombia',1,1,1462942549,1462942557,1,0,1,0,'en',0),(23,23,'blog','en','Spain returns ‘small museum’ of artefacts to Colombia',1,1,1450064256,1450064405,1,0,1,1,'und',0),(24,24,'blog','ar','British Library returns painted Renaissance book panel',1,1,1462942551,1462942560,1,0,1,0,'en',0),(24,24,'blog','en','British Library returns painted Renaissance book panel',1,1,1450064258,1450064473,1,0,1,1,'und',0),(25,25,'blog','ar','World Cup Sportsday',1,1,1462441950,1462441957,1,0,1,0,'en',0),(25,25,'blog','en','World Cup Sportsday',1,1,1450064566,1451359975,1,0,1,1,'und',0),(26,26,'blog','ar','Looks of the day',1,1,1462442080,1462442085,1,0,1,0,'en',0),(26,26,'blog','en','Looks of the day',1,1,1450064567,1450064664,1,0,1,1,'und',0),(27,27,'blog','ar','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',1,1,1462442087,1462442098,1,0,1,0,'en',0),(27,27,'blog','en','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',1,1,1450064568,1450064724,1,0,1,1,'und',0),(28,28,'blog','ar','More than 1,000 runners signed up for Syracuse Half Marathon',1,1,1462442011,1462442016,1,0,1,0,'en',0),(28,28,'blog','en','More than 1,000 runners signed up for Syracuse Half Marathon',1,1,1450064570,1450064770,1,0,1,1,'und',0),(29,29,'blog','ar','The diabetes epidemic',1,1,1462941228,1462941241,1,0,1,0,'en',0),(29,29,'blog','en','The diabetes epidemic',1,1,1450064564,1450064827,1,0,1,1,'und',0),(30,30,'blog','ar','6 People Who Will Stress You Out On Your Wedding Day',1,1,1462442089,1462442101,1,0,1,0,'en',0),(30,30,'blog','en','6 People Who Will Stress You Out On Your Wedding Day',1,1,1450064991,1450065040,1,0,1,1,'und',0),(31,31,'blog','ar','Russia’s other art biennial',1,1,1462942552,1462942563,1,0,1,0,'en',0),(31,31,'blog','en','Russia’s other art biennial',1,1,1450064993,1450065093,1,0,1,1,'und',0),(32,32,'blog','ar','How to Banish Stress in 25 Minutes',1,1,1462442090,1462442104,1,0,1,0,'en',0),(32,32,'blog','en','How to Banish Stress in 25 Minutes',1,1,1450064995,1450065152,1,0,1,1,'und',0),(33,33,'blog','ar','Etsy Weddings: Handmade Object Of The Week',1,1,1462942511,1462942515,1,0,1,0,'en',0),(33,33,'blog','en','Etsy Weddings: Handmade Object Of The Week',1,1,1450064997,1450065207,1,0,1,1,'und',0),(34,34,'blog','ar','Branding and company extract changes',1,1,1462941646,1462941655,1,0,1,0,'en',0),(34,34,'blog','en','Branding and company extract changes',1,1,1450064999,1450065258,1,0,1,1,'und',0),(35,35,'blog','ar','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1,1,1462941380,1462941384,1,0,1,0,'en',0),(35,35,'blog','en','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1,1,1450065001,1450065309,1,0,1,1,'und',0),(36,36,'blog','ar','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1,1,1462441832,1462441862,1,0,1,0,'en',0),(36,36,'blog','en','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1,1,1450065002,1450065363,1,0,1,1,'und',0),(38,38,'page','en','Pages',1,1,1450074658,1450074687,0,0,1,1,'und',0),(40,40,'showcase','en','Autox',1,1,1450077116,1450077986,0,0,1,1,'und',0),(41,41,'showcase','en','Education',1,1,1450077122,1450077983,0,0,1,1,'und',0),(42,42,'showcase','en','News',1,1,1450077124,1450077980,0,0,1,1,'und',0),(43,43,'showcase','en','Garnet',1,1,1450077126,1450077977,0,0,1,1,'und',0),(44,44,'showcase','en','Zircon II',1,1,1450077127,1450077975,0,0,1,1,'und',0),(45,45,'showcase','en','Business',1,1,1450077129,1450077972,0,0,1,1,'und',0),(46,46,'showcase','en','New Shopping',1,1,1450077619,1450077969,0,0,1,1,'und',0),(47,47,'showcase','en','Onepage',1,1,1450077623,1450077966,0,0,1,1,'und',0),(48,48,'forum','en','Nutus Singularis Vindico',1,1,1450162409,1450162433,0,0,1,1,'und',0),(49,49,'page','en','Landing page',1,1,1666586013,1667277263,0,0,1,1,'und',0);
/*!40000 ALTER TABLE `node_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_field_revision`
--

DROP TABLE IF EXISTS `node_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_field_revision` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `promote` tinyint(4) DEFAULT NULL,
  `sticky` tinyint(4) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`,`langcode`),
  KEY `node__id__default_langcode__langcode` (`nid`,`default_langcode`,`langcode`),
  KEY `node_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_field_revision`
--

LOCK TABLES `node_field_revision` WRITE;
/*!40000 ALTER TABLE `node_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_field_revision` VALUES (1,1,'ar','Many Teachers Feel Undervalued, Survey Finds',1,1,1462942231,1462942247,1,0,1,0,'en',0),(1,1,'en','Many Teachers Feel Undervalued, Survey Finds',1,1,1450062226,1450062459,1,0,1,1,NULL,NULL),(2,2,'ar','So Much To Do at the Beaches of San Diego',1,1,1462942456,1462942484,1,0,1,0,'en',0),(2,2,'en','So Much To Do at the Beaches of San Diego',1,1,1450062473,1450062546,1,0,1,1,NULL,NULL),(3,3,'ar','Bay of Plenty – Adventure is Plentiful in the Bay',1,1,1462942451,1462942478,1,0,1,0,'en',0),(3,3,'en','Bay of Plenty – Adventure is Plentiful in the Bay',1,1,1450062484,1450062603,1,0,1,1,NULL,NULL),(4,4,'ar','Beaches & Boats',1,1,1462942449,1462942472,1,0,1,0,'en',0),(4,4,'en','Beaches & Boats',1,1,1450062485,1450062668,1,0,1,1,NULL,NULL),(5,5,'ar','What would a. \"Sport Touring\" bike be like?',1,1,1462942274,1462942280,1,0,1,0,'en',0),(5,5,'en','What would a. \"Sport Touring\" bike be like?',1,1,1450062487,1450062744,1,0,1,1,NULL,NULL),(6,6,'ar','To Montreal, with Google as a guide',1,1,1462942446,1462942453,1,0,1,0,'en',0),(6,6,'en','To Montreal, with Google as a guide',1,1,1450062758,1450062805,1,0,1,1,NULL,NULL),(7,7,'ar','What would a. \"Sport Touring\" bike be like?',1,1,1462942339,1462942344,1,0,1,0,'en',0),(7,7,'en','What would a. \"Sport Touring\" bike be like?',1,1,1450062760,1450062868,1,0,1,1,NULL,NULL),(8,8,'ar','World Cup: U.S. has chance to pull off upset vs. Belgium',1,1,1462941566,1462941572,1,0,1,0,'en',0),(8,8,'en','World Cup: U.S. has chance to pull off upset vs. Belgium',1,1,1450062762,1450062922,1,0,1,1,NULL,NULL),(9,9,'ar','Math Under Common Core Has Even Parents Stumbling',1,1,1462942230,1462942240,1,0,1,0,'en',0),(9,9,'en','Math Under Common Core Has Even Parents Stumbling',1,1,1450062939,1450062980,1,0,1,1,NULL,NULL),(10,10,'ar','The New Girl On The Block',1,1,1462942273,1462942277,1,0,1,0,'en',0),(10,10,'en','The New Girl On The Block',1,1,1450062941,1450063027,1,0,1,1,NULL,NULL),(11,11,'ar','The Prince is absolutely right – bring back grammar schools',1,1,1462942228,1462942234,1,0,1,0,'en',0),(11,11,'en','The Prince is absolutely right – bring back grammar schools',1,1,1450062943,1450063080,1,0,1,1,NULL,NULL),(12,12,'ar','Guided Tours for Every Taste',1,1,1462942448,1462942466,1,0,1,0,'en',0),(12,12,'en','Guided Tours for Every Taste',1,1,1450062945,1450063121,1,0,1,1,NULL,NULL),(13,13,'ar','New Companies Office status check features',1,1,1462941660,1462942174,1,0,1,0,'en',0),(13,13,'en','New Companies Office status check features',1,1,1450063702,1450063800,1,0,1,1,NULL,NULL),(14,14,'ar','UW Hospital Emergency Department Nurses Receive Lantern Award',1,1,1462941303,1462941308,1,0,1,0,'en',0),(14,14,'en','UW Hospital Emergency Department Nurses Receive Lantern Award',1,1,1450063824,1450063874,1,0,1,1,NULL,NULL),(15,15,'ar','Heart attack study could lead to longer lives',1,1,1462941287,1462941292,1,0,1,0,'en',0),(15,15,'en','Heart attack study could lead to longer lives',1,1,1450063826,1450063938,1,0,1,1,NULL,NULL),(16,16,'ar','Companies Amendment Bill passes into law',1,1,1462941659,1462941673,1,0,1,0,'en',0),(16,16,'en','Companies Amendment Bill passes into law',1,1,1450063827,1450064007,1,0,1,1,NULL,NULL),(17,17,'ar','Don’t get taken for a ride when buying a car',1,1,1462941657,1462941667,1,0,1,0,'en',0),(17,17,'en','Don’t get taken for a ride when buying a car',1,1,1450063829,1450064055,1,0,1,1,NULL,NULL),(18,18,'ar','Love for Nature Genetics',1,1,1462942385,1462942399,1,0,1,0,'en',0),(18,18,'en','Love for Nature Genetics',1,1,1450064067,1450064123,1,0,1,1,NULL,NULL),(19,19,'ar','Art worth $4.5m found hidden in Brazilian shipping container',1,1,1462942554,1462942566,1,0,1,0,'en',0),(19,19,'en','Art worth $4.5m found hidden in Brazilian shipping container',1,1,1450064069,1450064173,1,0,1,1,NULL,NULL),(20,20,'ar','How to become a science adviser for films and TV shows',1,1,1462942383,1462942392,1,0,1,0,'en',0),(20,20,'en','How to become a science adviser for films and TV shows',1,1,1450064071,1450064230,1,0,1,1,NULL,NULL),(21,21,'ar','Biosecurity laws under scanner',1,1,1462942382,1462942387,1,0,1,0,'en',0),(21,21,'en','Biosecurity laws under scanner',1,1,1450064251,1450064303,1,0,1,1,NULL,NULL),(22,22,'ar','Move over Kuta ... this is the real Bali',1,1,1462942341,1462942346,1,0,1,0,'en',0),(22,22,'en','Move over Kuta ... this is the real Bali',1,1,1450064253,1450064350,1,0,1,1,NULL,NULL),(23,23,'ar','Spain returns ‘small museum’ of artefacts to Colombia',1,1,1462942549,1462942557,1,0,1,0,'en',0),(23,23,'en','Spain returns ‘small museum’ of artefacts to Colombia',1,1,1450064256,1450064405,1,0,1,1,NULL,NULL),(24,24,'ar','British Library returns painted Renaissance book panel',1,1,1462942551,1462942560,1,0,1,0,'en',0),(24,24,'en','British Library returns painted Renaissance book panel',1,1,1450064258,1450064473,1,0,1,1,NULL,NULL),(25,25,'ar','World Cup Sportsday',1,1,1462441950,1462441957,1,0,1,0,'en',0),(25,25,'en','World Cup Sportsday',1,1,1450064566,1451359975,1,0,1,1,NULL,NULL),(26,26,'ar','Looks of the day',1,1,1462442080,1462442085,1,0,1,0,'en',0),(26,26,'en','Looks of the day',1,1,1450064567,1450064664,1,0,1,1,NULL,NULL),(27,27,'ar','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',1,1,1462442087,1462442098,1,0,1,0,'en',0),(27,27,'en','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',1,1,1450064568,1450064724,1,0,1,1,NULL,NULL),(28,28,'ar','More than 1,000 runners signed up for Syracuse Half Marathon',1,1,1462442011,1462442016,1,0,1,0,'en',0),(28,28,'en','More than 1,000 runners signed up for Syracuse Half Marathon',1,1,1450064570,1450064770,1,0,1,1,NULL,NULL),(29,29,'ar','The diabetes epidemic',1,1,1462941228,1462941241,1,0,1,0,'en',0),(29,29,'en','The diabetes epidemic',1,1,1450064564,1450064827,1,0,1,1,NULL,NULL),(30,30,'ar','6 People Who Will Stress You Out On Your Wedding Day',1,1,1462442089,1462442101,1,0,1,0,'en',0),(30,30,'en','6 People Who Will Stress You Out On Your Wedding Day',1,1,1450064991,1450065040,1,0,1,1,NULL,NULL),(31,31,'ar','Russia’s other art biennial',1,1,1462942552,1462942563,1,0,1,0,'en',0),(31,31,'en','Russia’s other art biennial',1,1,1450064993,1450065093,1,0,1,1,NULL,NULL),(32,32,'ar','How to Banish Stress in 25 Minutes',1,1,1462442090,1462442104,1,0,1,0,'en',0),(32,32,'en','How to Banish Stress in 25 Minutes',1,1,1450064995,1450065152,1,0,1,1,NULL,NULL),(33,33,'ar','Etsy Weddings: Handmade Object Of The Week',1,1,1462942511,1462942515,1,0,1,0,'en',0),(33,33,'en','Etsy Weddings: Handmade Object Of The Week',1,1,1450064997,1450065207,1,0,1,1,NULL,NULL),(34,34,'ar','Branding and company extract changes',1,1,1462941646,1462941655,1,0,1,0,'en',0),(34,34,'en','Branding and company extract changes',1,1,1450064999,1450065258,1,0,1,1,NULL,NULL),(35,35,'ar','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1,1,1462941380,1462941384,1,0,1,0,'en',0),(35,35,'en','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1,1,1450065001,1450065309,1,0,1,1,NULL,NULL),(36,36,'ar','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1,1,1462441832,1462441862,1,0,1,0,'en',0),(36,36,'en','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1,1,1450065002,1450065363,1,0,1,1,NULL,NULL),(38,38,'en','Pages',1,1,1450074658,1450074687,0,0,1,1,NULL,NULL),(40,40,'en','Autox',1,1,1450077116,1450077986,0,0,1,1,NULL,NULL),(41,41,'en','Education',1,1,1450077122,1450077983,0,0,1,1,NULL,NULL),(42,42,'en','News',1,1,1450077124,1450077980,0,0,1,1,NULL,NULL),(43,43,'en','Garnet',1,1,1450077126,1450077977,0,0,1,1,NULL,NULL),(44,44,'en','Zircon II',1,1,1450077127,1450077975,0,0,1,1,NULL,NULL),(45,45,'en','Business',1,1,1450077129,1450077972,0,0,1,1,NULL,NULL),(46,46,'en','New Shopping',1,1,1450077619,1450077969,0,0,1,1,NULL,NULL),(47,47,'en','Onepage',1,1,1450077623,1450077966,0,0,1,1,NULL,NULL),(48,48,'en','Nutus Singularis Vindico',1,1,1450162409,1450162433,0,0,1,1,NULL,NULL),(49,49,'en','Landing page',1,1,1666586013,1667277263,0,0,1,1,'und',0);
/*!40000 ALTER TABLE `node_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_timestamp` int(11) DEFAULT NULL,
  `revision_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_log` longtext DEFAULT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `node__nid` (`nid`),
  KEY `node_field__langcode` (`langcode`),
  KEY `node_field__revision_uid__target_id` (`revision_uid`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,'en',1450062366,1,NULL,1),(2,2,'en',1450062532,1,NULL,1),(3,3,'en',1450062580,1,NULL,1),(4,4,'en',1450062648,1,NULL,1),(5,5,'en',1450062729,1,NULL,1),(6,6,'en',1450062794,1,NULL,1),(7,7,'en',1450062851,1,NULL,1),(8,8,'en',1450062914,1,NULL,1),(9,9,'en',1450062973,1,NULL,1),(10,10,'en',1450063014,1,NULL,1),(11,11,'en',1450063069,1,NULL,1),(12,12,'en',1450063109,1,NULL,1),(13,13,'en',1450063777,1,NULL,1),(14,14,'en',1450063852,1,NULL,1),(15,15,'en',1450063919,1,NULL,1),(16,16,'en',1450063988,1,NULL,1),(17,17,'en',1450064040,1,NULL,1),(18,18,'en',1450064104,1,NULL,1),(19,19,'en',1450064164,1,NULL,1),(20,20,'en',1450064204,1,NULL,1),(21,21,'en',1450064288,1,NULL,1),(22,22,'en',1450064330,1,NULL,1),(23,23,'en',1450064379,1,NULL,1),(24,24,'en',1450064449,1,NULL,1),(25,25,'en',1450064600,1,NULL,1),(26,26,'en',1450064642,1,NULL,1),(27,27,'en',1450064692,1,NULL,1),(28,28,'en',1450064750,1,NULL,1),(29,29,'en',1450064797,1,NULL,1),(30,30,'en',1450065012,1,NULL,1),(31,31,'en',1450065074,1,NULL,1),(32,32,'en',1450065120,1,NULL,1),(33,33,'en',1450065190,1,NULL,1),(34,34,'en',1450065235,1,NULL,1),(35,35,'en',1450065290,1,NULL,1),(36,36,'en',1450065345,1,NULL,1),(38,38,'en',1450074687,1,NULL,1),(40,40,'en',1450077131,1,NULL,1),(41,41,'en',1450077183,1,NULL,1),(42,42,'en',1450077308,1,NULL,1),(43,43,'en',1450077348,1,NULL,1),(44,44,'en',1450077582,1,NULL,1),(45,45,'en',1450077607,1,NULL,1),(46,46,'en',1450077647,1,NULL,1),(47,47,'en',1450077675,1,NULL,1),(48,48,'en',1450162433,1,NULL,1),(49,49,'en',1666586026,1,NULL,1);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__body`
--

DROP TABLE IF EXISTS `node_revision__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__body`
--

LOCK TABLES `node_revision__body` WRITE;
/*!40000 ALTER TABLE `node_revision__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__body` VALUES ('blog',0,1,1,'ar',0,'<p>Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.</p>\r\n\r\n<p>The Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.</p>\r\n\r\n<p>Among the findings: As few as 4.9 percent of teachers in France said that society valued their work, and 5 percent in Sweden, compared with highs of 83.8 percent in Malaysia, 67.6 percent in Singapore, and 66.5 percent in Abu Dhabi and South Korea. Finland scored highest in Europe, with 58.6 percent of teachers saying they felt properly appreciated.</p>\r\n\r\n<p>Nunc faucibus aliquet tincidunt. Donec adipiscing aliquet orci vel porta. Vivamus rhoncus pellentesque metus, hendrerit varius augue sagittis et. Nunc quis suscipit orci. Fusce tincidunt quam non scelerisque ultricies. Nulla gravida augue ac eros tempor, vel convallis ipsum rutrum. Fusce pretium molestie condimentum. Ut rhoncus, odio a fringilla sagittis, lectus lorem accumsan neque, et aliquet odio tortor mattis mauris. Sed quis suscipit purus. Nulla imperdiet enim eu mi consequat, vitae venenatis nisl pretium. Duis auctor luctus lectus et hendrerit. Ut id luctus sapien.</p>\r\n\r\n<p>Aenean viverra est sed justo rhoncus, sit amet aliquam erat pulvinar. Nam et varius purus. Curabitur ultricies risus tincidunt pulvinar varius. Cras non mauris suscipit, pulvinar urna tincidunt, auctor leo. Etiam ac ipsum gravida, aliquet neque sed, adipiscing magna. Vestibulum porttitor vitae nisi in tincidunt. Maecenas fermentum augue placerat, scelerisque ligula a, lacinia ipsum.</p>\r\n\r\n<p>Nulla nec porttitor urna. Nam mattis gravida dolor ac vehicula. Etiam pulvinar tincidunt hendrerit. Nam nec imperdiet lacus. Donec rutrum ultricies nulla sed tempor. Aliquam blandit condimentum sollicitudin. Proin vel iaculis nisi. Nunc at orci in sapien blandit semper. Nunc faucibus felis ante, nec ultricies lacus pretium vel. Aenean nec rhoncus sem, a cursus magna. Morbi sit amet felis posuere, ultrices diam sed, adipiscing metus. Mauris semper odio orci, at ornare dolor aliquet in. Vivamus sagittis tellus dictum, lobortis felis non, dapibus ante. Pellentesque porttitor enim sit amet augue viverra sollicitudin. Etiam id arcu iaculis, molestie magna in, venenatis leo.</p>\r\n\r\n<p>Nullam non turpis enim. Nunc sed dapibus elit. Sed non tellus vel nisl consectetur eleifend. Nulla condimentum libero rhoncus tortor pellentesque, vitae venenatis nulla convallis. Ut dignissim tellus sit amet quam aliquam molestie. Curabitur laoreet mollis dolor, at tristique tortor luctus ut. Mauris sed tincidunt elit. Morbi a tellus sit amet velit fermentum congue et in libero. Nam condimentum urna laoreet, condimentum odio quis, aliquam nunc. Sed at lacinia odio. Fusce lacinia vitae ipsum a lobortis. Integer tincidunt nibh id interdum semper. Fusce velit lacus, blandit cursus nibh vitae, fermentum egestas enim. In sit amet venenatis mauris.</p>\r\n','','full_html'),('blog',0,1,1,'en',0,'<p>Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.</p>\r\n\r\n<p>The Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.</p>\r\n\r\n<p>Among the findings: As few as 4.9 percent of teachers in France said that society valued their work, and 5 percent in Sweden, compared with highs of 83.8 percent in Malaysia, 67.6 percent in Singapore, and 66.5 percent in Abu Dhabi and South Korea. Finland scored highest in Europe, with 58.6 percent of teachers saying they felt properly appreciated.</p>\r\n\r\n<p>Nunc faucibus aliquet tincidunt. Donec adipiscing aliquet orci vel porta. Vivamus rhoncus pellentesque metus, hendrerit varius augue sagittis et. Nunc quis suscipit orci. Fusce tincidunt quam non scelerisque ultricies. Nulla gravida augue ac eros tempor, vel convallis ipsum rutrum. Fusce pretium molestie condimentum. Ut rhoncus, odio a fringilla sagittis, lectus lorem accumsan neque, et aliquet odio tortor mattis mauris. Sed quis suscipit purus. Nulla imperdiet enim eu mi consequat, vitae venenatis nisl pretium. Duis auctor luctus lectus et hendrerit. Ut id luctus sapien.</p>\r\n\r\n<p>Aenean viverra est sed justo rhoncus, sit amet aliquam erat pulvinar. Nam et varius purus. Curabitur ultricies risus tincidunt pulvinar varius. Cras non mauris suscipit, pulvinar urna tincidunt, auctor leo. Etiam ac ipsum gravida, aliquet neque sed, adipiscing magna. Vestibulum porttitor vitae nisi in tincidunt. Maecenas fermentum augue placerat, scelerisque ligula a, lacinia ipsum.</p>\r\n\r\n<p>Nulla nec porttitor urna. Nam mattis gravida dolor ac vehicula. Etiam pulvinar tincidunt hendrerit. Nam nec imperdiet lacus. Donec rutrum ultricies nulla sed tempor. Aliquam blandit condimentum sollicitudin. Proin vel iaculis nisi. Nunc at orci in sapien blandit semper. Nunc faucibus felis ante, nec ultricies lacus pretium vel. Aenean nec rhoncus sem, a cursus magna. Morbi sit amet felis posuere, ultrices diam sed, adipiscing metus. Mauris semper odio orci, at ornare dolor aliquet in. Vivamus sagittis tellus dictum, lobortis felis non, dapibus ante. Pellentesque porttitor enim sit amet augue viverra sollicitudin. Etiam id arcu iaculis, molestie magna in, venenatis leo.</p>\r\n\r\n<p>Nullam non turpis enim. Nunc sed dapibus elit. Sed non tellus vel nisl consectetur eleifend. Nulla condimentum libero rhoncus tortor pellentesque, vitae venenatis nulla convallis. Ut dignissim tellus sit amet quam aliquam molestie. Curabitur laoreet mollis dolor, at tristique tortor luctus ut. Mauris sed tincidunt elit. Morbi a tellus sit amet velit fermentum congue et in libero. Nam condimentum urna laoreet, condimentum odio quis, aliquam nunc. Sed at lacinia odio. Fusce lacinia vitae ipsum a lobortis. Integer tincidunt nibh id interdum semper. Fusce velit lacus, blandit cursus nibh vitae, fermentum egestas enim. In sit amet venenatis mauris.</p>\r\n','','full_html'),('blog',0,2,2,'ar',0,'<p>If San Diego is known for one thing, it would be for our gorgeous beaches. With 70 miles of pristine coastline, year-around sunshine and mild temperatures, you can enjoy the surf and sand almost any day of the year. For visitors and locals alike, the beach is a veritable wonderland and the place to spend entire days with family and friends.&nbsp;</p>\r\n\r\n<p>From expansive sandy beaches, rocky cliffs, reefs, tide pools and everything in between, the beaches in San Diego are as varied as the California beach towns that were built around them. Discover beaches perfect for families and dogs, beaches coveted by the world’s top surfers, or to enjoy a fire, play volleyball, spot sea creatures or simply relax and people watch. One thing’s for sure, on any given day at any beach in San Diego, you’ll find a front row seat to a magnificent display of the western sky as the sun descents into the Pacific.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,2,2,'en',0,'<p>If San Diego is known for one thing, it would be for our gorgeous beaches. With 70 miles of pristine coastline, year-around sunshine and mild temperatures, you can enjoy the surf and sand almost any day of the year. For visitors and locals alike, the beach is a veritable wonderland and the place to spend entire days with family and friends.&nbsp;</p>\r\n\r\n<p>From expansive sandy beaches, rocky cliffs, reefs, tide pools and everything in between, the beaches in San Diego are as varied as the California beach towns that were built around them. Discover beaches perfect for families and dogs, beaches coveted by the world’s top surfers, or to enjoy a fire, play volleyball, spot sea creatures or simply relax and people watch. One thing’s for sure, on any given day at any beach in San Diego, you’ll find a front row seat to a magnificent display of the western sky as the sun descents into the Pacific.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,3,3,'ar',0,'<p>From the coastline of Whakatane, White Island appears on the horizon as a stereotypical volcano, the kind you may have doodled in schoolbooks as a kid. With its classic conical shape and plume of natural gases rising high above the crater rim, it seems to warn, “I am still breathing.”</p>\r\n\r\n<p>I was filled with excitement as I climbed aboard our vessel, the PeeJay5, and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination. On my right, a middle aged couple in their 60’s with walking sticks, tramping shoes and cameras at the ready; on my left, a family of three with a five year old and one on the way; and across from me, two friends in their early twenties wearing skinny jeans and Converse, attached to their iPhones.</p>\r\n\r\n<p>As our boat drifted down the Whakatane River through the harbour entrance into the Pacific Ocean, our trip to the island began. We passed little blue penguins, a pod of travelling dolphins and a rare blue shark sunning himself on the surface, one of the rarest sites I have ever seen on the water. The middle aged couple were snapping wildly, cheers of excitement roared from the five year old encouraged by mum and dad, and the young hipsters never saw a thing, keeping their eyes and attention firmly glued to playing games on their phones.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,3,3,'en',0,'<p>From the coastline of Whakatane, White Island appears on the horizon as a stereotypical volcano, the kind you may have doodled in schoolbooks as a kid. With its classic conical shape and plume of natural gases rising high above the crater rim, it seems to warn, “I am still breathing.”</p>\r\n\r\n<p>I was filled with excitement as I climbed aboard our vessel, the PeeJay5, and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination. On my right, a middle aged couple in their 60’s with walking sticks, tramping shoes and cameras at the ready; on my left, a family of three with a five year old and one on the way; and across from me, two friends in their early twenties wearing skinny jeans and Converse, attached to their iPhones.</p>\r\n\r\n<p>As our boat drifted down the Whakatane River through the harbour entrance into the Pacific Ocean, our trip to the island began. We passed little blue penguins, a pod of travelling dolphins and a rare blue shark sunning himself on the surface, one of the rarest sites I have ever seen on the water. The middle aged couple were snapping wildly, cheers of excitement roared from the five year old encouraged by mum and dad, and the young hipsters never saw a thing, keeping their eyes and attention firmly glued to playing games on their phones.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n\r\n<p>Vivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.</p>\r\n','','basic_html'),('blog',0,4,4,'ar',0,'<p>If you like beaches and the lifestyle that goes with them, then you’re going to love New Zealand. Because the great thing about it being an island nation is that it\'s literally surrounded by beaches. Over 15,000 km of them in fact.&nbsp;<br />\r\n&nbsp;<br />\r\nGenerally you’ll find white sand beaches down the East Coast, and more wild, black sand beaches line the West Coast. The laid-back Kiwi lifestyle is well known around the world, and the closer you get to the coast, the more chilled out things become. And with all of its major cities situated on the water, it’s a pretty sweet place to live and visit.<br />\r\n&nbsp;<br />\r\nSailing, surfing, kayaking, fishing – Kiwi’s love the water and are spoiled for choice when it comes to water activities, whether it be on beaches, rivers or lakes. Top off your bliss-filled days in the sun, partying with new friends around a bonfire on your favourite beach.<br />\r\n&nbsp;<br />\r\nLooking for trip ideas? Swim with dolphins in the Bay of Islands off Paihia, among 144 spectacular islands and sparkling secluded bays. Head north and body board down the massive Te Paki Sand Dunes by Ninety Mile Beach in Northland at thrilling speeds. Or go scuba diving at Cathedral Cove on the Coromandel Peninsula.&nbsp;</p>\r\n\r\n<p>Praesent aliquam semper sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eu blandit est. Mauris ornare, elit quis imperdiet interdum, nibh leo sagittis libero, et sodales tortor tortor in sem. Pellentesque bibendum, diam ac gravida imperdiet, purus ligula sodales eros, a varius metus felis ut nisi. Sed pretium est eu porttitor molestie. Nulla ut suscipit arcu, sit amet imperdiet orci. Etiam placerat nisi justo, aliquam rutrum nibh scelerisque vel. Sed aliquet metus sed ultricies ultrices. Etiam nisl arcu, facilisis a laoreet vitae, bibendum placerat enim.</p>\r\n\r\n<p>Etiam pulvinar dolor sit amet aliquet ullamcorper. Nunc posuere pulvinar felis in commodo. Suspendisse potenti. Nullam sapien lectus, sollicitudin eu porta quis, mattis a odio. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris gravida posuere mauris sed bibendum. Nunc dapibus et enim a molestie.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n','','basic_html'),('blog',0,4,4,'en',0,'<p>If you like beaches and the lifestyle that goes with them, then you’re going to love New Zealand. Because the great thing about it being an island nation is that it\'s literally surrounded by beaches. Over 15,000 km of them in fact.&nbsp;<br />\r\n&nbsp;<br />\r\nGenerally you’ll find white sand beaches down the East Coast, and more wild, black sand beaches line the West Coast. The laid-back Kiwi lifestyle is well known around the world, and the closer you get to the coast, the more chilled out things become. And with all of its major cities situated on the water, it’s a pretty sweet place to live and visit.<br />\r\n&nbsp;<br />\r\nSailing, surfing, kayaking, fishing – Kiwi’s love the water and are spoiled for choice when it comes to water activities, whether it be on beaches, rivers or lakes. Top off your bliss-filled days in the sun, partying with new friends around a bonfire on your favourite beach.<br />\r\n&nbsp;<br />\r\nLooking for trip ideas? Swim with dolphins in the Bay of Islands off Paihia, among 144 spectacular islands and sparkling secluded bays. Head north and body board down the massive Te Paki Sand Dunes by Ninety Mile Beach in Northland at thrilling speeds. Or go scuba diving at Cathedral Cove on the Coromandel Peninsula.&nbsp;</p>\r\n\r\n<p>Praesent aliquam semper sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eu blandit est. Mauris ornare, elit quis imperdiet interdum, nibh leo sagittis libero, et sodales tortor tortor in sem. Pellentesque bibendum, diam ac gravida imperdiet, purus ligula sodales eros, a varius metus felis ut nisi. Sed pretium est eu porttitor molestie. Nulla ut suscipit arcu, sit amet imperdiet orci. Etiam placerat nisi justo, aliquam rutrum nibh scelerisque vel. Sed aliquet metus sed ultricies ultrices. Etiam nisl arcu, facilisis a laoreet vitae, bibendum placerat enim.</p>\r\n\r\n<p>Etiam pulvinar dolor sit amet aliquet ullamcorper. Nunc posuere pulvinar felis in commodo. Suspendisse potenti. Nullam sapien lectus, sollicitudin eu porta quis, mattis a odio. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris gravida posuere mauris sed bibendum. Nunc dapibus et enim a molestie.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n','','basic_html'),('blog',0,5,5,'ar',0,'<p>From Elizabeth Taylor, to Audrey Hepburn, Grace Kelly and Olivia Palermo - we\'ve rounded up the most stylish brides of all time. Find out who made the biggest fashion statement as they walked down the aisle...</p>\r\n\r\n<p>Olivia Palermo parted with tradition to marry her model fiance Johannes Huebl in New York on June 28. The stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts, with a simple cream cashmere jumper on top. Her something blue came in the form of some vibrant Manolo Blahnik heels. Quite possibly our favourite bridal look to date.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n\r\n<p>Pellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.</p>\r\n','','basic_html'),('blog',0,5,5,'en',0,'<p>From Elizabeth Taylor, to Audrey Hepburn, Grace Kelly and Olivia Palermo - we\'ve rounded up the most stylish brides of all time. Find out who made the biggest fashion statement as they walked down the aisle...</p>\r\n\r\n<p>Olivia Palermo parted with tradition to marry her model fiance Johannes Huebl in New York on June 28. The stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts, with a simple cream cashmere jumper on top. Her something blue came in the form of some vibrant Manolo Blahnik heels. Quite possibly our favourite bridal look to date.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n\r\n<p>Pellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.</p>\r\n','','basic_html'),('blog',0,6,6,'ar',0,'<p>On the map, our planned bicycle trip could be measured in inches: a straight shot up the Hudson River’s narrow blue line, a jaunt along Lake Champlain, a short border crossing into Canada, and voilà – we’d be on international turf. On the ground, however, our more than 370-mile journey from New York City to Montreal took more twists and turns than the map implied.</p>\r\n\r\n<p>The good news, I discovered, is that trips like this aren\'t about fitness – or my father-in-law Dave O’Leary, a former contestant on the epic CBS TV show the Amazing Race, would have left me behind like road kill. They\'re about persistence and flexibility. And a lot can be said for travelling light.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n','','basic_html'),('blog',0,6,6,'en',0,'<p>On the map, our planned bicycle trip could be measured in inches: a straight shot up the Hudson River’s narrow blue line, a jaunt along Lake Champlain, a short border crossing into Canada, and voilà – we’d be on international turf. On the ground, however, our more than 370-mile journey from New York City to Montreal took more twists and turns than the map implied.</p>\r\n\r\n<p>The good news, I discovered, is that trips like this aren\'t about fitness – or my father-in-law Dave O’Leary, a former contestant on the epic CBS TV show the Amazing Race, would have left me behind like road kill. They\'re about persistence and flexibility. And a lot can be said for travelling light.</p>\r\n\r\n<p>Fusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.</p>\r\n\r\n<p>Quisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.</p>\r\n','','basic_html'),('blog',0,7,7,'ar',0,'<p>When I think of a sports touring bike, I think of a road racing bike with the eyelets for a rear rack. The geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank, the rear cog will have a wider range than the typical racing cog.</p>\r\n\r\n<p>So all in all fast quick and a little stouter than a racing bike. Waterford bikes has a sport touring catagory and says it light weight, quick accelerating has a longer wheel base than a racing bike for comfort over long distances. Used for credit card touring or light touring.</p>\r\n\r\n<p>Nunc in facilisis lacus. Nulla sed urna faucibus, fringilla libero ac, ornare est. Curabitur a sem tortor. Vivamus elementum dictum bibendum. Duis iaculis interdum pulvinar. Donec blandit metus urna, eget viverra arcu accumsan id. Suspendisse dui sem, hendrerit eget tortor nec, adipiscing sollicitudin lacus.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,7,7,'en',0,'<p>When I think of a sports touring bike, I think of a road racing bike with the eyelets for a rear rack. The geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank, the rear cog will have a wider range than the typical racing cog.</p>\r\n\r\n<p>So all in all fast quick and a little stouter than a racing bike. Waterford bikes has a sport touring catagory and says it light weight, quick accelerating has a longer wheel base than a racing bike for comfort over long distances. Used for credit card touring or light touring.</p>\r\n\r\n<p>Nunc in facilisis lacus. Nulla sed urna faucibus, fringilla libero ac, ornare est. Curabitur a sem tortor. Vivamus elementum dictum bibendum. Duis iaculis interdum pulvinar. Donec blandit metus urna, eget viverra arcu accumsan id. Suspendisse dui sem, hendrerit eget tortor nec, adipiscing sollicitudin lacus.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,8,8,'ar',0,'<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,8,8,'en',0,'<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,9,9,'ar',0,'<p>GREENWELL SPRINGS, La. — Rebekah and Kevin Nelams moved to their modest brick home in this suburb of Baton Rouge seven years ago because it has one of the top-performing public school districts in the state. But starting this fall, Ms. Nelams plans to home-school the couple’s four elementary-age children.</p>\r\n\r\n<p>The main reason: the methods that are being used for teaching math under the Common Core, a set of academic standards adopted by more than 40 states.</p>\r\n\r\n<p>Ms. Nelams said she did not recognize the approaches her children, ages 7 to 10, were being asked to use on math work sheets. They were frustrated by the pictures, dots and sheer number of steps needed to solve some problems. Her husband, who is a pipe designer for petroleum products at an engineering firm, once had to watch a YouTube video before he could help their fifth-grade son with his division homework.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,9,9,'en',0,'<p>GREENWELL SPRINGS, La. — Rebekah and Kevin Nelams moved to their modest brick home in this suburb of Baton Rouge seven years ago because it has one of the top-performing public school districts in the state. But starting this fall, Ms. Nelams plans to home-school the couple’s four elementary-age children.</p>\r\n\r\n<p>The main reason: the methods that are being used for teaching math under the Common Core, a set of academic standards adopted by more than 40 states.</p>\r\n\r\n<p>Ms. Nelams said she did not recognize the approaches her children, ages 7 to 10, were being asked to use on math work sheets. They were frustrated by the pictures, dots and sheer number of steps needed to solve some problems. Her husband, who is a pipe designer for petroleum products at an engineering firm, once had to watch a YouTube video before he could help their fifth-grade son with his division homework.</p>\r\n\r\n<p>Mauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.</p>\r\n\r\n<p>Suspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.</p>\r\n\r\n<p>In egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.</p>\r\n','','basic_html'),('blog',0,10,10,'ar',0,'<p>MODELS 1 has named 20-year-old Lauren Punter as the winner of their curve supermodel competition. Run in collaboration with ASOS, the competition looked for women aged between 17 and 28, who were a dress size 18-plus, to Instagram an image of themselves with the handle #MakeMeACurveModel - and professional model bookers then chose their winner.</p>\r\n\r\n<p>\"The prospect of walking into a model agency can be daunting and Models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves,\" said Models 1, adding: \"We believe that beauty comes in different sizes.\"</p>\r\n\r\n<p>Phasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.</p>\r\n\r\n<p>Vestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.</p>\r\n\r\n<p>Integer eget est vel leo suscipit eleifend. Suspendisse potenti. Pellentesque eu lobortis erat, vitae varius felis. Donec id velit ac dolor convallis lobortis. Proin egestas nisl nec erat faucibus, id aliquet enim volutpat. Nullam sollicitudin risus eu sem molestie interdum. Praesent et dui sit amet metus aliquet vulputate. Phasellus commodo nisl a felis consectetur, ut tristique diam pretium. Pellentesque gravida quam vitae elit mattis malesuada. In sit amet ultricies augue. Mauris id nisi sit amet eros fermentum rhoncus ut nec purus. Nullam rutrum, justo sit amet volutpat porttitor, lectus velit tempor massa, et porttitor felis velit non ipsum.</p>\r\n','','basic_html'),('blog',0,10,10,'en',0,'<p>MODELS 1 has named 20-year-old Lauren Punter as the winner of their curve supermodel competition. Run in collaboration with ASOS, the competition looked for women aged between 17 and 28, who were a dress size 18-plus, to Instagram an image of themselves with the handle #MakeMeACurveModel - and professional model bookers then chose their winner.</p>\r\n\r\n<p>\"The prospect of walking into a model agency can be daunting and Models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves,\" said Models 1, adding: \"We believe that beauty comes in different sizes.\"</p>\r\n\r\n<p>Phasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.</p>\r\n\r\n<p>Vestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.</p>\r\n\r\n<p>Integer eget est vel leo suscipit eleifend. Suspendisse potenti. Pellentesque eu lobortis erat, vitae varius felis. Donec id velit ac dolor convallis lobortis. Proin egestas nisl nec erat faucibus, id aliquet enim volutpat. Nullam sollicitudin risus eu sem molestie interdum. Praesent et dui sit amet metus aliquet vulputate. Phasellus commodo nisl a felis consectetur, ut tristique diam pretium. Pellentesque gravida quam vitae elit mattis malesuada. In sit amet ultricies augue. Mauris id nisi sit amet eros fermentum rhoncus ut nec purus. Nullam rutrum, justo sit amet volutpat porttitor, lectus velit tempor massa, et porttitor felis velit non ipsum.</p>\r\n','','basic_html'),('blog',0,11,11,'ar',0,'<p>It was a stormy graduation day in Cambridge on Saturday. Drenched with rain, the students in their gowns looked like penguins emerging from the sea. Parents wielded golf umbrellas, the sword and shield of the English middle classes. The downpour could not extinguish their justifiable pride: a degree from a university often ranked number one in the world is still a glittering prize.</p>\r\n\r\n<p>But as the graduates splashed down Trinity Street clutching their BA (Cantab), I wondered how many had come to this beautiful, fiercely clever place from a state school, as I did. The latest figures reveal that state-educated applicants bagged just over 61 per cent of Cambridge places in 2013/14, down from more than 63 per cent. Despite the university spending more than £4 million a year on “outreach” work to identify talented pupils from deprived backgrounds, Cambridge’s social mix remains stubbornly static.</p>\r\n\r\n<p>Nam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.</p>\r\n\r\n<p>Pellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.</p>\r\n\r\n<p>Donec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.</p>\r\n','','basic_html'),('blog',0,11,11,'en',0,'<p>It was a stormy graduation day in Cambridge on Saturday. Drenched with rain, the students in their gowns looked like penguins emerging from the sea. Parents wielded golf umbrellas, the sword and shield of the English middle classes. The downpour could not extinguish their justifiable pride: a degree from a university often ranked number one in the world is still a glittering prize.</p>\r\n\r\n<p>But as the graduates splashed down Trinity Street clutching their BA (Cantab), I wondered how many had come to this beautiful, fiercely clever place from a state school, as I did. The latest figures reveal that state-educated applicants bagged just over 61 per cent of Cambridge places in 2013/14, down from more than 63 per cent. Despite the university spending more than £4 million a year on “outreach” work to identify talented pupils from deprived backgrounds, Cambridge’s social mix remains stubbornly static.</p>\r\n\r\n<p>Nam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.</p>\r\n\r\n<p>Pellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.</p>\r\n\r\n<p>Donec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.</p>\r\n','','basic_html'),('blog',0,12,12,'ar',0,'<p>There are so many things to see and do in Philly. From taking a stroll through historic homes and learning about the Liberty Bell to encountering many cultural gems and architecture — there\'s a tour for everyone and every group.</p>\r\n\r\n<p>Nulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.</p>\r\n\r\n<p>Cras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.</p>\r\n\r\n<p>Morbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.</p>\r\n','','basic_html'),('blog',0,12,12,'en',0,'<p>There are so many things to see and do in Philly. From taking a stroll through historic homes and learning about the Liberty Bell to encountering many cultural gems and architecture — there\'s a tour for everyone and every group.</p>\r\n\r\n<p>Nulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.</p>\r\n\r\n<p>Cras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.</p>\r\n\r\n<p>Morbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.</p>\r\n','','basic_html'),('blog',0,13,13,'ar',0,'<p>The New Zealand Companies Office (NZCO) has recently released three new features to the NZCO website. These new features allow businesses in New Zealand to determine if the organisations they are intending to engage with are registered as a Limited Liability Company on the Register of Companies.</p>\r\n\r\n<p>The new features include the introduction of a QR Code which has been added to all Certificates of Incorporation, Company Extracts and Annual Return Extracts. The QR Code can be scanned and will direct the client to the Company Details page for that particular company.</p>\r\n\r\n<p>&nbsp;Suspendisse facilisis sollicitudin libero, in pretium nulla consectetur ut. Cras ut tortor nisi. Cras quis luctus nisi. Fusce non sodales ipsum. Integer tincidunt mauris tellus, eget pellentesque eros commodo in. Ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam. Donec pretium justo non leo dignissim luctus. Sed aliquam dui non massa eleifend, nec iaculis lacus consequat. Suspendisse vulputate tortor dolor.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,13,13,'en',0,'<p>The New Zealand Companies Office (NZCO) has recently released three new features to the NZCO website. These new features allow businesses in New Zealand to determine if the organisations they are intending to engage with are registered as a Limited Liability Company on the Register of Companies.</p>\r\n\r\n<p>The new features include the introduction of a QR Code which has been added to all Certificates of Incorporation, Company Extracts and Annual Return Extracts. The QR Code can be scanned and will direct the client to the Company Details page for that particular company.</p>\r\n\r\n<p>&nbsp;Suspendisse facilisis sollicitudin libero, in pretium nulla consectetur ut. Cras ut tortor nisi. Cras quis luctus nisi. Fusce non sodales ipsum. Integer tincidunt mauris tellus, eget pellentesque eros commodo in. Ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam. Donec pretium justo non leo dignissim luctus. Sed aliquam dui non massa eleifend, nec iaculis lacus consequat. Suspendisse vulputate tortor dolor.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,14,14,'ar',0,'<p>Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this year is one of only 17 recipients of a prestigious award from the Emergency Nurses Association (ENA).<br />\r\n&nbsp;<br />\r\nThe emergency department is among those receiving the Lantern Award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership, practice, education, advocacy and research.</p>\r\n\r\n<p>Etiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n','','basic_html'),('blog',0,14,14,'en',0,'<p>Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this year is one of only 17 recipients of a prestigious award from the Emergency Nurses Association (ENA).<br />\r\n&nbsp;<br />\r\nThe emergency department is among those receiving the Lantern Award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership, practice, education, advocacy and research.</p>\r\n\r\n<p>Etiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n','','basic_html'),('blog',0,15,15,'ar',0,'<p>In summing up his view on the value of research, heart-attack survivor Tom Lancaster doesn’t mince words: “If it weren’t for heart research, I wouldn’t be here right now.”</p>\r\n\r\n<p>When he suffered a major heart attack last June, the 81-year-old Edmontonian soon found himself at the Mazankowski Alberta Heart Institute where he was diagnosed with a blocked artery and several narrowed vessels.</p>\r\n\r\n<p>Vivamus ut erat scelerisque elit lacinia congue. Integer sit amet leo dictum, euismod sem ut, tincidunt turpis. Nullam bibendum vestibulum faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus ut fermentum urna. Praesent molestie malesuada velit a tempor. Mauris pharetra semper augue non lobortis. Nunc a posuere justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus ultricies vestibulum felis eu placerat. Praesent orci metus, feugiat ut odio vitae, aliquet luctus urna. Vivamus eget enim ac mauris tincidunt aliquet vitae a magna. In sed lacus auctor, ultrices augue at, malesuada augue. Maecenas mollis vitae ante ac tincidunt.</p>\r\n\r\n<p>Morbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.</p>\r\n\r\n<p>Nullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.</p>\r\n','','basic_html'),('blog',0,15,15,'en',0,'<p>In summing up his view on the value of research, heart-attack survivor Tom Lancaster doesn’t mince words: “If it weren’t for heart research, I wouldn’t be here right now.”</p>\r\n\r\n<p>When he suffered a major heart attack last June, the 81-year-old Edmontonian soon found himself at the Mazankowski Alberta Heart Institute where he was diagnosed with a blocked artery and several narrowed vessels.</p>\r\n\r\n<p>Vivamus ut erat scelerisque elit lacinia congue. Integer sit amet leo dictum, euismod sem ut, tincidunt turpis. Nullam bibendum vestibulum faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus ut fermentum urna. Praesent molestie malesuada velit a tempor. Mauris pharetra semper augue non lobortis. Nunc a posuere justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus ultricies vestibulum felis eu placerat. Praesent orci metus, feugiat ut odio vitae, aliquet luctus urna. Vivamus eget enim ac mauris tincidunt aliquet vitae a magna. In sed lacus auctor, ultrices augue at, malesuada augue. Maecenas mollis vitae ante ac tincidunt.</p>\r\n\r\n<p>Morbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.</p>\r\n\r\n<p>Nullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.</p>\r\n','','basic_html'),('blog',0,16,16,'ar',0,'<p>The Companies and Limited Partnerships Amendment Bill received Royal Assent on 2 July 2014. The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.</p>\r\n\r\n<p>This legislation assists with the prevention of misuse of New Zealand companies (shell companies) and Limited Partnerships by overseas criminal organisations and provides the Registrar with additional powers.</p>\r\n\r\n<p>&nbsp;Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,16,16,'en',0,'<p>The Companies and Limited Partnerships Amendment Bill received Royal Assent on 2 July 2014. The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.</p>\r\n\r\n<p>This legislation assists with the prevention of misuse of New Zealand companies (shell companies) and Limited Partnerships by overseas criminal organisations and provides the Registrar with additional powers.</p>\r\n\r\n<p>&nbsp;Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,17,17,'ar',0,'<p>Did you know you can search the Personal Property Securities Register (PPSR) to find out if the second-hand car you are considering buying privately may have money owing on it? &nbsp;For less than the price of a cup of coffee the search is worth it for the peace of mind it gives you.</p>\r\n\r\n<p>Imagine this scenario: Jack spends weeks finding the car of his dreams. &nbsp;He settles on a tidy, red Holden. &nbsp;It’s a little over his price bracket and even though Jack negotiates a deal with the seller, he still needs to sell his existing car and take out a small loan. &nbsp;Once the finances are sorted, Jack takes possession of the car and registers it with NZ Transport in his name.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,17,17,'en',0,'<p>Did you know you can search the Personal Property Securities Register (PPSR) to find out if the second-hand car you are considering buying privately may have money owing on it? &nbsp;For less than the price of a cup of coffee the search is worth it for the peace of mind it gives you.</p>\r\n\r\n<p>Imagine this scenario: Jack spends weeks finding the car of his dreams. &nbsp;He settles on a tidy, red Holden. &nbsp;It’s a little over his price bracket and even though Jack negotiates a deal with the seller, he still needs to sell his existing car and take out a small loan. &nbsp;Once the finances are sorted, Jack takes possession of the car and registers it with NZ Transport in his name.</p>\r\n\r\n<p>Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,18,18,'ar',0,'<p>In a previous blog post, I asked “what makes a Nature Genetics paper?” I have been slow to follow up on the post with my own answers to that question, but in the meantime I would like to share this email that brightened my day (edited for clarity):&nbsp;</p>\r\n\r\n<p>“I work on the field of genome-wide association studies (GWAS) in complex diseases and I note that of recent months, the criteria and standard of Nature Genetics (NG) for accepting GWAS papers is getting higher and higher.</p>\r\n\r\n<p>Proin a pharetra est. Quisque nulla nisi, lacinia vitae luctus ut, euismod sit amet nibh. Sed et cursus quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis molestie feugiat. Nullam eleifend leo ornare elementum tempus. Aliquam quis leo sit amet lacus molestie egestas. Suspendisse quis ante rhoncus, mattis ligula quis, adipiscing eros.</p>\r\n\r\n<p>Etiam sit amet elit diam. Donec malesuada magna sed eros posuere, in malesuada orci vulputate. In eu laoreet tellus. Nullam nec scelerisque dui, eu accumsan ante. Pellentesque ultricies ligula vitae nunc eleifend, ut viverra sem rutrum. Aliquam dictum rhoncus velit quis bibendum. Sed nibh diam, dictum et semper nec, porta vitae sapien. Ut non congue odio. Etiam quam libero, auctor sit amet mollis et, tristique sit amet dolor.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,18,18,'en',0,'<p>In a previous blog post, I asked “what makes a Nature Genetics paper?” I have been slow to follow up on the post with my own answers to that question, but in the meantime I would like to share this email that brightened my day (edited for clarity):&nbsp;</p>\r\n\r\n<p>“I work on the field of genome-wide association studies (GWAS) in complex diseases and I note that of recent months, the criteria and standard of Nature Genetics (NG) for accepting GWAS papers is getting higher and higher.</p>\r\n\r\n<p>Proin a pharetra est. Quisque nulla nisi, lacinia vitae luctus ut, euismod sit amet nibh. Sed et cursus quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis molestie feugiat. Nullam eleifend leo ornare elementum tempus. Aliquam quis leo sit amet lacus molestie egestas. Suspendisse quis ante rhoncus, mattis ligula quis, adipiscing eros.</p>\r\n\r\n<p>Etiam sit amet elit diam. Donec malesuada magna sed eros posuere, in malesuada orci vulputate. In eu laoreet tellus. Nullam nec scelerisque dui, eu accumsan ante. Pellentesque ultricies ligula vitae nunc eleifend, ut viverra sem rutrum. Aliquam dictum rhoncus velit quis bibendum. Sed nibh diam, dictum et semper nec, porta vitae sapien. Ut non congue odio. Etiam quam libero, auctor sit amet mollis et, tristique sit amet dolor.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.&nbsp;</p>\r\n','','basic_html'),('blog',0,19,19,'ar',0,'<p>Brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from Florida, the Associated Press reports. The works, valued at $4.5m, were hidden among the belongings of a 75-year-old Brazilian woman and authorities suspect a company used her move to evade taxes. The Brazilian Ministry of Finance, Guido Mantega, said the art is believed to have been acquired at auctions abroad.</p>\r\n\r\n<p>Works by contemporary artists such as the Brazilian Beatriz Milhazes and the twin graffiti artists known as Os Gêmeos (Otavio and Gustavo Pandolfo) were found among the stash. A sculpture by Sérgio de Camargo valued at $900,000, was found in a second container, according to the Brazilian federal agency.&nbsp;</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.&nbsp;</p>\r\n','','basic_html'),('blog',0,19,19,'en',0,'<p>Brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from Florida, the Associated Press reports. The works, valued at $4.5m, were hidden among the belongings of a 75-year-old Brazilian woman and authorities suspect a company used her move to evade taxes. The Brazilian Ministry of Finance, Guido Mantega, said the art is believed to have been acquired at auctions abroad.</p>\r\n\r\n<p>Works by contemporary artists such as the Brazilian Beatriz Milhazes and the twin graffiti artists known as Os Gêmeos (Otavio and Gustavo Pandolfo) were found among the stash. A sculpture by Sérgio de Camargo valued at $900,000, was found in a second container, according to the Brazilian federal agency.&nbsp;</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.&nbsp;</p>\r\n','','basic_html'),('blog',0,20,20,'ar',0,'<p>This week, Nature Careers ran a great feature about scientists who act as advisers for Hollywood blockbusters and hit TV shows: Media consulting: Entertaining science. The article touches on the experience several scientists have had with some big names: David Saltzberg and The Big Bang Theory, James Kakalios and The Amazing Spiderman, and Donna Nelson and Breaking Bad.</p>\r\n\r\n<p>I decided to dig a little deeper into Donna’s story, and that of Dr David Kirby, a science communication professor at the University of Manchester, to find out a little more about the cultural differences between the lab and the media.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,20,20,'en',0,'<p>This week, Nature Careers ran a great feature about scientists who act as advisers for Hollywood blockbusters and hit TV shows: Media consulting: Entertaining science. The article touches on the experience several scientists have had with some big names: David Saltzberg and The Big Bang Theory, James Kakalios and The Amazing Spiderman, and Donna Nelson and Breaking Bad.</p>\r\n\r\n<p>I decided to dig a little deeper into Donna’s story, and that of Dr David Kirby, a science communication professor at the University of Manchester, to find out a little more about the cultural differences between the lab and the media.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.&nbsp;</p>\r\n','','basic_html'),('blog',0,21,21,'ar',0,'<p>Another criticism for the Bill has been in the area of domestic quarantine. While the bill, does forbid individuals to “possess, move, grow, raise, culture, breed or produce any plant, animal and plant product”, it does not clarify how states should act to contain the spread of disease. India’s past record in imposing domestic quarantine has not been worth mention. Numerous diseases that made a localized appearance earlier have now spread all over the country.</p>\r\n\r\n<p>The new Bill hopes to establish an Agricultural Biosecurity Authority of India with headquarters in the national capital region and regional centres all over the country. The authority is expected to be responsible for regulation of the import and export of plants, animals and related products; prevention of entry of quarantine pests; and implementation of post-entry quarantine measures.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.&nbsp;</p>\r\n','','basic_html'),('blog',0,21,21,'en',0,'<p>Another criticism for the Bill has been in the area of domestic quarantine. While the bill, does forbid individuals to “possess, move, grow, raise, culture, breed or produce any plant, animal and plant product”, it does not clarify how states should act to contain the spread of disease. India’s past record in imposing domestic quarantine has not been worth mention. Numerous diseases that made a localized appearance earlier have now spread all over the country.</p>\r\n\r\n<p>The new Bill hopes to establish an Agricultural Biosecurity Authority of India with headquarters in the national capital region and regional centres all over the country. The authority is expected to be responsible for regulation of the import and export of plants, animals and related products; prevention of entry of quarantine pests; and implementation of post-entry quarantine measures.</p>\r\n\r\n<p>Curabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.</p>\r\n\r\n<p>Phasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.&nbsp;</p>\r\n','','basic_html'),('blog',0,22,22,'ar',0,'<p>FOR many Australians, a trip to Bali equates to slurping cheap cocktails by the beach in Kuta, dodging banana-crazy monkeys in Ubud and shopping in Seminyak. But there’s so much more to Bali. After spending time in the more remote, mountainous areas of the island, the tourist capitals are a bizarre sight.</p>\r\n\r\n<p>Most of the people pounding the pavement are tourists rather than locals, there’s a lot of tacky wares for sale and the bars feel like they’ve been cloned from Australia.</p>\r\n\r\n<p>&nbsp;Mauris elementum nunc ac massa pellentesque, sit amet faucibus ipsum mollis. Nunc porttitor quis odio a fermentum. Fusce dignissim ante et enim congue, id lobortis quam sodales. In rhoncus sodales ante, a accumsan arcu volutpat ac. Nunc porta, libero at scelerisque ullamcorper, nisi eros sollicitudin nunc, vitae porta elit risus vitae purus. Aliquam auctor rutrum ligula. Aenean a scelerisque felis, vel malesuada mi.</p>\r\n\r\n<p>Curabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.</p>\r\n\r\n<p>In vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a.&nbsp;</p>\r\n','','basic_html'),('blog',0,22,22,'en',0,'<p>FOR many Australians, a trip to Bali equates to slurping cheap cocktails by the beach in Kuta, dodging banana-crazy monkeys in Ubud and shopping in Seminyak. But there’s so much more to Bali. After spending time in the more remote, mountainous areas of the island, the tourist capitals are a bizarre sight.</p>\r\n\r\n<p>Most of the people pounding the pavement are tourists rather than locals, there’s a lot of tacky wares for sale and the bars feel like they’ve been cloned from Australia.</p>\r\n\r\n<p>&nbsp;Mauris elementum nunc ac massa pellentesque, sit amet faucibus ipsum mollis. Nunc porttitor quis odio a fermentum. Fusce dignissim ante et enim congue, id lobortis quam sodales. In rhoncus sodales ante, a accumsan arcu volutpat ac. Nunc porta, libero at scelerisque ullamcorper, nisi eros sollicitudin nunc, vitae porta elit risus vitae purus. Aliquam auctor rutrum ligula. Aenean a scelerisque felis, vel malesuada mi.</p>\r\n\r\n<p>Curabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.</p>\r\n\r\n<p>In vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a.&nbsp;</p>\r\n','','basic_html'),('blog',0,23,23,'ar',0,'<p>Spain returned 691 artefacts, spanning nearly 3,000 years of history, to Colombia on Tuesday. The pieces were recovered by Spanish police during a drug trafficking and money laundering investigation in 2003. Since then, the works have been kept for conservation in Madrid’s Museum of the Americas, where 885 recovered pieces were studied.</p>\r\n\r\n<p>At an official handover ceremony in Madrid, the culture ministry’s director-general of fine arts, archives and libraries, Jesús Prieto, referred to the treasure as “a small Colombian museum of archaeology”. “Today is a very special day for Colombia,” said Fernando Carrillo, the Colombian ambassador in Spain, after accepting the works. “The arrival of nearly 700 artefacts is one of the most important cultural events of recent history.” The hoard includes ceramics with animal and human figures, vases with geometric designs, necklaces with precious stones, idols, and stamps, from as early as 1,400 BC to as late as the 16th century.&nbsp;</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,23,23,'en',0,'<p>Spain returned 691 artefacts, spanning nearly 3,000 years of history, to Colombia on Tuesday. The pieces were recovered by Spanish police during a drug trafficking and money laundering investigation in 2003. Since then, the works have been kept for conservation in Madrid’s Museum of the Americas, where 885 recovered pieces were studied.</p>\r\n\r\n<p>At an official handover ceremony in Madrid, the culture ministry’s director-general of fine arts, archives and libraries, Jesús Prieto, referred to the treasure as “a small Colombian museum of archaeology”. “Today is a very special day for Colombia,” said Fernando Carrillo, the Colombian ambassador in Spain, after accepting the works. “The arrival of nearly 700 artefacts is one of the most important cultural events of recent history.” The hoard includes ceramics with animal and human figures, vases with geometric designs, necklaces with precious stones, idols, and stamps, from as early as 1,400 BC to as late as the 16th century.&nbsp;</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,24,24,'ar',0,'<p>&nbsp;The British Library has agreed to return a spoliated Sienese oil painting made for the binding of a 1488 set of accounts, following the recommendation of the UK’s Spoliation Advisory Panel. The Biccherna panel, named after the city’s treasury, is attributed to Guidoccio Cozzarelli.</p>\r\n\r\n<p>Although not named in the spoliation panel’s June report, The Art Newspaper has identified the pre-war owner as the shareholders of the Munich-based A.S. Drey gallery. The painting was part of a “forced sale” in 1936, fetching the equivalent of £228. In 1942, it was sold by Arthur Bendir at Sotheby’s in London. Henry David bought the picture and donated it to the British Library in 1968 (it was formally accessioned on his death in 1977 with other bookbindings).</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,24,24,'en',0,'<p>&nbsp;The British Library has agreed to return a spoliated Sienese oil painting made for the binding of a 1488 set of accounts, following the recommendation of the UK’s Spoliation Advisory Panel. The Biccherna panel, named after the city’s treasury, is attributed to Guidoccio Cozzarelli.</p>\r\n\r\n<p>Although not named in the spoliation panel’s June report, The Art Newspaper has identified the pre-war owner as the shareholders of the Munich-based A.S. Drey gallery. The painting was part of a “forced sale” in 1936, fetching the equivalent of £228. In 1942, it was sold by Arthur Bendir at Sotheby’s in London. Henry David bought the picture and donated it to the British Library in 1968 (it was formally accessioned on his death in 1977 with other bookbindings).</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.</p>\r\n\r\n<p>Ut mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales.&nbsp;</p>\r\n','','basic_html'),('blog',0,25,25,'ar',0,'<p>Andre Schürrle became the first German to score a World Cup goal while wearing the number nine shirt since Carsten Jancker against Saudi Arabia in 2002. Toni Kroos (473) has had more touches than any other player at this World Cup so far, Philipp Lahm (437) is the only other player to have more than 400. Thomas Muller has been directly involved in seven of Germany\'s last 12 goals at the World Cup finals (5 goals, 2 assists).</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n','','basic_html'),('blog',0,25,25,'en',0,'<p>Andre Schürrle became the first German to score a World Cup goal while wearing the number nine shirt since Carsten Jancker against Saudi Arabia in 2002. Toni Kroos (473) has had more touches than any other player at this World Cup so far, Philipp Lahm (437) is the only other player to have more than 400. Thomas Muller has been directly involved in seven of Germany\'s last 12 goals at the World Cup finals (5 goals, 2 assists).</p>\r\n\r\n<p>Mauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n','','basic_html'),('blog',0,26,26,'ar',0,'<p>See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny climes of Los Angele. Kerry Washington was perfectly turned out for summer in a floral minidress and white heels at the BET Award in Los Angeles.</p>\r\n\r\n<p>Suspendisse ultricies purus ac massa interdum sodales. Ut euismod nunc sed suscipit pharetra. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec ac arcu vitae mi bibendum consectetur sed eu justo. Mauris eget quam et nisi placerat tincidunt. Phasellus viverra sed libero eu suscipit. Mauris ultrices risus sit amet nisi luctus laoreet. Proin sed nibh magna. Etiam molestie ipsum lectus, at euismod tellus pellentesque eu. Mauris elementum libero at dolor bibendum, at euismod sapien adipiscing. Morbi ultrices eros in sem pretium mollis. Donec eu libero eu magna fringilla lacinia in quis nibh. Integer accumsan pretium risus, at ornare est fringilla ac. Nulla porta pellentesque tortor, in fermentum arcu tincidunt quis. Duis augue mauris, egestas a ornare viverra, tincidunt et mauris.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n','','basic_html'),('blog',0,26,26,'en',0,'<p>See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny climes of Los Angele. Kerry Washington was perfectly turned out for summer in a floral minidress and white heels at the BET Award in Los Angeles.</p>\r\n\r\n<p>Suspendisse ultricies purus ac massa interdum sodales. Ut euismod nunc sed suscipit pharetra. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec ac arcu vitae mi bibendum consectetur sed eu justo. Mauris eget quam et nisi placerat tincidunt. Phasellus viverra sed libero eu suscipit. Mauris ultrices risus sit amet nisi luctus laoreet. Proin sed nibh magna. Etiam molestie ipsum lectus, at euismod tellus pellentesque eu. Mauris elementum libero at dolor bibendum, at euismod sapien adipiscing. Morbi ultrices eros in sem pretium mollis. Donec eu libero eu magna fringilla lacinia in quis nibh. Integer accumsan pretium risus, at ornare est fringilla ac. Nulla porta pellentesque tortor, in fermentum arcu tincidunt quis. Duis augue mauris, egestas a ornare viverra, tincidunt et mauris.</p>\r\n\r\n<p>Aenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.</p>\r\n\r\n<p>Cras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.</p>\r\n\r\n<p>Sed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n','','basic_html'),('blog',0,27,27,'ar',0,'<p>Wedding vows give brides and grooms the chance to express what\'s in their heart of hearts. But sometimes those beautifully crafted sentences come from far less sincere places. Below, 12 users on Whisper -- a free app where people share their secrets anonymously -- cop to the cringe-worthy ways they came up with their wedding vows, if they even managed to get that far.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n\r\n<p>Sed molestie mollis ipsum id pharetra. Etiam porttitor pretium ante, id eleifend lectus dignissim non. Maecenas dapibus auctor blandit. Morbi condimentum tempus urna. Maecenas tristique magna varius, rhoncus dolor commodo, iaculis mi. Proin sem lacus, sagittis vitae venenatis nec, laoreet in leo. Nunc pellentesque mollis neque at aliquet. Cras consectetur magna ac tempus elementum. Maecenas molestie tempus ligula ut iaculis. Nulla velit metus, malesuada id fermentum quis, feugiat nec massa. Nullam congue, dolor elementum interdum hendrerit, eros ipsum commodo elit, a placerat nulla dui eget erat.</p>\r\n\r\n<p>Sed placerat ut velit nec sagittis. Vestibulum congue, lectus at scelerisque suscipit, nulla odio scelerisque augue, vel commodo velit mauris vel lectus. Aliquam et lectus faucibus ligula mollis feugiat vel quis augue. Nullam at erat vel lacus semper congue. Integer sed lectus est. In posuere, nisi in facilisis fermentum, libero augue lobortis diam, gravida blandit nunc urna ac ipsum. Suspendisse rhoncus consectetur urna, sit amet semper arcu rutrum id. In pretium tincidunt lectus, eget euismod sapien congue egestas. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent urna arcu, tincidunt vitae massa sed, molestie ornare risus. Sed aliquam pretium metus, at venenatis elit gravida non.</p>\r\n','','basic_html'),('blog',0,27,27,'en',0,'<p>Wedding vows give brides and grooms the chance to express what\'s in their heart of hearts. But sometimes those beautifully crafted sentences come from far less sincere places. Below, 12 users on Whisper -- a free app where people share their secrets anonymously -- cop to the cringe-worthy ways they came up with their wedding vows, if they even managed to get that far.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n\r\n<p>Sed molestie mollis ipsum id pharetra. Etiam porttitor pretium ante, id eleifend lectus dignissim non. Maecenas dapibus auctor blandit. Morbi condimentum tempus urna. Maecenas tristique magna varius, rhoncus dolor commodo, iaculis mi. Proin sem lacus, sagittis vitae venenatis nec, laoreet in leo. Nunc pellentesque mollis neque at aliquet. Cras consectetur magna ac tempus elementum. Maecenas molestie tempus ligula ut iaculis. Nulla velit metus, malesuada id fermentum quis, feugiat nec massa. Nullam congue, dolor elementum interdum hendrerit, eros ipsum commodo elit, a placerat nulla dui eget erat.</p>\r\n\r\n<p>Sed placerat ut velit nec sagittis. Vestibulum congue, lectus at scelerisque suscipit, nulla odio scelerisque augue, vel commodo velit mauris vel lectus. Aliquam et lectus faucibus ligula mollis feugiat vel quis augue. Nullam at erat vel lacus semper congue. Integer sed lectus est. In posuere, nisi in facilisis fermentum, libero augue lobortis diam, gravida blandit nunc urna ac ipsum. Suspendisse rhoncus consectetur urna, sit amet semper arcu rutrum id. In pretium tincidunt lectus, eget euismod sapien congue egestas. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent urna arcu, tincidunt vitae massa sed, molestie ornare risus. Sed aliquam pretium metus, at venenatis elit gravida non.</p>\r\n','','basic_html'),('blog',0,28,28,'ar',0,'<p>Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syracuse Half Marathon set for March 24. The race will start at 8 a.m. at the Oncenter, and will end there at around noon. The course will take runners through the north, west and south sides of Syracuse, with nine of its full 13.1 miles being within city limits.</p>\r\n\r\n<p>Runners can signup online or the the morning of the race, with advance admission at $75 and a race weekend rate of $90. As of Friday, more than 1,100 runners had entered.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,28,28,'en',0,'<p>Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syracuse Half Marathon set for March 24. The race will start at 8 a.m. at the Oncenter, and will end there at around noon. The course will take runners through the north, west and south sides of Syracuse, with nine of its full 13.1 miles being within city limits.</p>\r\n\r\n<p>Runners can signup online or the the morning of the race, with advance admission at $75 and a race weekend rate of $90. As of Friday, more than 1,100 runners had entered.</p>\r\n\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.</p>\r\n\r\n<p>Suspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.</p>\r\n\r\n<p>Aliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.</p>\r\n\r\n<p>Proin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.</p>\r\n','','basic_html'),('blog',0,29,29,'ar',0,'<p>More than nine million Canadians are living with diabetes or prediabetes. With more than 20 people being newly diagnosed every hour of every day, chances are the disease affects someone you know. That could be a relative, friend, neighbour, co-worker or someone who’s part of your personal or professional community. In Ontario alone, there has been a 68 per cent increase between 1995 and 2005. The majority of cases are of type 2 diabetes and that is where most of the growth is seen. The need to ensure optimal care and outcomes for people living with diabetes has always been great, but is now being brought into sharper focus by the magnitude of the situation.</p>\r\n\r\n<p>A chronic disease, diabetes is often debilitating and sometimes fatal. The body either cannot produce the hormone insulin (type 1 diabetes), or it cannot properly use the insulin it produces (type 2 diabetes). This leads to high levels of glucose (sugar) in the blood, which can damage organs, blood vessels and nerves and result in a variety of complications. To use sugar as an energy source, the body needs insulin. People with prediabetes have higher-than-normal blood sugar levels that aren’t high enough to be diagnosed with type 2 diabetes. Without intervention, 50 per cent of those people will develop type 2 diabetes.</p>\r\n\r\n<p>Aliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.</p>\r\n\r\n<p>Mauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.</p>\r\n\r\n<p>Phasellus ut erat eu turpis bibendum varius posuere eu odio. Duis viverra ante non faucibus sollicitudin. Nunc at leo ligula. Vestibulum lobortis diam felis. Etiam in nisi vel justo facilisis volutpat. Nam dictum ipsum adipiscing orci feugiat fringilla. Nam id rutrum diam, quis mattis metus. Aenean dolor ligula, ultrices et nibh eu, rhoncus malesuada erat. Sed eu lorem ipsum. Maecenas vestibulum ut metus id euismod. Aliquam erat volutpat. Nullam nec tortor condimentum, varius dui ut, vestibulum enim. Curabitur sit amet neque est. Aenean vulputate turpis eu purus aliquet euismod. Curabitur a sagittis est. Nam volutpat id felis ut molestie.</p>\r\n','','basic_html'),('blog',0,29,29,'en',0,'<p>More than nine million Canadians are living with diabetes or prediabetes. With more than 20 people being newly diagnosed every hour of every day, chances are the disease affects someone you know. That could be a relative, friend, neighbour, co-worker or someone who’s part of your personal or professional community. In Ontario alone, there has been a 68 per cent increase between 1995 and 2005. The majority of cases are of type 2 diabetes and that is where most of the growth is seen. The need to ensure optimal care and outcomes for people living with diabetes has always been great, but is now being brought into sharper focus by the magnitude of the situation.</p>\r\n\r\n<p>A chronic disease, diabetes is often debilitating and sometimes fatal. The body either cannot produce the hormone insulin (type 1 diabetes), or it cannot properly use the insulin it produces (type 2 diabetes). This leads to high levels of glucose (sugar) in the blood, which can damage organs, blood vessels and nerves and result in a variety of complications. To use sugar as an energy source, the body needs insulin. People with prediabetes have higher-than-normal blood sugar levels that aren’t high enough to be diagnosed with type 2 diabetes. Without intervention, 50 per cent of those people will develop type 2 diabetes.</p>\r\n\r\n<p>Aliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.</p>\r\n\r\n<p>Mauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.</p>\r\n\r\n<p>Phasellus ut erat eu turpis bibendum varius posuere eu odio. Duis viverra ante non faucibus sollicitudin. Nunc at leo ligula. Vestibulum lobortis diam felis. Etiam in nisi vel justo facilisis volutpat. Nam dictum ipsum adipiscing orci feugiat fringilla. Nam id rutrum diam, quis mattis metus. Aenean dolor ligula, ultrices et nibh eu, rhoncus malesuada erat. Sed eu lorem ipsum. Maecenas vestibulum ut metus id euismod. Aliquam erat volutpat. Nullam nec tortor condimentum, varius dui ut, vestibulum enim. Curabitur sit amet neque est. Aenean vulputate turpis eu purus aliquet euismod. Curabitur a sagittis est. Nam volutpat id felis ut molestie.</p>\r\n','','basic_html'),('blog',0,30,30,'ar',0,'<p>Welcome to your wedding day! With the stress of planning behind you, you might think the big day will be easy-breezy, and it should be -- as long as you can navigate these six potential stress bombs.</p>\r\n\r\n<p>Weddings come with a host of heavy emotions, especially when your son or daughter is the star of the show. Some moms might be adept at handling stress, while others might teeter closer to meltdown territory. If you know your mom or future MIL might get a little testy, plan to keep your distance. (If you\'ll be getting your hair and makeup done at 10am, schedule her appointment for noon.) Hang a sign that reads: \"Stress-Free Zone: Bride and Bridesmaids Only Beyond This Point\" on your hotel suite. If a manic mama busts in anyway, appoint a bridesmaid to run interference, steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n','','basic_html'),('blog',0,30,30,'en',0,'<p>Welcome to your wedding day! With the stress of planning behind you, you might think the big day will be easy-breezy, and it should be -- as long as you can navigate these six potential stress bombs.</p>\r\n\r\n<p>Weddings come with a host of heavy emotions, especially when your son or daughter is the star of the show. Some moms might be adept at handling stress, while others might teeter closer to meltdown territory. If you know your mom or future MIL might get a little testy, plan to keep your distance. (If you\'ll be getting your hair and makeup done at 10am, schedule her appointment for noon.) Hang a sign that reads: \"Stress-Free Zone: Bride and Bridesmaids Only Beyond This Point\" on your hotel suite. If a manic mama busts in anyway, appoint a bridesmaid to run interference, steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n\r\n<p>Suspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.</p>\r\n','','basic_html'),('blog',0,31,31,'ar',0,'<p>&nbsp;The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two days before Manifesta 10 in St Petersburg, making Russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in Ukraine.</p>\r\n\r\n<p>The biennial’s title, “A Time for Dreams”, was inspired by Dr Martin Luther King’s March on Washington speech, says its British curator David Elliott. However, the show, which runs until 10 August, is deeply rooted in reality, he adds. “It’s not a dream of an escape, it’s a dream of criticism, a dream made by young people who have no reason whatsoever to feel guilty for the world into which they’ve been born,” Elliott says.&nbsp;</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.&nbsp;</p>\r\n','','basic_html'),('blog',0,31,31,'en',0,'<p>&nbsp;The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two days before Manifesta 10 in St Petersburg, making Russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in Ukraine.</p>\r\n\r\n<p>The biennial’s title, “A Time for Dreams”, was inspired by Dr Martin Luther King’s March on Washington speech, says its British curator David Elliott. However, the show, which runs until 10 August, is deeply rooted in reality, he adds. “It’s not a dream of an escape, it’s a dream of criticism, a dream made by young people who have no reason whatsoever to feel guilty for the world into which they’ve been born,” Elliott says.&nbsp;</p>\r\n\r\n<p>Quisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.</p>\r\n\r\n<p>Phasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.</p>\r\n\r\n<p>Praesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.&nbsp;</p>\r\n','','basic_html'),('blog',0,32,32,'ar',0,'<p>If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chips, we\'ve got a simpler, healthier idea for you: Spend less than half an hour practicing mindful meditation. A new study published in the journal Psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation. It\'s a more focused, in-the-present way to meditate that\'s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain.&nbsp;</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n','','basic_html'),('blog',0,32,32,'en',0,'<p>If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chips, we\'ve got a simpler, healthier idea for you: Spend less than half an hour practicing mindful meditation. A new study published in the journal Psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation. It\'s a more focused, in-the-present way to meditate that\'s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain.&nbsp;</p>\r\n\r\n<p>Nam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n','','basic_html'),('blog',0,33,33,'ar',0,'<p>Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling their handmade wares has become a go-to resource for couples looking to elevate their nuptials with one-of-kind, DIY touches (there\'s even a dedicated section of the site just for weddings).</p>\r\n\r\n<p>Below, we present a curated selection of our favorite wedding objects from Etsy sellers. We\'ll be bringing you a new object, and its unique story, every week, so check back frequently.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,33,33,'en',0,'<p>Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling their handmade wares has become a go-to resource for couples looking to elevate their nuptials with one-of-kind, DIY touches (there\'s even a dedicated section of the site just for weddings).</p>\r\n\r\n<p>Below, we present a curated selection of our favorite wedding objects from Etsy sellers. We\'ll be bringing you a new object, and its unique story, every week, so check back frequently.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,34,34,'ar',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a company on the Companies Office register.</p>\r\n\r\n<p>During the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the Registrar confirms the incorporation of your company.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.</p>\r\n\r\n<p>Suspendisse ipsum ligula, consequat ut suscipit dapibus, pellentesque at nibh. Vestibulum elementum arcu eu pretium pellentesque. Integer eget sapien pellentesque, auctor ipsum sit amet, accumsan lectus. Vestibulum odio quam, egestas eu erat vitae, rutrum porta sem. Sed nulla neque, vestibulum in congue ut, dictum vitae tellus. Cras tincidunt orci in ipsum elementum, tempus vulputate tellus molestie. Nulla aliquet quis justo in imperdiet. Donec in eros massa. Proin porta nibh convallis dictum egestas. Suspendisse ac mauris mi. Donec volutpat tortor non velit adipiscing, quis sodales quam viverra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n','','basic_html'),('blog',0,34,34,'en',0,'<p>As of today we have simplified what is provided to you during the process of incorporating a company on the Companies Office register.</p>\r\n\r\n<p>During the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the Registrar confirms the incorporation of your company.</p>\r\n\r\n<p>Sed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.</p>\r\n\r\n<p>Etiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.</p>\r\n\r\n<p>Suspendisse ipsum ligula, consequat ut suscipit dapibus, pellentesque at nibh. Vestibulum elementum arcu eu pretium pellentesque. Integer eget sapien pellentesque, auctor ipsum sit amet, accumsan lectus. Vestibulum odio quam, egestas eu erat vitae, rutrum porta sem. Sed nulla neque, vestibulum in congue ut, dictum vitae tellus. Cras tincidunt orci in ipsum elementum, tempus vulputate tellus molestie. Nulla aliquet quis justo in imperdiet. Donec in eros massa. Proin porta nibh convallis dictum egestas. Suspendisse ac mauris mi. Donec volutpat tortor non velit adipiscing, quis sodales quam viverra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n','','basic_html'),('blog',0,35,35,'ar',0,'<p>Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extract. I\'ll admit it: I had a mini celebration when I learned green tea has the incredible power to shift your fat-fighting metabolism into high gear. And, yes, I kicked my heels in the air when I found research suggesting that exercisers who drink green tea lose twice as much weight as those who don\'t.</p>\r\n\r\n<p>Fast forward to me pushing a shopping-cart-full of green tea products around my local grocery store. I was buying green tea everything. Ice cream, noodles, etc. Who was I fooling? The weight-loss benefits are in the epigallocatechin gallate (a.k.a. EGCG, a health-boosting antioxidant) found in green tea. Not the green tea flavor....</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,35,35,'en',0,'<p>Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extract. I\'ll admit it: I had a mini celebration when I learned green tea has the incredible power to shift your fat-fighting metabolism into high gear. And, yes, I kicked my heels in the air when I found research suggesting that exercisers who drink green tea lose twice as much weight as those who don\'t.</p>\r\n\r\n<p>Fast forward to me pushing a shopping-cart-full of green tea products around my local grocery store. I was buying green tea everything. Ice cream, noodles, etc. Who was I fooling? The weight-loss benefits are in the epigallocatechin gallate (a.k.a. EGCG, a health-boosting antioxidant) found in green tea. Not the green tea flavor....</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n\r\n<p>Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.</p>\r\n','','basic_html'),('blog',0,36,36,'ar',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why. Mascara is the one product that instantly makes you look more put together, more awake, more alive. But are you making the most of your mascara’s lash boosting powers? It turns out there are strategic ways to apply your mascara to play up your specific eye shape. We caught up with Sonia Kashuk, makeup artist and founder of Sonia Kashuk Beauty, to learn the simple tricks that can transform your look with just a swipe of the wand.&nbsp;</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Nullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n','','basic_html'),('blog',0,36,36,'en',0,'<p>Most women we know won’t leave the house without mascara, and it’s easy to see why. Mascara is the one product that instantly makes you look more put together, more awake, more alive. But are you making the most of your mascara’s lash boosting powers? It turns out there are strategic ways to apply your mascara to play up your specific eye shape. We caught up with Sonia Kashuk, makeup artist and founder of Sonia Kashuk Beauty, to learn the simple tricks that can transform your look with just a swipe of the wand.&nbsp;</p>\r\n\r\n<p>Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.</p>\r\n\r\n<p>Nullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.</p>\r\n\r\n<p>Donec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.</p>\r\n\r\n<p>Cras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.</p>\r\n','','basic_html'),('page',0,38,38,'en',0,'<p>Aliquam aliquam tristique aliquam. Quisque eleifend eget turpis blandit commodo. Donec quis ante lacinia, dapibus diam at, auctor risus? Vestibulum porta interdum suscipit? Ut neque nunc, tincidunt nec nisl ut, elementum ultricies orci. Nam sit amet auctor enim. Suspendisse congue nulla sed sagittis auctor! Ut venenatis nulla turpis, vel fringilla lacus elementum sit amet. Nunc eu nunc gravida, dictum orci vel, cursus velit. Nam tincidunt nunc quis nunc congue, at sagittis nisi ultricies. Nam vitae consectetur ante. Phasellus at sapien metus.</p>\r\n\r\n<p>Proin leo purus, imperdiet et enim quis, faucibus rutrum nisi. Aliquam venenatis urna nec tellus commodo, vel auctor purus semper? Nullam ultricies dignissim nulla, vitae fermentum lectus faucibus nec. Nulla facilisi. In hac habitasse platea dictumst. Mauris orci arcu, imperdiet sed accumsan porttitor, vulputate sit amet augue. Sed ultricies est vitae libero semper; quis sagittis ligula fringilla. Maecenas a risus sed diam consequat aliquam. Vivamus molestie tempus luctus. Etiam condimentum nunc a purus accumsan bibendum.</p>\r\n\r\n<p>Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.</p>\r\n\r\n<p>Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sanctus sea sed takimata ut vero voluptua. Lorem ipsum dolor sit amet. At vero eos et accusam et justo duo dolores et ea rebum.</p>\r\n\r\n<p>Consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus.</p>\r\n\r\n<p>Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.</p>\r\n\r\n<p>Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus.</p>\r\n\r\n<p>Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Phasellus consectetuer vestibulum elit. Aenean tellus metus, bibendum sed, posuere ac, mattis non, nunc. Vestibulum fringilla pede sit amet augue. In turpis. Pellentesque posuere. Praesent turpis. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Nullam sagittis. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Ut varius tincidunt libero. Phasellus dolor. Maecenas vestibulum mollis</p>\r\n','','basic_html'),('forum',0,48,48,'en',0,'<p>Comis commodo hendrerit metuo quia refoveo. Eligo gemino huic metuo proprius refero roto. Aliquip eros tego ullamcorper. Commodo dignissim enim incassum olim premo. Damnum iaceo interdico magna pagus usitas. Abbas caecus commoveo diam enim obruo proprius uxor velit vulpes.</p>\r\n\r\n<p>Capto commoveo lobortis roto. Decet loquor metuo sudo. Huic immitto pala tamen tation valde. Exerci rusticus vel vero. Dignissim gilvus gravis nostrud nulla quidem valetudo. Nibh oppeto ratis ut vindico volutpat. Consectetuer paratus proprius tincidunt ullamcorper venio vero. Diam dolus iusto jus populus premo quibus quidem volutpat wisi.</p>\r\n\r\n<p>Consequat distineo humo paulatim refero tation tincidunt. Acsi dolus feugiat haero interdico jus si. Ille obruo paulatim populus ratis.</p>\r\n\r\n<p>Consectetuer decet nimis nunc validus. Cui haero nimis oppeto secundum. Refoveo veniam vulpes.</p>\r\n\r\n<p>Antehabeo meus natu tum. At autem caecus elit lucidus modo sino velit venio. Accumsan laoreet praesent. Camur gemino hendrerit luptatum praemitto proprius singularis. Abigo ad capto duis nulla. Abdo caecus commoveo sed te. Abbas iaceo minim te verto. Consectetuer et eu macto. Dolor gilvus humo iusto neo paratus. Odio paratus pecus praemitto saluto suscipere typicus virtus.</p>\r\n\r\n<p>Causa ea et facilisi nulla pala uxor validus vicis. Luptatum nostrud occuro pala premo volutpat. Caecus nibh paratus vel ymo. At exputo iaceo illum lucidus persto tation tego. Bene incassum pala.</p>\r\n\r\n<p>Commodo damnum dolus quidem. Augue exputo pertineo quidne tation tincidunt valetudo. Cui metuo quidne ulciscor utrum validus. Ideo iusto qui saluto utrum veniam vindico vulpes. Damnum gravis modo secundum. Augue ibidem olim virtus. Elit iaceo modo. Abigo immitto minim paulatim pecus quadrum valde. Luptatum quibus ratis sino. Aptent humo ideo mos paratus sino velit. Abigo consequat dolor haero humo iaceo natu velit.</p>\r\n\r\n<p>Accumsan blandit et gilvus plaga scisco sino wisi. Ex imputo letalis praesent. Augue autem causa interdico mauris os proprius tamen. Antehabeo macto utrum. Consequat facilisi turpis. Feugiat natu nunc os. Aliquip fere gemino luctus. At augue metuo qui vulputate. Abico hendrerit humo lucidus. Abbas dolus in incassum macto meus scisco torqueo.</p>\r\n','','basic_html');
/*!40000 ALTER TABLE `node_revision__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__comment`
--

DROP TABLE IF EXISTS `node_revision__comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__comment` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field comment.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__comment`
--

LOCK TABLES `node_revision__comment` WRITE;
/*!40000 ALTER TABLE `node_revision__comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__comment` VALUES ('blog',0,1,1,'ar',0,2),('blog',0,1,1,'en',0,2),('blog',0,2,2,'ar',0,2),('blog',0,2,2,'en',0,2),('blog',0,3,3,'ar',0,2),('blog',0,3,3,'en',0,2),('blog',0,4,4,'ar',0,2),('blog',0,4,4,'en',0,2),('blog',0,5,5,'ar',0,2),('blog',0,5,5,'en',0,2),('blog',0,6,6,'ar',0,2),('blog',0,6,6,'en',0,2),('blog',0,7,7,'ar',0,2),('blog',0,7,7,'en',0,2),('blog',0,8,8,'ar',0,2),('blog',0,8,8,'en',0,2),('blog',0,9,9,'ar',0,2),('blog',0,9,9,'en',0,2),('blog',0,10,10,'ar',0,2),('blog',0,10,10,'en',0,2),('blog',0,11,11,'ar',0,2),('blog',0,11,11,'en',0,2),('blog',0,12,12,'ar',0,2),('blog',0,12,12,'en',0,2),('blog',0,13,13,'ar',0,2),('blog',0,13,13,'en',0,2),('blog',0,14,14,'ar',0,2),('blog',0,14,14,'en',0,2),('blog',0,15,15,'ar',0,2),('blog',0,15,15,'en',0,2),('blog',0,16,16,'ar',0,2),('blog',0,16,16,'en',0,2),('blog',0,17,17,'ar',0,2),('blog',0,17,17,'en',0,2),('blog',0,18,18,'ar',0,2),('blog',0,18,18,'en',0,2),('blog',0,19,19,'ar',0,2),('blog',0,19,19,'en',0,2),('blog',0,20,20,'ar',0,2),('blog',0,20,20,'en',0,2),('blog',0,21,21,'ar',0,2),('blog',0,21,21,'en',0,2),('blog',0,22,22,'ar',0,2),('blog',0,22,22,'en',0,2),('blog',0,23,23,'ar',0,2),('blog',0,23,23,'en',0,2),('blog',0,24,24,'ar',0,2),('blog',0,24,24,'en',0,2),('blog',0,25,25,'ar',0,2),('blog',0,25,25,'en',0,2),('blog',0,26,26,'ar',0,2),('blog',0,26,26,'en',0,2),('blog',0,27,27,'ar',0,2),('blog',0,27,27,'en',0,2),('blog',0,28,28,'ar',0,2),('blog',0,28,28,'en',0,2),('blog',0,29,29,'ar',0,2),('blog',0,29,29,'en',0,2),('blog',0,30,30,'ar',0,2),('blog',0,30,30,'en',0,2),('blog',0,31,31,'ar',0,2),('blog',0,31,31,'en',0,2),('blog',0,32,32,'ar',0,2),('blog',0,32,32,'en',0,2),('blog',0,33,33,'ar',0,2),('blog',0,33,33,'en',0,2),('blog',0,34,34,'ar',0,2),('blog',0,34,34,'en',0,2),('blog',0,35,35,'ar',0,2),('blog',0,35,35,'en',0,2),('blog',0,36,36,'ar',0,2),('blog',0,36,36,'en',0,2);
/*!40000 ALTER TABLE `node_revision__comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__comment_forum`
--

DROP TABLE IF EXISTS `node_revision__comment_forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__comment_forum` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_forum_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field comment_forum.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__comment_forum`
--

LOCK TABLES `node_revision__comment_forum` WRITE;
/*!40000 ALTER TABLE `node_revision__comment_forum` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__comment_forum` VALUES ('forum',0,48,48,'en',0,2);
/*!40000 ALTER TABLE `node_revision__comment_forum` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_banner`
--

DROP TABLE IF EXISTS `node_revision__field_banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_banner` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_banner_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_banner_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_banner_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_banner_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_banner_target_id` (`field_banner_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_banner.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_banner`
--

LOCK TABLES `node_revision__field_banner` WRITE;
/*!40000 ALTER TABLE `node_revision__field_banner` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node_revision__field_banner` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_categories`
--

DROP TABLE IF EXISTS `node_revision__field_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_categories` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_categories_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_categories_target_id` (`field_categories_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_categories.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_categories`
--

LOCK TABLES `node_revision__field_categories` WRITE;
/*!40000 ALTER TABLE `node_revision__field_categories` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_categories` VALUES ('article',0,1,1,'ar',0,16),('article',0,1,1,'en',0,16),('article',0,2,2,'ar',0,10),('article',0,2,2,'en',0,10),('article',0,3,3,'ar',0,17),('article',0,3,3,'en',0,17),('article',0,4,4,'ar',0,17),('article',0,4,4,'en',0,17),('resource',0,5,5,'ar',0,21),('resource',0,5,5,'en',0,21),('resource',0,6,6,'ar',0,20),('resource',0,6,6,'en',0,20),('resource',0,7,7,'ar',0,19),('resource',0,7,7,'en',0,19),('resource',0,8,8,'ar',0,18),('resource',0,8,8,'en',0,18),('resource',0,9,9,'ar',0,22),('resource',0,9,9,'en',0,22),('resource',0,10,10,'ar',0,21),('resource',0,10,10,'en',0,21),('resource',0,11,11,'ar',0,20),('resource',0,11,11,'en',0,20),('resource',0,12,12,'ar',0,19),('resource',0,12,12,'en',0,19),('resource',0,13,13,'ar',0,18),('resource',0,13,13,'en',0,18),('work',0,15,15,'ar',0,23),('work',0,15,15,'en',0,23),('work',0,16,16,'ar',0,24),('work',0,16,16,'en',0,24),('work',0,17,17,'ar',0,26),('work',0,17,17,'en',0,26),('work',0,18,18,'ar',0,25),('work',0,18,18,'en',0,25),('work',0,19,19,'ar',0,23),('work',0,19,19,'en',0,23),('work',0,20,20,'ar',0,24),('work',0,20,20,'en',0,24),('work',0,21,21,'ar',0,26),('work',0,21,21,'en',0,26),('work',0,22,22,'ar',0,25),('work',0,22,22,'en',0,25),('resource',0,41,45,'ar',0,19),('resource',0,41,45,'en',0,19),('resource',0,42,46,'ar',0,22),('resource',0,42,46,'en',0,22),('resource',0,43,47,'ar',0,21),('resource',0,43,47,'en',0,21),('resource',0,44,48,'ar',0,19),('resource',0,44,48,'en',0,19),('resource',0,45,49,'ar',0,18),('resource',0,45,49,'en',0,18),('resource',0,46,50,'ar',0,20),('resource',0,46,50,'en',0,20),('work',0,47,51,'ar',0,26),('work',0,47,51,'en',0,26),('work',0,48,52,'ar',0,25),('work',0,48,52,'en',0,25),('work',0,49,53,'ar',0,26),('work',0,49,53,'en',0,26),('work',0,50,54,'ar',0,24),('work',0,50,54,'en',0,24),('work',0,51,55,'ar',0,23),('work',0,51,55,'en',0,23),('work',0,52,56,'ar',0,25),('work',0,52,56,'en',0,25),('work',0,53,57,'ar',0,25),('work',0,53,57,'en',0,25),('article',0,54,58,'ar',0,13),('article',0,54,58,'en',0,13),('article',0,55,59,'ar',0,11),('article',0,55,59,'en',0,11),('article',0,57,61,'ar',0,16),('article',0,57,61,'en',0,16);
/*!40000 ALTER TABLE `node_revision__field_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_category`
--

DROP TABLE IF EXISTS `node_revision__field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_category` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_category_target_id` (`field_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_category.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_category`
--

LOCK TABLES `node_revision__field_category` WRITE;
/*!40000 ALTER TABLE `node_revision__field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_category` VALUES ('blog',0,1,1,'ar',0,3),('blog',0,1,1,'en',0,3),('blog',0,2,2,'ar',0,4),('blog',0,2,2,'en',0,4),('blog',0,3,3,'ar',0,4),('blog',0,3,3,'en',0,4),('blog',0,4,4,'ar',0,4),('blog',0,4,4,'en',0,4),('blog',0,5,5,'ar',0,6),('blog',0,5,5,'en',0,6),('blog',0,6,6,'ar',0,4),('blog',0,6,6,'en',0,4),('blog',0,7,7,'ar',0,7),('blog',0,7,7,'en',0,7),('blog',0,8,8,'ar',0,7),('blog',0,8,8,'en',0,7),('blog',0,9,9,'ar',0,3),('blog',0,9,9,'en',0,3),('blog',0,10,10,'ar',0,6),('blog',0,10,10,'en',0,6),('blog',0,11,11,'ar',0,3),('blog',0,11,11,'en',0,3),('blog',0,12,12,'ar',0,4),('blog',0,12,12,'en',0,4),('blog',0,13,13,'ar',0,10),('blog',0,13,13,'en',0,10),('blog',0,14,14,'ar',0,13),('blog',0,14,14,'en',0,13),('blog',0,15,15,'ar',0,13),('blog',0,15,15,'en',0,13),('blog',0,16,16,'ar',0,10),('blog',0,16,16,'en',0,10),('blog',0,17,17,'ar',0,10),('blog',0,17,17,'en',0,10),('blog',0,18,18,'ar',0,17),('blog',0,18,18,'en',0,17),('blog',0,19,19,'ar',0,20),('blog',0,19,19,'en',0,20),('blog',0,20,20,'ar',0,17),('blog',0,20,20,'en',0,17),('blog',0,21,21,'ar',0,17),('blog',0,21,21,'en',0,17),('blog',0,22,22,'ar',0,23),('blog',0,22,22,'en',0,23),('blog',0,23,23,'ar',0,20),('blog',0,23,23,'en',0,20),('blog',0,24,24,'ar',0,20),('blog',0,24,24,'en',0,20),('blog',0,25,25,'en',0,42),('blog',0,26,26,'ar',0,6),('blog',0,26,26,'en',0,6),('blog',0,27,27,'ar',0,25),('blog',0,27,27,'en',0,25),('blog',0,28,28,'ar',0,7),('blog',0,28,28,'en',0,7),('blog',0,29,29,'ar',0,13),('blog',0,29,29,'en',0,13),('blog',0,30,30,'ar',0,25),('blog',0,30,30,'en',0,25),('blog',0,31,31,'ar',0,20),('blog',0,31,31,'en',0,20),('blog',0,32,32,'ar',0,30),('blog',0,32,32,'en',0,30),('blog',0,33,33,'ar',0,25),('blog',0,33,33,'en',0,25),('blog',0,34,34,'ar',0,10),('blog',0,34,34,'en',0,10),('blog',0,35,35,'ar',0,30),('blog',0,35,35,'en',0,30),('blog',0,36,36,'ar',0,30),('blog',0,36,36,'en',0,30);
/*!40000 ALTER TABLE `node_revision__field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_client`
--

DROP TABLE IF EXISTS `node_revision__field_client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_client` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_client_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_client.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_client`
--

LOCK TABLES `node_revision__field_client` WRITE;
/*!40000 ALTER TABLE `node_revision__field_client` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_client` VALUES ('work',0,15,15,'ar',0,'AAC Healthy Care'),('work',0,15,15,'en',0,'AAC Healthy Care'),('work',0,16,16,'ar',0,'Apple Inc'),('work',0,16,16,'en',0,'Apple Inc'),('work',0,17,17,'ar',0,'Myrio'),('work',0,17,17,'en',0,'Myrio'),('work',0,18,18,'ar',0,'AAC Healthy Care'),('work',0,18,18,'en',0,'AAC Healthy Care'),('work',0,19,19,'ar',0,'AAc Healthy'),('work',0,19,19,'en',0,'AAc Healthy'),('work',0,20,20,'ar',0,'Myrio'),('work',0,20,20,'en',0,'Myrio'),('work',0,21,21,'ar',0,'Myrio'),('work',0,21,21,'en',0,'Myrio'),('work',0,22,22,'ar',0,'Myrio'),('work',0,22,22,'en',0,'Myrio'),('work',0,47,51,'ar',0,'Myrio'),('work',0,47,51,'en',0,'Myrio'),('work',0,48,52,'ar',0,'Myrio'),('work',0,48,52,'en',0,'Myrio'),('work',0,49,53,'ar',0,'AAC Healthy Care'),('work',0,49,53,'en',0,'AAC Healthy Care'),('work',0,50,54,'ar',0,'Myrio'),('work',0,50,54,'en',0,'Myrio'),('work',0,51,55,'ar',0,'Myrio'),('work',0,51,55,'en',0,'Myrio'),('work',0,52,56,'ar',0,'Myrio'),('work',0,52,56,'en',0,'Myrio'),('work',0,53,57,'ar',0,'AAC Healthy Care'),('work',0,53,57,'en',0,'AAC Healthy Care');
/*!40000 ALTER TABLE `node_revision__field_client` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_components`
--

DROP TABLE IF EXISTS `node_revision__field_components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_components` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_components_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_components_target_id` (`field_components_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_components.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_components`
--

LOCK TABLES `node_revision__field_components` WRITE;
/*!40000 ALTER TABLE `node_revision__field_components` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_components` VALUES ('page',0,49,49,'en',0,1),('page',0,49,49,'en',1,2),('page',0,49,49,'en',2,3),('page',0,49,49,'en',3,4),('page',0,49,49,'en',4,5),('page',0,49,49,'en',5,7),('page',0,49,49,'en',6,8),('page',0,49,49,'en',7,6);
/*!40000 ALTER TABLE `node_revision__field_components` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_image`
--

DROP TABLE IF EXISTS `node_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_image`
--

LOCK TABLES `node_revision__field_image` WRITE;
/*!40000 ALTER TABLE `node_revision__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_image` VALUES ('blog',0,1,1,'ar',0,1,'','Many Teachers Feel Undervalued, Survey Finds',750,500),('blog',0,1,1,'en',0,1,'','Many Teachers Feel Undervalued, Survey Finds',750,500),('blog',0,2,2,'ar',0,2,'','So Much To Do at the Beaches of San Diego',750,486),('blog',0,2,2,'en',0,2,'','So Much To Do at the Beaches of San Diego',750,486),('blog',0,3,3,'ar',0,3,'','Bay of Plenty – Adventure is Plentiful in the Bay',750,402),('blog',0,3,3,'en',0,3,'','Bay of Plenty – Adventure is Plentiful in the Bay',750,402),('blog',0,4,4,'ar',0,4,'','Beaches & Boats',750,375),('blog',0,4,4,'en',0,4,'','Beaches & Boats',750,375),('blog',0,5,5,'ar',0,5,'','What would a. \"Sport Touring\" bike be like?',750,1061),('blog',0,5,5,'en',0,5,'','What would a. \"Sport Touring\" bike be like?',750,1061),('blog',0,6,6,'ar',0,6,'','To Montreal, with Google as a guide',750,500),('blog',0,6,6,'en',0,6,'','To Montreal, with Google as a guide',750,500),('blog',0,7,7,'ar',0,7,'','What would a. \"Sport Touring\" bike be like?',750,564),('blog',0,7,7,'en',0,7,'','What would a. \"Sport Touring\" bike be like?',750,564),('blog',0,8,8,'ar',0,8,'','World Cup: U.S. has chance to pull off upset vs. Belgium',750,555),('blog',0,8,8,'en',0,8,'','World Cup: U.S. has chance to pull off upset vs. Belgium',750,555),('blog',0,9,9,'ar',0,9,'','Math Under Common Core Has Even Parents Stumbling',750,402),('blog',0,9,9,'en',0,9,'','Math Under Common Core Has Even Parents Stumbling',750,402),('blog',0,10,10,'ar',0,10,'','The New Girl On The Block',750,644),('blog',0,10,10,'en',0,10,'','The New Girl On The Block',750,644),('blog',0,11,11,'ar',0,11,'','The Prince is absolutely right – bring back grammar schools',750,500),('blog',0,11,11,'en',0,11,'','The Prince is absolutely right – bring back grammar schools',750,500),('blog',0,12,12,'ar',0,12,'','Guided Tours for Every Taste',750,511),('blog',0,12,12,'en',0,12,'','Guided Tours for Every Taste',750,511),('blog',0,13,13,'ar',0,13,'','New Companies Office status check features',750,564),('blog',0,13,13,'en',0,13,'','New Companies Office status check features',750,564),('blog',0,14,14,'ar',0,14,'','UW Hospital Emergency Department Nurses Receive Lantern Award',750,500),('blog',0,14,14,'en',0,14,'','UW Hospital Emergency Department Nurses Receive Lantern Award',750,500),('blog',0,15,15,'ar',0,15,'','',750,500),('blog',0,15,15,'en',0,15,'','',750,500),('blog',0,16,16,'ar',0,16,'','Companies Amendment Bill passes into law',750,500),('blog',0,16,16,'en',0,16,'','Companies Amendment Bill passes into law',750,500),('blog',0,17,17,'ar',0,17,'','Don’t get taken for a ride when buying a car',750,530),('blog',0,17,17,'en',0,17,'','Don’t get taken for a ride when buying a car',750,530),('blog',0,18,18,'ar',0,18,'','Love for Nature Genetics',750,433),('blog',0,18,18,'en',0,18,'','Love for Nature Genetics',750,433),('blog',0,19,19,'ar',0,19,'','Art worth $4.5m found hidden in Brazilian shipping container',750,452),('blog',0,19,19,'en',0,19,'','Art worth $4.5m found hidden in Brazilian shipping container',750,452),('blog',0,20,20,'ar',0,20,'','How to become a science adviser for films and TV shows',750,431),('blog',0,20,20,'en',0,20,'','How to become a science adviser for films and TV shows',750,431),('blog',0,21,21,'ar',0,21,'','Biosecurity laws under scanner',750,449),('blog',0,21,21,'en',0,21,'','Biosecurity laws under scanner',750,449),('blog',0,22,22,'ar',0,22,'','Move over Kuta ... this is the real Bali',750,751),('blog',0,22,22,'en',0,22,'','Move over Kuta ... this is the real Bali',750,751),('blog',0,23,23,'ar',0,23,'','Spain returns ‘small museum’ of artefacts to Colombia',750,639),('blog',0,23,23,'en',0,23,'','Spain returns ‘small museum’ of artefacts to Colombia',750,639),('blog',0,24,24,'ar',0,24,'','British Library returns painted Renaissance book panel',750,493),('blog',0,24,24,'en',0,24,'','British Library returns painted Renaissance book panel',750,493),('blog',0,25,25,'ar',0,62,'','World Cup Sportsday',900,481),('blog',0,25,25,'en',0,62,'','World Cup Sportsday',900,481),('blog',0,26,26,'ar',0,26,'','Looks of the day',750,482),('blog',0,26,26,'en',0,26,'','Looks of the day',750,482),('blog',0,27,27,'ar',0,27,'','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',750,500),('blog',0,27,27,'en',0,27,'','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',750,500),('blog',0,28,28,'ar',0,28,'','More than 1,000 runners signed up for Syracuse Half Marathon',750,650),('blog',0,28,28,'en',0,28,'','More than 1,000 runners signed up for Syracuse Half Marathon',750,650),('blog',0,29,29,'ar',0,29,'','The diabetes epidemic',750,683),('blog',0,29,29,'en',0,29,'','The diabetes epidemic',750,683),('blog',0,30,30,'ar',0,30,'','6 People Who Will Stress You Out On Your Wedding Day',750,1125),('blog',0,30,30,'en',0,30,'','6 People Who Will Stress You Out On Your Wedding Day',750,1125),('blog',0,31,31,'ar',0,31,'','Russia’s other art biennial',750,500),('blog',0,31,31,'en',0,31,'','Russia’s other art biennial',750,500),('blog',0,32,32,'ar',0,32,'','How to Banish Stress in 25 Minutes',750,563),('blog',0,32,32,'en',0,32,'','How to Banish Stress in 25 Minutes',750,563),('blog',0,33,33,'ar',0,33,'','Etsy Weddings: Handmade Object Of The Week',750,1125),('blog',0,33,33,'en',0,33,'','Etsy Weddings: Handmade Object Of The Week',750,1125),('blog',0,34,34,'ar',0,34,'','Branding and company extract changes',750,500),('blog',0,34,34,'en',0,34,'','Branding and company extract changes',750,500),('blog',0,35,35,'ar',0,35,'','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',750,762),('blog',0,35,35,'en',0,35,'','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',750,762),('blog',0,36,36,'ar',0,36,'','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',750,391),('blog',0,36,36,'en',0,36,'','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',750,391),('showcase',0,40,40,'en',0,53,'','Autox',750,1966),('showcase',0,41,41,'en',0,54,'','Education',750,1013),('showcase',0,42,42,'en',0,55,'','News',750,1268),('showcase',0,43,43,'en',0,56,'','Garnet',750,1017),('showcase',0,44,44,'en',0,57,'','Zircon II',750,750),('showcase',0,45,45,'en',0,58,'','Business',750,1127),('showcase',0,46,46,'en',0,59,'','New shopping',750,917),('showcase',0,47,47,'en',0,60,'','Onepage',750,2283);
/*!40000 ALTER TABLE `node_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_link`
--

DROP TABLE IF EXISTS `node_revision__field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_link_uri` (`field_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_link`
--

LOCK TABLES `node_revision__field_link` WRITE;
/*!40000 ALTER TABLE `node_revision__field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_link` VALUES ('showcase',0,40,40,'en',0,'http://www.weebpal.com/drupal-themes/autox','Click to visit','a:0:{}'),('showcase',0,41,41,'en',0,'http://demo.weebpal.com/#education','Click to visit','a:0:{}'),('showcase',0,42,42,'en',0,'http://demo.weebpal.com/#news','Click to visit','a:0:{}'),('showcase',0,43,43,'en',0,'http://demo.weebpal.com/#garnet','Click to visit','a:0:{}'),('showcase',0,44,44,'en',0,'http://demo.weebpal.com/#zircon_ii','Click to visit','a:0:{}'),('showcase',0,45,45,'en',0,'http://demo.weebpal.com/#business','Click to visit','a:0:{}'),('showcase',0,46,46,'en',0,'http://demo.weebpal.com/#new-shopping','Click to visit','a:0:{}'),('showcase',0,47,47,'en',0,'http://demo.weebpal.com/#onepage','Click to visit','a:0:{}');
/*!40000 ALTER TABLE `node_revision__field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_our_approach`
--

DROP TABLE IF EXISTS `node_revision__field_our_approach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_our_approach` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_our_approach_value` longtext NOT NULL,
  `field_our_approach_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_our_approach_format` (`field_our_approach_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_our_approach.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_our_approach`
--

LOCK TABLES `node_revision__field_our_approach` WRITE;
/*!40000 ALTER TABLE `node_revision__field_our_approach` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_our_approach` VALUES ('work',0,15,15,'ar',0,'<p>Dolorum, eligendi, repellat mollitia convallis, anim justo habitant, fugit! Duis nesciunt commodo ac pulvinar nullam? In egestas, suscipit montes ornare, at nobis viverra voluptatem purus! Duis placerat id officiis qui quod quibusdam eget aperiam litora magnis convallis veritatis eros metus? Proin urna quos, perferendis semper.</p>\r\n','basic_html'),('work',0,15,15,'en',0,'<p>Dolorum, eligendi, repellat mollitia convallis, anim justo habitant, fugit! Duis nesciunt commodo ac pulvinar nullam? In egestas, suscipit montes ornare, at nobis viverra voluptatem purus! Duis placerat id officiis qui quod quibusdam eget aperiam litora magnis convallis veritatis eros metus? Proin urna quos, perferendis semper.</p>\r\n','basic_html'),('work',0,16,16,'ar',0,'<p>Velit pede! Nostrud odit nulla, do? Ipsum mi repellat, laboris temporibus parturient? In integer cupiditate euismod suscipit suscipit. Maxime ultrices! Bibendum a maiores modi, voluptatum cubilia, tenetur, montes.</p>\r\n','basic_html'),('work',0,16,16,'en',0,'<p>Velit pede! Nostrud odit nulla, do? Ipsum mi repellat, laboris temporibus parturient? In integer cupiditate euismod suscipit suscipit. Maxime ultrices! Bibendum a maiores modi, voluptatum cubilia, tenetur, montes.</p>\r\n','basic_html'),('work',0,17,17,'ar',0,'<p>Eius porta, vulputate sequi laboriosam conubia sodales varius, nostrum iure quas convallis massa eos voluptate! Habitasse dolorem nonummy, maxime consectetur nostra facilisi! Laudantium lacus! Nostra tempora est magnis.</p>\r\n','basic_html'),('work',0,17,17,'en',0,'<p>Eius porta, vulputate sequi laboriosam conubia sodales varius, nostrum iure quas convallis massa eos voluptate! Habitasse dolorem nonummy, maxime consectetur nostra facilisi! Laudantium lacus! Nostra tempora est magnis.</p>\r\n','basic_html'),('work',0,18,18,'ar',0,'<p>Veritatis quis reiciendis phasellus non, accumsan quisque reiciendis esse aliquip ligula cursus aspernatur, voluptatibus sociosqu, exercitation, faucibus molestias, delectus sollicitudin veritatis suscipit, sociis quaerat aliquet. Integer accusamus, ultrices! Id dicta ipsum pede torquent cupiditate repellat tempore.</p>\r\n','basic_html'),('work',0,18,18,'en',0,'<p>Veritatis quis reiciendis phasellus non, accumsan quisque reiciendis esse aliquip ligula cursus aspernatur, voluptatibus sociosqu, exercitation, faucibus molestias, delectus sollicitudin veritatis suscipit, sociis quaerat aliquet. Integer accusamus, ultrices! Id dicta ipsum pede torquent cupiditate repellat tempore.</p>\r\n','basic_html'),('work',0,19,19,'ar',0,'<p>Tristique volutpat sapiente minima, nunc officia, torquent mollit lectus. Consectetuer porttitor harum architecto magnis nostra hendrerit error alias arcu mi! Nobis. Dapibus error anim, mi aliquid facilis cras condimentum similique ligula numquam, repudiandae purus.</p>\r\n','basic_html'),('work',0,19,19,'en',0,'<p>Tristique volutpat sapiente minima, nunc officia, torquent mollit lectus. Consectetuer porttitor harum architecto magnis nostra hendrerit error alias arcu mi! Nobis. Dapibus error anim, mi aliquid facilis cras condimentum similique ligula numquam, repudiandae purus.</p>\r\n','basic_html'),('work',0,20,20,'ar',0,'<p>Voluptates, adipiscing. Massa felis quidem vehicula? Exercitationem autem curabitur minima alias nullam consequat adipiscing. Diamlorem adipisicing! Vulputate aliqua wisi quae tortor ipsam? In integer? Voluptas mollitia.</p>\r\n','basic_html'),('work',0,20,20,'en',0,'<p>Voluptates, adipiscing. Massa felis quidem vehicula? Exercitationem autem curabitur minima alias nullam consequat adipiscing. Diamlorem adipisicing! Vulputate aliqua wisi quae tortor ipsam? In integer? Voluptas mollitia.</p>\r\n','basic_html'),('work',0,21,21,'ar',0,'<p>In eget facilisis delectus? Adipisci aliquip debitis non voluptates per iste gravida nisi justo deserunt libero. Dolore orci, laudantium. Dignissimos similique inceptos proin sociosqu! Auctor excepturi potenti minim, beatae hendrerit ut ab.</p>\r\n','basic_html'),('work',0,21,21,'en',0,'<p>In eget facilisis delectus? Adipisci aliquip debitis non voluptates per iste gravida nisi justo deserunt libero. Dolore orci, laudantium. Dignissimos similique inceptos proin sociosqu! Auctor excepturi potenti minim, beatae hendrerit ut ab.</p>\r\n','basic_html'),('work',0,22,22,'ar',0,'<p>Tenetur nam odit? Mi do molestie consequuntur accusamus gravida ab dolorem euismod anim illum, nullam nullam tristique cursus dictumst pellentesque earum. Ut diamlorem porttitor ex irure harum, elit soluta. Quas a lobortis proin? Recusandae occaecati, lacinia, nostrud.</p>\r\n','basic_html'),('work',0,22,22,'en',0,'<p>Tenetur nam odit? Mi do molestie consequuntur accusamus gravida ab dolorem euismod anim illum, nullam nullam tristique cursus dictumst pellentesque earum. Ut diamlorem porttitor ex irure harum, elit soluta. Quas a lobortis proin? Recusandae occaecati, lacinia, nostrud.</p>\r\n','basic_html'),('work',0,47,51,'ar',0,'<p>Quasi ratione dolores laudantium aliqua eos do voluptatibus? Erat, dignissim nam, ipsam ipsum temporibus phasellus doloribus? Recusandae maxime accusantium, leo fermentum ac, a, quis penatibus, maecenas, sem, officia.</p>\r\n','basic_html'),('work',0,47,51,'en',0,'<p>Quasi ratione dolores laudantium aliqua eos do voluptatibus? Erat, dignissim nam, ipsam ipsum temporibus phasellus doloribus? Recusandae maxime accusantium, leo fermentum ac, a, quis penatibus, maecenas, sem, officia.</p>\r\n','basic_html'),('work',0,48,52,'ar',0,'<p>Porttitor diamlorem eleifend, ex nobis odit cumque porta? Vero deleniti! Magna. Elit molestiae, in tristique reprehenderit enim? Tristique erat officiis lectus, sed proin? Aut, non sapiente accusantium deserunt molestie, possimus commodi auctor asperiores.</p>\r\n','basic_html'),('work',0,48,52,'en',0,'<p>Porttitor diamlorem eleifend, ex nobis odit cumque porta? Vero deleniti! Magna. Elit molestiae, in tristique reprehenderit enim? Tristique erat officiis lectus, sed proin? Aut, non sapiente accusantium deserunt molestie, possimus commodi auctor asperiores.</p>\r\n','basic_html'),('work',0,49,53,'ar',0,'<p>Reiciendis! Ultricies saepe. Minim quisquam eum. Voluptate vestibulum aliquet? Similique metus iure eum molestias pulvinar, animi velit explicabo laudantium nascetur condimentum! Omnis mollitia minus montes porro quidem. Vulputate auctor laudantium eu.</p>\r\n','basic_html'),('work',0,49,53,'en',0,'<p>Reiciendis! Ultricies saepe. Minim quisquam eum. Voluptate vestibulum aliquet? Similique metus iure eum molestias pulvinar, animi velit explicabo laudantium nascetur condimentum! Omnis mollitia minus montes porro quidem. Vulputate auctor laudantium eu.</p>\r\n','basic_html'),('work',0,50,54,'ar',0,'<p>Scelerisque dictumst duis, cumque fugit elementum exercitationem? Ad commodi mattis, totam sapiente condimentum congue ullamco saepe donec orci? Ultrices quia placerat vivamus vero, lacus optio nisl turpis anim.</p>\r\n','basic_html'),('work',0,50,54,'en',0,'<p>Scelerisque dictumst duis, cumque fugit elementum exercitationem? Ad commodi mattis, totam sapiente condimentum congue ullamco saepe donec orci? Ultrices quia placerat vivamus vero, lacus optio nisl turpis anim.</p>\r\n','basic_html'),('work',0,51,55,'ar',0,'<p>Velit quis provident, consequat! Cumque id, dicta sociosqu. Natoque aspernatur officiis numquam provident duis mi unde facilis occaecat, accumsan placerat ex architecto molestiae sodales netus sodales? Praesent, recusandae.</p>\r\n','basic_html'),('work',0,51,55,'en',0,'<p>Velit quis provident, consequat! Cumque id, dicta sociosqu. Natoque aspernatur officiis numquam provident duis mi unde facilis occaecat, accumsan placerat ex architecto molestiae sodales netus sodales? Praesent, recusandae.</p>\r\n','basic_html'),('work',0,52,56,'ar',0,'<p>Placerat excepturi? Elit animi ridiculus harum magnis! Aptent nostrud repellat reiciendis diamlorem varius ultricies? Rhoncus hendrerit. Torquent! Earum cumque est laudantium sit, tempor netus molestias, sem, etiam est? Tempus? Mattis.</p>\r\n','basic_html'),('work',0,52,56,'en',0,'<p>Placerat excepturi? Elit animi ridiculus harum magnis! Aptent nostrud repellat reiciendis diamlorem varius ultricies? Rhoncus hendrerit. Torquent! Earum cumque est laudantium sit, tempor netus molestias, sem, etiam est? Tempus? Mattis.</p>\r\n','basic_html'),('work',0,53,57,'ar',0,'<p>Phasellus posuere, sapiente saepe erat cupiditate, natus minima mollitia dis, quasi, eveniet eveniet, sem consectetur vulputate, laoreet aliquam, proin, error primis, assumenda vestibulum, varius, quam nostrud, voluptas occaecati? Nobis, modi, laboris incidunt.</p>\r\n','basic_html'),('work',0,53,57,'en',0,'<p>Phasellus posuere, sapiente saepe erat cupiditate, natus minima mollitia dis, quasi, eveniet eveniet, sem consectetur vulputate, laoreet aliquam, proin, error primis, assumenda vestibulum, varius, quam nostrud, voluptas occaecati? Nobis, modi, laboris incidunt.</p>\r\n','basic_html');
/*!40000 ALTER TABLE `node_revision__field_our_approach` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_paragraphs`
--

DROP TABLE IF EXISTS `node_revision__field_paragraphs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_paragraphs` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_paragraphs_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_paragraphs_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_paragraphs_target_id` (`field_paragraphs_target_id`),
  KEY `field_paragraphs_target_revision_id` (`field_paragraphs_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_paragraphs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_paragraphs`
--

LOCK TABLES `node_revision__field_paragraphs` WRITE;
/*!40000 ALTER TABLE `node_revision__field_paragraphs` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_paragraphs` VALUES ('service',0,23,23,'en',0,42,42),('service',0,23,23,'en',1,43,43),('service',0,24,24,'en',0,44,44),('service',0,24,24,'en',1,45,45),('service',0,25,25,'ar',0,1,1),('service',0,25,25,'en',0,1,1),('service',0,25,25,'ar',1,2,2),('service',0,25,25,'en',1,2,2),('service',0,25,25,'ar',2,3,3),('service',0,25,25,'en',2,3,3);
/*!40000 ALTER TABLE `node_revision__field_paragraphs` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_process`
--

DROP TABLE IF EXISTS `node_revision__field_process`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_process` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_process_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_process_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_process_target_id` (`field_process_target_id`),
  KEY `field_process_target_revision_id` (`field_process_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_process.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_process`
--

LOCK TABLES `node_revision__field_process` WRITE;
/*!40000 ALTER TABLE `node_revision__field_process` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_process` VALUES ('work',0,15,15,'en',0,8,8),('work',0,15,15,'en',1,9,9),('work',0,15,15,'en',2,10,10),('work',0,15,15,'en',3,11,11),('work',0,16,16,'en',0,12,12),('work',0,16,16,'en',1,13,13),('work',0,17,17,'en',0,14,14),('work',0,17,17,'en',1,15,15),('work',0,18,18,'en',0,16,16),('work',0,18,18,'en',1,17,17),('work',0,19,19,'en',0,18,18),('work',0,19,19,'en',1,19,19),('work',0,20,20,'en',0,20,20),('work',0,20,20,'en',1,21,21),('work',0,21,21,'en',0,22,22),('work',0,21,21,'en',1,23,23),('work',0,22,22,'en',0,24,24),('work',0,22,22,'en',1,25,25),('work',0,47,51,'en',0,26,26),('work',0,47,51,'en',1,27,27),('work',0,48,52,'en',0,28,28),('work',0,48,52,'en',1,29,29),('work',0,49,53,'en',0,30,30),('work',0,49,53,'en',1,31,31),('work',0,50,54,'en',0,32,32),('work',0,50,54,'en',1,33,33),('work',0,51,55,'en',0,34,34),('work',0,51,55,'en',1,35,35),('work',0,52,56,'en',0,36,36),('work',0,52,56,'en',1,37,37),('work',0,53,57,'en',0,38,38),('work',0,53,57,'en',1,39,39),('work',0,53,57,'en',2,40,40),('work',0,53,57,'en',3,41,41);
/*!40000 ALTER TABLE `node_revision__field_process` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_project`
--

DROP TABLE IF EXISTS `node_revision__field_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_project` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_project.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_project`
--

LOCK TABLES `node_revision__field_project` WRITE;
/*!40000 ALTER TABLE `node_revision__field_project` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_project` VALUES ('work',0,15,15,'ar',0,'Creative Design'),('work',0,15,15,'en',0,'Creative Design'),('work',0,16,16,'ar',0,'Marketing'),('work',0,16,16,'en',0,'Marketing'),('work',0,17,17,'ar',0,'Marketing'),('work',0,17,17,'en',0,'Marketing'),('work',0,18,18,'ar',0,'Creative Design'),('work',0,18,18,'en',0,'Creative Design'),('work',0,19,19,'ar',0,'Creative Design'),('work',0,19,19,'en',0,'Creative Design'),('work',0,20,20,'ar',0,'Marketing '),('work',0,20,20,'en',0,'Marketing '),('work',0,21,21,'ar',0,'Marketing'),('work',0,21,21,'en',0,'Marketing'),('work',0,22,22,'ar',0,'Marketing'),('work',0,22,22,'en',0,'Marketing'),('work',0,47,51,'ar',0,'Marketing'),('work',0,47,51,'en',0,'Marketing'),('work',0,48,52,'ar',0,'Marketing '),('work',0,48,52,'en',0,'Marketing '),('work',0,49,53,'ar',0,'Creative Healthy Design'),('work',0,49,53,'en',0,'Creative Healthy Design'),('work',0,50,54,'ar',0,'Marketing'),('work',0,50,54,'en',0,'Marketing'),('work',0,51,55,'ar',0,'Marketing'),('work',0,51,55,'en',0,'Marketing'),('work',0,52,56,'ar',0,'Marketing'),('work',0,52,56,'en',0,'Marketing'),('work',0,53,57,'ar',0,'Creative Design'),('work',0,53,57,'en',0,'Creative Design');
/*!40000 ALTER TABLE `node_revision__field_project` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_role`
--

DROP TABLE IF EXISTS `node_revision__field_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_role` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_role_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_role.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_role`
--

LOCK TABLES `node_revision__field_role` WRITE;
/*!40000 ALTER TABLE `node_revision__field_role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_role` VALUES ('member',0,31,31,'en',0,'CEO'),('member',0,32,32,'en',0,'CTO'),('member',0,33,33,'en',0,'Marketing'),('member',0,34,34,'en',0,'Product Designer'),('member',0,35,35,'en',0,'Developer'),('member',0,36,36,'en',0,'Developer'),('member',0,37,37,'en',0,'Product Designer'),('member',0,38,38,'en',0,'Product Designer');
/*!40000 ALTER TABLE `node_revision__field_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_social`
--

DROP TABLE IF EXISTS `node_revision__field_social`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_social` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_social_platform` varchar(128) DEFAULT '',
  `field_social_value` varchar(128) DEFAULT '',
  `field_social_platform_values` blob DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_social_platform` (`field_social_platform`),
  KEY `field_social_value` (`field_social_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_social.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_social`
--

LOCK TABLES `node_revision__field_social` WRITE;
/*!40000 ALTER TABLE `node_revision__field_social` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_social` VALUES ('member',0,31,31,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,32,32,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,33,33,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,34,34,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,35,35,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,36,36,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,37,37,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}'),('member',0,38,38,'en',0,NULL,NULL,'a:4:{s:8:\"facebook\";a:1:{s:5:\"value\";s:1:\"#\";}s:7:\"twitter\";a:1:{s:5:\"value\";s:1:\"#\";}s:9:\"instagram\";a:1:{s:5:\"value\";s:1:\"#\";}s:6:\"tumblr\";a:1:{s:5:\"value\";s:24:\"https://www.tumblr.com/#\";}}');
/*!40000 ALTER TABLE `node_revision__field_social` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_tags`
--

DROP TABLE IF EXISTS `node_revision__field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_tags.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_tags`
--

LOCK TABLES `node_revision__field_tags` WRITE;
/*!40000 ALTER TABLE `node_revision__field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_tags` VALUES ('blog',0,1,1,'ar',0,2),('blog',0,1,1,'en',0,2),('blog',0,2,2,'ar',0,5),('blog',0,2,2,'en',0,5),('blog',0,3,3,'ar',0,5),('blog',0,3,3,'en',0,5),('blog',0,4,4,'ar',0,5),('blog',0,4,4,'en',0,5),('blog',0,5,5,'ar',0,5),('blog',0,5,5,'en',0,5),('blog',0,6,6,'ar',0,5),('blog',0,6,6,'en',0,5),('blog',0,7,7,'ar',0,8),('blog',0,7,7,'en',0,8),('blog',0,10,10,'ar',0,9),('blog',0,10,10,'en',0,9),('blog',0,12,12,'ar',0,5),('blog',0,12,12,'en',0,5),('blog',0,13,13,'ar',0,11),('blog',0,13,13,'en',0,11),('blog',0,13,13,'ar',1,12),('blog',0,13,13,'en',1,12),('blog',0,14,14,'ar',0,14),('blog',0,14,14,'en',0,14),('blog',0,14,14,'ar',1,15),('blog',0,14,14,'en',1,15),('blog',0,15,15,'ar',0,16),('blog',0,15,15,'en',0,16),('blog',0,15,15,'ar',1,14),('blog',0,15,15,'en',1,14),('blog',0,16,16,'ar',0,12),('blog',0,16,16,'en',0,12),('blog',0,17,17,'ar',0,12),('blog',0,17,17,'en',0,12),('blog',0,18,18,'ar',0,18),('blog',0,18,18,'en',0,18),('blog',0,18,18,'ar',1,19),('blog',0,18,18,'en',1,19),('blog',0,19,19,'ar',0,21),('blog',0,19,19,'en',0,21),('blog',0,20,20,'ar',0,22),('blog',0,20,20,'en',0,22),('blog',0,21,21,'ar',0,19),('blog',0,21,21,'en',0,19),('blog',0,22,22,'ar',0,5),('blog',0,22,22,'en',0,5),('blog',0,23,23,'ar',0,21),('blog',0,23,23,'en',0,21),('blog',0,23,23,'ar',1,24),('blog',0,23,23,'en',1,24),('blog',0,24,24,'ar',0,21),('blog',0,24,24,'en',0,21),('blog',0,24,24,'ar',1,24),('blog',0,24,24,'en',1,24),('blog',0,25,25,'ar',0,43),('blog',0,25,25,'en',0,43),('blog',0,26,26,'ar',0,9),('blog',0,26,26,'en',0,9),('blog',0,27,27,'ar',0,26),('blog',0,27,27,'en',0,26),('blog',0,27,27,'ar',1,27),('blog',0,27,27,'en',1,27),('blog',0,28,28,'ar',0,28),('blog',0,28,28,'en',0,28),('blog',0,29,29,'ar',0,29),('blog',0,29,29,'en',0,29),('blog',0,30,30,'ar',0,26),('blog',0,30,30,'en',0,26),('blog',0,30,30,'ar',1,27),('blog',0,30,30,'en',1,27),('blog',0,31,31,'ar',0,21),('blog',0,31,31,'en',0,21),('blog',0,31,31,'ar',1,24),('blog',0,31,31,'en',1,24),('blog',0,32,32,'ar',0,2),('blog',0,32,32,'en',0,2),('blog',0,33,33,'ar',0,26),('blog',0,33,33,'en',0,26),('blog',0,33,33,'ar',1,27),('blog',0,33,33,'en',1,27),('blog',0,34,34,'ar',0,11),('blog',0,34,34,'en',0,11),('blog',0,35,35,'ar',0,31),('blog',0,35,35,'en',0,31),('blog',0,35,35,'ar',1,32),('blog',0,35,35,'en',1,32),('blog',0,36,36,'ar',0,33),('blog',0,36,36,'en',0,33);
/*!40000 ALTER TABLE `node_revision__field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_the_challenge`
--

DROP TABLE IF EXISTS `node_revision__field_the_challenge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_the_challenge` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_the_challenge_value` longtext NOT NULL,
  `field_the_challenge_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_the_challenge_format` (`field_the_challenge_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_the_challenge.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_the_challenge`
--

LOCK TABLES `node_revision__field_the_challenge` WRITE;
/*!40000 ALTER TABLE `node_revision__field_the_challenge` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_the_challenge` VALUES ('work',0,15,15,'ar',0,'<p>Iste cupidatat nostrum vestibulum eiusmod volutpat explicabo quia voluptas beatae illum orci. Tellus odio! Potenti gravida, atque ut consequatur enim impedit ultrices dignissimos eius, anim, totam veniam eu, explicabo natoque magnis&nbsp;</p>\r\n','basic_html'),('work',0,15,15,'en',0,'<p>Iste cupidatat nostrum vestibulum eiusmod volutpat explicabo quia voluptas beatae illum orci. Tellus odio! Potenti gravida, atque ut consequatur enim impedit ultrices dignissimos eius, anim, totam veniam eu, explicabo natoque magnis&nbsp;</p>\r\n','basic_html'),('work',0,16,16,'ar',0,'<p>Ullamco diamlorem ut corrupti sociosqu perferendis magnam, nunc, ea illo debitis odio, fringilla dolorem proident numquam possimus eos modi turpis, anim voluptatem mollitia erat, pariatur doloribus consequuntur feugiat.</p>\r\n','basic_html'),('work',0,16,16,'en',0,'<p>Ullamco diamlorem ut corrupti sociosqu perferendis magnam, nunc, ea illo debitis odio, fringilla dolorem proident numquam possimus eos modi turpis, anim voluptatem mollitia erat, pariatur doloribus consequuntur feugiat.</p>\r\n','basic_html'),('work',0,17,17,'ar',0,'<p>Vivamus fringilla nunc repellendus porta viverra labore volutpat eros delectus fermentum luctus non, lobortis, minima possimus? Sem quibusdam felis occaecat hac malesuada mollis et. Quisque elementum elementum fermentum enim mattis ipsum risus mus eius! Numquam nunc velit maiores est, justo! Curae beatae. Felis, gravida.</p>\r\n','basic_html'),('work',0,17,17,'en',0,'<p>Vivamus fringilla nunc repellendus porta viverra labore volutpat eros delectus fermentum luctus non, lobortis, minima possimus? Sem quibusdam felis occaecat hac malesuada mollis et. Quisque elementum elementum fermentum enim mattis ipsum risus mus eius! Numquam nunc velit maiores est, justo! Curae beatae. Felis, gravida.</p>\r\n','basic_html'),('work',0,18,18,'ar',0,'<p>Natoque sodales sed hendrerit accusamus class dolorem vulputate eveniet vel anim varius fugiat pharetra hic consequuntur. Quasi ipsum, natoque mus porttitor, omnis venenatis nostrum. Bibendum ea porttitor expedita, feugiat malesuada.</p>\r\n','basic_html'),('work',0,18,18,'en',0,'<p>Natoque sodales sed hendrerit accusamus class dolorem vulputate eveniet vel anim varius fugiat pharetra hic consequuntur. Quasi ipsum, natoque mus porttitor, omnis venenatis nostrum. Bibendum ea porttitor expedita, feugiat malesuada.</p>\r\n','basic_html'),('work',0,19,19,'ar',0,'<p>Veniam ante auctor molestie dis aliquet nobis, sodales? Vestibulum fringilla duis accusantium dis nunc pretium, integer, volutpat libero eiusmod asperiores, pulvinar, consectetur cursus nonummy mi potenti architecto justo sem sint.</p>\r\n','basic_html'),('work',0,19,19,'en',0,'<p>Veniam ante auctor molestie dis aliquet nobis, sodales? Vestibulum fringilla duis accusantium dis nunc pretium, integer, volutpat libero eiusmod asperiores, pulvinar, consectetur cursus nonummy mi potenti architecto justo sem sint.</p>\r\n','basic_html'),('work',0,20,20,'ar',0,'<p>Congue luctus est quisquam aperiam non? Hac hendrerit torquent ipsa non veritatis sequi architecto, ultricies mollis tempora massa, maecenas sapien, praesent magni tempore egestas in minim dolore aptent! Inventore assumenda?</p>\r\n','basic_html'),('work',0,20,20,'en',0,'<p>Congue luctus est quisquam aperiam non? Hac hendrerit torquent ipsa non veritatis sequi architecto, ultricies mollis tempora massa, maecenas sapien, praesent magni tempore egestas in minim dolore aptent! Inventore assumenda?</p>\r\n','basic_html'),('work',0,21,21,'ar',0,'<p>Non, pulvinar aliquet eos excepteur habitasse commodo maecenas aperiam? Recusandae minima consequat, iure eiusmod, litora exercitationem consequatur ut do erat nisi tempor, aliquid turpis, habitasse placerat voluptas? Eget. Diam fringilla! Mollitia aliquam magnam aliquet.</p>\r\n','basic_html'),('work',0,21,21,'en',0,'<p>Non, pulvinar aliquet eos excepteur habitasse commodo maecenas aperiam? Recusandae minima consequat, iure eiusmod, litora exercitationem consequatur ut do erat nisi tempor, aliquid turpis, habitasse placerat voluptas? Eget. Diam fringilla! Mollitia aliquam magnam aliquet.</p>\r\n','basic_html'),('work',0,22,22,'ar',0,'<p>Adipiscing, possimus porttitor quod in tenetur dictum est aperiam praesentium soluta atque nibh laudantium! Maecenas ducimus? Aliqua voluptatum, consequuntur irure eget amet ridiculus beatae. Blanditiis sodales iusto magnis, sapien nunc. Sapien primis.</p>\r\n','basic_html'),('work',0,22,22,'en',0,'<p>Adipiscing, possimus porttitor quod in tenetur dictum est aperiam praesentium soluta atque nibh laudantium! Maecenas ducimus? Aliqua voluptatum, consequuntur irure eget amet ridiculus beatae. Blanditiis sodales iusto magnis, sapien nunc. Sapien primis.</p>\r\n','basic_html'),('work',0,47,51,'ar',0,'<p>Porta repudiandae eum feugiat fames, nec! Tenetur sociosqu proident, platea consequatur sed! Voluptas per aliqua? Phasellus minima occaecat? Sapiente elementum, iste habitasse sociosqu optio? Ullamcorper cras eget! Enim itaque mauris, libero sodales officia mus?</p>\r\n','basic_html'),('work',0,47,51,'en',0,'<p>Porta repudiandae eum feugiat fames, nec! Tenetur sociosqu proident, platea consequatur sed! Voluptas per aliqua? Phasellus minima occaecat? Sapiente elementum, iste habitasse sociosqu optio? Ullamcorper cras eget! Enim itaque mauris, libero sodales officia mus?</p>\r\n','basic_html'),('work',0,48,52,'ar',0,'<p>Culpa elementum fuga occaecati voluptatum dictumst sint veniam? Modi? Libero dolor asperiores, hymenaeos eu modi blanditiis class eros ante beatae interdum, voluptas inceptos nibh! Accusamus inceptos, proident et duis dui mauris, hic elementum at faucibus euismod pede duis cupiditate aliquet.</p>\r\n','basic_html'),('work',0,48,52,'en',0,'<p>Culpa elementum fuga occaecati voluptatum dictumst sint veniam? Modi? Libero dolor asperiores, hymenaeos eu modi blanditiis class eros ante beatae interdum, voluptas inceptos nibh! Accusamus inceptos, proident et duis dui mauris, hic elementum at faucibus euismod pede duis cupiditate aliquet.</p>\r\n','basic_html'),('work',0,49,53,'ar',0,'<p>Quo blanditiis, sapiente qui similique elit nihil rhoncus adipisicing? Laboris, suscipit cupiditate interdum. Do odio recusandae saepe scelerisque? Officiis luctus? Orci? Sollicitudin facilisis quos, dolor parturient sequi nostrum? Ad mollit, rutrum litora consequatur!</p>\r\n','basic_html'),('work',0,49,53,'en',0,'<p>Quo blanditiis, sapiente qui similique elit nihil rhoncus adipisicing? Laboris, suscipit cupiditate interdum. Do odio recusandae saepe scelerisque? Officiis luctus? Orci? Sollicitudin facilisis quos, dolor parturient sequi nostrum? Ad mollit, rutrum litora consequatur!</p>\r\n','basic_html'),('work',0,50,54,'ar',0,'<p>Consequuntur, nostrud dapibus suscipit, habitant hymenaeos porro, aliqua ut, sapiente alias? Corporis in cupidatat quia voluptatem? Curabitur, volutpat ullamcorper placerat adipisci exercitationem saepe parturient dui architecto augue varius?</p>\r\n','basic_html'),('work',0,50,54,'en',0,'<p>Consequuntur, nostrud dapibus suscipit, habitant hymenaeos porro, aliqua ut, sapiente alias? Corporis in cupidatat quia voluptatem? Curabitur, volutpat ullamcorper placerat adipisci exercitationem saepe parturient dui architecto augue varius?</p>\r\n','basic_html'),('work',0,51,55,'ar',0,'<p>Fames cillum nonummy vel consequuntur? Exercitationem. Vehicula facilisi phasellus sociosqu necessitatibus natus! Facilis cupidatat, nihil, scelerisque proident placeat. Architecto eligendi voluptatem dicta eaque accusamus. Nisl pretium, quibusdam sapien? Commodi nostrud? Nisi molestie.</p>\r\n','basic_html'),('work',0,51,55,'en',0,'<p>Fames cillum nonummy vel consequuntur? Exercitationem. Vehicula facilisi phasellus sociosqu necessitatibus natus! Facilis cupidatat, nihil, scelerisque proident placeat. Architecto eligendi voluptatem dicta eaque accusamus. Nisl pretium, quibusdam sapien? Commodi nostrud? Nisi molestie.</p>\r\n','basic_html'),('work',0,52,56,'ar',0,'<p>Aliquet rerum nostra consectetuer aperiam quo, tempor illo lacus, similique incididunt, officiis aliquet tincidunt luctus praesentium velit quisque? Numquam do! Eveniet dolores facilisi. Ornare itaque aperiam occaecati, netus litora voluptatibus pariatur explicabo eum tincidunt exercitation asperiores laboris ad.</p>\r\n','basic_html'),('work',0,52,56,'en',0,'<p>Aliquet rerum nostra consectetuer aperiam quo, tempor illo lacus, similique incididunt, officiis aliquet tincidunt luctus praesentium velit quisque? Numquam do! Eveniet dolores facilisi. Ornare itaque aperiam occaecati, netus litora voluptatibus pariatur explicabo eum tincidunt exercitation asperiores laboris ad.</p>\r\n','basic_html'),('work',0,53,57,'ar',0,'<p>Convallis dictum sagittis, sunt pede libero, deleniti architecto nihil faucibus, officia incididunt. Torquent? Repellendus. Asperiores, diamlorem massa ipsum mollitia dicta distinctio etiam laboriosam! Hymenaeos, diam lacinia! Molestiae at interdum exercitation reiciendis qui?</p>\r\n','basic_html'),('work',0,53,57,'en',0,'<p>Convallis dictum sagittis, sunt pede libero, deleniti architecto nihil faucibus, officia incididunt. Torquent? Repellendus. Asperiores, diamlorem massa ipsum mollitia dicta distinctio etiam laboriosam! Hymenaeos, diam lacinia! Molestiae at interdum exercitation reiciendis qui?</p>\r\n','basic_html');
/*!40000 ALTER TABLE `node_revision__field_the_challenge` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_video_link`
--

DROP TABLE IF EXISTS `node_revision__field_video_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_video_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_video_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_video_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_video_link_uri` (`field_video_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_video_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_video_link`
--

LOCK TABLES `node_revision__field_video_link` WRITE;
/*!40000 ALTER TABLE `node_revision__field_video_link` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node_revision__field_video_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__simplenews_issue`
--

DROP TABLE IF EXISTS `node_revision__simplenews_issue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__simplenews_issue` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `simplenews_issue_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `simplenews_issue_handler` varchar(255) DEFAULT NULL COMMENT 'The issue handler.',
  `simplenews_issue_handler_settings` longblob DEFAULT NULL COMMENT 'The issue handler settings.',
  `simplenews_issue_status` tinyint(4) DEFAULT NULL COMMENT 'A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).',
  `simplenews_issue_sent_count` int(10) unsigned DEFAULT NULL COMMENT 'Counter of already sent newsletters.',
  `simplenews_issue_error_count` int(10) unsigned DEFAULT NULL COMMENT 'Counter of already sent newsletters.',
  `simplenews_issue_subscribers` int(10) unsigned DEFAULT NULL COMMENT 'Counter of subscribers.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `simplenews_issue_target_id` (`simplenews_issue_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field simplenews_issue.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__simplenews_issue`
--

LOCK TABLES `node_revision__simplenews_issue` WRITE;
/*!40000 ALTER TABLE `node_revision__simplenews_issue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node_revision__simplenews_issue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__taxonomy_forums`
--

DROP TABLE IF EXISTS `node_revision__taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__taxonomy_forums` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `taxonomy_forums_target_id` (`taxonomy_forums_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field taxonomy_forums.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__taxonomy_forums`
--

LOCK TABLES `node_revision__taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `node_revision__taxonomy_forums` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__taxonomy_forums` VALUES ('forum',0,48,48,'en',0,36);
/*!40000 ALTER TABLE `node_revision__taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_137936menu_link_content`
--

DROP TABLE IF EXISTS `old_137936menu_link_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_137936menu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_137936menu_link_content`
--

LOCK TABLES `old_137936menu_link_content` WRITE;
/*!40000 ALTER TABLE `old_137936menu_link_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_137936menu_link_content` VALUES (1,'menu_link_content','ae95dc3b-5e58-44e5-9b88-3dd909b3102a','en'),(2,'menu_link_content','64ef37d7-fb4f-4983-816c-a6bc541468b9','en'),(3,'menu_link_content','53a7ee9f-c565-4365-a6e3-4119263a93c9','en'),(4,'menu_link_content','5a1ebc04-7e73-4758-90ab-85ddf87f2930','en'),(5,'menu_link_content','5dfa6090-6430-438d-91b3-a46b2f44b1f1','en'),(6,'menu_link_content','909b2833-4cf9-4928-ad04-4186cfd7fbce','en'),(7,'menu_link_content','19627ca0-fa4f-4c30-ad38-6b546b91112b','en'),(8,'menu_link_content','ecd3295a-1f9b-40f7-9692-d0c04628b010','en'),(9,'menu_link_content','a73e9eb5-b27a-49da-8dd8-e24077bcbf2c','en'),(10,'menu_link_content','c8fedbe2-7d58-492e-b5fd-741c27bf323e','en'),(11,'menu_link_content','8e0c1f39-e25a-458a-b8a8-fc9e90f36306','en'),(12,'menu_link_content','7cac6dd9-6c69-4e69-be8b-f21bd49fa0e7','en'),(13,'menu_link_content','b11a516f-b6db-433f-bdf8-fb99682f51e1','en'),(14,'menu_link_content','70be690e-4d61-4132-bb09-bdde566a72f7','en'),(15,'menu_link_content','1ad784c8-454a-4120-b46a-7c27e60a8d61','en'),(16,'menu_link_content','8679b813-d423-4a20-b997-bd980af98d63','en');
/*!40000 ALTER TABLE `old_137936menu_link_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_137936menu_link_content_data`
--

DROP TABLE IF EXISTS `old_137936menu_link_content_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_137936menu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `enabled` tinyint(4) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_137936menu_link_content_data`
--

LOCK TABLES `old_137936menu_link_content_data` WRITE;
/*!40000 ALTER TABLE `old_137936menu_link_content_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_137936menu_link_content_data` VALUES (1,'menu_link_content','en',1,'About','About us','main','internal:/about','','a:0:{}',0,1,-49,0,NULL,1541127248,1),(2,'menu_link_content','en',1,'Services','Services','main','internal:/services','','a:0:{}',0,1,-48,0,NULL,1541127248,1),(3,'menu_link_content','en',1,'Works','Works','main','internal:/works','','a:0:{}',0,1,-47,0,NULL,1541127248,1),(4,'menu_link_content','en',1,'Resources','Resources','main','internal:/resources','','a:0:{}',0,1,-46,0,NULL,1541127248,1),(5,'menu_link_content','en',1,'News','News','main','internal:/news','','a:0:{}',0,1,-45,0,NULL,1541127248,1),(6,'menu_link_content','en',1,'Contact','Contact us','main','internal:/contact','','a:0:{}',0,1,-44,0,NULL,1541127248,1),(7,'menu_link_content','en',1,'Facebook',NULL,'social','https://www.facebook.com','','a:2:{s:7:\"fa_icon\";s:17:\"fab fa-facebook-f\";s:18:\"fa_icon_appearance\";s:4:\"only\";}',0,0,-50,0,NULL,1541130766,1),(8,'menu_link_content','en',1,'Twitter',NULL,'social','https://twitter.com','','a:2:{s:7:\"fa_icon\";s:14:\"fab fa-twitter\";s:18:\"fa_icon_appearance\";s:4:\"only\";}',0,0,-49,0,NULL,1541130766,1),(9,'menu_link_content','en',1,'Instagram',NULL,'social','https://www.instagram.com','','a:2:{s:7:\"fa_icon\";s:16:\"fab fa-instagram\";s:18:\"fa_icon_appearance\";s:4:\"only\";}',0,0,-48,0,NULL,1541130766,1),(10,'menu_link_content','en',1,'Tumblr',NULL,'social','https://www.tumblr.com/','','a:2:{s:7:\"fa_icon\";s:13:\"fab fa-tumblr\";s:18:\"fa_icon_appearance\";s:4:\"only\";}',0,0,-47,0,NULL,1541130766,1),(11,'menu_link_content','en',1,'Pinterest',NULL,'social','https://www.pinterest.com/','','a:2:{s:7:\"fa_icon\";s:16:\"fab fa-pinterest\";s:18:\"fa_icon_appearance\";s:4:\"only\";}',0,0,-46,0,NULL,1541130766,1),(12,'menu_link_content','en',1,'About Us',NULL,'useful-links','internal:/about','','a:2:{s:7:\"fa_icon\";s:0:\"\";s:18:\"fa_icon_appearance\";s:6:\"before\";}',0,1,-50,0,NULL,1545884677,1),(13,'menu_link_content','en',1,'Contact Us',NULL,'useful-links','internal:/contact','','a:2:{s:7:\"fa_icon\";s:0:\"\";s:18:\"fa_icon_appearance\";s:6:\"before\";}',0,1,-49,0,NULL,1545884808,1),(14,'menu_link_content','en',1,'Services',NULL,'useful-links','internal:/services','','a:2:{s:7:\"fa_icon\";s:0:\"\";s:18:\"fa_icon_appearance\";s:6:\"before\";}',0,1,-48,0,NULL,1541402778,1),(15,'menu_link_content','en',1,'Resources',NULL,'useful-links','internal:/resources','','a:2:{s:7:\"fa_icon\";s:0:\"\";s:18:\"fa_icon_appearance\";s:6:\"before\";}',0,1,-47,0,NULL,1541402778,1),(16,'menu_link_content','en',1,'News',NULL,'useful-links','internal:/news','','a:2:{s:7:\"fa_icon\";s:0:\"\";s:18:\"fa_icon_appearance\";s:6:\"before\";}',0,1,-46,0,NULL,1541402778,1);
/*!40000 ALTER TABLE `old_137936menu_link_content_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_5e3cce_url_alias`
--

DROP TABLE IF EXISTS `old_5e3cce_url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_5e3cce_url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for. e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path. e.g. title-of-the-story.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code this alias is for. if ''und'', the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_langcode_pid` (`alias`(191),`langcode`,`pid`),
  KEY `source_langcode_pid` (`source`(191),`langcode`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=133 DEFAULT CHARSET=utf8mb4 COMMENT='A list of URL aliases for Drupal paths. a user may visit…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_5e3cce_url_alias`
--

LOCK TABLES `old_5e3cce_url_alias` WRITE;
/*!40000 ALTER TABLE `old_5e3cce_url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_5e3cce_url_alias` VALUES (1,'/taxonomy/term/4','/home','en'),(2,'/taxonomy/term/5','/about','en'),(3,'/taxonomy/term/6','/services','en'),(4,'/taxonomy/term/7','/works','en'),(5,'/taxonomy/term/8','/resources','en'),(6,'/taxonomy/term/9','/news','en'),(7,'/webform/contact','/form/contact','en'),(8,'/webform/contact','/form/contact','und'),(9,'/webform/contact/confirmation','/form/contact/confirmation','en'),(10,'/webform/contact/confirmation','/form/contact/confirmation','und'),(11,'/webform/contact/submissions','/form/contact/submissions','en'),(12,'/webform/contact/submissions','/form/contact/submissions','und'),(13,'/webform/contact/drafts','/form/contact/drafts','en'),(14,'/webform/contact/drafts','/form/contact/drafts','und'),(15,'/taxonomy/term/27','/contact','en'),(16,'/node/1','/news/market-research-industry-being-squeezed-consultancies','en'),(17,'/node/2','/news/murky-ethics-data-gathering-post-cambridge-analytica-world','en'),(18,'/node/3','/news/how-create-great-e-mail-marketing-campaign-2018','en'),(19,'/node/4','/news/how-win-friends-and-influence-millions-rules-influencer-marketing','en'),(20,'/node/5','/resources/how-work-influencers-more-just-brand-building','en'),(21,'/node/6','/resources/slow-site-speed-hurting-your-bottom-line','en'),(22,'/node/7','/resources/sem-checklist','en'),(23,'/node/8','/resources/5-step-fix-cart-abandonment','en'),(24,'/node/9','/resources/spotcheck-your-seo-strategy-checklist','en'),(25,'/node/10','/resources/5-things-your-ppc-agency-should-always-be-monitoring','en'),(26,'/node/11','/resources/beat-competition-holiday-season-these-5-ppc-tactics','en'),(27,'/node/12','/resources/how-grow-your-business-online-quizzes','en'),(28,'/node/13','/resources/ppc-holiday-keyword-expansion-tool','en'),(30,'/node/15','/works/software-design-development','en'),(31,'/node/16','/works/partnership-and-member-website','en'),(32,'/node/17','/works/adp-dealer-services','en'),(33,'/node/18','/works/envato-funded-b2b-software','en'),(34,'/node/19','/works/inbound-marketing-pays','en'),(35,'/node/20','/works/web-design','en'),(36,'/node/21','/works/b2b-marketing','en'),(37,'/node/22','/works/credit-solutions','en'),(38,'/node/23','/services/social-media-marketing','en'),(39,'/node/24','/services/seo','en'),(40,'/node/25','/services/landing-page-creation-and-website-management','en'),(41,'/node/26','/testimonial/j-crowe-apple-inc','en'),(42,'/node/27','/testimonial/d-gallagher-google-inc','en'),(43,'/node/28','/testimonial/m-ladner-big-wheel-inc','en'),(44,'/node/31','/team-member/jack-carmichael','en'),(45,'/node/32','/team-member/bill-harrinton','en'),(46,'/node/33','/team-member/harry-blummer','en'),(47,'/node/34','/team-member/chris-bright','en'),(48,'/node/35','/team-member/ansel-anderson','en'),(49,'/node/36','/team-member/douglas-campbell','en'),(50,'/node/37','/team-member/lily-lawrence','en'),(51,'/node/38','/team-member/ann-reed','en'),(52,'/node/4','/news/how-win-friends-and-influence-millions-rules-influencer-marketing','ar'),(53,'/node/3','/news/how-create-great-e-mail-marketing-campaign-2018','ar'),(54,'/node/1','/news/market-research-industry-being-squeezed-consultancies','ar'),(55,'/node/2','/news/murky-ethics-data-gathering-post-cambridge-analytica-world','ar'),(56,'/node/26','/testimonial/j-crowe-apple-inc','ar'),(57,'/node/27','/testimonial/d-gallagher-google-inc','ar'),(58,'/node/28','/testimonial/m-ladner-big-wheel-inc','ar'),(59,'/taxonomy/term/5','/about','ar'),(60,'/taxonomy/term/27','/contact','ar'),(61,'/taxonomy/term/9','/news','ar'),(62,'/taxonomy/term/8','/resources','ar'),(63,'/taxonomy/term/6','/services','ar'),(64,'/taxonomy/term/7','/works','ar'),(65,'/node/23','/services/social-media-marketing','ar'),(66,'/node/24','/services/seo','ar'),(67,'/node/25','/services/landing-page-creation-and-website-management','ar'),(77,'/node/13','/resources/ppc-holiday-keyword-expansion-tool','ar'),(78,'/node/12','/resources/how-grow-your-business-online-quizzes','ar'),(79,'/node/11','/resources/beat-competition-holiday-season-these-5-ppc-tactics','ar'),(80,'/node/10','/resources/5-things-your-ppc-agency-should-always-be-monitoring','ar'),(81,'/node/9','/resources/spotcheck-your-seo-strategy-checklist','ar'),(82,'/node/8','/resources/5-step-fix-cart-abandonment','ar'),(83,'/node/7','/resources/sem-checklist','ar'),(84,'/node/6','/resources/slow-site-speed-hurting-your-bottom-line','ar'),(85,'/node/5','/resources/how-work-influencers-more-just-brand-building','ar'),(86,'/node/39','/page-not-found','en'),(87,'/node/39','/page-not-found','ar'),(88,'/node/40','/access-denied','en'),(89,'/node/40','/access-denied','ar'),(90,'/node/41','/resources/ultimate-guide-rfps-how-write-request-proposal','en'),(91,'/node/42','/resources/achieving-your-top-marketing-objectives','en'),(92,'/node/43','/resources/how-use-video-marketing-drive-more-client-value','en'),(93,'/node/44','/resources/guest-content-15-emails-keep-clients-happy','en'),(94,'/node/45','/resources/jumpstart-your-new-biz-program-crm','en'),(95,'/node/46','/resources/guide-marketing-your-agency','en'),(96,'/node/41','/resources/ultimate-guide-rfps-how-write-request-proposal','ar'),(97,'/node/42','/resources/achieving-your-top-marketing-objectives','ar'),(98,'/node/43','/resources/how-use-video-marketing-drive-more-client-value','ar'),(99,'/node/44','/resources/guest-content-15-emails-keep-clients-happy','ar'),(100,'/node/45','/resources/jumpstart-your-new-biz-program-crm','ar'),(101,'/node/46','/resources/guide-marketing-your-agency','ar'),(102,'/node/22','/works/credit-solutions','ar'),(103,'/node/21','/works/b2b-marketing','ar'),(104,'/node/20','/works/web-design','ar'),(105,'/node/19','/works/inbound-marketing-pays','ar'),(106,'/node/18','/works/envato-funded-b2b-software','ar'),(107,'/node/17','/works/adp-dealer-services','ar'),(108,'/node/16','/works/partnership-and-member-website','ar'),(109,'/node/15','/works/software-design-development','ar'),(111,'/node/47','/works/software-design','en'),(112,'/node/48','/works/marketing-designs','en'),(113,'/node/49','/works/creative-design','en'),(114,'/node/50','/works/software-and-development','en'),(115,'/node/51','/works/health-care','en'),(116,'/node/52','/works/b2b-marketing-0','en'),(117,'/node/53','/works/social-network-health-care-0','en'),(118,'/node/48','/works/marketing-designs','ar'),(119,'/node/49','/works/creative-design','ar'),(120,'/node/50','/works/software-and-development','ar'),(121,'/node/51','/works/health-care','ar'),(122,'/node/52','/works/b2b-marketing-0','ar'),(123,'/node/53','/works/social-network-health-care','ar'),(124,'/node/54','/news/third-brands-admit-not-disclosing-influencer-partnerships','en'),(125,'/node/55','/news/moonpig-hunts-emotional-connection-marketing-refresh-0','en'),(126,'/node/56','/news/heathrow-tops-christmas-ad-list-amid-lacklustre-year-festive-campaigns','en'),(127,'/node/57','/news/how-premier-inn-proved-value-service','en'),(128,'/node/57','/news/how-premier-inn-proved-value-service','ar'),(129,'/node/56','/news/heathrow-tops-christmas-ad-list-amid-lacklustre-year-festive-campaigns','ar'),(130,'/node/55','/news/moonpig-hunts-emotional-connection-marketing-refresh','ar'),(131,'/node/54','/news/third-brands-admit-not-disclosing-influencer-partnerships','ar'),(132,'/node/47','/works/software-design','ar');
/*!40000 ALTER TABLE `old_5e3cce_url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_5e3cdd_url_alias`
--

DROP TABLE IF EXISTS `old_5e3cdd_url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_5e3cdd_url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for. e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path. e.g. title-of-the-story.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code this alias is for. if ''und'', the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_langcode_pid` (`alias`(191),`langcode`,`pid`),
  KEY `source_langcode_pid` (`source`(191),`langcode`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=utf8mb4 COMMENT='A list of URL aliases for Drupal paths. a user may visit…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_5e3cdd_url_alias`
--

LOCK TABLES `old_5e3cdd_url_alias` WRITE;
/*!40000 ALTER TABLE `old_5e3cdd_url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_5e3cdd_url_alias` VALUES (2,'/node/38','/pages','en'),(3,'/taxonomy/term/10','/category/business','en'),(4,'/taxonomy/term/3','/category/education','en'),(5,'/taxonomy/term/6','/category/fashion','en'),(6,'/taxonomy/term/30','/category/health-beauty','en'),(7,'/taxonomy/term/13','/category/hospital','en'),(11,'/taxonomy/term/23','/category/more','en'),(12,'/taxonomy/term/17','/category/nature','en'),(13,'/taxonomy/term/20','/category/others','en'),(14,'/taxonomy/term/7','/category/sports','en'),(15,'/taxonomy/term/4','/category/travel','en'),(16,'/taxonomy/term/25','/category/wedding','en'),(17,'/node/19','/blog/art-worth-45m-found-hidden-brazilian-shipping-container','ar'),(18,'/node/31','/blog/russias-other-art-biennial','ar'),(19,'/node/24','/blog/british-library-returns-painted-renaissance-book-panel','ar'),(20,'/node/23','/blog/spain-returns-small-museum-artefacts-colombia','ar'),(21,'/node/33','/blog/etsy-weddings-handmade-object-week','ar'),(22,'/node/2','/blog/so-much-do-beaches-san-diego','ar'),(23,'/node/3','/blog/bay-plenty-adventure-plentiful-bay','ar'),(24,'/node/4','/blog/beaches-boats','ar'),(25,'/node/12','/blog/guided-tours-every-taste','ar'),(26,'/node/6','/blog/montreal-google-guide','ar'),(27,'/node/18','/blog/love-nature-genetics','ar'),(28,'/node/20','/blog/how-become-science-adviser-films-and-tv-shows','ar'),(29,'/node/21','/blog/biosecurity-laws-under-scanner','ar'),(30,'/node/22','/blog/move-over-kuta-real-bali','ar'),(31,'/node/7','/blog/what-would-sport-touring-bike-be','ar'),(32,'/node/5','/blog/what-would-sport-touring-bike-be-0','ar'),(33,'/node/10','/blog/new-girl-block','ar'),(34,'/node/1','/blog/many-teachers-feel-undervalued-survey-finds','ar'),(35,'/node/9','/blog/math-under-common-core-has-even-parents-stumbling','ar'),(36,'/node/11','/blog/prince-absolutely-right-bring-back-grammar-schools','ar'),(37,'/node/13','/blog/new-companies-office-status-check-features','ar'),(38,'/node/16','/blog/companies-amendment-bill-passes-law','ar'),(39,'/node/17','/blog/dont-get-taken-ride-when-buying-car','ar'),(40,'/node/34','/blog/branding-and-company-extract-changes','ar'),(41,'/node/8','/blog/world-cup-us-has-chance-pull-upset-vs-belgium','ar'),(42,'/node/35','/blog/sip-slim-down-right-way-drink-green-tea-weight-loss','ar'),(43,'/node/14','/blog/uw-hospital-emergency-department-nurses-receive-lantern-award','ar'),(44,'/node/15','/blog/heart-attack-study-could-lead-longer-lives','ar'),(45,'/node/29','/blog/diabetes-epidemic','ar'),(46,'/node/32','/blog/how-banish-stress-25-minutes','ar'),(47,'/node/30','/blog/6-people-who-will-stress-you-out-your-wedding-day','ar'),(48,'/node/27','/blog/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons','ar'),(49,'/node/26','/blog/looks-day','ar'),(50,'/node/28','/blog/more-1000-runners-signed-syracuse-half-marathon','ar'),(51,'/node/25','/blog/world-cup-sportsday','ar'),(52,'/node/36','/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','ar'),(53,'/node/25','/blog/world-cup-sportsday','en'),(55,'/node/40','/showcase/autox','en'),(56,'/node/41','/showcase/education','en'),(57,'/node/42','/showcase/news','en'),(58,'/node/43','/showcase/garnet','en'),(59,'/node/44','/showcase/zircon-ii','en'),(60,'/node/45','/showcase/business','en'),(61,'/node/46','/showcase/new-shopping','en'),(62,'/node/47','/showcase/onepage','en'),(63,'/node/36','/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing','en'),(64,'/node/35','/blog/sip-slim-down-right-way-drink-green-tea-weight-loss','en'),(65,'/node/34','/blog/branding-and-company-extract-changes','en'),(66,'/node/33','/blog/etsy-weddings-handmade-object-week','en'),(67,'/node/32','/blog/how-banish-stress-25-minutes','en'),(68,'/node/31','/blog/russias-other-art-biennial','en'),(69,'/node/30','/blog/6-people-who-will-stress-you-out-your-wedding-day','en'),(70,'/node/29','/blog/diabetes-epidemic','en'),(71,'/node/28','/blog/more-1000-runners-signed-syracuse-half-marathon','en'),(72,'/node/27','/blog/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons','en'),(73,'/node/26','/blog/looks-day','en'),(74,'/node/24','/blog/british-library-returns-painted-renaissance-book-panel','en'),(75,'/node/23','/blog/spain-returns-small-museum-artefacts-colombia','en'),(76,'/node/22','/blog/move-over-kuta-real-bali','en'),(77,'/node/21','/blog/biosecurity-laws-under-scanner','en'),(78,'/node/20','/blog/how-become-science-adviser-films-and-tv-shows','en'),(79,'/node/19','/blog/art-worth-45m-found-hidden-brazilian-shipping-container','en'),(80,'/node/18','/blog/love-nature-genetics','en'),(81,'/node/17','/blog/dont-get-taken-ride-when-buying-car','en'),(82,'/node/16','/blog/companies-amendment-bill-passes-law','en'),(83,'/node/15','/blog/heart-attack-study-could-lead-longer-lives','en'),(84,'/node/14','/blog/uw-hospital-emergency-department-nurses-receive-lantern-award','en'),(85,'/node/13','/blog/new-companies-office-status-check-features','en'),(86,'/node/12','/blog/guided-tours-every-taste-0','en'),(87,'/node/11','/blog/prince-absolutely-right-bring-back-grammar-schools','en'),(88,'/node/10','/blog/new-girl-block','en'),(89,'/node/9','/blog/math-under-common-core-has-even-parents-stumbling','en'),(90,'/node/8','/blog/world-cup-us-has-chance-pull-upset-vs-belgium','en'),(91,'/node/7','/blog/what-would-sport-touring-bike-be','en'),(92,'/node/6','/blog/montreal-google-guide','en'),(93,'/node/5','/blog/what-would-sport-touring-bike-be-0','en'),(94,'/node/4','/blog/beaches-boats','en'),(95,'/node/3','/blog/bay-plenty-adventure-plentiful-bay','en'),(96,'/node/2','/blog/so-much-do-beaches-san-diego','en'),(97,'/node/1','/blog/many-teachers-feel-undervalued-survey-finds','en');
/*!40000 ALTER TABLE `old_5e3cdd_url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_7b46bfmenu_link_content`
--

DROP TABLE IF EXISTS `old_7b46bfmenu_link_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_7b46bfmenu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_7b46bfmenu_link_content`
--

LOCK TABLES `old_7b46bfmenu_link_content` WRITE;
/*!40000 ALTER TABLE `old_7b46bfmenu_link_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_7b46bfmenu_link_content` VALUES (1,'menu_link_content','c5d6929d-00de-42ac-9063-9988171e864f','en'),(2,'menu_link_content','581338a7-370f-4cdb-8c05-5e6151d94574','en'),(4,'menu_link_content','ea317148-07e9-4d7c-a300-f6fac4d9f9e4','en'),(5,'menu_link_content','13010224-23c2-4f52-a821-33e998c7b67a','en'),(6,'menu_link_content','90715f0e-4a87-49e4-8700-ac85484106b2','en'),(7,'menu_link_content','3a682f53-74f2-4d7d-b652-825d873ffaa2','en'),(9,'menu_link_content','5d61c9f4-a774-49f9-9e02-2a8c41acf283','en'),(10,'menu_link_content','0d08bf56-025e-4ee8-a700-f6ba5648d3c0','en'),(11,'menu_link_content','fd92bc46-e9e1-436a-9f04-4ae46fa5b016','en'),(12,'menu_link_content','172c78c7-def1-4223-8a02-2fe370de8159','en'),(13,'menu_link_content','a87533f7-ef49-4443-992f-47788a5b1dae','en'),(14,'menu_link_content','2fc6e920-c293-4e23-bd07-7d5080159edf','en'),(15,'menu_link_content','f6fb6125-edd4-459a-b400-c24827d008e9','en'),(16,'menu_link_content','76326b7a-b3ca-4629-ac2b-432607c6a83f','en'),(17,'menu_link_content','a8d01f6b-3277-427a-9400-eaa7806644f9','en'),(18,'menu_link_content','5aeb6703-c454-4d41-9b49-73e04f8078db','en'),(19,'menu_link_content','58fba109-dc9e-4d88-ba04-4a67217ccfc6','en'),(20,'menu_link_content','fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27','en'),(21,'menu_link_content','45df0c1b-5560-49da-8761-9789fa68299e','en'),(22,'menu_link_content','d29ce013-0882-4097-8800-bb5160bf01bb','en');
/*!40000 ALTER TABLE `old_7b46bfmenu_link_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_7b46bfmenu_link_content_data`
--

DROP TABLE IF EXISTS `old_7b46bfmenu_link_content_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_7b46bfmenu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_7b46bfmenu_link_content_data`
--

LOCK TABLES `old_7b46bfmenu_link_content_data` WRITE;
/*!40000 ALTER TABLE `old_7b46bfmenu_link_content_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_7b46bfmenu_link_content_data` VALUES (1,'menu_link_content','en','Register',NULL,'anonymous-menu','internal:/user/register','','a:0:{}',0,1,0,0,1,NULL,1450060536,1),(2,'menu_link_content','en','Login',NULL,'anonymous-menu','internal:/user/login','','a:0:{}',0,1,0,0,1,NULL,1450060555,1),(4,'menu_link_content','en','Forums',NULL,'main','internal:/forum','','a:0:{}',0,1,-50,1,1,'menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb',1450076095,1),(5,'menu_link_content','en','Categories',NULL,'main','internal:/categories','','a:0:{}',0,1,-49,1,1,'menu_link_content:d29ce013-0882-4097-8800-bb5160bf01bb',1450076095,1),(6,'menu_link_content','en','Showcase',NULL,'main','internal:/showcase','','a:0:{}',0,1,-46,1,1,NULL,1450076095,1),(7,'menu_link_content','en','Blog',NULL,'main','internal:/blogs','','a:0:{}',0,1,-45,1,1,NULL,1450076095,1),(9,'menu_link_content','en','Contact',NULL,'main','internal:/contact','','a:0:{}',0,1,-44,1,1,NULL,1450076095,1),(10,'menu_link_content','en','Log out',NULL,'account','internal:/user/logout','','a:0:{}',0,1,0,1,1,NULL,1450065991,1),(11,'menu_link_content','en','Business',NULL,'categories-menu','internal:/taxonomy/term/10','','a:0:{}',0,1,-50,1,1,NULL,1450066369,1),(12,'menu_link_content','en','Education',NULL,'categories-menu','internal:/taxonomy/term/3','','a:0:{}',0,1,-49,1,1,NULL,1450066369,1),(13,'menu_link_content','en','Fashion',NULL,'categories-menu','internal:/taxonomy/term/6','','a:0:{}',0,1,-48,1,1,NULL,1450066369,1),(14,'menu_link_content','en','Health & Beauty',NULL,'categories-menu','internal:/taxonomy/term/30','','a:0:{}',0,1,-47,1,1,NULL,1450066369,1),(15,'menu_link_content','en','Hospital',NULL,'categories-menu','internal:/taxonomy/term/13','','a:0:{}',0,1,-46,1,1,NULL,1450066369,1),(16,'menu_link_content','en','Sports',NULL,'categories-menu','internal:/taxonomy/term/7','','a:0:{}',0,1,-45,1,1,NULL,1450066369,1),(17,'menu_link_content','en','More',NULL,'categories-menu','internal:/taxonomy/term/23','','a:0:{}',0,1,-44,1,1,NULL,1450066369,1),(18,'menu_link_content','en','Nature',NULL,'categories-menu','internal:/taxonomy/term/17','','a:0:{}',0,1,-50,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450066369,1),(19,'menu_link_content','en','Others',NULL,'categories-menu','internal:/taxonomy/term/20','','a:0:{}',0,1,-47,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450938387,1),(20,'menu_link_content','en','Travel',NULL,'categories-menu','internal:/taxonomy/term/4','','a:0:{}',0,1,-49,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450938387,1),(21,'menu_link_content','en','Wedding',NULL,'categories-menu','internal:/taxonomy/term/25','','a:0:{}',0,1,-48,1,1,'menu_link_content:a8d01f6b-3277-427a-9400-eaa7806644f9',1450938387,1),(22,'menu_link_content','en','Pages',NULL,'main','internal:/pages','','a:0:{}',0,1,-48,1,1,NULL,1450076095,1);
/*!40000 ALTER TABLE `old_7b46bfmenu_link_content_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_933d5dtaxonomy_term__field_image`
--

DROP TABLE IF EXISTS `old_933d5dtaxonomy_term__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_933d5dtaxonomy_term__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_933d5dtaxonomy_term__field_image`
--

LOCK TABLES `old_933d5dtaxonomy_term__field_image` WRITE;
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_933d5dtaxonomy_term__field_image` VALUES ('categories',0,3,3,'en',0,38,'Education','',750,500),('categories',0,4,4,'en',0,50,'Travel','',750,500),('categories',0,6,6,'en',0,39,'Fashion','',750,1061),('categories',0,7,7,'en',0,49,'Sport','',250,134),('categories',0,10,10,'en',0,37,'Business','',750,564),('categories',0,13,13,'en',0,41,'Hospital','',750,683),('categories',0,17,17,'en',0,47,'Nature','',250,333),('categories',0,20,20,'en',0,48,'Others','',250,167),('categories',0,23,23,'en',0,46,'More','',750,511),('categories',0,25,25,'en',0,51,'Wedding','',750,500),('categories',0,30,30,'en',0,40,'Health and Beauty','',750,563);
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_933d5dtaxonomy_term__forum_container`
--

DROP TABLE IF EXISTS `old_933d5dtaxonomy_term__forum_container`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_933d5dtaxonomy_term__forum_container` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `forum_container_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field forum_container.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_933d5dtaxonomy_term__forum_container`
--

LOCK TABLES `old_933d5dtaxonomy_term__forum_container` WRITE;
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term__forum_container` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_933d5dtaxonomy_term__forum_container` VALUES ('forums',0,34,34,'en',0,1),('forums',0,35,35,'en',0,1),('forums',0,36,36,'en',0,0),('forums',0,37,37,'en',0,0),('forums',0,38,38,'en',0,0),('forums',0,39,39,'en',0,0),('forums',0,40,40,'en',0,0),('forums',0,41,41,'en',0,0);
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term__forum_container` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_933d5dtaxonomy_term__parent`
--

DROP TABLE IF EXISTS `old_933d5dtaxonomy_term__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_933d5dtaxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_933d5dtaxonomy_term__parent`
--

LOCK TABLES `old_933d5dtaxonomy_term__parent` WRITE;
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_933d5dtaxonomy_term__parent` VALUES ('tags',0,2,2,'en',0,0),('categories',0,3,3,'en',0,0),('categories',0,4,4,'en',0,0),('tags',0,5,5,'en',0,0),('categories',0,6,6,'en',0,0),('categories',0,7,7,'en',0,0),('tags',0,8,8,'en',0,0),('tags',0,9,9,'en',0,0),('categories',0,10,10,'en',0,0),('tags',0,11,11,'en',0,0),('tags',0,12,12,'en',0,0),('categories',0,13,13,'en',0,0),('tags',0,14,14,'en',0,0),('tags',0,15,15,'en',0,0),('tags',0,16,16,'en',0,0),('categories',0,17,17,'en',0,0),('tags',0,18,18,'en',0,0),('tags',0,19,19,'en',0,0),('categories',0,20,20,'en',0,0),('tags',0,21,21,'en',0,0),('tags',0,22,22,'en',0,0),('categories',0,23,23,'en',0,0),('tags',0,24,24,'en',0,0),('categories',0,25,25,'en',0,0),('tags',0,26,26,'en',0,0),('tags',0,27,27,'en',0,0),('tags',0,28,28,'en',0,0),('tags',0,29,29,'en',0,0),('categories',0,30,30,'en',0,0),('tags',0,31,31,'en',0,0),('tags',0,32,32,'en',0,0),('tags',0,33,33,'en',0,0),('forums',0,34,34,'en',0,0),('forums',0,35,35,'en',0,0),('forums',0,36,36,'en',0,35),('forums',0,37,37,'en',0,35),('forums',0,38,38,'en',0,35),('forums',0,39,39,'en',0,34),('forums',0,40,40,'en',0,34),('forums',0,41,41,'en',0,34),('tags',0,43,43,'en',0,0);
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_933d5dtaxonomy_term_data`
--

DROP TABLE IF EXISTS `old_933d5dtaxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_933d5dtaxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_933d5dtaxonomy_term_data`
--

LOCK TABLES `old_933d5dtaxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_933d5dtaxonomy_term_data` VALUES (2,'tags','f31ee61d-ad32-4527-a101-1c333c88a679','en'),(3,'categories','4cd5d5ab-b2d6-4b8a-9e01-01db59cc7d6f','en'),(4,'categories','c7cb3fc2-b199-4818-9600-d4658d8cb94a','en'),(5,'tags','3b28ac32-5772-4f33-bf00-dbfef578748c','en'),(6,'categories','4a22b749-5eec-40f2-9008-8e460bff4cdf','en'),(7,'categories','7001d617-172f-4dff-be00-c4ff4fe1e0da','en'),(8,'tags','626b8203-f3db-4a5c-8e06-6a3ce54d11e6','en'),(9,'tags','3cc6eb78-2642-46b1-8200-ff5f30ad9019','en'),(10,'categories','3c8edc49-64de-4f33-8857-877631445f4f','en'),(11,'tags','0b7aa986-0ca5-4b27-b500-e5f8438c012c','en'),(12,'tags','94932e95-442f-4295-a44d-776351cb799d','en'),(13,'categories','de02d3fe-c5e4-4471-8310-16d27844e597','en'),(14,'tags','58ce0bc3-2548-4a71-a200-0b55ba176f08','en'),(15,'tags','11d9862c-0f51-4630-b100-ae6219055f61','en'),(16,'tags','c45127ae-b25e-47cb-8e08-8c2a29b9eea7','en'),(17,'categories','9f091ec4-c8a6-44e8-a315-21fbf81a8fcd','en'),(18,'tags','ec4c1cd5-8389-4bbf-8b0b-114376da18b3','en'),(19,'tags','905424a2-eea7-4318-9008-8fd54d9e9584','en'),(20,'categories','37a7b323-75b9-40d5-a45f-95f16869af5f','en'),(21,'tags','58d7b05c-22f6-4ed1-9907-7bccab118b0d','en'),(22,'tags','0a993614-6da3-41f8-b502-2d04ec288e40','en'),(23,'categories','20be78d5-a6e1-4aa4-a414-202adfe1e7a8','en'),(24,'tags','c2ac8d92-7fdb-4a12-a102-0290473969fa','en'),(25,'categories','33b3f693-304d-4409-8200-e1f80f0e9981','en'),(26,'tags','73aa5f0f-b34f-446a-b300-e116248c1a98','en'),(27,'tags','63a995f6-e873-4b9e-aa00-c13808a57ead','en'),(28,'tags','b95a8ca7-10b0-48a6-9e03-3df295e3b50b','en'),(29,'tags','6b2664df-56e0-48c9-9909-9a0eded12e3b','en'),(30,'categories','1368d8d0-b897-446d-9507-07a8a784204b','en'),(31,'tags','77f59a78-713e-4a34-bf61-9730dc8857a8','en'),(32,'tags','fa7f834a-1b15-4ac8-b114-20732b4e0bba','en'),(33,'tags','92c45290-097c-45fb-a000-db015b5e19f0','en'),(34,'forums','dfe83362-661e-42ef-912c-44f65c3de1ee','en'),(35,'forums','5b6aee1e-09a0-428a-a700-dd3113d38605','en'),(36,'forums','a5fde6a8-bd84-4b72-9d33-51c787ca1f3d','en'),(37,'forums','89b8ad38-b8d4-4615-8203-3c6e424c7e4f','en'),(38,'forums','99ee675c-caca-4f8c-8800-ccd7d36871ef','en'),(39,'forums','7d5ec80c-278b-4f82-8d11-17abf33ae676','en'),(40,'forums','c9632025-2c76-430a-8504-04b85da6d057','en'),(41,'forums','536558fd-d4fa-4ad6-ba2c-449c6c5309ef','en'),(43,'tags','65b7e782-e772-419d-8f4b-757017b30642','en');
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_933d5dtaxonomy_term_field_data`
--

DROP TABLE IF EXISTS `old_933d5dtaxonomy_term_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_933d5dtaxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191)),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_933d5dtaxonomy_term_field_data`
--

LOCK TABLES `old_933d5dtaxonomy_term_field_data` WRITE;
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_933d5dtaxonomy_term_field_data` VALUES (2,'tags','en','Health & Beauty',NULL,NULL,0,1450062390,1,1),(3,'categories','en','Education',NULL,NULL,0,1450074873,1,1),(4,'categories','en','Travel',NULL,NULL,0,1450075486,1,1),(5,'tags','en','Travel',NULL,NULL,0,1450062546,1,1),(6,'categories','en','Fashion',NULL,NULL,0,1450074957,1,1),(7,'categories','en','Sports',NULL,NULL,0,1450075462,1,1),(8,'tags','en','Sport',NULL,NULL,0,1450062868,1,1),(9,'tags','en','Fashion',NULL,NULL,0,1450063027,1,1),(10,'categories','en','Business',NULL,NULL,0,1450074850,1,1),(11,'tags','en','Business',NULL,NULL,0,1450063800,1,1),(12,'tags','en','Company',NULL,NULL,0,1450063800,1,1),(13,'categories','en','Hospital',NULL,NULL,0,1450075017,1,1),(14,'tags','en','Hospital',NULL,NULL,0,1450063874,1,1),(15,'tags','en','Doctors',NULL,NULL,0,1450063874,1,1),(16,'tags','en','Health',NULL,NULL,0,1450063938,1,1),(17,'categories','en','Nature',NULL,NULL,0,1450075381,1,1),(18,'tags','en','Moutain',NULL,NULL,0,1450064123,1,1),(19,'tags','en','Forest',NULL,NULL,0,1450064123,1,1),(20,'categories','en','Others',NULL,NULL,0,1450075418,1,1),(21,'tags','en','Art',NULL,NULL,0,1450064173,1,1),(22,'tags','en','Nature',NULL,NULL,0,1450064230,1,1),(23,'categories','en','More',NULL,NULL,0,1450075353,1,1),(24,'tags','en','Photograph',NULL,NULL,0,1450064405,1,1),(25,'categories','en','Wedding',NULL,NULL,0,1450075520,1,1),(26,'tags','en','Party',NULL,NULL,0,1450064724,1,1),(27,'tags','en','Wedding',NULL,NULL,0,1450064724,1,1),(28,'tags','en','Running',NULL,NULL,0,1450064770,1,1),(29,'tags','en','Doctor',NULL,NULL,0,1450064827,1,1),(30,'categories','en','Health & Beauty',NULL,NULL,0,1450074991,1,1),(31,'tags','en','Stress',NULL,NULL,0,1450065309,1,1),(32,'tags','en','Beauty',NULL,NULL,0,1450065309,1,1),(33,'tags','en','Nail',NULL,NULL,0,1450065363,1,1),(34,'forums','en','Helps and Supports',NULL,NULL,4,1450162349,1,1),(35,'forums','en','General discussion',NULL,NULL,1,1450162349,1,1),(36,'forums','en','Module development',NULL,NULL,0,1450162349,1,1),(37,'forums','en','Post installation',NULL,NULL,1,1450162349,1,1),(38,'forums','en','Theme development',NULL,NULL,2,1450162349,1,1),(39,'forums','en','Before you start',NULL,NULL,0,1450162349,1,1),(40,'forums','en','Installing Drupal',NULL,NULL,1,1450162349,1,1),(41,'forums','en','Upgrading Drupal',NULL,NULL,2,1450162349,1,1),(43,'tags','en','Football',NULL,NULL,0,1451359975,1,1);
/*!40000 ALTER TABLE `old_933d5dtaxonomy_term_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_e66057taxonomy_term__parent`
--

DROP TABLE IF EXISTS `old_e66057taxonomy_term__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_e66057taxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_e66057taxonomy_term__parent`
--

LOCK TABLES `old_e66057taxonomy_term__parent` WRITE;
/*!40000 ALTER TABLE `old_e66057taxonomy_term__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_e66057taxonomy_term__parent` VALUES ('tags',0,1,1,'en',0,0),('tags',0,2,2,'en',0,0),('tags',0,3,3,'en',0,0),('pages',0,4,4,'en',0,0),('pages',0,5,5,'en',0,0),('pages',0,6,6,'en',0,0),('pages',0,7,7,'en',0,0),('pages',0,8,8,'en',0,0),('pages',0,9,9,'en',0,0),('news_categories',0,10,10,'en',0,0),('news_categories',0,11,11,'en',0,0),('news_categories',0,12,12,'en',0,0),('news_categories',0,13,13,'en',0,0),('news_categories',0,14,14,'en',0,0),('news_categories',0,15,15,'en',0,0),('news_categories',0,16,16,'en',0,0),('news_categories',0,17,17,'en',0,0),('resource_categories',0,18,18,'en',0,0),('resource_categories',0,19,19,'en',0,0),('resource_categories',0,20,20,'en',0,0),('resource_categories',0,21,21,'en',0,0),('resource_categories',0,22,22,'en',0,0),('works_categories',0,23,23,'en',0,0),('works_categories',0,24,24,'en',0,0),('works_categories',0,25,25,'en',0,0),('works_categories',0,26,26,'en',0,0),('pages',0,27,27,'en',0,0);
/*!40000 ALTER TABLE `old_e66057taxonomy_term__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_e66057taxonomy_term_data`
--

DROP TABLE IF EXISTS `old_e66057taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_e66057taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_e66057taxonomy_term_data`
--

LOCK TABLES `old_e66057taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `old_e66057taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_e66057taxonomy_term_data` VALUES (1,'tags','1d65ed8c-5845-4fd0-a31f-1ca40777221a','en'),(2,'tags','1a1d0a69-5ded-44b5-b621-d3acc3816610','en'),(3,'tags','c4bd1c60-8711-4e0b-bf15-a3513599beee','en'),(4,'pages','18ffecd3-ec92-41d1-be06-30cb7706bc86','en'),(5,'pages','26d554bd-cd61-4f79-b6e9-aa1a2be908f3','en'),(6,'pages','af2e7280-1ac4-4f8e-b0e9-ed5a37318107','en'),(7,'pages','a04049ac-bb0f-4353-94f0-e51ebff1b115','en'),(8,'pages','60ff3fa9-d37e-4873-b9fb-66202f044dcd','en'),(9,'pages','2b497ef9-239f-4dd8-aaa5-b1872278881c','en'),(10,'news_categories','512d6486-e877-4cb9-84f4-534796aa9755','en'),(11,'news_categories','e54250bf-a309-48cf-9f7c-052fd79eacbe','en'),(12,'news_categories','73506363-e616-4dc0-a267-dde01f5328e1','en'),(13,'news_categories','6c21034d-1771-4381-8fc6-9ede46aff819','en'),(14,'news_categories','6d6d8676-fc94-4124-97bc-6f30aac5b0a1','en'),(15,'news_categories','0a469a89-186d-4a71-9bba-7b05ec26e447','en'),(16,'news_categories','fe2c9ef5-a8f9-4388-a1df-e8077f1b864f','en'),(17,'news_categories','1f6090d4-805b-4240-ade9-10859939fcb9','en'),(18,'resource_categories','594f47d2-399c-4bc6-85c5-758447e446a3','en'),(19,'resource_categories','8b73f093-3fda-4467-ac79-e384dc1bc8a6','en'),(20,'resource_categories','0bda9bcb-759c-4829-9732-8102d84c3d31','en'),(21,'resource_categories','14b96c38-0b5e-460e-b212-d2ae32e409b8','en'),(22,'resource_categories','86d29030-07bb-4618-91c1-c78c2d3e4d21','en'),(23,'works_categories','7a5719d1-5a05-444a-85ad-926f9fb5baf4','en'),(24,'works_categories','ac39ffbc-9397-44cb-af95-84075ee2b858','en'),(25,'works_categories','da5b14d0-75b5-4c6d-a071-1688925d43e6','en'),(26,'works_categories','e7d0e516-44ef-4ea6-a275-c67cc9216963','en'),(27,'pages','d674be53-9840-47cb-83ae-707206aec3b5','en');
/*!40000 ALTER TABLE `old_e66057taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_e66057taxonomy_term_field_data`
--

DROP TABLE IF EXISTS `old_e66057taxonomy_term_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_e66057taxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `status` tinyint(4) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `content_translation_created` int(11) DEFAULT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191)),
  KEY `taxonomy_term__1a0c187e9a` (`content_translation_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_e66057taxonomy_term_field_data`
--

LOCK TABLES `old_e66057taxonomy_term_field_data` WRITE;
/*!40000 ALTER TABLE `old_e66057taxonomy_term_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_e66057taxonomy_term_field_data` VALUES (1,'tags','en',1,'Strategy',NULL,NULL,0,1541056017,1,'und',0,NULL,NULL),(2,'tags','en',1,'Research',NULL,NULL,0,1541057016,1,'und',0,NULL,NULL),(3,'tags','en',1,'Trending',NULL,NULL,0,1541057067,1,'und',0,NULL,NULL),(4,'pages','en',1,'Home',NULL,NULL,0,1543895763,1,'und',0,NULL,NULL),(5,'pages','ar',1,'About','<h2>About Ceinsys</h2>\r\n\r\n<p>Ceinsys&nbsp;is&nbsp;a&nbsp;specialized&nbsp;company in social media marketing. We use social media marketing every day to help companies grow and build their brands.</p>\r\n','basic_html',0,1545297394,0,'en',0,1,1545297394),(5,'pages','en',1,'About','<h2>About Us</h2>\r\n\r\n<p>Ceinsys&nbsp;is&nbsp;a&nbsp;specialized&nbsp;company in social media marketing. We use social media marketing every day to help companies grow and build their brands.</p>\r\n','basic_html',0,1545900091,1,'und',0,0,1545900091),(6,'pages','ar',1,'Services',NULL,NULL,0,1545297814,0,'en',0,1,1545297814),(6,'pages','en',1,'Services',NULL,NULL,0,1543895798,1,'und',0,NULL,NULL),(7,'pages','ar',1,'Works',NULL,NULL,0,1545297830,0,'en',0,1,1545297830),(7,'pages','en',1,'Works',NULL,NULL,0,1543895803,1,'und',0,NULL,NULL),(8,'pages','ar',1,'Resources',NULL,NULL,0,1545297811,0,'en',0,1,1545297811),(8,'pages','en',1,'Resources',NULL,NULL,0,1543895791,1,'und',0,NULL,NULL),(9,'pages','ar',1,'News',NULL,NULL,0,1545297809,0,'en',0,1,1545297809),(9,'pages','en',1,'News',NULL,NULL,0,1543895769,1,'und',0,NULL,NULL),(10,'news_categories','en',1,'Trending',NULL,NULL,0,1543917510,1,'und',0,NULL,NULL),(11,'news_categories','en',1,'Branding',NULL,NULL,0,1543917534,1,'und',0,NULL,NULL),(12,'news_categories','en',1,'Digital',NULL,NULL,0,1543917541,1,'und',0,NULL,NULL),(13,'news_categories','en',1,'Global',NULL,NULL,0,1543917562,1,'und',0,NULL,NULL),(14,'news_categories','en',1,'Marcom',NULL,NULL,0,1543917569,1,'und',0,NULL,NULL),(15,'news_categories','en',1,'Metrics',NULL,NULL,0,1543917587,1,'und',0,NULL,NULL),(16,'news_categories','en',1,'Research',NULL,NULL,0,1543917600,1,'und',0,NULL,NULL),(17,'news_categories','en',1,'Strategy',NULL,NULL,0,1543917612,1,'und',0,NULL,NULL),(18,'resource_categories','en',1,'Checklists',NULL,NULL,0,1543984830,1,'und',0,NULL,NULL),(19,'resource_categories','en',1,'E-books',NULL,NULL,0,1543984846,1,'und',0,NULL,NULL),(20,'resource_categories','en',1,'Templates',NULL,NULL,0,1543984853,1,'und',0,NULL,NULL),(21,'resource_categories','en',1,'Tool',NULL,NULL,0,1543984859,1,'und',0,NULL,NULL),(22,'resource_categories','en',1,'Webinars',NULL,NULL,0,1543984868,1,'und',0,NULL,NULL),(23,'works_categories','en',1,'Integrated Campaign',NULL,NULL,0,1543985914,1,'und',0,NULL,NULL),(24,'works_categories','en',1,'Digital Platforms',NULL,NULL,0,1543985934,1,'und',0,NULL,NULL),(25,'works_categories','en',1,'B2B Marketing',NULL,NULL,0,1543985946,1,'und',0,NULL,NULL),(26,'works_categories','en',1,'Creative',NULL,NULL,0,1543985953,1,'und',0,NULL,NULL),(27,'pages','ar',1,'Contact',NULL,NULL,0,1545297779,0,'en',0,1,1545297779),(27,'pages','en',1,'Contact',NULL,NULL,0,1544588953,1,'und',0,NULL,NULL);
/*!40000 ALTER TABLE `old_e66057taxonomy_term_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraph__field_image`
--

DROP TABLE IF EXISTS `paragraph__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraph__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for paragraph field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraph__field_image`
--

LOCK TABLES `paragraph__field_image` WRITE;
/*!40000 ALTER TABLE `paragraph__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraph__field_image` VALUES ('right_media',0,1,1,'ar',0,44,'Image','',669,479),('right_media',0,1,1,'en',0,44,'Image','',669,479),('left_media',0,2,2,'ar',0,45,'Image','',470,600),('left_media',0,2,2,'en',0,45,'Image','',470,600),('right_media',0,3,3,'ar',0,46,'Image','',670,600),('right_media',0,3,3,'en',0,46,'Image','',670,600),('right_media',0,42,42,'en',0,96,'Services detail','',640,486),('left_media',0,43,43,'en',0,97,'Services detail','',640,640),('right_media',0,44,44,'en',0,98,'Services detail','',640,488),('left_media',0,45,45,'en',0,99,'Services detail','',640,426);
/*!40000 ALTER TABLE `paragraph__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraph__field_text`
--

DROP TABLE IF EXISTS `paragraph__field_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraph__field_text` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_text_value` longtext NOT NULL,
  `field_text_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_text_format` (`field_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for paragraph field field_text.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraph__field_text`
--

LOCK TABLES `paragraph__field_text` WRITE;
/*!40000 ALTER TABLE `paragraph__field_text` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraph__field_text` VALUES ('right_media',0,1,1,'ar',0,'<p>Porro autem condimentum pellentesque primis veritatis, quisque cumque laboriosam, congue, dis pariatur, alias incididunt do magni, interdum tristique habitasse totam. Gravida molestie quaerat duis habitant proin ornare eligendi incidunt posuere cupidatat aliquid provident purus, lacinia, tempore. Proident egestas. Eos adipiscing? Dictum cubilia torquent dui fugit.</p>\r\n','basic_html'),('right_media',0,1,1,'en',0,'<p>Porro autem condimentum pellentesque primis veritatis, quisque cumque laboriosam, congue, dis pariatur, alias incididunt do magni, interdum tristique habitasse totam. Gravida molestie quaerat duis habitant proin ornare eligendi incidunt posuere cupidatat aliquid provident purus, lacinia, tempore. Proident egestas. Eos adipiscing? Dictum cubilia torquent dui fugit.</p>\r\n','basic_html'),('left_media',0,2,2,'ar',0,'<p>In dignissim urna libero mus sagittis, incididunt curae accusantium corporis, ullamcorper scelerisque nostrum est commodo architecto donec voluptatum, atque, aspernatur rerum eleifend vulputate, ratione, excepteur inceptos voluptatem nisi ullam repellat. Nostrud cillum risus nisi laboriosam feugiat ab distinctio natoque varius quibusdam fugiat litora hic, iaculis dignissim.</p>\r\n','basic_html'),('left_media',0,2,2,'en',0,'<p>In dignissim urna libero mus sagittis, incididunt curae accusantium corporis, ullamcorper scelerisque nostrum est commodo architecto donec voluptatum, atque, aspernatur rerum eleifend vulputate, ratione, excepteur inceptos voluptatem nisi ullam repellat. Nostrud cillum risus nisi laboriosam feugiat ab distinctio natoque varius quibusdam fugiat litora hic, iaculis dignissim.</p>\r\n','basic_html'),('right_media',0,3,3,'ar',0,'<p>Voluptatibus similique. Odit voluptatum, nullam fugiat quidem ab modi dictumst fermentum magnam officia faucibus vero doloremque, eaque scelerisque quisquam porttitor minima sint bibendum mollis, aliquam similique ut voluptatem faucibus ut eum enim nec.</p>\r\n','basic_html'),('right_media',0,3,3,'en',0,'<p>Voluptatibus similique. Odit voluptatum, nullam fugiat quidem ab modi dictumst fermentum magnam officia faucibus vero doloremque, eaque scelerisque quisquam porttitor minima sint bibendum mollis, aliquam similique ut voluptatem faucibus ut eum enim nec.</p>\r\n','basic_html'),('process_step',0,8,8,'en',0,'<p>Exercitationem euismod beatae nascetur, velit ullamco est blanditiis voluptatum hendrerit eaque laoreet mi metus architecto? Condimentum officia repellendus porta malesuada saepe quidem, mi voluptate, facilis! Maxime consectetuer consectetur quo?&nbsp;</p>\r\n','basic_html'),('process_step',0,9,9,'en',0,'<p>Totam anim minus vel ad qui, unde interdum. Dolorem dictum voluptas quia dapibus lobortis cupidatat! Ante! Eius pharetra do rerum, scelerisque eu, nec dis. Accusantium purus varius mollit.</p>\r\n','basic_html'),('process_step',0,10,10,'en',0,'<p>Est condimentum habitasse! Auctor, erat urna harum pariatur enim fringilla aliquam, massa dolorum! Perferendis cubilia mus, primis curabitur torquent sodales consectetur. Eros. Excepteur dictum pede sunt euismod hymenaeos rhoncus.</p>\r\n','basic_html'),('process_step',0,11,11,'en',0,'<p>Nulla odio beatae mollis accusantium minima fermentum, fringilla, phasellus eius placerat autem earum? Adipisci commodi egestas, in quo proin magna dis diamlorem ipsum nullam, repudiandae.&nbsp;</p>\r\n','basic_html'),('process_step',0,12,12,'en',0,'<p>Cumque nascetur condimentum omnis unde tincidunt fugiat natus consequat, diamlorem fusce viverra dolore conubia elit dignissimos? Inceptos quas accumsan congue cumque elementum purus dictumst at eiusmod saepe aenean vitae commodi.</p>\r\n','basic_html'),('process_step',0,13,13,'en',0,'<p>Blanditiis fames vitae proin aenean mattis aut qui, facere suscipit nesciunt laoreet, quia numquam minus lacinia, in expedita, eius natoque maiores arcu dictumst est, parturient eum lacus habitant.</p>\r\n','basic_html'),('process_step',0,14,14,'en',0,'<p>&nbsp;Commodi hymenaeos dolorem dignissimos sunt reiciendis facilisis, dis hendrerit. Eius irure qui, dolore ullamco nunc nostrum justo, laborum earum illum facilisis? Eveniet, habitant et. Mi, inceptos imperdiet venenatis viverra, proin litora illum, nostrum excepteur aliqua, placerat donec.</p>\r\n','basic_html'),('process_step',0,15,15,'en',0,'<p>Dolores malesuada. Nemo repudiandae penatibus natoque quidem placerat nemo porta anim, cursus, sagittis repudiandae. Libero eius quidem. Eu necessitatibus sapien maiores, libero dictumst commodo nesciunt magna voluptatum, minima luctus aliquam laboris praesent!</p>\r\n','basic_html'),('process_step',0,16,16,'en',0,'<p>Harum nostrud, eius numquam taciti facilisis nascetur proin, quidem tenetur magna nemo non senectus laborum, etiam, accusamus eu soluta condimentum possimus lorem augue aptent, pede, vestibulum, sem laborum?&nbsp;</p>\r\n','basic_html'),('process_step',0,17,17,'en',0,'<p>In autem montes lectus tempora ornare dui placerat? Pede minima voluptatibus dolore! Provident, quasi consequatur architecto molestiae corrupti? At blandit repellat ultrices occaecat egestas, consectetuer esse! Diamlorem. Ea.</p>\r\n','basic_html'),('process_step',0,18,18,'en',0,'<p>Incididunt curae suspendisse ipsa! Laoreet eu? Etiam class nibh mollis nunc dictum ipsa condimentum, nam. Deserunt dignissim vel, natus non! Eleifend erat aliqua risus, rerum pariatur, tempora! Lacinia, vestibulum pellentesque.</p>\r\n','basic_html'),('process_step',0,19,19,'en',0,'<p>Occaecati fames! Est inceptos itaque architecto congue dolor, facilisi fugit iure saepe adipiscing ipsa! Doloremque nascetur, phasellus debitis laboris voluptate. Primis tristique anim necessitatibus eveniet consectetuer nascetur, repudiandae condimentum eros, mus posuere.</p>\r\n','basic_html'),('process_step',0,20,20,'en',0,'<p>Dolore dicta ducimus repudiandae pellentesque, posuere orci quisque natoque rutrum error habitant. Pulvinar, arcu? Laborum voluptas class fugit, senectus id? Modi anim, placeat sociosqu purus urna curabitur sem, lacinia excepteur tempor, quisque.</p>\r\n','basic_html'),('process_step',0,21,21,'en',0,'<p>Senectus molestias minus ridiculus faucibus vestibulum parturient justo, repudiandae lacinia ipsa, ipsam, cumque tempus sollicitudin. Massa sed irure mollit, aspernatur accusamus dignissim porro, omnis nullam maiores! Mus, ratione.</p>\r\n','basic_html'),('process_step',0,22,22,'en',0,'<p>Inventore velit iste culpa urna, sociosqu taciti eveniet lectus nullam ipsa magnis mollitia pede, inventore et inceptos nostrud ad. Cupiditate est repellat odit repellendus irure. Dicta officia maiores quisquam dapibus, ridiculus! Amet consequatur iure libero tincidunt, est rerum autem ornare, sed habitasse repellendus lacinia purus.</p>\r\n','basic_html'),('process_step',0,23,23,'en',0,'<p>Labore venenatis sociosqu cumque augue aliqua quaerat? Deleniti, molestias fringilla qui, eius feugiat! Accusantium. Enim totam fugit facilisi quia? Habitant voluptatibus diamlorem harum.</p>\r\n','basic_html'),('process_step',0,24,24,'en',0,'<p>Tellus potenti porro culpa? Gravida beatae sint do! Hymenaeos ea dictum, lacinia! Numquam porta anim, ante. Vitae erat soluta montes adipiscing facilisi reiciendis modi, vel morbi sapiente? Voluptatum quod vivamus aliquet tristique lacinia? Perspiciatis nam luctus!</p>\r\n','basic_html'),('process_step',0,25,25,'en',0,'<p>Accusantium eget urna dictum fermentum potenti, culpa molestie mollis, bibendum, debitis rem eos praesent dignissimos luctus fermentum urna, sollicitudin laoreet deserunt platea! Numquam sint convallis eum vivamus purus. Accumsan, commodo, ea sapiente. Natoque aptent.</p>\r\n','basic_html'),('process_step',0,26,26,'en',0,'<p>Nibh eos ullam sunt laboris imperdiet, nec animi eius ullamco, imperdiet suscipit blandit nec omnis cras aliquid sociosqu quas ac iusto impedit fames nisi tempor perferendis semper? Aptent, quo optio! Phasellus magnam, omnis recusandae placeat voluptatem.</p>\r\n','basic_html'),('process_step',0,27,27,'en',0,'<p>Animi? Debitis velit integer fusce tortor cupiditate veniam, cras hendrerit nobis nobis, sodales risus. Dolore, illo! Feugiat, explicabo vitae vivamus? Eaque, optio? Risus ligula pulvinar occaecat! Est. Ducimus quisque sagittis, quia.</p>\r\n','basic_html'),('process_step',0,28,28,'en',0,'<p>Sociosqu perferendis nascetur nulla commodo, incididunt senectus deleniti maxime rhoncus corrupti cum voluptatem curae nullam aliquet ridiculus, voluptate congue nunc. Laboriosam totam quisquam quidem excepturi quo iure do ullamco irure quia dictum wisi porttitor cillum ornare.</p>\r\n','basic_html'),('process_step',0,29,29,'en',0,'<p>Occaecati, fusce cras architecto cillum tempor? Leo incididunt voluptate aliquet mattis justo tempora repellat distinctio, sapiente habitant odio! Vehicula soluta eget error, eros phasellus exercitation, accusantium temporibus litora! Mauris harum? Lacus aliqua vivamus! Quisque, rem neque hendrerit iaculis.</p>\r\n','basic_html'),('process_step',0,30,30,'en',0,'<p>Pede tellus atque! Necessitatibus ut, quisquam dictumst? Nulla quas eiusmod quasi quas tincidunt varius nobis minim dictum molestiae! Magnam, quis voluptate maxime vivamus torquent ultrices? Morbi a assumenda ea facere, leo at aliqua qui laudantium unde!</p>\r\n','basic_html'),('process_step',0,31,31,'en',0,'<p>Quod ullamcorper elementum adipisci, nullam adipisci facilis integer pariatur aut ante cursus facilisi aute ullamcorper ullam accusantium, purus integer! Odio alias non primis quos! Commodi proin. Quas cum nemo quo, convallis nostrum nesciunt ridiculus ullamco a distinctio? Augue tincidunt dolor.</p>\r\n','basic_html'),('process_step',0,32,32,'en',0,'<p>Eros ratione eius nostrud penatibus ultricies voluptatibus? Perspiciatis ante vehicula? Ullamcorper ut feugiat taciti incididunt sodales aliqua doloribus, neque consectetur ducimus necessitatibus vehicula repudiandae alias. Modi aenean harum ultricies senectus, magna aperiam, lorem justo ad optio, leo purus itaque fusce erat turpis?&nbsp;</p>\r\n','basic_html'),('process_step',0,33,33,'en',0,'<p>Vestibulum, sint, anim cumque, cursus dolorem, ipsam faucibus morbi enim diam diamlorem eget similique, cillum aute luctus aperiam. Illo nostrud expedita quaerat, eveniet curabitur, curabitur quisquam incididunt praesent dignissim cupidatat, numquam provident! Dolorem cumque.</p>\r\n','basic_html'),('process_step',0,34,34,'en',0,'<p>Sequi. Sapiente ratione nisl conubia, sodales? Vehicula enim nibh varius laboriosam asperiores distinctio laudantium fames! Nullam asperiores cum minim fugit libero risus pariatur pharetra, iure odit deserunt? Iaculis earum harum. Molestias proident? Aut.</p>\r\n','basic_html'),('process_step',0,35,35,'en',0,'<p>Distinctio urna ea arcu, eaque ligula vitae fuga orci eu amet morbi molestias sint aliquam saepe? Aliquam ea malesuada doloremque assumenda excepturi est voluptates. Vel, blanditiis aenean vehicula, similique vel eget wisi libero delectus. Repellat torquent eaque, hac! Mi dictum qui ratione? Vero dui.</p>\r\n','basic_html'),('process_step',0,36,36,'en',0,'<p>Class rem penatibus incididunt quos debitis culpa temporibus ut mus sunt leo, maxime dignissimos congue, convallis? Potenti ad hendrerit commodo risus. Quasi porttitor delectus dui, quam, quisquam tellus, convallis magnis, potenti ridiculus dui, mollis repellat deleniti! Labore, optio, deserunt aliquid non porttitor nesciunt ipsam?&nbsp;</p>\r\n','basic_html'),('process_step',0,37,37,'en',0,'<p>Habitant repellendus excepturi maiores doloribus ab impedit enim, voluptatibus. Et! Exercitation expedita voluptas, mus lacinia, ullam deleniti mauris metus unde doloribus veritatis vitae, similique error cumque nunc aliquid diamlorem officia justo senectus, dictumst.</p>\r\n','basic_html'),('process_step',0,38,38,'en',0,'<p>Felis atque posuere aptent harum proin consequuntur ab doloremque ornare. Nam proin, quo voluptas suspendisse hic? Recusandae iaculis blanditiis voluptatem illum labore eleifend netus, alias cum? Natoque netus, ratione sociosqu, ultricies purus eveniet fermentum?&nbsp;</p>\r\n','basic_html'),('process_step',0,39,39,'en',0,'<p>Laudantium parturient iusto, error. Et tristique nam alias praesent, incidunt nonummy dictumst laudantium id! Rerum ad? Condimentum diam modi nunc a mi, sunt natus animi tellus nullam vestibulum nobis eius, placeat numquam fermentum!</p>\r\n','basic_html'),('process_step',0,40,40,'en',0,'<p>Pellentesque ornare elit quaerat. Aute facilis, incidunt fermentum, taciti sollicitudin numquam ultricies curabitur laboriosam aenean, non harum tempora! Id doloremque ad. Fuga sociis auctor numquam animi curabitur ex hymenaeos aliquet inventore sed lorem.</p>\r\n','basic_html'),('process_step',0,41,41,'en',0,'<p>Blanditiis labore, dis! Excepturi condimentum aenean sollicitudin ligula, inventore tempor, temporibus diamlorem praesent voluptates metus pretium eligendi ultrices integer delectus animi! Quam nulla quod, interdum, repellat illo, enim nostrud mollis.</p>\r\n','basic_html'),('right_media',0,42,42,'en',0,'<p>Tempora quo, inceptos class sunt expedita blanditiis integer. Mi, odit, ridiculus mollitia alias voluptates, cupidatat autem eiusmod est lobortis quas laudantium quod? Eros aliquet distinctio sociis primis aliquip? Tincidunt pede! Eos earum eget cum fuga quod? Veniam laudantium maecenas reiciendis dolorum omnis neque eum sed unde praesent omnis luctus odit.</p>\r\n','basic_html'),('left_media',0,43,43,'en',0,'<p>Laboriosam. Dolore officiis? Malesuada quae ipsa odit omnis laboris rem tristique, nisi quo debitis ultricies fames rem! Officiis cras earum? Mus tempore magnam ipsam eget? Eget dicta repellat? Volutpat, aenean nascetur sapien adipisci! Saepe cum, parturient recusandae curae vel purus ipsam cubilia laborum venenatis id.</p>\r\n','basic_html'),('right_media',0,44,44,'en',0,'<p>Iusto non nisi? Rutrum incididunt libero, tellus risus eiusmod. Sagittis quasi voluptatum nesciunt conubia eleifend iure. Porta deserunt? Diamlorem consequat? Eiusmod, itaque dignissim dis? Aspernatur a accumsan placeat, rhoncus ipsam, fugiat? Fames nobis facilisis gravida quisque.</p>\r\n','basic_html'),('left_media',0,45,45,'en',0,'<p>Faucibus, exercitationem magna donec magnis primis animi pariatur incididunt viverra, taciti occaecat curae quae. In accusantium laoreet? Sed nostrud hac beatae aut elit. Lectus cursus ornare, laboriosam tortor iaculis taciti ullamco, doloribus fugiat fusce? Primis congue quidem eros hic excepteur magna inceptos repellendus maecenas, nemo, doloribus minima varius quos risus leo litora eius, praesentium.</p>\r\n','basic_html');
/*!40000 ALTER TABLE `paragraph__field_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraph__field_title`
--

DROP TABLE IF EXISTS `paragraph__field_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraph__field_title` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for paragraph field field_title.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraph__field_title`
--

LOCK TABLES `paragraph__field_title` WRITE;
/*!40000 ALTER TABLE `paragraph__field_title` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraph__field_title` VALUES ('right_media',0,1,1,'ar',0,'YOUR TITLE'),('right_media',0,1,1,'en',0,'YOUR TITLE'),('left_media',0,2,2,'ar',0,'YOUR TITLE'),('left_media',0,2,2,'en',0,'YOUR TITLE'),('right_media',0,3,3,'ar',0,'YOUR TITLE'),('right_media',0,3,3,'en',0,'YOUR TITLE'),('process_step',0,8,8,'en',0,'01'),('process_step',0,9,9,'en',0,'02'),('process_step',0,10,10,'en',0,'03'),('process_step',0,11,11,'en',0,'04'),('process_step',0,12,12,'en',0,'01'),('process_step',0,13,13,'en',0,'02'),('process_step',0,14,14,'en',0,'01'),('process_step',0,15,15,'en',0,'02'),('process_step',0,16,16,'en',0,'01'),('process_step',0,17,17,'en',0,'02'),('process_step',0,18,18,'en',0,'01'),('process_step',0,19,19,'en',0,'02'),('process_step',0,20,20,'en',0,'01'),('process_step',0,21,21,'en',0,'02'),('process_step',0,22,22,'en',0,'01'),('process_step',0,23,23,'en',0,'02'),('process_step',0,24,24,'en',0,'01'),('process_step',0,25,25,'en',0,'02'),('process_step',0,26,26,'en',0,'01'),('process_step',0,27,27,'en',0,'02'),('process_step',0,28,28,'en',0,'01'),('process_step',0,29,29,'en',0,'02'),('process_step',0,30,30,'en',0,'01'),('process_step',0,31,31,'en',0,'02'),('process_step',0,32,32,'en',0,'01'),('process_step',0,33,33,'en',0,'02'),('process_step',0,34,34,'en',0,'01'),('process_step',0,35,35,'en',0,'02'),('process_step',0,36,36,'en',0,'01'),('process_step',0,37,37,'en',0,'02'),('process_step',0,38,38,'en',0,'01'),('process_step',0,39,39,'en',0,'02'),('process_step',0,40,40,'en',0,'03'),('process_step',0,41,41,'en',0,'04'),('right_media',0,42,42,'en',0,'MARKETING AGENCY'),('left_media',0,43,43,'en',0,'AGENCY'),('right_media',0,44,44,'en',0,'SEARCH ENGINE'),('left_media',0,45,45,'en',0,'SEARCH ENGINE');
/*!40000 ALTER TABLE `paragraph__field_title` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraph_revision__field_image`
--

DROP TABLE IF EXISTS `paragraph_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraph_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for paragraph field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraph_revision__field_image`
--

LOCK TABLES `paragraph_revision__field_image` WRITE;
/*!40000 ALTER TABLE `paragraph_revision__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraph_revision__field_image` VALUES ('right_media',0,1,1,'ar',0,44,'Image','',669,479),('right_media',0,1,1,'en',0,44,'Image','',669,479),('left_media',0,2,2,'ar',0,45,'Image','',470,600),('left_media',0,2,2,'en',0,45,'Image','',470,600),('right_media',0,3,3,'ar',0,46,'Image','',670,600),('right_media',0,3,3,'en',0,46,'Image','',670,600),('right_media',0,42,42,'en',0,96,'Services detail','',640,486),('left_media',0,43,43,'en',0,97,'Services detail','',640,640),('right_media',0,44,44,'en',0,98,'Services detail','',640,488),('left_media',0,45,45,'en',0,99,'Services detail','',640,426);
/*!40000 ALTER TABLE `paragraph_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraph_revision__field_text`
--

DROP TABLE IF EXISTS `paragraph_revision__field_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraph_revision__field_text` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_text_value` longtext NOT NULL,
  `field_text_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_text_format` (`field_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for paragraph field field_text.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraph_revision__field_text`
--

LOCK TABLES `paragraph_revision__field_text` WRITE;
/*!40000 ALTER TABLE `paragraph_revision__field_text` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraph_revision__field_text` VALUES ('right_media',0,1,1,'ar',0,'<p>Porro autem condimentum pellentesque primis veritatis, quisque cumque laboriosam, congue, dis pariatur, alias incididunt do magni, interdum tristique habitasse totam. Gravida molestie quaerat duis habitant proin ornare eligendi incidunt posuere cupidatat aliquid provident purus, lacinia, tempore. Proident egestas. Eos adipiscing? Dictum cubilia torquent dui fugit.</p>\r\n','basic_html'),('right_media',0,1,1,'en',0,'<p>Porro autem condimentum pellentesque primis veritatis, quisque cumque laboriosam, congue, dis pariatur, alias incididunt do magni, interdum tristique habitasse totam. Gravida molestie quaerat duis habitant proin ornare eligendi incidunt posuere cupidatat aliquid provident purus, lacinia, tempore. Proident egestas. Eos adipiscing? Dictum cubilia torquent dui fugit.</p>\r\n','basic_html'),('left_media',0,2,2,'ar',0,'<p>In dignissim urna libero mus sagittis, incididunt curae accusantium corporis, ullamcorper scelerisque nostrum est commodo architecto donec voluptatum, atque, aspernatur rerum eleifend vulputate, ratione, excepteur inceptos voluptatem nisi ullam repellat. Nostrud cillum risus nisi laboriosam feugiat ab distinctio natoque varius quibusdam fugiat litora hic, iaculis dignissim.</p>\r\n','basic_html'),('left_media',0,2,2,'en',0,'<p>In dignissim urna libero mus sagittis, incididunt curae accusantium corporis, ullamcorper scelerisque nostrum est commodo architecto donec voluptatum, atque, aspernatur rerum eleifend vulputate, ratione, excepteur inceptos voluptatem nisi ullam repellat. Nostrud cillum risus nisi laboriosam feugiat ab distinctio natoque varius quibusdam fugiat litora hic, iaculis dignissim.</p>\r\n','basic_html'),('right_media',0,3,3,'ar',0,'<p>Voluptatibus similique. Odit voluptatum, nullam fugiat quidem ab modi dictumst fermentum magnam officia faucibus vero doloremque, eaque scelerisque quisquam porttitor minima sint bibendum mollis, aliquam similique ut voluptatem faucibus ut eum enim nec.</p>\r\n','basic_html'),('right_media',0,3,3,'en',0,'<p>Voluptatibus similique. Odit voluptatum, nullam fugiat quidem ab modi dictumst fermentum magnam officia faucibus vero doloremque, eaque scelerisque quisquam porttitor minima sint bibendum mollis, aliquam similique ut voluptatem faucibus ut eum enim nec.</p>\r\n','basic_html'),('process_step',0,8,8,'en',0,'<p>Exercitationem euismod beatae nascetur, velit ullamco est blanditiis voluptatum hendrerit eaque laoreet mi metus architecto? Condimentum officia repellendus porta malesuada saepe quidem, mi voluptate, facilis! Maxime consectetuer consectetur quo?&nbsp;</p>\r\n','basic_html'),('process_step',0,9,9,'en',0,'<p>Totam anim minus vel ad qui, unde interdum. Dolorem dictum voluptas quia dapibus lobortis cupidatat! Ante! Eius pharetra do rerum, scelerisque eu, nec dis. Accusantium purus varius mollit.</p>\r\n','basic_html'),('process_step',0,10,10,'en',0,'<p>Est condimentum habitasse! Auctor, erat urna harum pariatur enim fringilla aliquam, massa dolorum! Perferendis cubilia mus, primis curabitur torquent sodales consectetur. Eros. Excepteur dictum pede sunt euismod hymenaeos rhoncus.</p>\r\n','basic_html'),('process_step',0,11,11,'en',0,'<p>Nulla odio beatae mollis accusantium minima fermentum, fringilla, phasellus eius placerat autem earum? Adipisci commodi egestas, in quo proin magna dis diamlorem ipsum nullam, repudiandae.&nbsp;</p>\r\n','basic_html'),('process_step',0,12,12,'en',0,'<p>Cumque nascetur condimentum omnis unde tincidunt fugiat natus consequat, diamlorem fusce viverra dolore conubia elit dignissimos? Inceptos quas accumsan congue cumque elementum purus dictumst at eiusmod saepe aenean vitae commodi.</p>\r\n','basic_html'),('process_step',0,13,13,'en',0,'<p>Blanditiis fames vitae proin aenean mattis aut qui, facere suscipit nesciunt laoreet, quia numquam minus lacinia, in expedita, eius natoque maiores arcu dictumst est, parturient eum lacus habitant.</p>\r\n','basic_html'),('process_step',0,14,14,'en',0,'<p>&nbsp;Commodi hymenaeos dolorem dignissimos sunt reiciendis facilisis, dis hendrerit. Eius irure qui, dolore ullamco nunc nostrum justo, laborum earum illum facilisis? Eveniet, habitant et. Mi, inceptos imperdiet venenatis viverra, proin litora illum, nostrum excepteur aliqua, placerat donec.</p>\r\n','basic_html'),('process_step',0,15,15,'en',0,'<p>Dolores malesuada. Nemo repudiandae penatibus natoque quidem placerat nemo porta anim, cursus, sagittis repudiandae. Libero eius quidem. Eu necessitatibus sapien maiores, libero dictumst commodo nesciunt magna voluptatum, minima luctus aliquam laboris praesent!</p>\r\n','basic_html'),('process_step',0,16,16,'en',0,'<p>Harum nostrud, eius numquam taciti facilisis nascetur proin, quidem tenetur magna nemo non senectus laborum, etiam, accusamus eu soluta condimentum possimus lorem augue aptent, pede, vestibulum, sem laborum?&nbsp;</p>\r\n','basic_html'),('process_step',0,17,17,'en',0,'<p>In autem montes lectus tempora ornare dui placerat? Pede minima voluptatibus dolore! Provident, quasi consequatur architecto molestiae corrupti? At blandit repellat ultrices occaecat egestas, consectetuer esse! Diamlorem. Ea.</p>\r\n','basic_html'),('process_step',0,18,18,'en',0,'<p>Incididunt curae suspendisse ipsa! Laoreet eu? Etiam class nibh mollis nunc dictum ipsa condimentum, nam. Deserunt dignissim vel, natus non! Eleifend erat aliqua risus, rerum pariatur, tempora! Lacinia, vestibulum pellentesque.</p>\r\n','basic_html'),('process_step',0,19,19,'en',0,'<p>Occaecati fames! Est inceptos itaque architecto congue dolor, facilisi fugit iure saepe adipiscing ipsa! Doloremque nascetur, phasellus debitis laboris voluptate. Primis tristique anim necessitatibus eveniet consectetuer nascetur, repudiandae condimentum eros, mus posuere.</p>\r\n','basic_html'),('process_step',0,20,20,'en',0,'<p>Dolore dicta ducimus repudiandae pellentesque, posuere orci quisque natoque rutrum error habitant. Pulvinar, arcu? Laborum voluptas class fugit, senectus id? Modi anim, placeat sociosqu purus urna curabitur sem, lacinia excepteur tempor, quisque.</p>\r\n','basic_html'),('process_step',0,21,21,'en',0,'<p>Senectus molestias minus ridiculus faucibus vestibulum parturient justo, repudiandae lacinia ipsa, ipsam, cumque tempus sollicitudin. Massa sed irure mollit, aspernatur accusamus dignissim porro, omnis nullam maiores! Mus, ratione.</p>\r\n','basic_html'),('process_step',0,22,22,'en',0,'<p>Inventore velit iste culpa urna, sociosqu taciti eveniet lectus nullam ipsa magnis mollitia pede, inventore et inceptos nostrud ad. Cupiditate est repellat odit repellendus irure. Dicta officia maiores quisquam dapibus, ridiculus! Amet consequatur iure libero tincidunt, est rerum autem ornare, sed habitasse repellendus lacinia purus.</p>\r\n','basic_html'),('process_step',0,23,23,'en',0,'<p>Labore venenatis sociosqu cumque augue aliqua quaerat? Deleniti, molestias fringilla qui, eius feugiat! Accusantium. Enim totam fugit facilisi quia? Habitant voluptatibus diamlorem harum.</p>\r\n','basic_html'),('process_step',0,24,24,'en',0,'<p>Tellus potenti porro culpa? Gravida beatae sint do! Hymenaeos ea dictum, lacinia! Numquam porta anim, ante. Vitae erat soluta montes adipiscing facilisi reiciendis modi, vel morbi sapiente? Voluptatum quod vivamus aliquet tristique lacinia? Perspiciatis nam luctus!</p>\r\n','basic_html'),('process_step',0,25,25,'en',0,'<p>Accusantium eget urna dictum fermentum potenti, culpa molestie mollis, bibendum, debitis rem eos praesent dignissimos luctus fermentum urna, sollicitudin laoreet deserunt platea! Numquam sint convallis eum vivamus purus. Accumsan, commodo, ea sapiente. Natoque aptent.</p>\r\n','basic_html'),('process_step',0,26,26,'en',0,'<p>Nibh eos ullam sunt laboris imperdiet, nec animi eius ullamco, imperdiet suscipit blandit nec omnis cras aliquid sociosqu quas ac iusto impedit fames nisi tempor perferendis semper? Aptent, quo optio! Phasellus magnam, omnis recusandae placeat voluptatem.</p>\r\n','basic_html'),('process_step',0,27,27,'en',0,'<p>Animi? Debitis velit integer fusce tortor cupiditate veniam, cras hendrerit nobis nobis, sodales risus. Dolore, illo! Feugiat, explicabo vitae vivamus? Eaque, optio? Risus ligula pulvinar occaecat! Est. Ducimus quisque sagittis, quia.</p>\r\n','basic_html'),('process_step',0,28,28,'en',0,'<p>Sociosqu perferendis nascetur nulla commodo, incididunt senectus deleniti maxime rhoncus corrupti cum voluptatem curae nullam aliquet ridiculus, voluptate congue nunc. Laboriosam totam quisquam quidem excepturi quo iure do ullamco irure quia dictum wisi porttitor cillum ornare.</p>\r\n','basic_html'),('process_step',0,29,29,'en',0,'<p>Occaecati, fusce cras architecto cillum tempor? Leo incididunt voluptate aliquet mattis justo tempora repellat distinctio, sapiente habitant odio! Vehicula soluta eget error, eros phasellus exercitation, accusantium temporibus litora! Mauris harum? Lacus aliqua vivamus! Quisque, rem neque hendrerit iaculis.</p>\r\n','basic_html'),('process_step',0,30,30,'en',0,'<p>Pede tellus atque! Necessitatibus ut, quisquam dictumst? Nulla quas eiusmod quasi quas tincidunt varius nobis minim dictum molestiae! Magnam, quis voluptate maxime vivamus torquent ultrices? Morbi a assumenda ea facere, leo at aliqua qui laudantium unde!</p>\r\n','basic_html'),('process_step',0,31,31,'en',0,'<p>Quod ullamcorper elementum adipisci, nullam adipisci facilis integer pariatur aut ante cursus facilisi aute ullamcorper ullam accusantium, purus integer! Odio alias non primis quos! Commodi proin. Quas cum nemo quo, convallis nostrum nesciunt ridiculus ullamco a distinctio? Augue tincidunt dolor.</p>\r\n','basic_html'),('process_step',0,32,32,'en',0,'<p>Eros ratione eius nostrud penatibus ultricies voluptatibus? Perspiciatis ante vehicula? Ullamcorper ut feugiat taciti incididunt sodales aliqua doloribus, neque consectetur ducimus necessitatibus vehicula repudiandae alias. Modi aenean harum ultricies senectus, magna aperiam, lorem justo ad optio, leo purus itaque fusce erat turpis?&nbsp;</p>\r\n','basic_html'),('process_step',0,33,33,'en',0,'<p>Vestibulum, sint, anim cumque, cursus dolorem, ipsam faucibus morbi enim diam diamlorem eget similique, cillum aute luctus aperiam. Illo nostrud expedita quaerat, eveniet curabitur, curabitur quisquam incididunt praesent dignissim cupidatat, numquam provident! Dolorem cumque.</p>\r\n','basic_html'),('process_step',0,34,34,'en',0,'<p>Sequi. Sapiente ratione nisl conubia, sodales? Vehicula enim nibh varius laboriosam asperiores distinctio laudantium fames! Nullam asperiores cum minim fugit libero risus pariatur pharetra, iure odit deserunt? Iaculis earum harum. Molestias proident? Aut.</p>\r\n','basic_html'),('process_step',0,35,35,'en',0,'<p>Distinctio urna ea arcu, eaque ligula vitae fuga orci eu amet morbi molestias sint aliquam saepe? Aliquam ea malesuada doloremque assumenda excepturi est voluptates. Vel, blanditiis aenean vehicula, similique vel eget wisi libero delectus. Repellat torquent eaque, hac! Mi dictum qui ratione? Vero dui.</p>\r\n','basic_html'),('process_step',0,36,36,'en',0,'<p>Class rem penatibus incididunt quos debitis culpa temporibus ut mus sunt leo, maxime dignissimos congue, convallis? Potenti ad hendrerit commodo risus. Quasi porttitor delectus dui, quam, quisquam tellus, convallis magnis, potenti ridiculus dui, mollis repellat deleniti! Labore, optio, deserunt aliquid non porttitor nesciunt ipsam?&nbsp;</p>\r\n','basic_html'),('process_step',0,37,37,'en',0,'<p>Habitant repellendus excepturi maiores doloribus ab impedit enim, voluptatibus. Et! Exercitation expedita voluptas, mus lacinia, ullam deleniti mauris metus unde doloribus veritatis vitae, similique error cumque nunc aliquid diamlorem officia justo senectus, dictumst.</p>\r\n','basic_html'),('process_step',0,38,38,'en',0,'<p>Felis atque posuere aptent harum proin consequuntur ab doloremque ornare. Nam proin, quo voluptas suspendisse hic? Recusandae iaculis blanditiis voluptatem illum labore eleifend netus, alias cum? Natoque netus, ratione sociosqu, ultricies purus eveniet fermentum?&nbsp;</p>\r\n','basic_html'),('process_step',0,39,39,'en',0,'<p>Laudantium parturient iusto, error. Et tristique nam alias praesent, incidunt nonummy dictumst laudantium id! Rerum ad? Condimentum diam modi nunc a mi, sunt natus animi tellus nullam vestibulum nobis eius, placeat numquam fermentum!</p>\r\n','basic_html'),('process_step',0,40,40,'en',0,'<p>Pellentesque ornare elit quaerat. Aute facilis, incidunt fermentum, taciti sollicitudin numquam ultricies curabitur laboriosam aenean, non harum tempora! Id doloremque ad. Fuga sociis auctor numquam animi curabitur ex hymenaeos aliquet inventore sed lorem.</p>\r\n','basic_html'),('process_step',0,41,41,'en',0,'<p>Blanditiis labore, dis! Excepturi condimentum aenean sollicitudin ligula, inventore tempor, temporibus diamlorem praesent voluptates metus pretium eligendi ultrices integer delectus animi! Quam nulla quod, interdum, repellat illo, enim nostrud mollis.</p>\r\n','basic_html'),('right_media',0,42,42,'en',0,'<p>Tempora quo, inceptos class sunt expedita blanditiis integer. Mi, odit, ridiculus mollitia alias voluptates, cupidatat autem eiusmod est lobortis quas laudantium quod? Eros aliquet distinctio sociis primis aliquip? Tincidunt pede! Eos earum eget cum fuga quod? Veniam laudantium maecenas reiciendis dolorum omnis neque eum sed unde praesent omnis luctus odit.</p>\r\n','basic_html'),('left_media',0,43,43,'en',0,'<p>Laboriosam. Dolore officiis? Malesuada quae ipsa odit omnis laboris rem tristique, nisi quo debitis ultricies fames rem! Officiis cras earum? Mus tempore magnam ipsam eget? Eget dicta repellat? Volutpat, aenean nascetur sapien adipisci! Saepe cum, parturient recusandae curae vel purus ipsam cubilia laborum venenatis id.</p>\r\n','basic_html'),('right_media',0,44,44,'en',0,'<p>Iusto non nisi? Rutrum incididunt libero, tellus risus eiusmod. Sagittis quasi voluptatum nesciunt conubia eleifend iure. Porta deserunt? Diamlorem consequat? Eiusmod, itaque dignissim dis? Aspernatur a accumsan placeat, rhoncus ipsam, fugiat? Fames nobis facilisis gravida quisque.</p>\r\n','basic_html'),('left_media',0,45,45,'en',0,'<p>Faucibus, exercitationem magna donec magnis primis animi pariatur incididunt viverra, taciti occaecat curae quae. In accusantium laoreet? Sed nostrud hac beatae aut elit. Lectus cursus ornare, laboriosam tortor iaculis taciti ullamco, doloribus fugiat fusce? Primis congue quidem eros hic excepteur magna inceptos repellendus maecenas, nemo, doloribus minima varius quos risus leo litora eius, praesentium.</p>\r\n','basic_html');
/*!40000 ALTER TABLE `paragraph_revision__field_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraph_revision__field_title`
--

DROP TABLE IF EXISTS `paragraph_revision__field_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraph_revision__field_title` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for paragraph field field_title.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraph_revision__field_title`
--

LOCK TABLES `paragraph_revision__field_title` WRITE;
/*!40000 ALTER TABLE `paragraph_revision__field_title` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraph_revision__field_title` VALUES ('right_media',0,1,1,'ar',0,'YOUR TITLE'),('right_media',0,1,1,'en',0,'YOUR TITLE'),('left_media',0,2,2,'ar',0,'YOUR TITLE'),('left_media',0,2,2,'en',0,'YOUR TITLE'),('right_media',0,3,3,'ar',0,'YOUR TITLE'),('right_media',0,3,3,'en',0,'YOUR TITLE'),('process_step',0,8,8,'en',0,'01'),('process_step',0,9,9,'en',0,'02'),('process_step',0,10,10,'en',0,'03'),('process_step',0,11,11,'en',0,'04'),('process_step',0,12,12,'en',0,'01'),('process_step',0,13,13,'en',0,'02'),('process_step',0,14,14,'en',0,'01'),('process_step',0,15,15,'en',0,'02'),('process_step',0,16,16,'en',0,'01'),('process_step',0,17,17,'en',0,'02'),('process_step',0,18,18,'en',0,'01'),('process_step',0,19,19,'en',0,'02'),('process_step',0,20,20,'en',0,'01'),('process_step',0,21,21,'en',0,'02'),('process_step',0,22,22,'en',0,'01'),('process_step',0,23,23,'en',0,'02'),('process_step',0,24,24,'en',0,'01'),('process_step',0,25,25,'en',0,'02'),('process_step',0,26,26,'en',0,'01'),('process_step',0,27,27,'en',0,'02'),('process_step',0,28,28,'en',0,'01'),('process_step',0,29,29,'en',0,'02'),('process_step',0,30,30,'en',0,'01'),('process_step',0,31,31,'en',0,'02'),('process_step',0,32,32,'en',0,'01'),('process_step',0,33,33,'en',0,'02'),('process_step',0,34,34,'en',0,'01'),('process_step',0,35,35,'en',0,'02'),('process_step',0,36,36,'en',0,'01'),('process_step',0,37,37,'en',0,'02'),('process_step',0,38,38,'en',0,'01'),('process_step',0,39,39,'en',0,'02'),('process_step',0,40,40,'en',0,'03'),('process_step',0,41,41,'en',0,'04'),('right_media',0,42,42,'en',0,'MARKETING AGENCY'),('left_media',0,43,43,'en',0,'AGENCY'),('right_media',0,44,44,'en',0,'SEARCH ENGINE'),('left_media',0,45,45,'en',0,'SEARCH ENGINE');
/*!40000 ALTER TABLE `paragraph_revision__field_title` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraphs_item`
--

DROP TABLE IF EXISTS `paragraphs_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraphs_item` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `paragraph_field__uuid__value` (`uuid`),
  UNIQUE KEY `paragraph__revision_id` (`revision_id`),
  KEY `paragraph_field__type__target_id` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for paragraph entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraphs_item`
--

LOCK TABLES `paragraphs_item` WRITE;
/*!40000 ALTER TABLE `paragraphs_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraphs_item` VALUES (1,1,'right_media','2f83558b-8911-4d04-81bd-70405674d6d8','en'),(2,2,'left_media','4255e3db-7694-4a2a-bedd-d546f594b896','en'),(3,3,'right_media','14590d05-d297-4259-9379-9d22596cf110','en'),(8,8,'process_step','97c5f082-b35a-494f-9fc8-efbe2e6ac9de','en'),(9,9,'process_step','c0a37bb6-7ff5-4178-a3d4-9988e366d7bf','en'),(10,10,'process_step','8a351395-76f5-4763-9ec7-987e90de793e','en'),(11,11,'process_step','80bdaca1-d8d5-4152-9fee-43bf83fed603','en'),(12,12,'process_step','7e6e6610-57dd-412c-b8b7-5574f3c75dec','en'),(13,13,'process_step','51d9fe17-aa5d-415f-87b0-06bb6dae6061','en'),(14,14,'process_step','16fd66de-4a79-41b2-b13d-2093402506a0','en'),(15,15,'process_step','6f67b932-c70d-4aab-ba67-7f46bc513004','en'),(16,16,'process_step','bb344ff0-41c0-4f56-858b-e659896ef7c1','en'),(17,17,'process_step','094973ad-aadf-4b67-8532-b4b2e5fb644f','en'),(18,18,'process_step','633ebbc2-4738-4a25-8fbb-e2cffc881d3b','en'),(19,19,'process_step','f79f9d0a-b83d-41c4-8064-620dc2b9cfa7','en'),(20,20,'process_step','451b4a06-c551-48e2-af5f-e3a85db9b2e7','en'),(21,21,'process_step','c85f3623-7871-4950-a3ac-d3dee1ac0606','en'),(22,22,'process_step','6ff92ec8-4d5c-48f4-8c78-40a70ad801a4','en'),(23,23,'process_step','31adff6c-e5ee-4f85-9625-3e4dd17d20da','en'),(24,24,'process_step','45cfbced-dfd1-422c-a714-6661ec8773b2','en'),(25,25,'process_step','892b0c2f-0da9-4283-a915-6746d5e33cec','en'),(26,26,'process_step','6a739e5a-fc95-47f5-9d22-1e5220709e01','en'),(27,27,'process_step','f016c3e8-f24c-45f0-9d12-0a19160fee63','en'),(28,28,'process_step','0c2f5fd7-f312-4696-8242-68314eb54e1b','en'),(29,29,'process_step','bc1d3b1a-4714-4a5b-8f2e-46425d1c08a1','en'),(30,30,'process_step','63871db1-3fbd-42a1-affb-be26577af117','en'),(31,31,'process_step','5cda9c2d-75c4-4c57-9f3d-cab64cb1f0e9','en'),(32,32,'process_step','ad55fbf8-3b21-42e1-85b1-b399353a8b8e','en'),(33,33,'process_step','b1864a61-cf0e-4850-9280-4449099343fc','en'),(34,34,'process_step','670688b1-02e7-4c69-8d44-6bd6939bbdf0','en'),(35,35,'process_step','00eed7c6-9399-445c-8d2d-ccc99ec383f0','en'),(36,36,'process_step','0ecd0334-c53e-48ec-b5c0-1b06f78a81a0','en'),(37,37,'process_step','0d106a6a-5265-48c0-b83d-cd5d2d9d3a0b','en'),(38,38,'process_step','a6a55eb8-54ef-4957-8093-3050b8f9e164','en'),(39,39,'process_step','d9b7e245-f560-455e-aa23-955be1850635','en'),(40,40,'process_step','0e88bbfd-69d4-47e2-9322-d4eb4000711b','en'),(41,41,'process_step','9fa2525d-a7ee-4739-9b33-6f09b70a1327','en'),(42,42,'right_media','43a764a7-7c44-421d-933c-8c90a2d23556','en'),(43,43,'left_media','430e9351-9d72-4408-bcf8-a29e78beb310','en'),(44,44,'right_media','3c4716aa-1648-407c-89a3-e2269408553d','en'),(45,45,'left_media','6f7bafcf-ad3a-46c1-8de9-13641d9b60a4','en');
/*!40000 ALTER TABLE `paragraphs_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraphs_item_field_data`
--

DROP TABLE IF EXISTS `paragraphs_item_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraphs_item_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `parent_id` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `parent_type` varchar(32) CHARACTER SET ascii DEFAULT NULL,
  `parent_field_name` varchar(32) CHARACTER SET ascii DEFAULT NULL,
  `behavior_settings` longtext DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_changed` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `paragraph_field__type__target_id` (`type`),
  KEY `paragraph__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `paragraph__revision_id` (`revision_id`),
  KEY `paragraph__status_type` (`status`,`type`,`id`),
  KEY `paragraphs__parent_fields` (`parent_type`,`parent_id`,`parent_field_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for paragraph entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraphs_item_field_data`
--

LOCK TABLES `paragraphs_item_field_data` WRITE;
/*!40000 ALTER TABLE `paragraphs_item_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraphs_item_field_data` VALUES (1,1,'right_media','ar',1,1544011593,'25','node','field_paragraphs','a:0:{}',0,1,'en',0,NULL),(1,1,'right_media','en',1,1544011593,'25','node','field_paragraphs','a:0:{}',1,1,'und',0,NULL),(2,2,'left_media','ar',1,1544083545,'25','node','field_paragraphs','a:0:{}',0,1,'en',0,NULL),(2,2,'left_media','en',1,1544083545,'25','node','field_paragraphs','a:0:{}',1,1,'und',0,NULL),(3,3,'right_media','ar',1,1544083610,'25','node','field_paragraphs','a:0:{}',0,1,'en',0,NULL),(3,3,'right_media','en',1,1544083610,'25','node','field_paragraphs','a:0:{}',1,1,'und',0,NULL),(8,8,'process_step','ar',1,1545729535,'15','node','field_process','a:0:{}',0,1,'en',0,1545729535),(8,8,'process_step','en',1,1545729535,'15','node','field_process','a:0:{}',1,1,'und',0,1545729535),(9,9,'process_step','ar',1,1545729567,'15','node','field_process','a:0:{}',0,1,'en',0,1545729567),(9,9,'process_step','en',1,1545729567,'15','node','field_process','a:0:{}',1,1,'und',0,1545729567),(10,10,'process_step','ar',1,1545729581,'15','node','field_process','a:0:{}',0,1,'en',0,1545729581),(10,10,'process_step','en',1,1545729581,'15','node','field_process','a:0:{}',1,1,'und',0,1545729581),(11,11,'process_step','ar',1,1545729601,'15','node','field_process','a:0:{}',0,1,'en',0,1545729601),(11,11,'process_step','en',1,1545729601,'15','node','field_process','a:0:{}',1,1,'und',0,1545729601),(12,12,'process_step','ar',1,1545729719,'16','node','field_process','a:0:{}',0,1,'en',0,1545729719),(12,12,'process_step','en',1,1545729719,'16','node','field_process','a:0:{}',1,1,'und',0,1545729719),(13,13,'process_step','ar',1,1545729954,'16','node','field_process','a:0:{}',0,1,'en',0,1545729954),(13,13,'process_step','en',1,1545729954,'16','node','field_process','a:0:{}',1,1,'und',0,1545729954),(14,14,'process_step','ar',1,1545730226,'17','node','field_process','a:0:{}',0,1,'en',0,1545730226),(14,14,'process_step','en',1,1545730226,'17','node','field_process','a:0:{}',1,1,'und',0,1545730226),(15,15,'process_step','ar',1,1545730240,'17','node','field_process','a:0:{}',0,1,'en',0,1545730240),(15,15,'process_step','en',1,1545730240,'17','node','field_process','a:0:{}',1,1,'und',0,1545730240),(16,16,'process_step','ar',1,1545730367,'18','node','field_process','a:0:{}',0,1,'en',0,1545730367),(16,16,'process_step','en',1,1545730367,'18','node','field_process','a:0:{}',1,1,'und',0,1545730367),(17,17,'process_step','ar',1,1545730379,'18','node','field_process','a:0:{}',0,1,'en',0,1545730379),(17,17,'process_step','en',1,1545730379,'18','node','field_process','a:0:{}',1,1,'und',0,1545730379),(18,18,'process_step','ar',1,1545730627,'19','node','field_process','a:0:{}',0,1,'en',0,1545730627),(18,18,'process_step','en',1,1545730627,'19','node','field_process','a:0:{}',1,1,'und',0,1545730627),(19,19,'process_step','ar',1,1545730645,'19','node','field_process','a:0:{}',0,1,'en',0,1545730645),(19,19,'process_step','en',1,1545730645,'19','node','field_process','a:0:{}',1,1,'und',0,1545730645),(20,20,'process_step','ar',1,1545730740,'20','node','field_process','a:0:{}',0,1,'en',0,1545730740),(20,20,'process_step','en',1,1545730740,'20','node','field_process','a:0:{}',1,1,'und',0,1545730740),(21,21,'process_step','ar',1,1545730754,'20','node','field_process','a:0:{}',0,1,'en',0,1545730754),(21,21,'process_step','en',1,1545730754,'20','node','field_process','a:0:{}',1,1,'und',0,1545730754),(22,22,'process_step','ar',1,1545730877,'21','node','field_process','a:0:{}',0,1,'en',0,1545730877),(22,22,'process_step','en',1,1545730877,'21','node','field_process','a:0:{}',1,1,'und',0,1545730877),(23,23,'process_step','ar',1,1545730890,'21','node','field_process','a:0:{}',0,1,'en',0,1545730890),(23,23,'process_step','en',1,1545730890,'21','node','field_process','a:0:{}',1,1,'und',0,1545730890),(24,24,'process_step','ar',1,1545732361,'22','node','field_process','a:0:{}',0,1,'en',0,1545732361),(24,24,'process_step','en',1,1545732361,'22','node','field_process','a:0:{}',1,1,'und',0,1545732361),(25,25,'process_step','ar',1,1545732395,'22','node','field_process','a:0:{}',0,1,'en',0,1545732395),(25,25,'process_step','en',1,1545732395,'22','node','field_process','a:0:{}',1,1,'und',0,1545732395),(26,26,'process_step','ar',1,1545734088,'47','node','field_process','a:0:{}',0,1,'en',0,1545734190),(26,26,'process_step','en',1,1545734088,'47','node','field_process','a:0:{}',1,1,'und',0,1545734190),(27,27,'process_step','ar',1,1545734173,'47','node','field_process','a:0:{}',0,1,'en',0,1545734190),(27,27,'process_step','en',1,1545734173,'47','node','field_process','a:0:{}',1,1,'und',0,1545734190),(28,28,'process_step','ar',1,1545734283,'48','node','field_process','a:0:{}',0,1,'en',0,1545734398),(28,28,'process_step','en',1,1545734283,'48','node','field_process','a:0:{}',1,1,'und',0,1545734398),(29,29,'process_step','ar',1,1545734382,'48','node','field_process','a:0:{}',0,1,'en',0,1545734398),(29,29,'process_step','en',1,1545734382,'48','node','field_process','a:0:{}',1,1,'und',0,1545734398),(30,30,'process_step','ar',1,1545734448,'49','node','field_process','a:0:{}',0,1,'en',0,1545735372),(30,30,'process_step','en',1,1545734448,'49','node','field_process','a:0:{}',1,1,'und',0,1545735372),(31,31,'process_step','ar',1,1545735273,'49','node','field_process','a:0:{}',0,1,'en',0,1545735372),(31,31,'process_step','en',1,1545735273,'49','node','field_process','a:0:{}',1,1,'und',0,1545735372),(32,32,'process_step','ar',1,1545735424,'50','node','field_process','a:0:{}',0,1,'en',0,1545735492),(32,32,'process_step','en',1,1545735424,'50','node','field_process','a:0:{}',1,1,'und',0,1545735492),(33,33,'process_step','ar',1,1545735475,'50','node','field_process','a:0:{}',0,1,'en',0,1545735492),(33,33,'process_step','en',1,1545735475,'50','node','field_process','a:0:{}',1,1,'und',0,1545735492),(34,34,'process_step','ar',1,1545735560,'51','node','field_process','a:0:{}',0,1,'en',0,1545735798),(34,34,'process_step','en',1,1545735560,'51','node','field_process','a:0:{}',1,1,'und',0,1545735798),(35,35,'process_step','ar',1,1545735783,'51','node','field_process','a:0:{}',0,1,'en',0,1545735798),(35,35,'process_step','en',1,1545735783,'51','node','field_process','a:0:{}',1,1,'und',0,1545735798),(36,36,'process_step','ar',1,1545735885,'52','node','field_process','a:0:{}',0,1,'en',0,1545735960),(36,36,'process_step','en',1,1545735885,'52','node','field_process','a:0:{}',1,1,'und',0,1545735960),(37,37,'process_step','ar',1,1545735940,'52','node','field_process','a:0:{}',0,1,'en',0,1545735960),(37,37,'process_step','en',1,1545735940,'52','node','field_process','a:0:{}',1,1,'und',0,1545735960),(38,38,'process_step','ar',1,1545806964,'53','node','field_process','a:0:{}',0,1,'en',0,1545807008),(38,38,'process_step','en',1,1545806964,'53','node','field_process','a:0:{}',1,1,'und',0,1545807008),(39,39,'process_step','ar',1,1545806964,'53','node','field_process','a:0:{}',0,1,'en',0,1545807008),(39,39,'process_step','en',1,1545806964,'53','node','field_process','a:0:{}',1,1,'und',0,1545807008),(40,40,'process_step','ar',1,1545806976,'53','node','field_process','a:0:{}',0,1,'en',0,1545807008),(40,40,'process_step','en',1,1545806976,'53','node','field_process','a:0:{}',1,1,'und',0,1545807008),(41,41,'process_step','ar',1,1545806990,'53','node','field_process','a:0:{}',0,1,'en',0,1545807008),(41,41,'process_step','en',1,1545806990,'53','node','field_process','a:0:{}',1,1,'und',0,1545807008),(42,42,'right_media','ar',1,1545880782,'23','node','field_paragraphs','a:0:{}',0,1,'en',0,1545880782),(42,42,'right_media','en',1,1545880782,'23','node','field_paragraphs','a:0:{}',1,1,'und',0,1545880782),(43,43,'left_media','ar',1,1545881296,'23','node','field_paragraphs','a:0:{}',0,1,'en',0,1545881296),(43,43,'left_media','en',1,1545881296,'23','node','field_paragraphs','a:0:{}',1,1,'und',0,1545881296),(44,44,'right_media','ar',1,1545881583,'24','node','field_paragraphs','a:0:{}',0,1,'en',0,1545881583),(44,44,'right_media','en',1,1545881583,'24','node','field_paragraphs','a:0:{}',1,1,'und',0,1545881583),(45,45,'left_media','ar',1,1545881663,'24','node','field_paragraphs','a:0:{}',0,1,'en',0,1545881663),(45,45,'left_media','en',1,1545881663,'24','node','field_paragraphs','a:0:{}',1,1,'und',0,1545881663);
/*!40000 ALTER TABLE `paragraphs_item_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraphs_item_revision`
--

DROP TABLE IF EXISTS `paragraphs_item_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraphs_item_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `paragraph__id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for paragraph entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraphs_item_revision`
--

LOCK TABLES `paragraphs_item_revision` WRITE;
/*!40000 ALTER TABLE `paragraphs_item_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraphs_item_revision` VALUES (1,1,'en',1),(2,2,'en',1),(3,3,'en',1),(8,8,'en',1),(9,9,'en',1),(10,10,'en',1),(11,11,'en',1),(12,12,'en',1),(13,13,'en',1),(14,14,'en',1),(15,15,'en',1),(16,16,'en',1),(17,17,'en',1),(18,18,'en',1),(19,19,'en',1),(20,20,'en',1),(21,21,'en',1),(22,22,'en',1),(23,23,'en',1),(24,24,'en',1),(25,25,'en',1),(26,26,'en',1),(27,27,'en',1),(28,28,'en',1),(29,29,'en',1),(30,30,'en',1),(31,31,'en',1),(32,32,'en',1),(33,33,'en',1),(34,34,'en',1),(35,35,'en',1),(36,36,'en',1),(37,37,'en',1),(38,38,'en',1),(39,39,'en',1),(40,40,'en',1),(41,41,'en',1),(42,42,'en',1),(43,43,'en',1),(44,44,'en',1),(45,45,'en',1);
/*!40000 ALTER TABLE `paragraphs_item_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `paragraphs_item_revision_field_data`
--

DROP TABLE IF EXISTS `paragraphs_item_revision_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paragraphs_item_revision_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `behavior_settings` longtext DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_changed` int(11) DEFAULT NULL,
  `parent_id` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `parent_type` varchar(32) CHARACTER SET ascii DEFAULT NULL,
  `parent_field_name` varchar(32) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `paragraph__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `paragraphs__parent_fields` (`parent_type`,`parent_id`,`parent_field_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for paragraph entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paragraphs_item_revision_field_data`
--

LOCK TABLES `paragraphs_item_revision_field_data` WRITE;
/*!40000 ALTER TABLE `paragraphs_item_revision_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `paragraphs_item_revision_field_data` VALUES (1,1,'ar',1,1544011593,'a:0:{}',0,1,'en',0,NULL,'25','node','field_paragraphs'),(1,1,'en',1,1544011593,'a:0:{}',1,1,'und',0,NULL,'25','node','field_paragraphs'),(2,2,'ar',1,1544083545,'a:0:{}',0,1,'en',0,NULL,'25','node','field_paragraphs'),(2,2,'en',1,1544083545,'a:0:{}',1,1,'und',0,NULL,'25','node','field_paragraphs'),(3,3,'ar',1,1544083610,'a:0:{}',0,1,'en',0,NULL,'25','node','field_paragraphs'),(3,3,'en',1,1544083610,'a:0:{}',1,1,'und',0,NULL,'25','node','field_paragraphs'),(8,8,'ar',1,1545729535,'a:0:{}',0,1,'en',0,1545729535,'15','node','field_process'),(8,8,'en',1,1545729535,'a:0:{}',1,1,'und',0,1545729535,'15','node','field_process'),(9,9,'ar',1,1545729567,'a:0:{}',0,1,'en',0,1545729567,'15','node','field_process'),(9,9,'en',1,1545729567,'a:0:{}',1,1,'und',0,1545729567,'15','node','field_process'),(10,10,'ar',1,1545729581,'a:0:{}',0,1,'en',0,1545729581,'15','node','field_process'),(10,10,'en',1,1545729581,'a:0:{}',1,1,'und',0,1545729581,'15','node','field_process'),(11,11,'ar',1,1545729601,'a:0:{}',0,1,'en',0,1545729601,'15','node','field_process'),(11,11,'en',1,1545729601,'a:0:{}',1,1,'und',0,1545729601,'15','node','field_process'),(12,12,'ar',1,1545729719,'a:0:{}',0,1,'en',0,1545729719,'16','node','field_process'),(12,12,'en',1,1545729719,'a:0:{}',1,1,'und',0,1545729719,'16','node','field_process'),(13,13,'ar',1,1545729954,'a:0:{}',0,1,'en',0,1545729954,'16','node','field_process'),(13,13,'en',1,1545729954,'a:0:{}',1,1,'und',0,1545729954,'16','node','field_process'),(14,14,'ar',1,1545730226,'a:0:{}',0,1,'en',0,1545730226,'17','node','field_process'),(14,14,'en',1,1545730226,'a:0:{}',1,1,'und',0,1545730226,'17','node','field_process'),(15,15,'ar',1,1545730240,'a:0:{}',0,1,'en',0,1545730240,'17','node','field_process'),(15,15,'en',1,1545730240,'a:0:{}',1,1,'und',0,1545730240,'17','node','field_process'),(16,16,'ar',1,1545730367,'a:0:{}',0,1,'en',0,1545730367,'18','node','field_process'),(16,16,'en',1,1545730367,'a:0:{}',1,1,'und',0,1545730367,'18','node','field_process'),(17,17,'ar',1,1545730379,'a:0:{}',0,1,'en',0,1545730379,'18','node','field_process'),(17,17,'en',1,1545730379,'a:0:{}',1,1,'und',0,1545730379,'18','node','field_process'),(18,18,'ar',1,1545730627,'a:0:{}',0,1,'en',0,1545730627,'19','node','field_process'),(18,18,'en',1,1545730627,'a:0:{}',1,1,'und',0,1545730627,'19','node','field_process'),(19,19,'ar',1,1545730645,'a:0:{}',0,1,'en',0,1545730645,'19','node','field_process'),(19,19,'en',1,1545730645,'a:0:{}',1,1,'und',0,1545730645,'19','node','field_process'),(20,20,'ar',1,1545730740,'a:0:{}',0,1,'en',0,1545730740,'20','node','field_process'),(20,20,'en',1,1545730740,'a:0:{}',1,1,'und',0,1545730740,'20','node','field_process'),(21,21,'ar',1,1545730754,'a:0:{}',0,1,'en',0,1545730754,'20','node','field_process'),(21,21,'en',1,1545730754,'a:0:{}',1,1,'und',0,1545730754,'20','node','field_process'),(22,22,'ar',1,1545730877,'a:0:{}',0,1,'en',0,1545730877,'21','node','field_process'),(22,22,'en',1,1545730877,'a:0:{}',1,1,'und',0,1545730877,'21','node','field_process'),(23,23,'ar',1,1545730890,'a:0:{}',0,1,'en',0,1545730890,'21','node','field_process'),(23,23,'en',1,1545730890,'a:0:{}',1,1,'und',0,1545730890,'21','node','field_process'),(24,24,'ar',1,1545732361,'a:0:{}',0,1,'en',0,1545732361,'22','node','field_process'),(24,24,'en',1,1545732361,'a:0:{}',1,1,'und',0,1545732361,'22','node','field_process'),(25,25,'ar',1,1545732395,'a:0:{}',0,1,'en',0,1545732395,'22','node','field_process'),(25,25,'en',1,1545732395,'a:0:{}',1,1,'und',0,1545732395,'22','node','field_process'),(26,26,'ar',1,1545734088,'a:0:{}',0,1,'en',0,1545734190,'47','node','field_process'),(26,26,'en',1,1545734088,'a:0:{}',1,1,'und',0,1545734190,'47','node','field_process'),(27,27,'ar',1,1545734173,'a:0:{}',0,1,'en',0,1545734190,'47','node','field_process'),(27,27,'en',1,1545734173,'a:0:{}',1,1,'und',0,1545734190,'47','node','field_process'),(28,28,'ar',1,1545734283,'a:0:{}',0,1,'en',0,1545734398,'48','node','field_process'),(28,28,'en',1,1545734283,'a:0:{}',1,1,'und',0,1545734398,'48','node','field_process'),(29,29,'ar',1,1545734382,'a:0:{}',0,1,'en',0,1545734398,'48','node','field_process'),(29,29,'en',1,1545734382,'a:0:{}',1,1,'und',0,1545734398,'48','node','field_process'),(30,30,'ar',1,1545734448,'a:0:{}',0,1,'en',0,1545735372,'49','node','field_process'),(30,30,'en',1,1545734448,'a:0:{}',1,1,'und',0,1545735372,'49','node','field_process'),(31,31,'ar',1,1545735273,'a:0:{}',0,1,'en',0,1545735372,'49','node','field_process'),(31,31,'en',1,1545735273,'a:0:{}',1,1,'und',0,1545735372,'49','node','field_process'),(32,32,'ar',1,1545735424,'a:0:{}',0,1,'en',0,1545735492,'50','node','field_process'),(32,32,'en',1,1545735424,'a:0:{}',1,1,'und',0,1545735492,'50','node','field_process'),(33,33,'ar',1,1545735475,'a:0:{}',0,1,'en',0,1545735492,'50','node','field_process'),(33,33,'en',1,1545735475,'a:0:{}',1,1,'und',0,1545735492,'50','node','field_process'),(34,34,'ar',1,1545735560,'a:0:{}',0,1,'en',0,1545735798,'51','node','field_process'),(34,34,'en',1,1545735560,'a:0:{}',1,1,'und',0,1545735798,'51','node','field_process'),(35,35,'ar',1,1545735783,'a:0:{}',0,1,'en',0,1545735798,'51','node','field_process'),(35,35,'en',1,1545735783,'a:0:{}',1,1,'und',0,1545735798,'51','node','field_process'),(36,36,'ar',1,1545735885,'a:0:{}',0,1,'en',0,1545735960,'52','node','field_process'),(36,36,'en',1,1545735885,'a:0:{}',1,1,'und',0,1545735960,'52','node','field_process'),(37,37,'ar',1,1545735940,'a:0:{}',0,1,'en',0,1545735960,'52','node','field_process'),(37,37,'en',1,1545735940,'a:0:{}',1,1,'und',0,1545735960,'52','node','field_process'),(38,38,'ar',1,1545806964,'a:0:{}',0,1,'en',0,1545807008,'53','node','field_process'),(38,38,'en',1,1545806964,'a:0:{}',1,1,'und',0,1545807008,'53','node','field_process'),(39,39,'ar',1,1545806964,'a:0:{}',0,1,'en',0,1545807008,'53','node','field_process'),(39,39,'en',1,1545806964,'a:0:{}',1,1,'und',0,1545807008,'53','node','field_process'),(40,40,'ar',1,1545806976,'a:0:{}',0,1,'en',0,1545807008,'53','node','field_process'),(40,40,'en',1,1545806976,'a:0:{}',1,1,'und',0,1545807008,'53','node','field_process'),(41,41,'ar',1,1545806990,'a:0:{}',0,1,'en',0,1545807008,'53','node','field_process'),(41,41,'en',1,1545806990,'a:0:{}',1,1,'und',0,1545807008,'53','node','field_process'),(42,42,'ar',1,1545880782,'a:0:{}',0,1,'en',0,1545880782,'23','node','field_paragraphs'),(42,42,'en',1,1545880782,'a:0:{}',1,1,'und',0,1545880782,'23','node','field_paragraphs'),(43,43,'ar',1,1545881296,'a:0:{}',0,1,'en',0,1545881296,'23','node','field_paragraphs'),(43,43,'en',1,1545881296,'a:0:{}',1,1,'und',0,1545881296,'23','node','field_paragraphs'),(44,44,'ar',1,1545881583,'a:0:{}',0,1,'en',0,1545881583,'24','node','field_paragraphs'),(44,44,'en',1,1545881583,'a:0:{}',1,1,'und',0,1545881583,'24','node','field_paragraphs'),(45,45,'ar',1,1545881663,'a:0:{}',0,1,'en',0,1545881663,'24','node','field_paragraphs'),(45,45,'en',1,1545881663,'a:0:{}',1,1,'und',0,1545881663,'24','node','field_paragraphs');
/*!40000 ALTER TABLE `paragraphs_item_revision_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `path_alias`
--

DROP TABLE IF EXISTS `path_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `path_alias` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `path_alias_field__uuid__value` (`uuid`),
  UNIQUE KEY `path_alias__revision_id` (`revision_id`),
  KEY `path_alias__status` (`status`,`id`),
  KEY `path_alias__alias_langcode_id_status` (`alias`(191),`langcode`,`id`,`status`),
  KEY `path_alias__path_langcode_id_status` (`path`(191),`langcode`,`id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=99 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for path_alias entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `path_alias`
--

LOCK TABLES `path_alias` WRITE;
/*!40000 ALTER TABLE `path_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `path_alias` VALUES (2,2,'b011d223-2baa-41c0-a4f5-7488cc9ff1e9','en','/node/38','/pages',1),(3,3,'753f24b1-9881-4831-86c9-10f65bca19b7','en','/taxonomy/term/10','/category/business',1),(4,4,'778be29e-e9de-4920-9e47-af6ba0df8cd9','en','/taxonomy/term/3','/category/education',1),(5,5,'ad986f1b-d59e-447a-8546-8f227870cbb2','en','/taxonomy/term/6','/category/fashion',1),(6,6,'f8d6a396-2270-45d3-9d90-168cfa2561b9','en','/taxonomy/term/30','/category/health-beauty',1),(7,7,'075921bd-59e3-4041-9081-9835f190dd78','en','/taxonomy/term/13','/category/hospital',1),(11,11,'6bf712a4-547d-4a5b-a58f-a5b0cfb0d886','en','/taxonomy/term/23','/category/more',1),(12,12,'dcd87d6a-5e5b-49c8-90fe-5dab190c5001','en','/taxonomy/term/17','/category/nature',1),(13,13,'704bbcc6-e4ea-4df1-bac8-03556c2654ff','en','/taxonomy/term/20','/category/others',1),(14,14,'b082bd35-e05d-47e5-8fd7-dcc3a4c6aeac','en','/taxonomy/term/7','/category/sports',1),(15,15,'1be42b83-d1df-4cf7-9114-d76b78beae4a','en','/taxonomy/term/4','/category/travel',1),(16,16,'f4e27205-b6f8-4390-98a0-181007c7e73d','en','/taxonomy/term/25','/category/wedding',1),(17,17,'cab841c0-751e-4938-8019-4961ec1fe5ba','ar','/node/19','/blog/art-worth-45m-found-hidden-brazilian-shipping-container',1),(18,18,'f7588bbf-9fa0-4477-a9df-ce8da33643f5','ar','/node/31','/blog/russias-other-art-biennial',1),(19,19,'079a0f47-e731-48a3-b3b8-3827d5c38124','ar','/node/24','/blog/british-library-returns-painted-renaissance-book-panel',1),(20,20,'c393e889-f11f-4faa-9c86-c374448986a5','ar','/node/23','/blog/spain-returns-small-museum-artefacts-colombia',1),(21,21,'1549e037-c8c8-4bc0-b624-72f1fb369380','ar','/node/33','/blog/etsy-weddings-handmade-object-week',1),(22,22,'6fcc4b01-4763-4776-83bb-1365f6b19b19','ar','/node/2','/blog/so-much-do-beaches-san-diego',1),(23,23,'688a7378-c5ba-4e49-99d4-431021fac9bf','ar','/node/3','/blog/bay-plenty-adventure-plentiful-bay',1),(24,24,'7daf71ed-8fb7-427c-a8d3-dea4e642ee8b','ar','/node/4','/blog/beaches-boats',1),(25,25,'031561fa-ded6-471c-a598-90080c1d579c','ar','/node/12','/blog/guided-tours-every-taste',1),(26,26,'5c8236c6-5213-4444-ae7a-d7a06c9396f8','ar','/node/6','/blog/montreal-google-guide',1),(27,27,'cb04e6af-24fc-4838-b582-651bcdd6d529','ar','/node/18','/blog/love-nature-genetics',1),(28,28,'51f9af1f-eb3c-4cd5-9fe2-88d009337667','ar','/node/20','/blog/how-become-science-adviser-films-and-tv-shows',1),(29,29,'00203182-093d-4f83-a43a-736a78a949f9','ar','/node/21','/blog/biosecurity-laws-under-scanner',1),(30,30,'f4821d95-d636-454d-8bcc-0c5657c6be91','ar','/node/22','/blog/move-over-kuta-real-bali',1),(31,31,'8f8a6fd4-b2c4-4efd-8dec-276b3106a497','ar','/node/7','/blog/what-would-sport-touring-bike-be',1),(32,32,'4850ae51-45f9-4a9b-8355-65ee9aae3d5a','ar','/node/5','/blog/what-would-sport-touring-bike-be-0',1),(33,33,'3f15d4e7-ef18-47b6-8426-f97be4bb2107','ar','/node/10','/blog/new-girl-block',1),(34,34,'0cb2e13f-1b78-40ca-99b3-0bf7e23da617','ar','/node/1','/blog/many-teachers-feel-undervalued-survey-finds',1),(35,35,'865b05f1-063e-4400-8d48-60ef1a3611f1','ar','/node/9','/blog/math-under-common-core-has-even-parents-stumbling',1),(36,36,'74126de1-ef44-491b-9276-60a1ea36255b','ar','/node/11','/blog/prince-absolutely-right-bring-back-grammar-schools',1),(37,37,'0529c973-bbda-4b76-89b8-073586e76db6','ar','/node/13','/blog/new-companies-office-status-check-features',1),(38,38,'50e81518-c9f6-4753-80e2-d5b9a9e1ae97','ar','/node/16','/blog/companies-amendment-bill-passes-law',1),(39,39,'5138425a-56d5-446e-8f47-45644a8169f1','ar','/node/17','/blog/dont-get-taken-ride-when-buying-car',1),(40,40,'c2c866af-1c09-443e-8797-890f9b785543','ar','/node/34','/blog/branding-and-company-extract-changes',1),(41,41,'6c334989-27f7-431f-bff5-b34c675e3998','ar','/node/8','/blog/world-cup-us-has-chance-pull-upset-vs-belgium',1),(42,42,'76d19cb9-09bd-494c-9e2c-d01b2d67e010','ar','/node/35','/blog/sip-slim-down-right-way-drink-green-tea-weight-loss',1),(43,43,'550b5bcb-e4cb-405b-b82d-0c25527b7873','ar','/node/14','/blog/uw-hospital-emergency-department-nurses-receive-lantern-award',1),(44,44,'d9eb12c3-5b9a-49df-a58c-59be068416f7','ar','/node/15','/blog/heart-attack-study-could-lead-longer-lives',1),(45,45,'7dd36ef2-f61f-40fb-bb76-9e60d30d9b59','ar','/node/29','/blog/diabetes-epidemic',1),(46,46,'c202d0e1-8682-46f3-b43e-d9af5ae15dfb','ar','/node/32','/blog/how-banish-stress-25-minutes',1),(47,47,'04fdf6d7-6d1d-4144-8d32-001b3b7257bd','ar','/node/30','/blog/6-people-who-will-stress-you-out-your-wedding-day',1),(48,48,'72c9fec2-3b0a-4c52-9b8b-962d56ee0207','ar','/node/27','/blog/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons',1),(49,49,'d4a625ac-1eca-4139-87c2-1a6b653bf2c0','ar','/node/26','/blog/looks-day',1),(50,50,'0273c964-4af9-4624-976e-ddf8dc4a9021','ar','/node/28','/blog/more-1000-runners-signed-syracuse-half-marathon',1),(51,51,'045f1c98-b6ab-4a91-9bde-78c3f96a7ee3','ar','/node/25','/blog/world-cup-sportsday',1),(52,52,'a88e87bd-0d43-40e1-b272-131b4bc98b4a','ar','/node/36','/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing',1),(53,53,'2aa42331-95cf-4dfd-8659-16d1b5fd2b4f','en','/node/25','/blog/world-cup-sportsday',1),(55,55,'98f0a152-aa8b-4f93-88b1-9ff36aeb8243','en','/node/40','/showcase/autox',1),(56,56,'ef7e264a-9d05-4bf3-b28d-de69610797eb','en','/node/41','/showcase/education',1),(57,57,'69de4847-1569-43f5-8e8a-558d7881ad05','en','/node/42','/showcase/news',1),(58,58,'f7308263-846f-45de-a4c7-606d646e6b0c','en','/node/43','/showcase/garnet',1),(59,59,'2bf0624b-055f-48c4-baf5-96b5dfb1f324','en','/node/44','/showcase/zircon-ii',1),(60,60,'7f0e8586-1763-4363-9928-24390ccf361a','en','/node/45','/showcase/business',1),(61,61,'df63e682-83c0-4000-b006-a6f44b94e3d0','en','/node/46','/showcase/new-shopping',1),(62,62,'e380368c-7974-457d-9071-b1cd8c22c62f','en','/node/47','/showcase/onepage',1),(63,63,'e2749301-9dce-43b5-bfc4-ec0d0ae0e9ae','en','/node/36','/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing',1),(64,64,'bd8054a8-98be-4e4e-bf15-cfd9ba489a64','en','/node/35','/blog/sip-slim-down-right-way-drink-green-tea-weight-loss',1),(65,65,'ec7874ce-4890-4fae-980b-0930bc4fcb81','en','/node/34','/blog/branding-and-company-extract-changes',1),(66,66,'25f923b9-321a-4fb1-86f2-f1900df4b595','en','/node/33','/blog/etsy-weddings-handmade-object-week',1),(67,67,'c945462f-b7b4-460c-abfc-926d10ab9828','en','/node/32','/blog/how-banish-stress-25-minutes',1),(68,68,'96835cf4-ffc3-40d4-a65a-09c2ce7a3599','en','/node/31','/blog/russias-other-art-biennial',1),(69,69,'8cf1a3a6-840e-432f-8250-8d03b863f28c','en','/node/30','/blog/6-people-who-will-stress-you-out-your-wedding-day',1),(70,70,'68e20a99-2d2c-4e28-a9eb-fcbdfbe93a72','en','/node/29','/blog/diabetes-epidemic',1),(71,71,'013e4fb0-8535-4db6-93e8-3b55b9771420','en','/node/28','/blog/more-1000-runners-signed-syracuse-half-marathon',1),(72,72,'cd938aae-88b4-437f-993f-e66334ec9a1e','en','/node/27','/blog/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons',1),(73,73,'7802c33b-8142-4c2d-97f6-6713b05a80f8','en','/node/26','/blog/looks-day',1),(74,74,'0b7850e7-bf4a-4c3c-a30b-9e070d6454e2','en','/node/24','/blog/british-library-returns-painted-renaissance-book-panel',1),(75,75,'afa0d171-810d-4b7b-a560-d2713f7c28d4','en','/node/23','/blog/spain-returns-small-museum-artefacts-colombia',1),(76,76,'8dd8bf2a-8c87-4ef5-a072-6bf235aeec1b','en','/node/22','/blog/move-over-kuta-real-bali',1),(77,77,'fbf30243-f22c-441f-82eb-5ad3ad7bb522','en','/node/21','/blog/biosecurity-laws-under-scanner',1),(78,78,'5c5cdef8-3852-451c-8fed-1fb7abccb5fb','en','/node/20','/blog/how-become-science-adviser-films-and-tv-shows',1),(79,79,'cfd8312b-9f97-43b3-b552-00850af1ee44','en','/node/19','/blog/art-worth-45m-found-hidden-brazilian-shipping-container',1),(80,80,'aa5ac90b-1a35-45b0-9855-2a9a7b28c952','en','/node/18','/blog/love-nature-genetics',1),(81,81,'ecff0f10-5f66-4a92-aa6d-b8eea02f9fbe','en','/node/17','/blog/dont-get-taken-ride-when-buying-car',1),(82,82,'30455408-10a0-43de-b928-81985a8425d8','en','/node/16','/blog/companies-amendment-bill-passes-law',1),(83,83,'d5a9e276-66f7-47a2-a332-7b18362f3b31','en','/node/15','/blog/heart-attack-study-could-lead-longer-lives',1),(84,84,'b9abcee0-629a-46fe-b777-7f0ea0e761aa','en','/node/14','/blog/uw-hospital-emergency-department-nurses-receive-lantern-award',1),(85,85,'051adae3-1194-481f-b41b-8ee475a7ea42','en','/node/13','/blog/new-companies-office-status-check-features',1),(86,86,'3bd4da93-ae67-4314-b078-256aa61c859c','en','/node/12','/blog/guided-tours-every-taste-0',1),(87,87,'81747ac4-35a0-47c2-9b19-2e9aca6e92aa','en','/node/11','/blog/prince-absolutely-right-bring-back-grammar-schools',1),(88,88,'17e59390-87f6-4c7b-b620-09013641b44f','en','/node/10','/blog/new-girl-block',1),(89,89,'70dadf23-bbe2-469e-b82e-d2ae449adcf6','en','/node/9','/blog/math-under-common-core-has-even-parents-stumbling',1),(90,90,'6c3b7662-2b8b-4e67-a161-edd9ea7d75c2','en','/node/8','/blog/world-cup-us-has-chance-pull-upset-vs-belgium',1),(91,91,'6f20ab42-1c90-40b2-a59d-3db9c6a66fe5','en','/node/7','/blog/what-would-sport-touring-bike-be',1),(92,92,'3c12843f-10f6-4480-914a-216fc7a8051f','en','/node/6','/blog/montreal-google-guide',1),(93,93,'386a239d-608c-417d-829a-c32d8b6be2a0','en','/node/5','/blog/what-would-sport-touring-bike-be-0',1),(94,94,'921e0234-cc32-4694-9e5c-4d44171a1776','en','/node/4','/blog/beaches-boats',1),(95,95,'4abb6686-0148-4858-a5eb-8081e126d5de','en','/node/3','/blog/bay-plenty-adventure-plentiful-bay',1),(96,96,'bf416eb9-ab42-4d3a-a967-a82daee1eaf4','en','/node/2','/blog/so-much-do-beaches-san-diego',1),(97,97,'4c565c50-5ccd-4b5d-a850-87a9c99e2211','en','/node/1','/blog/many-teachers-feel-undervalued-survey-finds',1),(98,98,'53c72f70-b07b-4764-93c6-0c4a6c47d5f5','en','/node/49','/landing-page',1);
/*!40000 ALTER TABLE `path_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `path_alias_revision`
--

DROP TABLE IF EXISTS `path_alias_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `path_alias_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `path_alias__id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=99 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for path_alias entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `path_alias_revision`
--

LOCK TABLES `path_alias_revision` WRITE;
/*!40000 ALTER TABLE `path_alias_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `path_alias_revision` VALUES (2,2,'en','/node/38','/pages',1,1),(3,3,'en','/taxonomy/term/10','/category/business',1,1),(4,4,'en','/taxonomy/term/3','/category/education',1,1),(5,5,'en','/taxonomy/term/6','/category/fashion',1,1),(6,6,'en','/taxonomy/term/30','/category/health-beauty',1,1),(7,7,'en','/taxonomy/term/13','/category/hospital',1,1),(11,11,'en','/taxonomy/term/23','/category/more',1,1),(12,12,'en','/taxonomy/term/17','/category/nature',1,1),(13,13,'en','/taxonomy/term/20','/category/others',1,1),(14,14,'en','/taxonomy/term/7','/category/sports',1,1),(15,15,'en','/taxonomy/term/4','/category/travel',1,1),(16,16,'en','/taxonomy/term/25','/category/wedding',1,1),(17,17,'ar','/node/19','/blog/art-worth-45m-found-hidden-brazilian-shipping-container',1,1),(18,18,'ar','/node/31','/blog/russias-other-art-biennial',1,1),(19,19,'ar','/node/24','/blog/british-library-returns-painted-renaissance-book-panel',1,1),(20,20,'ar','/node/23','/blog/spain-returns-small-museum-artefacts-colombia',1,1),(21,21,'ar','/node/33','/blog/etsy-weddings-handmade-object-week',1,1),(22,22,'ar','/node/2','/blog/so-much-do-beaches-san-diego',1,1),(23,23,'ar','/node/3','/blog/bay-plenty-adventure-plentiful-bay',1,1),(24,24,'ar','/node/4','/blog/beaches-boats',1,1),(25,25,'ar','/node/12','/blog/guided-tours-every-taste',1,1),(26,26,'ar','/node/6','/blog/montreal-google-guide',1,1),(27,27,'ar','/node/18','/blog/love-nature-genetics',1,1),(28,28,'ar','/node/20','/blog/how-become-science-adviser-films-and-tv-shows',1,1),(29,29,'ar','/node/21','/blog/biosecurity-laws-under-scanner',1,1),(30,30,'ar','/node/22','/blog/move-over-kuta-real-bali',1,1),(31,31,'ar','/node/7','/blog/what-would-sport-touring-bike-be',1,1),(32,32,'ar','/node/5','/blog/what-would-sport-touring-bike-be-0',1,1),(33,33,'ar','/node/10','/blog/new-girl-block',1,1),(34,34,'ar','/node/1','/blog/many-teachers-feel-undervalued-survey-finds',1,1),(35,35,'ar','/node/9','/blog/math-under-common-core-has-even-parents-stumbling',1,1),(36,36,'ar','/node/11','/blog/prince-absolutely-right-bring-back-grammar-schools',1,1),(37,37,'ar','/node/13','/blog/new-companies-office-status-check-features',1,1),(38,38,'ar','/node/16','/blog/companies-amendment-bill-passes-law',1,1),(39,39,'ar','/node/17','/blog/dont-get-taken-ride-when-buying-car',1,1),(40,40,'ar','/node/34','/blog/branding-and-company-extract-changes',1,1),(41,41,'ar','/node/8','/blog/world-cup-us-has-chance-pull-upset-vs-belgium',1,1),(42,42,'ar','/node/35','/blog/sip-slim-down-right-way-drink-green-tea-weight-loss',1,1),(43,43,'ar','/node/14','/blog/uw-hospital-emergency-department-nurses-receive-lantern-award',1,1),(44,44,'ar','/node/15','/blog/heart-attack-study-could-lead-longer-lives',1,1),(45,45,'ar','/node/29','/blog/diabetes-epidemic',1,1),(46,46,'ar','/node/32','/blog/how-banish-stress-25-minutes',1,1),(47,47,'ar','/node/30','/blog/6-people-who-will-stress-you-out-your-wedding-day',1,1),(48,48,'ar','/node/27','/blog/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons',1,1),(49,49,'ar','/node/26','/blog/looks-day',1,1),(50,50,'ar','/node/28','/blog/more-1000-runners-signed-syracuse-half-marathon',1,1),(51,51,'ar','/node/25','/blog/world-cup-sportsday',1,1),(52,52,'ar','/node/36','/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing',1,1),(53,53,'en','/node/25','/blog/world-cup-sportsday',1,1),(55,55,'en','/node/40','/showcase/autox',1,1),(56,56,'en','/node/41','/showcase/education',1,1),(57,57,'en','/node/42','/showcase/news',1,1),(58,58,'en','/node/43','/showcase/garnet',1,1),(59,59,'en','/node/44','/showcase/zircon-ii',1,1),(60,60,'en','/node/45','/showcase/business',1,1),(61,61,'en','/node/46','/showcase/new-shopping',1,1),(62,62,'en','/node/47','/showcase/onepage',1,1),(63,63,'en','/node/36','/blog/5-mascara-tricks-make-your-eyes-look-even-more-amazing',1,1),(64,64,'en','/node/35','/blog/sip-slim-down-right-way-drink-green-tea-weight-loss',1,1),(65,65,'en','/node/34','/blog/branding-and-company-extract-changes',1,1),(66,66,'en','/node/33','/blog/etsy-weddings-handmade-object-week',1,1),(67,67,'en','/node/32','/blog/how-banish-stress-25-minutes',1,1),(68,68,'en','/node/31','/blog/russias-other-art-biennial',1,1),(69,69,'en','/node/30','/blog/6-people-who-will-stress-you-out-your-wedding-day',1,1),(70,70,'en','/node/29','/blog/diabetes-epidemic',1,1),(71,71,'en','/node/28','/blog/more-1000-runners-signed-syracuse-half-marathon',1,1),(72,72,'en','/node/27','/blog/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons',1,1),(73,73,'en','/node/26','/blog/looks-day',1,1),(74,74,'en','/node/24','/blog/british-library-returns-painted-renaissance-book-panel',1,1),(75,75,'en','/node/23','/blog/spain-returns-small-museum-artefacts-colombia',1,1),(76,76,'en','/node/22','/blog/move-over-kuta-real-bali',1,1),(77,77,'en','/node/21','/blog/biosecurity-laws-under-scanner',1,1),(78,78,'en','/node/20','/blog/how-become-science-adviser-films-and-tv-shows',1,1),(79,79,'en','/node/19','/blog/art-worth-45m-found-hidden-brazilian-shipping-container',1,1),(80,80,'en','/node/18','/blog/love-nature-genetics',1,1),(81,81,'en','/node/17','/blog/dont-get-taken-ride-when-buying-car',1,1),(82,82,'en','/node/16','/blog/companies-amendment-bill-passes-law',1,1),(83,83,'en','/node/15','/blog/heart-attack-study-could-lead-longer-lives',1,1),(84,84,'en','/node/14','/blog/uw-hospital-emergency-department-nurses-receive-lantern-award',1,1),(85,85,'en','/node/13','/blog/new-companies-office-status-check-features',1,1),(86,86,'en','/node/12','/blog/guided-tours-every-taste-0',1,1),(87,87,'en','/node/11','/blog/prince-absolutely-right-bring-back-grammar-schools',1,1),(88,88,'en','/node/10','/blog/new-girl-block',1,1),(89,89,'en','/node/9','/blog/math-under-common-core-has-even-parents-stumbling',1,1),(90,90,'en','/node/8','/blog/world-cup-us-has-chance-pull-upset-vs-belgium',1,1),(91,91,'en','/node/7','/blog/what-would-sport-touring-bike-be',1,1),(92,92,'en','/node/6','/blog/montreal-google-guide',1,1),(93,93,'en','/node/5','/blog/what-would-sport-touring-bike-be-0',1,1),(94,94,'en','/node/4','/blog/beaches-boats',1,1),(95,95,'en','/node/3','/blog/bay-plenty-adventure-plentiful-bay',1,1),(96,96,'en','/node/2','/blog/so-much-do-beaches-san-diego',1,1),(97,97,'en','/node/1','/blog/many-teachers-feel-undervalued-survey-finds',1,1),(98,98,'en','/node/49','/landing-page',1,1);
/*!40000 ALTER TABLE `path_alias_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob DEFAULT NULL COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=1482 DEFAULT CHARSET=utf8mb4 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `redirect`
--

DROP TABLE IF EXISTS `redirect`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `redirect` (
  `rid` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `language` varchar(12) CHARACTER SET ascii NOT NULL,
  `hash` varchar(64) DEFAULT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `redirect_source__path` varchar(2048) DEFAULT NULL COMMENT 'The source path',
  `redirect_source__query` longblob DEFAULT NULL COMMENT 'Serialized array of path queries',
  `redirect_redirect__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `redirect_redirect__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `redirect_redirect__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `status_code` int(11) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`rid`),
  UNIQUE KEY `redirect_field__uuid__value` (`uuid`),
  UNIQUE KEY `hash` (`hash`),
  KEY `redirect_field__uid__target_id` (`uid`),
  KEY `redirect_field__redirect_source__path` (`redirect_source__path`(50)),
  KEY `redirect_field__redirect_redirect__uri` (`redirect_redirect__uri`(30)),
  KEY `source_language` (`redirect_source__path`(191),`language`)
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for redirect entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `redirect`
--

LOCK TABLES `redirect` WRITE;
/*!40000 ALTER TABLE `redirect` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `redirect` VALUES (9,'redirect','d85238ec-247d-44f2-acc8-6d4a89b558a1','en','JdWHuoEgNJy2fofv7Z5d-KpP9nM-a-HGWa3itSrKnDU',1,'resource/how-work-influencers-more-just-brand-building','a:0:{}','internal:/node/5',NULL,'a:0:{}',301,1544698690),(10,'redirect','c487975a-cb5e-4577-a2ac-cf1ded2a860a','en','qiweG9kxyOvwmDA2v7CLRMDovPmbXlFLW6CL9L1s730',1,'resource/slow-site-speed-hurting-your-bottom-line','a:0:{}','internal:/node/6',NULL,'a:0:{}',301,1544698690),(11,'redirect','afffdd90-c4cb-4567-b4a8-860606a9c68f','en','bHHMOv8PaTRVM1dPcWbpdSEzT04OfrkXjK6pDjl3az4',1,'resource/sem-checklist','a:0:{}','internal:/node/7',NULL,'a:0:{}',301,1544698690),(12,'redirect','e83b056d-c04c-4412-82c7-be3a9f3e2f7c','en','8NWs3pT3eaUZb0LQ1InolqVKk91jFGYafHB51YpHNHw',1,'resource/5-step-fix-cart-abandonment','a:0:{}','internal:/node/8',NULL,'a:0:{}',301,1544698690),(13,'redirect','c989a659-7837-4404-b123-b463693b1ea6','en','Av_ZgR4M2LOusBfMME8-0iTM6mVNO9A04h3ZSpJ3NwQ',1,'resource/spotcheck-your-seo-strategy-checklist','a:0:{}','internal:/node/9',NULL,'a:0:{}',301,1544698690),(14,'redirect','48884891-8cc8-4c45-8e9e-68e50d92cf74','en','9JibleIFCbAvpnaW-adFvUk7uVO4Df3Jqni-tsXOqIY',1,'resource/5-things-your-ppc-agency-should-always-be-monitoring','a:0:{}','internal:/node/10',NULL,'a:0:{}',301,1544698690),(15,'redirect','3532bfd7-9022-4be8-949e-0b06914987d9','en','49MwoxxbIBeJfj1uy7o2ESphJ9qGMUw7CRSZ2gviaQw',1,'resource/beat-competition-holiday-season-these-5-ppc-tactics','a:0:{}','internal:/node/11',NULL,'a:0:{}',301,1544698690),(16,'redirect','43250ee7-d22a-4b85-9427-ca8c9bcddecf','en','sJEPEg_sM-xHbdnyBV3Tl12TUX1TxXsKDx7w-ZW1EYc',1,'resource/how-grow-your-business-online-quizzes','a:0:{}','internal:/node/12',NULL,'a:0:{}',301,1544698690),(17,'redirect','f0d05795-0464-484c-b6d6-6cfa85a1d135','en','ciMLsWCTLOCv82eMRB45Vywd54LJd98JxsKf1sfHu-c',1,'resource/ppc-holiday-keyword-expansion-tool','a:0:{}','internal:/node/13',NULL,'a:0:{}',301,1544698690),(19,'redirect','7140be52-5133-4e31-afd7-436d2492d219','en','mf3jOB0GYdnMV9gU6BNagvxNkeqPOTSRr_CO64OsUSQ',1,'work/software-design-development','a:0:{}','internal:/node/15',NULL,'a:0:{}',301,1544698690),(20,'redirect','bc184c17-1177-4a87-a0be-f4d1ca5fc223','en','ks7ViVyyHcFRVfH4g0l42Da5y0il28E1rKBPIUMMBck',1,'work/partnership-and-member-website','a:0:{}','internal:/node/16',NULL,'a:0:{}',301,1544698690),(21,'redirect','55fa50e0-ebe3-4bd7-8f92-0c36beb0e761','en','E3sKtBSuh4LTHMO57TkcfVKGpkX0zT54rCrckMdAIMw',1,'work/adp-dealer-services','a:0:{}','internal:/node/17',NULL,'a:0:{}',301,1544698690),(22,'redirect','1817e101-6cda-4ea7-9f0a-fc8bbaa1d01c','en','cqmH4TI9361uXd7M8gOCjGRPL5EbzI5yZMYvXB_QhQc',1,'work/envato-funded-b2b-software','a:0:{}','internal:/node/18',NULL,'a:0:{}',301,1544698690),(23,'redirect','82d02e5c-04b9-4120-b838-7b2ea0e491ef','en','wtQQYDXBZMHRWai5ZN9GnY4bowNpXv5heHo-UCHvIqs',1,'work/inbound-marketing-pays','a:0:{}','internal:/node/19',NULL,'a:0:{}',301,1544698690),(24,'redirect','e59694f7-f869-4c2a-af38-430e9a03b3fe','en','C-hf4GlYqYO4BtqqPJB5gUWOeo5ipLklJFdZj6lh-xE',1,'work/web-design','a:0:{}','internal:/node/20',NULL,'a:0:{}',301,1544698690),(25,'redirect','7e13d21f-c77f-4402-8e07-2f75932d22fa','en','BgHWlktyxvHzRX_Ss8t5UHRqzCUTPbePnjSeaBDAV_I',1,'work/b2b-marketing','a:0:{}','internal:/node/21',NULL,'a:0:{}',301,1544698690),(26,'redirect','f697513f-b633-481f-9d29-d90297ee5d42','en','nFzKSOUu7Jl437WMcfo4PtLwkeF0CpcKa-av8hR58cc',1,'work/credit-solutions','a:0:{}','internal:/node/22',NULL,'a:0:{}',301,1544698690),(27,'redirect','278e58e6-2fbb-4eb4-a030-fdd013c84c0e','en','kVVdBOX6oK1AQRnD8dN2X5xAqNJB2Hj0qWspzx2SJSM',1,'service/social-media-marketing','a:0:{}','internal:/node/23',NULL,'a:0:{}',301,1544698690),(28,'redirect','75793560-ba9c-4419-8872-b25c75477479','en','PXm1JJe5ANgci4JxDrqUOj1mIPT2uRgaR136F4byqcg',1,'service/search-engine-optimization-services','a:0:{}','internal:/node/24',NULL,'a:0:{}',301,1544698690),(29,'redirect','45bd255d-06af-452b-ad0e-6e6533f62e9b','en','-JMBmPv0VyjhC2GIXCH2qudEt82WN5-qz4e1tTew5iE',1,'service/landing-page-creation-and-website-management','a:0:{}','internal:/node/25',NULL,'a:0:{}',301,1544698690),(44,'redirect','5d43111f-e4a1-4cac-99c4-89a740f075fe','en','R2OOB7rRdWEI56hv8prxtm2DGzeM4r12dT6qxeFBjhA',1,'newss/market-research-industry-being-squeezed-consultancies','a:0:{}','internal:/node/1',NULL,'a:0:{}',301,1544698804),(45,'redirect','24b24470-cd72-41c9-9423-37a8a8a582bb','ar','qu0tZTABrH9R6vy3-WqA5RprvDCXw4an3hwwBTM7f0E',1,'newss/market-research-industry-being-squeezed-consultancies','a:0:{}','internal:/node/1',NULL,'a:0:{}',301,1544698804),(46,'redirect','2492beb7-7b18-4a20-9b36-acc587659589','en','h49aAXTa-srSHoHxnKjIb9QySQre5GEVqUkKOJXGtKQ',1,'newss/murky-ethics-data-gathering-post-cambridge-analytica-world','a:0:{}','internal:/node/2',NULL,'a:0:{}',301,1544698804),(47,'redirect','bebb425c-86c9-4bbc-afc4-87fc579f7627','ar','k141HK2GCwU1VmgbTi5PfpJUnqIlHO5_FBV7I8mAg24',1,'newss/murky-ethics-data-gathering-post-cambridge-analytica-world','a:0:{}','internal:/node/2',NULL,'a:0:{}',301,1544698804),(48,'redirect','33532ad1-963e-4da4-8eed-78221bcb81c8','en','9TuE1aBpTFBPpyvqc9JJrMpuX_DBwJXuLKy7OLeUWDY',1,'newss/how-create-great-e-mail-marketing-campaign-2018','a:0:{}','internal:/node/3',NULL,'a:0:{}',301,1544698804),(49,'redirect','bc004310-cc48-4983-866f-0b8e6734a196','ar','PaZGVGc120sd-p03zP85vbZHugeQlBZvDrtY0iBkSCU',1,'newss/how-create-great-e-mail-marketing-campaign-2018','a:0:{}','internal:/node/3',NULL,'a:0:{}',301,1544698804),(50,'redirect','eb7f6d98-cec7-4a7f-b33d-ec393c433611','en','R3sNbJ982aoZjW5ta3MHHj703H1lw0LJ-5LN8Y7gu68',1,'newss/how-win-friends-and-influence-millions-rules-influencer-marketing','a:0:{}','internal:/node/4',NULL,'a:0:{}',301,1544698804),(51,'redirect','db0fa0c7-2ac3-4fa1-9cba-4bd28e252657','ar','yc-qcvCX1REFYI5KcA30LOtxXeUsWePnurFXKNlNXh4',1,'newss/how-win-friends-and-influence-millions-rules-influencer-marketing','a:0:{}','internal:/node/4',NULL,'a:0:{}',301,1544698804),(52,'redirect','a1368ef5-92a3-415f-99dc-63557d18382c','en','KNytsG2jx_-MfohkFf-uVORM8hqz0WNN388rrlz0IgM',1,'testimonials/j-crowe-apple-inc','a:0:{}','internal:/node/26',NULL,'a:0:{}',301,1544698804),(53,'redirect','99b8587e-8619-4bf7-89c7-48cedc26d944','ar','gv0WkypSu2mEnTmDUorPsfauanssodqeOUe_CZZtXvk',1,'testimonials/j-crowe-apple-inc','a:0:{}','internal:/node/26',NULL,'a:0:{}',301,1544698804),(54,'redirect','3b19f9ab-2b1e-4b76-a946-a8b265585b99','en','ytoBYnVKdzYdwTC01ylf7Tp-jlc3aOJ7xmIaBbgEuIA',1,'testimonials/d-gallagher-google-inc','a:0:{}','internal:/node/27',NULL,'a:0:{}',301,1544698804),(55,'redirect','1a72455d-f960-4b0a-bdb9-e5343abe8d81','ar','lbi26KLg7mrXyY9EhfRpLJwJxol_wMlzwjpMh1Hl534',1,'testimonials/d-gallagher-google-inc','a:0:{}','internal:/node/27',NULL,'a:0:{}',301,1544698804),(56,'redirect','ea61ce9f-b690-4afc-bd25-0a8111215876','en','NNoh2-yTWV-R2DKPv1SeqwpC2_3mo6fBzj5fignJJNs',1,'testimonials/m-ladner-big-wheel-inc','a:0:{}','internal:/node/28',NULL,'a:0:{}',301,1544698804),(57,'redirect','6b378957-eae2-4f9f-9fa0-fd6762596c84','ar','81dKQhzl8jUpyWNcx1W6nZBlUE2i4I3f5woEfFoJ_6M',1,'testimonials/m-ladner-big-wheel-inc','a:0:{}','internal:/node/28',NULL,'a:0:{}',301,1544698804),(58,'redirect','ab02df82-b6a5-4c4d-9292-9b7eab8326ae','en','mLeZzUsh9x5ifPe3hh0bUKeHyrbpwHRdqofclxxEOUY',1,'team-members/jack-carmichael','a:0:{}','internal:/node/31',NULL,'a:0:{}',301,1544698804),(59,'redirect','4f3bc7dd-7be4-46ed-8366-87391c51c215','en','AnIAxnTSZGR20fNuEwZR2glSIiXcmN5SuhHCfdHGKx8',1,'team-members/bill-harrinton','a:0:{}','internal:/node/32',NULL,'a:0:{}',301,1544698804),(60,'redirect','ee09ceda-8575-4684-8d88-67b664f5d403','en','TTUdCjUsm6sbAxDEv6PiI9qPEOoTW4e8pWZqTzp5BZQ',1,'team-members/harry-blummer','a:0:{}','internal:/node/33',NULL,'a:0:{}',301,1544698804),(61,'redirect','96a51658-d383-44b8-bab3-3c2d6cdcc950','en','_y0nLw0VrLMbduO01Bmg4-irs9NVpwuLer6VMRqa7L8',1,'team-members/chris-bright','a:0:{}','internal:/node/34',NULL,'a:0:{}',301,1544698804),(62,'redirect','3a1fb2d6-3e5b-4c5a-9b80-2c833a36296b','en','vpqyz0WjWLMs7RgCqksqgMMC6LguD15iIWPpLaRJ-ZI',1,'team-members/ansel-anderson','a:0:{}','internal:/node/35',NULL,'a:0:{}',301,1544698804),(63,'redirect','9e74c343-d2d9-4957-ac7d-ec6ee4eee3cf','en','WczhSUdjPMEOnqVKnJHf3pIrf0O8K40xiNg5MYaweNE',1,'team-members/douglas-campbell','a:0:{}','internal:/node/36',NULL,'a:0:{}',301,1544698804),(64,'redirect','cda5a629-049d-40a0-9004-d9d92c3c17f9','en','InK5YdQ8CmN3jiRt4my51-4OQHTUGxpjbI4QwHIeCNQ',1,'team-members/lily-lawrence','a:0:{}','internal:/node/37',NULL,'a:0:{}',301,1544698804),(65,'redirect','de866278-3190-43bf-83bb-6d5fe38fcad9','en','eCdgQp6xlCKtsVJYvgnsVjN4aH1IW_vcedUTTdXZDWA',1,'team-members/ann-reed','a:0:{}','internal:/node/38',NULL,'a:0:{}',301,1544698804),(66,'redirect','e5143c33-4ead-428c-be4e-4681b447bcfc','en','yV4ZkhoApS4pacoapIs8awktdJawtcf2zx_QrLcyg8I',1,'news/moonpig-hunts-emotional-connection-marketing-refresh','a:0:{}','internal:/node/54',NULL,'a:0:{}',301,1545818772),(67,'redirect','03232ee1-8524-474e-9c0c-eb56af1705de','en','k_1QAuGrXFO87rebtMjA1zwPegyS4yo0D0nwNk2xNR0',1,'services/search-engine-optimization-services','a:0:{}','internal:/node/24',NULL,'a:0:{}',301,1545902571),(68,'redirect','df1f7db2-0a3a-45c8-91ec-0cfab8b0b703','ar','--szYkT3LxXVEg85MzN23zdutJ4O8ASdTeLPvyIiS74',1,'services/search-engine-optimization-services','a:0:{}','internal:/node/24',NULL,'a:0:{}',301,1545902600);
/*!40000 ALTER TABLE `redirect` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `router`
--

DROP TABLE IF EXISTS `router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `router` (
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Machine name of this route',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path for this URI',
  `pattern_outline` varchar(255) NOT NULL DEFAULT '' COMMENT 'The pattern',
  `fit` int(11) NOT NULL DEFAULT 0 COMMENT 'A numeric representation of how specific the path is.',
  `route` longblob DEFAULT NULL COMMENT 'A serialized Route object',
  `number_parts` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Number of parts in this router path.',
  PRIMARY KEY (`name`),
  KEY `pattern_outline_parts` (`pattern_outline`(191),`number_parts`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `router`
--

LOCK TABLES `router` WRITE;
/*!40000 ALTER TABLE `router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `router` VALUES ('<button>','/','/',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}',1),('<current>','/<current>','/<current>',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:10:\"/<current>\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:2:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/\\<current\\>$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/<current>\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/<current>\";s:8:\"numParts\";i:1;}}',1),('<front>','/','/',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:6:\"_title\";s:4:\"Home\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}',1),('<nolink>','/','/',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}',1),('<none>','/','/',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}',1),('admin_toolbar.run.cron','/run-cron','/run-cron',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:9:\"/run-cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:65:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::runCron\";s:6:\"_title\";s:8:\"Run cron\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/run\\-cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/run-cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:9:\"/run-cron\";s:8:\"numParts\";i:1;}}',1),('admin_toolbar.search','/admin/admin-toolbar-search','/admin/admin-toolbar-search',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/admin/admin-toolbar-search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:76:\"\\Drupal\\admin_toolbar_search\\Controller\\AdminToolbarSearchController::search\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"use admin toolbar search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/admin\\-toolbar\\-search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/admin-toolbar-search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:27:\"/admin/admin-toolbar-search\";s:8:\"numParts\";i:2;}}',2),('admin_toolbar.settings','/admin/config/user-interface/admin-toolbar','/admin/config/user-interface/admin-toolbar',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/config/user-interface/admin-toolbar\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\admin_toolbar\\Form\\AdminToolbarSettingsForm\";s:6:\"_title\";s:22:\"Admin Toolbar settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/config/user\\-interface/admin\\-toolbar$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/admin-toolbar\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:42:\"/admin/config/user-interface/admin-toolbar\";s:8:\"numParts\";i:4;}}',4),('admin_toolbar_search.settings','/admin/config/user-interface/admin-toolbar-search-settings','/admin/config/user-interface/admin-toolbar-search-settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/config/user-interface/admin-toolbar-search-settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:29:\"Admin toolbar search settings\";s:5:\"_form\";s:63:\"Drupal\\admin_toolbar_search\\Form\\AdminToolbarSearchSettingsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/admin/config/user\\-interface/admin\\-toolbar\\-search\\-settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/user-interface/admin-toolbar-search-settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:58:\"/admin/config/user-interface/admin-toolbar-search-settings\";s:8:\"numParts\";i:4;}}',4),('admin_toolbar_tools.cssjs','/admin/flush/cssjs','/admin/flush/cssjs',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:18:\"/admin/flush/cssjs\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushJsCss\";s:6:\"_title\";s:24:\"Flush CSS and JavaScript\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/admin/flush/cssjs$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/admin/flush/cssjs\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:18:\"/admin/flush/cssjs\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.flush','/admin/flush','/admin/flush',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/admin/flush\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushAll\";s:6:\"_title\";s:16:\"Flush all caches\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/admin/flush$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/admin/flush\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/admin/flush\";s:8:\"numParts\";i:2;}}',2),('admin_toolbar_tools.flush_menu','/admin/flush/menu','/admin/flush/menu',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/admin/flush/menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:67:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushMenu\";s:6:\"_title\";s:4:\"Menu\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/flush/menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/flush/menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/admin/flush/menu\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.flush_rendercache','/admin/flush/rendercache','/admin/flush/rendercache',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/admin/flush/rendercache\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::cacheRender\";s:6:\"_title\";s:12:\"Render cache\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/flush/rendercache$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/flush/rendercache\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/flush/rendercache\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.flush_static','/admin/flush/static-caches','/admin/flush/static-caches',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/flush/static-caches\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushStatic\";s:6:\"_title\";s:13:\"Static caches\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/flush/static\\-caches$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/flush/static-caches\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/flush/static-caches\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.flush_twig','/admin/flush/twig','/admin/flush/twig',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/admin/flush/twig\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:67:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushTwig\";s:6:\"_title\";s:4:\"Twig\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/flush/twig$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/flush/twig\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/admin/flush/twig\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.flush_views','/admin/flush/views','/admin/flush/views',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:18:\"/admin/flush/views\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushViews\";s:6:\"_title\";s:5:\"Views\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/admin/flush/views$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/admin/flush/views\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:18:\"/admin/flush/views\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.plugin','/admin/flush/plugin','/admin/flush/plugin',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/admin/flush/plugin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:70:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushPlugins\";s:6:\"_title\";s:6:\"Plugin\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/flush/plugin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/flush/plugin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/flush/plugin\";s:8:\"numParts\";i:3;}}',3),('admin_toolbar_tools.settings','/admin/config/user-interface/admin-toolbar-tools','/admin/config/user-interface/admin-toolbar-tools',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/config/user-interface/admin-toolbar-tools\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:62:\"\\Drupal\\admin_toolbar_tools\\Form\\AdminToolbarToolsSettingsForm\";s:6:\"_title\";s:28:\"Admin Toolbar Tools settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/user\\-interface/admin\\-toolbar\\-tools$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:48:\"/admin/config/user-interface/admin-toolbar-tools\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:48:\"/admin/config/user-interface/admin-toolbar-tools\";s:8:\"numParts\";i:4;}}',4),('admin_toolbar_tools.theme_rebuild','/admin/flush/theme_rebuild','/admin/flush/theme_rebuild',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/flush/theme_rebuild\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:70:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::themeRebuild\";s:6:\"_title\";s:13:\"Theme Rebuild\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/flush/theme_rebuild$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/flush/theme_rebuild\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/flush/theme_rebuild\";s:8:\"numParts\";i:3;}}',3),('block.admin_add','/admin/structure/block/add/{plugin_id}/{theme}','/admin/structure/block/add/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/structure/block/add/{plugin_id}/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:66:\"\\Drupal\\block\\Controller\\BlockAddController::blockAddConfigureForm\";s:5:\"theme\";N;s:6:\"_title\";s:15:\"Configure block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"plugin_id\";i:1;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/structure/block/add/(?P<plugin_id>[^/]++)(?:/(?P<theme>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"plugin_id\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/block/add\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"plugin_id\";i:1;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/structure/block/add/%\";s:8:\"numParts\";i:6;}}',6),('block.admin_demo','/admin/structure/block/demo/{theme}','/admin/structure/block/demo/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/block/demo/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:46:\"\\Drupal\\block\\Controller\\BlockController::demo\";s:15:\"_title_callback\";s:21:\"theme_handler:getName\";}s:12:\"requirements\";a:2:{s:13:\"_access_theme\";s:4:\"TRUE\";s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:18:\"access_check.theme\";i:1;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/block/demo/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/block/demo\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/block/demo/%\";s:8:\"numParts\";i:5;}}',5),('block.admin_display','/admin/structure/block','/admin/structure/block',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/structure/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:53:\"\\Drupal\\block\\Controller\\BlockListController::listing\";s:6:\"_title\";s:12:\"Block layout\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/block\";s:8:\"numParts\";i:3;}}',3),('block.admin_display_theme','/admin/structure/block/list/{theme}','/admin/structure/block/list/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/block/list/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:53:\"\\Drupal\\block\\Controller\\BlockListController::listing\";s:6:\"_title\";s:12:\"Block layout\";}s:12:\"requirements\";a:2:{s:13:\"_access_theme\";s:4:\"TRUE\";s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:18:\"access_check.theme\";i:1;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/block/list/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/block/list\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/block/list/%\";s:8:\"numParts\";i:5;}}',5),('block.admin_library','/admin/structure/block/library/{theme}','/admin/structure/block/library/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/admin/structure/block/library/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:59:\"\\Drupal\\block\\Controller\\BlockLibraryController::listBlocks\";s:6:\"_title\";s:11:\"Place block\";}s:12:\"requirements\";a:2:{s:13:\"_access_theme\";s:4:\"TRUE\";s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:18:\"access_check.theme\";i:1;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/structure/block/library/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/structure/block/library\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:32:\"/admin/structure/block/library/%\";s:8:\"numParts\";i:5;}}',5),('block.category_autocomplete','/block-category/autocomplete','/block-category/autocomplete',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/block-category/autocomplete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:69:\"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block\\-category/autocomplete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/block-category/autocomplete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/block-category/autocomplete\";s:8:\"numParts\";i:2;}}',2),('block_content.add_form','/block/add/{block_content_type}','/block/add/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/block/add/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:64:\"\\Drupal\\block_content\\Controller\\BlockContentController::addForm\";s:15:\"_title_callback\";s:72:\"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/block/add/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:12:\"/block/add/%\";s:8:\"numParts\";i:3;}}',3),('block_content.add_page','/block/add','/block/add',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:10:\"/block/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\block_content\\Controller\\BlockContentController::add\";s:6:\"_title\";s:16:\"Add custom block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/block/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:10:\"/block/add\";s:8:\"numParts\";i:2;}}',2),('block_content.type_add','/admin/structure/block/block-content/types/add','/admin/structure/block/block-content/types/add',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/structure/block/block-content/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:22:\"block_content_type.add\";s:6:\"_title\";s:3:\"Add\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/structure/block/block\\-content/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:46:\"/admin/structure/block/block-content/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:46:\"/admin/structure/block/block-content/types/add\";s:8:\"numParts\";i:6;}}',6),('comment.admin','/admin/content/comment','/admin/content/comment',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/content/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:14:\"page_published\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/content/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/content/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/content/comment\";s:8:\"numParts\";i:3;}}',3),('comment.admin_approval','/admin/content/comment/approval','/admin/content/comment/approval',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/content/comment/approval\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:15:\"page_unapproved\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/content/comment/approval$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/content/comment/approval\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/content/comment/approval\";s:8:\"numParts\";i:4;}}',4),('comment.approve','/comment/{comment}/approve','/comment/%/approve',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/comment/{comment}/approve\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Approve\";s:11:\"_controller\";s:60:\"\\Drupal\\comment\\Controller\\CommentController::commentApprove\";s:11:\"entity_type\";s:7:\"comment\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:15:\"comment.approve\";s:11:\"_csrf_token\";s:4:\"TRUE\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/comment/(?P<comment>\\d+)/approve$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/approve\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/comment/%/approve\";s:8:\"numParts\";i:3;}}',3),('comment.multiple_delete_confirm','/admin/content/comment/delete','/admin/content/comment/delete',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/content/comment/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Delete\";s:5:\"_form\";s:42:\"\\Drupal\\comment\\Form\\ConfirmDeleteMultiple\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:7:\"comment\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/content/comment/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/content/comment/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/content/comment/delete\";s:8:\"numParts\";i:4;}}',4),('comment.new_comments_node_links','/comments/render_new_comments_node_links','/comments/render_new_comments_node_links',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:40:\"/comments/render_new_comments_node_links\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/comments/render_new_comments_node_links$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/comments/render_new_comments_node_links\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:40:\"/comments/render_new_comments_node_links\";s:8:\"numParts\";i:2;}}',2),('comment.node_redirect','/comment/{node}/reply','/comment/%/reply',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/comment/{node}/reply\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::redirectNode\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:9:\"node.view\";s:20:\"_module_dependencies\";s:4:\"node\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/comment/(?P<node>\\d+)/reply$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reply\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:16:\"/comment/%/reply\";s:8:\"numParts\";i:3;}}',3),('comment.reply','/comment/reply/{entity_type}/{entity}/{field_name}/{pid}','/comment/reply/%/%/%',24,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::getReplyForm\";s:6:\"_title\";s:15:\"Add new comment\";s:3:\"pid\";N;}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:61:\"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"pid\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/comment/reply\";}}s:9:\"path_vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:20:\"/comment/reply/%/%/%\";s:8:\"numParts\";i:6;}}',6),('component_builder.config_field','/admin/structure/component-builder/add-component-field','/admin/structure/component-builder/add-component-field',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/component-builder/add-component-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:5:\"_form\";s:55:\"\\Drupal\\component_builder\\Form\\ComponentFieldConfigForm\";s:6:\"_title\";s:19:\"Add component field\";s:15:\"_title_callback\";s:85:\"\\Drupal\\component_builder\\Controller\\ComponentBuilderController::formConfigFieldTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:64:\"#^/admin/structure/component\\-builder/add\\-component\\-field$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:54:\"/admin/structure/component-builder/add-component-field\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:54:\"/admin/structure/component-builder/add-component-field\";s:8:\"numParts\";i:4;}}',4),('component_builder.root','/admin/structure/component-builder','/admin/structure/component-builder',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/structure/component-builder\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:16:\"Drupal Component\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/structure/component\\-builder$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/component-builder\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:34:\"/admin/structure/component-builder\";s:8:\"numParts\";i:3;}}',3),('component_builder.settings','/admin/structure/component-builder/settings','/admin/structure/component-builder/settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/admin/structure/component-builder/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\component_builder\\Form\\ComponentItemSettingsForm\";s:6:\"_title\";s:8:\"Settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer Component Item entity\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/structure/component\\-builder/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/component-builder/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:43:\"/admin/structure/component-builder/settings\";s:8:\"numParts\";i:4;}}',4),('config.diff','/admin/config/development/configuration/sync/diff/{source_name}/{target_name}','/admin/config/development/configuration/sync/diff/%',126,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/config/development/configuration/sync/diff/{source_name}/{target_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\config\\Controller\\ConfigController::diff\";s:11:\"target_name\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"source_name\";i:1;s:11:\"target_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/config/development/configuration/sync/diff/(?P<source_name>[^/]++)(?:/(?P<target_name>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_name\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"source_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:49:\"/admin/config/development/configuration/sync/diff\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"source_name\";i:1;s:11:\"target_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:126;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/sync/diff/%\";s:8:\"numParts\";i:8;}}',8),('config.diff_collection','/admin/config/development/configuration/sync/diff_collection/{collection}/{source_name}/{target_name}','/admin/config/development/configuration/sync/diff_collection/%/%',252,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:101:\"/admin/config/development/configuration/sync/diff_collection/{collection}/{source_name}/{target_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\config\\Controller\\ConfigController::diff\";s:11:\"target_name\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:10:\"collection\";i:1;s:11:\"source_name\";i:2;s:11:\"target_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:143:\"#^/admin/config/development/configuration/sync/diff_collection/(?P<collection>[^/]++)/(?P<source_name>[^/]++)(?:/(?P<target_name>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_name\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"source_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"collection\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:60:\"/admin/config/development/configuration/sync/diff_collection\";}}s:9:\"path_vars\";a:3:{i:0;s:10:\"collection\";i:1;s:11:\"source_name\";i:2;s:11:\"target_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:252;s:14:\"patternOutline\";s:64:\"/admin/config/development/configuration/sync/diff_collection/%/%\";s:8:\"numParts\";i:9;}}',9),('config.export_download','/admin/config/development/configuration/full/export-download','/admin/config/development/configuration/full/export-download',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/development/configuration/full/export-download\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\config\\Controller\\ConfigController::downloadExport\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/development/configuration/full/export\\-download$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:60:\"/admin/config/development/configuration/full/export-download\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:60:\"/admin/config/development/configuration/full/export-download\";s:8:\"numParts\";i:6;}}',6),('config.export_full','/admin/config/development/configuration/full/export','/admin/config/development/configuration/full/export',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/config/development/configuration/full/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\config\\Form\\ConfigExportForm\";s:6:\"_title\";s:6:\"Export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/development/configuration/full/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/development/configuration/full/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/full/export\";s:8:\"numParts\";i:6;}}',6),('config.export_single','/admin/config/development/configuration/single/export/{config_type}/{config_name}','/admin/config/development/configuration/single/export',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/config/development/configuration/single/export/{config_type}/{config_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:13:\"Single export\";s:5:\"_form\";s:42:\"\\Drupal\\config\\Form\\ConfigSingleExportForm\";s:11:\"config_type\";N;s:11:\"config_name\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"config_type\";i:1;s:11:\"config_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/admin/config/development/configuration/single/export(?:/(?P<config_type>[^/]++)(?:/(?P<config_name>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"config_name\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"config_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:53:\"/admin/config/development/configuration/single/export\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"config_type\";i:1;s:11:\"config_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:53:\"/admin/config/development/configuration/single/export\";s:8:\"numParts\";i:8;}}',8),('config.import_full','/admin/config/development/configuration/full/import','/admin/config/development/configuration/full/import',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/config/development/configuration/full/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\config\\Form\\ConfigImportForm\";s:6:\"_title\";s:6:\"Import\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"import configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/development/configuration/full/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/development/configuration/full/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/full/import\";s:8:\"numParts\";i:6;}}',6),('config.import_single','/admin/config/development/configuration/single/import','/admin/config/development/configuration/single/import',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/development/configuration/single/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:13:\"Single import\";s:5:\"_form\";s:42:\"\\Drupal\\config\\Form\\ConfigSingleImportForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"import configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/admin/config/development/configuration/single/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:53:\"/admin/config/development/configuration/single/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:53:\"/admin/config/development/configuration/single/import\";s:8:\"numParts\";i:6;}}',6),('config.sync','/admin/config/development/configuration','/admin/config/development/configuration',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/config/development/configuration\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\config\\Form\\ConfigSync\";s:6:\"_title\";s:11:\"Synchronize\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/development/configuration$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/development/configuration\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:39:\"/admin/config/development/configuration\";s:8:\"numParts\";i:4;}}',4),('config_translation.entity_list','/admin/config/regional/config-translation/{mapper_id}','/admin/config/regional/config-translation/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/regional/config-translation/{mapper_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:78:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationListController::listing\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"translate configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"mapper_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/regional/config\\-translation/(?P<mapper_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"mapper_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/config-translation\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"mapper_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:43:\"/admin/config/regional/config-translation/%\";s:8:\"numParts\";i:5;}}',5),('config_translation.item.add.entity.block.edit_form','/admin/structure/block/manage/{block}/translate/{langcode}/add','/admin/structure/block/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/structure/block/manage/{block}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/block/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/add','/admin/structure/block/block-content/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/block/block-content/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}/translate/{langcode}/add','/admin/structure/comment/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/comment/manage/{comment_type}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/comment/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.component_item_type.edit_form','/admin/structure/component-item/types/{component_item_type}/edit/translate/{langcode}/add','/admin/structure/component-item/types/%/edit/translate/%/add',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/component-item/types/{component_item_type}/edit/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:19:\"component_item_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/edit/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:60:\"/admin/structure/component-item/types/%/edit/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/add','/admin/config/regional/language/edit/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/regional/language/edit/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}/translate/{langcode}/add','/admin/structure/contact/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/contact/manage/{contact_form}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/contact/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/add','/admin/config/regional/date-time/formats/manage/%/translate/%/add',1013,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1013;s:14:\"patternOutline\";s:65:\"/admin/config/regional/date-time/formats/manage/%/translate/%/add\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.add.entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/add','/admin/structure/display-modes/form/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:60:\"/admin/structure/display-modes/form/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/add','/admin/structure/display-modes/view/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:60:\"/admin/structure/display-modes/view/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/add','/admin/structure/block/block-content/manage/%/fields/%/translate/%/add',2005,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:111:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:149:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2005;s:14:\"patternOutline\";s:70:\"/admin/structure/block/block-content/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.add.entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/add','/admin/structure/comment/manage/%/fields/%/translate/%/add',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:58:\"/admin/structure/comment/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.add.entity.field_config.component_item_field_edit_form','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate/{langcode}/add','/admin/structure/component-item/types/%/edit/fields/%/translate/%/add',1973,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:111:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:21:\"component_item_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:149:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:69:\"/admin/structure/component-item/types/%/edit/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.add.entity.field_config.component_wrapper_field_edit_form','/admin/structure/component-wrapper/settings/fields/{field_config}/translate/{langcode}/add','/admin/structure/component-wrapper/settings/fields/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:90:\"/admin/structure/component-wrapper/settings/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:24:\"component_wrapper_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:68:\"/admin/structure/component-wrapper/settings/fields/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/add','/admin/structure/contact/manage/%/fields/%/translate/%/add',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:58:\"/admin/structure/contact/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.add.entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/add','/admin/structure/types/manage/%/fields/%/translate/%/add',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:88:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:125:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:56:\"/admin/structure/types/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.add.entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/add','/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/add',2037,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:98:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:125:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2037;s:14:\"patternOutline\";s:76:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.add.entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/add','/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/add',1973,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:110:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:147:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:68:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.add.entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/add','/admin/config/people/accounts/fields/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/people/accounts/fields/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/add','/admin/config/content/formats/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/content/formats/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/add','/admin/config/media/image-styles/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:78:\"/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/media/image-styles/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.menu.edit_form','/admin/structure/menu/manage/{menu}/translate/{langcode}/add','/admin/structure/menu/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/structure/menu/manage/{menu}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:46:\"/admin/structure/menu/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.node_type.edit_form','/admin/structure/types/manage/{node_type}/translate/{langcode}/add','/admin/structure/types/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/structure/types/manage/{node_type}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/types/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/add','/admin/config/search/path/patterns/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:78:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:52:\"/admin/config/search/path/patterns/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}/translate/{langcode}/add','/admin/config/search/pages/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/config/search/pages/manage/{search_page}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:51:\"/admin/config/search/pages/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/add','/admin/config/user-interface/shortcut/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:84:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/add','/admin/config/services/simplenews/manage/%/translate/%/add',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:116:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:58:\"/admin/config/services/simplenews/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.add.entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/add','/admin/structure/taxonomy/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:79:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/taxonomy/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.user.admin_form','/admin/config/people/accounts/translate/{langcode}/add','/admin/config/people/accounts/translate/%/add',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/config/people/accounts/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/people/accounts/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:45:\"/admin/config/people/accounts/translate/%/add\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.add.entity.user_role.edit_form','/admin/people/roles/manage/{user_role}/translate/{langcode}/add','/admin/people/roles/manage/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/people/roles/manage/{user_role}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:44:\"/admin/people/roles/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.entity.view.edit_form','/admin/structure/views/view/{view}/translate/{langcode}/add','/admin/structure/views/view/%/translate/%/add',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/views/view/{view}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:45:\"/admin/structure/views/view/%/translate/%/add\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.add.simplenews.newsletter_list','/admin/config/services/simplenews/translate/{langcode}/add','/admin/config/services/simplenews/translate/%/add',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/config/services/simplenews/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/config/services/simplenews/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:49:\"/admin/config/services/simplenews/translate/%/add\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.add.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate/{langcode}/add','/admin/config/services/rss-publishing/translate/%/add',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/config/services/rss-publishing/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/services/rss\\-publishing/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/services/rss-publishing/translate/%/add\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.add.system.site_information_settings','/admin/config/system/site-information/translate/{langcode}/add','/admin/config/system/site-information/translate/%/add',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/config/system/site-information/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/system/site\\-information/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/system/site-information/translate/%/add\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.add.system.site_maintenance_mode','/admin/config/development/maintenance/translate/{langcode}/add','/admin/config/development/maintenance/translate/%/add',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/config/development/maintenance/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/development/maintenance/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/development/maintenance/translate/%/add\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.delete.entity.block.edit_form','/admin/structure/block/manage/{block}/translate/{langcode}/delete','/admin/structure/block/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:65:\"/admin/structure/block/manage/{block}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/block/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/delete','/admin/structure/block/block-content/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:92:\"/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:120:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:64:\"/admin/structure/block/block-content/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}/translate/{langcode}/delete','/admin/structure/comment/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:74:\"/admin/structure/comment/manage/{comment_type}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/comment/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.component_item_type.edit_form','/admin/structure/component-item/types/{component_item_type}/edit/translate/{langcode}/delete','/admin/structure/component-item/types/%/edit/translate/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:92:\"/admin/structure/component-item/types/{component_item_type}/edit/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:19:\"component_item_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:120:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/edit/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:63:\"/admin/structure/component-item/types/%/edit/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/delete','/admin/config/regional/language/edit/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:88:\"/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/regional/language/edit/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}/translate/{langcode}/delete','/admin/structure/contact/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:74:\"/admin/structure/contact/manage/{contact_form}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/contact/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/delete','/admin/config/regional/date-time/formats/manage/%/translate/%/delete',1013,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1013;s:14:\"patternOutline\";s:68:\"/admin/config/regional/date-time/formats/manage/%/translate/%/delete\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.delete.entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/delete','/admin/structure/display-modes/form/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:63:\"/admin/structure/display-modes/form/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/delete','/admin/structure/display-modes/view/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:63:\"/admin/structure/display-modes/view/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/block/block-content/manage/%/fields/%/translate/%/delete',2005,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:114:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:152:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2005;s:14:\"patternOutline\";s:73:\"/admin/structure/block/block-content/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.delete.entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/comment/manage/%/fields/%/translate/%/delete',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:96:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:133:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:61:\"/admin/structure/comment/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.delete.entity.field_config.component_item_field_edit_form','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate/{langcode}/delete','/admin/structure/component-item/types/%/edit/fields/%/translate/%/delete',1973,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:114:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:21:\"component_item_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:152:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:72:\"/admin/structure/component-item/types/%/edit/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.delete.entity.field_config.component_wrapper_field_edit_form','/admin/structure/component-wrapper/settings/fields/{field_config}/translate/{langcode}/delete','/admin/structure/component-wrapper/settings/fields/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/component-wrapper/settings/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:24:\"component_wrapper_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:71:\"/admin/structure/component-wrapper/settings/fields/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/contact/manage/%/fields/%/translate/%/delete',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:96:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:133:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:61:\"/admin/structure/contact/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.delete.entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/types/manage/%/fields/%/translate/%/delete',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:91:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:59:\"/admin/structure/types/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.delete.entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/delete','/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/delete',2037,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:101:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2037;s:14:\"patternOutline\";s:79:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.delete.entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/delete','/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/delete',1973,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:113:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:150:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:71:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.delete.entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/delete','/admin/config/people/accounts/fields/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:79:\"/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/people/accounts/fields/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/delete','/admin/config/content/formats/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/content/formats/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/delete','/admin/config/media/image-styles/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:60:\"/admin/config/media/image-styles/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.menu.edit_form','/admin/structure/menu/manage/{menu}/translate/{langcode}/delete','/admin/structure/menu/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/menu/manage/{menu}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/menu/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.node_type.edit_form','/admin/structure/types/manage/{node_type}/translate/{langcode}/delete','/admin/structure/types/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/structure/types/manage/{node_type}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/types/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/delete','/admin/config/search/path/patterns/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/search/path/patterns/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}/translate/{langcode}/delete','/admin/config/search/pages/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/config/search/pages/manage/{search_page}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/search/pages/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/delete','/admin/config/user-interface/shortcut/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:87:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:65:\"/admin/config/user-interface/shortcut/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/delete','/admin/config/services/simplenews/manage/%/translate/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:92:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:119:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/config/services/simplenews/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.delete.entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/delete','/admin/structure/taxonomy/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:82:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:53:\"/admin/structure/taxonomy/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.user.admin_form','/admin/config/people/accounts/translate/{langcode}/delete','/admin/config/people/accounts/translate/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:57:\"/admin/config/people/accounts/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/config/people/accounts/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/people/accounts/translate/%/delete\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.delete.entity.user_role.edit_form','/admin/people/roles/manage/{user_role}/translate/{langcode}/delete','/admin/people/roles/manage/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/people/roles/manage/{user_role}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/people/roles/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.entity.view.edit_form','/admin/structure/views/view/{view}/translate/{langcode}/delete','/admin/structure/views/view/%/translate/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/structure/views/view/{view}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/views/view/%/translate/%/delete\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.delete.simplenews.newsletter_list','/admin/config/services/simplenews/translate/{langcode}/delete','/admin/config/services/simplenews/translate/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/config/services/simplenews/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/services/simplenews/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/config/services/simplenews/translate/%/delete\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.delete.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate/{langcode}/delete','/admin/config/services/rss-publishing/translate/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:65:\"/admin/config/services/rss-publishing/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/services/rss\\-publishing/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/services/rss-publishing/translate/%/delete\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.delete.system.site_information_settings','/admin/config/system/site-information/translate/{langcode}/delete','/admin/config/system/site-information/translate/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:65:\"/admin/config/system/site-information/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/system/site\\-information/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/system/site-information/translate/%/delete\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.delete.system.site_maintenance_mode','/admin/config/development/maintenance/translate/{langcode}/delete','/admin/config/development/maintenance/translate/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:65:\"/admin/config/development/maintenance/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/config/development/maintenance/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/development/maintenance/translate/%/delete\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.edit.entity.block.edit_form','/admin/structure/block/manage/{block}/translate/{langcode}/edit','/admin/structure/block/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/block/manage/{block}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/block/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/edit','/admin/structure/block/block-content/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:90:\"/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}/translate/{langcode}/edit','/admin/structure/comment/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/comment/manage/{comment_type}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.component_item_type.edit_form','/admin/structure/component-item/types/{component_item_type}/edit/translate/{langcode}/edit','/admin/structure/component-item/types/%/edit/translate/%/edit',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:90:\"/admin/structure/component-item/types/{component_item_type}/edit/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:19:\"component_item_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/edit/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:61:\"/admin/structure/component-item/types/%/edit/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/edit','/admin/config/regional/language/edit/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/regional/language/edit/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}/translate/{langcode}/edit','/admin/structure/contact/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/contact/manage/{contact_form}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/edit','/admin/config/regional/date-time/formats/manage/%/translate/%/edit',1013,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:87:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1013;s:14:\"patternOutline\";s:66:\"/admin/config/regional/date-time/formats/manage/%/translate/%/edit\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.edit.entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/edit','/admin/structure/display-modes/form/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:87:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/display-modes/form/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/edit','/admin/structure/display-modes/view/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:87:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/display-modes/view/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/block/block-content/manage/%/fields/%/translate/%/edit',2005,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:112:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:150:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2005;s:14:\"patternOutline\";s:71:\"/admin/structure/block/block-content/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.edit.entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/comment/manage/%/fields/%/translate/%/edit',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:131:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:59:\"/admin/structure/comment/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.edit.entity.field_config.component_item_field_edit_form','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate/{langcode}/edit','/admin/structure/component-item/types/%/edit/fields/%/translate/%/edit',1973,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:112:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:21:\"component_item_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:150:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:70:\"/admin/structure/component-item/types/%/edit/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.edit.entity.field_config.component_wrapper_field_edit_form','/admin/structure/component-wrapper/settings/fields/{field_config}/translate/{langcode}/edit','/admin/structure/component-wrapper/settings/fields/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:91:\"/admin/structure/component-wrapper/settings/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:24:\"component_wrapper_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:119:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:69:\"/admin/structure/component-wrapper/settings/fields/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/contact/manage/%/fields/%/translate/%/edit',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:131:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:59:\"/admin/structure/contact/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.edit.entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/types/manage/%/fields/%/translate/%/edit',981,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:57:\"/admin/structure/types/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:10;}}',10),('config_translation.item.edit.entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/edit','/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/edit',2037,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:99:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2037;s:14:\"patternOutline\";s:77:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.edit.entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/edit','/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/edit',1973,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:111:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:148:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:69:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}',11),('config_translation.item.edit.entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/edit','/admin/config/people/accounts/fields/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/people/accounts/fields/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/edit','/admin/config/content/formats/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:78:\"/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/content/formats/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/edit','/admin/config/media/image-styles/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:79:\"/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:58:\"/admin/config/media/image-styles/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.menu.edit_form','/admin/structure/menu/manage/{menu}/translate/{langcode}/edit','/admin/structure/menu/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/menu/manage/{menu}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/menu/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.node_type.edit_form','/admin/structure/types/manage/{node_type}/translate/{langcode}/edit','/admin/structure/types/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:67:\"/admin/structure/types/manage/{node_type}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/edit','/admin/config/search/path/patterns/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:79:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:53:\"/admin/config/search/path/patterns/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}/translate/{langcode}/edit','/admin/config/search/pages/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/config/search/pages/manage/{search_page}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:52:\"/admin/config/search/pages/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/edit','/admin/config/user-interface/shortcut/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:63:\"/admin/config/user-interface/shortcut/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/edit','/admin/config/services/simplenews/manage/%/translate/%/edit',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:90:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:59:\"/admin/config/services/simplenews/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}',9),('config_translation.item.edit.entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/edit','/admin/structure/taxonomy/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:51:\"/admin/structure/taxonomy/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.user.admin_form','/admin/config/people/accounts/translate/{langcode}/edit','/admin/config/people/accounts/translate/%/edit',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/config/people/accounts/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/config/people/accounts/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/translate/%/edit\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.edit.entity.user_role.edit_form','/admin/people/roles/manage/{user_role}/translate/{langcode}/edit','/admin/people/roles/manage/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/people/roles/manage/{user_role}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:45:\"/admin/people/roles/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.entity.view.edit_form','/admin/structure/views/view/{view}/translate/{langcode}/edit','/admin/structure/views/view/%/translate/%/edit',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/structure/views/view/{view}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:46:\"/admin/structure/views/view/%/translate/%/edit\";s:8:\"numParts\";i:8;}}',8),('config_translation.item.edit.simplenews.newsletter_list','/admin/config/services/simplenews/translate/{langcode}/edit','/admin/config/services/simplenews/translate/%/edit',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/services/simplenews/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/config/services/simplenews/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:50:\"/admin/config/services/simplenews/translate/%/edit\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.edit.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate/{langcode}/edit','/admin/config/services/rss-publishing/translate/%/edit',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/services/rss-publishing/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/services/rss\\-publishing/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/services/rss-publishing/translate/%/edit\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.edit.system.site_information_settings','/admin/config/system/site-information/translate/{langcode}/edit','/admin/config/system/site-information/translate/%/edit',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/system/site-information/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/system/site\\-information/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/system/site-information/translate/%/edit\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.edit.system.site_maintenance_mode','/admin/config/development/maintenance/translate/{langcode}/edit','/admin/config/development/maintenance/translate/%/edit',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/development/maintenance/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/development/maintenance/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/development/maintenance/translate/%/edit\";s:8:\"numParts\";i:7;}}',7),('config_translation.item.overview.entity.user.admin_form','/admin/config/people/accounts/translate','/admin/config/people/accounts/translate',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/config/people/accounts/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/people/accounts/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/people/accounts/translate\";s:8:\"numParts\";i:5;}}',5),('config_translation.item.overview.simplenews.newsletter_list','/admin/config/services/simplenews/translate','/admin/config/services/simplenews/translate',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/admin/config/services/simplenews/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/config/services/simplenews/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:43:\"/admin/config/services/simplenews/translate\";s:8:\"numParts\";i:5;}}',5),('config_translation.item.overview.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate','/admin/config/services/rss-publishing/translate',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/config/services/rss-publishing/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/services/rss\\-publishing/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/services/rss-publishing/translate\";s:8:\"numParts\";i:5;}}',5),('config_translation.item.overview.system.site_information_settings','/admin/config/system/site-information/translate','/admin/config/system/site-information/translate',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/config/system/site-information/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/system/site\\-information/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/system/site-information/translate\";s:8:\"numParts\";i:5;}}',5),('config_translation.item.overview.system.site_maintenance_mode','/admin/config/development/maintenance/translate','/admin/config/development/maintenance/translate',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/config/development/maintenance/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/development/maintenance/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/development/maintenance/translate\";s:8:\"numParts\";i:5;}}',5),('config_translation.mapper_list','/admin/config/regional/config-translation','/admin/config/regional/config-translation',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/config/regional/config-translation\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:25:\"Configuration translation\";s:11:\"_controller\";s:73:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationMapperList::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"translate configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/admin/config/regional/config\\-translation$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/config-translation\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:41:\"/admin/config/regional/config-translation\";s:8:\"numParts\";i:4;}}',4),('contact.form_add','/admin/structure/contact/add','/admin/structure/contact/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/admin/structure/contact/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"contact_form.add\";s:6:\"_title\";s:16:\"Add contact form\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer contact forms\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/structure/contact/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/contact/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/structure/contact/add\";s:8:\"numParts\";i:4;}}',4),('contact.site_page','/contact','/contact',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:8:\"/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";s:12:\"contact_form\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"access site-wide contact form\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:15:\"#^/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/contact\";s:8:\"numParts\";i:1;}}',1),('contextual.render','/contextual/render','/contextual/render',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:18:\"/contextual/render\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\contextual\\ContextualController::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access contextual links\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/contextual/render$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/contextual/render\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/contextual/render\";s:8:\"numParts\";i:2;}}',2),('dblog.access_denied','/admin/reports/access-denied','/admin/reports/access-denied',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/admin/reports/access-denied\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:26:\"Top \'access denied\' errors\";s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:4:\"type\";s:13:\"access denied\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/access\\-denied$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/access-denied\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/reports/access-denied\";s:8:\"numParts\";i:3;}}',3),('dblog.confirm','/admin/reports/dblog/confirm','/admin/reports/dblog/confirm',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/admin/reports/dblog/confirm\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\dblog\\Form\\DblogClearLogConfirmForm\";s:6:\"_title\";s:34:\"Confirm delete recent log messages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/reports/dblog/confirm$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/dblog/confirm\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/reports/dblog/confirm\";s:8:\"numParts\";i:4;}}',4),('dblog.event','/admin/reports/dblog/event/{event_id}','/admin/reports/dblog/event/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/reports/dblog/event/{event_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\dblog\\Controller\\DbLogController::eventDetails\";s:6:\"_title\";s:7:\"Details\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"event_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/reports/dblog/event/(?P<event_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"event_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/reports/dblog/event\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"event_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/reports/dblog/event/%\";s:8:\"numParts\";i:5;}}',5),('dblog.overview','/admin/reports/dblog','/admin/reports/dblog',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/reports/dblog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:8:\"watchdog\";s:10:\"display_id\";s:4:\"page\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"access site reports\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/reports/dblog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/reports/dblog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/reports/dblog\";s:8:\"numParts\";i:3;}}',3),('dblog.page_not_found','/admin/reports/page-not-found','/admin/reports/page-not-found',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/reports/page-not-found\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:27:\"Top \'page not found\' errors\";s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:4:\"type\";s:14:\"page not found\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/page\\-not\\-found$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/page-not-found\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:29:\"/admin/reports/page-not-found\";s:8:\"numParts\";i:3;}}',3),('dblog.search','/admin/reports/search','/admin/reports/search',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/reports/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:6:\"_title\";s:18:\"Top search phrases\";s:4:\"type\";s:6:\"search\";}s:12:\"requirements\";a:2:{s:20:\"_module_dependencies\";s:6:\"search\";s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/search\";s:8:\"numParts\";i:3;}}',3),('editor.filter_xss','/editor/filter_xss/{filter_format}','/editor/filter_xss/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/editor/filter_xss/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:42:\"\\Drupal\\editor\\EditorController::filterXss\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/editor/filter_xss\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:20:\"/editor/filter_xss/%\";s:8:\"numParts\";i:3;}}',3),('editor.image_dialog','/editor/dialog/image/{editor}','/editor/dialog/image/%',14,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/editor/dialog/image/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\editor\\Form\\EditorImageDialog\";s:6:\"_title\";s:12:\"Upload image\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/editor/dialog/image\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:22:\"/editor/dialog/image/%\";s:8:\"numParts\";i:4;}}',4),('editor.link_dialog','/editor/dialog/link/{editor}','/editor/dialog/link/%',14,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/editor/dialog/link/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\editor\\Form\\EditorLinkDialog\";s:6:\"_title\";s:8:\"Add link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/editor/dialog/link\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:21:\"/editor/dialog/link/%\";s:8:\"numParts\";i:4;}}',4),('entity.block.config_translation_overview','/admin/structure/block/manage/{block}/translate','/admin/structure/block/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/structure/block/manage/{block}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:64:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/block/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.block.delete_form','/admin/structure/block/manage/{block}/delete','/admin/structure/block/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"block.delete\";s:6:\"_title\";s:12:\"Remove block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/block/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.block.disable','/admin/structure/block/manage/{block}/disable','/admin/structure/block/manage/%/disable',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/structure/block/manage/{block}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:58:\"\\Drupal\\block\\Controller\\BlockController::performOperation\";s:2:\"op\";s:7:\"disable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:13:\"block.disable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/block/manage/%/disable\";s:8:\"numParts\";i:6;}}',6),('entity.block.edit_form','/admin/structure/block/manage/{block}','/admin/structure/block/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/structure/block/manage/{block}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"block.default\";s:6:\"_title\";s:15:\"Configure block\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:12:\"block.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/structure/block/manage/(?P<block>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/block/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.block.enable','/admin/structure/block/manage/{block}/enable','/admin/structure/block/manage/%/enable',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:44:\"/admin/structure/block/manage/{block}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:58:\"\\Drupal\\block\\Controller\\BlockController::performOperation\";s:2:\"op\";s:6:\"enable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"block.enable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/block/manage/%/enable\";s:8:\"numParts\";i:6;}}',6),('entity.block_content.canonical','/block/{block_content}','/block/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}',2),('entity.block_content.collection','/admin/structure/block/block-content','/admin/structure/block/block-content',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/admin/structure/block/block-content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"block_content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer blocks\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/block/block\\-content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/structure/block/block-content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/structure/block/block-content\";s:8:\"numParts\";i:4;}}',4),('entity.block_content.content_translation_add','/block/{block_content}/translations/add/{source}/{target}','/block/%/translations/add',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:57:\"/block/{block_content}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/block/(?P<block_content>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/block/%/translations/add\";s:8:\"numParts\";i:6;}}',6),('entity.block_content.content_translation_delete','/block/{block_content}/translations/delete/{language}','/block/%/translations/delete',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/block/{block_content}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"block_content.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:85:\"#^/block/(?P<block_content>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/block/%/translations/delete\";s:8:\"numParts\";i:5;}}',5),('entity.block_content.content_translation_edit','/block/{block_content}/translations/edit/{language}','/block/%/translations/edit',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/block/{block_content}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/block/(?P<block_content>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:26:\"/block/%/translations/edit\";s:8:\"numParts\";i:5;}}',5),('entity.block_content.content_translation_overview','/block/{block_content}/translations','/block/%/translations',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/block/{block_content}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:36:\"_access_content_translation_overview\";s:13:\"block_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/block/(?P<block_content>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:21:\"/block/%/translations\";s:8:\"numParts\";i:3;}}',3),('entity.block_content.delete_form','/block/{block_content}/delete','/block/%/delete',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/block/{block_content}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"block_content.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.delete\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/block/(?P<block_content>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/block/%/delete\";s:8:\"numParts\";i:3;}}',3),('entity.block_content.edit_form','/block/{block_content}','/block/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}',2),('entity.block_content.field_ui_fields','/admin/structure/block/block-content/manage/{block_content_type}/fields','/admin/structure/block/block-content/manage/%/fields',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/fields\";s:8:\"numParts\";i:7;}}',7),('entity.block_content_type.collection','/admin/structure/block/block-content/types','/admin/structure/block/block-content/types',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/structure/block/block-content/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:18:\"block_content_type\";s:6:\"_title\";s:20:\"Custom block library\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/structure/block/block\\-content/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/block/block-content/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/structure/block/block-content/types\";s:8:\"numParts\";i:5;}}',5),('entity.block_content_type.config_translation_overview','/admin/structure/block/block-content/manage/{block_content_type}/translate','/admin/structure/block/block-content/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:74:\"/admin/structure/block/block-content/manage/{block_content_type}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:55:\"/admin/structure/block/block-content/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.block_content_type.delete_form','/admin/structure/block/block-content/manage/{block_content_type}/delete','/admin/structure/block/block-content/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"block_content_type.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}','/admin/structure/block/block-content/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"block_content_type.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:45:\"/admin/structure/block/block-content/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.block_content_type.entity_permissions_form','/admin/structure/block/block-content/manage/{block_content_type}/permissions','/admin/structure/block/block-content/manage/%/permissions',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/block/block-content/manage/{block_content_type}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:13:\"block_content\";s:18:\"bundle_entity_type\";s:18:\"block_content_type\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:22:\"administer permissions\";s:14:\"_custom_access\";s:47:\"\\Drupal\\user\\Form\\EntityPermissionsForm::access\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:3:{s:4:\"type\";s:25:\"entity:block_content_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:57:\"/admin/structure/block/block-content/manage/%/permissions\";s:8:\"numParts\";i:7;}}',7),('entity.comment.canonical','/comment/{comment}','/comment/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:18:\"/comment/{comment}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:67:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle\";s:11:\"_controller\";s:62:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalink\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/comment/(?P<comment>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/comment/%\";s:8:\"numParts\";i:2;}}',2),('entity.comment.content_translation_add','/comment/{comment}/translations/add/{source}/{target}','/comment/%/translations/add',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/comment/{comment}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/comment/(?P<comment>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/comment/%/translations/add\";s:8:\"numParts\";i:6;}}',6),('entity.comment.content_translation_delete','/comment/{comment}/translations/delete/{language}','/comment/%/translations/delete',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/comment/{comment}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:36:\"comment.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/comment/(?P<comment>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:30:\"/comment/%/translations/delete\";s:8:\"numParts\";i:5;}}',5),('entity.comment.content_translation_edit','/comment/{comment}/translations/edit/{language}','/comment/%/translations/edit',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/comment/{comment}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/comment/(?P<comment>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/comment/%/translations/edit\";s:8:\"numParts\";i:5;}}',5),('entity.comment.content_translation_overview','/comment/{comment}/translations','/comment/%/translations',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/comment/{comment}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:36:\"_access_content_translation_overview\";s:7:\"comment\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/comment/(?P<comment>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:23:\"/comment/%/translations\";s:8:\"numParts\";i:3;}}',3),('entity.comment.delete_form','/comment/{comment}/delete','/comment/%/delete',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/comment/{comment}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:6:\"Delete\";s:12:\"_entity_form\";s:14:\"comment.delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.delete\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/comment/(?P<comment>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/comment/%/delete\";s:8:\"numParts\";i:3;}}',3),('entity.comment.delete_multiple_form','/admin/content/comment/delete','/admin/content/comment/delete',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/content/comment/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Delete\";s:5:\"_form\";s:42:\"\\Drupal\\comment\\Form\\ConfirmDeleteMultiple\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:7:\"comment\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/content/comment/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/content/comment/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/content/comment/delete\";s:8:\"numParts\";i:4;}}',4),('entity.comment.edit_form','/comment/{comment}/edit','/comment/%/edit',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:23:\"/comment/{comment}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:4:\"Edit\";s:12:\"_entity_form\";s:15:\"comment.default\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.update\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/comment/(?P<comment>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/comment/%/edit\";s:8:\"numParts\";i:3;}}',3),('entity.comment.field_ui_fields','/admin/structure/comment/manage/{comment_type}/fields','/admin/structure/comment/manage/%/fields',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/fields\";s:8:\"numParts\";i:6;}}',6),('entity.comment_type.add_form','/admin/structure/comment/types/add','/admin/structure/comment/types/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/structure/comment/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"comment_type.add\";s:6:\"_title\";s:16:\"Add comment type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer comment types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/structure/comment/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/comment/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/structure/comment/types/add\";s:8:\"numParts\";i:5;}}',5),('entity.comment_type.collection','/admin/structure/comment','/admin/structure/comment',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/admin/structure/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"comment_type\";s:6:\"_title\";s:13:\"Comment types\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer comment types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/structure/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/structure/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/structure/comment\";s:8:\"numParts\";i:3;}}',3),('entity.comment_type.config_translation_overview','/admin/structure/comment/manage/{comment_type}/translate','/admin/structure/comment/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/admin/structure/comment/manage/{comment_type}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/comment/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.comment_type.delete_form','/admin/structure/comment/manage/{comment_type}/delete','/admin/structure/comment/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"comment_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}','/admin/structure/comment/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"comment_type.edit\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/comment/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.comment_type.entity_permissions_form','/admin/structure/comment/manage/{comment_type}/permissions','/admin/structure/comment/manage/%/permissions',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/structure/comment/manage/{comment_type}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:7:\"comment\";s:18:\"bundle_entity_type\";s:12:\"comment_type\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:22:\"administer permissions\";s:14:\"_custom_access\";s:47:\"\\Drupal\\user\\Form\\EntityPermissionsForm::access\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:3:{s:4:\"type\";s:19:\"entity:comment_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:45:\"/admin/structure/comment/manage/%/permissions\";s:8:\"numParts\";i:6;}}',6),('entity.component_item.add_form','/admin/structure/component-item/add/{component_item_type}','/admin/structure/component-item/add/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:57:\"/admin/structure/component-item/add/{component_item_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:18:\"component_item.add\";s:14:\"entity_type_id\";s:14:\"component_item\";s:15:\"_title_callback\";s:62:\"Drupal\\Core\\Entity\\Controller\\EntityController::addBundleTitle\";s:16:\"bundle_parameter\";s:19:\"component_item_type\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:36:\"component_item:{component_item_type}\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:3:{s:4:\"type\";s:26:\"entity:component_item_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/component\\-item/add/(?P<component_item_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/component-item/add\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:37:\"/admin/structure/component-item/add/%\";s:8:\"numParts\";i:5;}}',5),('entity.component_item.add_page','/admin/structure/component-item/add','/admin/structure/component-item/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/component-item/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:55:\"Drupal\\Core\\Entity\\Controller\\EntityController::addPage\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";s:14:\"entity_type_id\";s:14:\"component_item\";}s:12:\"requirements\";a:1:{s:25:\"_entity_create_any_access\";s:14:\"component_item\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.entity_create_any\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/component\\-item/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/component-item/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/component-item/add\";s:8:\"numParts\";i:4;}}',4),('entity.component_item.canonical','/component-item/{component_item}','/component-item/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/component-item/{component_item}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:19:\"component_item.full\";s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"component_item.view\";s:14:\"component_item\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:14:\"component_item\";a:2:{s:4:\"type\";s:21:\"entity:component_item\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"component_item\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/component\\-item/(?P<component_item>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:14:\"component_item\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/component-item\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"component_item\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:17:\"/component-item/%\";s:8:\"numParts\";i:2;}}',2),('entity.component_item.collection','/admin/structure/component-items','/admin/structure/component-items',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/admin/structure/component-items\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:14:\"component_item\";s:6:\"_title\";s:5:\"Items\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:56:\"administer component_item+access component_item overview\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/structure/component\\-items$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/component-items\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:32:\"/admin/structure/component-items\";s:8:\"numParts\";i:3;}}',3),('entity.component_item.content_translation_add','/component-item/{component_item}/translations/add/{source}/{target}','/component-item/%/translations/add',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:67:\"/component-item/{component_item}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:14:\"component_item\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"component_item.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:14:\"component_item\";a:3:{s:4:\"type\";s:21:\"entity:component_item\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:14:\"component_item\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/component\\-item/(?P<component_item>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"component_item\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/component-item\";}}s:9:\"path_vars\";a:3:{i:0;s:14:\"component_item\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:34:\"/component-item/%/translations/add\";s:8:\"numParts\";i:6;}}',6),('entity.component_item.content_translation_delete','/component-item/{component_item}/translations/delete/{language}','/component-item/%/translations/delete',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/component-item/{component_item}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:43:\"component_item.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:14:\"component_item\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:14:\"component_item\";a:3:{s:4:\"type\";s:21:\"entity:component_item\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"component_item\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/component\\-item/(?P<component_item>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"component_item\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/component-item\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"component_item\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:37:\"/component-item/%/translations/delete\";s:8:\"numParts\";i:5;}}',5),('entity.component_item.content_translation_edit','/component-item/{component_item}/translations/edit/{language}','/component-item/%/translations/edit',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/component-item/{component_item}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:14:\"component_item\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:14:\"component_item\";a:3:{s:4:\"type\";s:21:\"entity:component_item\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"component_item\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/component\\-item/(?P<component_item>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"component_item\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/component-item\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"component_item\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:35:\"/component-item/%/translations/edit\";s:8:\"numParts\";i:5;}}',5),('entity.component_item.content_translation_overview','/component-item/{component_item}/translations','/component-item/%/translations',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/component-item/{component_item}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:14:\"component_item\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"component_item.view\";s:36:\"_access_content_translation_overview\";s:14:\"component_item\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:14:\"component_item\";a:3:{s:4:\"type\";s:21:\"entity:component_item\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"component_item\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/component\\-item/(?P<component_item>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"component_item\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/component-item\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"component_item\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:30:\"/component-item/%/translations\";s:8:\"numParts\";i:3;}}',3),('entity.component_item.delete_form','/admin/structure/component-item/{component_item}/delete','/admin/structure/component-item/%/delete',29,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/structure/component-item/{component_item}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"component_item.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:21:\"component_item.delete\";s:14:\"component_item\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:14:\"component_item\";a:2:{s:4:\"type\";s:21:\"entity:component_item\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"component_item\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/component\\-item/(?P<component_item>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:14:\"component_item\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/component-item\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"component_item\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:40:\"/admin/structure/component-item/%/delete\";s:8:\"numParts\";i:5;}}',5),('entity.component_item.delete_multiple_form','/admin/structure/component-item/delete','/admin/structure/component-item/delete',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/admin/structure/component-item/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\entity\\Form\\DeleteMultipleForm\";s:14:\"entity_type_id\";s:14:\"component_item\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:14:\"component_item\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/structure/component\\-item/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/structure/component-item/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:38:\"/admin/structure/component-item/delete\";s:8:\"numParts\";i:4;}}',4),('entity.component_item.edit_form','/admin/structure/component-item/{component_item}/edit','/admin/structure/component-item/%/edit',29,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/component-item/{component_item}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"component_item.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:21:\"component_item.update\";s:14:\"component_item\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:14:\"component_item\";a:2:{s:4:\"type\";s:21:\"entity:component_item\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"component_item\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/component\\-item/(?P<component_item>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:14:\"component_item\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/component-item\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"component_item\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:38:\"/admin/structure/component-item/%/edit\";s:8:\"numParts\";i:5;}}',5),('entity.component_item.field_ui_fields','/admin/structure/component-item/types/{component_item_type}/edit/fields','/admin/structure/component-item/types/%/edit/fields',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/component-item/types/{component_item_type}/edit/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer component_item fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/component-item/types/%/edit/fields\";s:8:\"numParts\";i:7;}}',7),('entity.component_item.root','/admin/structure/component-item','/admin/structure/component-item',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/structure/component-item\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"Component Item\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/structure/component\\-item$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/component-item\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:31:\"/admin/structure/component-item\";s:8:\"numParts\";i:3;}}',3),('entity.component_item_type.add_form','/admin/structure/component-item/types/add','/admin/structure/component-item/types/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/structure/component-item/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:23:\"component_item_type.add\";s:14:\"entity_type_id\";s:19:\"component_item_type\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:19:\"component_item_type\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/admin/structure/component\\-item/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/structure/component-item/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:41:\"/admin/structure/component-item/types/add\";s:8:\"numParts\";i:5;}}',5),('entity.component_item_type.collection','/admin/structure/component-item/types','/admin/structure/component-item/types',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/structure/component-item/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:19:\"component_item_type\";s:6:\"_title\";s:20:\"Component Item types\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer component_item_type\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/structure/component\\-item/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/structure/component-item/types\";s:8:\"numParts\";i:4;}}',4),('entity.component_item_type.config_translation_overview','/admin/structure/component-item/types/{component_item_type}/edit/translate','/admin/structure/component-item/types/%/edit/translate',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:74:\"/admin/structure/component-item/types/{component_item_type}/edit/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:19:\"component_item_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/edit/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:54:\"/admin/structure/component-item/types/%/edit/translate\";s:8:\"numParts\";i:7;}}',7),('entity.component_item_type.delete_form','/admin/structure/component-item/types/{component_item_type}/delete','/admin/structure/component-item/types/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/structure/component-item/types/{component_item_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"component_item_type.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"component_item_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/component-item/types/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.component_item_type.duplicate_form','/admin/structure/component-item/types/{component_item_type}/duplicate','/admin/structure/component-item/types/%/duplicate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/structure/component-item/types/{component_item_type}/duplicate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:56:\"Drupal\\entity\\Controller\\EntityDuplicateController::form\";s:15:\"_title_callback\";s:57:\"Drupal\\entity\\Controller\\EntityDuplicateController::title\";s:14:\"entity_type_id\";s:19:\"component_item_type\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:29:\"component_item_type.duplicate\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/duplicate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/duplicate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:49:\"/admin/structure/component-item/types/%/duplicate\";s:8:\"numParts\";i:6;}}',6),('entity.component_item_type.edit_form','/admin/structure/component-item/types/{component_item_type}/edit','/admin/structure/component-item/types/%/edit',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/component-item/types/{component_item_type}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"component_item_type.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"component_item_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/component-item/types/%/edit\";s:8:\"numParts\";i:6;}}',6),('entity.component_wrapper.add_form','/admin/structure/component-wrapper/add','/admin/structure/component-wrapper/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/admin/structure/component-wrapper/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:21:\"component_wrapper.add\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:17:\"component_wrapper\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/structure/component\\-wrapper/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/structure/component-wrapper/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:38:\"/admin/structure/component-wrapper/add\";s:8:\"numParts\";i:4;}}',4),('entity.component_wrapper.canonical','/component-wrapper/{component_wrapper}','/component-wrapper/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/component-wrapper/{component_wrapper}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:22:\"component_wrapper.full\";s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"component_wrapper.view\";s:17:\"component_wrapper\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:17:\"component_wrapper\";a:2:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:53:\"#^/component\\-wrapper/(?P<component_wrapper>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/component-wrapper\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:20:\"/component-wrapper/%\";s:8:\"numParts\";i:2;}}',2),('entity.component_wrapper.collection','/admin/structure/component-wrappers','/admin/structure/component-wrappers',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/component-wrappers\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:17:\"component_wrapper\";s:6:\"_title\";s:10:\"Components\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:62:\"administer component_wrapper+access component_wrapper overview\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/component\\-wrappers$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/component-wrappers\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:35:\"/admin/structure/component-wrappers\";s:8:\"numParts\";i:3;}}',3),('entity.component_wrapper.content_translation_add','/component-wrapper/{component_wrapper}/translations/add/{source}/{target}','/component-wrapper/%/translations/add',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/component-wrapper/{component_wrapper}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"component_wrapper.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"component_wrapper\";a:3:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:17:\"component_wrapper\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/component\\-wrapper/(?P<component_wrapper>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/component-wrapper\";}}s:9:\"path_vars\";a:3:{i:0;s:17:\"component_wrapper\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:37:\"/component-wrapper/%/translations/add\";s:8:\"numParts\";i:6;}}',6),('entity.component_wrapper.content_translation_delete','/component-wrapper/{component_wrapper}/translations/delete/{language}','/component-wrapper/%/translations/delete',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/component-wrapper/{component_wrapper}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:46:\"component_wrapper.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"component_wrapper\";a:3:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:17:\"component_wrapper\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/component\\-wrapper/(?P<component_wrapper>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/component-wrapper\";}}s:9:\"path_vars\";a:2:{i:0;s:17:\"component_wrapper\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:40:\"/component-wrapper/%/translations/delete\";s:8:\"numParts\";i:5;}}',5),('entity.component_wrapper.content_translation_edit','/component-wrapper/{component_wrapper}/translations/edit/{language}','/component-wrapper/%/translations/edit',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:67:\"/component-wrapper/{component_wrapper}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"component_wrapper\";a:3:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:17:\"component_wrapper\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/component\\-wrapper/(?P<component_wrapper>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/component-wrapper\";}}s:9:\"path_vars\";a:2:{i:0;s:17:\"component_wrapper\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:38:\"/component-wrapper/%/translations/edit\";s:8:\"numParts\";i:5;}}',5),('entity.component_wrapper.content_translation_overview','/component-wrapper/{component_wrapper}/translations','/component-wrapper/%/translations',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/component-wrapper/{component_wrapper}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"component_wrapper.view\";s:36:\"_access_content_translation_overview\";s:17:\"component_wrapper\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:17:\"component_wrapper\";a:3:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/component\\-wrapper/(?P<component_wrapper>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/component-wrapper\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:33:\"/component-wrapper/%/translations\";s:8:\"numParts\";i:3;}}',3),('entity.component_wrapper.delete_form','/admin/structure/component-wrapper/{component_wrapper}/delete','/admin/structure/component-wrapper/%/delete',29,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/component-wrapper/{component_wrapper}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"component_wrapper.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:24:\"component_wrapper.delete\";s:17:\"component_wrapper\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:17:\"component_wrapper\";a:2:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/structure/component\\-wrapper/(?P<component_wrapper>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/component-wrapper\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:43:\"/admin/structure/component-wrapper/%/delete\";s:8:\"numParts\";i:5;}}',5),('entity.component_wrapper.delete_multiple_form','/admin/structure/component-wrapper/delete','/admin/structure/component-wrapper/delete',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/structure/component-wrapper/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\entity\\Form\\DeleteMultipleForm\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:17:\"component_wrapper\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/admin/structure/component\\-wrapper/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/structure/component-wrapper/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:41:\"/admin/structure/component-wrapper/delete\";s:8:\"numParts\";i:4;}}',4),('entity.component_wrapper.edit_form','/admin/structure/component-wrapper/{component_wrapper}/edit','/admin/structure/component-wrapper/%/edit',29,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/component-wrapper/{component_wrapper}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:22:\"component_wrapper.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:24:\"component_wrapper.update\";s:17:\"component_wrapper\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:17:\"component_wrapper\";a:2:{s:4:\"type\";s:24:\"entity:component_wrapper\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/structure/component\\-wrapper/(?P<component_wrapper>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:17:\"component_wrapper\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/component-wrapper\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"component_wrapper\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:41:\"/admin/structure/component-wrapper/%/edit\";s:8:\"numParts\";i:5;}}',5),('entity.component_wrapper.field_ui_fields','/admin/structure/component-wrapper/settings/fields','/admin/structure/component-wrapper/settings/fields',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:50:\"/admin/structure/component-wrapper/settings/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer component_wrapper fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/component\\-wrapper/settings/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:50:\"/admin/structure/component-wrapper/settings/fields\";s:8:\"numParts\";i:5;}}',5),('entity.component_wrapper.root','/admin/structure/component-wrapper','/admin/structure/component-wrapper',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/structure/component-wrapper\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:17:\"Component Wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/structure/component\\-wrapper$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/component-wrapper\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:34:\"/admin/structure/component-wrapper\";s:8:\"numParts\";i:3;}}',3),('entity.component_wrapper.settings','/admin/structure/component-wrapper/settings','/admin/structure/component-wrapper/settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/admin/structure/component-wrapper/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\component_builder\\Form\\ComponentWrapperSettingsForm\";s:6:\"_title\";s:17:\"Component Wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer Component Wrapper entity\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/structure/component\\-wrapper/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/component-wrapper/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:43:\"/admin/structure/component-wrapper/settings\";s:8:\"numParts\";i:4;}}',4),('entity.configurable_language.collection','/admin/config/regional/language','/admin/config/regional/language',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/config/regional/language\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:21:\"configurable_language\";s:6:\"_title\";s:9:\"Languages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/config/regional/language$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/regional/language\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/regional/language\";s:8:\"numParts\";i:4;}}',4),('entity.configurable_language.config_translation_overview','/admin/config/regional/language/edit/{configurable_language}/translate','/admin/config/regional/language/edit/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:70:\"/admin/config/regional/language/edit/{configurable_language}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"configurable_language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"configurable_language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/regional/language/edit/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.configurable_language.delete_form','/admin/config/regional/language/delete/{configurable_language}','/admin/config/regional/language/delete/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:28:\"configurable_language.delete\";s:6:\"_title\";s:15:\"Delete language\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"configurable_language.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"configurable_language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/regional/language/delete/(?P<configurable_language>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/config/regional/language/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"configurable_language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:40:\"/admin/config/regional/language/delete/%\";s:8:\"numParts\";i:6;}}',6),('entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}','/admin/config/regional/language/edit/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"configurable_language.edit\";s:6:\"_title\";s:13:\"Edit language\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"configurable_language.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"configurable_language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"configurable_language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/regional/language/edit/%\";s:8:\"numParts\";i:6;}}',6),('entity.contact_form.canonical','/contact/{contact_form}','/contact/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:23:\"/contact/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"contact_form.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/contact/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/contact/%\";s:8:\"numParts\";i:2;}}',2),('entity.contact_form.collection','/admin/structure/contact','/admin/structure/contact',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/admin/structure/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"contact_form\";s:6:\"_title\";s:13:\"Contact forms\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer contact forms\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/structure/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/structure/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/structure/contact\";s:8:\"numParts\";i:3;}}',3),('entity.contact_form.config_translation_overview','/admin/structure/contact/manage/{contact_form}/translate','/admin/structure/contact/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/admin/structure/contact/manage/{contact_form}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/contact/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.contact_form.delete_form','/admin/structure/contact/manage/{contact_form}/delete','/admin/structure/contact/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"contact_form.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}','/admin/structure/contact/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"contact_form.edit\";s:6:\"_title\";s:17:\"Edit contact form\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/contact/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.contact_form.entity_permissions_form','/admin/structure/contact/manage/{contact_form}/permissions','/admin/structure/contact/manage/%/permissions',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/structure/contact/manage/{contact_form}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:18:\"bundle_entity_type\";s:12:\"contact_form\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:22:\"administer permissions\";s:14:\"_custom_access\";s:47:\"\\Drupal\\user\\Form\\EntityPermissionsForm::access\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:3:{s:4:\"type\";s:19:\"entity:contact_form\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:45:\"/admin/structure/contact/manage/%/permissions\";s:8:\"numParts\";i:6;}}',6),('entity.contact_message.field_ui_fields','/admin/structure/contact/manage/{contact_form}/fields','/admin/structure/contact/manage/%/fields',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/fields\";s:8:\"numParts\";i:6;}}',6),('entity.date_format.collection','/admin/config/regional/date-time','/admin/config/regional/date-time',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/admin/config/regional/date-time\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"date_format\";s:6:\"_title\";s:21:\"Date and time formats\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/regional/date\\-time$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/regional/date-time\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/regional/date-time\";s:8:\"numParts\";i:4;}}',4),('entity.date_format.config_translation_overview','/admin/config/regional/date-time/formats/manage/{date_format}/translate','/admin/config/regional/date-time/formats/manage/%/translate',253,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"date_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"date_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:253;s:14:\"patternOutline\";s:59:\"/admin/config/regional/date-time/formats/manage/%/translate\";s:8:\"numParts\";i:8;}}',8),('entity.date_format.delete_form','/admin/config/regional/date-time/formats/manage/{date_format}/delete','/admin/config/regional/date-time/formats/manage/%/delete',253,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"date_format.delete\";s:6:\"_title\";s:18:\"Delete date format\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"date_format.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"date_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"date_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:253;s:14:\"patternOutline\";s:56:\"/admin/config/regional/date-time/formats/manage/%/delete\";s:8:\"numParts\";i:8;}}',8),('entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}','/admin/config/regional/date-time/formats/manage/%',126,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"date_format.edit\";s:6:\"_title\";s:16:\"Edit date format\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"date_format.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"date_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"date_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:126;s:14:\"patternOutline\";s:49:\"/admin/config/regional/date-time/formats/manage/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.block_content.default','/admin/structure/block/block-content/manage/{block_content_type}/form-display','/admin/structure/block/block-content/manage/%/form-display',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:58:\"/admin/structure/block/block-content/manage/%/form-display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.block_content.form_mode','/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}','/admin/structure/block/block-content/manage/%/form-display/%',250,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:123:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:60:\"/admin/structure/block/block-content/manage/%/form-display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_form_display.comment.default','/admin/structure/comment/manage/{comment_type}/form-display','/admin/structure/comment/manage/%/form-display',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/comment/manage/{comment_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/comment/manage/%/form-display\";s:8:\"numParts\";i:6;}}',6),('entity.entity_form_display.comment.form_mode','/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}','/admin/structure/comment/manage/%/form-display/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:48:\"/admin/structure/comment/manage/%/form-display/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.component_item.default','/admin/structure/component-item/types/{component_item_type}/edit/form-display','/admin/structure/component-item/types/%/edit/form-display',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:57:\"/admin/structure/component-item/types/%/edit/form-display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.component_item.form_mode','/admin/structure/component-item/types/{component_item_type}/edit/form-display/{form_mode_name}','/admin/structure/component-item/types/%/edit/form-display/%',246,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:123:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:59:\"/admin/structure/component-item/types/%/edit/form-display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_form_display.component_wrapper.default','/admin/structure/component-wrapper/settings/form-display','/admin/structure/component-wrapper/settings/form-display',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/admin/structure/component-wrapper/settings/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:41:\"administer component_wrapper form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/component\\-wrapper/settings/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/structure/component-wrapper/settings/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:56:\"/admin/structure/component-wrapper/settings/form-display\";s:8:\"numParts\";i:5;}}',5),('entity.entity_form_display.component_wrapper.form_mode','/admin/structure/component-wrapper/settings/form-display/{form_mode_name}','/admin/structure/component-wrapper/settings/form-display/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/structure/component-wrapper/settings/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:41:\"administer component_wrapper form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/component\\-wrapper/settings/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/structure/component-wrapper/settings/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:58:\"/admin/structure/component-wrapper/settings/form-display/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_form_display.contact_message.default','/admin/structure/contact/manage/{contact_form}/form-display','/admin/structure/contact/manage/%/form-display',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/contact/manage/{contact_form}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/contact/manage/%/form-display\";s:8:\"numParts\";i:6;}}',6),('entity.entity_form_display.contact_message.form_mode','/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}','/admin/structure/contact/manage/%/form-display/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:48:\"/admin/structure/contact/manage/%/form-display/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.node.default','/admin/structure/types/manage/{node_type}/form-display','/admin/structure/types/manage/%/form-display',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/types/manage/{node_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/types/manage/%/form-display\";s:8:\"numParts\";i:6;}}',6),('entity.entity_form_display.node.form_mode','/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}','/admin/structure/types/manage/%/form-display/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:46:\"/admin/structure/types/manage/%/form-display/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.simplenews_subscriber.default','/admin/config/people/simplenews/settings/subscriber/form-display','/admin/config/people/simplenews/settings/subscriber/form-display',127,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:127;s:14:\"patternOutline\";s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.simplenews_subscriber.form_mode','/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}','/admin/config/people/simplenews/settings/subscriber/form-display/%',254,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:66:\"/admin/config/people/simplenews/settings/subscriber/form-display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_form_display.taxonomy_term.default','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display','/admin/structure/taxonomy/manage/%/overview/form-display',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:56:\"/admin/structure/taxonomy/manage/%/overview/form-display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_display.taxonomy_term.form_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}','/admin/structure/taxonomy/manage/%/overview/form-display/%',246,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:58:\"/admin/structure/taxonomy/manage/%/overview/form-display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_form_display.user.default','/admin/config/people/accounts/form-display','/admin/config/people/accounts/form-display',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/config/people/accounts/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer user form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/config/people/accounts/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/config/people/accounts/form-display\";s:8:\"numParts\";i:5;}}',5),('entity.entity_form_display.user.form_mode','/admin/config/people/accounts/form-display/{form_mode_name}','/admin/config/people/accounts/form-display/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/people/accounts/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer user form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/config/people/accounts/form-display/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_form_mode.add_form','/admin/structure/display-modes/form/add/{entity_type_id}','/admin/structure/display-modes/form/add/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/admin/structure/display-modes/form/add/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"entity_form_mode.add\";s:6:\"_title\";s:13:\"Add form mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/structure/display\\-modes/form/add/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/form/add\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:41:\"/admin/structure/display-modes/form/add/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_form_mode.collection','/admin/structure/display-modes/form','/admin/structure/display-modes/form',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/display-modes/form\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"entity_form_mode\";s:6:\"_title\";s:10:\"Form modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/display\\-modes/form$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/display-modes/form\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/display-modes/form\";s:8:\"numParts\";i:4;}}',4),('entity.entity_form_mode.config_translation_overview','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate','/admin/structure/display-modes/form/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/structure/display-modes/form/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_mode.delete_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/delete','/admin/structure/display-modes/form/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"entity_form_mode.delete\";s:6:\"_title\";s:16:\"Delete form mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_form_mode.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/structure/display-modes/form/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}','/admin/structure/display-modes/form/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/display-modes/form/manage/{entity_form_mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"entity_form_mode.edit\";s:6:\"_title\";s:14:\"Edit form mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_form_mode.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/structure/display-modes/form/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_display.block_content.default','/admin/structure/block/block-content/manage/{block_content_type}/display','/admin/structure/block/block-content/manage/%/display',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/block/block-content/manage/{block_content_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/structure/block/block-content/manage/%/display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.block_content.view_mode','/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}','/admin/structure/block/block-content/manage/%/display/%',250,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:55:\"/admin/structure/block/block-content/manage/%/display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_view_display.comment.default','/admin/structure/comment/manage/{comment_type}/display','/admin/structure/comment/manage/%/display',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/comment/manage/{comment_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/comment/manage/%/display\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_display.comment.view_mode','/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}','/admin/structure/comment/manage/%/display/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:43:\"/admin/structure/comment/manage/%/display/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.component_item.default','/admin/structure/component-item/types/{component_item_type}/edit/display','/admin/structure/component-item/types/%/edit/display',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/component-item/types/{component_item_type}/edit/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:52:\"/admin/structure/component-item/types/%/edit/display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.component_item.view_mode','/admin/structure/component-item/types/{component_item_type}/edit/display/{view_mode_name}','/admin/structure/component-item/types/%/edit/display/%',246,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/admin/structure/component-item/types/{component_item_type}/edit/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:54:\"/admin/structure/component-item/types/%/edit/display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_view_display.component_wrapper.default','/admin/structure/component-wrapper/settings/display','/admin/structure/component-wrapper/settings/display',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/structure/component-wrapper/settings/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:36:\"administer component_wrapper display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/structure/component\\-wrapper/settings/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/structure/component-wrapper/settings/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:51:\"/admin/structure/component-wrapper/settings/display\";s:8:\"numParts\";i:5;}}',5),('entity.entity_view_display.component_wrapper.view_mode','/admin/structure/component-wrapper/settings/display/{view_mode_name}','/admin/structure/component-wrapper/settings/display/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/structure/component-wrapper/settings/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:36:\"administer component_wrapper display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/component\\-wrapper/settings/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/structure/component-wrapper/settings/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:53:\"/admin/structure/component-wrapper/settings/display/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_display.contact_message.default','/admin/structure/contact/manage/{contact_form}/display','/admin/structure/contact/manage/%/display',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/contact/manage/{contact_form}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/contact/manage/%/display\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_display.contact_message.view_mode','/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}','/admin/structure/contact/manage/%/display/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:43:\"/admin/structure/contact/manage/%/display/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.node.default','/admin/structure/types/manage/{node_type}/display','/admin/structure/types/manage/%/display',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/admin/structure/types/manage/{node_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/types/manage/%/display\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_display.node.view_mode','/admin/structure/types/manage/{node_type}/display/{view_mode_name}','/admin/structure/types/manage/%/display/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/structure/types/manage/{node_type}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:41:\"/admin/structure/types/manage/%/display/%\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.simplenews_subscriber.default','/admin/config/people/simplenews/settings/subscriber/display','/admin/config/people/simplenews/settings/subscriber/display',127,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/config/people/simplenews/settings/subscriber/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:127;s:14:\"patternOutline\";s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.simplenews_subscriber.view_mode','/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}','/admin/config/people/simplenews/settings/subscriber/display/%',254,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/config/people/simplenews/settings/subscriber/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:61:\"/admin/config/people/simplenews/settings/subscriber/display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_view_display.taxonomy_term.default','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display','/admin/structure/taxonomy/manage/%/overview/display',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/taxonomy/manage/%/overview/display\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_display.taxonomy_term.view_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}','/admin/structure/taxonomy/manage/%/overview/display/%',246,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:88:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:53:\"/admin/structure/taxonomy/manage/%/overview/display/%\";s:8:\"numParts\";i:8;}}',8),('entity.entity_view_display.user.default','/admin/config/people/accounts/display','/admin/config/people/accounts/display',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/people/accounts/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer user display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/people/accounts/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/people/accounts/display\";s:8:\"numParts\";i:5;}}',5),('entity.entity_view_display.user.view_mode','/admin/config/people/accounts/display/{view_mode_name}','/admin/config/people/accounts/display/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/config/people/accounts/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer user display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:39:\"/admin/config/people/accounts/display/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_mode.add_form','/admin/structure/display-modes/view/add/{entity_type_id}','/admin/structure/display-modes/view/add/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/admin/structure/display-modes/view/add/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"entity_view_mode.add\";s:6:\"_title\";s:13:\"Add view mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/structure/display\\-modes/view/add/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/view/add\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:41:\"/admin/structure/display-modes/view/add/%\";s:8:\"numParts\";i:6;}}',6),('entity.entity_view_mode.collection','/admin/structure/display-modes/view','/admin/structure/display-modes/view',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/display-modes/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"entity_view_mode\";s:6:\"_title\";s:10:\"View modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/display\\-modes/view$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/display-modes/view\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/display-modes/view\";s:8:\"numParts\";i:4;}}',4),('entity.entity_view_mode.config_translation_overview','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate','/admin/structure/display-modes/view/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/structure/display-modes/view/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_mode.delete_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/delete','/admin/structure/display-modes/view/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"entity_view_mode.delete\";s:6:\"_title\";s:16:\"Delete view mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_view_mode.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/structure/display-modes/view/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}','/admin/structure/display-modes/view/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/display-modes/view/manage/{entity_view_mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"entity_view_mode.edit\";s:6:\"_title\";s:14:\"Edit view mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_view_mode.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/structure/display-modes/view/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.field_config.block_content_field_delete_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/delete','/admin/structure/block/block-content/manage/%/fields/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/block/block-content/manage/%/fields/%/delete\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}','/admin/structure/block/block-content/manage/%/fields/%',250,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:54:\"/admin/structure/block/block-content/manage/%/fields/%\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.block_content_storage_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/storage','/admin/structure/block/block-content/manage/%/fields/%/storage',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/fields/%/storage\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.comment_field_delete_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/delete','/admin/structure/comment/manage/%/fields/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/comment/manage/%/fields/%/delete\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}','/admin/structure/comment/manage/%/fields/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:42:\"/admin/structure/comment/manage/%/fields/%\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.comment_storage_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/storage','/admin/structure/comment/manage/%/fields/%/storage',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/fields/%/storage\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.component_item_field_delete_form','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/delete','/admin/structure/component-item/types/%/edit/fields/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:60:\"/admin/structure/component-item/types/%/edit/fields/%/delete\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.component_item_field_edit_form','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}','/admin/structure/component-item/types/%/edit/fields/%',246,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:53:\"/admin/structure/component-item/types/%/edit/fields/%\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.component_item_storage_edit_form','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/storage','/admin/structure/component-item/types/%/edit/fields/%/storage',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer component_item fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:61:\"/admin/structure/component-item/types/%/edit/fields/%/storage\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.component_wrapper_field_delete_form','/admin/structure/component-wrapper/settings/fields/{field_config}/delete','/admin/structure/component-wrapper/settings/fields/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/structure/component-wrapper/settings/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:59:\"/admin/structure/component-wrapper/settings/fields/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.component_wrapper_field_edit_form','/admin/structure/component-wrapper/settings/fields/{field_config}','/admin/structure/component-wrapper/settings/fields/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:65:\"/admin/structure/component-wrapper/settings/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:52:\"/admin/structure/component-wrapper/settings/fields/%\";s:8:\"numParts\";i:6;}}',6),('entity.field_config.component_wrapper_storage_edit_form','/admin/structure/component-wrapper/settings/fields/{field_config}/storage','/admin/structure/component-wrapper/settings/fields/%/storage',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/structure/component-wrapper/settings/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer component_wrapper fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:60:\"/admin/structure/component-wrapper/settings/fields/%/storage\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.config_translation_overview.block_content','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate','/admin/structure/block/block-content/manage/%/fields/%/translate',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:96:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:124:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:64:\"/admin/structure/block/block-content/manage/%/fields/%/translate\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.config_translation_overview.comment','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate','/admin/structure/comment/manage/%/fields/%/translate',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:78:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/comment/manage/%/fields/%/translate\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.config_translation_overview.component_item','/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate','/admin/structure/component-item/types/%/edit/fields/%/translate',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:96:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:21:\"component_item_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:124:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/edit/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:63:\"/admin/structure/component-item/types/%/edit/fields/%/translate\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.config_translation_overview.component_wrapper','/admin/structure/component-wrapper/settings/fields/{field_config}/translate','/admin/structure/component-wrapper/settings/fields/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/structure/component-wrapper/settings/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:24:\"component_wrapper_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/structure/component\\-wrapper/settings/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/structure/component-wrapper/settings/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:62:\"/admin/structure/component-wrapper/settings/fields/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.config_translation_overview.contact_message','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate','/admin/structure/contact/manage/%/fields/%/translate',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:78:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/contact/manage/%/fields/%/translate\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.config_translation_overview.node','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate','/admin/structure/types/manage/%/fields/%/translate',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/types/manage/%/fields/%/translate\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.config_translation_overview.simplenews_subscriber','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate','/admin/config/people/simplenews/settings/subscriber/fields/%/translate',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:83:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:70:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.config_translation_overview.taxonomy_term','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate','/admin/structure/taxonomy/manage/%/overview/fields/%/translate',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:95:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:62:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.config_translation_overview.user','/admin/config/people/accounts/fields/{field_config}/translate','/admin/config/people/accounts/fields/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/config/people/accounts/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/people/accounts/fields/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.contact_message_field_delete_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/delete','/admin/structure/contact/manage/%/fields/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/contact/manage/%/fields/%/delete\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}','/admin/structure/contact/manage/%/fields/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:42:\"/admin/structure/contact/manage/%/fields/%\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.contact_message_storage_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/storage','/admin/structure/contact/manage/%/fields/%/storage',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/fields/%/storage\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.node_field_delete_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/delete','/admin/structure/types/manage/%/fields/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:70:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/types/manage/%/fields/%/delete\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}','/admin/structure/types/manage/%/fields/%',122,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/types/manage/{node_type}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:40:\"/admin/structure/types/manage/%/fields/%\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.node_storage_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/storage','/admin/structure/types/manage/%/fields/%/storage',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/fields/%/storage\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.simplenews_subscriber_field_delete_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/delete','/admin/config/people/simplenews/settings/subscriber/fields/%/delete',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:67:\"/admin/config/people/simplenews/settings/subscriber/fields/%/delete\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}','/admin/config/people/simplenews/settings/subscriber/fields/%',254,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:60:\"/admin/config/people/simplenews/settings/subscriber/fields/%\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.simplenews_subscriber_storage_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/storage','/admin/config/people/simplenews/settings/subscriber/fields/%/storage',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer simplenews_subscriber fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/%/storage\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.taxonomy_term_field_delete_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/delete','/admin/structure/taxonomy/manage/%/overview/fields/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:92:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:119:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:59:\"/admin/structure/taxonomy/manage/%/overview/fields/%/delete\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}','/admin/structure/taxonomy/manage/%/overview/fields/%',246,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:52:\"/admin/structure/taxonomy/manage/%/overview/fields/%\";s:8:\"numParts\";i:8;}}',8),('entity.field_config.taxonomy_term_storage_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/storage','/admin/structure/taxonomy/manage/%/overview/fields/%/storage',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:93:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:120:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:60:\"/admin/structure/taxonomy/manage/%/overview/fields/%/storage\";s:8:\"numParts\";i:9;}}',9),('entity.field_config.user_field_delete_form','/admin/config/people/accounts/fields/{field_config}/delete','/admin/config/people/accounts/fields/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/config/people/accounts/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:45:\"/admin/config/people/accounts/fields/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}','/admin/config/people/accounts/fields/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/config/people/accounts/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/people/accounts/fields/%\";s:8:\"numParts\";i:6;}}',6),('entity.field_config.user_storage_edit_form','/admin/config/people/accounts/fields/{field_config}/storage','/admin/config/people/accounts/fields/%/storage',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/people/accounts/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/fields/%/storage\";s:8:\"numParts\";i:7;}}',7),('entity.field_storage_config.collection','/admin/reports/fields','/admin/reports/fields',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/reports/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:20:\"field_storage_config\";s:6:\"_title\";s:10:\"Field list\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/fields\";s:8:\"numParts\";i:3;}}',3),('entity.filter_format.config_translation_overview','/admin/config/content/formats/manage/{filter_format}/translate','/admin/config/content/formats/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/config/content/formats/manage/{filter_format}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/content/formats/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.filter_format.disable','/admin/config/content/formats/manage/{filter_format}/disable','/admin/config/content/formats/manage/%/disable',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"filter_format.disable\";s:6:\"_title\";s:19:\"Disable text format\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:21:\"filter_format.disable\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/content/formats/manage/%/disable\";s:8:\"numParts\";i:7;}}',7),('entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}','/admin/config/content/formats/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"filter_format.edit\";s:15:\"_title_callback\";s:52:\"\\Drupal\\filter\\Controller\\FilterController::getLabel\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:20:\"filter_format.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/content/formats/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.image_style.collection','/admin/config/media/image-styles','/admin/config/media/image-styles',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/admin/config/media/image-styles\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"image_style\";s:6:\"_title\";s:12:\"Image styles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/media/image\\-styles$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/media/image-styles\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/media/image-styles\";s:8:\"numParts\";i:4;}}',4),('entity.image_style.config_translation_overview','/admin/config/media/image-styles/manage/{image_style}/translate','/admin/config/media/image-styles/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/media/image-styles/manage/{image_style}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/config/media/image-styles/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.image_style.delete_form','/admin/config/media/image-styles/manage/{image_style}/delete','/admin/config/media/image-styles/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"image_style.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/media/image-styles/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}','/admin/config/media/image-styles/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"image_style.edit\";s:6:\"_title\";s:10:\"Edit style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:41:\"/admin/config/media/image-styles/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.image_style.flush_form','/admin/config/media/image-styles/manage/{image_style}/flush','/admin/config/media/image-styles/manage/%/flush',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"image_style.flush\";s:6:\"_title\";s:5:\"Flush\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/flush$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/flush\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:47:\"/admin/config/media/image-styles/manage/%/flush\";s:8:\"numParts\";i:7;}}',7),('entity.menu.add_form','/admin/structure/menu/add','/admin/structure/menu/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/structure/menu/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:8:\"menu.add\";s:6:\"_title\";s:8:\"Add menu\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/structure/menu/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/structure/menu/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/structure/menu/add\";s:8:\"numParts\";i:4;}}',4),('entity.menu.add_link_form','/admin/structure/menu/manage/{menu}/add','/admin/structure/menu/manage/%/add',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/structure/menu/manage/{menu}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\menu_link_content\\Controller\\MenuController::addLink\";s:6:\"_title\";s:13:\"Add menu link\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:17:\"menu_link_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/menu/manage/%/add\";s:8:\"numParts\";i:6;}}',6),('entity.menu.collection','/admin/structure/menu','/admin/structure/menu',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/structure/menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:4:\"menu\";s:6:\"_title\";s:5:\"Menus\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/structure/menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/structure/menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/structure/menu\";s:8:\"numParts\";i:3;}}',3),('entity.menu.config_translation_overview','/admin/structure/menu/manage/{menu}/translate','/admin/structure/menu/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/structure/menu/manage/{menu}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/menu/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.menu.delete_form','/admin/structure/menu/manage/{menu}/delete','/admin/structure/menu/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/structure/menu/manage/{menu}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"menu.delete\";s:6:\"_title\";s:11:\"Delete menu\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"menu.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/menu/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.menu.edit_form','/admin/structure/menu/manage/{menu}','/admin/structure/menu/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/menu/manage/{menu}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:9:\"menu.edit\";s:15:\"_title_callback\";s:52:\"\\Drupal\\menu_ui\\Controller\\MenuController::menuTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"menu.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:30:\"/admin/structure/menu/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.menu_link_content.canonical','/admin/structure/menu/item/{menu_link_content}/edit','/admin/structure/menu/item/%/edit',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"menu_link_content.default\";s:6:\"_title\";s:14:\"Edit menu link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:24:\"menu_link_content.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:2:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:33:\"/admin/structure/menu/item/%/edit\";s:8:\"numParts\";i:6;}}',6),('entity.menu_link_content.content_translation_add','/admin/structure/menu/item/{menu_link_content}/edit/translations/add/{source}/{target}','/admin/structure/menu/item/%/edit/translations/add',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"menu_link_content.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:17:\"menu_link_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:133:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/edit/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:3:{i:0;s:17:\"menu_link_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:50:\"/admin/structure/menu/item/%/edit/translations/add\";s:8:\"numParts\";i:10;}}',10),('entity.menu_link_content.content_translation_delete','/admin/structure/menu/item/{menu_link_content}/edit/translations/delete/{language}','/admin/structure/menu/item/%/edit/translations/delete',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:82:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:46:\"menu_link_content.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/edit/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:53:\"/admin/structure/menu/item/%/edit/translations/delete\";s:8:\"numParts\";i:9;}}',9),('entity.menu_link_content.content_translation_edit','/admin/structure/menu/item/{menu_link_content}/edit/translations/edit/{language}','/admin/structure/menu/item/%/edit/translations/edit',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/edit/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:51:\"/admin/structure/menu/item/%/edit/translations/edit\";s:8:\"numParts\";i:9;}}',9),('entity.menu_link_content.content_translation_overview','/admin/structure/menu/item/{menu_link_content}/edit/translations','/admin/structure/menu/item/%/edit/translations',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/menu/item/{menu_link_content}/edit/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"menu_link_content.view\";s:36:\"_access_content_translation_overview\";s:17:\"menu_link_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:46:\"/admin/structure/menu/item/%/edit/translations\";s:8:\"numParts\";i:7;}}',7),('entity.menu_link_content.delete_form','/admin/structure/menu/item/{menu_link_content}/delete','/admin/structure/menu/item/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"menu_link_content.delete\";s:6:\"_title\";s:16:\"Delete menu link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:24:\"menu_link_content.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:2:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:35:\"/admin/structure/menu/item/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.menu_link_content.edit_form','/admin/structure/menu/item/{menu_link_content}/edit','/admin/structure/menu/item/%/edit',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"menu_link_content.default\";s:6:\"_title\";s:14:\"Edit menu link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:24:\"menu_link_content.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:2:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:33:\"/admin/structure/menu/item/%/edit\";s:8:\"numParts\";i:6;}}',6),('entity.node.canonical','/node/{node}','/node/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}',2),('entity.node.content_translation_add','/node/{node}/translations/add/{source}/{target}','/node/%/translations/add',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/node/{node}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/node/(?P<node>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/node/%/translations/add\";s:8:\"numParts\";i:6;}}',6),('entity.node.content_translation_delete','/node/{node}/translations/delete/{language}','/node/%/translations/delete',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/node/{node}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"node.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/node/(?P<node>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/node/%/translations/delete\";s:8:\"numParts\";i:5;}}',5),('entity.node.content_translation_edit','/node/{node}/translations/edit/{language}','/node/%/translations/edit',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/node/{node}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/node/(?P<node>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/node/%/translations/edit\";s:8:\"numParts\";i:5;}}',5),('entity.node.content_translation_overview','/node/{node}/translations','/node/%/translations',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/node/{node}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:36:\"_access_content_translation_overview\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/node/(?P<node>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/node/%/translations\";s:8:\"numParts\";i:3;}}',3),('entity.node.delete_form','/node/{node}/delete','/node/%/delete',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/node/{node}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"node.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"node.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/node/(?P<node>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/node/%/delete\";s:8:\"numParts\";i:3;}}',3),('entity.node.delete_multiple_form','/admin/content/node/delete','/admin/content/node/delete',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/content/node/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\node\\Form\\DeleteMultiple\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:4:\"node\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/content/node/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/content/node/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/content/node/delete\";s:8:\"numParts\";i:4;}}',4),('entity.node.edit_form','/node/{node}/edit','/node/%/edit',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/node/{node}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:9:\"node.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"node.update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/node/(?P<node>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/node/%/edit\";s:8:\"numParts\";i:3;}}',3),('entity.node.field_ui_fields','/admin/structure/types/manage/{node_type}/fields','/admin/structure/types/manage/%/fields',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/fields\";s:8:\"numParts\";i:6;}}',6),('entity.node.preview','/node/preview/{node_preview}/{view_mode_id}','/node/preview/%/%',12,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/node/preview/{node_preview}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\node\\Controller\\NodePreviewController::view\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodePreviewController::title\";}s:12:\"requirements\";a:1:{s:20:\"_node_preview_access\";s:14:\"{node_preview}\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"node_preview\";a:2:{s:4:\"type\";s:12:\"node_preview\";s:9:\"converter\";s:42:\"drupal.proxy_original_service.node_preview\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:25:\"access_check.node.preview\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"node_preview\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/node/preview\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:17:\"/node/preview/%/%\";s:8:\"numParts\";i:4;}}',4),('entity.node.revision','/node/{node}/revisions/{node_revision}/view','/node/%/revisions/%/view',21,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/node/{node}/revisions/{node_revision}/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\node\\Controller\\NodeController::revisionShow\";s:15:\"_title_callback\";s:57:\"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:27:\"node_revision.view revision\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}s:13:\"node_revision\";a:2:{s:4:\"type\";s:20:\"entity_revision:node\";s:9:\"converter\";s:30:\"paramconverter.entity_revision\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/view\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:24:\"/node/%/revisions/%/view\";s:8:\"numParts\";i:5;}}',5),('entity.node.version_history','/node/{node}/revisions','/node/%/revisions',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/node/{node}/revisions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:9:\"Revisions\";s:11:\"_controller\";s:56:\"\\Drupal\\node\\Controller\\NodeController::revisionOverview\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:23:\"node.view all revisions\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/node/(?P<node>\\d+)/revisions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/node/%/revisions\";s:8:\"numParts\";i:3;}}',3),('entity.node_type.collection','/admin/structure/types','/admin/structure/types',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/structure/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:9:\"node_type\";s:6:\"_title\";s:13:\"Content types\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/types\";s:8:\"numParts\";i:3;}}',3),('entity.node_type.config_translation_overview','/admin/structure/types/manage/{node_type}/translate','/admin/structure/types/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/structure/types/manage/{node_type}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/types/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.node_type.delete_form','/admin/structure/types/manage/{node_type}/delete','/admin/structure/types/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"node_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"node_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.node_type.edit_form','/admin/structure/types/manage/{node_type}','/admin/structure/types/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/structure/types/manage/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:14:\"node_type.edit\";s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/types/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.node_type.entity_permissions_form','/admin/structure/types/manage/{node_type}/permissions','/admin/structure/types/manage/%/permissions',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/types/manage/{node_type}/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:4:\"node\";s:18:\"bundle_entity_type\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:3:{s:4:\"type\";s:16:\"entity:node_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/types/manage/%/permissions\";s:8:\"numParts\";i:6;}}',6),('entity.pathauto_pattern.add_form','/admin/config/search/path/patterns/add','/admin/config/search/path/patterns/add',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/admin/config/search/path/patterns/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:24:\"pathauto_pattern.default\";s:6:\"_title\";s:20:\"Add Pathauto pattern\";s:12:\"tempstore_id\";s:16:\"pathauto.pattern\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/search/path/patterns/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/config/search/path/patterns/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:38:\"/admin/config/search/path/patterns/add\";s:8:\"numParts\";i:6;}}',6),('entity.pathauto_pattern.collection','/admin/config/search/path/patterns','/admin/config/search/path/patterns',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/config/search/path/patterns\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"pathauto_pattern\";s:6:\"_title\";s:8:\"Patterns\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/path/patterns$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/patterns\";s:8:\"numParts\";i:5;}}',5),('entity.pathauto_pattern.config_translation_overview','/admin/config/search/path/patterns/{pathauto_pattern}/translate','/admin/config/search/path/patterns/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/search/path/patterns/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.pathauto_pattern.delete_form','/admin/config/search/path/patterns/{pathauto_pattern}/delete','/admin/config/search/path/patterns/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"pathauto_pattern.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:43:\"/admin/config/search/path/patterns/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.pathauto_pattern.disable','/admin/config/search/path/patterns/{pathauto_pattern}/disable','/admin/config/search/path/patterns/%/disable',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:24:\"pathauto_pattern.disable\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:44:\"/admin/config/search/path/patterns/%/disable\";s:8:\"numParts\";i:7;}}',7),('entity.pathauto_pattern.duplicate_form','/admin/config/search/path/patterns/{pathauto_pattern}/duplicate','/admin/config/search/path/patterns/%/duplicate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/duplicate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:26:\"pathauto_pattern.duplicate\";s:6:\"_title\";s:26:\"Duplicate Pathauto pattern\";s:12:\"tempstore_id\";s:16:\"pathauto.pattern\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/duplicate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/duplicate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/search/path/patterns/%/duplicate\";s:8:\"numParts\";i:7;}}',7),('entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}','/admin/config/search/path/patterns/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"pathauto_pattern.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:36:\"/admin/config/search/path/patterns/%\";s:8:\"numParts\";i:6;}}',6),('entity.pathauto_pattern.enable','/admin/config/search/path/patterns/{pathauto_pattern}/enable','/admin/config/search/path/patterns/%/enable',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:23:\"pathauto_pattern.enable\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:43:\"/admin/config/search/path/patterns/%/enable\";s:8:\"numParts\";i:7;}}',7),('entity.path_alias.add_form','/admin/config/search/path/add','/admin/config/search/path/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/config/search/path/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:18:\"path_alias.default\";s:14:\"entity_type_id\";s:10:\"path_alias\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:10:\"path_alias\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/search/path/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/search/path/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:29:\"/admin/config/search/path/add\";s:8:\"numParts\";i:5;}}',5),('entity.path_alias.collection','/admin/config/search/path','/admin/config/search/path',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/config/search/path\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:10:\"path_alias\";s:6:\"_title\";s:11:\"URL aliases\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/search/path$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/search/path\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/config/search/path\";s:8:\"numParts\";i:4;}}',4),('entity.path_alias.delete_form','/admin/config/search/path/delete/{path_alias}','/admin/config/search/path/delete/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/config/search/path/delete/{path_alias}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"path_alias.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:17:\"path_alias.delete\";s:10:\"path_alias\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:10:\"path_alias\";a:2:{s:4:\"type\";s:17:\"entity:path_alias\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:10:\"path_alias\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/config/search/path/delete/(?P<path_alias>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:10:\"path_alias\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/search/path/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:10:\"path_alias\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/delete/%\";s:8:\"numParts\";i:6;}}',6),('entity.path_alias.edit_form','/admin/config/search/path/edit/{path_alias}','/admin/config/search/path/edit/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"path_alias.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:17:\"path_alias.update\";s:10:\"path_alias\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:10:\"path_alias\";a:2:{s:4:\"type\";s:17:\"entity:path_alias\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:10:\"path_alias\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:57:\"#^/admin/config/search/path/edit/(?P<path_alias>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:10:\"path_alias\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/config/search/path/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:10:\"path_alias\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:32:\"/admin/config/search/path/edit/%\";s:8:\"numParts\";i:6;}}',6),('entity.search_page.collection','/admin/config/search/pages','/admin/config/search/pages',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/config/search/pages\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"search_page\";s:6:\"_title\";s:12:\"Search pages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/config/search/pages$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/config/search/pages\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/config/search/pages\";s:8:\"numParts\";i:4;}}',4),('entity.search_page.config_translation_overview','/admin/config/search/pages/manage/{search_page}/translate','/admin/config/search/pages/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:57:\"/admin/config/search/pages/manage/{search_page}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:45:\"/admin/config/search/pages/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.search_page.delete_form','/admin/config/search/pages/manage/{search_page}/delete','/admin/config/search/pages/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"search_page.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"search_page.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:42:\"/admin/config/search/pages/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.search_page.disable','/admin/config/search/pages/manage/{search_page}/disable','/admin/config/search/pages/manage/%/disable',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\search\\Controller\\SearchController::performOperation\";s:2:\"op\";s:7:\"disable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"search_page.disable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:43:\"/admin/config/search/pages/manage/%/disable\";s:8:\"numParts\";i:7;}}',7),('entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}','/admin/config/search/pages/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"search_page.edit\";s:15:\"_title_callback\";s:53:\"\\Drupal\\search\\Controller\\SearchController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"search_page.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:64:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:35:\"/admin/config/search/pages/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.search_page.enable','/admin/config/search/pages/manage/{search_page}/enable','/admin/config/search/pages/manage/%/enable',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\search\\Controller\\SearchController::performOperation\";s:2:\"op\";s:6:\"enable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"search_page.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:42:\"/admin/config/search/pages/manage/%/enable\";s:8:\"numParts\";i:7;}}',7),('entity.search_page.set_default','/admin/config/search/pages/manage/{search_page}/set-default','/admin/config/search/pages/manage/%/set-default',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\search\\Controller\\SearchController::setAsDefault\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"search_page.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/set\\-default$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/set-default\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:47:\"/admin/config/search/pages/manage/%/set-default\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut.canonical','/admin/config/user-interface/shortcut/link/{shortcut}','/admin/config/user-interface/shortcut/link/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"shortcut.default\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:15:\"shortcut.update\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/config/user-interface/shortcut/link/%\";s:8:\"numParts\";i:6;}}',6),('entity.shortcut.content_translation_add','/admin/config/user-interface/shortcut/link/{shortcut}/translations/add/{source}/{target}','/admin/config/user-interface/shortcut/link/%/translations/add',251,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:88:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:13:\"shortcut.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:8:\"shortcut\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:136:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:3:{i:0;s:8:\"shortcut\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:61:\"/admin/config/user-interface/shortcut/link/%/translations/add\";s:8:\"numParts\";i:10;}}',10),('entity.shortcut.content_translation_delete','/admin/config/user-interface/shortcut/link/{shortcut}/translations/delete/{language}','/admin/config/user-interface/shortcut/link/%/translations/delete',251,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:84:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:37:\"shortcut.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:64:\"/admin/config/user-interface/shortcut/link/%/translations/delete\";s:8:\"numParts\";i:9;}}',9),('entity.shortcut.content_translation_edit','/admin/config/user-interface/shortcut/link/{shortcut}/translations/edit/{language}','/admin/config/user-interface/shortcut/link/%/translations/edit',251,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:82:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/link/%/translations/edit\";s:8:\"numParts\";i:9;}}',9),('entity.shortcut.content_translation_overview','/admin/config/user-interface/shortcut/link/{shortcut}/translations','/admin/config/user-interface/shortcut/link/%/translations',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:13:\"shortcut.view\";s:36:\"_access_content_translation_overview\";s:8:\"shortcut\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:57:\"/admin/config/user-interface/shortcut/link/%/translations\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut.delete_form','/admin/config/user-interface/shortcut/link/{shortcut}/delete','/admin/config/user-interface/shortcut/link/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"shortcut.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:15:\"shortcut.delete\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/config/user-interface/shortcut/link/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut.edit_form','/admin/config/user-interface/shortcut/link/{shortcut}','/admin/config/user-interface/shortcut/link/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"shortcut.default\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:15:\"shortcut.update\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/config/user-interface/shortcut/link/%\";s:8:\"numParts\";i:6;}}',6),('entity.shortcut.link_delete_inline','/admin/config/user-interface/shortcut/link/{shortcut}/delete-inline','/admin/config/user-interface/shortcut/link/%/delete-inline',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:67:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete-inline\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\shortcut\\Controller\\ShortcutController::deleteShortcutLinkInline\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:15:\"shortcut.delete\";s:11:\"_csrf_token\";s:4:\"TRUE\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)/delete\\-inline$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/delete-inline\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:58:\"/admin/config/user-interface/shortcut/link/%/delete-inline\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut_set.collection','/admin/config/user-interface/shortcut','/admin/config/user-interface/shortcut',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/user-interface/shortcut\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"shortcut_set\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer shortcuts\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/user\\-interface/shortcut$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/user-interface/shortcut\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/user-interface/shortcut\";s:8:\"numParts\";i:4;}}',4),('entity.shortcut_set.config_translation_overview','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate','/admin/config/user-interface/shortcut/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/user-interface/shortcut/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut_set.customize_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize','/admin/config/user-interface/shortcut/manage/%/customize',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:22:\"shortcut_set.customize\";s:6:\"_title\";s:10:\"List links\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/customize$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/customize\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/user-interface/shortcut/manage/%/customize\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut_set.delete_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete','/admin/config/user-interface/shortcut/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"shortcut_set.delete\";s:6:\"_title\";s:19:\"Delete shortcut set\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/user-interface/shortcut/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}','/admin/config/user-interface/shortcut/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"shortcut_set.edit\";s:6:\"_title\";s:17:\"Edit shortcut set\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:46:\"/admin/config/user-interface/shortcut/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.simplenews_newsletter.config_translation_overview','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate','/admin/config/services/simplenews/manage/%/translate',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:74:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/config/services/simplenews/manage/%/translate\";s:8:\"numParts\";i:7;}}',7),('entity.simplenews_newsletter.delete_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete','/admin/config/services/simplenews/manage/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:28:\"simplenews_newsletter.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_newsletter.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:49:\"/admin/config/services/simplenews/manage/%/delete\";s:8:\"numParts\";i:7;}}',7),('entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}','/admin/config/services/simplenews/manage/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_newsletter.edit\";s:6:\"_title\";s:15:\"Edit newsletter\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_newsletter.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:42:\"/admin/config/services/simplenews/manage/%\";s:8:\"numParts\";i:6;}}',6),('entity.simplenews_subscriber.add_form','/admin/people/simplenews/create','/admin/people/simplenews/create',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/people/simplenews/create\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"simplenews_subscriber.add\";s:6:\"_title\";s:14:\"Add subscriber\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:21:\"simplenews_subscriber\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/people/simplenews/create$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/create\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/create\";s:8:\"numParts\";i:4;}}',4),('entity.simplenews_subscriber.collection','/admin/people/simplenews','/admin/people/simplenews',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/admin/people/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:22:\"simplenews_subscribers\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/people/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/people/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/people/simplenews\";s:8:\"numParts\";i:3;}}',3),('entity.simplenews_subscriber.delete_form','/admin/people/simplenews/delete/{simplenews_subscriber}','/admin/people/simplenews/delete/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:28:\"simplenews_subscriber.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_subscriber.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_subscriber\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_subscriber\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/people/simplenews/delete/(?P<simplenews_subscriber>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_subscriber\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/people/simplenews/delete/%\";s:8:\"numParts\";i:5;}}',5),('entity.simplenews_subscriber.edit_form','/admin/people/simplenews/edit/{simplenews_subscriber}','/admin/people/simplenews/edit/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"simplenews_subscriber.default\";s:6:\"_title\";s:15:\"Edit subscriber\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_subscriber.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_subscriber\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_subscriber\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/people/simplenews/edit/(?P<simplenews_subscriber>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_subscriber\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/people/simplenews/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/edit/%\";s:8:\"numParts\";i:5;}}',5),('entity.simplenews_subscriber.field_ui_fields','/admin/config/people/simplenews/settings/subscriber/fields','/admin/config/people/simplenews/settings/subscriber/fields',127,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer simplenews_subscriber fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/config/people/simplenews/settings/subscriber/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:127;s:14:\"patternOutline\";s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";s:8:\"numParts\";i:7;}}',7),('entity.taxonomy_term.add_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add','/admin/structure/taxonomy/manage/%/add',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::addForm\";s:6:\"_title\";s:8:\"Add term\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:35:\"taxonomy_term:{taxonomy_vocabulary}\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/taxonomy/manage/%/add\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_term.canonical','/taxonomy/term/{taxonomy_term}','/taxonomy/term/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}',3),('entity.taxonomy_term.content_translation_add','/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}','/taxonomy/term/%/translations/add',27,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:65:\"/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:33:\"/taxonomy/term/%/translations/add\";s:8:\"numParts\";i:7;}}',7),('entity.taxonomy_term.content_translation_delete','/taxonomy/term/{taxonomy_term}/translations/delete/{language}','/taxonomy/term/%/translations/delete',27,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/taxonomy/term/{taxonomy_term}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"taxonomy_term.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:36:\"/taxonomy/term/%/translations/delete\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_term.content_translation_edit','/taxonomy/term/{taxonomy_term}/translations/edit/{language}','/taxonomy/term/%/translations/edit',27,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/taxonomy/term/{taxonomy_term}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:34:\"/taxonomy/term/%/translations/edit\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_term.content_translation_overview','/taxonomy/term/{taxonomy_term}/translations','/taxonomy/term/%/translations',13,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/taxonomy/term/{taxonomy_term}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:36:\"_access_content_translation_overview\";s:13:\"taxonomy_term\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:29:\"/taxonomy/term/%/translations\";s:8:\"numParts\";i:4;}}',4),('entity.taxonomy_term.delete_form','/taxonomy/term/{taxonomy_term}/delete','/taxonomy/term/%/delete',13,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"taxonomy_term.delete\";s:6:\"_title\";s:11:\"Delete term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.delete\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:23:\"/taxonomy/term/%/delete\";s:8:\"numParts\";i:4;}}',4),('entity.taxonomy_term.edit_form','/taxonomy/term/{taxonomy_term}/edit','/taxonomy/term/%/edit',13,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"taxonomy_term.default\";s:6:\"_title\";s:9:\"Edit term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.update\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/edit\";s:8:\"numParts\";i:4;}}',4),('entity.taxonomy_term.field_ui_fields','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields','/admin/structure/taxonomy/manage/%/overview/fields',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:70:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/taxonomy/manage/%/overview/fields\";s:8:\"numParts\";i:7;}}',7),('entity.taxonomy_term.forum_delete_form','/admin/structure/forum/delete/forum/{taxonomy_term}','/admin/structure/forum/delete/forum/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/structure/forum/delete/forum/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:29:\"\\Drupal\\forum\\Form\\DeleteForm\";s:6:\"_title\";s:12:\"Delete forum\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/forum/delete/forum/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/forum/delete/forum\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:37:\"/admin/structure/forum/delete/forum/%\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_term.forum_edit_container_form','/admin/structure/forum/edit/container/{taxonomy_term}','/admin/structure/forum/edit/container/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/structure/forum/edit/container/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"taxonomy_term.container\";s:6:\"_title\";s:14:\"Edit container\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/forum/edit/container/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/forum/edit/container\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:39:\"/admin/structure/forum/edit/container/%\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_term.forum_edit_form','/admin/structure/forum/edit/forum/{taxonomy_term}','/admin/structure/forum/edit/forum/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/admin/structure/forum/edit/forum/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"taxonomy_term.forum\";s:6:\"_title\";s:10:\"Edit forum\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/structure/forum/edit/forum/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/structure/forum/edit/forum\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:35:\"/admin/structure/forum/edit/forum/%\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_vocabulary.add_form','/admin/structure/taxonomy/add','/admin/structure/taxonomy/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/structure/taxonomy/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:14:\"entity_type_id\";s:19:\"taxonomy_vocabulary\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:19:\"taxonomy_vocabulary\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/structure/taxonomy/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/taxonomy/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/structure/taxonomy/add\";s:8:\"numParts\";i:4;}}',4),('entity.taxonomy_vocabulary.collection','/admin/structure/taxonomy','/admin/structure/taxonomy',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/structure/taxonomy\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:19:\"taxonomy_vocabulary\";s:6:\"_title\";s:8:\"Taxonomy\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:44:\"access taxonomy overview+administer taxonomy\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/structure/taxonomy$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/structure/taxonomy\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/structure/taxonomy\";s:8:\"numParts\";i:3;}}',3),('entity.taxonomy_vocabulary.config_translation_overview','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate','/admin/structure/taxonomy/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/taxonomy/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_vocabulary.delete_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete','/admin/structure/taxonomy/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"taxonomy_vocabulary.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/taxonomy/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}','/admin/structure/taxonomy/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:34:\"/admin/structure/taxonomy/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.taxonomy_vocabulary.entity_permissions_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions','/admin/structure/taxonomy/manage/%/overview/permissions',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:18:\"Manage permissions\";s:5:\"_form\";s:38:\"Drupal\\user\\Form\\EntityPermissionsForm\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:18:\"bundle_entity_type\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:3:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/permissions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/overview/permissions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:55:\"/admin/structure/taxonomy/manage/%/overview/permissions\";s:8:\"numParts\";i:7;}}',7),('entity.taxonomy_vocabulary.overview_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview','/admin/structure/taxonomy/manage/%/overview',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";s:5:\"_form\";s:34:\"Drupal\\taxonomy\\Form\\OverviewTerms\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:44:\"taxonomy_vocabulary.access taxonomy overview\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:3:{s:21:\"with_config_overrides\";b:1;s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/overview\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/taxonomy/manage/%/overview\";s:8:\"numParts\";i:6;}}',6),('entity.taxonomy_vocabulary.reset_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset','/admin/structure/taxonomy/manage/%/reset',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"taxonomy_vocabulary.reset\";s:6:\"_title\";s:5:\"Reset\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer taxonomy\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:3:{s:21:\"with_config_overrides\";b:1;s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/reset$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reset\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/taxonomy/manage/%/reset\";s:8:\"numParts\";i:6;}}',6),('entity.user.admin_form','/admin/config/people/accounts','/admin/config/people/accounts',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/config/people/accounts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\user\\AccountSettingsForm\";s:6:\"_title\";s:16:\"Account settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"administer account settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/people/accounts$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/people/accounts\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/people/accounts\";s:8:\"numParts\";i:4;}}',4),('entity.user.cancel_form','/user/{user}/cancel','/user/%/cancel',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/user/{user}/cancel\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:14:\"Cancel account\";s:12:\"_entity_form\";s:11:\"user.cancel\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/user/(?P<user>\\d+)/cancel$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/cancel\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/user/%/cancel\";s:8:\"numParts\";i:3;}}',3),('entity.user.canonical','/user/{user}','/user/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}',2),('entity.user.collection','/admin/people','/admin/people',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:13:\"/admin/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:17:\"user_admin_people\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:16:\"administer users\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/people\";s:8:\"numParts\";i:2;}}',2),('entity.user.contact_form','/user/{user}/contact','/user/%/contact',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/user/{user}/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:65:\"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage\";}s:12:\"requirements\";a:2:{s:28:\"_access_contact_personal_tab\";s:4:\"TRUE\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:29:\"access_check.contact_personal\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/(?P<user>\\d+)/contact$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/user/%/contact\";s:8:\"numParts\";i:3;}}',3),('entity.user.content_translation_add','/user/{user}/translations/add/{source}/{target}','/user/%/translations/add',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/user/{user}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/user/(?P<user>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/user/%/translations/add\";s:8:\"numParts\";i:6;}}',6),('entity.user.content_translation_delete','/user/{user}/translations/delete/{language}','/user/%/translations/delete',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/user/{user}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"user.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/user/(?P<user>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/user/%/translations/delete\";s:8:\"numParts\";i:5;}}',5),('entity.user.content_translation_edit','/user/{user}/translations/edit/{language}','/user/%/translations/edit',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/user/{user}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/(?P<user>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/user/%/translations/edit\";s:8:\"numParts\";i:5;}}',5),('entity.user.content_translation_overview','/user/{user}/translations','/user/%/translations',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/user/{user}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:36:\"_access_content_translation_overview\";s:4:\"user\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/user/(?P<user>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/user/%/translations\";s:8:\"numParts\";i:3;}}',3),('entity.user.edit_form','/user/{user}/edit','/user/%/edit',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/user/{user}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"user.default\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/user/(?P<user>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/user/%/edit\";s:8:\"numParts\";i:3;}}',3),('entity.user.field_ui_fields','/admin/config/people/accounts/fields','/admin/config/people/accounts/fields',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/admin/config/people/accounts/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/config/people/accounts/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/config/people/accounts/fields\";s:8:\"numParts\";i:5;}}',5),('entity.user_role.collection','/admin/people/roles','/admin/people/roles',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/admin/people/roles\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:9:\"user_role\";s:6:\"_title\";s:5:\"Roles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/people/roles$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/people/roles\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/people/roles\";s:8:\"numParts\";i:3;}}',3),('entity.user_role.config_translation_overview','/admin/people/roles/manage/{user_role}/translate','/admin/people/roles/manage/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/people/roles/manage/{user_role}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/people/roles/manage/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.user_role.delete_form','/admin/people/roles/manage/{user_role}/delete','/admin/people/roles/manage/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"user_role.delete\";s:6:\"_title\";s:11:\"Delete role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:35:\"/admin/people/roles/manage/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.user_role.edit_form','/admin/people/roles/manage/{user_role}','/admin/people/roles/manage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/admin/people/roles/manage/{user_role}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"user_role.default\";s:6:\"_title\";s:9:\"Edit role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/people/roles/manage/%\";s:8:\"numParts\";i:5;}}',5),('entity.user_role.edit_permissions_form','/admin/people/permissions/{user_role}','/admin/people/permissions/%',14,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/people/permissions/{user_role}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:49:\"\\Drupal\\user\\Form\\UserPermissionsRoleSpecificForm\";s:6:\"_title\";s:9:\"Edit role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/people/permissions/(?P<user_role>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/people/permissions\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:27:\"/admin/people/permissions/%\";s:8:\"numParts\";i:4;}}',4),('entity.view.break_lock_form','/admin/structure/views/view/{view}/break-lock','/admin/structure/views/view/%/break-lock',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/structure/views/view/{view}/break-lock\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"view.break_lock\";s:6:\"_title\";s:10:\"Break lock\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:15:\"view.break-lock\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/views/view/(?P<view>[^/]++)/break\\-lock$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/break-lock\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/views/view/%/break-lock\";s:8:\"numParts\";i:6;}}',6),('entity.view.collection','/admin/structure/views','/admin/structure/views',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/structure/views\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:4:\"view\";s:6:\"_title\";s:5:\"Views\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/views$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/views\";s:8:\"numParts\";i:3;}}',3),('entity.view.config_translation_overview','/admin/structure/views/view/{view}/translate','/admin/structure/views/view/%/translate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:44:\"/admin/structure/views/view/{view}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/views/view/%/translate\";s:8:\"numParts\";i:6;}}',6),('entity.view.delete_form','/admin/structure/views/view/{view}/delete','/admin/structure/views/view/%/delete',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/structure/views/view/{view}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"view.delete\";s:6:\"_title\";s:11:\"Delete view\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/views/view/(?P<view>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:36:\"/admin/structure/views/view/%/delete\";s:8:\"numParts\";i:6;}}',6),('entity.view.disable','/admin/structure/views/view/{view}/disable','/admin/structure/views/view/%/disable',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/structure/views/view/{view}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::ajaxOperation\";s:2:\"op\";s:7:\"disable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"view.disable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/structure/views/view/(?P<view>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/views/view/%/disable\";s:8:\"numParts\";i:6;}}',6),('entity.view.duplicate_form','/admin/structure/views/view/{view}/duplicate','/admin/structure/views/view/%/duplicate',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:44:\"/admin/structure/views/view/{view}/duplicate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:14:\"view.duplicate\";s:6:\"_title\";s:14:\"Duplicate view\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:14:\"view.duplicate\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/views/view/(?P<view>[^/]++)/duplicate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/duplicate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/views/view/%/duplicate\";s:8:\"numParts\";i:6;}}',6),('entity.view.edit_display_form','/admin/structure/views/view/{view}/edit/{display_id}','/admin/structure/views/view/%/edit',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:52:\"/admin/structure/views/view/{view}/edit/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit\";s:10:\"display_id\";N;}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/structure/views/view/(?P<view>[^/]++)/edit(?:/(?P<display_id>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/views/view/%/edit\";s:8:\"numParts\";i:7;}}',7),('entity.view.edit_form','/admin/structure/views/view/{view}','/admin/structure/views/view/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/structure/views/view/{view}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/structure/views/view/(?P<view>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/views/view/%\";s:8:\"numParts\";i:5;}}',5),('entity.view.enable','/admin/structure/views/view/{view}/enable','/admin/structure/views/view/%/enable',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/structure/views/view/{view}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::ajaxOperation\";s:2:\"op\";s:6:\"enable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.enable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/views/view/(?P<view>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:36:\"/admin/structure/views/view/%/enable\";s:8:\"numParts\";i:6;}}',6),('entity.view.preview_form','/admin/structure/views/view/{view}/preview/{display_id}','/admin/structure/views/view/%/preview',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/structure/views/view/{view}/preview/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"view.preview\";s:10:\"display_id\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/views/view/(?P<view>[^/]++)/preview(?:/(?P<display_id>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/preview\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/views/view/%/preview\";s:8:\"numParts\";i:7;}}',7),('field_ui.display_mode','/admin/structure/display-modes','/admin/structure/display-modes',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/admin/structure/display-modes\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:13:\"Display modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/display\\-modes$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/structure/display-modes\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:30:\"/admin/structure/display-modes\";s:8:\"numParts\";i:3;}}',3),('field_ui.entity_form_mode_add','/admin/structure/display-modes/form/add','/admin/structure/display-modes/form/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/structure/display-modes/form/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:78:\"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::formModeTypeSelection\";s:6:\"_title\";s:28:\"Choose form mode entity type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/display\\-modes/form/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/form/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/structure/display-modes/form/add\";s:8:\"numParts\";i:5;}}',5),('field_ui.entity_view_mode_add','/admin/structure/display-modes/view/add','/admin/structure/display-modes/view/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/structure/display-modes/view/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:78:\"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::viewModeTypeSelection\";s:6:\"_title\";s:28:\"Choose view mode entity type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/display\\-modes/view/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/view/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/structure/display-modes/view/add\";s:8:\"numParts\";i:5;}}',5),('field_ui.field_group_add_block_content.display','/admin/structure/block/block-content/manage/{block_content_type}/display/add-group','/admin/structure/block/block-content/manage/%/display/add-group',251,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:82:\"/admin/structure/block/block-content/manage/{block_content_type}/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:63:\"/admin/structure/block/block-content/manage/%/display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_block_content.display.view_mode','/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/add-group','/admin/structure/block/block-content/manage/%/display/%/add-group',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:99:\"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:65:\"/admin/structure/block/block-content/manage/%/display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_block_content.form_display','/admin/structure/block/block-content/manage/{block_content_type}/form-display/add-group','/admin/structure/block/block-content/manage/%/form-display/add-group',251,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:87:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/form-display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:68:\"/admin/structure/block/block-content/manage/%/form-display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_block_content.form_display.form_mode','/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/add-group','/admin/structure/block/block-content/manage/%/form-display/%/add-group',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:104:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:70:\"/admin/structure/block/block-content/manage/%/form-display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_comment.display','/admin/structure/comment/manage/{comment_type}/display/add-group','/admin/structure/comment/manage/%/display/add-group',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/comment/manage/{comment_type}/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/comment/manage/%/display/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_comment.display.view_mode','/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/add-group','/admin/structure/comment/manage/%/display/%/add-group',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:53:\"/admin/structure/comment/manage/%/display/%/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_comment.form_display','/admin/structure/comment/manage/{comment_type}/form-display/add-group','/admin/structure/comment/manage/%/form-display/add-group',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/structure/comment/manage/{comment_type}/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/form-display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:56:\"/admin/structure/comment/manage/%/form-display/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_comment.form_display.form_mode','/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/add-group','/admin/structure/comment/manage/%/form-display/%/add-group',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:58:\"/admin/structure/comment/manage/%/form-display/%/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_component_item.display','/admin/structure/component-item/types/{component_item_type}/edit/display/add-group','/admin/structure/component-item/types/%/edit/display/add-group',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:82:\"/admin/structure/component-item/types/{component_item_type}/edit/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/edit/display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:62:\"/admin/structure/component-item/types/%/edit/display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_component_item.display.view_mode','/admin/structure/component-item/types/{component_item_type}/edit/display/{view_mode_name}/add-group','/admin/structure/component-item/types/%/edit/display/%/add-group',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:99:\"/admin/structure/component-item/types/{component_item_type}/edit/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:64:\"/admin/structure/component-item/types/%/edit/display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_component_item.form_display','/admin/structure/component-item/types/{component_item_type}/edit/form-display/add-group','/admin/structure/component-item/types/%/edit/form-display/add-group',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:87:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/edit/form-display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:67:\"/admin/structure/component-item/types/%/edit/form-display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_component_item.form_display.form_mode','/admin/structure/component-item/types/{component_item_type}/edit/form-display/{form_mode_name}/add-group','/admin/structure/component-item/types/%/edit/form-display/%/add-group',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:104:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:69:\"/admin/structure/component-item/types/%/edit/form-display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_component_wrapper.display','/admin/structure/component-wrapper/settings/display/add-group','/admin/structure/component-wrapper/settings/display/add-group',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:61:\"/admin/structure/component-wrapper/settings/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:36:\"administer component_wrapper display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/component\\-wrapper/settings/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:61:\"/admin/structure/component-wrapper/settings/display/add-group\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:61:\"/admin/structure/component-wrapper/settings/display/add-group\";s:8:\"numParts\";i:6;}}',6),('field_ui.field_group_add_component_wrapper.display.view_mode','/admin/structure/component-wrapper/settings/display/{view_mode_name}/add-group','/admin/structure/component-wrapper/settings/display/%/add-group',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:78:\"/admin/structure/component-wrapper/settings/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:36:\"administer component_wrapper display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/admin/structure/component\\-wrapper/settings/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/structure/component-wrapper/settings/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:63:\"/admin/structure/component-wrapper/settings/display/%/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_component_wrapper.form_display','/admin/structure/component-wrapper/settings/form-display/add-group','/admin/structure/component-wrapper/settings/form-display/add-group',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/structure/component-wrapper/settings/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:41:\"administer component_wrapper form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/structure/component\\-wrapper/settings/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:66:\"/admin/structure/component-wrapper/settings/form-display/add-group\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:66:\"/admin/structure/component-wrapper/settings/form-display/add-group\";s:8:\"numParts\";i:6;}}',6),('field_ui.field_group_add_component_wrapper.form_display.form_mode','/admin/structure/component-wrapper/settings/form-display/{form_mode_name}/add-group','/admin/structure/component-wrapper/settings/form-display/%/add-group',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:83:\"/admin/structure/component-wrapper/settings/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:41:\"administer component_wrapper form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/structure/component\\-wrapper/settings/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/structure/component-wrapper/settings/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:68:\"/admin/structure/component-wrapper/settings/form-display/%/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_contact_message.display','/admin/structure/contact/manage/{contact_form}/display/add-group','/admin/structure/contact/manage/%/display/add-group',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/contact/manage/{contact_form}/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/contact/manage/%/display/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_contact_message.display.view_mode','/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/add-group','/admin/structure/contact/manage/%/display/%/add-group',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:53:\"/admin/structure/contact/manage/%/display/%/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_contact_message.form_display','/admin/structure/contact/manage/{contact_form}/form-display/add-group','/admin/structure/contact/manage/%/form-display/add-group',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/structure/contact/manage/{contact_form}/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/form-display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:56:\"/admin/structure/contact/manage/%/form-display/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_contact_message.form_display.form_mode','/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/add-group','/admin/structure/contact/manage/%/form-display/%/add-group',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:58:\"/admin/structure/contact/manage/%/form-display/%/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_node.display','/admin/structure/types/manage/{node_type}/display/add-group','/admin/structure/types/manage/%/display/add-group',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:59:\"/admin/structure/types/manage/{node_type}/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:49:\"/admin/structure/types/manage/%/display/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_node.display.view_mode','/admin/structure/types/manage/{node_type}/display/{view_mode_name}/add-group','/admin/structure/types/manage/%/display/%/add-group',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/structure/types/manage/{node_type}/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:51:\"/admin/structure/types/manage/%/display/%/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_node.form_display','/admin/structure/types/manage/{node_type}/form-display/add-group','/admin/structure/types/manage/%/form-display/add-group',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/types/manage/{node_type}/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/form-display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:54:\"/admin/structure/types/manage/%/form-display/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_node.form_display.form_mode','/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/add-group','/admin/structure/types/manage/%/form-display/%/add-group',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:110:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:56:\"/admin/structure/types/manage/%/form-display/%/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_simplenews_subscriber.display','/admin/config/people/simplenews/settings/subscriber/display/add-group','/admin/config/people/simplenews/settings/subscriber/display/add-group',255,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/config/people/simplenews/settings/subscriber/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/people/simplenews/settings/subscriber/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:69:\"/admin/config/people/simplenews/settings/subscriber/display/add-group\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:255;s:14:\"patternOutline\";s:69:\"/admin/config/people/simplenews/settings/subscriber/display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_simplenews_subscriber.display.view_mode','/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}/add-group','/admin/config/people/simplenews/settings/subscriber/display/%/add-group',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/people/simplenews/settings/subscriber/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:71:\"/admin/config/people/simplenews/settings/subscriber/display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_simplenews_subscriber.form_display','/admin/config/people/simplenews/settings/subscriber/form-display/add-group','/admin/config/people/simplenews/settings/subscriber/form-display/add-group',255,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:74:\"/admin/config/people/simplenews/settings/subscriber/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:74:\"/admin/config/people/simplenews/settings/subscriber/form-display/add-group\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:255;s:14:\"patternOutline\";s:74:\"/admin/config/people/simplenews/settings/subscriber/form-display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_simplenews_subscriber.form_display.form_mode','/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}/add-group','/admin/config/people/simplenews/settings/subscriber/form-display/%/add-group',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:91:\"/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:110:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:76:\"/admin/config/people/simplenews/settings/subscriber/form-display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_taxonomy_term.display','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/add-group','/admin/structure/taxonomy/manage/%/overview/display/add-group',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/overview/display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:61:\"/admin/structure/taxonomy/manage/%/overview/display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_taxonomy_term.display.view_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/add-group','/admin/structure/taxonomy/manage/%/overview/display/%/add-group',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:98:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:63:\"/admin/structure/taxonomy/manage/%/overview/display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_taxonomy_term.form_display','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/add-group','/admin/structure/taxonomy/manage/%/overview/form-display/add-group',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:86:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/overview/form-display/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:66:\"/admin/structure/taxonomy/manage/%/overview/form-display/add-group\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_add_taxonomy_term.form_display.form_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/add-group','/admin/structure/taxonomy/manage/%/overview/form-display/%/add-group',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:103:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:132:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:68:\"/admin/structure/taxonomy/manage/%/overview/form-display/%/add-group\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_add_user.display','/admin/config/people/accounts/display/add-group','/admin/config/people/accounts/display/add-group',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/config/people/accounts/display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer user display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/people/accounts/display/add\\-group$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/people/accounts/display/add-group\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:47:\"/admin/config/people/accounts/display/add-group\";s:8:\"numParts\";i:6;}}',6),('field_ui.field_group_add_user.display.view_mode','/admin/config/people/accounts/display/{view_mode_name}/add-group','/admin/config/people/accounts/display/%/add-group',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/config/people/accounts/display/{view_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer user display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:49:\"/admin/config/people/accounts/display/%/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_add_user.form_display','/admin/config/people/accounts/form-display/add-group','/admin/config/people/accounts/form-display/add-group',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:52:\"/admin/config/people/accounts/form-display/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer user form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/config/people/accounts/form\\-display/add\\-group$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:52:\"/admin/config/people/accounts/form-display/add-group\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:52:\"/admin/config/people/accounts/form-display/add-group\";s:8:\"numParts\";i:6;}}',6),('field_ui.field_group_add_user.form_display.form_mode','/admin/config/people/accounts/form-display/{form_mode_name}/add-group','/admin/config/people/accounts/form-display/%/add-group',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:69:\"/admin/config/people/accounts/form-display/{form_mode_name}/add-group\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:42:\"\\Drupal\\field_group\\Form\\FieldGroupAddForm\";s:6:\"_title\";s:15:\"Add field group\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer user form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/add-group\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/people/accounts/form-display/%/add-group\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_delete_block_content.display','/admin/structure/block/block-content/manage/{block_content_type}/display/{field_group_name}/delete','/admin/structure/block/block-content/manage/%/display/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:98:\"/admin/structure/block/block-content/manage/{block_content_type}/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_block_content.display.view_mode','/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/block/block-content/manage/%/display/%/%/delete',1001,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:115:\"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:153:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1001;s:14:\"patternOutline\";s:64:\"/admin/structure/block/block-content/manage/%/display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_block_content.form_display','/admin/structure/block/block-content/manage/{block_content_type}/form-display/{field_group_name}/delete','/admin/structure/block/block-content/manage/%/form-display/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:103:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:132:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:67:\"/admin/structure/block/block-content/manage/%/form-display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_block_content.form_display.form_mode','/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/block/block-content/manage/%/form-display/%/%/delete',1001,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:120:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"block_content\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:18:\"block_content_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:159:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1001;s:14:\"patternOutline\";s:69:\"/admin/structure/block/block-content/manage/%/form-display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_comment.display','/admin/structure/comment/manage/{comment_type}/display/{field_group_name}/delete','/admin/structure/comment/manage/%/display/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/structure/comment/manage/{comment_type}/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/display/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_comment.display.view_mode','/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/comment/manage/%/display/%/%/delete',489,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:97:\"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:489;s:14:\"patternOutline\";s:52:\"/admin/structure/comment/manage/%/display/%/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_comment.form_display','/admin/structure/comment/manage/{comment_type}/form-display/{field_group_name}/delete','/admin/structure/comment/manage/%/form-display/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/structure/comment/manage/{comment_type}/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:55:\"/admin/structure/comment/manage/%/form-display/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_comment.form_display.form_mode','/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/comment/manage/%/form-display/%/%/delete',489,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:102:\"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:7:\"comment\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"comment_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:140:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:489;s:14:\"patternOutline\";s:57:\"/admin/structure/comment/manage/%/form-display/%/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_component_item.display','/admin/structure/component-item/types/{component_item_type}/edit/display/{field_group_name}/delete','/admin/structure/component-item/types/%/edit/display/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:98:\"/admin/structure/component-item/types/{component_item_type}/edit/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:61:\"/admin/structure/component-item/types/%/edit/display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_component_item.display.view_mode','/admin/structure/component-item/types/{component_item_type}/edit/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/component-item/types/%/edit/display/%/%/delete',985,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:115:\"/admin/structure/component-item/types/{component_item_type}/edit/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer component_item display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:153:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:985;s:14:\"patternOutline\";s:63:\"/admin/structure/component-item/types/%/edit/display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_component_item.form_display','/admin/structure/component-item/types/{component_item_type}/edit/form-display/{field_group_name}/delete','/admin/structure/component-item/types/%/edit/form-display/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:103:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:132:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"component_item_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:66:\"/admin/structure/component-item/types/%/edit/form-display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_component_item.form_display.form_mode','/admin/structure/component-item/types/{component_item_type}/edit/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/component-item/types/%/edit/form-display/%/%/delete',985,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:120:\"/admin/structure/component-item/types/{component_item_type}/edit/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:14:\"component_item\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:38:\"administer component_item form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"component_item_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:159:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/form-display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"component_item_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:985;s:14:\"patternOutline\";s:68:\"/admin/structure/component-item/types/%/edit/form-display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_component_wrapper.display','/admin/structure/component-wrapper/settings/display/{field_group_name}/delete','/admin/structure/component-wrapper/settings/display/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/admin/structure/component-wrapper/settings/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:36:\"administer component_wrapper display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/component\\-wrapper/settings/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/structure/component-wrapper/settings/display\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:60:\"/admin/structure/component-wrapper/settings/display/%/delete\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_delete_component_wrapper.display.view_mode','/admin/structure/component-wrapper/settings/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/component-wrapper/settings/display/%/%/delete',249,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:94:\"/admin/structure/component-wrapper/settings/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:36:\"administer component_wrapper display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"view_mode_name\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/structure/component\\-wrapper/settings/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/structure/component-wrapper/settings/display\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"view_mode_name\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:249;s:14:\"patternOutline\";s:62:\"/admin/structure/component-wrapper/settings/display/%/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_component_wrapper.form_display','/admin/structure/component-wrapper/settings/form-display/{field_group_name}/delete','/admin/structure/component-wrapper/settings/form-display/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:82:\"/admin/structure/component-wrapper/settings/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:41:\"administer component_wrapper form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/component\\-wrapper/settings/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/structure/component-wrapper/settings/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:65:\"/admin/structure/component-wrapper/settings/form-display/%/delete\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_delete_component_wrapper.form_display.form_mode','/admin/structure/component-wrapper/settings/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/component-wrapper/settings/form-display/%/%/delete',249,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:99:\"/admin/structure/component-wrapper/settings/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:41:\"administer component_wrapper form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"form_mode_name\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/structure/component\\-wrapper/settings/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/structure/component-wrapper/settings/form-display\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"form_mode_name\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:249;s:14:\"patternOutline\";s:67:\"/admin/structure/component-wrapper/settings/form-display/%/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_contact_message.display','/admin/structure/contact/manage/{contact_form}/display/{field_group_name}/delete','/admin/structure/contact/manage/%/display/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/structure/contact/manage/{contact_form}/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/display/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_contact_message.display.view_mode','/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/contact/manage/%/display/%/%/delete',489,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:97:\"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:489;s:14:\"patternOutline\";s:52:\"/admin/structure/contact/manage/%/display/%/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_contact_message.form_display','/admin/structure/contact/manage/{contact_form}/form-display/{field_group_name}/delete','/admin/structure/contact/manage/%/form-display/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/structure/contact/manage/{contact_form}/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:55:\"/admin/structure/contact/manage/%/form-display/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_contact_message.form_display.form_mode','/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/contact/manage/%/form-display/%/%/delete',489,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:102:\"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:12:\"contact_form\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:140:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:489;s:14:\"patternOutline\";s:57:\"/admin/structure/contact/manage/%/form-display/%/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_node.display','/admin/structure/types/manage/{node_type}/display/{field_group_name}/delete','/admin/structure/types/manage/%/display/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/structure/types/manage/{node_type}/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/display/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_node.display.view_mode','/admin/structure/types/manage/{node_type}/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/types/manage/%/display/%/%/delete',489,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:92:\"/admin/structure/types/manage/{node_type}/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:129:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:489;s:14:\"patternOutline\";s:50:\"/admin/structure/types/manage/%/display/%/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_node.form_display','/admin/structure/types/manage/{node_type}/form-display/{field_group_name}/delete','/admin/structure/types/manage/%/form-display/%/delete',245,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/structure/types/manage/{node_type}/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:53:\"/admin/structure/types/manage/%/form-display/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_node.form_display.form_mode','/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/types/manage/%/form-display/%/%/delete',489,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:97:\"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"node\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:9:\"node_type\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:135:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:489;s:14:\"patternOutline\";s:55:\"/admin/structure/types/manage/%/form-display/%/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_simplenews_subscriber.display','/admin/config/people/simplenews/settings/subscriber/display/{field_group_name}/delete','/admin/config/people/simplenews/settings/subscriber/display/%/delete',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/config/people/simplenews/settings/subscriber/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/config/people/simplenews/settings/subscriber/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:68:\"/admin/config/people/simplenews/settings/subscriber/display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_simplenews_subscriber.display.view_mode','/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}/{field_group_name}/delete','/admin/config/people/simplenews/settings/subscriber/display/%/%/delete',1017,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:102:\"/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"view_mode_name\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:129:\"#^/admin/config/people/simplenews/settings/subscriber/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"view_mode_name\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1017;s:14:\"patternOutline\";s:70:\"/admin/config/people/simplenews/settings/subscriber/display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_simplenews_subscriber.form_display','/admin/config/people/simplenews/settings/subscriber/form-display/{field_group_name}/delete','/admin/config/people/simplenews/settings/subscriber/form-display/%/delete',509,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:90:\"/admin/config/people/simplenews/settings/subscriber/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:73:\"/admin/config/people/simplenews/settings/subscriber/form-display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_simplenews_subscriber.form_display.form_mode','/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}/{field_group_name}/delete','/admin/config/people/simplenews/settings/subscriber/form-display/%/%/delete',1017,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:107:\"/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"form_mode_name\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:135:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"form_mode_name\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1017;s:14:\"patternOutline\";s:75:\"/admin/config/people/simplenews/settings/subscriber/form-display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_taxonomy_term.display','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{field_group_name}/delete','/admin/structure/taxonomy/manage/%/overview/display/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:97:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:124:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:60:\"/admin/structure/taxonomy/manage/%/overview/display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_taxonomy_term.display.view_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/{field_group_name}/delete','/admin/structure/taxonomy/manage/%/overview/display/%/%/delete',985,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:114:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:151:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:985;s:14:\"patternOutline\";s:62:\"/admin/structure/taxonomy/manage/%/overview/display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_taxonomy_term.form_display','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{field_group_name}/delete','/admin/structure/taxonomy/manage/%/overview/form-display/%/delete',493,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:102:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:65:\"/admin/structure/taxonomy/manage/%/overview/form-display/%/delete\";s:8:\"numParts\";i:9;}}',9),('field_ui.field_group_delete_taxonomy_term.form_display.form_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/{field_group_name}/delete','/admin/structure/taxonomy/manage/%/overview/form-display/%/%/delete',985,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:119:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:157:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";i:2;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:985;s:14:\"patternOutline\";s:67:\"/admin/structure/taxonomy/manage/%/overview/form-display/%/%/delete\";s:8:\"numParts\";i:10;}}',10),('field_ui.field_group_delete_user.display','/admin/config/people/accounts/display/{field_group_name}/delete','/admin/config/people/accounts/display/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/config/people/accounts/display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer user display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/people/accounts/display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/display/%/delete\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_delete_user.display.view_mode','/admin/config/people/accounts/display/{view_mode_name}/{field_group_name}/delete','/admin/config/people/accounts/display/%/%/delete',249,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/config/people/accounts/display/{view_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"view\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer user display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"view_mode_name\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"view_mode_name\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:249;s:14:\"patternOutline\";s:48:\"/admin/config/people/accounts/display/%/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_group_delete_user.form_display','/admin/config/people/accounts/form-display/{field_group_name}/delete','/admin/config/people/accounts/form-display/%/delete',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/config/people/accounts/form-display/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer user form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/config/people/accounts/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/config/people/accounts/form-display/%/delete\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_group_delete_user.form_display.form_mode','/admin/config/people/accounts/form-display/{form_mode_name}/{field_group_name}/delete','/admin/config/people/accounts/form-display/%/%/delete',249,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/admin/config/people/accounts/form-display/{form_mode_name}/{field_group_name}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:7:\"context\";s:4:\"form\";s:14:\"entity_type_id\";s:4:\"user\";s:5:\"_form\";s:45:\"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer user form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:11:\"field_group\";a:3:{s:4:\"type\";s:11:\"field_group\";s:11:\"entity_type\";N;s:9:\"converter\";s:27:\"field_group.param_converter\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:14:\"form_mode_name\";i:1;s:16:\"field_group_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"field_group_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:2:{i:0;s:14:\"form_mode_name\";i:1;s:16:\"field_group_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:249;s:14:\"patternOutline\";s:53:\"/admin/config/people/accounts/form-display/%/%/delete\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_storage_config_add_block_content','/admin/structure/block/block-content/manage/{block_content_type}/fields/add-field','/admin/structure/block/block-content/manage/%/fields/add-field',251,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/fields/add-field\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_storage_config_add_comment','/admin/structure/comment/manage/{comment_type}/fields/add-field','/admin/structure/comment/manage/%/fields/add-field',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/comment/manage/{comment_type}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/fields/add-field\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_storage_config_add_component_item','/admin/structure/component-item/types/{component_item_type}/edit/fields/add-field','/admin/structure/component-item/types/%/edit/fields/add-field',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:81:\"/admin/structure/component-item/types/{component_item_type}/edit/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:14:\"component_item\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:32:\"administer component_item fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"component_item_type\";a:2:{s:4:\"type\";s:26:\"entity:component_item_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"component_item_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/structure/component\\-item/types/(?P<component_item_type>[^/]++)/edit/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/edit/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"component_item_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/structure/component-item/types\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"component_item_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:61:\"/admin/structure/component-item/types/%/edit/fields/add-field\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_storage_config_add_component_wrapper','/admin/structure/component-wrapper/settings/fields/add-field','/admin/structure/component-wrapper/settings/fields/add-field',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/structure/component-wrapper/settings/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:17:\"component_wrapper\";s:6:\"bundle\";s:17:\"component_wrapper\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer component_wrapper fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/admin/structure/component\\-wrapper/settings/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:60:\"/admin/structure/component-wrapper/settings/fields/add-field\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:60:\"/admin/structure/component-wrapper/settings/fields/add-field\";s:8:\"numParts\";i:6;}}',6),('field_ui.field_storage_config_add_contact_message','/admin/structure/contact/manage/{contact_form}/fields/add-field','/admin/structure/contact/manage/%/fields/add-field',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:63:\"/admin/structure/contact/manage/{contact_form}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/fields/add-field\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_storage_config_add_node','/admin/structure/types/manage/{node_type}/fields/add-field','/admin/structure/types/manage/%/fields/add-field',123,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:58:\"/admin/structure/types/manage/{node_type}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/fields/add-field\";s:8:\"numParts\";i:7;}}',7),('field_ui.field_storage_config_add_simplenews_subscriber','/admin/config/people/simplenews/settings/subscriber/fields/add-field','/admin/config/people/simplenews/settings/subscriber/fields/add-field',255,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer simplenews_subscriber fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/config/people/simplenews/settings/subscriber/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/add-field\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:255;s:14:\"patternOutline\";s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/add-field\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_storage_config_add_taxonomy_term','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/add-field','/admin/structure/taxonomy/manage/%/overview/fields/add-field',247,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:80:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/overview/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:60:\"/admin/structure/taxonomy/manage/%/overview/fields/add-field\";s:8:\"numParts\";i:8;}}',8),('field_ui.field_storage_config_add_user','/admin/config/people/accounts/fields/add-field','/admin/config/people/accounts/fields/add-field',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:46:\"/admin/config/people/accounts/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/people/accounts/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:46:\"/admin/config/people/accounts/fields/add-field\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/fields/add-field\";s:8:\"numParts\";i:6;}}',6),('file.ajax_progress','/file/progress/{key}','/file/progress/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/file/progress/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/file/progress/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/file/progress\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/file/progress/%\";s:8:\"numParts\";i:3;}}',3),('filter.admin_overview','/admin/config/content/formats','/admin/config/content/formats',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/config/content/formats\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:13:\"filter_format\";s:6:\"_title\";s:24:\"Text formats and editors\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer filters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/content/formats$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/content/formats\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/content/formats\";s:8:\"numParts\";i:4;}}',4),('filter.format_add','/admin/config/content/formats/add','/admin/config/content/formats/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:33:\"/admin/config/content/formats/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"filter_format.add\";s:6:\"_title\";s:15:\"Add text format\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:13:\"filter_format\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/content/formats/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/content/formats/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:33:\"/admin/config/content/formats/add\";s:8:\"numParts\";i:5;}}',5),('filter.tips','/filter/tips/{filter_format}','/filter/tips/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/filter/tips/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:14:\"/filter/tips/%\";s:8:\"numParts\";i:3;}}',3),('filter.tips_all','/filter/tips','/filter/tips',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/filter/tips\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/filter/tips$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/filter/tips\";s:8:\"numParts\";i:2;}}',2),('forum.add_container','/admin/structure/forum/add/container','/admin/structure/forum/add/container',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/admin/structure/forum/add/container\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\forum\\Controller\\ForumController::addContainer\";s:6:\"_title\";s:13:\"Add container\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/forum/add/container$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/structure/forum/add/container\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/structure/forum/add/container\";s:8:\"numParts\";i:5;}}',5),('forum.add_forum','/admin/structure/forum/add/forum','/admin/structure/forum/add/forum',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/admin/structure/forum/add/forum\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:50:\"\\Drupal\\forum\\Controller\\ForumController::addForum\";s:6:\"_title\";s:9:\"Add forum\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/structure/forum/add/forum$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/forum/add/forum\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:32:\"/admin/structure/forum/add/forum\";s:8:\"numParts\";i:5;}}',5),('forum.index','/forum','/forum',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/forum\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\forum\\Controller\\ForumController::forumIndex\";s:6:\"_title\";s:6:\"Forums\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/forum$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/forum\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/forum\";s:8:\"numParts\";i:1;}}',1),('forum.overview','/admin/structure/forum','/admin/structure/forum',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/structure/forum\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:27:\"\\Drupal\\forum\\Form\\Overview\";s:6:\"_title\";s:6:\"Forums\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/forum$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/forum\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/forum\";s:8:\"numParts\";i:3;}}',3),('forum.page','/forum/{taxonomy_term}','/forum/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/forum/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\forum\\Controller\\ForumController::forumPage\";s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/forum/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/forum\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/forum/%\";s:8:\"numParts\";i:2;}}',2),('forum.settings','/admin/structure/forum/settings','/admin/structure/forum/settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/structure/forum/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\forum\\ForumSettingsForm\";s:6:\"_title\";s:6:\"Forums\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer forums\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/forum/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/forum/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/structure/forum/settings\";s:8:\"numParts\";i:4;}}',4),('help.main','/admin/help','/admin/help',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/admin/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\help\\Controller\\HelpController::helpMain\";s:6:\"_title\";s:4:\"Help\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/admin/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/admin/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/admin/help\";s:8:\"numParts\";i:2;}}',2),('help.page','/admin/help/{name}','/admin/help/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:18:\"/admin/help/{name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\help\\Controller\\HelpController::helpPage\";s:6:\"_title\";s:4:\"Help\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/help/(?P<name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/admin/help\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/admin/help/%\";s:8:\"numParts\";i:3;}}',3),('history.get_last_node_view','/history/get_node_read_timestamps','/history/get_node_read_timestamps',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:33:\"/history/get_node_read_timestamps\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:67:\"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/history/get_node_read_timestamps$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/history/get_node_read_timestamps\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:33:\"/history/get_node_read_timestamps\";s:8:\"numParts\";i:2;}}',2),('history.read_node','/history/{node}/read','/history/%/read',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/history/{node}/read\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:54:\"\\Drupal\\history\\Controller\\HistoryController::readNode\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/history/(?P<node>\\d+)/read$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/read\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/history\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/history/%/read\";s:8:\"numParts\";i:3;}}',3),('image.effect_add_form','/admin/config/media/image-styles/manage/{image_style}/add/{image_effect}','/admin/config/media/image-styles/manage/%/add/%',250,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/admin/config/media/image-styles/manage/{image_style}/add/{image_effect}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\image\\Form\\ImageEffectAddForm\";s:6:\"_title\";s:16:\"Add image effect\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/add/(?P<image_effect>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"image_effect\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:47:\"/admin/config/media/image-styles/manage/%/add/%\";s:8:\"numParts\";i:8;}}',8),('image.effect_delete','/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}/delete','/admin/config/media/image-styles/manage/%/effects/%/delete',501,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:83:\"/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\image\\Form\\ImageEffectDeleteForm\";s:6:\"_title\";s:19:\"Delete image effect\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:111:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/effects/(?P<image_effect>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"image_effect\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/effects\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:58:\"/admin/config/media/image-styles/manage/%/effects/%/delete\";s:8:\"numParts\";i:9;}}',9),('image.effect_edit_form','/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}','/admin/config/media/image-styles/manage/%/effects/%',250,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:76:\"/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\image\\Form\\ImageEffectEditForm\";s:6:\"_title\";s:17:\"Edit image effect\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/effects/(?P<image_effect>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"image_effect\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/effects\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:51:\"/admin/config/media/image-styles/manage/%/effects/%\";s:8:\"numParts\";i:8;}}',8),('image.style_add','/admin/config/media/image-styles/add','/admin/config/media/image-styles/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/admin/config/media/image-styles/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"image_style.add\";s:6:\"_title\";s:15:\"Add image style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/media/image\\-styles/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/media/image-styles/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/config/media/image-styles/add\";s:8:\"numParts\";i:5;}}',5),('image.style_private','/system/files/styles/{image_style}/{scheme}','/system/files/styles/%/%',28,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:43:\"/system/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/system/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:28;s:14:\"patternOutline\";s:24:\"/system/files/styles/%/%\";s:8:\"numParts\";i:5;}}',5),('image.style_public','/sites/default/files/styles/{image_style}/{scheme}','/sites/default/files/styles/%/%',60,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:50:\"/sites/default/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:61:\"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/sites/default/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:60;s:14:\"patternOutline\";s:31:\"/sites/default/files/styles/%/%\";s:8:\"numParts\";i:6;}}',6),('language.add','/admin/config/regional/language/add','/admin/config/regional/language/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/config/regional/language/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"configurable_language.add\";s:6:\"_title\";s:12:\"Add language\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:21:\"configurable_language\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/config/regional/language/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/config/regional/language/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:35:\"/admin/config/regional/language/add\";s:8:\"numParts\";i:5;}}',5),('language.content_settings_page','/admin/config/regional/content-language','/admin/config/regional/content-language',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/config/regional/content-language\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:16:\"Content language\";s:5:\"_form\";s:49:\"\\Drupal\\language\\Form\\ContentLanguageSettingsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/config/regional/content\\-language$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/content-language\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:39:\"/admin/config/regional/content-language\";s:8:\"numParts\";i:4;}}',4),('language.negotiation','/admin/config/regional/language/detection','/admin/config/regional/language/detection',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/config/regional/language/detection\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\language\\Form\\NegotiationConfigureForm\";s:6:\"_title\";s:23:\"Detection and selection\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/regional/language/detection$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/language/detection\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:41:\"/admin/config/regional/language/detection\";s:8:\"numParts\";i:5;}}',5),('language.negotiation_browser','/admin/config/regional/language/detection/browser','/admin/config/regional/language/detection/browser',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/admin/config/regional/language/detection/browser\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\language\\Form\\NegotiationBrowserForm\";s:6:\"_title\";s:40:\"Browser language detection configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/config/regional/language/detection/browser$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:49:\"/admin/config/regional/language/detection/browser\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:49:\"/admin/config/regional/language/detection/browser\";s:8:\"numParts\";i:6;}}',6),('language.negotiation_browser_delete','/admin/config/regional/language/detection/browser/delete/{browser_langcode}','/admin/config/regional/language/detection/browser/delete/%',254,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/config/regional/language/detection/browser/delete/{browser_langcode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:50:\"\\Drupal\\language\\Form\\NegotiationBrowserDeleteForm\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"browser_langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/config/regional/language/detection/browser/delete/(?P<browser_langcode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"browser_langcode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/config/regional/language/detection/browser/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"browser_langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:58:\"/admin/config/regional/language/detection/browser/delete/%\";s:8:\"numParts\";i:8;}}',8),('language.negotiation_selected','/admin/config/regional/language/detection/selected','/admin/config/regional/language/detection/selected',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:50:\"/admin/config/regional/language/detection/selected\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:45:\"\\Drupal\\language\\Form\\NegotiationSelectedForm\";s:6:\"_title\";s:31:\"Selected language configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:57:\"#^/admin/config/regional/language/detection/selected$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/config/regional/language/detection/selected\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:50:\"/admin/config/regional/language/detection/selected\";s:8:\"numParts\";i:6;}}',6),('language.negotiation_session','/admin/config/regional/language/detection/session','/admin/config/regional/language/detection/session',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/admin/config/regional/language/detection/session\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\language\\Form\\NegotiationSessionForm\";s:6:\"_title\";s:40:\"Session language detection configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/config/regional/language/detection/session$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:49:\"/admin/config/regional/language/detection/session\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:49:\"/admin/config/regional/language/detection/session\";s:8:\"numParts\";i:6;}}',6),('language.negotiation_url','/admin/config/regional/language/detection/url','/admin/config/regional/language/detection/url',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/config/regional/language/detection/url\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\language\\Form\\NegotiationUrlForm\";s:6:\"_title\";s:36:\"URL language detection configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/config/regional/language/detection/url$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:45:\"/admin/config/regional/language/detection/url\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:45:\"/admin/config/regional/language/detection/url\";s:8:\"numParts\";i:6;}}',6),('locale.check_translation','/admin/reports/translations/check','/admin/reports/translations/check',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:33:\"/admin/reports/translations/check\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:60:\"\\Drupal\\locale\\Controller\\LocaleController::checkTranslation\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/reports/translations/check$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/reports/translations/check\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/reports/translations/check\";s:8:\"numParts\";i:4;}}',4),('locale.settings','/admin/config/regional/translate/settings','/admin/config/regional/translate/settings',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:41:\"/admin/config/regional/translate/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\locale\\Form\\LocaleSettingsForm\";s:6:\"_title\";s:30:\"Interface translation settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/regional/translate/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/translate/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:41:\"/admin/config/regional/translate/settings\";s:8:\"numParts\";i:5;}}',5),('locale.translate_export','/admin/config/regional/translate/export','/admin/config/regional/translate/export',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/config/regional/translate/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\locale\\Form\\ExportForm\";s:6:\"_title\";s:28:\"Interface translation export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/regional/translate/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/translate/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/regional/translate/export\";s:8:\"numParts\";i:5;}}',5),('locale.translate_import','/admin/config/regional/translate/import','/admin/config/regional/translate/import',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:39:\"/admin/config/regional/translate/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\locale\\Form\\ImportForm\";s:6:\"_title\";s:28:\"Interface translation import\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/regional/translate/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/translate/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/regional/translate/import\";s:8:\"numParts\";i:5;}}',5),('locale.translate_page','/admin/config/regional/translate','/admin/config/regional/translate',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/admin/config/regional/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:57:\"\\Drupal\\locale\\Controller\\LocaleController::translatePage\";s:6:\"_title\";s:26:\"User interface translation\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/regional/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/regional/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/regional/translate\";s:8:\"numParts\";i:4;}}',4),('locale.translate_status','/admin/reports/translations','/admin/reports/translations',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/admin/reports/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:41:\"\\Drupal\\locale\\Form\\TranslationStatusForm\";s:6:\"_title\";s:29:\"Available translation updates\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/reports/translations$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/reports/translations\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:27:\"/admin/reports/translations\";s:8:\"numParts\";i:3;}}',3),('menu_ui.link_edit','/admin/structure/menu/link/{menu_link_plugin}/edit','/admin/structure/menu/link/%/edit',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:50:\"/admin/structure/menu/link/{menu_link_plugin}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\menu_ui\\Form\\MenuLinkEditForm\";s:6:\"_title\";s:14:\"Edit menu link\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"menu_link_plugin\";a:2:{s:4:\"type\";s:16:\"menu_link_plugin\";s:9:\"converter\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/admin/structure/menu/link/(?P<menu_link_plugin>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"menu_link_plugin\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/link\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:33:\"/admin/structure/menu/link/%/edit\";s:8:\"numParts\";i:6;}}',6),('menu_ui.link_reset','/admin/structure/menu/link/{menu_link_plugin}/reset','/admin/structure/menu/link/%/reset',61,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/structure/menu/link/{menu_link_plugin}/reset\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\menu_ui\\Form\\MenuLinkResetForm\";s:6:\"_title\";s:15:\"Reset menu link\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:15:\"administer menu\";s:14:\"_custom_access\";s:56:\"\\Drupal\\menu_ui\\Form\\MenuLinkResetForm::linkIsResettable\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"menu_link_plugin\";a:2:{s:4:\"type\";s:16:\"menu_link_plugin\";s:9:\"converter\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/menu/link/(?P<menu_link_plugin>[^/]++)/reset$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reset\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"menu_link_plugin\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/link\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/menu/link/%/reset\";s:8:\"numParts\";i:6;}}',6),('menu_ui.parent_options_js','/admin/structure/menu/parents','/admin/structure/menu/parents',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/structure/menu/parents\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\menu_ui\\Controller\\MenuController::getParentOptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/structure/menu/parents$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/menu/parents\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/structure/menu/parents\";s:8:\"numParts\";i:4;}}',4),('module_filter.settings','/admin/config/user-interface/module-filter','/admin/config/user-interface/module-filter',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/config/user-interface/module-filter\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\module_filter\\Form\\ModuleFilterSettingsForm\";s:6:\"_title\";s:22:\"Module filter settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer module_filter\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/config/user\\-interface/module\\-filter$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/module-filter\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:42:\"/admin/config/user-interface/module-filter\";s:8:\"numParts\";i:4;}}',4),('node.add','/node/add/{node_type}','/node/add/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/node/add/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"node.default\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodeController::addPageTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:16:\"node:{node_type}\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:3:{s:4:\"type\";s:16:\"entity:node_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/node/add/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:11:\"/node/add/%\";s:8:\"numParts\";i:3;}}',3),('node.add_page','/node/add','/node/add',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:9:\"/node/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:11:\"Add content\";s:11:\"_controller\";s:47:\"\\Drupal\\node\\Controller\\NodeController::addPage\";}s:12:\"requirements\";a:1:{s:25:\"_entity_create_any_access\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.entity_create_any\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/node/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:9:\"/node/add\";s:8:\"numParts\";i:2;}}',2),('node.configure_rebuild_confirm','/admin/reports/status/rebuild','/admin/reports/status/rebuild',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/reports/status/rebuild\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\RebuildPermissionsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/status/rebuild$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/status/rebuild\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/reports/status/rebuild\";s:8:\"numParts\";i:4;}}',4),('node.multiple_delete_confirm','/admin/content/node/delete','/admin/content/node/delete',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/content/node/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\node\\Form\\DeleteMultiple\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:4:\"node\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/content/node/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/content/node/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/content/node/delete\";s:8:\"numParts\";i:4;}}',4),('node.revision_delete_confirm','/node/{node}/revisions/{node_revision}/delete','/node/%/revisions/%/delete',21,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionDeleteForm\";s:6:\"_title\";s:23:\"Delete earlier revision\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:29:\"node_revision.delete revision\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:2:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}s:13:\"node_revision\";a:2:{s:4:\"type\";s:20:\"entity_revision:node\";s:9:\"converter\";s:30:\"paramconverter.entity_revision\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/delete\";s:8:\"numParts\";i:5;}}',5);
INSERT INTO `router` VALUES ('node.revision_revert_confirm','/node/{node}/revisions/{node_revision}/revert','/node/%/revisions/%/revert',21,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/revert\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionRevertForm\";s:6:\"_title\";s:26:\"Revert to earlier revision\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:29:\"node_revision.revert revision\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:2:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}s:13:\"node_revision\";a:2:{s:4:\"type\";s:20:\"entity_revision:node\";s:9:\"converter\";s:30:\"paramconverter.entity_revision\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/revert\";s:8:\"numParts\";i:5;}}',5),('node.revision_revert_translation_confirm','/node/{node}/revisions/{node_revision}/revert/{langcode}','/node/%/revisions/%/revert/%',42,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:56:\"/node/{node}/revisions/{node_revision}/revert/{langcode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm\";s:6:\"_title\";s:43:\"Revert to earlier revision of a translation\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:29:\"node_revision.revert revision\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:2:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}s:13:\"node_revision\";a:2:{s:4:\"type\";s:20:\"entity_revision:node\";s:9:\"converter\";s:30:\"paramconverter.entity_revision\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:42;s:14:\"patternOutline\";s:28:\"/node/%/revisions/%/revert/%\";s:8:\"numParts\";i:6;}}',6),('node.type_add','/admin/structure/types/add','/admin/structure/types/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/structure/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"node_type.add\";s:6:\"_title\";s:16:\"Add content type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/structure/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/structure/types/add\";s:8:\"numParts\";i:4;}}',4),('pathauto.admin.delete','/admin/config/search/path/delete_bulk','/admin/config/search/path/delete_bulk',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/search/path/delete_bulk\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:41:\"\\Drupal\\pathauto\\Form\\PathautoAdminDelete\";s:6:\"_title\";s:14:\"Delete aliases\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/search/path/delete_bulk$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/search/path/delete_bulk\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/search/path/delete_bulk\";s:8:\"numParts\";i:5;}}',5),('pathauto.bulk.update.form','/admin/config/search/path/update_bulk','/admin/config/search/path/update_bulk',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/search/path/update_bulk\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\pathauto\\Form\\PathautoBulkUpdateForm\";s:6:\"_title\";s:13:\"Bulk generate\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/search/path/update_bulk$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/search/path/update_bulk\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/search/path/update_bulk\";s:8:\"numParts\";i:5;}}',5),('pathauto.settings.form','/admin/config/search/path/settings','/admin/config/search/path/settings',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/config/search/path/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\pathauto\\Form\\PathautoSettingsForm\";s:6:\"_title\";s:8:\"Settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/path/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/settings\";s:8:\"numParts\";i:5;}}',5),('quickedit.attachments','/quickedit/attachments','/quickedit/attachments',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/quickedit/attachments\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\quickedit\\QuickEditController::attachments\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/quickedit/attachments$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/quickedit/attachments\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:22:\"/quickedit/attachments\";s:8:\"numParts\";i:2;}}',2),('quickedit.entity_save','/quickedit/entity/{entity_type}/{entity}','/quickedit/entity/%/%',12,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:40:\"/quickedit/entity/{entity_type}/{entity}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:49:\"\\Drupal\\quickedit\\QuickEditController::entitySave\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:14:\"_entity_access\";s:13:\"entity.update\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/quickedit/entity\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:21:\"/quickedit/entity/%/%\";s:8:\"numParts\";i:4;}}',4),('quickedit.field_form','/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/form/%/%/%/%/%',96,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:77:\"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:48:\"\\Drupal\\quickedit\\QuickEditController::fieldForm\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/quickedit/form\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:25:\"/quickedit/form/%/%/%/%/%\";s:8:\"numParts\";i:7;}}',7),('quickedit.field_untransformed_text','/quickedit/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/%/%/%/%/%',32,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:72:\"/quickedit/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\quickedit\\QuickEditController::getUntransformedText\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:129:\"#^/quickedit/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/quickedit\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:32;s:14:\"patternOutline\";s:20:\"/quickedit/%/%/%/%/%\";s:8:\"numParts\";i:6;}}',6),('quickedit.image_info','/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/image/info/%/%/%/%/%',224,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:83:\"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\quickedit\\Controller\\QuickEditImageController::getInfo\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:3:\"GET\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:140:\"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/quickedit/image/info\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:31:\"/quickedit/image/info/%/%/%/%/%\";s:8:\"numParts\";i:8;}}',8),('quickedit.image_upload','/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/image/upload/%/%/%/%/%',224,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:85:\"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:61:\"\\Drupal\\quickedit\\Controller\\QuickEditImageController::upload\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:4:\"POST\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:142:\"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/quickedit/image/upload\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:33:\"/quickedit/image/upload/%/%/%/%/%\";s:8:\"numParts\";i:8;}}',8),('quickedit.metadata','/quickedit/metadata','/quickedit/metadata',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/quickedit/metadata\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\quickedit\\QuickEditController::metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/quickedit/metadata$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/quickedit/metadata\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:19:\"/quickedit/metadata\";s:8:\"numParts\";i:2;}}',2),('search.add_type','/admin/config/search/pages/add/{search_plugin_id}','/admin/config/search/pages/add/%',62,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:49:\"/admin/config/search/pages/add/{search_plugin_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"search_page.add\";s:6:\"_title\";s:19:\"Add new search page\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:11:\"search_page\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:16:\"search_plugin_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/config/search/pages/add/(?P<search_plugin_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"search_plugin_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/config/search/pages/add\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"search_plugin_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:32:\"/admin/config/search/pages/add/%\";s:8:\"numParts\";i:6;}}',6),('search.help_node_search','/search/node/help','/search/node/help',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/search/node/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:15:\"About searching\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/node/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/node/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/node/help\";s:8:\"numParts\";i:3;}}',3),('search.help_user_search','/search/user/help','/search/user/help',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/search/user/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:15:\"About searching\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/user/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/user/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/user/help\";s:8:\"numParts\";i:3;}}',3),('search.reindex_confirm','/admin/config/search/pages/reindex','/admin/config/search/pages/reindex',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/config/search/pages/reindex\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\search\\Form\\ReindexConfirm\";s:6:\"_title\";s:11:\"Clear index\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/pages/reindex$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/pages/reindex\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/pages/reindex\";s:8:\"numParts\";i:5;}}',5),('search.view','/search','/search',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:7:\"/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:61:\"Drupal\\search\\Controller\\SearchController::redirectSearchPage\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:14:\"#^/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:7:\"/search\";s:8:\"numParts\";i:1;}}',1),('search.view_node_search','/search/node','/search/node',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/search/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/node\";s:8:\"numParts\";i:2;}}',2),('search.view_user_search','/search/user','/search/user',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/search/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/user\";s:8:\"numParts\";i:2;}}',2),('shortcut.link_add','/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link','/admin/config/user-interface/shortcut/manage/%/add-link',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:68:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\shortcut\\Controller\\ShortcutController::addForm\";s:6:\"_title\";s:8:\"Add link\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:23:\"shortcut:{shortcut_set}\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/add-link\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:55:\"/admin/config/user-interface/shortcut/manage/%/add-link\";s:8:\"numParts\";i:7;}}',7),('shortcut.link_add_inline','/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline','/admin/config/user-interface/shortcut/manage/%/add-link-inline',125,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:75:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\shortcut\\Controller\\ShortcutSetController::addShortcutLinkInline\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link\\-inline$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/add-link-inline\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/manage/%/add-link-inline\";s:8:\"numParts\";i:7;}}',7),('shortcut.set_add','/admin/config/user-interface/shortcut/add-set','/admin/config/user-interface/shortcut/add-set',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:45:\"/admin/config/user-interface/shortcut/add-set\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"shortcut_set.add\";s:6:\"_title\";s:16:\"Add shortcut set\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:12:\"shortcut_set\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/user\\-interface/shortcut/add\\-set$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:45:\"/admin/config/user-interface/shortcut/add-set\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:45:\"/admin/config/user-interface/shortcut/add-set\";s:8:\"numParts\";i:5;}}',5),('shortcut.set_switch','/user/{user}/shortcuts','/user/%/shortcuts',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/user/{user}/shortcuts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:52:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"user\";s:3:\"\\d+\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/user/(?P<user>[^/]++)/shortcuts$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/shortcuts\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/user/%/shortcuts\";s:8:\"numParts\";i:3;}}',3),('simplenews.newsletter_add','/admin/config/services/simplenews/add','/admin/config/services/simplenews/add',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/services/simplenews/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"simplenews_newsletter.add\";s:6:\"_title\";s:14:\"Add newsletter\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:21:\"simplenews_newsletter\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/services/simplenews/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/services/simplenews/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/services/simplenews/add\";s:8:\"numParts\";i:5;}}',5),('simplenews.newsletter_confirm_combined','/newsletter/confirm/combined/{snid}/{timestamp}/{hash}','/newsletter/confirm/combined/%/%/%',56,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:54:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:56;s:14:\"patternOutline\";s:34:\"/newsletter/confirm/combined/%/%/%\";s:8:\"numParts\";i:6;}}',6),('simplenews.newsletter_confirm_combined_immediate','/newsletter/confirm/combined/{snid}/{timestamp}/{hash}/ok','/newsletter/confirm/combined/%/%/%/ok',113,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:57:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:113;s:14:\"patternOutline\";s:37:\"/newsletter/confirm/combined/%/%/%/ok\";s:8:\"numParts\";i:7;}}',7),('simplenews.newsletter_confirm_subscription','/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}','/newsletter/confirm/%/%/%/%/%',96,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:70:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:127:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:29:\"/newsletter/confirm/%/%/%/%/%\";s:8:\"numParts\";i:7;}}',7),('simplenews.newsletter_confirm_subscription_immediate','/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}/ok','/newsletter/confirm/%/%/%/%/%/ok',193,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:193;s:14:\"patternOutline\";s:32:\"/newsletter/confirm/%/%/%/%/%/ok\";s:8:\"numParts\";i:8;}}',8),('simplenews.newsletter_list','/admin/config/services/simplenews','/admin/config/services/simplenews',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:33:\"/admin/config/services/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:21:\"simplenews_newsletter\";s:6:\"_title\";s:10:\"Simplenews\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/services/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/services/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/services/simplenews\";s:8:\"numParts\";i:4;}}',4),('simplenews.newsletter_subscriptions','/newsletter/subscriptions','/newsletter/subscriptions',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/newsletter/subscriptions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:71:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::subscriptionsPage\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/newsletter/subscriptions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:25:\"/newsletter/subscriptions\";s:8:\"numParts\";i:2;}}',2),('simplenews.newsletter_subscriptions_arguments','/newsletter/subscriptions/{snid}/{timestamp}/{hash}','/newsletter/subscriptions/%/%/%',24,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/newsletter/subscriptions/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/newsletter/subscriptions/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:31:\"/newsletter/subscriptions/%/%/%\";s:8:\"numParts\";i:5;}}',5),('simplenews.newsletter_subscriptions_user','/user/{user}/simplenews','/user/%/simplenews',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:23:\"/user/{user}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"simplenews_subscriber.account\";s:6:\"_title\";s:11:\"Newsletters\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:60:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm::checkAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/user/(?P<user>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/user/%/simplenews\";s:8:\"numParts\";i:3;}}',3),('simplenews.newsletter_validate','/newsletter/validate','/newsletter/validate',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/newsletter/validate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\simplenews\\Form\\SubscriberValidateForm\";s:6:\"_title\";s:25:\"Access your subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/newsletter/validate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/newsletter/validate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:20:\"/newsletter/validate\";s:8:\"numParts\";i:2;}}',2),('simplenews.node_tab','/node/{node}/simplenews','/node/%/simplenews',5,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:23:\"/node/{node}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\simplenews\\Form\\NodeTabForm\";s:6:\"_title\";s:10:\"Newsletter\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:47:\"Drupal\\simplenews\\Form\\NodeTabForm::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/node/(?P<node>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/node/%/simplenews\";s:8:\"numParts\";i:3;}}',3),('simplenews.settings_mail','/admin/config/services/simplenews/settings/mail','/admin/config/services/simplenews/settings/mail',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:47:\"/admin/config/services/simplenews/settings/mail\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\simplenews\\Form\\MailSettingsForm\";s:6:\"_title\";s:9:\"Send mail\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/services/simplenews/settings/mail$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/simplenews/settings/mail\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:47:\"/admin/config/services/simplenews/settings/mail\";s:8:\"numParts\";i:6;}}',6),('simplenews.settings_newsletter','/admin/config/services/simplenews/settings/newsletter','/admin/config/services/simplenews/settings/newsletter',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/admin/config/services/simplenews/settings/newsletter\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\simplenews\\Form\\NewsletterSettingsForm\";s:6:\"_title\";s:10:\"Newsletter\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/admin/config/services/simplenews/settings/newsletter$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:53:\"/admin/config/services/simplenews/settings/newsletter\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:53:\"/admin/config/services/simplenews/settings/newsletter\";s:8:\"numParts\";i:6;}}',6),('simplenews.settings_prepare_uninstall','/admin/config/services/simplenews/settings/uninstall','/admin/config/services/simplenews/settings/uninstall',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:52:\"/admin/config/services/simplenews/settings/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\simplenews\\Form\\PrepareUninstallForm\";s:6:\"_title\";s:17:\"Prepare uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/config/services/simplenews/settings/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:52:\"/admin/config/services/simplenews/settings/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:52:\"/admin/config/services/simplenews/settings/uninstall\";s:8:\"numParts\";i:6;}}',6),('simplenews.settings_subscriber','/admin/config/people/simplenews/settings/subscriber','/admin/config/people/simplenews/settings/subscriber',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:51:\"/admin/config/people/simplenews/settings/subscriber\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\simplenews\\Form\\SubscriberSettingsForm\";s:6:\"_title\";s:10:\"Subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/people/simplenews/settings/subscriber$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/people/simplenews/settings/subscriber\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/people/simplenews/settings/subscriber\";s:8:\"numParts\";i:6;}}',6),('simplenews.settings_subscription','/admin/config/services/simplenews/settings/subscription','/admin/config/services/simplenews/settings/subscription',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/config/services/simplenews/settings/subscription\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:48:\"\\Drupal\\simplenews\\Form\\SubscriptionSettingsForm\";s:6:\"_title\";s:12:\"Subscription\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/config/services/simplenews/settings/subscription$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:55:\"/admin/config/services/simplenews/settings/subscription\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:55:\"/admin/config/services/simplenews/settings/subscription\";s:8:\"numParts\";i:6;}}',6),('simplenews.subscriber_export','/admin/people/simplenews/export','/admin/people/simplenews/export',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/people/simplenews/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\simplenews\\Form\\SubscriberExportForm\";s:6:\"_title\";s:6:\"Export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/people/simplenews/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/export\";s:8:\"numParts\";i:4;}}',4),('simplenews.subscriber_import','/admin/people/simplenews/import','/admin/people/simplenews/import',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/people/simplenews/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\simplenews\\Form\\SubscriberMassSubscribeForm\";s:6:\"_title\";s:14:\"Mass subscribe\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/people/simplenews/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/import\";s:8:\"numParts\";i:4;}}',4),('simplenews.subscriber_unsubscribe','/admin/people/simplenews/unsubscribe','/admin/people/simplenews/unsubscribe',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/admin/people/simplenews/unsubscribe\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:53:\"\\Drupal\\simplenews\\Form\\SubscriberMassUnsubscribeForm\";s:6:\"_title\";s:16:\"Mass unsubscribe\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/people/simplenews/unsubscribe$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/people/simplenews/unsubscribe\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/people/simplenews/unsubscribe\";s:8:\"numParts\";i:4;}}',4),('system.401','/system/401','/system/401',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/system/401\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on401\";s:6:\"_title\";s:12:\"Unauthorized\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/401$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/401\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/401\";s:8:\"numParts\";i:2;}}',2),('system.403','/system/403','/system/403',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/system/403\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on403\";s:6:\"_title\";s:13:\"Access denied\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/403$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/403\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/403\";s:8:\"numParts\";i:2;}}',2),('system.404','/system/404','/system/404',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/system/404\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on404\";s:6:\"_title\";s:14:\"Page not found\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/404$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/404\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/404\";s:8:\"numParts\";i:2;}}',2),('system.4xx','/system/4xx','/system/4xx',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/system/4xx\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on4xx\";s:6:\"_title\";s:12:\"Client error\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/4xx$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/4xx\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/4xx\";s:8:\"numParts\";i:2;}}',2),('system.admin','/admin','/admin',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/admin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/admin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/admin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/admin\";s:8:\"numParts\";i:1;}}',1),('system.admin_compact_page','/admin/compact/{mode}','/admin/compact',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/compact/{mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\system\\Controller\\SystemController::compactPage\";s:4:\"mode\";s:3:\"off\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/compact(?:/(?P<mode>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/compact\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/compact\";s:8:\"numParts\";i:3;}}',3),('system.admin_config','/admin/config','/admin/config',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:13:\"/admin/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\SystemController::overview\";s:7:\"link_id\";s:19:\"system.admin_config\";s:6:\"_title\";s:13:\"Configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/config$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/config\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/config\";s:8:\"numParts\";i:2;}}',2),('system.admin_config_content','/admin/config/content','/admin/config/content',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/config/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:17:\"Content authoring\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/config/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/config/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/config/content\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_development','/admin/config/development','/admin/config/development',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/config/development\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:11:\"Development\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/development$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/development\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/config/development\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_media','/admin/config/media','/admin/config/media',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/admin/config/media\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:5:\"Media\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/config/media$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/config/media\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/config/media\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_regional','/admin/config/regional','/admin/config/regional',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/config/regional\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:21:\"Regional and language\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/regional$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/regional\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/regional\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_search','/admin/config/search','/admin/config/search',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/config/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:19:\"Search and metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/search\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_services','/admin/config/services','/admin/config/services',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/config/services\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:12:\"Web services\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/services$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/services\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/services\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_system','/admin/config/system','/admin/config/system',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/config/system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"System\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/system\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_ui','/admin/config/user-interface','/admin/config/user-interface',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/admin/config/user-interface\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"User interface\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/user\\-interface$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/config/user-interface\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/config/user-interface\";s:8:\"numParts\";i:3;}}',3),('system.admin_config_workflow','/admin/config/workflow','/admin/config/workflow',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/config/workflow\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:8:\"Workflow\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/workflow$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/workflow\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/workflow\";s:8:\"numParts\";i:3;}}',3),('system.admin_content','/admin/content','/admin/content',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}',2),('system.admin_index','/admin/index','/admin/index',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/admin/index\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\system\\Controller\\AdminController::index\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/admin/index$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/admin/index\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/admin/index\";s:8:\"numParts\";i:2;}}',2),('system.admin_reports','/admin/reports','/admin/reports',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/admin/reports\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:7:\"Reports\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/reports$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/reports\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/reports\";s:8:\"numParts\";i:2;}}',2),('system.admin_structure','/admin/structure','/admin/structure',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:16:\"/admin/structure\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:9:\"Structure\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/admin/structure$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/admin/structure\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/admin/structure\";s:8:\"numParts\";i:2;}}',2),('system.batch_page.html','/batch','/batch',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/batch\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\BatchController::batchPage\";s:15:\"_title_callback\";s:57:\"\\Drupal\\system\\Controller\\BatchController::batchPageTitle\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/batch$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/batch\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/batch\";s:8:\"numParts\";i:1;}}',1),('system.batch_page.json','/batch','/batch',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/batch\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\BatchController::batchPage\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/batch$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/batch\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/batch\";s:8:\"numParts\";i:1;}}',1),('system.cron','/cron/{key}','/cron/%',2,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/cron/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:34:\"\\Drupal\\system\\CronController::run\";}s:12:\"requirements\";a:1:{s:19:\"_access_system_cron\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.cron\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/cron/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/cron\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/cron/%\";s:8:\"numParts\";i:2;}}',2),('system.cron_settings','/admin/config/system/cron','/admin/config/system/cron',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/config/system/cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:28:\"\\Drupal\\system\\Form\\CronForm\";s:6:\"_title\";s:4:\"Cron\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/system/cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/system/cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/config/system/cron\";s:8:\"numParts\";i:4;}}',4),('system.csrftoken','/session/token','/session/token',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/session/token\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/session/token$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/session/token\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/session/token\";s:8:\"numParts\";i:2;}}',2),('system.date_format_add','/admin/config/regional/date-time/formats/add','/admin/config/regional/date-time/formats/add',63,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:44:\"/admin/config/regional/date-time/formats/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"date_format.add\";s:6:\"_title\";s:15:\"Add date format\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/config/regional/date\\-time/formats/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/regional/date-time/formats/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:44:\"/admin/config/regional/date-time/formats/add\";s:8:\"numParts\";i:6;}}',6),('system.db_update','/update.php/{op}','/update.php',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:16:\"/update.php/{op}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:2:\"op\";s:4:\"info\";}s:12:\"requirements\";a:1:{s:21:\"_access_system_update\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"default_url_options\";a:1:{s:15:\"path_processing\";b:0;}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:22:\"access_check.db_update\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:2:\"op\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"op\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/update.php\";}}s:9:\"path_vars\";a:1:{i:0;s:2:\"op\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:11:\"/update.php\";s:8:\"numParts\";i:2;}}',2),('system.entity_autocomplete','/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}','/entity_reference_autocomplete/%/%/%',8,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:89:\"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:74:\"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"selection_settings_key\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"selection_handler\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/entity_reference_autocomplete\";}}s:9:\"path_vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:8;s:14:\"patternOutline\";s:36:\"/entity_reference_autocomplete/%/%/%\";s:8:\"numParts\";i:4;}}',4),('system.files','/system/files/{scheme}','/system/files',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/system/files/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:7:\"private\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/system/files\";s:8:\"numParts\";i:3;}}',3),('system.file_system_settings','/admin/config/media/file-system','/admin/config/media/file-system',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/config/media/file-system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\system\\Form\\FileSystemForm\";s:6:\"_title\";s:11:\"File system\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/media/file\\-system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/media/file-system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/media/file-system\";s:8:\"numParts\";i:4;}}',4),('system.image_toolkit_settings','/admin/config/media/image-toolkit','/admin/config/media/image-toolkit',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:33:\"/admin/config/media/image-toolkit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\system\\Form\\ImageToolkitForm\";s:6:\"_title\";s:13:\"Image toolkit\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/media/image\\-toolkit$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/media/image-toolkit\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/media/image-toolkit\";s:8:\"numParts\";i:4;}}',4),('system.logging_settings','/admin/config/development/logging','/admin/config/development/logging',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:33:\"/admin/config/development/logging\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\system\\Form\\LoggingForm\";s:6:\"_title\";s:18:\"Logging and errors\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/development/logging$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/development/logging\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/development/logging\";s:8:\"numParts\";i:4;}}',4),('system.machine_name_transliterate','/machine_name/transliterate','/machine_name/transliterate',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/machine_name/transliterate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\MachineNameController::transliterate\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/machine_name/transliterate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/machine_name/transliterate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:27:\"/machine_name/transliterate\";s:8:\"numParts\";i:2;}}',2),('system.modules_list','/admin/modules','/admin/modules',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/admin/modules\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Extend\";s:14:\"_title_context\";s:15:\"With components\";s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\ModulesListForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/modules$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/modules\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/modules\";s:8:\"numParts\";i:2;}}',2),('system.modules_list_confirm','/admin/modules/list/confirm','/admin/modules/list/confirm',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/admin/modules/list/confirm\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\system\\Form\\ModulesListConfirmForm\";s:6:\"_title\";s:37:\"Some required modules must be enabled\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/modules/list/confirm$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/modules/list/confirm\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:27:\"/admin/modules/list/confirm\";s:8:\"numParts\";i:4;}}',4),('system.modules_list_non_stable_confirm','/admin/modules/list/confirm-non-stable','/admin/modules/list/confirm-non-stable',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:38:\"/admin/modules/list/confirm-non-stable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\system\\Form\\ModulesListNonStableConfirmForm\";s:6:\"_title\";s:18:\"Non-stable modules\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/modules/list/confirm\\-non\\-stable$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/modules/list/confirm-non-stable\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:38:\"/admin/modules/list/confirm-non-stable\";s:8:\"numParts\";i:4;}}',4),('system.modules_uninstall','/admin/modules/uninstall','/admin/modules/uninstall',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\system\\Form\\ModulesUninstallForm\";s:6:\"_title\";s:9:\"Uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/modules/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/modules/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/modules/uninstall\";s:8:\"numParts\";i:3;}}',3),('system.modules_uninstall_confirm','/admin/modules/uninstall/confirm','/admin/modules/uninstall/confirm',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:32:\"/admin/modules/uninstall/confirm\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:47:\"\\Drupal\\system\\Form\\ModulesUninstallConfirmForm\";s:6:\"_title\";s:17:\"Confirm uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/modules/uninstall/confirm$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/modules/uninstall/confirm\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/modules/uninstall/confirm\";s:8:\"numParts\";i:4;}}',4),('system.performance_settings','/admin/config/development/performance','/admin/config/development/performance',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/development/performance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\PerformanceForm\";s:6:\"_title\";s:11:\"Performance\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/development/performance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/development/performance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/development/performance\";s:8:\"numParts\";i:4;}}',4),('system.php','/admin/reports/status/php','/admin/reports/status/php',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/reports/status/php\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\Controller\\SystemInfoController::php\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/reports/status/php$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/reports/status/php\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/reports/status/php\";s:8:\"numParts\";i:4;}}',4),('system.prepare_modules_entity_uninstall','/admin/modules/uninstall/entity/{entity_type_id}','/admin/modules/uninstall/entity/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/modules/uninstall/entity/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:53:\"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm\";s:15:\"_title_callback\";s:64:\"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm::formTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/modules/uninstall/entity/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/modules/uninstall/entity\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/modules/uninstall/entity/%\";s:8:\"numParts\";i:5;}}',5),('system.private_file_download','/system/files/{filepath}','/system/files/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/system/files/{filepath}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";}s:12:\"requirements\";a:2:{s:8:\"filepath\";s:2:\".+\";s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:8:\"filepath\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/system/files/(?P<filepath>.+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:2:\".+\";i:3;s:8:\"filepath\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"filepath\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:15:\"/system/files/%\";s:8:\"numParts\";i:3;}}',3),('system.regional_settings','/admin/config/regional/settings','/admin/config/regional/settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/config/regional/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\system\\Form\\RegionalForm\";s:6:\"_title\";s:17:\"Regional settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/config/regional/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/regional/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/regional/settings\";s:8:\"numParts\";i:4;}}',4),('system.rss_feeds_settings','/admin/config/services/rss-publishing','/admin/config/services/rss-publishing',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/services/rss-publishing\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\system\\Form\\RssFeedsForm\";s:6:\"_title\";s:14:\"RSS publishing\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/services/rss\\-publishing$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/services/rss-publishing\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/services/rss-publishing\";s:8:\"numParts\";i:4;}}',4),('system.run_cron','/admin/reports/status/run-cron','/admin/reports/status/run-cron',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/admin/reports/status/run-cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:42:\"\\Drupal\\system\\CronController::runManually\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/status/run\\-cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/reports/status/run-cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:30:\"/admin/reports/status/run-cron\";s:8:\"numParts\";i:4;}}',4),('system.site_information_settings','/admin/config/system/site-information','/admin/config/system/site-information',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/system/site-information\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\system\\Form\\SiteInformationForm\";s:6:\"_title\";s:19:\"Basic site settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/system/site\\-information$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/system/site-information\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/system/site-information\";s:8:\"numParts\";i:4;}}',4),('system.site_maintenance_mode','/admin/config/development/maintenance','/admin/config/development/maintenance',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:37:\"/admin/config/development/maintenance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\system\\Form\\SiteMaintenanceModeForm\";s:6:\"_title\";s:16:\"Maintenance mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:57:\"administer site configuration+administer software updates\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/development/maintenance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/development/maintenance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/development/maintenance\";s:8:\"numParts\";i:4;}}',4),('system.status','/admin/reports/status','/admin/reports/status',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/reports/status\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\system\\Controller\\SystemInfoController::status\";s:6:\"_title\";s:13:\"Status report\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/status$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/status\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/status\";s:8:\"numParts\";i:3;}}',3),('system.temporary','/system/temporary','/system/temporary',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/system/temporary\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:9:\"temporary\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/system/temporary$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/system/temporary\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/system/temporary\";s:8:\"numParts\";i:2;}}',2),('system.themes_page','/admin/appearance','/admin/appearance',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/admin/appearance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:10:\"Appearance\";s:11:\"_controller\";s:54:\"\\Drupal\\system\\Controller\\SystemController::themesPage\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/appearance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/appearance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/admin/appearance\";s:8:\"numParts\";i:2;}}',2),('system.theme_install','/admin/appearance/install','/admin/appearance/install',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/appearance/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\system\\Controller\\ThemeController::install\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer themes\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/appearance/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/appearance/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/appearance/install\";s:8:\"numParts\";i:3;}}',3),('system.theme_settings','/admin/appearance/settings','/admin/appearance/settings',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/appearance/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\system\\Form\\ThemeSettingsForm\";s:6:\"_title\";s:19:\"Appearance settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/appearance/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/appearance/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/appearance/settings\";s:8:\"numParts\";i:3;}}',3),('system.theme_settings_theme','/admin/appearance/settings/{theme}','/admin/appearance/settings/%',14,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/appearance/settings/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\system\\Form\\ThemeSettingsForm\";s:15:\"_title_callback\";s:21:\"theme_handler:getName\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/appearance/settings/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/appearance/settings\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:28:\"/admin/appearance/settings/%\";s:8:\"numParts\";i:4;}}',4),('system.theme_set_default','/admin/appearance/default','/admin/appearance/default',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/appearance/default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:20:\"Set as default theme\";s:11:\"_controller\";s:58:\"\\Drupal\\system\\Controller\\ThemeController::setDefaultTheme\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer themes\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/appearance/default$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/appearance/default\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/appearance/default\";s:8:\"numParts\";i:3;}}',3),('system.theme_uninstall','/admin/appearance/uninstall','/admin/appearance/uninstall',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/admin/appearance/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\ThemeController::uninstall\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer themes\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/appearance/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/appearance/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:27:\"/admin/appearance/uninstall\";s:8:\"numParts\";i:3;}}',3),('system.timezone','/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}','/system/timezone',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:57:\"\\Drupal\\system\\Controller\\TimezoneController::getTimezone\";s:12:\"abbreviation\";s:0:\"\";s:6:\"offset\";i:-1;s:23:\"is_daylight_saving_time\";N;}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:23:\"is_daylight_saving_time\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"offset\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"abbreviation\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/system/timezone\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/system/timezone\";s:8:\"numParts\";i:5;}}',5),('token.tree','/token/tree','/token/tree',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/token/tree\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\token\\Controller\\TokenTreeController::outputTree\";}s:12:\"requirements\";a:1:{s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/token/tree$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/token/tree\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/token/tree\";s:8:\"numParts\";i:2;}}',2),('toolbar.subtrees','/toolbar/subtrees/{hash}','/toolbar/subtrees/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/toolbar/subtrees/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:64:\"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/toolbar/subtrees\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:19:\"/toolbar/subtrees/%\";s:8:\"numParts\";i:3;}}',3),('update.confirmation_page','/admin/update/ready','/admin/update/ready',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/admin/update/ready\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\update\\Form\\UpdateReady\";s:6:\"_title\";s:15:\"Ready to update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/update/ready$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/update/ready\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/update/ready\";s:8:\"numParts\";i:3;}}',3),('update.manual_status','/admin/reports/updates/check','/admin/reports/updates/check',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/admin/reports/updates/check\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:19:\"Manual update check\";s:11:\"_controller\";s:64:\"\\Drupal\\update\\Controller\\UpdateController::updateStatusManually\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/reports/updates/check$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/updates/check\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/reports/updates/check\";s:8:\"numParts\";i:4;}}',4),('update.module_install','/admin/modules/install','/admin/modules/install',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/modules/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:14:\"Add new module\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/modules/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/modules/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/modules/install\";s:8:\"numParts\";i:3;}}',3),('update.module_update','/admin/modules/update','/admin/modules/update',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:21:\"/admin/modules/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/modules/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/modules/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/modules/update\";s:8:\"numParts\";i:3;}}',3),('update.report_install','/admin/reports/updates/install','/admin/reports/updates/install',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:30:\"/admin/reports/updates/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:23:\"Add new module or theme\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/admin/reports/updates/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/reports/updates/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:30:\"/admin/reports/updates/install\";s:8:\"numParts\";i:4;}}',4),('update.report_update','/admin/reports/updates/update','/admin/reports/updates/update',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/reports/updates/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/updates/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/updates/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/reports/updates/update\";s:8:\"numParts\";i:4;}}',4),('update.settings','/admin/reports/updates/settings','/admin/reports/updates/settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/reports/updates/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:33:\"\\Drupal\\update\\UpdateSettingsForm\";s:6:\"_title\";s:23:\"Update Manager settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/updates/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/reports/updates/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/reports/updates/settings\";s:8:\"numParts\";i:4;}}',4),('update.status','/admin/reports/updates','/admin/reports/updates',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/reports/updates\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:74:\"Drupal\\module_filter\\Controller\\ModuleFilterUpdateController::updateStatus\";s:6:\"_title\";s:17:\"Available updates\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/reports/updates$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/reports/updates\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/reports/updates\";s:8:\"numParts\";i:3;}}',3),('update.theme_install','/admin/theme/install','/admin/theme/install',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/theme/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:13:\"Add new theme\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/theme/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/theme/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/theme/install\";s:8:\"numParts\";i:3;}}',3),('update.theme_update','/admin/theme/update','/admin/theme/update',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:19:\"/admin/theme/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/theme/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/theme/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/theme/update\";s:8:\"numParts\";i:3;}}',3),('user.admin_create','/admin/people/create','/admin/people/create',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/people/create\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:8:\"Add user\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"user\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/people/create$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/people/create\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/people/create\";s:8:\"numParts\";i:3;}}',3),('user.admin_index','/admin/config/people','/admin/config/people',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/config/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"People\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/people\";s:8:\"numParts\";i:3;}}',3),('user.admin_permissions','/admin/people/permissions','/admin/people/permissions',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/people/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\user\\Form\\UserPermissionsForm\";s:6:\"_title\";s:11:\"Permissions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/people/permissions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/people/permissions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/people/permissions\";s:8:\"numParts\";i:3;}}',3),('user.admin_permissions.module','/admin/people/permissions/module/{modules}','/admin/people/permissions/module/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/admin/people/permissions/module/{modules}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\user\\Form\\UserPermissionsModuleSpecificForm\";s:6:\"_title\";s:18:\"Module Permissions\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:22:\"administer permissions\";s:7:\"modules\";s:16:\"[a-z][a-z0-9_,]*\";s:14:\"_custom_access\";s:59:\"\\Drupal\\user\\Form\\UserPermissionsModuleSpecificForm::access\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:7:\"modules\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/admin/people/permissions/module/(?P<modules>[a-z][a-z0-9_,]*)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:16:\"[a-z][a-z0-9_,]*\";i:3;s:7:\"modules\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/people/permissions/module\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"modules\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:34:\"/admin/people/permissions/module/%\";s:8:\"numParts\";i:5;}}',5),('user.cancel_confirm','/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}','/user/%/cancel/confirm',11,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:53:\"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:28:\"Confirm account cancellation\";s:11:\"_controller\";s:53:\"\\Drupal\\user\\Controller\\UserController::confirmCancel\";s:9:\"timestamp\";i:0;s:11:\"hashed_pass\";s:0:\"\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"user.delete\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"hashed_pass\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/cancel/confirm\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:22:\"/user/%/cancel/confirm\";s:8:\"numParts\";i:6;}}',6),('user.edit','/user/edit','/user/edit',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:10:\"/user/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\user\\Controller\\UserController::userEditPage\";s:6:\"_title\";s:12:\"Edit account\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/user/edit$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/user/edit\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:10:\"/user/edit\";s:8:\"numParts\";i:2;}}',2),('user.login','/user/login','/user/login',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}',2),('user.login.http','/user/login','/user/login',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\user\\Controller\\UserAuthenticationController::login\";}s:12:\"requirements\";a:2:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}',2),('user.login_status.http','/user/login_status','/user/login_status',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:18:\"/user/login_status\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:65:\"\\Drupal\\user\\Controller\\UserAuthenticationController::loginStatus\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:3:\"GET\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/user/login_status$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/user/login_status\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/user/login_status\";s:8:\"numParts\";i:2;}}',2),('user.logout','/user/logout','/user/logout',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\user\\Controller\\UserController::logout\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}',2),('user.logout.http','/user/logout','/user/logout',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:60:\"\\Drupal\\user\\Controller\\UserAuthenticationController::logout\";}s:12:\"requirements\";a:3:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:30:\"access_check.user.login_status\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}',2),('user.multiple_cancel_confirm','/admin/people/cancel','/admin/people/cancel',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/people/cancel\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\user\\Form\\UserMultipleCancelConfirm\";s:6:\"_title\";s:11:\"Cancel user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer users\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/people/cancel$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/people/cancel\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/people/cancel\";s:8:\"numParts\";i:3;}}',3),('user.page','/user','/user',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:5:\"/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\user\\Controller\\UserController::userPage\";s:6:\"_title\";s:10:\"My account\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/user\";s:8:\"numParts\";i:1;}}',1),('user.pass','/user/password','/user/password',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/user/password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\user\\Form\\UserPasswordForm\";s:6:\"_title\";s:19:\"Reset your password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/password\";s:8:\"numParts\";i:2;}}',2),('user.pass.http','/user/password','/user/password',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/user/password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:67:\"\\Drupal\\user\\Controller\\UserAuthenticationController::resetPassword\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/password\";s:8:\"numParts\";i:2;}}',2),('user.register','/user/register','/user/register',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/user/register\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:18:\"Create new account\";}s:12:\"requirements\";a:1:{s:21:\"_access_user_register\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.user.register\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/register$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/register\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/register\";s:8:\"numParts\";i:2;}}',2),('user.reset','/user/reset/{uid}/{timestamp}/{hash}','/user/reset/%/%/%',24,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/user/reset/{uid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\user\\Controller\\UserController::resetPass\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:17:\"/user/reset/%/%/%\";s:8:\"numParts\";i:5;}}',5),('user.reset.form','/user/reset/{uid}','/user/reset/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:17:\"/user/reset/{uid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:56:\"\\Drupal\\user\\Controller\\UserController::getResetPassForm\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:3:\"uid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/reset/(?P<uid>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"uid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/user/reset/%\";s:8:\"numParts\";i:3;}}',3),('user.reset.login','/user/reset/{uid}/{timestamp}/{hash}/login','/user/reset/%/%/%/login',49,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:42:\"/user/reset/{uid}/{timestamp}/{hash}/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\user\\Controller\\UserController::resetPassLogin\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/login\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:49;s:14:\"patternOutline\";s:23:\"/user/reset/%/%/%/login\";s:8:\"numParts\";i:6;}}',6),('user.role.settings','/admin/people/role-settings','/admin/people/role-settings',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/admin/people/role-settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\user\\Form\\RoleSettingsForm\";s:6:\"_title\";s:13:\"Role settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/people/role\\-settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/people/role-settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:27:\"/admin/people/role-settings\";s:8:\"numParts\";i:3;}}',3),('user.role_add','/admin/people/roles/add','/admin/people/roles/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:23:\"/admin/people/roles/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"user_role.default\";s:6:\"_title\";s:8:\"Add role\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:30:\"#^/admin/people/roles/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/admin/people/roles/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:23:\"/admin/people/roles/add\";s:8:\"numParts\";i:4;}}',4),('user.well-known.change_password','/.well-known/change-password','/.well-known/change-password',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/.well-known/change-password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\user\\Controller\\UserController::userEditPage\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/\\.well\\-known/change\\-password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/.well-known/change-password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/.well-known/change-password\";s:8:\"numParts\";i:2;}}',2),('view.block_content.page_1','/admin/structure/block/block-content','/admin/structure/block/block-content',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:36:\"/admin/structure/block/block-content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"block_content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer blocks\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/block/block\\-content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/structure/block/block-content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/structure/block/block-content\";s:8:\"numParts\";i:4;}}',4),('view.categories.page_1','/categories','/categories',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/categories\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:10:\"categories\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/categories$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/categories\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:11:\"/categories\";s:8:\"numParts\";i:1;}}',1),('view.comment.page_published','/admin/content/comment','/admin/content/comment',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/admin/content/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:14:\"page_published\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/content/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/content/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/content/comment\";s:8:\"numParts\";i:3;}}',3),('view.comment.page_unapproved','/admin/content/comment/approval','/admin/content/comment/approval',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/content/comment/approval\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:15:\"page_unapproved\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/content/comment/approval$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/content/comment/approval\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/content/comment/approval\";s:8:\"numParts\";i:4;}}',4),('view.content.page_1','/admin/content','/admin/content',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}',2),('view.featured_posts.page_1','/blogs','/blogs',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:6:\"/blogs\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:14:\"featured_posts\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/blogs$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/blogs\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/blogs\";s:8:\"numParts\";i:1;}}',1),('view.files.page_1','/admin/content/files','/admin/content/files',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/content/files\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:5:\"files\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:21:\"access files overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/content/files$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/content/files\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/content/files\";s:8:\"numParts\";i:3;}}',3),('view.files.page_2','/admin/content/files/usage/{arg_0}','/admin/content/files/usage/%',30,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/content/files/usage/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:5:\"files\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:21:\"access files overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/content/files/usage/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/content/files/usage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/content/files/usage/%\";s:8:\"numParts\";i:5;}}',5),('view.frontpage.page_1','/node','/node',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:5:\"/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/node\";s:8:\"numParts\";i:1;}}',1),('view.showcase.page_1','/showcase','/showcase',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:9:\"/showcase\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:8:\"showcase\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/showcase$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/showcase\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:9:\"/showcase\";s:8:\"numParts\";i:1;}}',1),('view.simplenews_newsletters.page_1','/admin/content/simplenews','/admin/content/simplenews',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:25:\"/admin/content/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:22:\"simplenews_newsletters\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:15:\"send newsletter\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/content/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/content/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/content/simplenews\";s:8:\"numParts\";i:3;}}',3),('view.simplenews_subscribers.page_1','/admin/people/simplenews','/admin/people/simplenews',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/admin/people/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:22:\"simplenews_subscribers\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/people/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/people/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/people/simplenews\";s:8:\"numParts\";i:3;}}',3),('view.tags_in_tags.page_1','/tagscloud','/tagscloud',1,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:10:\"/tagscloud\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:12:\"tags_in_tags\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/tagscloud$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/tagscloud\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/tagscloud\";s:8:\"numParts\";i:1;}}',1),('view.taxonomy_term.feed_1','/taxonomy/term/{arg_0}/feed','/taxonomy/term/%/feed',13,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:27:\"/taxonomy/term/{arg_0}/feed\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/feed\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/feed\";s:8:\"numParts\";i:4;}}',4),('view.taxonomy_term.page_1','/taxonomy/term/{arg_0}','/taxonomy/term/%',6,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}',3),('view.user_admin_people.page_1','/admin/people','/admin/people',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:13:\"/admin/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:17:\"user_admin_people\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:16:\"administer users\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/people\";s:8:\"numParts\";i:2;}}',2),('view.watchdog.page','/admin/reports/dblog','/admin/reports/dblog',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:20:\"/admin/reports/dblog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:15:\"_title_callback\";s:49:\"Drupal\\views\\Routing\\ViewPageController::getTitle\";s:7:\"view_id\";s:8:\"watchdog\";s:10:\"display_id\";s:4:\"page\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"access site reports\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/reports/dblog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/reports/dblog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/reports/dblog\";s:8:\"numParts\";i:3;}}',3),('views.ajax','/views/ajax','/views/ajax',3,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:11:\"/views/ajax\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/views/ajax$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/views/ajax\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/views/ajax\";s:8:\"numParts\";i:2;}}',2),('views_ui.add','/admin/structure/views/add','/admin/structure/views/add',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:26:\"/admin/structure/views/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:8:\"view.add\";s:6:\"_title\";s:8:\"Add view\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/structure/views/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/views/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/structure/views/add\";s:8:\"numParts\";i:4;}}',4),('views_ui.autocomplete','/admin/views/ajax/autocomplete/tag','/admin/views/ajax/autocomplete/tag',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/views/ajax/autocomplete/tag\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::autocompleteTag\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/views/ajax/autocomplete/tag$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/views/ajax/autocomplete/tag\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/views/ajax/autocomplete/tag\";s:8:\"numParts\";i:5;}}',5),('views_ui.form_add_handler','/admin/structure/views/{js}/add-handler/{view}/{display_id}/{type}','/admin/structure/views/%/add-handler/%/%/%',232,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:66:\"/admin/structure/views/{js}/add-handler/{view}/{display_id}/{type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\views_ui\\Form\\Ajax\\AddHandler::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/views/(?P<js>nojs|ajax)/add\\-handler/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/add-handler\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:232;s:14:\"patternOutline\";s:42:\"/admin/structure/views/%/add-handler/%/%/%\";s:8:\"numParts\";i:8;}}',8),('views_ui.form_analyze','/admin/structure/views/{js}/analyze/{view}/{display_id}','/admin/structure/views/%/analyze/%/%',116,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:55:\"/admin/structure/views/{js}/analyze/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:43:\"\\Drupal\\views_ui\\Form\\Ajax\\Analyze::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/views/(?P<js>nojs|ajax)/analyze/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/analyze\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:36:\"/admin/structure/views/%/analyze/%/%\";s:8:\"numParts\";i:7;}}',7),('views_ui.form_display','/admin/structure/views/{js}/display/{view}/{display_id}/{type}','/admin/structure/views/%/display/%/%/%',232,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:62:\"/admin/structure/views/{js}/display/{view}/{display_id}/{type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:43:\"\\Drupal\\views_ui\\Form\\Ajax\\Display::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/structure/views/(?P<js>nojs|ajax)/display/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:232;s:14:\"patternOutline\";s:38:\"/admin/structure/views/%/display/%/%/%\";s:8:\"numParts\";i:8;}}',8),('views_ui.form_edit_details','/admin/structure/views/{js}/edit-details/{view}/{display_id}','/admin/structure/views/%/edit-details/%/%',116,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:60:\"/admin/structure/views/{js}/edit-details/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\views_ui\\Form\\Ajax\\EditDetails::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/views/(?P<js>nojs|ajax)/edit\\-details/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit-details\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:41:\"/admin/structure/views/%/edit-details/%/%\";s:8:\"numParts\";i:7;}}',7),('views_ui.form_handler','/admin/structure/views/{js}/handler/{view}/{display_id}/{type}/{id}','/admin/structure/views/%/handler/%/%/%/%',464,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:67:\"/admin/structure/views/{js}/handler/{view}/{display_id}/{type}/{id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:49:\"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandler::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:127:\"#^/admin/structure/views/(?P<js>nojs|ajax)/handler/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/handler\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:464;s:14:\"patternOutline\";s:40:\"/admin/structure/views/%/handler/%/%/%/%\";s:8:\"numParts\";i:9;}}',9),('views_ui.form_handler_extra','/admin/structure/views/{js}/handler-extra/{view}/{display_id}/{type}/{id}','/admin/structure/views/%/handler-extra/%/%/%/%',464,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/structure/views/{js}/handler-extra/{view}/{display_id}/{type}/{id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:54:\"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandlerExtra::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/views/(?P<js>nojs|ajax)/handler\\-extra/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/handler-extra\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:464;s:14:\"patternOutline\";s:46:\"/admin/structure/views/%/handler-extra/%/%/%/%\";s:8:\"numParts\";i:9;}}',9),('views_ui.form_handler_group','/admin/structure/views/{js}/handler-group/{view}/{display_id}/{type}/{id}','/admin/structure/views/%/handler-group/%/%/%/%',464,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:73:\"/admin/structure/views/{js}/handler-group/{view}/{display_id}/{type}/{id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandlerGroup::getForm\";s:10:\"form_state\";N;}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/views/(?P<js>nojs|ajax)/handler\\-group/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/handler-group\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:464;s:14:\"patternOutline\";s:46:\"/admin/structure/views/%/handler-group/%/%/%/%\";s:8:\"numParts\";i:9;}}',9),('views_ui.form_rearrange','/admin/structure/views/{js}/rearrange/{view}/{display_id}/{type}','/admin/structure/views/%/rearrange/%/%/%',232,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/views/{js}/rearrange/{view}/{display_id}/{type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:45:\"\\Drupal\\views_ui\\Form\\Ajax\\Rearrange::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/views/(?P<js>nojs|ajax)/rearrange/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/rearrange\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:232;s:14:\"patternOutline\";s:40:\"/admin/structure/views/%/rearrange/%/%/%\";s:8:\"numParts\";i:8;}}',8),('views_ui.form_rearrange_filter','/admin/structure/views/{js}/rearrange-filter/{view}/{display_id}','/admin/structure/views/%/rearrange-filter/%/%',116,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/views/{js}/rearrange-filter/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Form\\Ajax\\RearrangeFilter::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/views/(?P<js>nojs|ajax)/rearrange\\-filter/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/rearrange-filter\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:45:\"/admin/structure/views/%/rearrange-filter/%/%\";s:8:\"numParts\";i:7;}}',7),('views_ui.form_reorder_displays','/admin/structure/views/{js}/reorder-displays/{view}/{display_id}','/admin/structure/views/%/reorder-displays/%/%',116,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:64:\"/admin/structure/views/{js}/reorder-displays/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Form\\Ajax\\ReorderDisplays::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/views/(?P<js>nojs|ajax)/reorder\\-displays/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/reorder-displays\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:45:\"/admin/structure/views/%/reorder-displays/%/%\";s:8:\"numParts\";i:7;}}',7),('views_ui.reports_fields','/admin/reports/fields/views-fields','/admin/reports/fields/views-fields',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/reports/fields/views-fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:59:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportFields\";s:6:\"_title\";s:13:\"Used in views\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/reports/fields/views\\-fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/reports/fields/views-fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:34:\"/admin/reports/fields/views-fields\";s:8:\"numParts\";i:4;}}',4),('views_ui.reports_plugins','/admin/reports/views-plugins','/admin/reports/views-plugins',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:28:\"/admin/reports/views-plugins\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins\";s:6:\"_title\";s:13:\"Views plugins\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/views\\-plugins$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/views-plugins\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/reports/views-plugins\";s:8:\"numParts\";i:3;}}',3),('views_ui.settings_advanced','/admin/structure/views/settings/advanced','/admin/structure/views/settings/advanced',31,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:40:\"/admin/structure/views/settings/advanced\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\views_ui\\Form\\AdvancedSettingsForm\";s:6:\"_title\";s:23:\"Advanced Views settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/views/settings/advanced$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/structure/views/settings/advanced\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:40:\"/admin/structure/views/settings/advanced\";s:8:\"numParts\";i:5;}}',5),('views_ui.settings_basic','/admin/structure/views/settings','/admin/structure/views/settings',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:31:\"/admin/structure/views/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\views_ui\\Form\\BasicSettingsForm\";s:6:\"_title\";s:14:\"Views settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/views/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/views/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/structure/views/settings\";s:8:\"numParts\";i:4;}}',4),('we_megamenu.admin','/admin/structure/we-mega-menu','/admin/structure/we-mega-menu',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:29:\"/admin/structure/we-mega-menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:12:\"We Mega Menu\";s:11:\"_controller\";s:73:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::listWeMegaMenus\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/we\\-mega\\-menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/we-mega-menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:29:\"/admin/structure/we-mega-menu\";s:8:\"numParts\";i:3;}}',3),('we_megamenu.admin.configure','/admin/structure/we-mega-menu/{menu_name}/config','/admin/structure/we-mega-menu/%/config',29,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:48:\"/admin/structure/we-mega-menu/{menu_name}/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:25:\"Config Drupal 8 Mega Menu\";s:11:\"_controller\";s:74:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::configWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:1:{i:0;s:9:\"menu_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/admin/structure/we\\-mega\\-menu/(?P<menu_name>[^/]++)/config$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/config\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"menu_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/we-mega-menu\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"menu_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:38:\"/admin/structure/we-mega-menu/%/config\";s:8:\"numParts\";i:5;}}',5),('we_megamenu.admin.reset','/admin/structure/we-mega-menu/reset','/admin/structure/we-mega-menu/reset',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/we-mega-menu/reset\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:37:\"Save Configuration Drupal 8 Mega Menu\";s:11:\"_controller\";s:79:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::resetConfigWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/we\\-mega\\-menu/reset$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/we-mega-menu/reset\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/we-mega-menu/reset\";s:8:\"numParts\";i:4;}}',4),('we_megamenu.admin.save','/admin/structure/we-mega-menu/save','/admin/structure/we-mega-menu/save',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:34:\"/admin/structure/we-mega-menu/save\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:37:\"Save Configuration Drupal 8 Mega Menu\";s:11:\"_controller\";s:78:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::saveConfigWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/we\\-mega\\-menu/save$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/we-mega-menu/save\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:34:\"/admin/structure/we-mega-menu/save\";s:8:\"numParts\";i:4;}}',4),('we_megamenu.admin.style','/admin/structure/we-mega-menu/style','/admin/structure/we-mega-menu/style',15,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:35:\"/admin/structure/we-mega-menu/style\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:35:\"Style Of Backend Drupal 8 Mega Menu\";s:11:\"_controller\";s:82:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::styleOfBackendWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/we\\-mega\\-menu/style$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/we-mega-menu/style\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/we-mega-menu/style\";s:8:\"numParts\";i:4;}}',4),('we_megamenu.geticons','/we-mega-menu/ajax/icons','/we-mega-menu/ajax/icons',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/icons\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::getIcons\";s:6:\"_title\";s:9:\"Get Icons\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/icons$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/icons\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/icons\";s:8:\"numParts\";i:3;}}',3),('we_megamenu.renderblock','/we-mega-menu/ajax/block','/we-mega-menu/ajax/block',7,'O:31:\"Symfony\\Component\\Routing\\Route\":9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::renderBlock\";s:6:\"_title\";s:12:\"Render Block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";O:33:\"Drupal\\Core\\Routing\\CompiledRoute\":11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/block\";s:8:\"numParts\";i:3;}}',3);
/*!40000 ALTER TABLE `router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Search item ID, e.g. node ID for nodes.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The languages.langcode of the item variant.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`langcode`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'ar','node_search',' many teachers feel undervalued survey finds many teachers feel undervalued survey finds admin tue 5102016 2150 secondary schoolteachers around the world mostly love their job but many say they are not valued by society according to an international survey published last week by the organization for economic cooperation and development the teaching and learning international survey questioned more than 100000 lower secondary school teachers and about 6500 head teachers from 34 countries on a range of issues it followed a similar but smallerscale survey in 2008 among the findings as few as 49 percent of teachers in france said that society valued their work and 5 percent in sweden compared with highs of 838 percent in malaysia 676 percent in singapore and 665 percent in abu dhabi and south korea finland scored highest in europe with 586 percent of teachers saying they felt properly appreciated nunc faucibus aliquet tincidunt donec adipiscing aliquet orci vel porta vivamus rhoncus pellentesque metus hendrerit varius augue sagittis et nunc quis suscipit orci fusce tincidunt quam non scelerisque ultricies nulla gravida augue ac eros tempor vel convallis ipsum rutrum fusce pretium molestie condimentum ut rhoncus odio a fringilla sagittis lectus lorem accumsan neque et aliquet odio tortor mattis mauris sed quis suscipit purus nulla imperdiet enim eu mi consequat vitae venenatis nisl pretium duis auctor luctus lectus et hendrerit ut id luctus sapien aenean viverra est sed justo rhoncus sit amet aliquam erat pulvinar nam et varius purus curabitur ultricies risus tincidunt pulvinar varius cras non mauris suscipit pulvinar urna tincidunt auctor leo etiam ac ipsum gravida aliquet neque sed adipiscing magna vestibulum porttitor vitae nisi in tincidunt maecenas fermentum augue placerat scelerisque ligula a lacinia ipsum nulla nec porttitor urna nam mattis gravida dolor ac vehicula etiam pulvinar tincidunt hendrerit nam nec imperdiet lacus donec rutrum ultricies nulla sed tempor aliquam blandit condimentum sollicitudin proin vel iaculis nisi nunc at orci in sapien blandit semper nunc faucibus felis ante nec ultricies lacus pretium vel aenean nec rhoncus sem a cursus magna morbi sit amet felis posuere ultrices diam sed adipiscing metus mauris semper odio orci at ornare dolor aliquet in vivamus sagittis tellus dictum lobortis felis non dapibus ante pellentesque porttitor enim sit amet augue viverra sollicitudin etiam id arcu iaculis molestie magna in venenatis leo nullam non turpis enim nunc sed dapibus elit sed non tellus vel nisl consectetur eleifend nulla condimentum libero rhoncus tortor pellentesque vitae venenatis nulla convallis ut dignissim tellus sit amet quam aliquam molestie curabitur laoreet mollis dolor at tristique tortor luctus ut mauris sed tincidunt elit morbi a tellus sit amet velit fermentum congue et in libero nam condimentum urna laoreet condimentum odio quis aliquam nunc sed at lacinia odio fusce lacinia vitae ipsum a lobortis integer tincidunt nibh id interdum semper fusce velit lacus blandit cursus nibh vitae fermentum egestas enim in sit amet venenatis mauris  ',0),(1,'en','node_search',' many teachers feel undervalued survey finds many teachers feel undervalued survey finds admin sun 12132015 1903 secondary schoolteachers around the world mostly love their job but many say they are not valued by society according to an international survey published last week by the organization for economic cooperation and development the teaching and learning international survey questioned more than 100000 lower secondary school teachers and about 6500 head teachers from 34 countries on a range of issues it followed a similar but smallerscale survey in 2008 among the findings as few as 49 percent of teachers in france said that society valued their work and 5 percent in sweden compared with highs of 838 percent in malaysia 676 percent in singapore and 665 percent in abu dhabi and south korea finland scored highest in europe with 586 percent of teachers saying they felt properly appreciated nunc faucibus aliquet tincidunt donec adipiscing aliquet orci vel porta vivamus rhoncus pellentesque metus hendrerit varius augue sagittis et nunc quis suscipit orci fusce tincidunt quam non scelerisque ultricies nulla gravida augue ac eros tempor vel convallis ipsum rutrum fusce pretium molestie condimentum ut rhoncus odio a fringilla sagittis lectus lorem accumsan neque et aliquet odio tortor mattis mauris sed quis suscipit purus nulla imperdiet enim eu mi consequat vitae venenatis nisl pretium duis auctor luctus lectus et hendrerit ut id luctus sapien aenean viverra est sed justo rhoncus sit amet aliquam erat pulvinar nam et varius purus curabitur ultricies risus tincidunt pulvinar varius cras non mauris suscipit pulvinar urna tincidunt auctor leo etiam ac ipsum gravida aliquet neque sed adipiscing magna vestibulum porttitor vitae nisi in tincidunt maecenas fermentum augue placerat scelerisque ligula a lacinia ipsum nulla nec porttitor urna nam mattis gravida dolor ac vehicula etiam pulvinar tincidunt hendrerit nam nec imperdiet lacus donec rutrum ultricies nulla sed tempor aliquam blandit condimentum sollicitudin proin vel iaculis nisi nunc at orci in sapien blandit semper nunc faucibus felis ante nec ultricies lacus pretium vel aenean nec rhoncus sem a cursus magna morbi sit amet felis posuere ultrices diam sed adipiscing metus mauris semper odio orci at ornare dolor aliquet in vivamus sagittis tellus dictum lobortis felis non dapibus ante pellentesque porttitor enim sit amet augue viverra sollicitudin etiam id arcu iaculis molestie magna in venenatis leo nullam non turpis enim nunc sed dapibus elit sed non tellus vel nisl consectetur eleifend nulla condimentum libero rhoncus tortor pellentesque vitae venenatis nulla convallis ut dignissim tellus sit amet quam aliquam molestie curabitur laoreet mollis dolor at tristique tortor luctus ut mauris sed tincidunt elit morbi a tellus sit amet velit fermentum congue et in libero nam condimentum urna laoreet condimentum odio quis aliquam nunc sed at lacinia odio fusce lacinia vitae ipsum a lobortis integer tincidunt nibh id interdum semper fusce velit lacus blandit cursus nibh vitae fermentum egestas enim in sit amet venenatis mauris  ',0),(2,'ar','node_search',' so much to do at the beaches of san diego so much to do at the beaches of san diego admin tue 5102016 2154 if san diego is known for one thing it would be for our gorgeous beaches with 70 miles of pristine coastline yeararound sunshine and mild temperatures you can enjoy the surf and sand almost any day of the year for visitors and locals alike the beach is a veritable wonderland and the place to spend entire days with family and friends from expansive sandy beaches rocky cliffs reefs tide pools and everything in between the beaches in san diego are as varied as the california beach towns that were built around them discover beaches perfect for families and dogs beaches coveted by the world s top surfers or to enjoy a fire play volleyball spot sea creatures or simply relax and people watch one thing s for sure on any given day at any beach in san diego you ll find a front row seat to a magnificent display of the western sky as the sun descents into the pacific quisque enim tellus ullamcorper in sapien ac porttitor adipiscing dui curabitur neque purus interdum vitae fermentum a condimentum a arcu cras ut metus bibendum tincidunt est eu laoreet sem aliquam erat volutpat phasellus sed vehicula leo suspendisse mattis lectus sit amet est lobortis viverra fusce porta semper nisi et suscipit velit bibendum ac aliquam est mauris condimentum vel nisi at gravida pharetra libero cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat vivamus rutrum mi enim vitae vehicula dui semper a phasellus volutpat elit sit amet leo venenatis congue proin faucibus dolor ac nisi tincidunt et elementum eros fringilla donec sed dapibus massa aenean at vestibulum nisi fusce sem purus tristique nec ultricies id blandit at dui maecenas eu aliquam mauris fusce vel bibendum risus ut commodo mauris nunc purus dolor dapibus ut elit eget dapibus congue odio sed adipiscing sem in augue lacinia vehicula nunc auctor enim at luctus tempus nulla mi tempor metus nec ultricies augue elit non magna  ',0),(2,'en','node_search',' so much to do at the beaches of san diego so much to do at the beaches of san diego admin sun 12132015 1907 if san diego is known for one thing it would be for our gorgeous beaches with 70 miles of pristine coastline yeararound sunshine and mild temperatures you can enjoy the surf and sand almost any day of the year for visitors and locals alike the beach is a veritable wonderland and the place to spend entire days with family and friends from expansive sandy beaches rocky cliffs reefs tide pools and everything in between the beaches in san diego are as varied as the california beach towns that were built around them discover beaches perfect for families and dogs beaches coveted by the world s top surfers or to enjoy a fire play volleyball spot sea creatures or simply relax and people watch one thing s for sure on any given day at any beach in san diego you ll find a front row seat to a magnificent display of the western sky as the sun descents into the pacific quisque enim tellus ullamcorper in sapien ac porttitor adipiscing dui curabitur neque purus interdum vitae fermentum a condimentum a arcu cras ut metus bibendum tincidunt est eu laoreet sem aliquam erat volutpat phasellus sed vehicula leo suspendisse mattis lectus sit amet est lobortis viverra fusce porta semper nisi et suscipit velit bibendum ac aliquam est mauris condimentum vel nisi at gravida pharetra libero cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat vivamus rutrum mi enim vitae vehicula dui semper a phasellus volutpat elit sit amet leo venenatis congue proin faucibus dolor ac nisi tincidunt et elementum eros fringilla donec sed dapibus massa aenean at vestibulum nisi fusce sem purus tristique nec ultricies id blandit at dui maecenas eu aliquam mauris fusce vel bibendum risus ut commodo mauris nunc purus dolor dapibus ut elit eget dapibus congue odio sed adipiscing sem in augue lacinia vehicula nunc auctor enim at luctus tempus nulla mi tempor metus nec ultricies augue elit non magna  ',0),(3,'ar','node_search',' bay of plenty adventure is plentiful in the bay bay of plenty adventure is plentiful in the bay admin tue 5102016 2154 from the coastline of whakatane white island appears on the horizon as a stereotypical volcano the kind you may have doodled in schoolbooks as a kid with its classic conical shape and plume of natural gases rising high above the crater rim it seems to warn i am still breathing i was filled with excitement as i climbed aboard our vessel the peejay5 and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination on my right a middle aged couple in their 60 s with walking sticks tramping shoes and cameras at the ready on my left a family of three with a five year old and one on the way and across from me two friends in their early twenties wearing skinny jeans and converse attached to their iphones as our boat drifted down the whakatane river through the harbour entrance into the pacific ocean our trip to the island began we passed little blue penguins a pod of travelling dolphins and a rare blue shark sunning himself on the surface one of the rarest sites i have ever seen on the water the middle aged couple were snapping wildly cheers of excitement roared from the five year old encouraged by mum and dad and the young hipsters never saw a thing keeping their eyes and attention firmly glued to playing games on their phones cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat vivamus rutrum mi enim vitae vehicula dui semper a phasellus volutpat elit sit amet leo venenatis congue proin faucibus dolor ac nisi tincidunt et elementum eros fringilla donec sed dapibus massa aenean at vestibulum nisi fusce sem purus tristique nec ultricies id blandit at dui maecenas eu aliquam mauris fusce vel bibendum risus ut commodo mauris nunc purus dolor dapibus ut elit eget dapibus congue odio sed adipiscing sem in augue lacinia vehicula nunc auctor enim at luctus tempus nulla mi tempor metus nec ultricies augue elit non magna  ',0),(3,'en','node_search',' bay of plenty adventure is plentiful in the bay bay of plenty adventure is plentiful in the bay admin sun 12132015 1908 from the coastline of whakatane white island appears on the horizon as a stereotypical volcano the kind you may have doodled in schoolbooks as a kid with its classic conical shape and plume of natural gases rising high above the crater rim it seems to warn i am still breathing i was filled with excitement as i climbed aboard our vessel the peejay5 and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination on my right a middle aged couple in their 60 s with walking sticks tramping shoes and cameras at the ready on my left a family of three with a five year old and one on the way and across from me two friends in their early twenties wearing skinny jeans and converse attached to their iphones as our boat drifted down the whakatane river through the harbour entrance into the pacific ocean our trip to the island began we passed little blue penguins a pod of travelling dolphins and a rare blue shark sunning himself on the surface one of the rarest sites i have ever seen on the water the middle aged couple were snapping wildly cheers of excitement roared from the five year old encouraged by mum and dad and the young hipsters never saw a thing keeping their eyes and attention firmly glued to playing games on their phones cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat vivamus rutrum mi enim vitae vehicula dui semper a phasellus volutpat elit sit amet leo venenatis congue proin faucibus dolor ac nisi tincidunt et elementum eros fringilla donec sed dapibus massa aenean at vestibulum nisi fusce sem purus tristique nec ultricies id blandit at dui maecenas eu aliquam mauris fusce vel bibendum risus ut commodo mauris nunc purus dolor dapibus ut elit eget dapibus congue odio sed adipiscing sem in augue lacinia vehicula nunc auctor enim at luctus tempus nulla mi tempor metus nec ultricies augue elit non magna  ',0),(4,'ar','node_search',' beaches boats beaches boats admin tue 5102016 2154 if you like beaches and the lifestyle that goes with them then you re going to love new zealand because the great thing about it being an island nation is that it s literally surrounded by beaches over 15000 km of them in fact generally you ll find white sand beaches down the east coast and more wild black sand beaches line the west coast the laidback kiwi lifestyle is well known around the world and the closer you get to the coast the more chilled out things become and with all of its major cities situated on the water it s a pretty sweet place to live and visit sailing surfing kayaking fishing kiwi s love the water and are spoiled for choice when it comes to water activities whether it be on beaches rivers or lakes top off your blissfilled days in the sun partying with new friends around a bonfire on your favourite beach looking for trip ideas swim with dolphins in the bay of islands off paihia among 144 spectacular islands and sparkling secluded bays head north and body board down the massive te paki sand dunes by ninety mile beach in northland at thrilling speeds or go scuba diving at cathedral cove on the coromandel peninsula praesent aliquam semper sagittis lorem ipsum dolor sit amet consectetur adipiscing elit maecenas eu blandit est mauris ornare elit quis imperdiet interdum nibh leo sagittis libero et sodales tortor tortor in sem pellentesque bibendum diam ac gravida imperdiet purus ligula sodales eros a varius metus felis ut nisi sed pretium est eu porttitor molestie nulla ut suscipit arcu sit amet imperdiet orci etiam placerat nisi justo aliquam rutrum nibh scelerisque vel sed aliquet metus sed ultricies ultrices etiam nisl arcu facilisis a laoreet vitae bibendum placerat enim etiam pulvinar dolor sit amet aliquet ullamcorper nunc posuere pulvinar felis in commodo suspendisse potenti nullam sapien lectus sollicitudin eu porta quis mattis a odio lorem ipsum dolor sit amet consectetur adipiscing elit mauris gravida posuere mauris sed bibendum nunc dapibus et enim a molestie fusce risus libero vehicula sit amet aliquam at adipiscing quis nibh sed sit amet odio rhoncus vulputate ipsum accumsan tempor lacus sed eget ante nec sem eleifend lobortis ut at vehicula est quis sodales est nulla in mi non dolor hendrerit elementum quis ut neque sed ultrices arcu et sapien ultrices ac luctus massa tristique sed vestibulum nunc id ultricies dignissim ipsum nisl rhoncus ipsum vitae aliquet est enim id dolor quisque a nisl vel nulla rutrum malesuada nec ut enim  ',0),(4,'en','node_search',' beaches boats beaches boats admin sun 12132015 1908 if you like beaches and the lifestyle that goes with them then you re going to love new zealand because the great thing about it being an island nation is that it s literally surrounded by beaches over 15000 km of them in fact generally you ll find white sand beaches down the east coast and more wild black sand beaches line the west coast the laidback kiwi lifestyle is well known around the world and the closer you get to the coast the more chilled out things become and with all of its major cities situated on the water it s a pretty sweet place to live and visit sailing surfing kayaking fishing kiwi s love the water and are spoiled for choice when it comes to water activities whether it be on beaches rivers or lakes top off your blissfilled days in the sun partying with new friends around a bonfire on your favourite beach looking for trip ideas swim with dolphins in the bay of islands off paihia among 144 spectacular islands and sparkling secluded bays head north and body board down the massive te paki sand dunes by ninety mile beach in northland at thrilling speeds or go scuba diving at cathedral cove on the coromandel peninsula praesent aliquam semper sagittis lorem ipsum dolor sit amet consectetur adipiscing elit maecenas eu blandit est mauris ornare elit quis imperdiet interdum nibh leo sagittis libero et sodales tortor tortor in sem pellentesque bibendum diam ac gravida imperdiet purus ligula sodales eros a varius metus felis ut nisi sed pretium est eu porttitor molestie nulla ut suscipit arcu sit amet imperdiet orci etiam placerat nisi justo aliquam rutrum nibh scelerisque vel sed aliquet metus sed ultricies ultrices etiam nisl arcu facilisis a laoreet vitae bibendum placerat enim etiam pulvinar dolor sit amet aliquet ullamcorper nunc posuere pulvinar felis in commodo suspendisse potenti nullam sapien lectus sollicitudin eu porta quis mattis a odio lorem ipsum dolor sit amet consectetur adipiscing elit mauris gravida posuere mauris sed bibendum nunc dapibus et enim a molestie fusce risus libero vehicula sit amet aliquam at adipiscing quis nibh sed sit amet odio rhoncus vulputate ipsum accumsan tempor lacus sed eget ante nec sem eleifend lobortis ut at vehicula est quis sodales est nulla in mi non dolor hendrerit elementum quis ut neque sed ultrices arcu et sapien ultrices ac luctus massa tristique sed vestibulum nunc id ultricies dignissim ipsum nisl rhoncus ipsum vitae aliquet est enim id dolor quisque a nisl vel nulla rutrum malesuada nec ut enim  ',0),(5,'ar','node_search',' what would a sport touring bike be like  what would a sport touring bike be like admin tue 5102016 2151 from elizabeth taylor to audrey hepburn grace kelly and olivia palermo we ve rounded up the most stylish brides of all time find out who made the biggest fashion statement as they walked down the aisle olivia palermo parted with tradition to marry her model fiance johannes huebl in new york on june 28 the stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts with a simple cream cashmere jumper on top her something blue came in the form of some vibrant manolo blahnik heels quite possibly our favourite bridal look to date aenean quis sollicitudin nunc eu aliquam risus nam interdum diam id augue ultricies tempor mauris quis rutrum erat ut convallis arcu suspendisse potenti ut gravida id tellus vitae faucibus in hac habitasse platea dictumst donec faucibus leo nisi eu porta arcu consequat a cras elementum elit a est volutpat at scelerisque diam aliquam maecenas placerat sem a facilisis consectetur curabitur at ligula rutrum tempor nisi id dictum tortor in a risus dignissim elementum lorem et suscipit tellus suspendisse vitae convallis mi ut porta feugiat odio et convallis leo euismod id quisque dolor enim posuere et semper eget tristique ullamcorper quam maecenas malesuada in libero non condimentum quisque odio odio volutpat eu bibendum a sodales sed ante nam eu lorem sed tortor pharetra eleifend at vitae leo sed et varius augue nunc aliquam magna quis urna sodales accumsan phasellus elementum erat in eleifend lobortis velit massa suscipit elit sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque eu sem odio nullam non libero egestas mollis lacus id venenatis nibh cras imperdiet ligula pulvinar lobortis rhoncus morbi vitae gravida magna et tincidunt dui vestibulum sodales rhoncus varius etiam bibendum urna libero porta fermentum lectus placerat scelerisque suspendisse potenti curabitur vel justo ac lacus consequat cursus elementum at arcu proin eu odio pellentesque risus egestas pellentesque sed eu felis cras posuere ullamcorper ante et feugiat velit aliquam vitae nunc in lacus leo ut rutrum libero quis est gravida eleifend  ',0),(5,'en','node_search',' what would a sport touring bike be like  what would a sport touring bike be like admin sun 12132015 1908 from elizabeth taylor to audrey hepburn grace kelly and olivia palermo we ve rounded up the most stylish brides of all time find out who made the biggest fashion statement as they walked down the aisle olivia palermo parted with tradition to marry her model fiance johannes huebl in new york on june 28 the stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts with a simple cream cashmere jumper on top her something blue came in the form of some vibrant manolo blahnik heels quite possibly our favourite bridal look to date aenean quis sollicitudin nunc eu aliquam risus nam interdum diam id augue ultricies tempor mauris quis rutrum erat ut convallis arcu suspendisse potenti ut gravida id tellus vitae faucibus in hac habitasse platea dictumst donec faucibus leo nisi eu porta arcu consequat a cras elementum elit a est volutpat at scelerisque diam aliquam maecenas placerat sem a facilisis consectetur curabitur at ligula rutrum tempor nisi id dictum tortor in a risus dignissim elementum lorem et suscipit tellus suspendisse vitae convallis mi ut porta feugiat odio et convallis leo euismod id quisque dolor enim posuere et semper eget tristique ullamcorper quam maecenas malesuada in libero non condimentum quisque odio odio volutpat eu bibendum a sodales sed ante nam eu lorem sed tortor pharetra eleifend at vitae leo sed et varius augue nunc aliquam magna quis urna sodales accumsan phasellus elementum erat in eleifend lobortis velit massa suscipit elit sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque eu sem odio nullam non libero egestas mollis lacus id venenatis nibh cras imperdiet ligula pulvinar lobortis rhoncus morbi vitae gravida magna et tincidunt dui vestibulum sodales rhoncus varius etiam bibendum urna libero porta fermentum lectus placerat scelerisque suspendisse potenti curabitur vel justo ac lacus consequat cursus elementum at arcu proin eu odio pellentesque risus egestas pellentesque sed eu felis cras posuere ullamcorper ante et feugiat velit aliquam vitae nunc in lacus leo ut rutrum libero quis est gravida eleifend  ',0),(6,'ar','node_search',' to montreal with google as a guide to montreal with google as a guide admin tue 5102016 2154 on the map our planned bicycle trip could be measured in inches a straight shot up the hudson river s narrow blue line a jaunt along lake champlain a short border crossing into canada and voila we d be on international turf on the ground however our more than 370mile journey from new york city to montreal took more twists and turns than the map implied the good news i discovered is that trips like this aren t about fitness or my fatherinlaw dave o leary a former contestant on the epic cbs tv show the amazing race would have left me behind like road kill they re about persistence and flexibility and a lot can be said for travelling light fusce risus libero vehicula sit amet aliquam at adipiscing quis nibh sed sit amet odio rhoncus vulputate ipsum accumsan tempor lacus sed eget ante nec sem eleifend lobortis ut at vehicula est quis sodales est nulla in mi non dolor hendrerit elementum quis ut neque sed ultrices arcu et sapien ultrices ac luctus massa tristique sed vestibulum nunc id ultricies dignissim ipsum nisl rhoncus ipsum vitae aliquet est enim id dolor quisque a nisl vel nulla rutrum malesuada nec ut enim quisque enim tellus ullamcorper in sapien ac porttitor adipiscing dui curabitur neque purus interdum vitae fermentum a condimentum a arcu cras ut metus bibendum tincidunt est eu laoreet sem aliquam erat volutpat phasellus sed vehicula leo suspendisse mattis lectus sit amet est lobortis viverra fusce porta semper nisi et suscipit velit bibendum ac aliquam est mauris condimentum vel nisi at gravida pharetra libero cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat  ',0),(6,'en','node_search',' to montreal with google as a guide to montreal with google as a guide admin sun 12132015 1912 on the map our planned bicycle trip could be measured in inches a straight shot up the hudson river s narrow blue line a jaunt along lake champlain a short border crossing into canada and voila we d be on international turf on the ground however our more than 370mile journey from new york city to montreal took more twists and turns than the map implied the good news i discovered is that trips like this aren t about fitness or my fatherinlaw dave o leary a former contestant on the epic cbs tv show the amazing race would have left me behind like road kill they re about persistence and flexibility and a lot can be said for travelling light fusce risus libero vehicula sit amet aliquam at adipiscing quis nibh sed sit amet odio rhoncus vulputate ipsum accumsan tempor lacus sed eget ante nec sem eleifend lobortis ut at vehicula est quis sodales est nulla in mi non dolor hendrerit elementum quis ut neque sed ultrices arcu et sapien ultrices ac luctus massa tristique sed vestibulum nunc id ultricies dignissim ipsum nisl rhoncus ipsum vitae aliquet est enim id dolor quisque a nisl vel nulla rutrum malesuada nec ut enim quisque enim tellus ullamcorper in sapien ac porttitor adipiscing dui curabitur neque purus interdum vitae fermentum a condimentum a arcu cras ut metus bibendum tincidunt est eu laoreet sem aliquam erat volutpat phasellus sed vehicula leo suspendisse mattis lectus sit amet est lobortis viverra fusce porta semper nisi et suscipit velit bibendum ac aliquam est mauris condimentum vel nisi at gravida pharetra libero cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat  ',0),(7,'ar','node_search',' what would a sport touring bike be like  what would a sport touring bike be like admin tue 5102016 2152 when i think of a sports touring bike i think of a road racing bike with the eyelets for a rear rack the geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank the rear cog will have a wider range than the typical racing cog so all in all fast quick and a little stouter than a racing bike waterford bikes has a sport touring catagory and says it light weight quick accelerating has a longer wheel base than a racing bike for comfort over long distances used for credit card touring or light touring nunc in facilisis lacus nulla sed urna faucibus fringilla libero ac ornare est curabitur a sem tortor vivamus elementum dictum bibendum duis iaculis interdum pulvinar donec blandit metus urna eget viverra arcu accumsan id suspendisse dui sem hendrerit eget tortor nec adipiscing sollicitudin lacus mauris quis sollicitudin eros nulla at nulla velit nullam consequat eros odio id accumsan turpis gravida eget vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae suspendisse vestibulum congue lorem eu gravida nibh commodo eu quisque scelerisque risus auctor convallis elit sed hendrerit ligula ut vestibulum rutrum viverra fusce dapibus elit quis nulla egestas eu tristique augue euismod suspendisse dignissim sagittis augue a tincidunt nulla eu lectus ut arcu dapibus consequat fermentum ac mauris proin scelerisque pharetra eros ut euismod nisi dapibus nec sed at dui ac lacus convallis placerat in pulvinar leo et tempor pharetra urna elit gravida tellus sit amet aliquam diam metus et diam sed ut pharetra odio quisque quis dictum nulla eu tristique purus integer nec sapien nisi etiam sed justo tortor in egestas consequat justo vel laoreet nulla fermentum nibh et tempus convallis fusce non lectus nec elit cursus placerat etiam a tellus nec leo condimentum adipiscing maecenas eget orci accumsan lacinia nisi posuere mattis nisl pellentesque varius erat vel massa luctus rhoncus eget ut libero phasellus enim nibh vulputate sit amet sagittis sed pulvinar non magna proin interdum purus magna et sollicitudin mi elementum a aliquam ac lectus nisl quisque interdum metus quis urna adipiscing ut dapibus leo ultrices proin consectetur eros in eleifend porttitor  ',0),(7,'en','node_search',' what would a sport touring bike be like  what would a sport touring bike be like admin sun 12132015 1912 when i think of a sports touring bike i think of a road racing bike with the eyelets for a rear rack the geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank the rear cog will have a wider range than the typical racing cog so all in all fast quick and a little stouter than a racing bike waterford bikes has a sport touring catagory and says it light weight quick accelerating has a longer wheel base than a racing bike for comfort over long distances used for credit card touring or light touring nunc in facilisis lacus nulla sed urna faucibus fringilla libero ac ornare est curabitur a sem tortor vivamus elementum dictum bibendum duis iaculis interdum pulvinar donec blandit metus urna eget viverra arcu accumsan id suspendisse dui sem hendrerit eget tortor nec adipiscing sollicitudin lacus mauris quis sollicitudin eros nulla at nulla velit nullam consequat eros odio id accumsan turpis gravida eget vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae suspendisse vestibulum congue lorem eu gravida nibh commodo eu quisque scelerisque risus auctor convallis elit sed hendrerit ligula ut vestibulum rutrum viverra fusce dapibus elit quis nulla egestas eu tristique augue euismod suspendisse dignissim sagittis augue a tincidunt nulla eu lectus ut arcu dapibus consequat fermentum ac mauris proin scelerisque pharetra eros ut euismod nisi dapibus nec sed at dui ac lacus convallis placerat in pulvinar leo et tempor pharetra urna elit gravida tellus sit amet aliquam diam metus et diam sed ut pharetra odio quisque quis dictum nulla eu tristique purus integer nec sapien nisi etiam sed justo tortor in egestas consequat justo vel laoreet nulla fermentum nibh et tempus convallis fusce non lectus nec elit cursus placerat etiam a tellus nec leo condimentum adipiscing maecenas eget orci accumsan lacinia nisi posuere mattis nisl pellentesque varius erat vel massa luctus rhoncus eget ut libero phasellus enim nibh vulputate sit amet sagittis sed pulvinar non magna proin interdum purus magna et sollicitudin mi elementum a aliquam ac lectus nisl quisque interdum metus quis urna adipiscing ut dapibus leo ultrices proin consectetur eros in eleifend porttitor  ',0),(8,'ar','node_search',' world cup us has chance to pull off upset vs belgium world cup us has chance to pull off upset vs belgium admin tue 5102016 2139 cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent varius luctus risus ac euismod eros lobortis eget suspendisse eget odio aliquam fringilla justo sit amet pharetra dui aliquam diam risus luctus quis erat quis lobortis ultricies est mauris sem enim mollis et ornare eget lobortis in odio nulla facilisi phasellus sed tortor sodales mattis nisi nec aliquet enim suspendisse potenti aenean augue nunc rutrum quis nisi ut tristique placerat purus maecenas libero felis elementum nec nunc quis dignissim molestie sapien fusce tincidunt risus vel neque aliquam id commodo nulla cursus aliquam ultricies est imperdiet suscipit condimentum integer vitae egestas tortor et tincidunt ante integer in tempor mauris nam diam nibh vulputate vitae tellus ac euismod commodo ligula proin cursus lacus suscipit elit cursus cursus donec molestie in metus hendrerit mollis fusce eget porttitor mauris aliquam nulla odio laoreet at metus sed lobortis placerat risus donec suscipit quis est sed volutpat suspendisse accumsan cursus augue aenean vel enim turpis phasellus at ante interdum dignissim felis ac auctor arcu in ultrices tristique magna a vehicula praesent aliquam augue at odio porttitor eu hendrerit ligula fringilla vestibulum non sapien quis lorem vehicula commodo donec imperdiet sollicitudin purus eget gravida mi vehicula vitae morbi libero mauris tincidunt at rhoncus non porttitor a nisi proin consectetur quam vel justo eleifend ac dictum libero vestibulum sed ante purus pharetra id mollis vel consectetur eget nulla nunc et hendrerit est quis bibendum quam nam vel nibh nunc proin a imperdiet ante in dignissim vitae urna quis aliquet fusce lacinia justo eget est rhoncus malesuada duis varius neque sit amet lacinia laoreet proin varius metus tellus id ullamcorper massa molestie nec class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos aliquam tincidunt convallis nibh eu bibendum  ',0),(8,'en','node_search',' world cup us has chance to pull off upset vs belgium world cup us has chance to pull off upset vs belgium admin sun 12132015 1912 cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent varius luctus risus ac euismod eros lobortis eget suspendisse eget odio aliquam fringilla justo sit amet pharetra dui aliquam diam risus luctus quis erat quis lobortis ultricies est mauris sem enim mollis et ornare eget lobortis in odio nulla facilisi phasellus sed tortor sodales mattis nisi nec aliquet enim suspendisse potenti aenean augue nunc rutrum quis nisi ut tristique placerat purus maecenas libero felis elementum nec nunc quis dignissim molestie sapien fusce tincidunt risus vel neque aliquam id commodo nulla cursus aliquam ultricies est imperdiet suscipit condimentum integer vitae egestas tortor et tincidunt ante integer in tempor mauris nam diam nibh vulputate vitae tellus ac euismod commodo ligula proin cursus lacus suscipit elit cursus cursus donec molestie in metus hendrerit mollis fusce eget porttitor mauris aliquam nulla odio laoreet at metus sed lobortis placerat risus donec suscipit quis est sed volutpat suspendisse accumsan cursus augue aenean vel enim turpis phasellus at ante interdum dignissim felis ac auctor arcu in ultrices tristique magna a vehicula praesent aliquam augue at odio porttitor eu hendrerit ligula fringilla vestibulum non sapien quis lorem vehicula commodo donec imperdiet sollicitudin purus eget gravida mi vehicula vitae morbi libero mauris tincidunt at rhoncus non porttitor a nisi proin consectetur quam vel justo eleifend ac dictum libero vestibulum sed ante purus pharetra id mollis vel consectetur eget nulla nunc et hendrerit est quis bibendum quam nam vel nibh nunc proin a imperdiet ante in dignissim vitae urna quis aliquet fusce lacinia justo eget est rhoncus malesuada duis varius neque sit amet lacinia laoreet proin varius metus tellus id ullamcorper massa molestie nec class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos aliquam tincidunt convallis nibh eu bibendum  ',0),(9,'ar','node_search',' math under common core has even parents stumbling math under common core has even parents stumbling admin tue 5102016 2150 greenwell springs la rebekah and kevin nelams moved to their modest brick home in this suburb of baton rouge seven years ago because it has one of the topperforming public school districts in the state but starting this fall ms nelams plans to homeschool the couple s four elementaryage children the main reason the methods that are being used for teaching math under the common core a set of academic standards adopted by more than 40 states ms nelams said she did not recognize the approaches her children ages 7 to 10 were being asked to use on math work sheets they were frustrated by the pictures dots and sheer number of steps needed to solve some problems her husband who is a pipe designer for petroleum products at an engineering firm once had to watch a youtube video before he could help their fifthgrade son with his division homework mauris quis sollicitudin eros nulla at nulla velit nullam consequat eros odio id accumsan turpis gravida eget vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae suspendisse vestibulum congue lorem eu gravida nibh commodo eu quisque scelerisque risus auctor convallis elit sed hendrerit ligula ut vestibulum rutrum viverra fusce dapibus elit quis nulla egestas eu tristique augue euismod suspendisse dignissim sagittis augue a tincidunt nulla eu lectus ut arcu dapibus consequat fermentum ac mauris proin scelerisque pharetra eros ut euismod nisi dapibus nec sed at dui ac lacus convallis placerat in pulvinar leo et tempor pharetra urna elit gravida tellus sit amet aliquam diam metus et diam sed ut pharetra odio quisque quis dictum nulla eu tristique purus integer nec sapien nisi etiam sed justo tortor in egestas consequat justo vel laoreet nulla fermentum nibh et tempus convallis fusce non lectus nec elit cursus placerat etiam a tellus nec leo condimentum adipiscing maecenas eget orci accumsan lacinia nisi posuere mattis nisl pellentesque varius erat vel massa luctus rhoncus eget ut libero phasellus enim nibh vulputate sit amet sagittis sed pulvinar non magna proin interdum purus magna et sollicitudin mi elementum a aliquam ac lectus nisl quisque interdum metus quis urna adipiscing ut dapibus leo ultrices proin consectetur eros in eleifend porttitor  ',0),(9,'en','node_search',' math under common core has even parents stumbling math under common core has even parents stumbling admin sun 12132015 1915 greenwell springs la rebekah and kevin nelams moved to their modest brick home in this suburb of baton rouge seven years ago because it has one of the topperforming public school districts in the state but starting this fall ms nelams plans to homeschool the couple s four elementaryage children the main reason the methods that are being used for teaching math under the common core a set of academic standards adopted by more than 40 states ms nelams said she did not recognize the approaches her children ages 7 to 10 were being asked to use on math work sheets they were frustrated by the pictures dots and sheer number of steps needed to solve some problems her husband who is a pipe designer for petroleum products at an engineering firm once had to watch a youtube video before he could help their fifthgrade son with his division homework mauris quis sollicitudin eros nulla at nulla velit nullam consequat eros odio id accumsan turpis gravida eget vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae suspendisse vestibulum congue lorem eu gravida nibh commodo eu quisque scelerisque risus auctor convallis elit sed hendrerit ligula ut vestibulum rutrum viverra fusce dapibus elit quis nulla egestas eu tristique augue euismod suspendisse dignissim sagittis augue a tincidunt nulla eu lectus ut arcu dapibus consequat fermentum ac mauris proin scelerisque pharetra eros ut euismod nisi dapibus nec sed at dui ac lacus convallis placerat in pulvinar leo et tempor pharetra urna elit gravida tellus sit amet aliquam diam metus et diam sed ut pharetra odio quisque quis dictum nulla eu tristique purus integer nec sapien nisi etiam sed justo tortor in egestas consequat justo vel laoreet nulla fermentum nibh et tempus convallis fusce non lectus nec elit cursus placerat etiam a tellus nec leo condimentum adipiscing maecenas eget orci accumsan lacinia nisi posuere mattis nisl pellentesque varius erat vel massa luctus rhoncus eget ut libero phasellus enim nibh vulputate sit amet sagittis sed pulvinar non magna proin interdum purus magna et sollicitudin mi elementum a aliquam ac lectus nisl quisque interdum metus quis urna adipiscing ut dapibus leo ultrices proin consectetur eros in eleifend porttitor  ',0),(10,'ar','node_search',' the new girl on the block the new girl on the block admin tue 5102016 2151 models 1 has named 20yearold lauren punter as the winner of their curve supermodel competition run in collaboration with asos the competition looked for women aged between 17 and 28 who were a dress size 18plus to instagram an image of themselves with the handle makemeacurvemodel and professional model bookers then chose their winner the prospect of walking into a model agency can be daunting and models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves said models 1 adding we believe that beauty comes in different sizes phasellus ut orci id arcu faucibus semper morbi eget hendrerit dolor id auctor dolor nullam pretium dignissim ante eu congue duis sagittis aliquam nibh eget varius curabitur et nunc ante nam facilisis magna vel leo ultrices vitae hendrerit metus sollicitudin curabitur accumsan dapibus tincidunt vestibulum placerat nulla pharetra tincidunt fermentum proin eget mauris in sem dapibus rutrum a mollis velit nunc dui augue convallis sed nulla non condimentum congue eros duis eu varius velit a ultricies urna vestibulum hendrerit blandit lorem vitae gravida orci vehicula eget nam aliquet libero nec massa rhoncus feugiat ut at urna maecenas egestas hendrerit ipsum id lobortis nullam dapibus nibh a tortor tincidunt sagittis in hendrerit id erat vitae ultricies aenean tempor venenatis magna egestas vestibulum elit viverra eget aliquam purus erat fringilla at hendrerit nec interdum ut nisl etiam hendrerit dictum pellentesque curabitur eleifend turpis ut varius tempor nisl nibh placerat urna eu hendrerit justo libero at tellus integer eget est vel leo suscipit eleifend suspendisse potenti pellentesque eu lobortis erat vitae varius felis donec id velit ac dolor convallis lobortis proin egestas nisl nec erat faucibus id aliquet enim volutpat nullam sollicitudin risus eu sem molestie interdum praesent et dui sit amet metus aliquet vulputate phasellus commodo nisl a felis consectetur ut tristique diam pretium pellentesque gravida quam vitae elit mattis malesuada in sit amet ultricies augue mauris id nisi sit amet eros fermentum rhoncus ut nec purus nullam rutrum justo sit amet volutpat porttitor lectus velit tempor massa et porttitor felis velit non ipsum  ',0),(10,'en','node_search',' the new girl on the block the new girl on the block admin sun 12132015 1915 models 1 has named 20yearold lauren punter as the winner of their curve supermodel competition run in collaboration with asos the competition looked for women aged between 17 and 28 who were a dress size 18plus to instagram an image of themselves with the handle makemeacurvemodel and professional model bookers then chose their winner the prospect of walking into a model agency can be daunting and models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves said models 1 adding we believe that beauty comes in different sizes phasellus ut orci id arcu faucibus semper morbi eget hendrerit dolor id auctor dolor nullam pretium dignissim ante eu congue duis sagittis aliquam nibh eget varius curabitur et nunc ante nam facilisis magna vel leo ultrices vitae hendrerit metus sollicitudin curabitur accumsan dapibus tincidunt vestibulum placerat nulla pharetra tincidunt fermentum proin eget mauris in sem dapibus rutrum a mollis velit nunc dui augue convallis sed nulla non condimentum congue eros duis eu varius velit a ultricies urna vestibulum hendrerit blandit lorem vitae gravida orci vehicula eget nam aliquet libero nec massa rhoncus feugiat ut at urna maecenas egestas hendrerit ipsum id lobortis nullam dapibus nibh a tortor tincidunt sagittis in hendrerit id erat vitae ultricies aenean tempor venenatis magna egestas vestibulum elit viverra eget aliquam purus erat fringilla at hendrerit nec interdum ut nisl etiam hendrerit dictum pellentesque curabitur eleifend turpis ut varius tempor nisl nibh placerat urna eu hendrerit justo libero at tellus integer eget est vel leo suscipit eleifend suspendisse potenti pellentesque eu lobortis erat vitae varius felis donec id velit ac dolor convallis lobortis proin egestas nisl nec erat faucibus id aliquet enim volutpat nullam sollicitudin risus eu sem molestie interdum praesent et dui sit amet metus aliquet vulputate phasellus commodo nisl a felis consectetur ut tristique diam pretium pellentesque gravida quam vitae elit mattis malesuada in sit amet ultricies augue mauris id nisi sit amet eros fermentum rhoncus ut nec purus nullam rutrum justo sit amet volutpat porttitor lectus velit tempor massa et porttitor felis velit non ipsum  ',0),(11,'ar','node_search',' the prince is absolutely right bring back grammar schools the prince is absolutely right bring back grammar schools admin tue 5102016 2150 it was a stormy graduation day in cambridge on saturday drenched with rain the students in their gowns looked like penguins emerging from the sea parents wielded golf umbrellas the sword and shield of the english middle classes the downpour could not extinguish their justifiable pride a degree from a university often ranked number one in the world is still a glittering prize but as the graduates splashed down trinity street clutching their ba cantab i wondered how many had come to this beautiful fiercely clever place from a state school as i did the latest figures reveal that stateeducated applicants bagged just over 61 per cent of cambridge places in 201314 down from more than 63 per cent despite the university spending more than 4 million a year on outreach work to identify talented pupils from deprived backgrounds cambridge s social mix remains stubbornly static nam augue mi sagittis blandit viverra at bibendum quis velit phasellus nisl mi ornare ac scelerisque eget interdum sit amet enim sed suscipit non massa nec consequat sed vehicula elit quis viverra ornare sem augue facilisis elit a ultrices tellus quam a erat in neque orci lobortis vel tempus vel volutpat in dui quisque sed fermentum lectus mauris vehicula justo nulla nam sit amet ullamcorper sapien nam lobortis lobortis ante vel vulputate etiam porttitor at nunc et convallis suspendisse tincidunt lectus sit amet gravida molestie sem nulla mollis massa ut rutrum mi lectus et libero curabitur et nisl ipsum quisque vitae leo laoreet dictum turpis faucibus feugiat diam pellentesque a nunc ante praesent vulputate et est vel dapibus morbi interdum vitae erat nec posuere fusce porttitor elit in consequat venenatis quisque dignissim tempor fermentum fusce egestas orci nec erat pellentesque imperdiet quis a velit nullam tempus mattis interdum vestibulum at quam sed nisl accumsan porta ut id sem donec eget quam vitae dui venenatis ornare eget at ante ut laoreet nec velit id varius proin volutpat turpis id rutrum sagittis nunc commodo aliquam eros ut tincidunt odio ultricies eu aliquam erat volutpat integer a nisi eu lorem aliquet hendrerit vivamus congue augue non orci vulputate quis lobortis nisi pretium morbi eu tellus non sem fermentum euismod eget non est praesent bibendum odio facilisis felis cursus aliquam praesent ac sem quis lorem malesuada malesuada vestibulum eu velit a nisl porta imperdiet a a risus curabitur fringilla diam libero in pharetra nibh suscipit quis integer at ante adipiscing porttitor est a ultrices nisl quisque est erat ornare id nulla nec viverra auctor dolor  ',0),(11,'en','node_search',' the prince is absolutely right bring back grammar schools the prince is absolutely right bring back grammar schools admin sun 12132015 1915 it was a stormy graduation day in cambridge on saturday drenched with rain the students in their gowns looked like penguins emerging from the sea parents wielded golf umbrellas the sword and shield of the english middle classes the downpour could not extinguish their justifiable pride a degree from a university often ranked number one in the world is still a glittering prize but as the graduates splashed down trinity street clutching their ba cantab i wondered how many had come to this beautiful fiercely clever place from a state school as i did the latest figures reveal that stateeducated applicants bagged just over 61 per cent of cambridge places in 201314 down from more than 63 per cent despite the university spending more than 4 million a year on outreach work to identify talented pupils from deprived backgrounds cambridge s social mix remains stubbornly static nam augue mi sagittis blandit viverra at bibendum quis velit phasellus nisl mi ornare ac scelerisque eget interdum sit amet enim sed suscipit non massa nec consequat sed vehicula elit quis viverra ornare sem augue facilisis elit a ultrices tellus quam a erat in neque orci lobortis vel tempus vel volutpat in dui quisque sed fermentum lectus mauris vehicula justo nulla nam sit amet ullamcorper sapien nam lobortis lobortis ante vel vulputate etiam porttitor at nunc et convallis suspendisse tincidunt lectus sit amet gravida molestie sem nulla mollis massa ut rutrum mi lectus et libero curabitur et nisl ipsum quisque vitae leo laoreet dictum turpis faucibus feugiat diam pellentesque a nunc ante praesent vulputate et est vel dapibus morbi interdum vitae erat nec posuere fusce porttitor elit in consequat venenatis quisque dignissim tempor fermentum fusce egestas orci nec erat pellentesque imperdiet quis a velit nullam tempus mattis interdum vestibulum at quam sed nisl accumsan porta ut id sem donec eget quam vitae dui venenatis ornare eget at ante ut laoreet nec velit id varius proin volutpat turpis id rutrum sagittis nunc commodo aliquam eros ut tincidunt odio ultricies eu aliquam erat volutpat integer a nisi eu lorem aliquet hendrerit vivamus congue augue non orci vulputate quis lobortis nisi pretium morbi eu tellus non sem fermentum euismod eget non est praesent bibendum odio facilisis felis cursus aliquam praesent ac sem quis lorem malesuada malesuada vestibulum eu velit a nisl porta imperdiet a a risus curabitur fringilla diam libero in pharetra nibh suscipit quis integer at ante adipiscing porttitor est a ultrices nisl quisque est erat ornare id nulla nec viverra auctor dolor  ',0),(12,'ar','node_search',' guided tours for every taste guided tours for every taste admin tue 5102016 2154 there are so many things to see and do in philly from taking a stroll through historic homes and learning about the liberty bell to encountering many cultural gems and architecture there s a tour for everyone and every group nulla aliquam justo nibh vitae porta erat rutrum ac quisque pellentesque leo dictum dictum bibendum nisi arcu eleifend neque nec auctor nibh diam vel magna cras condimentum et mi at facilisis nullam fringilla risus vel molestie tempus libero enim viverra sapien id sagittis dui nunc vel est aenean non dictum orci proin tellus dui consequat sit amet urna semper porta vehicula sem cras vitae urna eget lorem suscipit commodo vitae eget augue suspendisse quis nulla sed sem pulvinar aliquam non sed odio curabitur odio dolor mattis non ante non laoreet luctus neque cras luctus libero sed vestibulum pellentesque proin quis nisi quam nulla vel nisl in velit tristique tempus sed a felis in nulla tellus rutrum nec interdum eu dictum vitae mi aenean sit amet massa facilisis posuere est nec volutpat lorem aenean dapibus tellus eu convallis pellentesque velit lectus malesuada leo non tincidunt ante ligula id enim nunc luctus semper velit et pellentesque proin gravida pulvinar eros at elementum neque faucibus in mauris non tincidunt turpis aliquam erat volutpat mauris scelerisque rhoncus mauris et ultrices diam scelerisque eu sed vitae leo sit amet ante vestibulum lobortis vel quis odio vestibulum eu massa nisi aenean dignissim urna enim a tempor elit suscipit in cras gravida cursus ipsum eu scelerisque vivamus ultrices nisi nec erat euismod euismod morbi cursus nulla quis sem ultricies vehicula quisque convallis odio non ligula porttitor feugiat curabitur viverra libero id sagittis accumsan justo magna placerat dui sed hendrerit libero dui et leo nullam mollis commodo lectus rutrum tincidunt sed congue neque porttitor erat luctus ultrices donec consequat eu neque sed imperdiet nullam commodo tempor faucibus nam imperdiet mi non commodo pharetra sed malesuada mauris et mi sagittis a auctor nisl suscipit maecenas eleifend elit blandit dolor convallis sed elementum nibh suscipit in hac habitasse platea dictumst phasellus at risus nibh donec et sagittis tortor pellentesque eu auctor velit pellentesque id feugiat erat nullam congue augue felis eu ultricies quam molestie ut  ',0),(12,'en','node_search',' guided tours for every taste guided tours for every taste admin sun 12132015 1915 there are so many things to see and do in philly from taking a stroll through historic homes and learning about the liberty bell to encountering many cultural gems and architecture there s a tour for everyone and every group nulla aliquam justo nibh vitae porta erat rutrum ac quisque pellentesque leo dictum dictum bibendum nisi arcu eleifend neque nec auctor nibh diam vel magna cras condimentum et mi at facilisis nullam fringilla risus vel molestie tempus libero enim viverra sapien id sagittis dui nunc vel est aenean non dictum orci proin tellus dui consequat sit amet urna semper porta vehicula sem cras vitae urna eget lorem suscipit commodo vitae eget augue suspendisse quis nulla sed sem pulvinar aliquam non sed odio curabitur odio dolor mattis non ante non laoreet luctus neque cras luctus libero sed vestibulum pellentesque proin quis nisi quam nulla vel nisl in velit tristique tempus sed a felis in nulla tellus rutrum nec interdum eu dictum vitae mi aenean sit amet massa facilisis posuere est nec volutpat lorem aenean dapibus tellus eu convallis pellentesque velit lectus malesuada leo non tincidunt ante ligula id enim nunc luctus semper velit et pellentesque proin gravida pulvinar eros at elementum neque faucibus in mauris non tincidunt turpis aliquam erat volutpat mauris scelerisque rhoncus mauris et ultrices diam scelerisque eu sed vitae leo sit amet ante vestibulum lobortis vel quis odio vestibulum eu massa nisi aenean dignissim urna enim a tempor elit suscipit in cras gravida cursus ipsum eu scelerisque vivamus ultrices nisi nec erat euismod euismod morbi cursus nulla quis sem ultricies vehicula quisque convallis odio non ligula porttitor feugiat curabitur viverra libero id sagittis accumsan justo magna placerat dui sed hendrerit libero dui et leo nullam mollis commodo lectus rutrum tincidunt sed congue neque porttitor erat luctus ultrices donec consequat eu neque sed imperdiet nullam commodo tempor faucibus nam imperdiet mi non commodo pharetra sed malesuada mauris et mi sagittis a auctor nisl suscipit maecenas eleifend elit blandit dolor convallis sed elementum nibh suscipit in hac habitasse platea dictumst phasellus at risus nibh donec et sagittis tortor pellentesque eu auctor velit pellentesque id feugiat erat nullam congue augue felis eu ultricies quam molestie ut  ',0),(13,'ar','node_search',' new companies office status check features new companies office status check features admin tue 5102016 2141 the new zealand companies office nzco has recently released three new features to the nzco website these new features allow businesses in new zealand to determine if the organisations they are intending to engage with are registered as a limited liability company on the register of companies the new features include the introduction of a qr code which has been added to all certificates of incorporation company extracts and annual return extracts the qr code can be scanned and will direct the client to the company details page for that particular company suspendisse facilisis sollicitudin libero in pretium nulla consectetur ut cras ut tortor nisi cras quis luctus nisi fusce non sodales ipsum integer tincidunt mauris tellus eget pellentesque eros commodo in ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam donec pretium justo non leo dignissim luctus sed aliquam dui non massa eleifend nec iaculis lacus consequat suspendisse vulputate tortor dolor nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis  ',0),(13,'en','node_search',' new companies office status check features new companies office status check features admin sun 12132015 1928 the new zealand companies office nzco has recently released three new features to the nzco website these new features allow businesses in new zealand to determine if the organisations they are intending to engage with are registered as a limited liability company on the register of companies the new features include the introduction of a qr code which has been added to all certificates of incorporation company extracts and annual return extracts the qr code can be scanned and will direct the client to the company details page for that particular company suspendisse facilisis sollicitudin libero in pretium nulla consectetur ut cras ut tortor nisi cras quis luctus nisi fusce non sodales ipsum integer tincidunt mauris tellus eget pellentesque eros commodo in ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam donec pretium justo non leo dignissim luctus sed aliquam dui non massa eleifend nec iaculis lacus consequat suspendisse vulputate tortor dolor nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis  ',0),(14,'ar','node_search',' uw hospital emergency department nurses receive lantern award uw hospital emergency department nurses receive lantern award admin tue 5102016 2135 madison wisconsin the university of wisconsin hospital and clinics emergency department this year is one of only 17 recipients of a prestigious award from the emergency nurses association ena the emergency department is among those receiving the lantern award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership practice education advocacy and research etiam eget risus magna curabitur lacinia massa sit amet blandit lobortis donec ac posuere nisi in venenatis mi nunc turpis odio ornare sit amet congue ac varius eu sem integer et nibh at ipsum porttitor commodo aenean ultrices pulvinar risus non rutrum tellus lobortis egestas in dui libero hendrerit placerat dictum sed ullamcorper ac arcu curabitur tincidunt odio at dui tempus adipiscing cras tempor eleifend orci a cursus urna lacinia non nunc sagittis id nisi id blandit cras suscipit porta egestas quisque ullamcorper vel neque sit amet congue mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et  ',0),(14,'en','node_search',' uw hospital emergency department nurses receive lantern award uw hospital emergency department nurses receive lantern award admin sun 12132015 1930 madison wisconsin the university of wisconsin hospital and clinics emergency department this year is one of only 17 recipients of a prestigious award from the emergency nurses association ena the emergency department is among those receiving the lantern award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership practice education advocacy and research etiam eget risus magna curabitur lacinia massa sit amet blandit lobortis donec ac posuere nisi in venenatis mi nunc turpis odio ornare sit amet congue ac varius eu sem integer et nibh at ipsum porttitor commodo aenean ultrices pulvinar risus non rutrum tellus lobortis egestas in dui libero hendrerit placerat dictum sed ullamcorper ac arcu curabitur tincidunt odio at dui tempus adipiscing cras tempor eleifend orci a cursus urna lacinia non nunc sagittis id nisi id blandit cras suscipit porta egestas quisque ullamcorper vel neque sit amet congue mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et  ',0),(15,'ar','node_search',' heart attack study could lead to longer lives heart attack study could lead to longer lives admin tue 5102016 2134 in summing up his view on the value of research heartattack survivor tom lancaster doesn t mince words if it weren t for heart research i wouldn t be here right now when he suffered a major heart attack last june the 81yearold edmontonian soon found himself at the mazankowski alberta heart institute where he was diagnosed with a blocked artery and several narrowed vessels vivamus ut erat scelerisque elit lacinia congue integer sit amet leo dictum euismod sem ut tincidunt turpis nullam bibendum vestibulum faucibus interdum et malesuada fames ac ante ipsum primis in faucibus phasellus ut fermentum urna praesent molestie malesuada velit a tempor mauris pharetra semper augue non lobortis nunc a posuere justo interdum et malesuada fames ac ante ipsum primis in faucibus vivamus ultricies vestibulum felis eu placerat praesent orci metus feugiat ut odio vitae aliquet luctus urna vivamus eget enim ac mauris tincidunt aliquet vitae a magna in sed lacus auctor ultrices augue at malesuada augue maecenas mollis vitae ante ac tincidunt morbi euismod lorem justo et venenatis dui imperdiet sed fusce condimentum ultrices massa et viverra curabitur non pellentesque augue aenean ac rutrum augue nullam sagittis turpis sed urna vehicula scelerisque aenean id pulvinar magna morbi justo diam adipiscing quis nisl laoreet vehicula ultrices orci suspendisse non rutrum erat nam eget egestas sem eget iaculis tortor donec vitae quam nec neque vestibulum convallis maecenas non bibendum diam sed viverra sem nullam a ligula turpis fusce mattis convallis tellus at gravida mauris ultrices vehicula vehicula nam viverra ac enim id ultricies aliquam luctus suscipit est ut sollicitudin dui feugiat in nulla odio odio volutpat quis eleifend non auctor a augue vestibulum nibh orci suscipit ac sem vitae tristique condimentum urna nullam vehicula ante lorem a pellentesque libero consectetur sed  ',0),(15,'en','node_search',' heart attack study could lead to longer lives heart attack study could lead to longer lives admin sun 12132015 1930 in summing up his view on the value of research heartattack survivor tom lancaster doesn t mince words if it weren t for heart research i wouldn t be here right now when he suffered a major heart attack last june the 81yearold edmontonian soon found himself at the mazankowski alberta heart institute where he was diagnosed with a blocked artery and several narrowed vessels vivamus ut erat scelerisque elit lacinia congue integer sit amet leo dictum euismod sem ut tincidunt turpis nullam bibendum vestibulum faucibus interdum et malesuada fames ac ante ipsum primis in faucibus phasellus ut fermentum urna praesent molestie malesuada velit a tempor mauris pharetra semper augue non lobortis nunc a posuere justo interdum et malesuada fames ac ante ipsum primis in faucibus vivamus ultricies vestibulum felis eu placerat praesent orci metus feugiat ut odio vitae aliquet luctus urna vivamus eget enim ac mauris tincidunt aliquet vitae a magna in sed lacus auctor ultrices augue at malesuada augue maecenas mollis vitae ante ac tincidunt morbi euismod lorem justo et venenatis dui imperdiet sed fusce condimentum ultrices massa et viverra curabitur non pellentesque augue aenean ac rutrum augue nullam sagittis turpis sed urna vehicula scelerisque aenean id pulvinar magna morbi justo diam adipiscing quis nisl laoreet vehicula ultrices orci suspendisse non rutrum erat nam eget egestas sem eget iaculis tortor donec vitae quam nec neque vestibulum convallis maecenas non bibendum diam sed viverra sem nullam a ligula turpis fusce mattis convallis tellus at gravida mauris ultrices vehicula vehicula nam viverra ac enim id ultricies aliquam luctus suscipit est ut sollicitudin dui feugiat in nulla odio odio volutpat quis eleifend non auctor a augue vestibulum nibh orci suscipit ac sem vitae tristique condimentum urna nullam vehicula ante lorem a pellentesque libero consectetur sed  ',0),(16,'ar','node_search',' companies amendment bill passes into law companies amendment bill passes into law admin tue 5102016 2140 the companies and limited partnerships amendment bill received royal assent on 2 july 2014 the bill will create the companies amendment act 2014 and the limited partnerships amendment act 2014 this legislation assists with the prevention of misuse of new zealand companies shell companies and limited partnerships by overseas criminal organisations and provides the registrar with additional powers nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum  submitted by admin on sun 12132015 2249 permalink companies amendment act 2014 the bill will create the companies amendment act 2014 and the limited partnerships amendment act 2014 log in or register to post comments submitted by admin on sun 12132015 2249 in reply to companies amendment act 2014 by admin permalink phasellus quis vestibulum mauris sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim log in or register to post comments submitted by admin on sun 12132015 2250 permalink praesent id pellentesque ligula sit amet vestibulum velit quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit log in or register to post comments  ',0),(16,'en','node_search',' companies amendment bill passes into law companies amendment bill passes into law admin sun 12132015 1930 the companies and limited partnerships amendment bill received royal assent on 2 july 2014 the bill will create the companies amendment act 2014 and the limited partnerships amendment act 2014 this legislation assists with the prevention of misuse of new zealand companies shell companies and limited partnerships by overseas criminal organisations and provides the registrar with additional powers nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum  submitted by admin on sun 12132015 2249 permalink companies amendment act 2014 the bill will create the companies amendment act 2014 and the limited partnerships amendment act 2014 log in or register to post comments submitted by admin on sun 12132015 2249 in reply to companies amendment act 2014 by admin permalink phasellus quis vestibulum mauris sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim log in or register to post comments submitted by admin on sun 12132015 2250 permalink praesent id pellentesque ligula sit amet vestibulum velit quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit log in or register to post comments  ',0),(17,'ar','node_search',' don t get taken for a ride when buying a car don t get taken for a ride when buying a car admin tue 5102016 2140 did you know you can search the personal property securities register ppsr to find out if the secondhand car you are considering buying privately may have money owing on it for less than the price of a cup of coffee the search is worth it for the peace of mind it gives you imagine this scenario jack spends weeks finding the car of his dreams he settles on a tidy red holden it s a little over his price bracket and even though jack negotiates a deal with the seller he still needs to sell his existing car and take out a small loan once the finances are sorted jack takes possession of the car and registers it with nz transport in his name nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum  ',0),(17,'en','node_search',' don t get taken for a ride when buying a car don t get taken for a ride when buying a car admin sun 12132015 1930 did you know you can search the personal property securities register ppsr to find out if the secondhand car you are considering buying privately may have money owing on it for less than the price of a cup of coffee the search is worth it for the peace of mind it gives you imagine this scenario jack spends weeks finding the car of his dreams he settles on a tidy red holden it s a little over his price bracket and even though jack negotiates a deal with the seller he still needs to sell his existing car and take out a small loan once the finances are sorted jack takes possession of the car and registers it with nz transport in his name nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum  ',0),(18,'ar','node_search',' love for nature genetics love for nature genetics admin tue 5102016 2153 in a previous blog post i asked what makes a nature genetics paper i have been slow to follow up on the post with my own answers to that question but in the meantime i would like to share this email that brightened my day edited for clarity i work on the field of genomewide association studies gwas in complex diseases and i note that of recent months the criteria and standard of nature genetics ng for accepting gwas papers is getting higher and higher proin a pharetra est quisque nulla nisi lacinia vitae luctus ut euismod sit amet nibh sed et cursus quam lorem ipsum dolor sit amet consectetur adipiscing elit donec mollis molestie feugiat nullam eleifend leo ornare elementum tempus aliquam quis leo sit amet lacus molestie egestas suspendisse quis ante rhoncus mattis ligula quis adipiscing eros etiam sit amet elit diam donec malesuada magna sed eros posuere in malesuada orci vulputate in eu laoreet tellus nullam nec scelerisque dui eu accumsan ante pellentesque ultricies ligula vitae nunc eleifend ut viverra sem rutrum aliquam dictum rhoncus velit quis bibendum sed nibh diam dictum et semper nec porta vitae sapien ut non congue odio etiam quam libero auctor sit amet mollis et tristique sit amet dolor curabitur eu molestie purus integer interdum mi id auctor faucibus nisi urna elementum eros a dictum nisl risus in erat fusce orci lectus congue et fermentum a vehicula vitae justo nulla sed lacus nec diam euismod pretium donec vel faucibus sem praesent sit amet lacus non nisl luctus accumsan phasellus felis velit iaculis nec nibh ac tincidunt laoreet nibh pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis  ',0),(18,'en','node_search',' love for nature genetics love for nature genetics admin sun 12132015 1934 in a previous blog post i asked what makes a nature genetics paper i have been slow to follow up on the post with my own answers to that question but in the meantime i would like to share this email that brightened my day edited for clarity i work on the field of genomewide association studies gwas in complex diseases and i note that of recent months the criteria and standard of nature genetics ng for accepting gwas papers is getting higher and higher proin a pharetra est quisque nulla nisi lacinia vitae luctus ut euismod sit amet nibh sed et cursus quam lorem ipsum dolor sit amet consectetur adipiscing elit donec mollis molestie feugiat nullam eleifend leo ornare elementum tempus aliquam quis leo sit amet lacus molestie egestas suspendisse quis ante rhoncus mattis ligula quis adipiscing eros etiam sit amet elit diam donec malesuada magna sed eros posuere in malesuada orci vulputate in eu laoreet tellus nullam nec scelerisque dui eu accumsan ante pellentesque ultricies ligula vitae nunc eleifend ut viverra sem rutrum aliquam dictum rhoncus velit quis bibendum sed nibh diam dictum et semper nec porta vitae sapien ut non congue odio etiam quam libero auctor sit amet mollis et tristique sit amet dolor curabitur eu molestie purus integer interdum mi id auctor faucibus nisi urna elementum eros a dictum nisl risus in erat fusce orci lectus congue et fermentum a vehicula vitae justo nulla sed lacus nec diam euismod pretium donec vel faucibus sem praesent sit amet lacus non nisl luctus accumsan phasellus felis velit iaculis nec nibh ac tincidunt laoreet nibh pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis  ',0),(19,'ar','node_search',' art worth 45m found hidden in brazilian shipping container art worth 45m found hidden in brazilian shipping container admin tue 5102016 2155 brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from florida the associated press reports the works valued at 45m were hidden among the belongings of a 75yearold brazilian woman and authorities suspect a company used her move to evade taxes the brazilian ministry of finance guido mantega said the art is believed to have been acquired at auctions abroad works by contemporary artists such as the brazilian beatriz milhazes and the twin graffiti artists known as os gemeos otavio and gustavo pandolfo were found among the stash a sculpture by sergio de camargo valued at 900000 was found in a second container according to the brazilian federal agency phasellus sed commodo quam a cursus ipsum quisque facilisis mollis tortor vel scelerisque sed eu semper nibh donec lobortis venenatis orci nec vulputate duis eu nisl non sapien aliquam fringilla duis id lorem at libero hendrerit consectetur proin malesuada dolor ac felis consequat luctus tristique sapien egestas sed vitae lorem arcu vestibulum blandit volutpat ligula ac interdum sed et imperdiet ipsum vivamus sagittis justo nibh et dignissim orci tempor nec in egestas eget erat vel ultrices quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida  ',0),(19,'en','node_search',' art worth 45m found hidden in brazilian shipping container art worth 45m found hidden in brazilian shipping container admin sun 12132015 1934 brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from florida the associated press reports the works valued at 45m were hidden among the belongings of a 75yearold brazilian woman and authorities suspect a company used her move to evade taxes the brazilian ministry of finance guido mantega said the art is believed to have been acquired at auctions abroad works by contemporary artists such as the brazilian beatriz milhazes and the twin graffiti artists known as os gemeos otavio and gustavo pandolfo were found among the stash a sculpture by sergio de camargo valued at 900000 was found in a second container according to the brazilian federal agency phasellus sed commodo quam a cursus ipsum quisque facilisis mollis tortor vel scelerisque sed eu semper nibh donec lobortis venenatis orci nec vulputate duis eu nisl non sapien aliquam fringilla duis id lorem at libero hendrerit consectetur proin malesuada dolor ac felis consequat luctus tristique sapien egestas sed vitae lorem arcu vestibulum blandit volutpat ligula ac interdum sed et imperdiet ipsum vivamus sagittis justo nibh et dignissim orci tempor nec in egestas eget erat vel ultrices quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida  ',0),(20,'ar','node_search',' how to become a science adviser for films and tv shows how to become a science adviser for films and tv shows admin tue 5102016 2153 this week nature careers ran a great feature about scientists who act as advisers for hollywood blockbusters and hit tv shows media consulting entertaining science the article touches on the experience several scientists have had with some big names david saltzberg and the big bang theory james kakalios and the amazing spiderman and donna nelson and breaking bad i decided to dig a little deeper into donna s story and that of dr david kirby a science communication professor at the university of manchester to find out a little more about the cultural differences between the lab and the media sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum  ',0),(20,'en','node_search',' how to become a science adviser for films and tv shows how to become a science adviser for films and tv shows admin sun 12132015 1934 this week nature careers ran a great feature about scientists who act as advisers for hollywood blockbusters and hit tv shows media consulting entertaining science the article touches on the experience several scientists have had with some big names david saltzberg and the big bang theory james kakalios and the amazing spiderman and donna nelson and breaking bad i decided to dig a little deeper into donna s story and that of dr david kirby a science communication professor at the university of manchester to find out a little more about the cultural differences between the lab and the media sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum  ',0),(21,'ar','node_search',' biosecurity laws under scanner biosecurity laws under scanner admin tue 5102016 2153 another criticism for the bill has been in the area of domestic quarantine while the bill does forbid individuals to possess move grow raise culture breed or produce any plant animal and plant product it does not clarify how states should act to contain the spread of disease india s past record in imposing domestic quarantine has not been worth mention numerous diseases that made a localized appearance earlier have now spread all over the country the new bill hopes to establish an agricultural biosecurity authority of india with headquarters in the national capital region and regional centres all over the country the authority is expected to be responsible for regulation of the import and export of plants animals and related products prevention of entry of quarantine pests and implementation of postentry quarantine measures curabitur eu molestie purus integer interdum mi id auctor faucibus nisi urna elementum eros a dictum nisl risus in erat fusce orci lectus congue et fermentum a vehicula vitae justo nulla sed lacus nec diam euismod pretium donec vel faucibus sem praesent sit amet lacus non nisl luctus accumsan phasellus felis velit iaculis nec nibh ac tincidunt laoreet nibh pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis phasellus sed commodo quam a cursus ipsum quisque facilisis mollis tortor vel scelerisque sed eu semper nibh donec lobortis venenatis orci nec vulputate duis eu nisl non sapien aliquam fringilla duis id lorem at libero hendrerit consectetur proin malesuada dolor ac felis consequat luctus tristique sapien egestas sed vitae lorem arcu vestibulum blandit volutpat ligula ac interdum sed et imperdiet ipsum vivamus sagittis justo nibh et dignissim orci tempor nec in egestas eget erat vel ultrices quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra  ',0),(21,'en','node_search',' biosecurity laws under scanner biosecurity laws under scanner admin sun 12132015 1937 another criticism for the bill has been in the area of domestic quarantine while the bill does forbid individuals to possess move grow raise culture breed or produce any plant animal and plant product it does not clarify how states should act to contain the spread of disease india s past record in imposing domestic quarantine has not been worth mention numerous diseases that made a localized appearance earlier have now spread all over the country the new bill hopes to establish an agricultural biosecurity authority of india with headquarters in the national capital region and regional centres all over the country the authority is expected to be responsible for regulation of the import and export of plants animals and related products prevention of entry of quarantine pests and implementation of postentry quarantine measures curabitur eu molestie purus integer interdum mi id auctor faucibus nisi urna elementum eros a dictum nisl risus in erat fusce orci lectus congue et fermentum a vehicula vitae justo nulla sed lacus nec diam euismod pretium donec vel faucibus sem praesent sit amet lacus non nisl luctus accumsan phasellus felis velit iaculis nec nibh ac tincidunt laoreet nibh pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis phasellus sed commodo quam a cursus ipsum quisque facilisis mollis tortor vel scelerisque sed eu semper nibh donec lobortis venenatis orci nec vulputate duis eu nisl non sapien aliquam fringilla duis id lorem at libero hendrerit consectetur proin malesuada dolor ac felis consequat luctus tristique sapien egestas sed vitae lorem arcu vestibulum blandit volutpat ligula ac interdum sed et imperdiet ipsum vivamus sagittis justo nibh et dignissim orci tempor nec in egestas eget erat vel ultrices quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra  ',0),(22,'ar','node_search',' move over kuta this is the real bali move over kuta this is the real bali admin tue 5102016 2152 for many australians a trip to bali equates to slurping cheap cocktails by the beach in kuta dodging bananacrazy monkeys in ubud and shopping in seminyak but there s so much more to bali after spending time in the more remote mountainous areas of the island the tourist capitals are a bizarre sight most of the people pounding the pavement are tourists rather than locals there s a lot of tacky wares for sale and the bars feel like they ve been cloned from australia mauris elementum nunc ac massa pellentesque sit amet faucibus ipsum mollis nunc porttitor quis odio a fermentum fusce dignissim ante et enim congue id lobortis quam sodales in rhoncus sodales ante a accumsan arcu volutpat ac nunc porta libero at scelerisque ullamcorper nisi eros sollicitudin nunc vitae porta elit risus vitae purus aliquam auctor rutrum ligula aenean a scelerisque felis vel malesuada mi curabitur vel lorem quis libero auctor hendrerit donec rutrum congue nibh sed consectetur fusce vel porttitor velit nec vestibulum nunc curabitur ornare fringilla tortor ut vestibulum tortor malesuada eget pellentesque orci lorem consectetur ac adipiscing vel dictum quis justo suspendisse ante diam tempus et lectus et tincidunt vestibulum magna etiam sed justo egestas ultrices erat eget aliquam odio in vitae elit eget urna feugiat porttitor ut adipiscing tortor eu feugiat malesuada mauris purus bibendum leo vel mollis nunc quam eu ipsum suspendisse molestie turpis at nisi sodales eget tincidunt nisl lobortis nunc facilisis lacinia libero id faucibus arcu egestas sed vestibulum a elit non mauris imperdiet molestie vitae et nunc sed lorem nisl semper nec pulvinar ut ultrices ut lacus quisque nisi libero ullamcorper a viverra in adipiscing sit amet urna in porttitor ipsum a leo dapibus sed imperdiet lacus porta sed elementum dui non viverra gravida sed eu ultricies felis aliquam mollis tellus justo volutpat rutrum arcu ullamcorper a  ',0),(22,'en','node_search',' move over kuta this is the real bali move over kuta this is the real bali admin sun 12132015 1937 for many australians a trip to bali equates to slurping cheap cocktails by the beach in kuta dodging bananacrazy monkeys in ubud and shopping in seminyak but there s so much more to bali after spending time in the more remote mountainous areas of the island the tourist capitals are a bizarre sight most of the people pounding the pavement are tourists rather than locals there s a lot of tacky wares for sale and the bars feel like they ve been cloned from australia mauris elementum nunc ac massa pellentesque sit amet faucibus ipsum mollis nunc porttitor quis odio a fermentum fusce dignissim ante et enim congue id lobortis quam sodales in rhoncus sodales ante a accumsan arcu volutpat ac nunc porta libero at scelerisque ullamcorper nisi eros sollicitudin nunc vitae porta elit risus vitae purus aliquam auctor rutrum ligula aenean a scelerisque felis vel malesuada mi curabitur vel lorem quis libero auctor hendrerit donec rutrum congue nibh sed consectetur fusce vel porttitor velit nec vestibulum nunc curabitur ornare fringilla tortor ut vestibulum tortor malesuada eget pellentesque orci lorem consectetur ac adipiscing vel dictum quis justo suspendisse ante diam tempus et lectus et tincidunt vestibulum magna etiam sed justo egestas ultrices erat eget aliquam odio in vitae elit eget urna feugiat porttitor ut adipiscing tortor eu feugiat malesuada mauris purus bibendum leo vel mollis nunc quam eu ipsum suspendisse molestie turpis at nisi sodales eget tincidunt nisl lobortis nunc facilisis lacinia libero id faucibus arcu egestas sed vestibulum a elit non mauris imperdiet molestie vitae et nunc sed lorem nisl semper nec pulvinar ut ultrices ut lacus quisque nisi libero ullamcorper a viverra in adipiscing sit amet urna in porttitor ipsum a leo dapibus sed imperdiet lacus porta sed elementum dui non viverra gravida sed eu ultricies felis aliquam mollis tellus justo volutpat rutrum arcu ullamcorper a  ',0),(23,'ar','node_search',' spain returns small museum of artefacts to colombia spain returns small museum of artefacts to colombia admin tue 5102016 2155 spain returned 691 artefacts spanning nearly 3000 years of history to colombia on tuesday the pieces were recovered by spanish police during a drug trafficking and money laundering investigation in 2003 since then the works have been kept for conservation in madrid s museum of the americas where 885 recovered pieces were studied at an official handover ceremony in madrid the culture ministry s directorgeneral of fine arts archives and libraries jesus prieto referred to the treasure as a small colombian museum of archaeology today is a very special day for colombia said fernando carrillo the colombian ambassador in spain after accepting the works the arrival of nearly 700 artefacts is one of the most important cultural events of recent history the hoard includes ceramics with animal and human figures vases with geometric designs necklaces with precious stones idols and stamps from as early as 1400 bc to as late as the 16th century praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi ut mollis tellus vitae nisl bibendum eleifend proin molestie commodo rhoncus etiam commodo urna vitae tincidunt viverra in ultrices eros nec nibh fermentum sit amet convallis libero sagittis etiam pharetra at nunc in porta maecenas condimentum ligula elit ac tempor lacus fringilla eget etiam viverra blandit mauris eu elementum lectus dictum in suspendisse porta nulla non molestie sodales  ',0),(23,'en','node_search',' spain returns small museum of artefacts to colombia spain returns small museum of artefacts to colombia admin sun 12132015 1937 spain returned 691 artefacts spanning nearly 3000 years of history to colombia on tuesday the pieces were recovered by spanish police during a drug trafficking and money laundering investigation in 2003 since then the works have been kept for conservation in madrid s museum of the americas where 885 recovered pieces were studied at an official handover ceremony in madrid the culture ministry s directorgeneral of fine arts archives and libraries jesus prieto referred to the treasure as a small colombian museum of archaeology today is a very special day for colombia said fernando carrillo the colombian ambassador in spain after accepting the works the arrival of nearly 700 artefacts is one of the most important cultural events of recent history the hoard includes ceramics with animal and human figures vases with geometric designs necklaces with precious stones idols and stamps from as early as 1400 bc to as late as the 16th century praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi ut mollis tellus vitae nisl bibendum eleifend proin molestie commodo rhoncus etiam commodo urna vitae tincidunt viverra in ultrices eros nec nibh fermentum sit amet convallis libero sagittis etiam pharetra at nunc in porta maecenas condimentum ligula elit ac tempor lacus fringilla eget etiam viverra blandit mauris eu elementum lectus dictum in suspendisse porta nulla non molestie sodales  ',0),(24,'ar','node_search',' british library returns painted renaissance book panel british library returns painted renaissance book panel admin tue 5102016 2155 the british library has agreed to return a spoliated sienese oil painting made for the binding of a 1488 set of accounts following the recommendation of the uk s spoliation advisory panel the biccherna panel named after the city s treasury is attributed to guidoccio cozzarelli although not named in the spoliation panel s june report the art newspaper has identified the prewar owner as the shareholders of the munichbased as drey gallery the painting was part of a forced sale in 1936 fetching the equivalent of 228 in 1942 it was sold by arthur bendir at sotheby s in london henry david bought the picture and donated it to the british library in 1968 it was formally accessioned on his death in 1977 with other bookbindings phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi ut mollis tellus vitae nisl bibendum eleifend proin molestie commodo rhoncus etiam commodo urna vitae tincidunt viverra in ultrices eros nec nibh fermentum sit amet convallis libero sagittis etiam pharetra at nunc in porta maecenas condimentum ligula elit ac tempor lacus fringilla eget etiam viverra blandit mauris eu elementum lectus dictum in suspendisse porta nulla non molestie sodales  ',0),(24,'en','node_search',' british library returns painted renaissance book panel british library returns painted renaissance book panel admin sun 12132015 1937 the british library has agreed to return a spoliated sienese oil painting made for the binding of a 1488 set of accounts following the recommendation of the uk s spoliation advisory panel the biccherna panel named after the city s treasury is attributed to guidoccio cozzarelli although not named in the spoliation panel s june report the art newspaper has identified the prewar owner as the shareholders of the munichbased as drey gallery the painting was part of a forced sale in 1936 fetching the equivalent of 228 in 1942 it was sold by arthur bendir at sotheby s in london henry david bought the picture and donated it to the british library in 1968 it was formally accessioned on his death in 1977 with other bookbindings phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi ut mollis tellus vitae nisl bibendum eleifend proin molestie commodo rhoncus etiam commodo urna vitae tincidunt viverra in ultrices eros nec nibh fermentum sit amet convallis libero sagittis etiam pharetra at nunc in porta maecenas condimentum ligula elit ac tempor lacus fringilla eget etiam viverra blandit mauris eu elementum lectus dictum in suspendisse porta nulla non molestie sodales  ',0),(25,'ar','node_search',' world cup sportsday world cup sportsday admin thu 5052016 252 andre schurrle became the first german to score a world cup goal while wearing the number nine shirt since carsten jancker against saudi arabia in 2002 toni kroos 473 has had more touches than any other player at this world cup so far philipp lahm 437 is the only other player to have more than 400 thomas muller has been directly involved in seven of germany s last 12 goals at the world cup finals 5 goals 2 assists mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla  ',0),(25,'en','node_search',' world cup sportsday world cup sportsday admin sun 12132015 1942 andre schurrle became the first german to score a world cup goal while wearing the number nine shirt since carsten jancker against saudi arabia in 2002 toni kroos 473 has had more touches than any other player at this world cup so far philipp lahm 437 is the only other player to have more than 400 thomas muller has been directly involved in seven of germany s last 12 goals at the world cup finals 5 goals 2 assists mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla  ',0),(26,'ar','node_search',' looks of the day looks of the day admin thu 5052016 254 see the bestdressed from over the weekend from the muddy fields at glastonbury to the sunny climes of los angele kerry washington was perfectly turned out for summer in a floral minidress and white heels at the bet award in los angeles suspendisse ultricies purus ac massa interdum sodales ut euismod nunc sed suscipit pharetra class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos donec ac arcu vitae mi bibendum consectetur sed eu justo mauris eget quam et nisi placerat tincidunt phasellus viverra sed libero eu suscipit mauris ultrices risus sit amet nisi luctus laoreet proin sed nibh magna etiam molestie ipsum lectus at euismod tellus pellentesque eu mauris elementum libero at dolor bibendum at euismod sapien adipiscing morbi ultrices eros in sem pretium mollis donec eu libero eu magna fringilla lacinia in quis nibh integer accumsan pretium risus at ornare est fringilla ac nulla porta pellentesque tortor in fermentum arcu tincidunt quis duis augue mauris egestas a ornare viverra tincidunt et mauris aenean quis sollicitudin nunc eu aliquam risus nam interdum diam id augue ultricies tempor mauris quis rutrum erat ut convallis arcu suspendisse potenti ut gravida id tellus vitae faucibus in hac habitasse platea dictumst donec faucibus leo nisi eu porta arcu consequat a cras elementum elit a est volutpat at scelerisque diam aliquam maecenas placerat sem a facilisis consectetur curabitur at ligula rutrum tempor nisi id dictum tortor in a risus dignissim elementum lorem et suscipit tellus suspendisse vitae convallis mi ut porta feugiat odio et convallis leo euismod id quisque dolor enim posuere et semper eget tristique ullamcorper quam maecenas malesuada in libero non condimentum quisque odio odio volutpat eu bibendum a sodales sed ante nam eu lorem sed tortor pharetra eleifend at vitae leo sed et varius augue nunc aliquam magna quis urna sodales accumsan phasellus elementum erat in eleifend lobortis velit massa suscipit elit sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit  ',0),(26,'en','node_search',' looks of the day looks of the day admin sun 12132015 1942 see the bestdressed from over the weekend from the muddy fields at glastonbury to the sunny climes of los angele kerry washington was perfectly turned out for summer in a floral minidress and white heels at the bet award in los angeles suspendisse ultricies purus ac massa interdum sodales ut euismod nunc sed suscipit pharetra class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos donec ac arcu vitae mi bibendum consectetur sed eu justo mauris eget quam et nisi placerat tincidunt phasellus viverra sed libero eu suscipit mauris ultrices risus sit amet nisi luctus laoreet proin sed nibh magna etiam molestie ipsum lectus at euismod tellus pellentesque eu mauris elementum libero at dolor bibendum at euismod sapien adipiscing morbi ultrices eros in sem pretium mollis donec eu libero eu magna fringilla lacinia in quis nibh integer accumsan pretium risus at ornare est fringilla ac nulla porta pellentesque tortor in fermentum arcu tincidunt quis duis augue mauris egestas a ornare viverra tincidunt et mauris aenean quis sollicitudin nunc eu aliquam risus nam interdum diam id augue ultricies tempor mauris quis rutrum erat ut convallis arcu suspendisse potenti ut gravida id tellus vitae faucibus in hac habitasse platea dictumst donec faucibus leo nisi eu porta arcu consequat a cras elementum elit a est volutpat at scelerisque diam aliquam maecenas placerat sem a facilisis consectetur curabitur at ligula rutrum tempor nisi id dictum tortor in a risus dignissim elementum lorem et suscipit tellus suspendisse vitae convallis mi ut porta feugiat odio et convallis leo euismod id quisque dolor enim posuere et semper eget tristique ullamcorper quam maecenas malesuada in libero non condimentum quisque odio odio volutpat eu bibendum a sodales sed ante nam eu lorem sed tortor pharetra eleifend at vitae leo sed et varius augue nunc aliquam magna quis urna sodales accumsan phasellus elementum erat in eleifend lobortis velit massa suscipit elit sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit  ',0),(27,'ar','node_search',' these wedding vow confessions will make you laugh cry for all the wrong reasons these wedding vow confessions will make you laugh cry for all the wrong reasons admin thu 5052016 254 wedding vows give brides and grooms the chance to express what s in their heart of hearts but sometimes those beautifully crafted sentences come from far less sincere places below 12 users on whisper a free app where people share their secrets anonymously cop to the cringeworthy ways they came up with their wedding vows if they even managed to get that far suspendisse imperdiet volutpat dui eget scelerisque lacus lacinia in vivamus molestie ipsum eleifend tellus tincidunt ultricies fusce id magna ac enim mollis tristique curabitur porttitor laoreet nulla eu sollicitudin proin consectetur porta nisi vel cursus nunc egestas vulputate sapien vitae tempor odio gravida ut nunc ullamcorper aliquet ante quis sodales velit hendrerit non sed iaculis ipsum at massa malesuada tempus pellentesque et nisl nec tellus pharetra tincidunt sed commodo congue urna ut condimentum est sagittis id sed molestie mollis ipsum id pharetra etiam porttitor pretium ante id eleifend lectus dignissim non maecenas dapibus auctor blandit morbi condimentum tempus urna maecenas tristique magna varius rhoncus dolor commodo iaculis mi proin sem lacus sagittis vitae venenatis nec laoreet in leo nunc pellentesque mollis neque at aliquet cras consectetur magna ac tempus elementum maecenas molestie tempus ligula ut iaculis nulla velit metus malesuada id fermentum quis feugiat nec massa nullam congue dolor elementum interdum hendrerit eros ipsum commodo elit a placerat nulla dui eget erat sed placerat ut velit nec sagittis vestibulum congue lectus at scelerisque suscipit nulla odio scelerisque augue vel commodo velit mauris vel lectus aliquam et lectus faucibus ligula mollis feugiat vel quis augue nullam at erat vel lacus semper congue integer sed lectus est in posuere nisi in facilisis fermentum libero augue lobortis diam gravida blandit nunc urna ac ipsum suspendisse rhoncus consectetur urna sit amet semper arcu rutrum id in pretium tincidunt lectus eget euismod sapien congue egestas class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos praesent urna arcu tincidunt vitae massa sed molestie ornare risus sed aliquam pretium metus at venenatis elit gravida non  ',0),(27,'en','node_search',' these wedding vow confessions will make you laugh cry for all the wrong reasons these wedding vow confessions will make you laugh cry for all the wrong reasons admin sun 12132015 1942 wedding vows give brides and grooms the chance to express what s in their heart of hearts but sometimes those beautifully crafted sentences come from far less sincere places below 12 users on whisper a free app where people share their secrets anonymously cop to the cringeworthy ways they came up with their wedding vows if they even managed to get that far suspendisse imperdiet volutpat dui eget scelerisque lacus lacinia in vivamus molestie ipsum eleifend tellus tincidunt ultricies fusce id magna ac enim mollis tristique curabitur porttitor laoreet nulla eu sollicitudin proin consectetur porta nisi vel cursus nunc egestas vulputate sapien vitae tempor odio gravida ut nunc ullamcorper aliquet ante quis sodales velit hendrerit non sed iaculis ipsum at massa malesuada tempus pellentesque et nisl nec tellus pharetra tincidunt sed commodo congue urna ut condimentum est sagittis id sed molestie mollis ipsum id pharetra etiam porttitor pretium ante id eleifend lectus dignissim non maecenas dapibus auctor blandit morbi condimentum tempus urna maecenas tristique magna varius rhoncus dolor commodo iaculis mi proin sem lacus sagittis vitae venenatis nec laoreet in leo nunc pellentesque mollis neque at aliquet cras consectetur magna ac tempus elementum maecenas molestie tempus ligula ut iaculis nulla velit metus malesuada id fermentum quis feugiat nec massa nullam congue dolor elementum interdum hendrerit eros ipsum commodo elit a placerat nulla dui eget erat sed placerat ut velit nec sagittis vestibulum congue lectus at scelerisque suscipit nulla odio scelerisque augue vel commodo velit mauris vel lectus aliquam et lectus faucibus ligula mollis feugiat vel quis augue nullam at erat vel lacus semper congue integer sed lectus est in posuere nisi in facilisis fermentum libero augue lobortis diam gravida blandit nunc urna ac ipsum suspendisse rhoncus consectetur urna sit amet semper arcu rutrum id in pretium tincidunt lectus eget euismod sapien congue egestas class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos praesent urna arcu tincidunt vitae massa sed molestie ornare risus sed aliquam pretium metus at venenatis elit gravida non  ',0),(28,'ar','node_search',' more than 1000 runners signed up for syracuse half marathon more than 1000 runners signed up for syracuse half marathon admin thu 5052016 253 syracuse ny more than 1000 distance runners will take to the city s streets during the syracuse half marathon set for march 24 the race will start at 8 am at the oncenter and will end there at around noon the course will take runners through the north west and south sides of syracuse with nine of its full 131 miles being within city limits runners can signup online or the the morning of the race with advance admission at 75 and a race weekend rate of 90 as of friday more than 1100 runners had entered cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent varius luctus risus ac euismod eros lobortis eget suspendisse eget odio aliquam fringilla justo sit amet pharetra dui aliquam diam risus luctus quis erat quis lobortis ultricies est mauris sem enim mollis et ornare eget lobortis in odio nulla facilisi phasellus sed tortor sodales mattis nisi nec aliquet enim suspendisse potenti aenean augue nunc rutrum quis nisi ut tristique placerat purus maecenas libero felis elementum nec nunc quis dignissim molestie sapien fusce tincidunt risus vel neque aliquam id commodo nulla cursus aliquam ultricies est imperdiet suscipit condimentum integer vitae egestas tortor et tincidunt ante integer in tempor mauris nam diam nibh vulputate vitae tellus ac euismod commodo ligula proin cursus lacus suscipit elit cursus cursus donec molestie in metus hendrerit mollis fusce eget porttitor mauris aliquam nulla odio laoreet at metus sed lobortis placerat risus donec suscipit quis est sed volutpat suspendisse accumsan cursus augue aenean vel enim turpis phasellus at ante interdum dignissim felis ac auctor arcu in ultrices tristique magna a vehicula praesent aliquam augue at odio porttitor eu hendrerit ligula fringilla vestibulum non sapien quis lorem vehicula commodo donec imperdiet sollicitudin purus eget gravida mi vehicula vitae morbi libero mauris tincidunt at rhoncus non porttitor a nisi proin consectetur quam vel justo eleifend ac dictum libero vestibulum sed ante purus pharetra id mollis vel consectetur eget nulla nunc et hendrerit est quis bibendum quam nam vel nibh nunc proin a imperdiet ante in dignissim vitae urna quis aliquet fusce lacinia justo eget est rhoncus malesuada duis varius neque sit amet lacinia laoreet proin varius metus tellus id ullamcorper massa molestie nec class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos aliquam tincidunt convallis nibh eu bibendum  ',0),(28,'en','node_search',' more than 1000 runners signed up for syracuse half marathon more than 1000 runners signed up for syracuse half marathon admin sun 12132015 1942 syracuse ny more than 1000 distance runners will take to the city s streets during the syracuse half marathon set for march 24 the race will start at 8 am at the oncenter and will end there at around noon the course will take runners through the north west and south sides of syracuse with nine of its full 131 miles being within city limits runners can signup online or the the morning of the race with advance admission at 75 and a race weekend rate of 90 as of friday more than 1100 runners had entered cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent varius luctus risus ac euismod eros lobortis eget suspendisse eget odio aliquam fringilla justo sit amet pharetra dui aliquam diam risus luctus quis erat quis lobortis ultricies est mauris sem enim mollis et ornare eget lobortis in odio nulla facilisi phasellus sed tortor sodales mattis nisi nec aliquet enim suspendisse potenti aenean augue nunc rutrum quis nisi ut tristique placerat purus maecenas libero felis elementum nec nunc quis dignissim molestie sapien fusce tincidunt risus vel neque aliquam id commodo nulla cursus aliquam ultricies est imperdiet suscipit condimentum integer vitae egestas tortor et tincidunt ante integer in tempor mauris nam diam nibh vulputate vitae tellus ac euismod commodo ligula proin cursus lacus suscipit elit cursus cursus donec molestie in metus hendrerit mollis fusce eget porttitor mauris aliquam nulla odio laoreet at metus sed lobortis placerat risus donec suscipit quis est sed volutpat suspendisse accumsan cursus augue aenean vel enim turpis phasellus at ante interdum dignissim felis ac auctor arcu in ultrices tristique magna a vehicula praesent aliquam augue at odio porttitor eu hendrerit ligula fringilla vestibulum non sapien quis lorem vehicula commodo donec imperdiet sollicitudin purus eget gravida mi vehicula vitae morbi libero mauris tincidunt at rhoncus non porttitor a nisi proin consectetur quam vel justo eleifend ac dictum libero vestibulum sed ante purus pharetra id mollis vel consectetur eget nulla nunc et hendrerit est quis bibendum quam nam vel nibh nunc proin a imperdiet ante in dignissim vitae urna quis aliquet fusce lacinia justo eget est rhoncus malesuada duis varius neque sit amet lacinia laoreet proin varius metus tellus id ullamcorper massa molestie nec class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos aliquam tincidunt convallis nibh eu bibendum  ',0),(29,'ar','node_search',' the diabetes epidemic the diabetes epidemic admin tue 5102016 2133 more than nine million canadians are living with diabetes or prediabetes with more than 20 people being newly diagnosed every hour of every day chances are the disease affects someone you know that could be a relative friend neighbour coworker or someone who s part of your personal or professional community in ontario alone there has been a 68 per cent increase between 1995 and 2005 the majority of cases are of type 2 diabetes and that is where most of the growth is seen the need to ensure optimal care and outcomes for people living with diabetes has always been great but is now being brought into sharper focus by the magnitude of the situation a chronic disease diabetes is often debilitating and sometimes fatal the body either cannot produce the hormone insulin type 1 diabetes or it cannot properly use the insulin it produces type 2 diabetes this leads to high levels of glucose sugar in the blood which can damage organs blood vessels and nerves and result in a variety of complications to use sugar as an energy source the body needs insulin people with prediabetes have higherthannormal blood sugar levels that aren t high enough to be diagnosed with type 2 diabetes without intervention 50 per cent of those people will develop type 2 diabetes aliquam et tincidunt turpis vivamus in pharetra erat phasellus pellentesque nunc ut dolor commodo tristique praesent diam felis rutrum placerat dapibus a vulputate at risus maecenas pellentesque arcu velit non scelerisque orci bibendum ut cras erat lorem feugiat non egestas vel tempor eget erat mauris laoreet fermentum consequat vivamus consequat ante quis imperdiet vestibulum curabitur eu justo at nisl ullamcorper lobortis donec aliquam ante vel nunc sagittis lobortis praesent tincidunt consequat augue euismod convallis turpis feugiat ac donec ut diam ac nibh euismod suscipit et a nisl nullam diam diam ullamcorper ac sem at rhoncus lacinia turpis integer non est at neque sollicitudin lacinia mauris nec ante pharetra ultricies lectus eget porta magna sed imperdiet sapien eu nisl suscipit nec blandit dolor rutrum quisque elementum lectus vel orci ornare luctus curabitur eu semper orci ut consequat leo non malesuada semper sapien nibh vehicula turpis a lacinia quam massa quis libero pellentesque ut fringilla velit nullam metus lectus tincidunt at cursus fringilla feugiat at eros fusce tincidunt egestas vestibulum quisque interdum ultricies arcu vel placerat in iaculis tempor justo id tempor curabitur ut fermentum massa id lobortis metus pellentesque magna neque molestie a ultricies vel elementum nec augue aenean ut tempus quam sed ut bibendum mauris aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus cras leo lacus laoreet quis neque sed accumsan volutpat eros phasellus ut erat eu turpis bibendum varius posuere eu odio duis viverra ante non faucibus sollicitudin nunc at leo ligula vestibulum lobortis diam felis etiam in nisi vel justo facilisis volutpat nam dictum ipsum adipiscing orci feugiat fringilla nam id rutrum diam quis mattis metus aenean dolor ligula ultrices et nibh eu rhoncus malesuada erat sed eu lorem ipsum maecenas vestibulum ut metus id euismod aliquam erat volutpat nullam nec tortor condimentum varius dui ut vestibulum enim curabitur sit amet neque est aenean vulputate turpis eu purus aliquet euismod curabitur a sagittis est nam volutpat id felis ut molestie  ',0),(29,'en','node_search',' the diabetes epidemic the diabetes epidemic admin sun 12132015 1942 more than nine million canadians are living with diabetes or prediabetes with more than 20 people being newly diagnosed every hour of every day chances are the disease affects someone you know that could be a relative friend neighbour coworker or someone who s part of your personal or professional community in ontario alone there has been a 68 per cent increase between 1995 and 2005 the majority of cases are of type 2 diabetes and that is where most of the growth is seen the need to ensure optimal care and outcomes for people living with diabetes has always been great but is now being brought into sharper focus by the magnitude of the situation a chronic disease diabetes is often debilitating and sometimes fatal the body either cannot produce the hormone insulin type 1 diabetes or it cannot properly use the insulin it produces type 2 diabetes this leads to high levels of glucose sugar in the blood which can damage organs blood vessels and nerves and result in a variety of complications to use sugar as an energy source the body needs insulin people with prediabetes have higherthannormal blood sugar levels that aren t high enough to be diagnosed with type 2 diabetes without intervention 50 per cent of those people will develop type 2 diabetes aliquam et tincidunt turpis vivamus in pharetra erat phasellus pellentesque nunc ut dolor commodo tristique praesent diam felis rutrum placerat dapibus a vulputate at risus maecenas pellentesque arcu velit non scelerisque orci bibendum ut cras erat lorem feugiat non egestas vel tempor eget erat mauris laoreet fermentum consequat vivamus consequat ante quis imperdiet vestibulum curabitur eu justo at nisl ullamcorper lobortis donec aliquam ante vel nunc sagittis lobortis praesent tincidunt consequat augue euismod convallis turpis feugiat ac donec ut diam ac nibh euismod suscipit et a nisl nullam diam diam ullamcorper ac sem at rhoncus lacinia turpis integer non est at neque sollicitudin lacinia mauris nec ante pharetra ultricies lectus eget porta magna sed imperdiet sapien eu nisl suscipit nec blandit dolor rutrum quisque elementum lectus vel orci ornare luctus curabitur eu semper orci ut consequat leo non malesuada semper sapien nibh vehicula turpis a lacinia quam massa quis libero pellentesque ut fringilla velit nullam metus lectus tincidunt at cursus fringilla feugiat at eros fusce tincidunt egestas vestibulum quisque interdum ultricies arcu vel placerat in iaculis tempor justo id tempor curabitur ut fermentum massa id lobortis metus pellentesque magna neque molestie a ultricies vel elementum nec augue aenean ut tempus quam sed ut bibendum mauris aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus cras leo lacus laoreet quis neque sed accumsan volutpat eros phasellus ut erat eu turpis bibendum varius posuere eu odio duis viverra ante non faucibus sollicitudin nunc at leo ligula vestibulum lobortis diam felis etiam in nisi vel justo facilisis volutpat nam dictum ipsum adipiscing orci feugiat fringilla nam id rutrum diam quis mattis metus aenean dolor ligula ultrices et nibh eu rhoncus malesuada erat sed eu lorem ipsum maecenas vestibulum ut metus id euismod aliquam erat volutpat nullam nec tortor condimentum varius dui ut vestibulum enim curabitur sit amet neque est aenean vulputate turpis eu purus aliquet euismod curabitur a sagittis est nam volutpat id felis ut molestie  ',0),(30,'ar','node_search',' 6 people who will stress you out on your wedding day 6 people who will stress you out on your wedding day admin thu 5052016 254 welcome to your wedding day with the stress of planning behind you you might think the big day will be easybreezy and it should be as long as you can navigate these six potential stress bombs weddings come with a host of heavy emotions especially when your son or daughter is the star of the show some moms might be adept at handling stress while others might teeter closer to meltdown territory if you know your mom or future mil might get a little testy plan to keep your distance if you ll be getting your hair and makeup done at 10am schedule her appointment for noon hang a sign that reads stressfree zone bride and bridesmaids only beyond this point on your hotel suite if a manic mama busts in anyway appoint a bridesmaid to run interference steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna suspendisse imperdiet volutpat dui eget scelerisque lacus lacinia in vivamus molestie ipsum eleifend tellus tincidunt ultricies fusce id magna ac enim mollis tristique curabitur porttitor laoreet nulla eu sollicitudin proin consectetur porta nisi vel cursus nunc egestas vulputate sapien vitae tempor odio gravida ut nunc ullamcorper aliquet ante quis sodales velit hendrerit non sed iaculis ipsum at massa malesuada tempus pellentesque et nisl nec tellus pharetra tincidunt sed commodo congue urna ut condimentum est sagittis id  ',0),(30,'en','node_search',' 6 people who will stress you out on your wedding day 6 people who will stress you out on your wedding day admin sun 12132015 1949 welcome to your wedding day with the stress of planning behind you you might think the big day will be easybreezy and it should be as long as you can navigate these six potential stress bombs weddings come with a host of heavy emotions especially when your son or daughter is the star of the show some moms might be adept at handling stress while others might teeter closer to meltdown territory if you know your mom or future mil might get a little testy plan to keep your distance if you ll be getting your hair and makeup done at 10am schedule her appointment for noon hang a sign that reads stressfree zone bride and bridesmaids only beyond this point on your hotel suite if a manic mama busts in anyway appoint a bridesmaid to run interference steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna suspendisse imperdiet volutpat dui eget scelerisque lacus lacinia in vivamus molestie ipsum eleifend tellus tincidunt ultricies fusce id magna ac enim mollis tristique curabitur porttitor laoreet nulla eu sollicitudin proin consectetur porta nisi vel cursus nunc egestas vulputate sapien vitae tempor odio gravida ut nunc ullamcorper aliquet ante quis sodales velit hendrerit non sed iaculis ipsum at massa malesuada tempus pellentesque et nisl nec tellus pharetra tincidunt sed commodo congue urna ut condimentum est sagittis id  ',0),(31,'ar','node_search',' russia s other art biennial russia s other art biennial admin tue 5102016 2155 the fourth moscow international biennale for young art opened on thursday 26 june just two days before manifesta 10 in st petersburg making russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in ukraine the biennial s title a time for dreams was inspired by dr martin luther king s march on washington speech says its british curator david elliott however the show which runs until 10 august is deeply rooted in reality he adds it s not a dream of an escape it s a dream of criticism a dream made by young people who have no reason whatsoever to feel guilty for the world into which they ve been born elliott says quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi  ',0),(31,'en','node_search',' russia s other art biennial russia s other art biennial admin sun 12132015 1949 the fourth moscow international biennale for young art opened on thursday 26 june just two days before manifesta 10 in st petersburg making russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in ukraine the biennial s title a time for dreams was inspired by dr martin luther king s march on washington speech says its british curator david elliott however the show which runs until 10 august is deeply rooted in reality he adds it s not a dream of an escape it s a dream of criticism a dream made by young people who have no reason whatsoever to feel guilty for the world into which they ve been born elliott says quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi  ',0),(32,'ar','node_search',' how to banish stress in 25 minutes how to banish stress in 25 minutes admin thu 5052016 254 if your way of dealing with stress involves ranting to coworkers or faceplanting in a bag of chips we ve got a simpler healthier idea for you spend less than half an hour practicing mindful meditation a new study published in the journal psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation it s a more focused inthepresent way to meditate that s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo  ',0),(32,'en','node_search',' how to banish stress in 25 minutes how to banish stress in 25 minutes admin sun 12132015 1949 if your way of dealing with stress involves ranting to coworkers or faceplanting in a bag of chips we ve got a simpler healthier idea for you spend less than half an hour practicing mindful meditation a new study published in the journal psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation it s a more focused inthepresent way to meditate that s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo  ',0),(33,'ar','node_search',' etsy weddings handmade object of the week etsy weddings handmade object of the week admin tue 5102016 2155 since etsycom launched in 2005 the online marketplace featuring over 80000 vendors selling their handmade wares has become a goto resource for couples looking to elevate their nuptials with oneofkind diy touches there s even a dedicated section of the site just for weddings below we present a curated selection of our favorite wedding objects from etsy sellers we ll be bringing you a new object and its unique story every week so check back frequently donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna  ',0),(33,'en','node_search',' etsy weddings handmade object of the week etsy weddings handmade object of the week admin sun 12132015 1949 since etsycom launched in 2005 the online marketplace featuring over 80000 vendors selling their handmade wares has become a goto resource for couples looking to elevate their nuptials with oneofkind diy touches there s even a dedicated section of the site just for weddings below we present a curated selection of our favorite wedding objects from etsy sellers we ll be bringing you a new object and its unique story every week so check back frequently donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna  ',0),(34,'ar','node_search',' branding and company extract changes branding and company extract changes admin tue 5102016 2140 as of today we have simplified what is provided to you during the process of incorporating a company on the companies office register during the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the registrar confirms the incorporation of your company sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum suspendisse ipsum ligula consequat ut suscipit dapibus pellentesque at nibh vestibulum elementum arcu eu pretium pellentesque integer eget sapien pellentesque auctor ipsum sit amet accumsan lectus vestibulum odio quam egestas eu erat vitae rutrum porta sem sed nulla neque vestibulum in congue ut dictum vitae tellus cras tincidunt orci in ipsum elementum tempus vulputate tellus molestie nulla aliquet quis justo in imperdiet donec in eros massa proin porta nibh convallis dictum egestas suspendisse ac mauris mi donec volutpat tortor non velit adipiscing quis sodales quam viverra vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae  ',0),(34,'en','node_search',' branding and company extract changes branding and company extract changes admin sun 12132015 1949 as of today we have simplified what is provided to you during the process of incorporating a company on the companies office register during the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the registrar confirms the incorporation of your company sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum suspendisse ipsum ligula consequat ut suscipit dapibus pellentesque at nibh vestibulum elementum arcu eu pretium pellentesque integer eget sapien pellentesque auctor ipsum sit amet accumsan lectus vestibulum odio quam egestas eu erat vitae rutrum porta sem sed nulla neque vestibulum in congue ut dictum vitae tellus cras tincidunt orci in ipsum elementum tempus vulputate tellus molestie nulla aliquet quis justo in imperdiet donec in eros massa proin porta nibh convallis dictum egestas suspendisse ac mauris mi donec volutpat tortor non velit adipiscing quis sodales quam viverra vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae  ',0),(35,'ar','node_search',' sip up slim down the right way to drink green tea for weight loss sip up slim down the right way to drink green tea for weight loss admin tue 5102016 2136 find out if the green stuff s weightloss power extends to flavored ice cream iced tea and extract i ll admit it i had a mini celebration when i learned green tea has the incredible power to shift your fatfighting metabolism into high gear and yes i kicked my heels in the air when i found research suggesting that exercisers who drink green tea lose twice as much weight as those who don t fast forward to me pushing a shoppingcartfull of green tea products around my local grocery store i was buying green tea everything ice cream noodles etc who was i fooling the weightloss benefits are in the epigallocatechin gallate aka egcg a healthboosting antioxidant found in green tea not the green tea flavor donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna  ',0),(35,'en','node_search',' sip up slim down the right way to drink green tea for weight loss sip up slim down the right way to drink green tea for weight loss admin sun 12132015 1950 find out if the green stuff s weightloss power extends to flavored ice cream iced tea and extract i ll admit it i had a mini celebration when i learned green tea has the incredible power to shift your fatfighting metabolism into high gear and yes i kicked my heels in the air when i found research suggesting that exercisers who drink green tea lose twice as much weight as those who don t fast forward to me pushing a shoppingcartfull of green tea products around my local grocery store i was buying green tea everything ice cream noodles etc who was i fooling the weightloss benefits are in the epigallocatechin gallate aka egcg a healthboosting antioxidant found in green tea not the green tea flavor donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna  ',0),(36,'ar','node_search',' 5 mascara tricks to make your eyes look even more amazing 5 mascara tricks to make your eyes look even more amazing admin thu 5052016 250 most women we know won t leave the house without mascara and it s easy to see why mascara is the one product that instantly makes you look more put together more awake more alive but are you making the most of your mascara s lash boosting powers it turns out there are strategic ways to apply your mascara to play up your specific eye shape we caught up with sonia kashuk makeup artist and founder of sonia kashuk beauty to learn the simple tricks that can transform your look with just a swipe of the wand sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem submitted by admin on thu 7212016 2140 permalink jack nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat log in or register to post comments  ',0),(36,'en','node_search',' 5 mascara tricks to make your eyes look even more amazing 5 mascara tricks to make your eyes look even more amazing admin sun 12132015 1950 most women we know won t leave the house without mascara and it s easy to see why mascara is the one product that instantly makes you look more put together more awake more alive but are you making the most of your mascara s lash boosting powers it turns out there are strategic ways to apply your mascara to play up your specific eye shape we caught up with sonia kashuk makeup artist and founder of sonia kashuk beauty to learn the simple tricks that can transform your look with just a swipe of the wand sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem submitted by admin on thu 7212016 2140 permalink jack nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat log in or register to post comments  ',0),(38,'en','node_search',' pages pages admin sun 12132015 2230 aliquam aliquam tristique aliquam quisque eleifend eget turpis blandit commodo donec quis ante lacinia dapibus diam at auctor risus vestibulum porta interdum suscipit ut neque nunc tincidunt nec nisl ut elementum ultricies orci nam sit amet auctor enim suspendisse congue nulla sed sagittis auctor ut venenatis nulla turpis vel fringilla lacus elementum sit amet nunc eu nunc gravida dictum orci vel cursus velit nam tincidunt nunc quis nunc congue at sagittis nisi ultricies nam vitae consectetur ante phasellus at sapien metus proin leo purus imperdiet et enim quis faucibus rutrum nisi aliquam venenatis urna nec tellus commodo vel auctor purus semper nullam ultricies dignissim nulla vitae fermentum lectus faucibus nec nulla facilisi in hac habitasse platea dictumst mauris orci arcu imperdiet sed accumsan porttitor vulputate sit amet augue sed ultricies est vitae libero semper quis sagittis ligula fringilla maecenas a risus sed diam consequat aliquam vivamus molestie tempus luctus etiam condimentum nunc a purus accumsan bibendum stet clita kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet stet clita kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet excepteur sint obcaecat cupiditat non proident sunt in culpa qui officia deserunt mollit anim id est laborum stet clita kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet lorem ipsum dolor sit amet consectetuer adipiscing elit sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat excepteur sint obcaecat cupiditat non proident sunt in culpa qui officia deserunt mollit anim id est laborum excepteur sint obcaecat cupiditat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sanctus sea sed takimata ut vero voluptua lorem ipsum dolor sit amet at vero eos et accusam et justo duo dolores et ea rebum consetetur sadipscing elitr sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat sed diam voluptua ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat lorem ipsum dolor sit amet consectetur adipisici elit sed eiusmod tempor incidunt ut labore et dolore magna aliqua ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat lorem ipsum dolor sit amet consectetuer adipiscing elit aenean commodo ligula eget dolor aenean massa cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus donec quam felis ultricies nec pellentesque eu pretium quis sem nulla consequat massa quis enim donec pede justo fringilla vel aliquet nec vulputate eget arcu in enim justo rhoncus ut imperdiet a venenatis vitae justo nullam dictum felis eu pede mollis pretium integer tincidunt cras dapibus vivamus elementum semper nisi aenean vulputate eleifend tellus aenean leo ligula porttitor eu consequat vitae eleifend ac enim aliquam lorem ante dapibus in viverra quis feugiat a tellus phasellus viverra nulla ut metus varius laoreet quisque rutrum aenean imperdiet etiam ultricies nisi vel augue curabitur ullamcorper ultricies nisi nam eget dui etiam rhoncus maecenas tempus tellus eget condimentum rhoncus sem quam semper libero sit amet adipiscing sem neque sed ipsum nam quam nunc blandit vel luctus pulvinar hendrerit id lorem maecenas nec odio et ante tincidunt tempus donec vitae sapien ut libero venenatis faucibus nullam quis ante etiam sit amet orci eget eros faucibus tincidunt duis leo sed fringilla mauris sit amet nibh donec sodales sagittis magna sed consequat leo eget bibendum sodales augue velit cursus nunc quis gravida magna mi a libero fusce vulputate eleifend sapien vestibulum purus quam scelerisque ut mollis sed nonummy id metus nullam accumsan lorem in dui cras ultricies mi eu turpis hendrerit fringilla vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae in ac dui quis mi consectetuer lacinia nam pretium turpis et arcu duis arcu tortor suscipit eget imperdiet nec imperdiet iaculis ipsum sed aliquam ultrices mauris integer ante arcu accumsan a consectetuer eget posuere ut mauris praesent adipiscing phasellus ullamcorper ipsum rutrum nunc nunc nonummy metus vestibulum volutpat pretium libero cras id dui aenean ut eros et nisl sagittis vestibulum nullam nulla eros ultricies sit amet nonummy id imperdiet feugiat pede sed lectus donec mollis hendrerit risus phasellus nec sem in justo pellentesque facilisis etiam imperdiet imperdiet orci nunc nec neque phasellus leo dolor tempus non auctor et hendrerit quis nisi curabitur ligula sapien tincidunt non euismod vitae posuere imperdiet leo maecenas malesuada praesent congue erat at massa sed cursus turpis vitae tortor donec posuere vulputate arcu phasellus accumsan cursus velit vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed aliquam nisi quis porttitor congue elit erat euismod orci ac placerat dolor lectus quis orci phasellus consectetuer vestibulum elit aenean tellus metus bibendum sed posuere ac mattis non nunc vestibulum fringilla pede sit amet augue in turpis pellentesque posuere praesent turpis aenean posuere tortor sed cursus feugiat nunc augue blandit nunc eu sollicitudin urna dolor sagittis lacus donec elit libero sodales nec volutpat a suscipit non turpis nullam sagittis suspendisse pulvinar augue ac venenatis condimentum sem libero volutpat nibh nec pellentesque velit pede quis nunc vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae fusce id purus ut varius tincidunt libero phasellus dolor maecenas vestibulum mollis  ',0),(40,'en','node_search',' autox autox admin sun 12132015 2311 click to visit ',0),(41,'en','node_search',' education education admin sun 12132015 2312 click to visit ',0),(42,'en','node_search',' news news admin sun 12132015 2312 click to visit ',0),(43,'en','node_search',' garnet garnet admin sun 12132015 2312 click to visit ',0),(44,'en','node_search',' zircon ii zircon ii admin sun 12132015 2312 click to visit ',0),(45,'en','node_search',' business business admin sun 12132015 2312 click to visit ',0),(46,'en','node_search',' new shopping new shopping admin sun 12132015 2320 click to visit ',0),(47,'en','node_search',' onepage onepage admin sun 12132015 2320 click to visit ',0),(48,'en','node_search',' nutus singularis vindico nutus singularis vindico module development comis commodo hendrerit metuo quia refoveo eligo gemino huic metuo proprius refero roto aliquip eros tego ullamcorper commodo dignissim enim incassum olim premo damnum iaceo interdico magna pagus usitas abbas caecus commoveo diam enim obruo proprius uxor velit vulpes capto commoveo lobortis roto decet loquor metuo sudo huic immitto pala tamen tation valde exerci rusticus vel vero dignissim gilvus gravis nostrud nulla quidem valetudo nibh oppeto ratis ut vindico volutpat consectetuer paratus proprius tincidunt ullamcorper venio vero diam dolus iusto jus populus premo quibus quidem volutpat wisi consequat distineo humo paulatim refero tation tincidunt acsi dolus feugiat haero interdico jus si ille obruo paulatim populus ratis consectetuer decet nimis nunc validus cui haero nimis oppeto secundum refoveo veniam vulpes antehabeo meus natu tum at autem caecus elit lucidus modo sino velit venio accumsan laoreet praesent camur gemino hendrerit luptatum praemitto proprius singularis abigo ad capto duis nulla abdo caecus commoveo sed te abbas iaceo minim te verto consectetuer et eu macto dolor gilvus humo iusto neo paratus odio paratus pecus praemitto saluto suscipere typicus virtus causa ea et facilisi nulla pala uxor validus vicis luptatum nostrud occuro pala premo volutpat caecus nibh paratus vel ymo at exputo iaceo illum lucidus persto tation tego bene incassum pala commodo damnum dolus quidem augue exputo pertineo quidne tation tincidunt valetudo cui metuo quidne ulciscor utrum validus ideo iusto qui saluto utrum veniam vindico vulpes damnum gravis modo secundum augue ibidem olim virtus elit iaceo modo abigo immitto minim paulatim pecus quadrum valde luptatum quibus ratis sino aptent humo ideo mos paratus sino velit abigo consequat dolor haero humo iaceo natu velit accumsan blandit et gilvus plaga scisco sino wisi ex imputo letalis praesent augue autem causa interdico mauris os proprius tamen antehabeo macto utrum consequat facilisi turpis feugiat natu nunc os aliquip fere gemino luctus at augue metuo qui vulputate abico hendrerit humo lucidus abbas dolus in incassum macto meus scisco torqueo admin mon 12142015 2253  ',0),(49,'en','node_search',' landing page landing page admin sun 10232022 2133 5 mascara tricks to make your eyes look even more amazing read more sip up slim down the right way to drink green tea for weight loss read more branding and company extract changes read more etsy weddings handmade object of the week read more russia s other art biennial read more how to banish stress in 25 minutes read more categories education travel fashion sports hospital nature others business showcase onepage click to visit zircon ii click to visit new shopping click to visit business click to visit garnet click to visit education click to visit blog most women we know won t leave the house without mascara and it s easy to see why read more as of today we have simplified what is provided to you during the process of incorporating a comp read more the british library has agreed to return a spoliated sienese oil painting made for the binding o read more world cup sportsday world cup sportsday andre schurrle became the first german to score a world cup goal while wearing the number nine sh read more read more uw hospital emergency department nurses receive lantern award madison wisconsin the university of wisconsin hospital and clinics emergency department this y tue 10182022 1200 more than 1000 runners signed up for syracuse half marathon syracuse ny more than 1000 distance runners will take to the city s streets during the syra 6 people who will stress you out on your wedding day welcome to your wedding day  the diabetes epidemic more than nine million canadians are living with diabetes or prediabetes looks of the day see the bestdressed from over the weekend from the muddy fields at glastonbury to the sunny cli  ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The languages.langcode of the item variant.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`langcode`,`type`),
  KEY `sid_type` (`sid`,`langcode`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores the search index, associating words, items and…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',10,'ar','node_search',3),('1',10,'en','node_search',3),('1',29,'ar','node_search',1),('1',29,'en','node_search',1),('10',9,'ar','node_search',1),('10',9,'en','node_search',1),('10',31,'ar','node_search',2),('10',31,'en','node_search',2),('1000',28,'ar','node_search',28),('1000',28,'en','node_search',28),('1000',49,'en','node_search',15.4453),('100000',1,'ar','node_search',1),('100000',1,'en','node_search',1),('10182022',49,'en','node_search',0.920273),('10232022',49,'en','node_search',1),('10am',30,'ar','node_search',1),('10am',30,'en','node_search',1),('1100',28,'ar','node_search',1),('1100',28,'en','node_search',1),('12',25,'ar','node_search',1),('12',25,'en','node_search',1),('12',27,'ar','node_search',1),('12',27,'en','node_search',1),('1200',49,'en','node_search',0.916736),('12132015',1,'en','node_search',1),('12132015',2,'en','node_search',1),('12132015',3,'en','node_search',1),('12132015',4,'en','node_search',1),('12132015',5,'en','node_search',1),('12132015',6,'en','node_search',1),('12132015',7,'en','node_search',1),('12132015',8,'en','node_search',1),('12132015',9,'en','node_search',1),('12132015',10,'en','node_search',1),('12132015',11,'en','node_search',1),('12132015',12,'en','node_search',1),('12132015',13,'en','node_search',1),('12132015',14,'en','node_search',1),('12132015',15,'en','node_search',1),('12132015',16,'ar','node_search',2.36886),('12132015',16,'en','node_search',3.38188),('12132015',17,'en','node_search',1),('12132015',18,'en','node_search',1),('12132015',19,'en','node_search',1),('12132015',20,'en','node_search',1),('12132015',21,'en','node_search',1),('12132015',22,'en','node_search',1),('12132015',23,'en','node_search',1),('12132015',24,'en','node_search',1),('12132015',25,'en','node_search',1),('12132015',26,'en','node_search',1),('12132015',27,'en','node_search',1),('12132015',28,'en','node_search',1),('12132015',29,'en','node_search',1),('12132015',30,'en','node_search',1),('12132015',31,'en','node_search',1),('12132015',32,'en','node_search',1),('12132015',33,'en','node_search',1),('12132015',34,'en','node_search',1),('12132015',35,'en','node_search',1),('12132015',36,'en','node_search',1),('12132015',38,'en','node_search',1),('12132015',40,'en','node_search',1),('12132015',41,'en','node_search',1),('12132015',42,'en','node_search',1),('12132015',43,'en','node_search',1),('12132015',44,'en','node_search',1),('12132015',45,'en','node_search',1),('12132015',46,'en','node_search',1),('12132015',47,'en','node_search',1),('12142015',48,'en','node_search',0.827757),('131',28,'ar','node_search',1),('131',28,'en','node_search',1),('1400',23,'ar','node_search',1),('1400',23,'en','node_search',1),('144',4,'ar','node_search',1),('144',4,'en','node_search',1),('1488',24,'ar','node_search',1),('1488',24,'en','node_search',1),('15000',4,'ar','node_search',1),('15000',4,'en','node_search',1),('16th',23,'ar','node_search',1),('16th',23,'en','node_search',1),('17',10,'ar','node_search',1),('17',10,'en','node_search',1),('17',14,'ar','node_search',1),('17',14,'en','node_search',1),('18plus',10,'ar','node_search',1),('18plus',10,'en','node_search',1),('1903',1,'en','node_search',1),('1907',2,'en','node_search',1),('1908',3,'en','node_search',1),('1908',4,'en','node_search',1),('1908',5,'en','node_search',1),('1912',6,'en','node_search',1),('1912',7,'en','node_search',1),('1912',8,'en','node_search',1),('1915',9,'en','node_search',1),('1915',10,'en','node_search',1),('1915',11,'en','node_search',1),('1915',12,'en','node_search',1),('1928',13,'en','node_search',1),('1930',14,'en','node_search',1),('1930',15,'en','node_search',1),('1930',16,'en','node_search',1),('1930',17,'en','node_search',1),('1934',18,'en','node_search',1),('1934',19,'en','node_search',1),('1934',20,'en','node_search',1),('1936',24,'ar','node_search',1),('1936',24,'en','node_search',1),('1937',21,'en','node_search',1),('1937',22,'en','node_search',1),('1937',23,'en','node_search',1),('1937',24,'en','node_search',1),('1942',24,'ar','node_search',1),('1942',24,'en','node_search',1),('1942',25,'en','node_search',1),('1942',26,'en','node_search',1),('1942',27,'en','node_search',1),('1942',28,'en','node_search',1),('1942',29,'en','node_search',1),('1949',30,'en','node_search',1),('1949',31,'en','node_search',1),('1949',32,'en','node_search',1),('1949',33,'en','node_search',1),('1949',34,'en','node_search',1),('1950',35,'en','node_search',1),('1950',36,'en','node_search',1),('1968',24,'ar','node_search',1),('1968',24,'en','node_search',1),('1977',24,'ar','node_search',1),('1977',24,'en','node_search',1),('1995',29,'ar','node_search',1),('1995',29,'en','node_search',1),('2',16,'ar','node_search',1),('2',16,'en','node_search',1),('2',25,'ar','node_search',1),('2',25,'en','node_search',1),('2',29,'ar','node_search',3.86236),('2',29,'en','node_search',3.86236),('20',19,'ar','node_search',1),('20',19,'en','node_search',1),('20',29,'ar','node_search',1),('20',29,'en','node_search',1),('2002',25,'ar','node_search',1),('2002',25,'en','node_search',1),('2003',23,'ar','node_search',1),('2003',23,'en','node_search',1),('2005',29,'ar','node_search',1),('2005',29,'en','node_search',1),('2005',33,'ar','node_search',1),('2005',33,'en','node_search',1),('2008',1,'ar','node_search',1),('2008',1,'en','node_search',1),('201314',11,'ar','node_search',1),('201314',11,'en','node_search',1),('2014',16,'ar','node_search',33.8526),('2014',16,'en','node_search',34.058),('20yearold',10,'ar','node_search',1),('20yearold',10,'en','node_search',1),('2133',29,'ar','node_search',1),('2133',49,'en','node_search',1),('2134',15,'ar','node_search',1),('2135',14,'ar','node_search',1),('2136',35,'ar','node_search',1),('2139',8,'ar','node_search',1),('2140',16,'ar','node_search',1),('2140',17,'ar','node_search',1),('2140',34,'ar','node_search',1),('2140',36,'ar','node_search',0.729424),('2140',36,'en','node_search',0.727213),('2141',13,'ar','node_search',1),('2150',1,'ar','node_search',1),('2150',9,'ar','node_search',1),('2150',11,'ar','node_search',1),('2151',5,'ar','node_search',1),('2151',10,'ar','node_search',1),('2152',7,'ar','node_search',1),('2152',22,'ar','node_search',1),('2153',18,'ar','node_search',1),('2153',20,'ar','node_search',1),('2153',21,'ar','node_search',1),('2154',2,'ar','node_search',1),('2154',3,'ar','node_search',1),('2154',4,'ar','node_search',1),('2154',6,'ar','node_search',1),('2154',12,'ar','node_search',1),('2155',19,'ar','node_search',1),('2155',23,'ar','node_search',1),('2155',24,'ar','node_search',1),('2155',31,'ar','node_search',1),('2155',33,'ar','node_search',1),('2230',38,'en','node_search',1),('2249',16,'ar','node_search',1.5844),('2249',16,'en','node_search',1.59496),('2250',16,'ar','node_search',0.781775),('2250',16,'en','node_search',0.786915),('2253',48,'en','node_search',0.824901),('228',24,'ar','node_search',1),('228',24,'en','node_search',1),('2311',40,'en','node_search',1),('2312',41,'en','node_search',1),('2312',42,'en','node_search',1),('2312',43,'en','node_search',1),('2312',44,'en','node_search',1),('2312',45,'en','node_search',1),('2320',46,'en','node_search',1),('2320',47,'en','node_search',1),('24',28,'ar','node_search',1),('24',28,'en','node_search',1),('25',32,'ar','node_search',27),('25',32,'en','node_search',27),('25',49,'en','node_search',19),('250',36,'ar','node_search',1),('252',25,'ar','node_search',1),('253',28,'ar','node_search',1),('254',26,'ar','node_search',1),('254',27,'ar','node_search',1),('254',30,'ar','node_search',1),('254',32,'ar','node_search',1),('26',31,'ar','node_search',1),('26',31,'en','node_search',1),('28',5,'ar','node_search',1),('28',5,'en','node_search',1),('28',10,'ar','node_search',1),('28',10,'en','node_search',1),('3000',23,'ar','node_search',1),('3000',23,'en','node_search',1),('34',1,'ar','node_search',1),('34',1,'en','node_search',1),('370mile',6,'ar','node_search',1),('370mile',6,'en','node_search',1),('4',11,'ar','node_search',1),('4',11,'en','node_search',1),('40',9,'ar','node_search',1),('40',9,'en','node_search',1),('400',25,'ar','node_search',1),('400',25,'en','node_search',1),('437',25,'ar','node_search',1),('437',25,'en','node_search',1),('45m',19,'ar','node_search',28),('45m',19,'en','node_search',28),('473',25,'ar','node_search',1),('473',25,'en','node_search',1),('49',1,'ar','node_search',1),('49',1,'en','node_search',1),('5',1,'ar','node_search',1),('5',1,'en','node_search',1),('5',25,'ar','node_search',1),('5',25,'en','node_search',1),('5',36,'ar','node_search',27),('5',36,'en','node_search',27),('5',49,'en','node_search',19),('50',29,'ar','node_search',0.934703),('50',29,'en','node_search',0.934703),('5052016',25,'ar','node_search',1),('5052016',26,'ar','node_search',1),('5052016',27,'ar','node_search',1),('5052016',28,'ar','node_search',1),('5052016',30,'ar','node_search',1),('5052016',32,'ar','node_search',1),('5052016',36,'ar','node_search',1),('5102016',1,'ar','node_search',1),('5102016',2,'ar','node_search',1),('5102016',3,'ar','node_search',1),('5102016',4,'ar','node_search',1),('5102016',5,'ar','node_search',1),('5102016',6,'ar','node_search',1),('5102016',7,'ar','node_search',1),('5102016',8,'ar','node_search',1),('5102016',9,'ar','node_search',1),('5102016',10,'ar','node_search',1),('5102016',11,'ar','node_search',1),('5102016',12,'ar','node_search',1),('5102016',13,'ar','node_search',1),('5102016',14,'ar','node_search',1),('5102016',15,'ar','node_search',1),('5102016',16,'ar','node_search',1),('5102016',17,'ar','node_search',1),('5102016',18,'ar','node_search',1),('5102016',19,'ar','node_search',1),('5102016',20,'ar','node_search',1),('5102016',21,'ar','node_search',1),('5102016',22,'ar','node_search',1),('5102016',23,'ar','node_search',1),('5102016',24,'ar','node_search',1),('5102016',29,'ar','node_search',1),('5102016',31,'ar','node_search',1),('5102016',33,'ar','node_search',1),('5102016',34,'ar','node_search',1),('5102016',35,'ar','node_search',1),('586',1,'ar','node_search',1),('586',1,'en','node_search',1),('6',30,'ar','node_search',27),('6',30,'en','node_search',27),('6',49,'en','node_search',13.9192),('60',3,'ar','node_search',1),('60',3,'en','node_search',1),('61',11,'ar','node_search',1),('61',11,'en','node_search',1),('63',11,'ar','node_search',1),('63',11,'en','node_search',1),('6500',1,'ar','node_search',1),('6500',1,'en','node_search',1),('665',1,'ar','node_search',1),('665',1,'en','node_search',1),('676',1,'ar','node_search',1),('676',1,'en','node_search',1),('68',29,'ar','node_search',1),('68',29,'en','node_search',1),('691',23,'ar','node_search',1),('691',23,'en','node_search',1),('7',9,'ar','node_search',1),('7',9,'en','node_search',1),('70',2,'ar','node_search',1),('70',2,'en','node_search',1),('700',23,'ar','node_search',1),('700',23,'en','node_search',1),('7212016',36,'ar','node_search',0.731649),('7212016',36,'en','node_search',0.729424),('75',28,'ar','node_search',1),('75',28,'en','node_search',1),('75yearold',19,'ar','node_search',1),('75yearold',19,'en','node_search',1),('8',28,'ar','node_search',1),('8',28,'en','node_search',1),('80000',33,'ar','node_search',1),('80000',33,'en','node_search',1),('81yearold',15,'ar','node_search',1),('81yearold',15,'en','node_search',1),('838',1,'ar','node_search',1),('838',1,'en','node_search',1),('885',23,'ar','node_search',1),('885',23,'en','node_search',1),('90',28,'ar','node_search',1),('90',28,'en','node_search',1),('900000',19,'ar','node_search',1),('900000',19,'en','node_search',1),('abbas',48,'en','node_search',2.81732),('abdo',48,'en','node_search',0.989021),('abico',48,'en','node_search',0.839384),('abigo',48,'en','node_search',2.74682),('aboard',3,'ar','node_search',1),('aboard',3,'en','node_search',1),('about',1,'ar','node_search',1),('about',1,'en','node_search',1),('about',4,'ar','node_search',1),('about',4,'en','node_search',1),('about',6,'ar','node_search',2),('about',6,'en','node_search',2),('about',12,'ar','node_search',1),('about',12,'en','node_search',1),('about',20,'ar','node_search',2),('about',20,'en','node_search',2),('about',32,'ar','node_search',1),('about',32,'en','node_search',1),('above',3,'ar','node_search',1),('above',3,'en','node_search',1),('abroad',19,'ar','node_search',1),('abroad',19,'en','node_search',1),('absolutely',11,'ar','node_search',27),('absolutely',11,'en','node_search',27),('abu',1,'ar','node_search',1),('abu',1,'en','node_search',1),('academic',9,'ar','node_search',1),('academic',9,'en','node_search',1),('accelerating',7,'ar','node_search',1),('accelerating',7,'en','node_search',1),('accepting',18,'ar','node_search',1),('accepting',18,'en','node_search',1),('accepting',23,'ar','node_search',1),('accepting',23,'en','node_search',1),('accessioned',24,'ar','node_search',1),('accessioned',24,'en','node_search',1),('according',1,'ar','node_search',1),('according',1,'en','node_search',1),('according',19,'ar','node_search',1),('according',19,'en','node_search',1),('accounts',24,'ar','node_search',1),('accounts',24,'en','node_search',1),('accumsan',1,'ar','node_search',0.906287),('accumsan',1,'en','node_search',0.906287),('accumsan',2,'ar','node_search',0.738408),('accumsan',2,'en','node_search',0.740689),('accumsan',3,'ar','node_search',0.703756),('accumsan',3,'en','node_search',0.703756),('accumsan',4,'ar','node_search',0.703756),('accumsan',4,'en','node_search',0.705825),('accumsan',5,'ar','node_search',0.808176),('accumsan',5,'en','node_search',0.808176),('accumsan',6,'ar','node_search',1.72721),('accumsan',6,'en','node_search',1.72721),('accumsan',7,'ar','node_search',2.80545),('accumsan',7,'en','node_search',2.80545),('accumsan',8,'ar','node_search',0.997306),('accumsan',8,'en','node_search',0.997306),('accumsan',9,'ar','node_search',1.64593),('accumsan',9,'en','node_search',1.64593),('accumsan',10,'ar','node_search',0.989021),('accumsan',10,'en','node_search',0.989021),('accumsan',11,'ar','node_search',0.72066),('accumsan',11,'en','node_search',0.72066),('accumsan',12,'ar','node_search',0.873132),('accumsan',12,'en','node_search',0.873132),('accumsan',13,'ar','node_search',1.72946),('accumsan',13,'en','node_search',1.72946),('accumsan',14,'ar','node_search',2.68588),('accumsan',14,'en','node_search',2.68588),('accumsan',16,'ar','node_search',1.87957),('accumsan',16,'en','node_search',1.87957),('accumsan',17,'ar','node_search',1.73321),('accumsan',17,'en','node_search',1.73321),('accumsan',18,'ar','node_search',1.8282),('accumsan',18,'en','node_search',1.8282),('accumsan',19,'ar','node_search',0.876337),('accumsan',19,'en','node_search',0.876337),('accumsan',20,'ar','node_search',0.889397),('accumsan',20,'en','node_search',0.889397),('accumsan',21,'ar','node_search',1.63476),('accumsan',21,'en','node_search',1.63476),('accumsan',22,'ar','node_search',1),('accumsan',22,'en','node_search',1),('accumsan',25,'ar','node_search',2.87103),('accumsan',25,'en','node_search',2.87103),('accumsan',26,'ar','node_search',1.82206),('accumsan',26,'en','node_search',1.82206),('accumsan',28,'ar','node_search',0.827757),('accumsan',28,'en','node_search',0.827757),('accumsan',29,'ar','node_search',0.674137),('accumsan',29,'en','node_search',0.674137),('accumsan',30,'ar','node_search',0.766757),('accumsan',30,'en','node_search',0.766757),('accumsan',31,'ar','node_search',1),('accumsan',31,'en','node_search',1),('accumsan',32,'ar','node_search',1),('accumsan',32,'en','node_search',1),('accumsan',33,'ar','node_search',0.892724),('accumsan',33,'en','node_search',0.892724),('accumsan',34,'ar','node_search',1.85439),('accumsan',34,'en','node_search',1.85439),('accumsan',35,'ar','node_search',0.830633),('accumsan',35,'en','node_search',0.830633),('accumsan',36,'ar','node_search',1.65221),('accumsan',36,'en','node_search',1.65221),('accumsan',38,'en','node_search',4.13244),('accumsan',48,'en','node_search',1.86995),('accusam',38,'en','node_search',0.896076),('acquired',19,'ar','node_search',1),('acquired',19,'en','node_search',1),('across',3,'ar','node_search',1),('across',3,'en','node_search',1),('acsi',48,'en','node_search',1),('act',16,'ar','node_search',32.8526),('act',16,'en','node_search',33.058),('act',20,'ar','node_search',1),('act',20,'en','node_search',1),('act',21,'ar','node_search',1),('act',21,'en','node_search',1),('actions',31,'ar','node_search',1),('actions',31,'en','node_search',1),('activities',4,'ar','node_search',1),('activities',4,'en','node_search',1),('added',13,'ar','node_search',1),('added',13,'en','node_search',1),('adding',10,'ar','node_search',1),('adding',10,'en','node_search',1),('additional',16,'ar','node_search',1),('additional',16,'en','node_search',1),('address',34,'ar','node_search',1),('address',34,'en','node_search',1),('adds',31,'ar','node_search',1),('adds',31,'en','node_search',1),('adept',30,'ar','node_search',1),('adept',30,'en','node_search',1),('adipiscing',1,'ar','node_search',2.54614),('adipiscing',1,'en','node_search',2.54614),('adipiscing',2,'ar','node_search',2.47554),('adipiscing',2,'en','node_search',2.48432),('adipiscing',3,'ar','node_search',1.43143),('adipiscing',3,'en','node_search',1.43143),('adipiscing',4,'ar','node_search',2.30708),('adipiscing',4,'en','node_search',2.3146),('adipiscing',5,'ar','node_search',1.52476),('adipiscing',5,'en','node_search',1.52476),('adipiscing',6,'ar','node_search',2.62626),('adipiscing',6,'en','node_search',2.62626),('adipiscing',7,'ar','node_search',2.58237),('adipiscing',7,'en','node_search',2.58237),('adipiscing',9,'ar','node_search',1.41047),('adipiscing',9,'en','node_search',1.41047),('adipiscing',11,'ar','node_search',0.668514),('adipiscing',11,'en','node_search',0.668514),('adipiscing',14,'ar','node_search',1),('adipiscing',14,'en','node_search',1),('adipiscing',15,'ar','node_search',0.896076),('adipiscing',15,'en','node_search',0.896076),('adipiscing',18,'ar','node_search',2),('adipiscing',18,'en','node_search',2),('adipiscing',19,'ar','node_search',0.781775),('adipiscing',19,'en','node_search',0.781775),('adipiscing',22,'ar','node_search',2.61798),('adipiscing',22,'en','node_search',2.61798),('adipiscing',23,'ar','node_search',0.866793),('adipiscing',23,'en','node_search',0.866793),('adipiscing',24,'ar','node_search',1.75946),('adipiscing',24,'en','node_search',1.75946),('adipiscing',26,'ar','node_search',2.6003),('adipiscing',26,'en','node_search',2.6003),('adipiscing',29,'ar','node_search',0.648686),('adipiscing',29,'en','node_search',0.648686),('adipiscing',30,'ar','node_search',1.58638),('adipiscing',30,'en','node_search',1.58638),('adipiscing',31,'ar','node_search',1.5205),('adipiscing',31,'en','node_search',1.5205),('adipiscing',33,'ar','node_search',1.8583),('adipiscing',33,'en','node_search',1.8583),('adipiscing',34,'ar','node_search',0.819249),('adipiscing',34,'en','node_search',0.819249),('adipiscing',35,'ar','node_search',1.72383),('adipiscing',35,'en','node_search',1.72383),('adipiscing',36,'ar','node_search',0.752312),('adipiscing',36,'en','node_search',0.752312),('adipiscing',38,'en','node_search',3.20228),('adipisici',38,'en','node_search',0.824901),('admin',1,'ar','node_search',1),('admin',1,'en','node_search',1),('admin',2,'ar','node_search',1),('admin',2,'en','node_search',1),('admin',3,'ar','node_search',1),('admin',3,'en','node_search',1),('admin',4,'ar','node_search',1),('admin',4,'en','node_search',1),('admin',5,'ar','node_search',1),('admin',5,'en','node_search',1),('admin',6,'ar','node_search',1),('admin',6,'en','node_search',1),('admin',7,'ar','node_search',1),('admin',7,'en','node_search',1),('admin',8,'ar','node_search',1),('admin',8,'en','node_search',1),('admin',9,'ar','node_search',1),('admin',9,'en','node_search',1),('admin',10,'ar','node_search',1),('admin',10,'en','node_search',1),('admin',11,'ar','node_search',1),('admin',11,'en','node_search',1),('admin',12,'ar','node_search',1),('admin',12,'en','node_search',1),('admin',13,'ar','node_search',1),('admin',13,'en','node_search',1),('admin',14,'ar','node_search',1),('admin',14,'en','node_search',1),('admin',15,'ar','node_search',1),('admin',15,'en','node_search',1),('admin',16,'ar','node_search',4.15334),('admin',16,'en','node_search',4.16879),('admin',17,'ar','node_search',1),('admin',17,'en','node_search',1),('admin',18,'ar','node_search',1),('admin',18,'en','node_search',1),('admin',19,'ar','node_search',1),('admin',19,'en','node_search',1),('admin',20,'ar','node_search',1),('admin',20,'en','node_search',1),('admin',21,'ar','node_search',1),('admin',21,'en','node_search',1),('admin',22,'ar','node_search',1),('admin',22,'en','node_search',1),('admin',23,'ar','node_search',1),('admin',23,'en','node_search',1),('admin',24,'ar','node_search',1),('admin',24,'en','node_search',1),('admin',25,'ar','node_search',1),('admin',25,'en','node_search',1),('admin',26,'ar','node_search',1),('admin',26,'en','node_search',1),('admin',27,'ar','node_search',1),('admin',27,'en','node_search',1),('admin',28,'ar','node_search',1),('admin',28,'en','node_search',1),('admin',29,'ar','node_search',1),('admin',29,'en','node_search',1),('admin',30,'ar','node_search',1),('admin',30,'en','node_search',1),('admin',31,'ar','node_search',1),('admin',31,'en','node_search',1),('admin',32,'ar','node_search',1),('admin',32,'en','node_search',1),('admin',33,'ar','node_search',1),('admin',33,'en','node_search',1),('admin',34,'ar','node_search',1),('admin',34,'en','node_search',1),('admin',35,'ar','node_search',1),('admin',35,'en','node_search',1),('admin',36,'ar','node_search',1.73165),('admin',36,'en','node_search',1.73165),('admin',38,'en','node_search',1),('admin',40,'en','node_search',1),('admin',41,'en','node_search',1),('admin',42,'en','node_search',1),('admin',43,'en','node_search',1),('admin',44,'en','node_search',1),('admin',45,'en','node_search',1),('admin',46,'en','node_search',1),('admin',47,'en','node_search',1),('admin',48,'en','node_search',0.833529),('admin',49,'en','node_search',1),('admission',28,'ar','node_search',1),('admission',28,'en','node_search',1),('admit',35,'ar','node_search',1),('admit',35,'en','node_search',1),('adopted',9,'ar','node_search',1),('adopted',9,'en','node_search',1),('advance',28,'ar','node_search',1),('advance',28,'en','node_search',1),('adventure',3,'ar','node_search',27),('adventure',3,'en','node_search',27),('adventurous',3,'ar','node_search',1),('adventurous',3,'en','node_search',1),('adviser',20,'ar','node_search',27),('adviser',20,'en','node_search',27),('advisers',20,'ar','node_search',1),('advisers',20,'en','node_search',1),('advisory',24,'ar','node_search',1),('advisory',24,'en','node_search',1),('advocacy',14,'ar','node_search',1),('advocacy',14,'en','node_search',1),('aenean',1,'ar','node_search',1.60603),('aenean',1,'en','node_search',1.60603),('aenean',2,'ar','node_search',0.699655),('aenean',2,'en','node_search',0.7017),('aenean',3,'ar','node_search',0.655756),('aenean',3,'en','node_search',0.655756),('aenean',5,'ar','node_search',1),('aenean',5,'en','node_search',1),('aenean',8,'ar','node_search',1.99315),('aenean',8,'en','node_search',1.99315),('aenean',10,'ar','node_search',0.851346),('aenean',10,'en','node_search',0.851346),('aenean',12,'ar','node_search',3.85952),('aenean',12,'en','node_search',3.85952),('aenean',13,'ar','node_search',0.949597),('aenean',13,'en','node_search',0.949597),('aenean',14,'ar','node_search',1.93838),('aenean',14,'en','node_search',1.93838),('aenean',15,'ar','node_search',1.81959),('aenean',15,'en','node_search',1.81959),('aenean',16,'ar','node_search',1.82776),('aenean',16,'en','node_search',1.82776),('aenean',17,'ar','node_search',1.71816),('aenean',17,'en','node_search',1.71816),('aenean',19,'ar','node_search',0.779231),('aenean',19,'en','node_search',0.779231),('aenean',20,'ar','node_search',0.808176),('aenean',20,'en','node_search',0.808176),('aenean',22,'ar','node_search',0.993146),('aenean',22,'en','node_search',0.993146),('aenean',24,'ar','node_search',1),('aenean',24,'en','node_search',1),('aenean',25,'ar','node_search',1),('aenean',25,'en','node_search',1),('aenean',26,'ar','node_search',0.968904),('aenean',26,'en','node_search',0.968904),('aenean',28,'ar','node_search',1.79381),('aenean',28,'en','node_search',1.79381),('aenean',29,'ar','node_search',1.96756),('aenean',29,'en','node_search',1.96756),('aenean',30,'ar','node_search',0.927431),('aenean',30,'en','node_search',0.927431),('aenean',31,'ar','node_search',0.822065),('aenean',31,'en','node_search',0.822065),('aenean',32,'ar','node_search',0.802752),('aenean',32,'en','node_search',0.802752),('aenean',33,'ar','node_search',1),('aenean',33,'en','node_search',1),('aenean',34,'ar','node_search',0.920273),('aenean',34,'en','node_search',0.920273),('aenean',35,'ar','node_search',1),('aenean',35,'en','node_search',1),('aenean',36,'ar','node_search',0.774192),('aenean',36,'en','node_search',0.774192),('aenean',38,'en','node_search',5.97761),('affects',29,'ar','node_search',1),('affects',29,'en','node_search',1),('after',22,'ar','node_search',1),('after',22,'en','node_search',1),('after',23,'ar','node_search',1),('after',23,'en','node_search',1),('after',24,'ar','node_search',1),('after',24,'en','node_search',1),('against',25,'ar','node_search',1),('against',25,'en','node_search',1),('aged',3,'ar','node_search',1.9347),('aged',3,'en','node_search',1.9347),('aged',10,'ar','node_search',1),('aged',10,'en','node_search',1),('agency',10,'ar','node_search',1),('agency',10,'en','node_search',1),('agency',19,'ar','node_search',1),('agency',19,'en','node_search',1),('ages',9,'ar','node_search',1),('ages',9,'en','node_search',1),('ago',9,'ar','node_search',1),('ago',9,'en','node_search',1),('agreed',24,'ar','node_search',1),('agreed',24,'en','node_search',1),('agreed',49,'en','node_search',1),('agricultural',21,'ar','node_search',1),('agricultural',21,'en','node_search',1),('air',35,'ar','node_search',1),('air',35,'en','node_search',1),('aisle',5,'ar','node_search',1),('aisle',5,'en','node_search',1),('aka',35,'ar','node_search',1),('aka',35,'en','node_search',1),('alberta',15,'ar','node_search',1),('alberta',15,'en','node_search',1),('alike',2,'ar','node_search',1),('alike',2,'en','node_search',1),('aliqua',38,'en','node_search',0.816452),('aliquam',1,'ar','node_search',3.01903),('aliquam',1,'en','node_search',3.01903),('aliquam',2,'ar','node_search',2.47957),('aliquam',2,'en','node_search',2.4883),('aliquam',3,'ar','node_search',0.645209),('aliquam',3,'en','node_search',0.645209),('aliquam',4,'ar','node_search',2.39532),('aliquam',4,'en','node_search',2.40344),('aliquam',5,'ar','node_search',3.44334),('aliquam',5,'en','node_search',3.44334),('aliquam',6,'ar','node_search',2.63093),('aliquam',6,'en','node_search',2.63093),('aliquam',7,'ar','node_search',1.61951),('aliquam',7,'en','node_search',1.61951),('aliquam',8,'ar','node_search',6.82864),('aliquam',8,'en','node_search',6.82864),('aliquam',9,'ar','node_search',1.4471),('aliquam',9,'en','node_search',1.4471),('aliquam',10,'ar','node_search',1.83645),('aliquam',10,'en','node_search',1.83645),('aliquam',11,'ar','node_search',2.0855),('aliquam',11,'en','node_search',2.0855),('aliquam',12,'ar','node_search',2.92384),('aliquam',12,'en','node_search',2.92384),('aliquam',13,'ar','node_search',1),('aliquam',13,'en','node_search',1),('aliquam',15,'ar','node_search',0.839384),('aliquam',15,'en','node_search',0.839384),('aliquam',16,'ar','node_search',0.822065),('aliquam',16,'en','node_search',0.822065),('aliquam',17,'ar','node_search',0.72066),('aliquam',17,'en','node_search',0.72066),('aliquam',18,'ar','node_search',2.76605),('aliquam',18,'en','node_search',2.76605),('aliquam',19,'ar','node_search',3.40643),('aliquam',19,'en','node_search',3.40643),('aliquam',20,'ar','node_search',0.792123),('aliquam',20,'en','node_search',0.792123),('aliquam',21,'ar','node_search',2.32526),('aliquam',21,'en','node_search',2.32526),('aliquam',22,'ar','node_search',2.69279),('aliquam',22,'en','node_search',2.69279),('aliquam',23,'ar','node_search',4.22886),('aliquam',23,'en','node_search',4.22886),('aliquam',24,'ar','node_search',5.77603),('aliquam',24,'en','node_search',5.77603),('aliquam',26,'ar','node_search',2.67538),('aliquam',26,'en','node_search',2.67538),('aliquam',27,'ar','node_search',1.56175),('aliquam',27,'en','node_search',1.56175),('aliquam',28,'ar','node_search',6.17181),('aliquam',28,'en','node_search',6.17181),('aliquam',29,'ar','node_search',3.02225),('aliquam',29,'en','node_search',3.02225),('aliquam',30,'ar','node_search',2.51993),('aliquam',30,'en','node_search',2.51993),('aliquam',31,'ar','node_search',6.05799),('aliquam',31,'en','node_search',6.05799),('aliquam',32,'ar','node_search',0.810915),('aliquam',32,'en','node_search',0.810915),('aliquam',33,'ar','node_search',2.81678),('aliquam',33,'en','node_search',2.81678),('aliquam',34,'ar','node_search',0.899454),('aliquam',34,'en','node_search',0.899454),('aliquam',35,'ar','node_search',2.68742),('aliquam',35,'en','node_search',2.68742),('aliquam',36,'ar','node_search',1.54443),('aliquam',36,'en','node_search',1.54443),('aliquam',38,'en','node_search',8.07514),('aliquet',1,'ar','node_search',4.44332),('aliquet',1,'en','node_search',4.44332),('aliquet',4,'ar','node_search',2.18243),('aliquet',4,'en','node_search',2.18909),('aliquet',6,'ar','node_search',0.896076),('aliquet',6,'en','node_search',0.896076),('aliquet',8,'ar','node_search',1.91674),('aliquet',8,'en','node_search',1.91674),('aliquet',10,'ar','node_search',2.44553),('aliquet',10,'en','node_search',2.44553),('aliquet',11,'ar','node_search',0.693594),('aliquet',11,'en','node_search',0.693594),('aliquet',13,'ar','node_search',1.77191),('aliquet',13,'en','node_search',1.77191),('aliquet',15,'ar','node_search',1.98493),('aliquet',15,'en','node_search',1.98493),('aliquet',16,'ar','node_search',2.73137),('aliquet',16,'en','node_search',2.73651),('aliquet',17,'ar','node_search',1.7933),('aliquet',17,'en','node_search',1.7933),('aliquet',19,'ar','node_search',0.771698),('aliquet',19,'en','node_search',0.771698),('aliquet',20,'ar','node_search',1),('aliquet',20,'en','node_search',1),('aliquet',23,'ar','node_search',0.797402),('aliquet',23,'en','node_search',0.797402),('aliquet',24,'ar','node_search',1.71984),('aliquet',24,'en','node_search',1.71984),('aliquet',27,'ar','node_search',1.86366),('aliquet',27,'en','node_search',1.86366),('aliquet',28,'ar','node_search',1.74855),('aliquet',28,'en','node_search',1.74855),('aliquet',29,'ar','node_search',0.635),('aliquet',29,'en','node_search',0.635),('aliquet',30,'ar','node_search',0.66666),('aliquet',30,'en','node_search',0.66666),('aliquet',31,'ar','node_search',1.49435),('aliquet',31,'en','node_search',1.49435),('aliquet',34,'ar','node_search',1.83063),('aliquet',34,'en','node_search',1.83063),('aliquet',36,'ar','node_search',0.822065),('aliquet',36,'en','node_search',0.822065),('aliquet',38,'en','node_search',0.76431),('aliquip',38,'en','node_search',2.46633),('aliquip',48,'en','node_search',1.84832),('aliquyam',38,'en','node_search',0.854391),('alive',36,'ar','node_search',1),('alive',36,'en','node_search',1),('all',4,'ar','node_search',1),('all',4,'en','node_search',1),('all',5,'ar','node_search',1),('all',5,'en','node_search',1),('all',7,'ar','node_search',2),('all',7,'en','node_search',2),('all',13,'ar','node_search',1),('all',13,'en','node_search',1),('all',21,'ar','node_search',2),('all',21,'en','node_search',2),('all',27,'ar','node_search',27),('all',27,'en','node_search',27),('allow',13,'ar','node_search',1),('allow',13,'en','node_search',1),('almost',2,'ar','node_search',1),('almost',2,'en','node_search',1),('alone',29,'ar','node_search',1),('alone',29,'en','node_search',1),('along',6,'ar','node_search',1),('along',6,'en','node_search',1),('although',24,'ar','node_search',1),('although',24,'en','node_search',1),('always',29,'ar','node_search',1),('always',29,'en','node_search',1),('amazing',6,'ar','node_search',1),('amazing',6,'en','node_search',1),('amazing',20,'ar','node_search',1),('amazing',20,'en','node_search',1),('amazing',36,'ar','node_search',27),('amazing',36,'en','node_search',27),('amazing',49,'en','node_search',19),('ambassador',23,'ar','node_search',1),('ambassador',23,'en','node_search',1),('amendment',16,'ar','node_search',60.8526),('amendment',16,'en','node_search',61.058),('americas',23,'ar','node_search',1),('americas',23,'en','node_search',1),('amet',1,'ar','node_search',4.42501),('amet',1,'en','node_search',4.42501),('amet',2,'ar','node_search',3.10686),('amet',2,'en','node_search',3.11705),('amet',3,'ar','node_search',2.11737),('amet',3,'en','node_search',2.11737),('amet',4,'ar','node_search',4.5512),('amet',4,'en','node_search',4.56576),('amet',5,'ar','node_search',0.745294),('amet',5,'en','node_search',0.745294),('amet',6,'ar','node_search',4.28618),('amet',6,'en','node_search',4.28618),('amet',7,'ar','node_search',1.62503),('amet',7,'en','node_search',1.62503),('amet',8,'ar','node_search',1.90629),('amet',8,'en','node_search',1.90629),('amet',9,'ar','node_search',1.45547),('amet',9,'en','node_search',1.45547),('amet',10,'ar','node_search',3.01689),('amet',10,'en','node_search',3.01689),('amet',11,'ar','node_search',2.52111),('amet',11,'en','node_search',2.52111),('amet',12,'ar','node_search',2.8941),('amet',12,'en','node_search',2.8941),('amet',13,'ar','node_search',4.79776),('amet',13,'en','node_search',4.79776),('amet',14,'ar','node_search',5.55166),('amet',14,'en','node_search',5.55166),('amet',15,'ar','node_search',1),('amet',15,'en','node_search',1),('amet',16,'ar','node_search',23.7908),('amet',16,'en','node_search',23.9287),('amet',17,'ar','node_search',2.52242),('amet',17,'en','node_search',2.52242),('amet',18,'ar','node_search',7.47555),('amet',18,'en','node_search',7.47555),('amet',19,'ar','node_search',2.48299),('amet',19,'en','node_search',2.48299),('amet',20,'ar','node_search',1.79179),('amet',20,'en','node_search',1.79179),('amet',21,'ar','node_search',3.16982),('amet',21,'en','node_search',3.16982),('amet',22,'ar','node_search',1.82776),('amet',22,'en','node_search',1.82776),('amet',23,'ar','node_search',1.61382),('amet',23,'en','node_search',1.61382),('amet',24,'ar','node_search',2.42148),('amet',24,'en','node_search',2.42148),('amet',25,'ar','node_search',4.2186),('amet',25,'en','node_search',4.2186),('amet',26,'ar','node_search',1.79212),('amet',26,'en','node_search',1.79212),('amet',27,'ar','node_search',0.78951),('amet',27,'en','node_search',0.78951),('amet',28,'ar','node_search',1.76431),('amet',28,'en','node_search',1.76431),('amet',29,'ar','node_search',1.31462),('amet',29,'en','node_search',1.31462),('amet',30,'ar','node_search',3.26044),('amet',30,'en','node_search',3.26044),('amet',31,'ar','node_search',3.35654),('amet',31,'en','node_search',3.35654),('amet',32,'ar','node_search',5.17104),('amet',32,'en','node_search',5.17104),('amet',33,'ar','node_search',3.77705),('amet',33,'en','node_search',3.77705),('amet',34,'ar','node_search',2.77823),('amet',34,'en','node_search',2.77823),('amet',35,'ar','node_search',3.55293),('amet',35,'en','node_search',3.55293),('amet',36,'ar','node_search',4.24532),('amet',36,'en','node_search',4.24532),('amet',38,'en','node_search',13.0371),('among',1,'ar','node_search',1),('among',1,'en','node_search',1),('among',4,'ar','node_search',1),('among',4,'en','node_search',1),('among',14,'ar','node_search',1),('among',14,'en','node_search',1),('among',19,'ar','node_search',2),('among',19,'en','node_search',2),('and',1,'ar','node_search',6),('and',1,'en','node_search',6),('and',2,'ar','node_search',8),('and',2,'en','node_search',8),('and',3,'ar','node_search',11.6717),('and',3,'en','node_search',11.6717),('and',4,'ar','node_search',7.97416),('and',4,'en','node_search',7.98087),('and',5,'ar','node_search',1),('and',5,'en','node_search',1),('and',6,'ar','node_search',4),('and',6,'en','node_search',4),('and',7,'ar','node_search',2),('and',7,'en','node_search',2),('and',9,'ar','node_search',2),('and',9,'en','node_search',2),('and',10,'ar','node_search',4),('and',10,'en','node_search',4),('and',11,'ar','node_search',1),('and',11,'en','node_search',1),('and',12,'ar','node_search',4),('and',12,'en','node_search',4),('and',13,'ar','node_search',2),('and',13,'en','node_search',2),('and',14,'ar','node_search',3),('and',14,'en','node_search',3),('and',15,'ar','node_search',1),('and',15,'en','node_search',1),('and',16,'ar','node_search',4.79475),('and',16,'en','node_search',4.80007),('and',17,'ar','node_search',3),('and',17,'en','node_search',3),('and',18,'ar','node_search',3),('and',18,'en','node_search',3),('and',19,'ar','node_search',3),('and',19,'en','node_search',3),('and',20,'ar','node_search',34),('and',20,'en','node_search',34),('and',21,'ar','node_search',5),('and',21,'en','node_search',5),('and',22,'ar','node_search',2),('and',22,'en','node_search',2),('and',23,'ar','node_search',4),('and',23,'en','node_search',4),('and',24,'ar','node_search',1),('and',24,'en','node_search',1),('and',26,'ar','node_search',1),('and',26,'en','node_search',1),('and',27,'ar','node_search',1),('and',27,'en','node_search',1),('and',28,'ar','node_search',3),('and',28,'en','node_search',3),('and',29,'ar','node_search',5.9658),('and',29,'en','node_search',5.9658),('and',30,'ar','node_search',3),('and',30,'en','node_search',3),('and',32,'ar','node_search',2),('and',32,'en','node_search',2),('and',33,'ar','node_search',1),('and',33,'en','node_search',1),('and',34,'ar','node_search',28),('and',34,'en','node_search',28),('and',35,'ar','node_search',2),('and',35,'en','node_search',2),('and',36,'ar','node_search',2),('and',36,'en','node_search',2),('and',49,'en','node_search',20.9311),('andre',25,'ar','node_search',1),('andre',25,'en','node_search',1),('andre',49,'en','node_search',1),('angele',26,'ar','node_search',1),('angele',26,'en','node_search',1),('angeles',26,'ar','node_search',1),('angeles',26,'en','node_search',1),('anim',38,'en','node_search',2.76597),('animal',21,'ar','node_search',1),('animal',21,'en','node_search',1),('animal',23,'ar','node_search',1),('animal',23,'en','node_search',1),('animals',21,'ar','node_search',1),('animals',21,'en','node_search',1),('annual',13,'ar','node_search',1),('annual',13,'en','node_search',1),('anonymously',27,'ar','node_search',1),('anonymously',27,'en','node_search',1),('another',21,'ar','node_search',1),('another',21,'en','node_search',1),('answers',18,'ar','node_search',1),('answers',18,'en','node_search',1),('ante',1,'ar','node_search',1.48649),('ante',1,'en','node_search',1.48649),('ante',2,'ar','node_search',0.786915),('ante',2,'en','node_search',0.78951),('ante',3,'ar','node_search',0.771698),('ante',3,'en','node_search',0.771698),('ante',4,'ar','node_search',0.695602),('ante',4,'en','node_search',0.697623),('ante',5,'ar','node_search',1.53073),('ante',5,'en','node_search',1.53073),('ante',6,'ar','node_search',1.7437),('ante',6,'en','node_search',1.7437),('ante',7,'ar','node_search',0.989021),('ante',7,'en','node_search',0.989021),('ante',8,'ar','node_search',3.83313),('ante',8,'en','node_search',3.83313),('ante',9,'ar','node_search',0.909743),('ante',9,'en','node_search',0.909743),('ante',10,'ar','node_search',2),('ante',10,'en','node_search',2),('ante',11,'ar','node_search',2.94872),('ante',11,'en','node_search',2.94872),('ante',12,'ar','node_search',2.86282),('ante',12,'en','node_search',2.86282),('ante',13,'ar','node_search',4.11357),('ante',13,'en','node_search',4.11357),('ante',14,'ar','node_search',0.848323),('ante',14,'en','node_search',0.848323),('ante',15,'ar','node_search',3.7709),('ante',15,'en','node_search',3.7709),('ante',16,'ar','node_search',6.25291),('ante',16,'en','node_search',6.25805),('ante',17,'ar','node_search',4.73003),('ante',17,'en','node_search',4.73003),('ante',18,'ar','node_search',1.97286),('ante',18,'en','node_search',1.97286),('ante',19,'ar','node_search',4.00329),('ante',19,'en','node_search',4.00329),('ante',20,'ar','node_search',5.68703),('ante',20,'en','node_search',5.68703),('ante',21,'ar','node_search',2.12853),('ante',21,'en','node_search',2.12853),('ante',22,'ar','node_search',2.90629),('ante',22,'en','node_search',2.90629),('ante',24,'ar','node_search',1.69408),('ante',24,'en','node_search',1.69408),('ante',25,'ar','node_search',0.886095),('ante',25,'en','node_search',0.886095),('ante',26,'ar','node_search',0.833529),('ante',26,'en','node_search',0.833529),('ante',27,'ar','node_search',1.90705),('ante',27,'en','node_search',1.90705),('ante',28,'ar','node_search',3.2493),('ante',28,'en','node_search',3.2493),('ante',29,'ar','node_search',2.98131),('ante',29,'en','node_search',2.98131),('ante',30,'ar','node_search',2.22502),('ante',30,'en','node_search',2.22502),('ante',31,'ar','node_search',4.26723),('ante',31,'en','node_search',4.26723),('ante',32,'ar','node_search',1.78434),('ante',32,'en','node_search',1.78434),('ante',33,'ar','node_search',1.80275),('ante',33,'en','node_search',1.80275),('ante',34,'ar','node_search',6.76707),('ante',34,'en','node_search',6.76707),('ante',35,'ar','node_search',1.6944),('ante',35,'en','node_search',1.6944),('ante',36,'ar','node_search',1.60422),('ante',36,'en','node_search',1.60422),('ante',38,'en','node_search',7.04813),('antehabeo',48,'en','node_search',1.85135),('antioxidant',35,'ar','node_search',1),('antioxidant',35,'en','node_search',1),('any',2,'ar','node_search',3),('any',2,'en','node_search',3),('any',21,'ar','node_search',1),('any',21,'en','node_search',1),('any',25,'ar','node_search',1),('any',25,'en','node_search',1),('anyway',30,'ar','node_search',1),('anyway',30,'en','node_search',1),('app',27,'ar','node_search',1),('app',27,'en','node_search',1),('appearance',21,'ar','node_search',1),('appearance',21,'en','node_search',1),('appears',3,'ar','node_search',1),('appears',3,'en','node_search',1),('applicants',11,'ar','node_search',1),('applicants',11,'en','node_search',1),('apply',36,'ar','node_search',1),('apply',36,'en','node_search',1),('appoint',30,'ar','node_search',1),('appoint',30,'en','node_search',1),('appointment',30,'ar','node_search',1),('appointment',30,'en','node_search',1),('appreciated',1,'ar','node_search',1),('appreciated',1,'en','node_search',1),('approaches',9,'ar','node_search',1),('approaches',9,'en','node_search',1),('approaches',14,'ar','node_search',1),('approaches',14,'en','node_search',1),('aptent',8,'ar','node_search',0.896076),('aptent',8,'en','node_search',0.896076),('aptent',23,'ar','node_search',0.949597),('aptent',23,'en','node_search',0.949597),('aptent',24,'ar','node_search',0.800068),('aptent',24,'en','node_search',0.800068),('aptent',26,'ar','node_search',1),('aptent',26,'en','node_search',1),('aptent',27,'ar','node_search',0.776703),('aptent',27,'en','node_search',0.776703),('aptent',28,'ar','node_search',0.757065),('aptent',28,'en','node_search',0.757065),('aptent',31,'ar','node_search',0.725015),('aptent',31,'en','node_search',0.725015),('aptent',36,'ar','node_search',1.63957),('aptent',36,'en','node_search',1.6374),('aptent',48,'en','node_search',0.876337),('arabia',25,'ar','node_search',1),('arabia',25,'en','node_search',1),('archaeology',23,'ar','node_search',1),('archaeology',23,'en','node_search',1),('architecture',12,'ar','node_search',1),('architecture',12,'en','node_search',1),('archives',23,'ar','node_search',1),('archives',23,'en','node_search',1),('arcu',1,'ar','node_search',0.729424),('arcu',1,'en','node_search',0.729424),('arcu',2,'ar','node_search',0.957226),('arcu',2,'en','node_search',0.961087),('arcu',4,'ar','node_search',2.22384),('arcu',4,'en','node_search',2.23076),('arcu',5,'ar','node_search',2.6596),('arcu',5,'en','node_search',2.6596),('arcu',6,'ar','node_search',1.78303),('arcu',6,'en','node_search',1.78303),('arcu',7,'ar','node_search',1.87634),('arcu',7,'en','node_search',1.87634),('arcu',8,'ar','node_search',0.980874),('arcu',8,'en','node_search',0.980874),('arcu',9,'ar','node_search',0.800068),('arcu',9,'en','node_search',0.800068),('arcu',10,'ar','node_search',1),('arcu',10,'en','node_search',1),('arcu',12,'ar','node_search',1),('arcu',12,'en','node_search',1),('arcu',13,'ar','node_search',1.78403),('arcu',13,'en','node_search',1.78403),('arcu',14,'ar','node_search',1.83063),('arcu',14,'en','node_search',1.83063),('arcu',16,'ar','node_search',1.94583),('arcu',16,'en','node_search',1.94583),('arcu',17,'ar','node_search',1.81098),('arcu',17,'en','node_search',1.81098),('arcu',19,'ar','node_search',4.88933),('arcu',19,'en','node_search',4.88933),('arcu',20,'ar','node_search',1),('arcu',20,'en','node_search',1),('arcu',21,'ar','node_search',1.48208),('arcu',21,'en','node_search',1.48208),('arcu',22,'ar','node_search',2.662),('arcu',22,'en','node_search',2.662),('arcu',23,'ar','node_search',0.784336),('arcu',23,'en','node_search',0.784336),('arcu',24,'ar','node_search',4.49712),('arcu',24,'en','node_search',4.49712),('arcu',25,'ar','node_search',1.62372),('arcu',25,'en','node_search',1.62372),('arcu',26,'ar','node_search',3.82186),('arcu',26,'en','node_search',3.82186),('arcu',27,'ar','node_search',1.53687),('arcu',27,'en','node_search',1.53687),('arcu',28,'ar','node_search',0.816452),('arcu',28,'en','node_search',0.816452),('arcu',29,'ar','node_search',1.54096),('arcu',29,'en','node_search',1.54096),('arcu',31,'ar','node_search',4.83424),('arcu',31,'en','node_search',4.83424),('arcu',32,'ar','node_search',1.8262),('arcu',32,'en','node_search',1.8262),('arcu',34,'ar','node_search',1.86055),('arcu',34,'en','node_search',1.86055),('arcu',36,'ar','node_search',1),('arcu',36,'en','node_search',1),('arcu',38,'en','node_search',4.5957),('are',1,'ar','node_search',1),('are',1,'en','node_search',1),('are',2,'ar','node_search',1),('are',2,'en','node_search',1),('are',4,'ar','node_search',1),('are',4,'en','node_search',1),('are',9,'ar','node_search',1),('are',9,'en','node_search',1),('are',12,'ar','node_search',1),('are',12,'en','node_search',1),('are',13,'ar','node_search',2),('are',13,'en','node_search',2),('are',17,'ar','node_search',2),('are',17,'en','node_search',2),('are',22,'ar','node_search',2),('are',22,'en','node_search',2),('are',29,'ar','node_search',3),('are',29,'en','node_search',3),('are',35,'ar','node_search',1),('are',35,'en','node_search',1),('are',36,'ar','node_search',2),('are',36,'en','node_search',2),('are',49,'en','node_search',0.836446),('area',21,'ar','node_search',1),('area',21,'en','node_search',1),('areas',22,'ar','node_search',1),('areas',22,'en','node_search',1),('aren',6,'ar','node_search',1),('aren',6,'en','node_search',1),('aren',29,'ar','node_search',0.949597),('aren',29,'en','node_search',0.949597),('around',1,'ar','node_search',1),('around',1,'en','node_search',1),('around',2,'ar','node_search',1),('around',2,'en','node_search',1),('around',4,'ar','node_search',2),('around',4,'en','node_search',2),('around',28,'ar','node_search',1),('around',28,'en','node_search',1),('around',35,'ar','node_search',1),('around',35,'en','node_search',1),('arrival',23,'ar','node_search',1),('arrival',23,'en','node_search',1),('art',19,'ar','node_search',29),('art',19,'en','node_search',29),('art',24,'ar','node_search',1),('art',24,'en','node_search',1),('art',31,'ar','node_search',29),('art',31,'en','node_search',29),('art',49,'en','node_search',19),('artefacts',23,'ar','node_search',29),('artefacts',23,'en','node_search',29),('artery',15,'ar','node_search',1),('artery',15,'en','node_search',1),('arthur',24,'ar','node_search',1),('arthur',24,'en','node_search',1),('article',20,'ar','node_search',1),('article',20,'en','node_search',1),('artist',36,'ar','node_search',1),('artist',36,'en','node_search',1),('artists',19,'ar','node_search',2),('artists',19,'en','node_search',2),('arts',23,'ar','node_search',1),('arts',23,'en','node_search',1),('asked',9,'ar','node_search',1),('asked',9,'en','node_search',1),('asked',18,'ar','node_search',1),('asked',18,'en','node_search',1),('asks',30,'ar','node_search',1),('asks',30,'en','node_search',1),('asos',10,'ar','node_search',1),('asos',10,'en','node_search',1),('assent',16,'ar','node_search',1),('assent',16,'en','node_search',1),('assists',16,'ar','node_search',1),('assists',16,'en','node_search',1),('assists',25,'ar','node_search',1),('assists',25,'en','node_search',1),('associated',19,'ar','node_search',1),('associated',19,'en','node_search',1),('association',14,'ar','node_search',1),('association',14,'en','node_search',1),('association',18,'ar','node_search',1),('association',18,'en','node_search',1),('assuaging',10,'ar','node_search',1),('assuaging',10,'en','node_search',1),('attached',3,'ar','node_search',1),('attached',3,'en','node_search',1),('attack',15,'ar','node_search',28),('attack',15,'en','node_search',28),('attention',3,'ar','node_search',0.882818),('attention',3,'en','node_search',0.882818),('attributed',24,'ar','node_search',1),('attributed',24,'en','node_search',1),('auctions',19,'ar','node_search',1),('auctions',19,'en','node_search',1),('auctor',1,'ar','node_search',1.67146),('auctor',1,'en','node_search',1.67146),('auctor',2,'ar','node_search',0.683725),('auctor',2,'en','node_search',0.685676),('auctor',3,'ar','node_search',0.63333),('auctor',3,'en','node_search',0.63333),('auctor',7,'ar','node_search',0.927431),('auctor',7,'en','node_search',0.927431),('auctor',8,'ar','node_search',0.98493),('auctor',8,'en','node_search',0.98493),('auctor',9,'ar','node_search',0.851346),('auctor',9,'en','node_search',0.851346),('auctor',10,'ar','node_search',1),('auctor',10,'en','node_search',1),('auctor',11,'ar','node_search',0.66666),('auctor',11,'en','node_search',0.66666),('auctor',12,'ar','node_search',2.66739),('auctor',12,'en','node_search',2.66739),('auctor',13,'ar','node_search',2.65841),('auctor',13,'en','node_search',2.65841),('auctor',15,'ar','node_search',1.79211),('auctor',15,'en','node_search',1.79211),('auctor',16,'ar','node_search',2.70732),('auctor',16,'en','node_search',2.70732),('auctor',17,'ar','node_search',2.35612),('auctor',17,'en','node_search',2.35612),('auctor',18,'ar','node_search',1.80595),('auctor',18,'en','node_search',1.80595),('auctor',19,'ar','node_search',1.57771),('auctor',19,'en','node_search',1.57771),('auctor',20,'ar','node_search',1.68885),('auctor',20,'en','node_search',1.68885),('auctor',21,'ar','node_search',1.7017),('auctor',21,'en','node_search',1.7017),('auctor',22,'ar','node_search',1.9689),('auctor',22,'en','node_search',1.9689),('auctor',24,'ar','node_search',0.892724),('auctor',24,'en','node_search',0.892724),('auctor',27,'ar','node_search',0.896076),('auctor',27,'en','node_search',0.896076),('auctor',28,'ar','node_search',0.819249),('auctor',28,'en','node_search',0.819249),('auctor',30,'ar','node_search',1.493),('auctor',30,'en','node_search',1.493),('auctor',31,'ar','node_search',1.6765),('auctor',31,'en','node_search',1.6765),('auctor',33,'ar','node_search',1.7321),('auctor',33,'en','node_search',1.7321),('auctor',34,'ar','node_search',2.76762),('auctor',34,'en','node_search',2.76762),('auctor',35,'ar','node_search',1.61441),('auctor',35,'en','node_search',1.61441),('auctor',36,'ar','node_search',2.39095),('auctor',36,'en','node_search',2.38878),('auctor',38,'en','node_search',4.70376),('audience',10,'ar','node_search',1),('audience',10,'en','node_search',1),('audrey',5,'ar','node_search',1),('audrey',5,'en','node_search',1),('augue',1,'ar','node_search',3.46168),('augue',1,'en','node_search',3.46168),('augue',2,'ar','node_search',1.36749),('augue',2,'en','node_search',1.3714),('augue',3,'ar','node_search',1.26505),('augue',3,'en','node_search',1.26505),('augue',5,'ar','node_search',2.59801),('augue',5,'en','node_search',2.59801),('augue',7,'ar','node_search',1.77889),('augue',7,'en','node_search',1.77889),('augue',8,'ar','node_search',2.95813),('augue',8,'en','node_search',2.95813),('augue',9,'ar','node_search',1.62191),('augue',9,'en','node_search',1.62191),('augue',10,'ar','node_search',1.68101),('augue',10,'en','node_search',1.68101),('augue',11,'ar','node_search',2.51989),('augue',11,'en','node_search',2.51989),('augue',12,'ar','node_search',1.82206),('augue',12,'en','node_search',1.82206),('augue',13,'ar','node_search',2.36343),('augue',13,'en','node_search',2.36343),('augue',14,'ar','node_search',2.62112),('augue',14,'en','node_search',2.62112),('augue',15,'ar','node_search',5.57569),('augue',15,'en','node_search',5.57569),('augue',16,'ar','node_search',2.59423),('augue',16,'en','node_search',2.59423),('augue',17,'ar','node_search',2.25938),('augue',17,'en','node_search',2.25938),('augue',20,'ar','node_search',2.60365),('augue',20,'en','node_search',2.60365),('augue',25,'ar','node_search',2.75306),('augue',25,'en','node_search',2.75306),('augue',26,'ar','node_search',3.56226),('augue',26,'en','node_search',3.56226),('augue',27,'ar','node_search',2.43038),('augue',27,'en','node_search',2.43038),('augue',28,'ar','node_search',2.59534),('augue',28,'en','node_search',2.59534),('augue',29,'ar','node_search',1.45987),('augue',29,'en','node_search',1.45987),('augue',30,'ar','node_search',0.886095),('augue',30,'en','node_search',0.886095),('augue',32,'ar','node_search',2.79475),('augue',32,'en','node_search',2.79475),('augue',33,'ar','node_search',1),('augue',33,'en','node_search',1),('augue',34,'ar','node_search',2.98629),('augue',34,'en','node_search',2.98629),('augue',35,'ar','node_search',0.972861),('augue',35,'en','node_search',0.972861),('augue',36,'ar','node_search',1.5728),('augue',36,'en','node_search',1.5728),('augue',38,'en','node_search',4.56335),('augue',48,'en','node_search',3.48584),('august',31,'ar','node_search',1),('august',31,'en','node_search',1),('australia',22,'ar','node_search',1),('australia',22,'en','node_search',1),('australians',22,'ar','node_search',1),('australians',22,'en','node_search',1),('autem',48,'en','node_search',1.85439),('authorities',19,'ar','node_search',2),('authorities',19,'en','node_search',2),('authority',21,'ar','node_search',2),('authority',21,'en','node_search',2),('autox',40,'en','node_search',27),('awake',36,'ar','node_search',1),('awake',36,'en','node_search',1),('award',14,'ar','node_search',29),('award',14,'en','node_search',29),('award',26,'ar','node_search',1),('award',26,'en','node_search',1),('award',49,'en','node_search',0.945829),('back',11,'ar','node_search',27),('back',11,'en','node_search',27),('back',33,'ar','node_search',1),('back',33,'en','node_search',1),('backgrounds',11,'ar','node_search',0.989021),('backgrounds',11,'en','node_search',0.989021),('bad',20,'ar','node_search',1),('bad',20,'en','node_search',1),('bag',32,'ar','node_search',1),('bag',32,'en','node_search',1),('bagged',11,'ar','node_search',1),('bagged',11,'en','node_search',1),('bali',22,'ar','node_search',29),('bali',22,'en','node_search',29),('bananacrazy',22,'ar','node_search',1),('bananacrazy',22,'en','node_search',1),('bang',20,'ar','node_search',1),('bang',20,'en','node_search',1),('banish',32,'ar','node_search',27),('banish',32,'en','node_search',27),('banish',49,'en','node_search',19),('bars',22,'ar','node_search',1),('bars',22,'en','node_search',1),('base',7,'ar','node_search',2),('base',7,'en','node_search',2),('baton',9,'ar','node_search',1),('baton',9,'en','node_search',1),('bay',3,'ar','node_search',54),('bay',3,'en','node_search',54),('bay',4,'ar','node_search',1),('bay',4,'en','node_search',1),('bays',4,'ar','node_search',0.989021),('bays',4,'en','node_search',0.993146),('beach',2,'ar','node_search',3),('beach',2,'en','node_search',3),('beach',4,'ar','node_search',1.9496),('beach',4,'en','node_search',1.9534),('beach',22,'ar','node_search',1),('beach',22,'en','node_search',1),('beaches',2,'ar','node_search',32),('beaches',2,'en','node_search',32),('beaches',4,'ar','node_search',32),('beaches',4,'en','node_search',32),('beatriz',19,'ar','node_search',1),('beatriz',19,'en','node_search',1),('beautiful',11,'ar','node_search',1),('beautiful',11,'en','node_search',1),('beautifully',27,'ar','node_search',1),('beautifully',27,'en','node_search',1),('beauty',10,'ar','node_search',1),('beauty',10,'en','node_search',1),('beauty',36,'ar','node_search',1),('beauty',36,'en','node_search',1),('became',25,'ar','node_search',1),('became',25,'en','node_search',1),('became',49,'en','node_search',1),('because',4,'ar','node_search',1),('because',4,'en','node_search',1),('because',9,'ar','node_search',1),('because',9,'en','node_search',1),('become',4,'ar','node_search',1),('become',4,'en','node_search',1),('become',20,'ar','node_search',27),('become',20,'en','node_search',27),('become',33,'ar','node_search',1),('become',33,'en','node_search',1),('been',13,'ar','node_search',1),('been',13,'en','node_search',1),('been',18,'ar','node_search',1),('been',18,'en','node_search',1),('been',19,'ar','node_search',1),('been',19,'en','node_search',1),('been',21,'ar','node_search',2),('been',21,'en','node_search',2),('been',22,'ar','node_search',1),('been',22,'en','node_search',1),('been',23,'ar','node_search',1),('been',23,'en','node_search',1),('been',25,'ar','node_search',1),('been',25,'en','node_search',1),('been',29,'ar','node_search',2),('been',29,'en','node_search',2),('been',31,'ar','node_search',1),('been',31,'en','node_search',1),('been',34,'ar','node_search',1),('been',34,'en','node_search',1),('before',9,'ar','node_search',0.997306),('before',9,'en','node_search',0.997306),('before',30,'ar','node_search',1),('before',30,'en','node_search',1),('before',31,'ar','node_search',1),('before',31,'en','node_search',1),('began',3,'ar','node_search',1),('began',3,'en','node_search',1),('behind',6,'ar','node_search',1),('behind',6,'en','node_search',1),('behind',30,'ar','node_search',1),('behind',30,'en','node_search',1),('being',4,'ar','node_search',1),('being',4,'en','node_search',1),('being',9,'ar','node_search',2),('being',9,'en','node_search',2),('being',28,'ar','node_search',1),('being',28,'en','node_search',1),('being',29,'ar','node_search',2),('being',29,'en','node_search',2),('being',32,'ar','node_search',1),('being',32,'en','node_search',1),('belgium',8,'ar','node_search',27),('belgium',8,'en','node_search',27),('believe',10,'ar','node_search',1),('believe',10,'en','node_search',1),('believed',19,'ar','node_search',1),('believed',19,'en','node_search',1),('bell',12,'ar','node_search',1),('bell',12,'en','node_search',1),('belongings',19,'ar','node_search',1),('belongings',19,'en','node_search',1),('below',27,'ar','node_search',1),('below',27,'en','node_search',1),('below',33,'ar','node_search',1),('below',33,'en','node_search',1),('bendir',24,'ar','node_search',1),('bendir',24,'en','node_search',1),('bene',48,'en','node_search',0.909743),('benefits',35,'ar','node_search',1),('benefits',35,'en','node_search',1),('bestdressed',26,'ar','node_search',1),('bestdressed',26,'en','node_search',1),('bestdressed',49,'en','node_search',0.822065),('bet',26,'ar','node_search',1),('bet',26,'en','node_search',1),('between',2,'ar','node_search',1),('between',2,'en','node_search',1),('between',10,'ar','node_search',1),('between',10,'en','node_search',1),('between',20,'ar','node_search',1),('between',20,'en','node_search',1),('between',29,'ar','node_search',1),('between',29,'en','node_search',1),('beyond',30,'ar','node_search',1),('beyond',30,'en','node_search',1),('bibendum',2,'ar','node_search',3.30615),('bibendum',2,'en','node_search',3.31776),('bibendum',3,'ar','node_search',1.46496),('bibendum',3,'en','node_search',1.46496),('bibendum',4,'ar','node_search',2.29695),('bibendum',4,'en','node_search',2.30434),('bibendum',5,'ar','node_search',2.31451),('bibendum',5,'en','node_search',2.31451),('bibendum',6,'ar','node_search',2.40162),('bibendum',6,'en','node_search',2.40162),('bibendum',7,'ar','node_search',1),('bibendum',7,'en','node_search',1),('bibendum',8,'ar','node_search',1.78438),('bibendum',8,'en','node_search',1.78438),('bibendum',11,'ar','node_search',1.62761),('bibendum',11,'en','node_search',1.62761),('bibendum',12,'ar','node_search',1),('bibendum',12,'en','node_search',1),('bibendum',14,'ar','node_search',0.839384),('bibendum',14,'en','node_search',0.839384),('bibendum',15,'ar','node_search',1.85135),('bibendum',15,'en','node_search',1.85135),('bibendum',18,'ar','node_search',0.942091),('bibendum',18,'en','node_search',0.942091),('bibendum',19,'ar','node_search',0.816452),('bibendum',19,'en','node_search',0.816452),('bibendum',21,'ar','node_search',0.697623),('bibendum',21,'en','node_search',0.697623),('bibendum',22,'ar','node_search',0.869951),('bibendum',22,'en','node_search',0.869951),('bibendum',23,'ar','node_search',0.771698),('bibendum',23,'en','node_search',0.771698),('bibendum',24,'ar','node_search',0.731649),('bibendum',24,'en','node_search',0.731649),('bibendum',25,'ar','node_search',0.854391),('bibendum',25,'en','node_search',0.854391),('bibendum',26,'ar','node_search',3.6336),('bibendum',26,'en','node_search',3.6336),('bibendum',28,'ar','node_search',1.50835),('bibendum',28,'en','node_search',1.50835),('bibendum',29,'ar','node_search',2.86847),('bibendum',29,'en','node_search',2.86847),('bibendum',30,'ar','node_search',2.19396),('bibendum',30,'en','node_search',2.19396),('bibendum',31,'ar','node_search',0.882818),('bibendum',31,'en','node_search',0.882818),('bibendum',32,'ar','node_search',1),('bibendum',32,'en','node_search',1),('bibendum',33,'ar','node_search',2.53689),('bibendum',33,'en','node_search',2.53689),('bibendum',35,'ar','node_search',2.36837),('bibendum',35,'en','node_search',2.36837),('bibendum',36,'ar','node_search',0.745294),('bibendum',36,'en','node_search',0.745294),('bibendum',38,'en','node_search',2.42687),('biccherna',24,'ar','node_search',1),('biccherna',24,'en','node_search',1),('bicycle',6,'ar','node_search',1),('bicycle',6,'en','node_search',1),('biennale',31,'ar','node_search',1),('biennale',31,'en','node_search',1),('biennial',31,'ar','node_search',28),('biennial',31,'en','node_search',28),('biennial',49,'en','node_search',19),('big',20,'ar','node_search',2),('big',20,'en','node_search',2),('big',30,'ar','node_search',1),('big',30,'en','node_search',1),('biggest',5,'ar','node_search',1),('biggest',5,'en','node_search',1),('bike',5,'ar','node_search',27),('bike',5,'en','node_search',27),('bike',7,'ar','node_search',33),('bike',7,'en','node_search',33),('bikes',7,'ar','node_search',1),('bikes',7,'en','node_search',1),('bill',16,'ar','node_search',29.7948),('bill',16,'en','node_search',29.8001),('bill',21,'ar','node_search',3),('bill',21,'en','node_search',3),('binding',24,'ar','node_search',1),('binding',24,'en','node_search',1),('binding',49,'en','node_search',1),('biosecurity',21,'ar','node_search',28),('biosecurity',21,'en','node_search',28),('bizarre',22,'ar','node_search',1),('bizarre',22,'en','node_search',1),('black',4,'ar','node_search',1),('black',4,'en','node_search',1),('blahnik',5,'ar','node_search',1),('blahnik',5,'en','node_search',1),('blandit',1,'ar','node_search',2.22918),('blandit',1,'en','node_search',2.22918),('blandit',2,'ar','node_search',0.695602),('blandit',2,'en','node_search',0.697623),('blandit',3,'ar','node_search',0.648686),('blandit',3,'en','node_search',0.648686),('blandit',4,'ar','node_search',0.873132),('blandit',4,'en','node_search',0.876337),('blandit',7,'ar','node_search',1),('blandit',7,'en','node_search',1),('blandit',10,'ar','node_search',0.902857),('blandit',10,'en','node_search',0.902857),('blandit',11,'ar','node_search',0.953396),('blandit',11,'en','node_search',0.953396),('blandit',12,'ar','node_search',0.842342),('blandit',12,'en','node_search',0.842342),('blandit',14,'ar','node_search',3.85532),('blandit',14,'en','node_search',3.85532),('blandit',19,'ar','node_search',1.70567),('blandit',19,'en','node_search',1.70567),('blandit',21,'ar','node_search',0.752312),('blandit',21,'en','node_search',0.752312),('blandit',23,'ar','node_search',0.725015),('blandit',23,'en','node_search',0.725015),('blandit',24,'ar','node_search',1.54817),('blandit',24,'en','node_search',1.54817),('blandit',25,'ar','node_search',2),('blandit',25,'en','node_search',2),('blandit',27,'ar','node_search',1.68485),('blandit',27,'en','node_search',1.68485),('blandit',29,'ar','node_search',0.727213),('blandit',29,'en','node_search',0.727213),('blandit',30,'ar','node_search',0.714225),('blandit',30,'en','node_search',0.714225),('blandit',31,'ar','node_search',0.742984),('blandit',31,'en','node_search',0.742984),('blandit',33,'ar','node_search',0.822065),('blandit',33,'en','node_search',0.822065),('blandit',35,'ar','node_search',0.769219),('blandit',35,'en','node_search',0.769219),('blandit',36,'ar','node_search',0.824901),('blandit',36,'en','node_search',0.824901),('blandit',38,'en','node_search',2.43831),('blandit',48,'en','node_search',0.869951),('blissfilled',4,'ar','node_search',1),('blissfilled',4,'en','node_search',1),('block',10,'ar','node_search',27),('block',10,'en','node_search',27),('blockbusters',20,'ar','node_search',1),('blockbusters',20,'en','node_search',1),('blocked',15,'ar','node_search',1),('blocked',15,'en','node_search',1),('blog',18,'ar','node_search',1),('blog',18,'en','node_search',1),('blog',49,'en','node_search',19),('blood',29,'ar','node_search',2.93862),('blood',29,'en','node_search',2.93862),('blue',3,'ar','node_search',1.95793),('blue',3,'en','node_search',1.95793),('blue',5,'ar','node_search',1),('blue',5,'en','node_search',1),('blue',6,'ar','node_search',1),('blue',6,'en','node_search',1),('board',4,'ar','node_search',0.972861),('board',4,'en','node_search',0.976851),('boat',3,'ar','node_search',1),('boat',3,'en','node_search',1),('boats',4,'ar','node_search',27),('boats',4,'en','node_search',27),('body',4,'ar','node_search',0.976851),('body',4,'en','node_search',0.980874),('body',29,'ar','node_search',1.96109),('body',29,'en','node_search',1.96109),('bombs',30,'ar','node_search',1),('bombs',30,'en','node_search',1),('bonfire',4,'ar','node_search',1),('bonfire',4,'en','node_search',1),('book',24,'ar','node_search',27),('book',24,'en','node_search',27),('bookbindings',24,'ar','node_search',1),('bookbindings',24,'en','node_search',1),('bookers',10,'ar','node_search',1),('bookers',10,'en','node_search',1),('boosting',36,'ar','node_search',1),('boosting',36,'en','node_search',1),('border',6,'ar','node_search',1),('border',6,'en','node_search',1),('born',31,'ar','node_search',1),('born',31,'en','node_search',1),('both',3,'ar','node_search',1),('both',3,'en','node_search',1),('bought',24,'ar','node_search',1),('bought',24,'en','node_search',1),('bracket',17,'ar','node_search',1),('bracket',17,'en','node_search',1),('brain',32,'ar','node_search',1),('brain',32,'en','node_search',1),('branding',34,'ar','node_search',27),('branding',34,'en','node_search',27),('branding',49,'en','node_search',19),('brazilian',19,'ar','node_search',32),('brazilian',19,'en','node_search',32),('breaking',20,'ar','node_search',1),('breaking',20,'en','node_search',1),('breathing',3,'ar','node_search',1),('breathing',3,'en','node_search',1),('breed',21,'ar','node_search',1),('breed',21,'en','node_search',1),('brick',9,'ar','node_search',1),('brick',9,'en','node_search',1),('bridal',5,'ar','node_search',1),('bridal',5,'en','node_search',1),('bride',30,'ar','node_search',1),('bride',30,'en','node_search',1),('brides',5,'ar','node_search',1),('brides',5,'en','node_search',1),('brides',27,'ar','node_search',1),('brides',27,'en','node_search',1),('bridesmaid',30,'ar','node_search',1),('bridesmaid',30,'en','node_search',1),('bridesmaids',30,'ar','node_search',1),('bridesmaids',30,'en','node_search',1),('brightened',18,'ar','node_search',1),('brightened',18,'en','node_search',1),('bring',11,'ar','node_search',27),('bring',11,'en','node_search',27),('bringing',33,'ar','node_search',1),('bringing',33,'en','node_search',1),('british',24,'ar','node_search',29),('british',24,'en','node_search',29),('british',31,'ar','node_search',1),('british',31,'en','node_search',1),('british',49,'en','node_search',1),('brought',29,'ar','node_search',1),('brought',29,'en','node_search',1),('built',2,'ar','node_search',1),('built',2,'en','node_search',1),('business',45,'en','node_search',27),('business',49,'en','node_search',30),('businesses',13,'ar','node_search',1),('businesses',13,'en','node_search',1),('busts',30,'ar','node_search',1),('busts',30,'en','node_search',1),('but',1,'ar','node_search',2),('but',1,'en','node_search',2),('but',9,'ar','node_search',1),('but',9,'en','node_search',1),('but',11,'ar','node_search',1),('but',11,'en','node_search',1),('but',18,'ar','node_search',1),('but',18,'en','node_search',1),('but',22,'ar','node_search',1),('but',22,'en','node_search',1),('but',27,'ar','node_search',1),('but',27,'en','node_search',1),('but',29,'ar','node_search',1),('but',29,'en','node_search',1),('but',36,'ar','node_search',1),('but',36,'en','node_search',1),('buying',17,'ar','node_search',28),('buying',17,'en','node_search',28),('buying',35,'ar','node_search',1),('buying',35,'en','node_search',1),('caecus',48,'en','node_search',3.90877),('california',2,'ar','node_search',1),('california',2,'en','node_search',1),('camargo',19,'ar','node_search',1),('camargo',19,'en','node_search',1),('cambridge',11,'ar','node_search',2.98493),('cambridge',11,'en','node_search',2.98493),('came',5,'ar','node_search',1),('came',5,'en','node_search',1),('came',27,'ar','node_search',1),('came',27,'en','node_search',1),('cameras',3,'ar','node_search',1),('cameras',3,'en','node_search',1),('camur',48,'en','node_search',1),('can',2,'ar','node_search',1),('can',2,'en','node_search',1),('can',6,'ar','node_search',1),('can',6,'en','node_search',1),('can',10,'ar','node_search',1),('can',10,'en','node_search',1),('can',13,'ar','node_search',1),('can',13,'en','node_search',1),('can',17,'ar','node_search',1),('can',17,'en','node_search',1),('can',28,'ar','node_search',1),('can',28,'en','node_search',1),('can',29,'ar','node_search',1),('can',29,'en','node_search',1),('can',30,'ar','node_search',2),('can',30,'en','node_search',2),('can',32,'ar','node_search',1),('can',32,'en','node_search',1),('can',36,'ar','node_search',1),('can',36,'en','node_search',1),('canada',6,'ar','node_search',1),('canada',6,'en','node_search',1),('canadians',29,'ar','node_search',1),('canadians',29,'en','node_search',1),('canadians',49,'en','node_search',0.839384),('cannot',29,'ar','node_search',2),('cannot',29,'en','node_search',2),('cantab',11,'ar','node_search',1),('cantab',11,'en','node_search',1),('capital',21,'ar','node_search',1),('capital',21,'en','node_search',1),('capitals',22,'ar','node_search',1),('capitals',22,'en','node_search',1),('capto',48,'en','node_search',1.99315),('car',17,'ar','node_search',31),('car',17,'en','node_search',31),('card',7,'ar','node_search',1),('card',7,'en','node_search',1),('care',29,'ar','node_search',1),('care',29,'en','node_search',1),('careers',20,'ar','node_search',1),('careers',20,'en','node_search',1),('carrillo',23,'ar','node_search',1),('carrillo',23,'en','node_search',1),('carsten',25,'ar','node_search',1),('carsten',25,'en','node_search',1),('cases',29,'ar','node_search',1),('cases',29,'en','node_search',1),('cashmere',5,'ar','node_search',1),('cashmere',5,'en','node_search',1),('catagory',7,'ar','node_search',1),('catagory',7,'en','node_search',1),('categories',49,'en','node_search',19),('cathedral',4,'ar','node_search',0.931053),('cathedral',4,'en','node_search',0.934703),('caught',36,'ar','node_search',1),('caught',36,'en','node_search',1),('causa',48,'en','node_search',1.79277),('cbs',6,'ar','node_search',1),('cbs',6,'en','node_search',1),('celebration',35,'ar','node_search',1),('celebration',35,'en','node_search',1),('cent',11,'ar','node_search',2),('cent',11,'en','node_search',2),('cent',29,'ar','node_search',1.93105),('cent',29,'en','node_search',1.93105),('center',31,'ar','node_search',1),('center',31,'en','node_search',1),('centres',21,'ar','node_search',1),('centres',21,'en','node_search',1),('century',23,'ar','node_search',1),('century',23,'en','node_search',1),('ceramics',23,'ar','node_search',1),('ceramics',23,'en','node_search',1),('ceremony',23,'ar','node_search',1),('ceremony',23,'en','node_search',1),('certificates',13,'ar','node_search',1),('certificates',13,'en','node_search',1),('champlain',6,'ar','node_search',1),('champlain',6,'en','node_search',1),('chance',8,'ar','node_search',27),('chance',8,'en','node_search',27),('chance',27,'ar','node_search',1),('chance',27,'en','node_search',1),('chances',29,'ar','node_search',1),('chances',29,'en','node_search',1),('changes',34,'ar','node_search',27),('changes',34,'en','node_search',27),('changes',49,'en','node_search',19),('chart',30,'ar','node_search',0.98493),('chart',30,'en','node_search',0.98493),('cheap',22,'ar','node_search',1),('cheap',22,'en','node_search',1),('check',13,'ar','node_search',27),('check',13,'en','node_search',27),('check',33,'ar','node_search',1),('check',33,'en','node_search',1),('cheers',3,'ar','node_search',0.923838),('cheers',3,'en','node_search',0.923838),('children',9,'ar','node_search',2),('children',9,'en','node_search',2),('chilled',4,'ar','node_search',1),('chilled',4,'en','node_search',1),('chips',32,'ar','node_search',1),('chips',32,'en','node_search',1),('choice',4,'ar','node_search',1),('choice',4,'en','node_search',1),('chose',5,'ar','node_search',1),('chose',5,'en','node_search',1),('chose',10,'ar','node_search',1),('chose',10,'en','node_search',1),('chronic',29,'ar','node_search',1),('chronic',29,'en','node_search',1),('cities',4,'ar','node_search',1),('cities',4,'en','node_search',1),('city',6,'ar','node_search',1),('city',6,'en','node_search',1),('city',24,'ar','node_search',1),('city',24,'en','node_search',1),('city',28,'ar','node_search',2),('city',28,'en','node_search',2),('city',49,'en','node_search',0.879565),('clarify',21,'ar','node_search',1),('clarify',21,'en','node_search',1),('clarity',18,'ar','node_search',1),('clarity',18,'en','node_search',1),('class',8,'ar','node_search',0.899454),('class',8,'en','node_search',0.899454),('class',23,'ar','node_search',0.953396),('class',23,'en','node_search',0.953396),('class',24,'ar','node_search',0.802752),('class',24,'en','node_search',0.802752),('class',26,'ar','node_search',1),('class',26,'en','node_search',1),('class',27,'ar','node_search',0.779231),('class',27,'en','node_search',0.779231),('class',28,'ar','node_search',0.759465),('class',28,'en','node_search',0.759465),('class',31,'ar','node_search',0.727213),('class',31,'en','node_search',0.727213),('class',36,'ar','node_search',1.6431),('class',36,'en','node_search',1.64093),('classes',11,'ar','node_search',1),('classes',11,'en','node_search',1),('classic',3,'ar','node_search',1),('classic',3,'en','node_search',1),('clever',11,'ar','node_search',1),('clever',11,'en','node_search',1),('cli',49,'en','node_search',0.800068),('click',40,'en','node_search',11),('click',41,'en','node_search',11),('click',42,'en','node_search',11),('click',43,'en','node_search',11),('click',44,'en','node_search',11),('click',45,'en','node_search',11),('click',46,'en','node_search',11),('click',47,'en','node_search',11),('click',49,'en','node_search',66),('client',13,'ar','node_search',1),('client',13,'en','node_search',1),('cliffs',2,'ar','node_search',1),('cliffs',2,'en','node_search',1),('climbed',3,'ar','node_search',1),('climbed',3,'en','node_search',1),('climes',26,'ar','node_search',1),('climes',26,'en','node_search',1),('clinics',14,'ar','node_search',1),('clinics',14,'en','node_search',1),('clinics',49,'en','node_search',0.931053),('clita',38,'en','node_search',2.94583),('cloned',22,'ar','node_search',1),('cloned',22,'en','node_search',1),('closer',4,'ar','node_search',1),('closer',4,'en','node_search',1),('closer',30,'ar','node_search',1),('closer',30,'en','node_search',1),('clutching',11,'ar','node_search',1),('clutching',11,'en','node_search',1),('coast',4,'ar','node_search',3),('coast',4,'en','node_search',3),('coastline',2,'ar','node_search',1),('coastline',2,'en','node_search',1),('coastline',3,'ar','node_search',1),('coastline',3,'en','node_search',1),('cocktails',22,'ar','node_search',1),('cocktails',22,'en','node_search',1),('code',13,'ar','node_search',2),('code',13,'en','node_search',2),('coffee',17,'ar','node_search',1),('coffee',17,'en','node_search',1),('cog',7,'ar','node_search',2),('cog',7,'en','node_search',2),('collaboration',10,'ar','node_search',1),('collaboration',10,'en','node_search',1),('colombia',23,'ar','node_search',29),('colombia',23,'en','node_search',29),('colombian',23,'ar','node_search',2),('colombian',23,'en','node_search',2),('come',11,'ar','node_search',1),('come',11,'en','node_search',1),('come',27,'ar','node_search',1),('come',27,'en','node_search',1),('come',30,'ar','node_search',1),('come',30,'en','node_search',1),('comes',4,'ar','node_search',1),('comes',4,'en','node_search',1),('comes',10,'ar','node_search',1),('comes',10,'en','node_search',1),('comfort',7,'ar','node_search',1),('comfort',7,'en','node_search',1),('coming',19,'ar','node_search',1),('coming',19,'en','node_search',1),('comis',48,'en','node_search',1),('comments',16,'ar','node_search',2.34792),('comments',16,'en','node_search',2.36337),('comments',36,'ar','node_search',0.716357),('comments',36,'en','node_search',0.714225),('commodo',2,'ar','node_search',1.49236),('commodo',2,'en','node_search',1.49705),('commodo',3,'ar','node_search',1.45204),('commodo',3,'en','node_search',1.45204),('commodo',4,'ar','node_search',0.738408),('commodo',4,'en','node_search',0.740689),('commodo',5,'ar','node_search',0.784336),('commodo',5,'en','node_search',0.784336),('commodo',6,'ar','node_search',0.76188),('commodo',6,'en','node_search',0.76188),('commodo',7,'ar','node_search',0.942091),('commodo',7,'en','node_search',0.942091),('commodo',8,'ar','node_search',2.9534),('commodo',8,'en','node_search',2.9534),('commodo',9,'ar','node_search',0.863659),('commodo',9,'en','node_search',0.863659),('commodo',10,'ar','node_search',0.766757),('commodo',10,'en','node_search',0.766757),('commodo',11,'ar','node_search',0.71),('commodo',11,'en','node_search',0.71),('commodo',12,'ar','node_search',3.56022),('commodo',12,'en','node_search',3.56022),('commodo',13,'ar','node_search',1),('commodo',13,'en','node_search',1),('commodo',14,'ar','node_search',1),('commodo',14,'en','node_search',1),('commodo',16,'ar','node_search',1.61568),('commodo',16,'en','node_search',1.62078),('commodo',17,'ar','node_search',0.731649),('commodo',17,'en','node_search',0.731649),('commodo',18,'ar','node_search',1.63024),('commodo',18,'en','node_search',1.63024),('commodo',19,'ar','node_search',1.86366),('commodo',19,'en','node_search',1.86366),('commodo',20,'ar','node_search',0.824901),('commodo',20,'en','node_search',0.824901),('commodo',21,'ar','node_search',3.20472),('commodo',21,'en','node_search',3.20472),('commodo',23,'ar','node_search',1.52138),('commodo',23,'en','node_search',1.52138),('commodo',24,'ar','node_search',1.44352),('commodo',24,'en','node_search',1.44352),('commodo',25,'ar','node_search',1.57653),('commodo',25,'en','node_search',1.57653),('commodo',26,'ar','node_search',0.810915),('commodo',26,'en','node_search',0.810915),('commodo',27,'ar','node_search',3.47041),('commodo',27,'en','node_search',3.47041),('commodo',28,'ar','node_search',2.55772),('commodo',28,'en','node_search',2.55772),('commodo',29,'ar','node_search',0.886095),('commodo',29,'en','node_search',0.886095),('commodo',30,'ar','node_search',1.55543),('commodo',30,'en','node_search',1.55543),('commodo',31,'ar','node_search',0.968904),('commodo',31,'en','node_search',0.968904),('commodo',32,'ar','node_search',2.48677),('commodo',32,'en','node_search',2.48677),('commodo',33,'ar','node_search',1),('commodo',33,'en','node_search',1),('commodo',34,'ar','node_search',0.942091),('commodo',34,'en','node_search',0.942091),('commodo',35,'ar','node_search',0.98493),('commodo',35,'en','node_search',0.98493),('commodo',36,'ar','node_search',2.7064),('commodo',36,'en','node_search',2.7064),('commodo',38,'en','node_search',5.27439),('commodo',48,'en','node_search',2.90629),('common',9,'ar','node_search',28),('common',9,'en','node_search',28),('commoveo',48,'en','node_search',2.98493),('communication',20,'ar','node_search',1),('communication',20,'en','node_search',1),('community',29,'ar','node_search',1),('community',29,'en','node_search',1),('comp',49,'en','node_search',1),('companies',13,'ar','node_search',29),('companies',13,'en','node_search',29),('companies',16,'ar','node_search',61.0579),('companies',16,'en','node_search',61.2579),('companies',34,'ar','node_search',1),('companies',34,'en','node_search',1),('companions',3,'ar','node_search',1),('companions',3,'en','node_search',1),('company',13,'ar','node_search',4),('company',13,'en','node_search',4),('company',19,'ar','node_search',1),('company',19,'en','node_search',1),('company',34,'ar','node_search',30),('company',34,'en','node_search',30),('company',49,'en','node_search',19),('compared',1,'ar','node_search',1),('compared',1,'en','node_search',1),('competition',10,'ar','node_search',2),('competition',10,'en','node_search',2),('complex',18,'ar','node_search',1),('complex',18,'en','node_search',1),('complications',29,'ar','node_search',0.972861),('complications',29,'en','node_search',0.972861),('condimentum',1,'ar','node_search',3.81281),('condimentum',1,'en','node_search',3.81281),('condimentum',2,'ar','node_search',1.81854),('condimentum',2,'en','node_search',1.82553),('condimentum',5,'ar','node_search',0.836446),('condimentum',5,'en','node_search',0.836446),('condimentum',6,'ar','node_search',1.6461),('condimentum',6,'en','node_search',1.6461),('condimentum',7,'ar','node_search',0.810915),('condimentum',7,'en','node_search',0.810915),('condimentum',8,'ar','node_search',1),('condimentum',8,'en','node_search',1),('condimentum',9,'ar','node_search',0.725015),('condimentum',9,'en','node_search',0.725015),('condimentum',10,'ar','node_search',0.916736),('condimentum',10,'en','node_search',0.916736),('condimentum',12,'ar','node_search',1),('condimentum',12,'en','node_search',1),('condimentum',13,'ar','node_search',0.866793),('condimentum',13,'en','node_search',0.866793),('condimentum',14,'ar','node_search',0.869951),('condimentum',14,'en','node_search',0.869951),('condimentum',15,'ar','node_search',1.74838),('condimentum',15,'en','node_search',1.74838),('condimentum',16,'ar','node_search',1),('condimentum',16,'en','node_search',1),('condimentum',17,'ar','node_search',0.869951),('condimentum',17,'en','node_search',0.869951),('condimentum',18,'ar','node_search',0.816452),('condimentum',18,'en','node_search',0.816452),('condimentum',19,'ar','node_search',0.740689),('condimentum',19,'en','node_search',0.740689),('condimentum',21,'ar','node_search',0.830633),('condimentum',21,'en','node_search',0.830633),('condimentum',23,'ar','node_search',0.733888),('condimentum',23,'en','node_search',0.733888),('condimentum',24,'ar','node_search',1.54144),('condimentum',24,'en','node_search',1.54144),('condimentum',25,'ar','node_search',1.70625),('condimentum',25,'en','node_search',1.70625),('condimentum',26,'ar','node_search',0.836446),('condimentum',26,'en','node_search',0.836446),('condimentum',27,'ar','node_search',1.81353),('condimentum',27,'en','node_search',1.81353),('condimentum',28,'ar','node_search',0.889397),('condimentum',28,'en','node_search',0.889397),('condimentum',29,'ar','node_search',0.641769),('condimentum',29,'en','node_search',0.641769),('condimentum',30,'ar','node_search',1.40751),('condimentum',30,'en','node_search',1.40751),('condimentum',31,'ar','node_search',0.740689),('condimentum',31,'en','node_search',0.740689),('condimentum',32,'ar','node_search',0.857458),('condimentum',32,'en','node_search',0.857458),('condimentum',33,'ar','node_search',0.869951),('condimentum',33,'en','node_search',0.869951),('condimentum',35,'ar','node_search',0.810915),('condimentum',35,'en','node_search',0.810915),('condimentum',36,'ar','node_search',1.80275),('condimentum',36,'en','node_search',1.80275),('condimentum',38,'en','node_search',2.43629),('confessions',27,'ar','node_search',27),('confessions',27,'en','node_search',27),('confirms',34,'ar','node_search',1),('confirms',34,'en','node_search',1),('congue',1,'ar','node_search',0.703756),('congue',1,'en','node_search',0.703756),('congue',2,'ar','node_search',1.40172),('congue',2,'en','node_search',1.40582),('congue',3,'ar','node_search',1.30688),('congue',3,'en','node_search',1.30688),('congue',7,'ar','node_search',0.953396),('congue',7,'en','node_search',0.953396),('congue',9,'ar','node_search',0.873132),('congue',9,'en','node_search',0.873132),('congue',10,'ar','node_search',1.91323),('congue',10,'en','node_search',1.91323),('congue',11,'ar','node_search',0.687638),('congue',11,'en','node_search',0.687638),('congue',12,'ar','node_search',1.68261),('congue',12,'en','node_search',1.68261),('congue',14,'ar','node_search',2),('congue',14,'en','node_search',2),('congue',15,'ar','node_search',1),('congue',15,'en','node_search',1),('congue',18,'ar','node_search',1.79379),('congue',18,'en','node_search',1.79379),('congue',19,'ar','node_search',0.774192),('congue',19,'en','node_search',0.774192),('congue',21,'ar','node_search',0.98493),('congue',21,'en','node_search',0.98493),('congue',22,'ar','node_search',1.96109),('congue',22,'en','node_search',1.96109),('congue',24,'ar','node_search',0.98493),('congue',24,'en','node_search',0.98493),('congue',27,'ar','node_search',4.18935),('congue',27,'en','node_search',4.18935),('congue',30,'ar','node_search',0.659351),('congue',30,'en','node_search',0.659351),('congue',31,'ar','node_search',0.808176),('congue',31,'en','node_search',0.808176),('congue',34,'ar','node_search',0.845322),('congue',34,'en','node_search',0.845322),('congue',38,'en','node_search',3.4034),('conical',3,'ar','node_search',1),('conical',3,'en','node_search',1),('consectetuer',38,'en','node_search',3.87917),('consectetuer',48,'en','node_search',2.97286),('consectetur',1,'ar','node_search',0.72066),('consectetur',1,'en','node_search',0.72066),('consectetur',4,'ar','node_search',1.60245),('consectetur',4,'en','node_search',1.6079),('consectetur',5,'ar','node_search',1.65273),('consectetur',5,'en','node_search',1.65273),('consectetur',7,'ar','node_search',0.774192),('consectetur',7,'en','node_search',0.774192),('consectetur',8,'ar','node_search',1.86222),('consectetur',8,'en','node_search',1.86222),('consectetur',9,'ar','node_search',0.687638),('consectetur',9,'en','node_search',0.687638),('consectetur',10,'ar','node_search',0.76431),('consectetur',10,'en','node_search',0.76431),('consectetur',13,'ar','node_search',1),('consectetur',13,'en','node_search',1),('consectetur',15,'ar','node_search',0.810915),('consectetur',15,'en','node_search',0.810915),('consectetur',18,'ar','node_search',1),('consectetur',18,'en','node_search',1),('consectetur',19,'ar','node_search',1),('consectetur',19,'en','node_search',1),('consectetur',21,'ar','node_search',0.766757),('consectetur',21,'en','node_search',0.766757),('consectetur',22,'ar','node_search',1.87367),('consectetur',22,'en','node_search',1.87367),('consectetur',23,'ar','node_search',0.869951),('consectetur',23,'en','node_search',0.869951),('consectetur',24,'ar','node_search',0.76188),('consectetur',24,'en','node_search',0.76188),('consectetur',25,'ar','node_search',0.802752),('consectetur',25,'en','node_search',0.802752),('consectetur',26,'ar','node_search',2.67494),('consectetur',26,'en','node_search',2.67494),('consectetur',27,'ar','node_search',2.65267),('consectetur',27,'en','node_search',2.65267),('consectetur',28,'ar','node_search',1.56362),('consectetur',28,'en','node_search',1.56362),('consectetur',30,'ar','node_search',0.674137),('consectetur',30,'en','node_search',0.674137),('consectetur',31,'ar','node_search',0.697623),('consectetur',31,'en','node_search',0.697623),('consectetur',32,'ar','node_search',0.882818),('consectetur',32,'en','node_search',0.882818),('consectetur',36,'ar','node_search',1),('consectetur',36,'en','node_search',1),('consectetur',38,'en','node_search',1.8249),('consequat',1,'ar','node_search',0.876337),('consequat',1,'en','node_search',0.876337),('consequat',5,'ar','node_search',1.6596),('consequat',5,'en','node_search',1.6596),('consequat',7,'ar','node_search',2.70124),('consequat',7,'en','node_search',2.70124),('consequat',9,'ar','node_search',2.46825),('consequat',9,'en','node_search',2.46825),('consequat',11,'ar','node_search',1.6245),('consequat',11,'en','node_search',1.6245),('consequat',12,'ar','node_search',1.85439),('consequat',12,'en','node_search',1.85439),('consequat',13,'ar','node_search',1.9689),('consequat',13,'en','node_search',1.9689),('consequat',14,'ar','node_search',2.49696),('consequat',14,'en','node_search',2.49696),('consequat',16,'ar','node_search',2.62459),('consequat',16,'en','node_search',2.62459),('consequat',17,'ar','node_search',2.42633),('consequat',17,'en','node_search',2.42633),('consequat',19,'ar','node_search',2.6413),('consequat',19,'en','node_search',2.6413),('consequat',20,'ar','node_search',1.5484),('consequat',20,'en','node_search',1.5484),('consequat',21,'ar','node_search',1.49335),('consequat',21,'en','node_search',1.49335),('consequat',24,'ar','node_search',0.822065),('consequat',24,'en','node_search',0.822065),('consequat',25,'ar','node_search',2.54339),('consequat',25,'en','node_search',2.54339),('consequat',26,'ar','node_search',0.906287),('consequat',26,'en','node_search',0.906287),('consequat',29,'ar','node_search',3.09662),('consequat',29,'en','node_search',3.09662),('consequat',30,'ar','node_search',1.56764),('consequat',30,'en','node_search',1.56764),('consequat',31,'ar','node_search',1.73614),('consequat',31,'en','node_search',1.73614),('consequat',32,'ar','node_search',1.83734),('consequat',32,'en','node_search',1.83734),('consequat',33,'ar','node_search',1.83242),('consequat',33,'en','node_search',1.83242),('consequat',34,'ar','node_search',2.61636),('consequat',34,'en','node_search',2.61636),('consequat',35,'ar','node_search',1.70163),('consequat',35,'en','node_search',1.70163),('consequat',36,'ar','node_search',0.747619),('consequat',36,'en','node_search',0.747619),('consequat',38,'en','node_search',5.70976),('consequat',48,'en','node_search',2.7213),('conservation',23,'ar','node_search',1),('conservation',23,'en','node_search',1),('consetetur',38,'en','node_search',0.879565),('considering',17,'ar','node_search',1),('considering',17,'en','node_search',1),('consulting',20,'ar','node_search',1),('consulting',20,'en','node_search',1),('contain',21,'ar','node_search',1),('contain',21,'en','node_search',1),('container',19,'ar','node_search',29),('container',19,'en','node_search',29),('contemporary',19,'ar','node_search',2),('contemporary',19,'en','node_search',2),('contemporary',31,'ar','node_search',1),('contemporary',31,'en','node_search',1),('contestant',6,'ar','node_search',1),('contestant',6,'en','node_search',1),('controversy',31,'ar','node_search',1),('controversy',31,'en','node_search',1),('conubia',8,'ar','node_search',0.876337),('conubia',8,'en','node_search',0.876337),('conubia',23,'ar','node_search',0.927431),('conubia',23,'en','node_search',0.927431),('conubia',24,'ar','node_search',0.784336),('conubia',24,'en','node_search',0.784336),('conubia',26,'ar','node_search',1),('conubia',26,'en','node_search',1),('conubia',27,'ar','node_search',0.76188),('conubia',27,'en','node_search',0.76188),('conubia',28,'ar','node_search',0.742984),('conubia',28,'en','node_search',0.742984),('conubia',31,'ar','node_search',0.712106),('conubia',31,'en','node_search',0.712106),('conubia',36,'ar','node_search',1.61891),('conubia',36,'en','node_search',1.61674),('convallis',1,'ar','node_search',1.65632),('convallis',1,'en','node_search',1.65632),('convallis',5,'ar','node_search',2.75915),('convallis',5,'en','node_search',2.75915),('convallis',7,'ar','node_search',2.60395),('convallis',7,'en','node_search',2.60395),('convallis',8,'ar','node_search',0.863659),('convallis',8,'en','node_search',0.863659),('convallis',9,'ar','node_search',2.35698),('convallis',9,'en','node_search',2.35698),('convallis',10,'ar','node_search',1.71435),('convallis',10,'en','node_search',1.71435),('convallis',11,'ar','node_search',0.800068),('convallis',11,'en','node_search',0.800068),('convallis',12,'ar','node_search',2.68393),('convallis',12,'en','node_search',2.68393),('convallis',14,'ar','node_search',1.77969),('convallis',14,'en','node_search',1.77969),('convallis',15,'ar','node_search',1.69971),('convallis',15,'en','node_search',1.69971),('convallis',18,'ar','node_search',0.805455),('convallis',18,'en','node_search',0.805455),('convallis',21,'ar','node_search',0.816452),('convallis',21,'en','node_search',0.816452),('convallis',23,'ar','node_search',2.49651),('convallis',23,'en','node_search',2.49651),('convallis',24,'ar','node_search',2.25614),('convallis',24,'en','node_search',2.25614),('convallis',25,'ar','node_search',2.69851),('convallis',25,'en','node_search',2.69851),('convallis',26,'ar','node_search',2.66572),('convallis',26,'en','node_search',2.66572),('convallis',28,'ar','node_search',0.733888),('convallis',28,'en','node_search',0.733888),('convallis',29,'ar','node_search',0.769219),('convallis',29,'en','node_search',0.769219),('convallis',30,'ar','node_search',0.830633),('convallis',30,'en','node_search',0.830633),('convallis',31,'ar','node_search',1.41904),('convallis',31,'en','node_search',1.41904),('convallis',32,'ar','node_search',0.836446),('convallis',32,'en','node_search',0.836446),('convallis',33,'ar','node_search',0.980874),('convallis',33,'en','node_search',0.980874),('convallis',34,'ar','node_search',0.824901),('convallis',34,'en','node_search',0.824901),('convallis',35,'ar','node_search',0.906287),('convallis',35,'en','node_search',0.906287),('convallis',36,'ar','node_search',2.54679),('convallis',36,'en','node_search',2.54679),('converse',3,'ar','node_search',1),('converse',3,'en','node_search',1),('cooperation',1,'ar','node_search',1),('cooperation',1,'en','node_search',1),('cop',27,'ar','node_search',1),('cop',27,'en','node_search',1),('core',9,'ar','node_search',28),('core',9,'en','node_search',28),('coromandel',4,'ar','node_search',0.923838),('coromandel',4,'en','node_search',0.927431),('could',6,'ar','node_search',1),('could',6,'en','node_search',1),('could',9,'ar','node_search',0.993146),('could',9,'en','node_search',0.993146),('could',11,'ar','node_search',1),('could',11,'en','node_search',1),('could',15,'ar','node_search',27),('could',15,'en','node_search',27),('could',29,'ar','node_search',1),('could',29,'en','node_search',1),('countries',1,'ar','node_search',1),('countries',1,'en','node_search',1),('country',21,'ar','node_search',2),('country',21,'en','node_search',2),('couple',3,'ar','node_search',1.9347),('couple',3,'en','node_search',1.9347),('couple',9,'ar','node_search',1),('couple',9,'en','node_search',1),('couples',33,'ar','node_search',1),('couples',33,'en','node_search',1),('course',28,'ar','node_search',1),('course',28,'en','node_search',1),('cove',4,'ar','node_search',0.927431),('cove',4,'en','node_search',0.931053),('coveted',2,'ar','node_search',1),('coveted',2,'en','node_search',1),('coworker',29,'ar','node_search',1),('coworker',29,'en','node_search',1),('coworkers',32,'ar','node_search',1),('coworkers',32,'en','node_search',1),('cozzarelli',24,'ar','node_search',1),('cozzarelli',24,'en','node_search',1),('crafted',27,'ar','node_search',1),('crafted',27,'en','node_search',1),('crank',7,'ar','node_search',2),('crank',7,'en','node_search',2),('cras',1,'ar','node_search',0.816452),('cras',1,'en','node_search',0.816452),('cras',2,'ar','node_search',2.47098),('cras',2,'en','node_search',2.47964),('cras',3,'ar','node_search',1.47715),('cras',3,'en','node_search',1.47715),('cras',5,'ar','node_search',2.3833),('cras',5,'en','node_search',2.3833),('cras',6,'ar','node_search',2.32415),('cras',6,'en','node_search',2.32415),('cras',12,'ar','node_search',3.89945),('cras',12,'en','node_search',3.89945),('cras',13,'ar','node_search',2),('cras',13,'en','node_search',2),('cras',14,'ar','node_search',2.9689),('cras',14,'en','node_search',2.9689),('cras',16,'ar','node_search',2.48968),('cras',16,'en','node_search',2.48968),('cras',17,'ar','node_search',2.17988),('cras',17,'en','node_search',2.17988),('cras',20,'ar','node_search',2.4275),('cras',20,'en','node_search',2.4275),('cras',25,'ar','node_search',1),('cras',25,'en','node_search',1),('cras',26,'ar','node_search',0.902857),('cras',26,'en','node_search',0.902857),('cras',27,'ar','node_search',0.863659),('cras',27,'en','node_search',0.863659),('cras',29,'ar','node_search',1.50767),('cras',29,'en','node_search',1.50767),('cras',30,'ar','node_search',1.6102),('cras',30,'en','node_search',1.6102),('cras',33,'ar','node_search',1.8861),('cras',33,'en','node_search',1.8861),('cras',34,'ar','node_search',3.60169),('cras',34,'en','node_search',3.60169),('cras',35,'ar','node_search',1.75233),('cras',35,'en','node_search',1.75233),('cras',36,'ar','node_search',0.757065),('cras',36,'en','node_search',0.757065),('cras',38,'en','node_search',2.18334),('crater',3,'ar','node_search',1),('crater',3,'en','node_search',1),('cream',5,'ar','node_search',2),('cream',5,'en','node_search',2),('cream',35,'ar','node_search',2),('cream',35,'en','node_search',2),('create',16,'ar','node_search',1.79475),('create',16,'en','node_search',1.80007),('creatures',2,'ar','node_search',1),('creatures',2,'en','node_search',1),('credit',7,'ar','node_search',1),('credit',7,'en','node_search',1),('criminal',16,'ar','node_search',1),('criminal',16,'en','node_search',1),('cringeworthy',27,'ar','node_search',1),('cringeworthy',27,'en','node_search',1),('criteria',18,'ar','node_search',1),('criteria',18,'en','node_search',1),('criticism',21,'ar','node_search',1),('criticism',21,'en','node_search',1),('criticism',31,'ar','node_search',1),('criticism',31,'en','node_search',1),('crossing',6,'ar','node_search',1),('crossing',6,'en','node_search',1),('cry',27,'ar','node_search',27),('cry',27,'en','node_search',27),('cubilia',7,'ar','node_search',0.961087),('cubilia',7,'en','node_search',0.961087),('cubilia',9,'ar','node_search',0.882818),('cubilia',9,'en','node_search',0.882818),('cubilia',13,'ar','node_search',0.802752),('cubilia',13,'en','node_search',0.802752),('cubilia',16,'ar','node_search',0.889397),('cubilia',16,'en','node_search',0.889397),('cubilia',17,'ar','node_search',0.771698),('cubilia',17,'en','node_search',0.771698),('cubilia',20,'ar','node_search',0.906287),('cubilia',20,'en','node_search',0.906287),('cubilia',34,'ar','node_search',1.81367),('cubilia',34,'en','node_search',1.81367),('cubilia',38,'en','node_search',2.11366),('cui',48,'en','node_search',1.89608),('culpa',38,'en','node_search',2.78543),('cultural',12,'ar','node_search',1),('cultural',12,'en','node_search',1),('cultural',20,'ar','node_search',1),('cultural',20,'en','node_search',1),('cultural',23,'ar','node_search',1),('cultural',23,'en','node_search',1),('culture',21,'ar','node_search',1),('culture',21,'en','node_search',1),('culture',23,'ar','node_search',1),('culture',23,'en','node_search',1),('cum',2,'ar','node_search',0.845322),('cum',2,'en','node_search',0.848323),('cum',3,'ar','node_search',0.863659),('cum',3,'en','node_search',0.863659),('cum',6,'ar','node_search',0.78951),('cum',6,'en','node_search',0.78951),('cum',8,'ar','node_search',1),('cum',8,'en','node_search',1),('cum',28,'ar','node_search',1),('cum',28,'en','node_search',1),('cum',38,'en','node_search',0.808176),('cup',8,'ar','node_search',27),('cup',8,'en','node_search',27),('cup',17,'ar','node_search',1),('cup',17,'en','node_search',1),('cup',25,'ar','node_search',30),('cup',25,'en','node_search',30),('cup',49,'en','node_search',20.9849),('cupiditat',38,'en','node_search',2.80159),('curabitur',1,'ar','node_search',1.53417),('curabitur',1,'en','node_search',1.53417),('curabitur',2,'ar','node_search',0.98493),('curabitur',2,'en','node_search',0.989021),('curabitur',5,'ar','node_search',1.61629),('curabitur',5,'en','node_search',1.61629),('curabitur',6,'ar','node_search',0.863659),('curabitur',6,'en','node_search',0.863659),('curabitur',7,'ar','node_search',1),('curabitur',7,'en','node_search',1),('curabitur',10,'ar','node_search',2.80547),('curabitur',10,'en','node_search',2.80547),('curabitur',11,'ar','node_search',1.45337),('curabitur',11,'en','node_search',1.45337),('curabitur',12,'ar','node_search',1.87313),('curabitur',12,'en','node_search',1.87313),('curabitur',14,'ar','node_search',3.78905),('curabitur',14,'en','node_search',3.78905),('curabitur',15,'ar','node_search',0.923838),('curabitur',15,'en','node_search',0.923838),('curabitur',18,'ar','node_search',0.906287),('curabitur',18,'en','node_search',0.906287),('curabitur',21,'ar','node_search',1),('curabitur',21,'en','node_search',1),('curabitur',22,'ar','node_search',1.91523),('curabitur',22,'en','node_search',1.91523),('curabitur',23,'ar','node_search',0.913226),('curabitur',23,'en','node_search',0.913226),('curabitur',24,'ar','node_search',0.774192),('curabitur',24,'en','node_search',0.774192),('curabitur',25,'ar','node_search',1.80545),('curabitur',25,'en','node_search',1.80545),('curabitur',26,'ar','node_search',0.882818),('curabitur',26,'en','node_search',0.882818),('curabitur',27,'ar','node_search',1),('curabitur',27,'en','node_search',1),('curabitur',29,'ar','node_search',3.46613),('curabitur',29,'en','node_search',3.46613),('curabitur',30,'ar','node_search',2.11148),('curabitur',30,'en','node_search',2.11148),('curabitur',31,'ar','node_search',0.703756),('curabitur',31,'en','node_search',0.703756),('curabitur',32,'ar','node_search',0.892724),('curabitur',32,'en','node_search',0.892724),('curabitur',33,'ar','node_search',1.65108),('curabitur',33,'en','node_search',1.65108),('curabitur',35,'ar','node_search',1.54443),('curabitur',35,'en','node_search',1.54443),('curabitur',38,'en','node_search',1.44905),('curae',7,'ar','node_search',0.957226),('curae',7,'en','node_search',0.957226),('curae',9,'ar','node_search',0.879565),('curae',9,'en','node_search',0.879565),('curae',13,'ar','node_search',0.800068),('curae',13,'en','node_search',0.800068),('curae',16,'ar','node_search',0.886095),('curae',16,'en','node_search',0.886095),('curae',17,'ar','node_search',0.769219),('curae',17,'en','node_search',0.769219),('curae',20,'ar','node_search',0.902857),('curae',20,'en','node_search',0.902857),('curae',34,'ar','node_search',1.81367),('curae',34,'en','node_search',1.81367),('curae',38,'en','node_search',2.11153),('curated',33,'ar','node_search',1),('curated',33,'en','node_search',1),('curator',31,'ar','node_search',1),('curator',31,'en','node_search',1),('current',34,'ar','node_search',1),('current',34,'en','node_search',1),('cursus',1,'ar','node_search',1.44791),('cursus',1,'en','node_search',1.44791),('cursus',2,'ar','node_search',0.771698),('cursus',2,'en','node_search',0.774192),('cursus',3,'ar','node_search',0.749958),('cursus',3,'en','node_search',0.749958),('cursus',5,'ar','node_search',1.50475),('cursus',5,'en','node_search',1.50475),('cursus',6,'ar','node_search',0.747619),('cursus',6,'en','node_search',0.747619),('cursus',7,'ar','node_search',0.813674),('cursus',7,'en','node_search',0.813674),('cursus',8,'ar','node_search',4.99315),('cursus',8,'en','node_search',4.99315),('cursus',9,'ar','node_search',0.727213),('cursus',9,'en','node_search',0.727213),('cursus',11,'ar','node_search',0.679856),('cursus',11,'en','node_search',0.679856),('cursus',12,'ar','node_search',1.78227),('cursus',12,'en','node_search',1.78227),('cursus',14,'ar','node_search',1),('cursus',14,'en','node_search',1),('cursus',18,'ar','node_search',1),('cursus',18,'en','node_search',1),('cursus',19,'ar','node_search',3.34762),('cursus',19,'en','node_search',3.34762),('cursus',21,'ar','node_search',1.52302),('cursus',21,'en','node_search',1.52302),('cursus',24,'ar','node_search',1.7963),('cursus',24,'en','node_search',1.7963),('cursus',26,'ar','node_search',0.816452),('cursus',26,'en','node_search',0.816452),('cursus',27,'ar','node_search',1),('cursus',27,'en','node_search',1),('cursus',28,'ar','node_search',4.26635),('cursus',28,'en','node_search',4.26635),('cursus',29,'ar','node_search',0.697623),('cursus',29,'en','node_search',0.697623),('cursus',30,'ar','node_search',0.672252),('cursus',30,'en','node_search',0.672252),('cursus',31,'ar','node_search',2.48067),('cursus',31,'en','node_search',2.48067),('cursus',38,'en','node_search',3.82824),('curve',10,'ar','node_search',1),('curve',10,'en','node_search',1),('dad',3,'ar','node_search',0.909743),('dad',3,'en','node_search',0.909743),('damage',29,'ar','node_search',0.997306),('damage',29,'en','node_search',0.997306),('damnum',48,'en','node_search',2.7891),('dapibus',1,'ar','node_search',1.45448),('dapibus',1,'en','node_search',1.45448),('dapibus',2,'ar','node_search',2.08092),('dapibus',2,'en','node_search',2.08695),('dapibus',3,'ar','node_search',1.93428),('dapibus',3,'en','node_search',1.93428),('dapibus',4,'ar','node_search',0.716357),('dapibus',4,'en','node_search',0.718502),('dapibus',7,'ar','node_search',3.42047),('dapibus',7,'en','node_search',3.42047),('dapibus',9,'ar','node_search',3.09686),('dapibus',9,'en','node_search',3.09686),('dapibus',10,'ar','node_search',2.78822),('dapibus',10,'en','node_search',2.78822),('dapibus',11,'ar','node_search',0.747619),('dapibus',11,'en','node_search',0.747619),('dapibus',12,'ar','node_search',0.968904),('dapibus',12,'en','node_search',0.968904),('dapibus',18,'ar','node_search',0.808176),('dapibus',18,'en','node_search',0.808176),('dapibus',19,'ar','node_search',2.29882),('dapibus',19,'en','node_search',2.29882),('dapibus',21,'ar','node_search',1.51566),('dapibus',21,'en','node_search',1.51566),('dapibus',22,'ar','node_search',0.827757),('dapibus',22,'en','node_search',0.827757),('dapibus',23,'ar','node_search',0.976851),('dapibus',23,'en','node_search',0.976851),('dapibus',24,'ar','node_search',2.5477),('dapibus',24,'en','node_search',2.5477),('dapibus',27,'ar','node_search',0.899454),('dapibus',27,'en','node_search',0.899454),('dapibus',29,'ar','node_search',0.863659),('dapibus',29,'en','node_search',0.863659),('dapibus',30,'ar','node_search',2.43838),('dapibus',30,'en','node_search',2.43838),('dapibus',31,'ar','node_search',3.10928),('dapibus',31,'en','node_search',3.10928),('dapibus',32,'ar','node_search',0.797402),('dapibus',32,'en','node_search',0.797402),('dapibus',33,'ar','node_search',2.77938),('dapibus',33,'en','node_search',2.77938),('dapibus',34,'ar','node_search',0.863659),('dapibus',34,'en','node_search',0.863659),('dapibus',35,'ar','node_search',2.65578),('dapibus',35,'en','node_search',2.65578),('dapibus',36,'ar','node_search',2.32112),('dapibus',36,'en','node_search',2.32112),('dapibus',38,'en','node_search',2.50462),('date',5,'ar','node_search',1),('date',5,'en','node_search',1),('daughter',30,'ar','node_search',1),('daughter',30,'en','node_search',1),('daunting',10,'ar','node_search',1),('daunting',10,'en','node_search',1),('dave',6,'ar','node_search',1),('dave',6,'en','node_search',1),('david',20,'ar','node_search',2),('david',20,'en','node_search',2),('david',24,'ar','node_search',1),('david',24,'en','node_search',1),('david',31,'ar','node_search',1),('david',31,'en','node_search',1),('day',2,'ar','node_search',2),('day',2,'en','node_search',2),('day',11,'ar','node_search',1),('day',11,'en','node_search',1),('day',18,'ar','node_search',1),('day',18,'en','node_search',1),('day',23,'ar','node_search',1),('day',23,'en','node_search',1),('day',26,'ar','node_search',27),('day',26,'en','node_search',27),('day',29,'ar','node_search',1),('day',29,'en','node_search',1),('day',30,'ar','node_search',29),('day',30,'en','node_search',29),('day',49,'en','node_search',27.6716),('days',2,'ar','node_search',1),('days',2,'en','node_search',1),('days',4,'ar','node_search',1),('days',4,'en','node_search',1),('days',31,'ar','node_search',1),('days',31,'en','node_search',1),('deal',17,'ar','node_search',1),('deal',17,'en','node_search',1),('dealing',32,'ar','node_search',1),('dealing',32,'en','node_search',1),('death',24,'ar','node_search',1),('death',24,'en','node_search',1),('debilitating',29,'ar','node_search',1),('debilitating',29,'en','node_search',1),('decet',48,'en','node_search',2),('decided',20,'ar','node_search',1),('decided',20,'en','node_search',1),('dedicated',33,'ar','node_search',1),('dedicated',33,'en','node_search',1),('deeper',20,'ar','node_search',1),('deeper',20,'en','node_search',1),('deeply',31,'ar','node_search',1),('deeply',31,'en','node_search',1),('degree',11,'ar','node_search',1),('degree',11,'en','node_search',1),('deliver',34,'ar','node_search',1),('deliver',34,'en','node_search',1),('demonstrated',14,'ar','node_search',1),('demonstrated',14,'en','node_search',1),('department',14,'ar','node_search',29),('department',14,'en','node_search',29),('department',49,'en','node_search',1.88852),('departments',14,'ar','node_search',1),('departments',14,'en','node_search',1),('deprived',11,'ar','node_search',0.993146),('deprived',11,'en','node_search',0.993146),('descents',2,'ar','node_search',1),('descents',2,'en','node_search',1),('deserunt',38,'en','node_search',2.77366),('designer',9,'ar','node_search',1),('designer',9,'en','node_search',1),('designs',23,'ar','node_search',1),('designs',23,'en','node_search',1),('despite',11,'ar','node_search',1),('despite',11,'en','node_search',1),('destination',3,'ar','node_search',1),('destination',3,'en','node_search',1),('detail',5,'ar','node_search',1),('detail',5,'en','node_search',1),('details',13,'ar','node_search',1),('details',13,'en','node_search',1),('determine',13,'ar','node_search',1),('determine',13,'en','node_search',1),('develop',29,'ar','node_search',0.923838),('develop',29,'en','node_search',0.923838),('development',1,'ar','node_search',1),('development',1,'en','node_search',1),('development',48,'en','node_search',11),('dhabi',1,'ar','node_search',1),('dhabi',1,'en','node_search',1),('diabetes',29,'ar','node_search',34.8624),('diabetes',29,'en','node_search',34.8624),('diabetes',49,'en','node_search',14.4009),('diagnosed',15,'ar','node_search',1),('diagnosed',15,'en','node_search',1),('diagnosed',29,'ar','node_search',1.94209),('diagnosed',29,'en','node_search',1.94209),('diam',1,'ar','node_search',0.742984),('diam',1,'en','node_search',0.742984),('diam',2,'ar','node_search',0.781775),('diam',2,'en','node_search',0.784336),('diam',3,'ar','node_search',0.76431),('diam',3,'en','node_search',0.76431),('diam',4,'ar','node_search',0.827757),('diam',4,'en','node_search',0.830633),('diam',5,'ar','node_search',1.92384),('diam',5,'en','node_search',1.92384),('diam',6,'ar','node_search',0.754681),('diam',6,'en','node_search',0.754681),('diam',7,'ar','node_search',1.68173),('diam',7,'en','node_search',1.68173),('diam',8,'ar','node_search',2),('diam',8,'en','node_search',2),('diam',9,'ar','node_search',1.50938),('diam',9,'en','node_search',1.50938),('diam',10,'ar','node_search',0.759465),('diam',10,'en','node_search',0.759465),('diam',11,'ar','node_search',1.42932),('diam',11,'en','node_search',1.42932),('diam',12,'ar','node_search',1.91323),('diam',12,'en','node_search',1.91323),('diam',13,'ar','node_search',3.37586),('diam',13,'en','node_search',3.37586),('diam',14,'ar','node_search',0.902857),('diam',14,'en','node_search',0.902857),('diam',15,'ar','node_search',1.7508),('diam',15,'en','node_search',1.7508),('diam',16,'ar','node_search',6.21093),('diam',16,'en','node_search',6.22121),('diam',17,'ar','node_search',4.05527),('diam',17,'en','node_search',4.05527),('diam',18,'ar','node_search',3.61538),('diam',18,'en','node_search',3.61538),('diam',20,'ar','node_search',3.71955),('diam',20,'en','node_search',3.71955),('diam',21,'ar','node_search',1.78604),('diam',21,'en','node_search',1.78604),('diam',22,'ar','node_search',0.906287),('diam',22,'en','node_search',0.906287),('diam',25,'ar','node_search',0.980874),('diam',25,'en','node_search',0.980874),('diam',26,'ar','node_search',1.84279),('diam',26,'en','node_search',1.84279),('diam',27,'ar','node_search',0.794753),('diam',27,'en','node_search',0.794753),('diam',28,'ar','node_search',1.86679),('diam',28,'en','node_search',1.86679),('diam',29,'ar','node_search',4.46651),('diam',29,'en','node_search',4.46651),('diam',30,'ar','node_search',0.879565),('diam',30,'en','node_search',0.879565),('diam',32,'ar','node_search',0.794753),('diam',32,'en','node_search',0.794753),('diam',33,'ar','node_search',1),('diam',33,'en','node_search',1),('diam',34,'ar','node_search',3.89945),('diam',34,'en','node_search',3.89945),('diam',35,'ar','node_search',0.96498),('diam',35,'en','node_search',0.96498),('diam',36,'ar','node_search',1.59833),('diam',36,'en','node_search',1.59833),('diam',38,'en','node_search',4.656),('diam',48,'en','node_search',2),('dictum',1,'ar','node_search',0.736141),('dictum',1,'en','node_search',0.736141),('dictum',5,'ar','node_search',0.899454),('dictum',5,'en','node_search',0.899454),('dictum',7,'ar','node_search',1.83938),('dictum',7,'en','node_search',1.83938),('dictum',8,'ar','node_search',0.927431),('dictum',8,'en','node_search',0.927431),('dictum',9,'ar','node_search',0.752312),('dictum',9,'en','node_search',0.752312),('dictum',10,'ar','node_search',0.822065),('dictum',10,'en','node_search',0.822065),('dictum',11,'ar','node_search',0.766757),('dictum',11,'en','node_search',0.766757),('dictum',12,'ar','node_search',3.98087),('dictum',12,'en','node_search',3.98087),('dictum',14,'ar','node_search',1),('dictum',14,'en','node_search',1),('dictum',15,'ar','node_search',1),('dictum',15,'en','node_search',1),('dictum',18,'ar','node_search',2.77407),('dictum',18,'en','node_search',2.77407),('dictum',19,'ar','node_search',0.824901),('dictum',19,'en','node_search',0.824901),('dictum',21,'ar','node_search',1.7017),('dictum',21,'en','node_search',1.7017),('dictum',22,'ar','node_search',0.916736),('dictum',22,'en','node_search',0.916736),('dictum',23,'ar','node_search',0.716357),('dictum',23,'en','node_search',0.716357),('dictum',24,'ar','node_search',0.699655),('dictum',24,'en','node_search',0.699655),('dictum',26,'ar','node_search',0.876337),('dictum',26,'en','node_search',0.876337),('dictum',28,'ar','node_search',0.779231),('dictum',28,'en','node_search',0.779231),('dictum',29,'ar','node_search',0.650439),('dictum',29,'en','node_search',0.650439),('dictum',30,'ar','node_search',0.876337),('dictum',30,'en','node_search',0.876337),('dictum',31,'ar','node_search',0.902857),('dictum',31,'en','node_search',0.902857),('dictum',32,'ar','node_search',0.792123),('dictum',32,'en','node_search',0.792123),('dictum',33,'ar','node_search',1),('dictum',33,'en','node_search',1),('dictum',34,'ar','node_search',1.66441),('dictum',34,'en','node_search',1.66441),('dictum',35,'ar','node_search',0.961087),('dictum',35,'en','node_search',0.961087),('dictum',36,'ar','node_search',3.21052),('dictum',36,'en','node_search',3.20835),('dictum',38,'en','node_search',1.75946),('dictumst',2,'ar','node_search',0.725015),('dictumst',2,'en','node_search',0.727213),('dictumst',3,'ar','node_search',0.689612),('dictumst',3,'en','node_search',0.689612),('dictumst',5,'ar','node_search',0.968904),('dictumst',5,'en','node_search',0.968904),('dictumst',6,'ar','node_search',0.718502),('dictumst',6,'en','node_search',0.718502),('dictumst',12,'ar','node_search',0.830633),('dictumst',12,'en','node_search',0.830633),('dictumst',26,'ar','node_search',0.913226),('dictumst',26,'en','node_search',0.913226),('dictumst',38,'en','node_search',1),('did',9,'ar','node_search',1),('did',9,'en','node_search',1),('did',11,'ar','node_search',1),('did',11,'en','node_search',1),('did',17,'ar','node_search',1),('did',17,'en','node_search',1),('diego',2,'ar','node_search',30),('diego',2,'en','node_search',30),('differences',20,'ar','node_search',1),('differences',20,'en','node_search',1),('different',10,'ar','node_search',1),('different',10,'en','node_search',1),('dig',20,'ar','node_search',1),('dig',20,'en','node_search',1),('dignissim',1,'ar','node_search',0.714225),('dignissim',1,'en','node_search',0.714225),('dignissim',2,'ar','node_search',0.810915),('dignissim',2,'en','node_search',0.813674),('dignissim',3,'ar','node_search',0.827757),('dignissim',3,'en','node_search',0.827757),('dignissim',4,'ar','node_search',0.672252),('dignissim',4,'en','node_search',0.674137),('dignissim',5,'ar','node_search',0.892724),('dignissim',5,'en','node_search',0.892724),('dignissim',6,'ar','node_search',1.66817),('dignissim',6,'en','node_search',1.66817),('dignissim',7,'ar','node_search',0.889397),('dignissim',7,'en','node_search',0.889397),('dignissim',8,'ar','node_search',2.9052),('dignissim',8,'en','node_search',2.9052),('dignissim',9,'ar','node_search',0.810915),('dignissim',9,'en','node_search',0.810915),('dignissim',10,'ar','node_search',1),('dignissim',10,'en','node_search',1),('dignissim',11,'ar','node_search',0.736141),('dignissim',11,'en','node_search',0.736141),('dignissim',12,'ar','node_search',0.909743),('dignissim',12,'en','node_search',0.909743),('dignissim',13,'ar','node_search',1),('dignissim',13,'en','node_search',1),('dignissim',14,'ar','node_search',1.76262),('dignissim',14,'en','node_search',1.76262),('dignissim',16,'ar','node_search',0.827757),('dignissim',16,'en','node_search',0.827757),('dignissim',17,'ar','node_search',0.725015),('dignissim',17,'en','node_search',0.725015),('dignissim',19,'ar','node_search',3.4987),('dignissim',19,'en','node_search',3.4987),('dignissim',20,'ar','node_search',0.802752),('dignissim',20,'en','node_search',0.802752),('dignissim',21,'ar','node_search',2.88764),('dignissim',21,'en','node_search',2.88764),('dignissim',22,'ar','node_search',1),('dignissim',22,'en','node_search',1),('dignissim',25,'ar','node_search',1.86366),('dignissim',25,'en','node_search',1.86366),('dignissim',26,'ar','node_search',0.873132),('dignissim',26,'en','node_search',0.873132),('dignissim',27,'ar','node_search',0.906287),('dignissim',27,'en','node_search',0.906287),('dignissim',28,'ar','node_search',2.52087),('dignissim',28,'en','node_search',2.52087),('dignissim',30,'ar','node_search',0.906287),('dignissim',30,'en','node_search',0.906287),('dignissim',31,'ar','node_search',2.86576),('dignissim',31,'en','node_search',2.86576),('dignissim',32,'ar','node_search',1.79475),('dignissim',32,'en','node_search',1.79475),('dignissim',33,'ar','node_search',1),('dignissim',33,'en','node_search',1),('dignissim',34,'ar','node_search',0.913226),('dignissim',34,'en','node_search',0.913226),('dignissim',35,'ar','node_search',0.997306),('dignissim',35,'en','node_search',0.997306),('dignissim',36,'ar','node_search',2.35954),('dignissim',36,'en','node_search',2.35737),('dignissim',38,'en','node_search',1),('dignissim',48,'en','node_search',2),('direct',13,'ar','node_search',1),('direct',13,'en','node_search',1),('directly',25,'ar','node_search',1),('directly',25,'en','node_search',1),('directorgeneral',23,'ar','node_search',1),('directorgeneral',23,'en','node_search',1),('dis',2,'ar','node_search',0.830633),('dis',2,'en','node_search',0.833529),('dis',3,'ar','node_search',0.848323),('dis',3,'en','node_search',0.848323),('dis',6,'ar','node_search',0.776703),('dis',6,'en','node_search',0.776703),('dis',8,'ar','node_search',1),('dis',8,'en','node_search',1),('dis',28,'ar','node_search',1),('dis',28,'en','node_search',1),('dis',38,'en','node_search',0.794753),('discover',2,'ar','node_search',1),('discover',2,'en','node_search',1),('discovered',6,'ar','node_search',1),('discovered',6,'en','node_search',1),('discovered',19,'ar','node_search',1),('discovered',19,'en','node_search',1),('disease',21,'ar','node_search',1),('disease',21,'en','node_search',1),('disease',29,'ar','node_search',2),('disease',29,'en','node_search',2),('diseases',18,'ar','node_search',1),('diseases',18,'en','node_search',1),('diseases',21,'ar','node_search',1),('diseases',21,'en','node_search',1),('display',2,'ar','node_search',1),('display',2,'en','node_search',1),('distance',28,'ar','node_search',1),('distance',28,'en','node_search',1),('distance',30,'ar','node_search',1),('distance',30,'en','node_search',1),('distance',49,'en','node_search',0.889397),('distances',7,'ar','node_search',1),('distances',7,'en','node_search',1),('distineo',48,'en','node_search',1),('districts',9,'ar','node_search',1),('districts',9,'en','node_search',1),('diving',4,'ar','node_search',0.934703),('diving',4,'en','node_search',0.938382),('division',9,'ar','node_search',0.968904),('division',9,'en','node_search',0.968904),('diy',33,'ar','node_search',1),('diy',33,'en','node_search',1),('dodging',22,'ar','node_search',1),('dodging',22,'en','node_search',1),('does',21,'ar','node_search',2),('does',21,'en','node_search',2),('doesn',15,'ar','node_search',1),('doesn',15,'en','node_search',1),('dogs',2,'ar','node_search',1),('dogs',2,'en','node_search',1),('dolor',1,'ar','node_search',2.22554),('dolor',1,'en','node_search',2.22554),('dolor',2,'ar','node_search',2.87895),('dolor',2,'en','node_search',2.88762),('dolor',3,'ar','node_search',2.72124),('dolor',3,'en','node_search',2.72124),('dolor',4,'ar','node_search',3.71378),('dolor',4,'en','node_search',3.72546),('dolor',5,'ar','node_search',2.3968),('dolor',5,'en','node_search',2.3968),('dolor',6,'ar','node_search',3.30166),('dolor',6,'en','node_search',3.30166),('dolor',10,'ar','node_search',2.78691),('dolor',10,'en','node_search',2.78691),('dolor',11,'ar','node_search',0.664818),('dolor',11,'en','node_search',0.664818),('dolor',12,'ar','node_search',1.83938),('dolor',12,'en','node_search',1.83938),('dolor',13,'ar','node_search',3.49297),('dolor',13,'en','node_search',3.49297),('dolor',14,'ar','node_search',1.8103),('dolor',14,'en','node_search',1.8103),('dolor',16,'ar','node_search',2.83049),('dolor',16,'en','node_search',2.83049),('dolor',17,'ar','node_search',2.43541),('dolor',17,'en','node_search',2.43541),('dolor',18,'ar','node_search',1.90629),('dolor',18,'en','node_search',1.90629),('dolor',19,'ar','node_search',1.8861),('dolor',19,'en','node_search',1.8861),('dolor',20,'ar','node_search',1.93105),('dolor',20,'en','node_search',1.93105),('dolor',21,'ar','node_search',1.48909),('dolor',21,'en','node_search',1.48909),('dolor',23,'ar','node_search',2.56646),('dolor',23,'en','node_search',2.56646),('dolor',24,'ar','node_search',2.27408),('dolor',24,'en','node_search',2.27408),('dolor',25,'ar','node_search',1.88282),('dolor',25,'en','node_search',1.88282),('dolor',26,'ar','node_search',3.45776),('dolor',26,'en','node_search',3.45776),('dolor',27,'ar','node_search',1.72191),('dolor',27,'en','node_search',1.72191),('dolor',29,'ar','node_search',2.25962),('dolor',29,'en','node_search',2.25962),('dolor',30,'ar','node_search',0.745294),('dolor',30,'en','node_search',0.745294),('dolor',31,'ar','node_search',3.08887),('dolor',31,'en','node_search',3.08887),('dolor',32,'ar','node_search',1),('dolor',32,'en','node_search',1),('dolor',33,'ar','node_search',0.863659),('dolor',33,'en','node_search',0.863659),('dolor',34,'ar','node_search',2),('dolor',34,'en','node_search',2),('dolor',35,'ar','node_search',0.805455),('dolor',35,'en','node_search',0.805455),('dolor',36,'ar','node_search',0.819249),('dolor',36,'en','node_search',0.819249),('dolor',38,'en','node_search',10.0352),('dolor',48,'en','node_search',1.83886),('dolore',38,'en','node_search',2.59112),('dolores',38,'en','node_search',0.886095),('dolphins',3,'ar','node_search',0.976851),('dolphins',3,'en','node_search',0.976851),('dolphins',4,'ar','node_search',1),('dolphins',4,'en','node_search',1),('dolus',48,'en','node_search',3.74273),('domestic',21,'ar','node_search',2),('domestic',21,'en','node_search',2),('don',17,'ar','node_search',27),('don',17,'en','node_search',27),('don',35,'ar','node_search',1),('don',35,'en','node_search',1),('donated',24,'ar','node_search',1),('donated',24,'en','node_search',1),('done',30,'ar','node_search',1),('done',30,'en','node_search',1),('donec',1,'ar','node_search',1.7717),('donec',1,'en','node_search',1.7717),('donec',2,'ar','node_search',2.21841),('donec',2,'en','node_search',2.22529),('donec',3,'ar','node_search',2.11662),('donec',3,'en','node_search',2.11662),('donec',5,'ar','node_search',0.96498),('donec',5,'en','node_search',0.96498),('donec',6,'ar','node_search',1.47694),('donec',6,'en','node_search',1.47694),('donec',7,'ar','node_search',1),('donec',7,'en','node_search',1),('donec',8,'ar','node_search',2.9534),('donec',8,'en','node_search',2.9534),('donec',10,'ar','node_search',0.78951),('donec',10,'en','node_search',0.78951),('donec',11,'ar','node_search',0.716357),('donec',11,'en','node_search',0.716357),('donec',12,'ar','node_search',1.68236),('donec',12,'en','node_search',1.68236),('donec',13,'ar','node_search',4.54229),('donec',13,'en','node_search',4.54229),('donec',14,'ar','node_search',1.92027),('donec',14,'en','node_search',1.92027),('donec',15,'ar','node_search',0.866793),('donec',15,'en','node_search',0.866793),('donec',16,'ar','node_search',3.88282),('donec',16,'en','node_search',3.88282),('donec',17,'ar','node_search',3.57737),('donec',17,'en','node_search',3.57737),('donec',18,'ar','node_search',3.67113),('donec',18,'en','node_search',3.67113),('donec',19,'ar','node_search',3.44151),('donec',19,'en','node_search',3.44151),('donec',20,'ar','node_search',0.899454),('donec',20,'en','node_search',0.899454),('donec',21,'ar','node_search',3.97646),('donec',21,'en','node_search',3.97646),('donec',22,'ar','node_search',0.96498),('donec',22,'en','node_search',0.96498),('donec',24,'ar','node_search',0.889397),('donec',24,'en','node_search',0.889397),('donec',25,'ar','node_search',1),('donec',25,'en','node_search',1),('donec',26,'ar','node_search',2.90974),('donec',26,'en','node_search',2.90974),('donec',28,'ar','node_search',2.47336),('donec',28,'en','node_search',2.47336),('donec',29,'ar','node_search',1.54599),('donec',29,'en','node_search',1.54599),('donec',30,'ar','node_search',0.980874),('donec',30,'en','node_search',0.980874),('donec',31,'ar','node_search',2.63355),('donec',31,'en','node_search',2.63355),('donec',32,'ar','node_search',0.819249),('donec',32,'en','node_search',0.819249),('donec',33,'ar','node_search',1),('donec',33,'en','node_search',1),('donec',34,'ar','node_search',2.6527),('donec',34,'en','node_search',2.6527),('donec',35,'ar','node_search',1),('donec',35,'en','node_search',1),('donec',36,'ar','node_search',1.64308),('donec',36,'en','node_search',1.64308),('donec',38,'en','node_search',6.11243),('donna',20,'ar','node_search',2),('donna',20,'en','node_search',2),('doodled',3,'ar','node_search',1),('doodled',3,'en','node_search',1),('door',30,'ar','node_search',1),('door',30,'en','node_search',1),('doors',10,'ar','node_search',1),('doors',10,'en','node_search',1),('dots',9,'ar','node_search',1),('dots',9,'en','node_search',1),('down',3,'ar','node_search',1),('down',3,'en','node_search',1),('down',4,'ar','node_search',1.9689),('down',4,'en','node_search',1.97286),('down',5,'ar','node_search',1),('down',5,'en','node_search',1),('down',11,'ar','node_search',2),('down',11,'en','node_search',2),('down',35,'ar','node_search',27),('down',35,'en','node_search',27),('down',49,'en','node_search',19),('downpour',11,'ar','node_search',1),('downpour',11,'en','node_search',1),('dream',31,'ar','node_search',3),('dream',31,'en','node_search',3),('dreams',17,'ar','node_search',1),('dreams',17,'en','node_search',1),('dreams',31,'ar','node_search',1),('dreams',31,'en','node_search',1),('drenched',11,'ar','node_search',1),('drenched',11,'en','node_search',1),('dress',10,'ar','node_search',1),('dress',10,'en','node_search',1),('drey',24,'ar','node_search',1),('drey',24,'en','node_search',1),('drifted',3,'ar','node_search',1),('drifted',3,'en','node_search',1),('drink',35,'ar','node_search',28),('drink',35,'en','node_search',28),('drink',49,'en','node_search',19),('drug',23,'ar','node_search',1),('drug',23,'en','node_search',1),('dui',2,'ar','node_search',3.18896),('dui',2,'en','node_search',3.19986),('dui',3,'ar','node_search',2.10922),('dui',3,'en','node_search',2.10922),('dui',5,'ar','node_search',0.72066),('dui',5,'en','node_search',0.72066),('dui',6,'ar','node_search',1.62386),('dui',6,'en','node_search',1.62386),('dui',7,'ar','node_search',1.86366),('dui',7,'en','node_search',1.86366),('dui',8,'ar','node_search',1),('dui',8,'en','node_search',1),('dui',9,'ar','node_search',0.784336),('dui',9,'en','node_search',0.784336),('dui',10,'ar','node_search',1.70889),('dui',10,'en','node_search',1.70889),('dui',11,'ar','node_search',1.55361),('dui',11,'en','node_search',1.55361),('dui',12,'ar','node_search',3.73045),('dui',12,'en','node_search',3.73045),('dui',13,'ar','node_search',3.47711),('dui',13,'en','node_search',3.47711),('dui',14,'ar','node_search',2),('dui',14,'en','node_search',2),('dui',15,'ar','node_search',1.77359),('dui',15,'en','node_search',1.77359),('dui',16,'ar','node_search',2.8034),('dui',16,'en','node_search',2.8034),('dui',17,'ar','node_search',2.4161),('dui',17,'en','node_search',2.4161),('dui',18,'ar','node_search',1.80294),('dui',18,'en','node_search',1.80294),('dui',19,'ar','node_search',0.738408),('dui',19,'en','node_search',0.738408),('dui',20,'ar','node_search',1.87512),('dui',20,'en','node_search',1.87512),('dui',21,'ar','node_search',0.851346),('dui',21,'en','node_search',0.851346),('dui',22,'ar','node_search',0.824901),('dui',22,'en','node_search',0.824901),('dui',24,'ar','node_search',0.816452),('dui',24,'en','node_search',0.816452),('dui',25,'ar','node_search',0.797402),('dui',25,'en','node_search',0.797402),('dui',27,'ar','node_search',1.83063),('dui',27,'en','node_search',1.83063),('dui',28,'ar','node_search',1),('dui',28,'en','node_search',1),('dui',29,'ar','node_search',0.640063),('dui',29,'en','node_search',0.640063),('dui',30,'ar','node_search',1.37933),('dui',30,'en','node_search',1.37933),('dui',31,'ar','node_search',0.736141),('dui',31,'en','node_search',0.736141),('dui',32,'ar','node_search',0.873132),('dui',32,'en','node_search',0.873132),('dui',33,'ar','node_search',0.797402),('dui',33,'en','node_search',0.797402),('dui',34,'ar','node_search',2),('dui',34,'en','node_search',2),('dui',35,'ar','node_search',0.747619),('dui',35,'en','node_search',0.747619),('dui',36,'ar','node_search',2.59917),('dui',36,'en','node_search',2.597),('dui',38,'en','node_search',2.88375),('duis',1,'ar','node_search',0.863659),('duis',1,'en','node_search',0.863659),('duis',7,'ar','node_search',1),('duis',7,'en','node_search',1),('duis',8,'ar','node_search',0.909743),('duis',8,'en','node_search',0.909743),('duis',10,'ar','node_search',1.90974),('duis',10,'en','node_search',1.90974),('duis',13,'ar','node_search',0.899454),('duis',13,'en','node_search',0.899454),('duis',16,'ar','node_search',1),('duis',16,'en','node_search',1),('duis',17,'ar','node_search',0.920273),('duis',17,'en','node_search',0.920273),('duis',19,'ar','node_search',2.7717),('duis',19,'en','node_search',2.7717),('duis',21,'ar','node_search',1.55597),('duis',21,'en','node_search',1.55597),('duis',24,'ar','node_search',0.980874),('duis',24,'en','node_search',0.980874),('duis',26,'ar','node_search',0.980874),('duis',26,'en','node_search',0.980874),('duis',28,'ar','node_search',0.766757),('duis',28,'en','node_search',0.766757),('duis',29,'ar','node_search',0.664818),('duis',29,'en','node_search',0.664818),('duis',31,'ar','node_search',0.805455),('duis',31,'en','node_search',0.805455),('duis',36,'ar','node_search',0.797402),('duis',36,'en','node_search',0.797402),('duis',38,'en','node_search',1.44376),('duis',48,'en','node_search',0.993146),('dunes',4,'ar','node_search',0.961087),('dunes',4,'en','node_search',0.96498),('duo',38,'en','node_search',0.889397),('during',23,'ar','node_search',1),('during',23,'en','node_search',1),('during',28,'ar','node_search',1),('during',28,'en','node_search',1),('during',34,'ar','node_search',2),('during',34,'en','node_search',2),('during',49,'en','node_search',1.87313),('earlier',21,'ar','node_search',1),('earlier',21,'en','node_search',1),('early',3,'ar','node_search',1),('early',3,'en','node_search',1),('early',23,'ar','node_search',1),('early',23,'en','node_search',1),('east',4,'ar','node_search',1),('east',4,'en','node_search',1),('easy',36,'ar','node_search',1),('easy',36,'en','node_search',1),('easy',49,'en','node_search',1),('easybreezy',30,'ar','node_search',1),('easybreezy',30,'en','node_search',1),('economic',1,'ar','node_search',1),('economic',1,'en','node_search',1),('edited',18,'ar','node_search',1),('edited',18,'en','node_search',1),('edmontonian',15,'ar','node_search',1),('edmontonian',15,'en','node_search',1),('education',14,'ar','node_search',1),('education',14,'en','node_search',1),('education',41,'en','node_search',27),('education',49,'en','node_search',30),('effects',32,'ar','node_search',1),('effects',32,'en','node_search',1),('egcg',35,'ar','node_search',1),('egcg',35,'en','node_search',1),('egestas',1,'ar','node_search',0.695602),('egestas',1,'en','node_search',0.695602),('egestas',5,'ar','node_search',2.20099),('egestas',5,'en','node_search',2.20099),('egestas',7,'ar','node_search',1.72776),('egestas',7,'en','node_search',1.72776),('egestas',8,'ar','node_search',1),('egestas',8,'en','node_search',1),('egestas',9,'ar','node_search',1.55821),('egestas',9,'en','node_search',1.55821),('egestas',10,'ar','node_search',2.49605),('egestas',10,'en','node_search',2.49605),('egestas',11,'ar','node_search',0.731649),('egestas',11,'en','node_search',0.731649),('egestas',14,'ar','node_search',3.64988),('egestas',14,'en','node_search',3.64988),('egestas',15,'ar','node_search',0.876337),('egestas',15,'en','node_search',0.876337),('egestas',18,'ar','node_search',1.82206),('egestas',18,'en','node_search',1.82206),('egestas',19,'ar','node_search',2.65592),('egestas',19,'en','node_search',2.65592),('egestas',21,'ar','node_search',2.34534),('egestas',21,'en','node_search',2.34534),('egestas',22,'ar','node_search',1.73442),('egestas',22,'en','node_search',1.73442),('egestas',24,'ar','node_search',0.876337),('egestas',24,'en','node_search',0.876337),('egestas',25,'ar','node_search',1.65569),('egestas',25,'en','node_search',1.65569),('egestas',26,'ar','node_search',1.76761),('egestas',26,'en','node_search',1.76761),('egestas',27,'ar','node_search',1.77923),('egestas',27,'en','node_search',1.77923),('egestas',28,'ar','node_search',0.879565),('egestas',28,'en','node_search',0.879565),('egestas',29,'ar','node_search',1.5165),('egestas',29,'en','node_search',1.5165),('egestas',30,'ar','node_search',0.670377),('egestas',30,'en','node_search',0.670377),('egestas',31,'ar','node_search',0.76188),('egestas',31,'en','node_search',0.76188),('egestas',32,'ar','node_search',1.90428),('egestas',32,'en','node_search',1.90428),('egestas',34,'ar','node_search',1.67341),('egestas',34,'en','node_search',1.67341),('eget',2,'ar','node_search',1.43723),('eget',2,'en','node_search',1.44155),('eget',3,'ar','node_search',1.35687),('eget',3,'en','node_search',1.35687),('eget',4,'ar','node_search',0.697623),('eget',4,'en','node_search',0.699655),('eget',5,'ar','node_search',0.857458),('eget',5,'en','node_search',0.857458),('eget',6,'ar','node_search',1.7248),('eget',6,'en','node_search',1.7248),('eget',7,'ar','node_search',4.58294),('eget',7,'en','node_search',4.58294),('eget',8,'ar','node_search',6.78666),('eget',8,'en','node_search',6.78666),('eget',9,'ar','node_search',2.33694),('eget',9,'en','node_search',2.33694),('eget',10,'ar','node_search',5.48199),('eget',10,'en','node_search',5.48199),('eget',11,'ar','node_search',3.03051),('eget',11,'en','node_search',3.03051),('eget',12,'ar','node_search',2),('eget',12,'en','node_search',2),('eget',13,'ar','node_search',3.59493),('eget',13,'en','node_search',3.59493),('eget',14,'ar','node_search',3.54754),('eget',14,'en','node_search',3.54754),('eget',15,'ar','node_search',2.74261),('eget',15,'en','node_search',2.74261),('eget',16,'ar','node_search',4.44774),('eget',16,'en','node_search',4.45288),('eget',17,'ar','node_search',3.31232),('eget',17,'en','node_search',3.31232),('eget',18,'ar','node_search',0.813674),('eget',18,'en','node_search',0.813674),('eget',19,'ar','node_search',1.80056),('eget',19,'en','node_search',1.80056),('eget',20,'ar','node_search',2.68485),('eget',20,'en','node_search',2.68485),('eget',21,'ar','node_search',2.28666),('eget',21,'en','node_search',2.28666),('eget',22,'ar','node_search',3.53756),('eget',22,'en','node_search',3.53756),('eget',23,'ar','node_search',0.727213),('eget',23,'en','node_search',0.727213),('eget',24,'ar','node_search',0.707906),('eget',24,'en','node_search',0.707906),('eget',25,'ar','node_search',3.40316),('eget',25,'en','node_search',3.40316),('eget',26,'ar','node_search',1.84832),('eget',26,'en','node_search',1.84832),('eget',27,'ar','node_search',2.61241),('eget',27,'en','node_search',2.61241),('eget',28,'ar','node_search',6.17712),('eget',28,'en','node_search',6.17712),('eget',29,'ar','node_search',1.55259),('eget',29,'en','node_search',1.55259),('eget',30,'ar','node_search',3.36679),('eget',30,'en','node_search',3.36679),('eget',31,'ar','node_search',1),('eget',31,'en','node_search',1),('eget',32,'ar','node_search',5.16661),('eget',32,'en','node_search',5.16661),('eget',33,'ar','node_search',3),('eget',33,'en','node_search',3),('eget',34,'ar','node_search',3.75691),('eget',34,'en','node_search',3.75691),('eget',35,'ar','node_search',2.93009),('eget',35,'en','node_search',2.93009),('eget',36,'ar','node_search',3.2886),('eget',36,'en','node_search',3.2886),('eget',38,'en','node_search',6.93548),('eirmod',38,'en','node_search',0.866793),('either',29,'ar','node_search',1),('either',29,'en','node_search',1),('eiusmod',38,'en','node_search',0.822065),('eleifend',1,'ar','node_search',0.718502),('eleifend',1,'en','node_search',0.718502),('eleifend',4,'ar','node_search',0.691597),('eleifend',4,'en','node_search',0.693594),('eleifend',5,'ar','node_search',2.32783),('eleifend',5,'en','node_search',2.32783),('eleifend',6,'ar','node_search',0.976851),('eleifend',6,'en','node_search',0.976851),('eleifend',7,'ar','node_search',0.771698),('eleifend',7,'en','node_search',0.771698),('eleifend',8,'ar','node_search',0.931053),('eleifend',8,'en','node_search',0.931053),('eleifend',9,'ar','node_search',0.685676),('eleifend',9,'en','node_search',0.685676),('eleifend',10,'ar','node_search',1.61385),('eleifend',10,'en','node_search',1.61385),('eleifend',12,'ar','node_search',1.84234),('eleifend',12,'en','node_search',1.84234),('eleifend',13,'ar','node_search',1.79475),('eleifend',13,'en','node_search',1.79475),('eleifend',14,'ar','node_search',1),('eleifend',14,'en','node_search',1),('eleifend',15,'ar','node_search',0.822065),('eleifend',15,'en','node_search',0.822065),('eleifend',16,'ar','node_search',0.879565),('eleifend',16,'en','node_search',0.879565),('eleifend',17,'ar','node_search',0.76431),('eleifend',17,'en','node_search',0.76431),('eleifend',18,'ar','node_search',1.96109),('eleifend',18,'en','node_search',1.96109),('eleifend',19,'ar','node_search',0.836446),('eleifend',19,'en','node_search',0.836446),('eleifend',20,'ar','node_search',0.882818),('eleifend',20,'en','node_search',0.882818),('eleifend',21,'ar','node_search',0.707906),('eleifend',21,'en','node_search',0.707906),('eleifend',23,'ar','node_search',0.769219),('eleifend',23,'en','node_search',0.769219),('eleifend',24,'ar','node_search',0.729424),('eleifend',24,'en','node_search',0.729424),('eleifend',26,'ar','node_search',1.6527),('eleifend',26,'en','node_search',1.6527),('eleifend',27,'ar','node_search',1.90974),('eleifend',27,'en','node_search',1.90974),('eleifend',28,'ar','node_search',0.781775),('eleifend',28,'en','node_search',0.781775),('eleifend',30,'ar','node_search',2.18839),('eleifend',30,'en','node_search',2.18839),('eleifend',31,'ar','node_search',0.920273),('eleifend',31,'en','node_search',0.920273),('eleifend',33,'ar','node_search',1.75346),('eleifend',33,'en','node_search',1.75346),('eleifend',34,'ar','node_search',1),('eleifend',34,'en','node_search',1),('eleifend',35,'ar','node_search',1.63278),('eleifend',35,'en','node_search',1.63278),('eleifend',36,'ar','node_search',2.34679),('eleifend',36,'en','node_search',2.34461),('eleifend',38,'en','node_search',3.22964),('elementaryage',9,'ar','node_search',1),('elementaryage',9,'en','node_search',1),('elementum',2,'ar','node_search',0.707906),('elementum',2,'en','node_search',0.71),('elementum',3,'ar','node_search',0.662985),('elementum',3,'en','node_search',0.662985),('elementum',4,'ar','node_search',0.683725),('elementum',4,'en','node_search',0.685676),('elementum',5,'ar','node_search',3.34424),('elementum',5,'en','node_search',3.34424),('elementum',6,'ar','node_search',0.945829),('elementum',6,'en','node_search',0.945829),('elementum',7,'ar','node_search',1.77419),('elementum',7,'en','node_search',1.77419),('elementum',8,'ar','node_search',1),('elementum',8,'en','node_search',1),('elementum',9,'ar','node_search',0.689612),('elementum',9,'en','node_search',0.689612),('elementum',12,'ar','node_search',1.77777),('elementum',12,'en','node_search',1.77777),('elementum',13,'ar','node_search',0.822065),('elementum',13,'en','node_search',0.822065),('elementum',16,'ar','node_search',1.7656),('elementum',16,'en','node_search',1.7656),('elementum',17,'ar','node_search',1.53316),('elementum',17,'en','node_search',1.53316),('elementum',18,'ar','node_search',1.8861),('elementum',18,'en','node_search',1.8861),('elementum',20,'ar','node_search',1.81423),('elementum',20,'en','node_search',1.81423),('elementum',21,'ar','node_search',1),('elementum',21,'en','node_search',1),('elementum',22,'ar','node_search',1.8249),('elementum',22,'en','node_search',1.8249),('elementum',23,'ar','node_search',0.72066),('elementum',23,'en','node_search',0.72066),('elementum',24,'ar','node_search',0.703756),('elementum',24,'en','node_search',0.703756),('elementum',26,'ar','node_search',3.59147),('elementum',26,'en','node_search',3.59147),('elementum',27,'ar','node_search',1.70289),('elementum',27,'en','node_search',1.70289),('elementum',28,'ar','node_search',0.931053),('elementum',28,'en','node_search',0.931053),('elementum',29,'ar','node_search',1.40851),('elementum',29,'en','node_search',1.40851),('elementum',30,'ar','node_search',2.18408),('elementum',30,'en','node_search',2.18408),('elementum',33,'ar','node_search',2.52147),('elementum',33,'en','node_search',2.52147),('elementum',34,'ar','node_search',3.66298),('elementum',34,'en','node_search',3.66298),('elementum',35,'ar','node_search',2.35588),('elementum',35,'en','node_search',2.35588),('elementum',38,'en','node_search',2.75231),('elevate',33,'ar','node_search',1),('elevate',33,'en','node_search',1),('eligo',48,'en','node_search',1),('elit',1,'ar','node_search',1.42866),('elit',1,'en','node_search',1.42866),('elit',2,'ar','node_search',2.08369),('elit',2,'en','node_search',2.08974),('elit',3,'ar','node_search',1.93899),('elit',3,'en','node_search',1.93899),('elit',4,'ar','node_search',2.45647),('elit',4,'en','node_search',2.46498),('elit',5,'ar','node_search',2.47612),('elit',5,'en','node_search',2.47612),('elit',7,'ar','node_search',3.49119),('elit',7,'en','node_search',3.49119),('elit',8,'ar','node_search',1),('elit',8,'en','node_search',1),('elit',9,'ar','node_search',3.16136),('elit',9,'en','node_search',3.16136),('elit',10,'ar','node_search',1.59702),('elit',10,'en','node_search',1.59702),('elit',11,'ar','node_search',2.48792),('elit',11,'en','node_search',2.48792),('elit',12,'ar','node_search',1.7452),('elit',12,'en','node_search',1.7452),('elit',13,'ar','node_search',0.78951),('elit',13,'en','node_search',0.78951),('elit',14,'ar','node_search',4.53788),('elit',14,'en','node_search',4.53788),('elit',15,'ar','node_search',1),('elit',15,'en','node_search',1),('elit',16,'ar','node_search',1.69169),('elit',16,'en','node_search',1.69169),('elit',17,'ar','node_search',1.47751),('elit',17,'en','node_search',1.47751),('elit',18,'ar','node_search',2),('elit',18,'en','node_search',2),('elit',20,'ar','node_search',1.66735),('elit',20,'en','node_search',1.66735),('elit',22,'ar','node_search',2.72466),('elit',22,'en','node_search',2.72466),('elit',23,'ar','node_search',1.59308),('elit',23,'en','node_search',1.59308),('elit',24,'ar','node_search',1.46737),('elit',24,'en','node_search',1.46737),('elit',25,'ar','node_search',5.41686),('elit',25,'en','node_search',5.41686),('elit',26,'ar','node_search',2.50803),('elit',26,'en','node_search',2.50803),('elit',27,'ar','node_search',1.58174),('elit',27,'en','node_search',1.58174),('elit',28,'ar','node_search',0.848323),('elit',28,'en','node_search',0.848323),('elit',31,'ar','node_search',0.695602),('elit',31,'en','node_search',0.695602),('elit',32,'ar','node_search',2.70067),('elit',32,'en','node_search',2.70067),('elit',34,'ar','node_search',1.90629),('elit',34,'en','node_search',1.90629),('elit',36,'ar','node_search',1),('elit',36,'en','node_search',1),('elit',38,'en','node_search',4.67108),('elit',48,'en','node_search',1.87957),('elitr',38,'en','node_search',0.873132),('elizabeth',5,'ar','node_search',1),('elizabeth',5,'en','node_search',1),('elliott',31,'ar','node_search',2),('elliott',31,'en','node_search',2),('email',18,'ar','node_search',1),('email',18,'en','node_search',1),('email',34,'ar','node_search',1),('email',34,'en','node_search',1),('emergency',14,'ar','node_search',31),('emergency',14,'en','node_search',31),('emergency',49,'en','node_search',1.89241),('emerging',11,'ar','node_search',1),('emerging',11,'en','node_search',1),('emotions',30,'ar','node_search',1),('emotions',30,'en','node_search',1),('ena',14,'ar','node_search',1),('ena',14,'en','node_search',1),('encountering',12,'ar','node_search',1),('encountering',12,'en','node_search',1),('encouraged',3,'ar','node_search',0.916736),('encouraged',3,'en','node_search',0.916736),('end',28,'ar','node_search',1),('end',28,'en','node_search',1),('energy',29,'ar','node_search',0.968904),('energy',29,'en','node_search',0.968904),('engage',13,'ar','node_search',1),('engage',13,'en','node_search',1),('engineering',9,'ar','node_search',1),('engineering',9,'en','node_search',1),('english',11,'ar','node_search',1),('english',11,'en','node_search',1),('enim',1,'ar','node_search',3.02541),('enim',1,'en','node_search',3.02541),('enim',2,'ar','node_search',2.39601),('enim',2,'en','node_search',2.40008),('enim',3,'ar','node_search',1.31153),('enim',3,'en','node_search',1.31153),('enim',4,'ar','node_search',2.80122),('enim',4,'en','node_search',2.80943),('enim',5,'ar','node_search',0.866793),('enim',5,'en','node_search',0.866793),('enim',6,'ar','node_search',2.6454),('enim',6,'en','node_search',2.6454),('enim',7,'ar','node_search',0.781775),('enim',7,'en','node_search',0.781775),('enim',8,'ar','node_search',2.99315),('enim',8,'en','node_search',2.99315),('enim',9,'ar','node_search',0.697623),('enim',9,'en','node_search',0.697623),('enim',10,'ar','node_search',0.786915),('enim',10,'en','node_search',0.786915),('enim',11,'ar','node_search',0.906287),('enim',11,'en','node_search',0.906287),('enim',12,'ar','node_search',2.85212),('enim',12,'en','node_search',2.85212),('enim',13,'ar','node_search',4.27224),('enim',13,'en','node_search',4.27224),('enim',14,'ar','node_search',0.857458),('enim',14,'en','node_search',0.857458),('enim',15,'ar','node_search',1.8284),('enim',15,'en','node_search',1.8284),('enim',16,'ar','node_search',8.07705),('enim',16,'en','node_search',8.08733),('enim',17,'ar','node_search',5.72223),('enim',17,'en','node_search',5.72223),('enim',20,'ar','node_search',4.68795),('enim',20,'en','node_search',4.68795),('enim',22,'ar','node_search',1),('enim',22,'en','node_search',1),('enim',25,'ar','node_search',0.896076),('enim',25,'en','node_search',0.896076),('enim',26,'ar','node_search',0.857458),('enim',26,'en','node_search',0.857458),('enim',27,'ar','node_search',1),('enim',27,'en','node_search',1),('enim',28,'ar','node_search',2.79776),('enim',28,'en','node_search',2.79776),('enim',29,'ar','node_search',0.638366),('enim',29,'en','node_search',0.638366),('enim',30,'ar','node_search',3.69711),('enim',30,'en','node_search',3.69711),('enim',33,'ar','node_search',3.50408),('enim',33,'en','node_search',3.50408),('enim',34,'ar','node_search',4.93781),('enim',34,'en','node_search',4.93781),('enim',35,'ar','node_search',3.2644),('enim',35,'en','node_search',3.2644),('enim',36,'ar','node_search',0.740689),('enim',36,'en','node_search',0.740689),('enim',38,'en','node_search',6.76785),('enim',48,'en','node_search',2),('enjoy',2,'ar','node_search',2),('enjoy',2,'en','node_search',2),('enough',29,'ar','node_search',0.945829),('enough',29,'en','node_search',0.945829),('ensure',29,'ar','node_search',1),('ensure',29,'en','node_search',1),('entered',28,'ar','node_search',1),('entered',28,'en','node_search',1),('entertaining',20,'ar','node_search',1),('entertaining',20,'en','node_search',1),('entire',2,'ar','node_search',1),('entire',2,'en','node_search',1),('entrance',3,'ar','node_search',1),('entrance',3,'en','node_search',1),('entry',21,'ar','node_search',1),('entry',21,'en','node_search',1),('eos',38,'en','node_search',0.899454),('epic',6,'ar','node_search',1),('epic',6,'en','node_search',1),('epidemic',29,'ar','node_search',27),('epidemic',29,'en','node_search',27),('epidemic',49,'en','node_search',13.5252),('epigallocatechin',35,'ar','node_search',1),('epigallocatechin',35,'en','node_search',1),('equates',22,'ar','node_search',1),('equates',22,'en','node_search',1),('equivalent',24,'ar','node_search',1),('equivalent',24,'en','node_search',1),('erat',1,'ar','node_search',0.830633),('erat',1,'en','node_search',0.830633),('erat',2,'ar','node_search',1.68572),('erat',2,'en','node_search',1.69174),('erat',3,'ar','node_search',0.733888),('erat',3,'en','node_search',0.733888),('erat',5,'ar','node_search',1.80275),('erat',5,'en','node_search',1.80275),('erat',6,'ar','node_search',1.57422),('erat',6,'en','node_search',1.57422),('erat',7,'ar','node_search',0.792123),('erat',7,'en','node_search',0.792123),('erat',8,'ar','node_search',1),('erat',8,'en','node_search',1),('erat',9,'ar','node_search',0.707906),('erat',9,'en','node_search',0.707906),('erat',10,'ar','node_search',3.26696),('erat',10,'en','node_search',3.26696),('erat',11,'ar','node_search',3.69927),('erat',11,'en','node_search',3.69927),('erat',12,'ar','node_search',4.49276),('erat',12,'en','node_search',4.49276),('erat',13,'ar','node_search',0.827757),('erat',13,'en','node_search',0.827757),('erat',14,'ar','node_search',2.70664),('erat',14,'en','node_search',2.70664),('erat',15,'ar','node_search',1.87957),('erat',15,'en','node_search',1.87957),('erat',16,'ar','node_search',1.75115),('erat',16,'en','node_search',1.75115),('erat',17,'ar','node_search',1.52181),('erat',17,'en','node_search',1.52181),('erat',18,'ar','node_search',0.879565),('erat',18,'en','node_search',0.879565),('erat',19,'ar','node_search',1.68572),('erat',19,'en','node_search',1.68572),('erat',20,'ar','node_search',1.78178),('erat',20,'en','node_search',1.78178),('erat',21,'ar','node_search',1.73389),('erat',21,'en','node_search',1.73389),('erat',22,'ar','node_search',0.879565),('erat',22,'en','node_search',0.879565),('erat',23,'ar','node_search',0.886095),('erat',23,'en','node_search',0.886095),('erat',24,'ar','node_search',1.7064),('erat',24,'en','node_search',1.7064),('erat',25,'ar','node_search',2.77419),('erat',25,'en','node_search',2.77419),('erat',26,'ar','node_search',1.76416),('erat',26,'en','node_search',1.76416),('erat',27,'ar','node_search',1.64155),('erat',27,'en','node_search',1.64155),('erat',28,'ar','node_search',1),('erat',28,'en','node_search',1),('erat',29,'ar','node_search',4.50451),('erat',29,'en','node_search',4.50451),('erat',30,'ar','node_search',2.98632),('erat',30,'en','node_search',2.98632),('erat',31,'ar','node_search',1.48713),('erat',31,'en','node_search',1.48713),('erat',32,'ar','node_search',1),('erat',32,'en','node_search',1),('erat',33,'ar','node_search',3.46371),('erat',33,'en','node_search',3.46371),('erat',34,'ar','node_search',2.73442),('erat',34,'en','node_search',2.73442),('erat',35,'ar','node_search',3.22878),('erat',35,'en','node_search',3.22878),('erat',36,'ar','node_search',2.33178),('erat',36,'en','node_search',2.32961),('erat',38,'en','node_search',3.16797),('eros',1,'ar','node_search',0.949597),('eros',1,'en','node_search',0.949597),('eros',2,'ar','node_search',0.705825),('eros',2,'en','node_search',0.707906),('eros',3,'ar','node_search',0.661163),('eros',3,'en','node_search',0.661163),('eros',4,'ar','node_search',0.816452),('eros',4,'en','node_search',0.819249),('eros',7,'ar','node_search',3.63849),('eros',7,'en','node_search',3.63849),('eros',8,'ar','node_search',1),('eros',8,'en','node_search',1),('eros',9,'ar','node_search',3.35584),('eros',9,'en','node_search',3.35584),('eros',10,'ar','node_search',1.66084),('eros',10,'en','node_search',1.66084),('eros',11,'ar','node_search',0.705825),('eros',11,'en','node_search',0.705825),('eros',12,'ar','node_search',0.942091),('eros',12,'en','node_search',0.942091),('eros',13,'ar','node_search',1.94209),('eros',13,'en','node_search',1.94209),('eros',14,'ar','node_search',0.836446),('eros',14,'en','node_search',0.836446),('eros',16,'ar','node_search',1.81645),('eros',16,'en','node_search',1.81645),('eros',17,'ar','node_search',1.70129),('eros',17,'en','node_search',1.70129),('eros',18,'ar','node_search',2.8861),('eros',18,'en','node_search',2.8861),('eros',20,'ar','node_search',0.786915),('eros',20,'en','node_search',0.786915),('eros',21,'ar','node_search',1),('eros',21,'en','node_search',1),('eros',22,'ar','node_search',1),('eros',22,'en','node_search',1),('eros',23,'ar','node_search',0.749958),('eros',23,'en','node_search',0.749958),('eros',24,'ar','node_search',0.716357),('eros',24,'en','node_search',0.716357),('eros',25,'ar','node_search',0.851346),('eros',25,'en','node_search',0.851346),('eros',26,'ar','node_search',1),('eros',26,'en','node_search',1),('eros',27,'ar','node_search',0.839384),('eros',27,'en','node_search',0.839384),('eros',28,'ar','node_search',1),('eros',28,'en','node_search',1),('eros',29,'ar','node_search',1.36598),('eros',29,'en','node_search',1.36598),('eros',32,'ar','node_search',1),('eros',32,'en','node_search',1),('eros',34,'ar','node_search',1.72336),('eros',34,'en','node_search',1.72336),('eros',38,'en','node_search',2.14554),('eros',48,'en','node_search',1),('escape',31,'ar','node_search',1),('escape',31,'en','node_search',1),('especially',30,'ar','node_search',1),('especially',30,'en','node_search',1),('est',1,'ar','node_search',0.845322),('est',1,'en','node_search',0.845322),('est',2,'ar','node_search',3.46173),('est',2,'en','node_search',3.47438),('est',3,'ar','node_search',0.757065),('est',3,'en','node_search',0.757065),('est',4,'ar','node_search',3.71301),('est',4,'en','node_search',3.72467),('est',5,'ar','node_search',2.4223),('est',5,'en','node_search',2.4223),('est',6,'ar','node_search',6.02255),('est',6,'en','node_search',6.02255),('est',7,'ar','node_search',1),('est',7,'en','node_search',1),('est',8,'ar','node_search',4.83706),('est',8,'en','node_search',4.83706),('est',10,'ar','node_search',0.802752),('est',10,'en','node_search',0.802752),('est',11,'ar','node_search',2.76506),('est',11,'en','node_search',2.76506),('est',12,'ar','node_search',1.97286),('est',12,'en','node_search',1.97286),('est',13,'ar','node_search',0.96498),('est',13,'en','node_search',0.96498),('est',14,'ar','node_search',2.63152),('est',14,'en','node_search',2.63152),('est',15,'ar','node_search',0.833529),('est',15,'en','node_search',0.833529),('est',16,'ar','node_search',2.61276),('est',16,'en','node_search',2.61787),('est',17,'ar','node_search',1.72942),('est',17,'en','node_search',1.72942),('est',18,'ar','node_search',1.81645),('est',18,'en','node_search',1.81645),('est',19,'ar','node_search',0.851346),('est',19,'en','node_search',0.851346),('est',20,'ar','node_search',0.822065),('est',20,'en','node_search',0.822065),('est',21,'ar','node_search',1.54775),('est',21,'en','node_search',1.54775),('est',25,'ar','node_search',3.5755),('est',25,'en','node_search',3.5755),('est',26,'ar','node_search',2.70425),('est',26,'en','node_search',2.70425),('est',27,'ar','node_search',1.72929),('est',27,'en','node_search',1.72929),('est',28,'ar','node_search',4.27263),('est',28,'en','node_search',4.27263),('est',29,'ar','node_search',2.01997),('est',29,'en','node_search',2.01997),('est',30,'ar','node_search',3.89365),('est',30,'en','node_search',3.89365),('est',31,'ar','node_search',0.949597),('est',31,'en','node_search',0.949597),('est',32,'ar','node_search',2.61401),('est',32,'en','node_search',2.61401),('est',33,'ar','node_search',3.70128),('est',33,'en','node_search',3.70128),('est',34,'ar','node_search',0.938382),('est',34,'en','node_search',0.938382),('est',35,'ar','node_search',3.51104),('est',35,'en','node_search',3.51104),('est',36,'ar','node_search',3.35754),('est',36,'en','node_search',3.35754),('est',38,'en','node_search',6.708),('establish',21,'ar','node_search',1),('establish',21,'en','node_search',1),('etc',35,'ar','node_search',1),('etc',35,'en','node_search',1),('etiam',1,'ar','node_search',2.31179),('etiam',1,'en','node_search',2.31179),('etiam',2,'ar','node_search',0.776703),('etiam',2,'en','node_search',0.779231),('etiam',3,'ar','node_search',0.754681),('etiam',3,'en','node_search',0.754681),('etiam',4,'ar','node_search',2.28886),('etiam',4,'en','node_search',2.29617),('etiam',5,'ar','node_search',0.716357),('etiam',5,'en','node_search',0.716357),('etiam',6,'ar','node_search',0.752312),('etiam',6,'en','node_search',0.752312),('etiam',7,'ar','node_search',1.64155),('etiam',7,'en','node_search',1.64155),('etiam',9,'ar','node_search',1.468),('etiam',9,'en','node_search',1.468),('etiam',10,'ar','node_search',0.824901),('etiam',10,'en','node_search',0.824901),('etiam',11,'ar','node_search',0.808176),('etiam',11,'en','node_search',0.808176),('etiam',14,'ar','node_search',1),('etiam',14,'en','node_search',1),('etiam',16,'ar','node_search',0.860547),('etiam',16,'en','node_search',0.860547),('etiam',17,'ar','node_search',0.749958),('etiam',17,'en','node_search',0.749958),('etiam',18,'ar','node_search',1.91674),('etiam',18,'en','node_search',1.91674),('etiam',19,'ar','node_search',0.833529),('etiam',19,'en','node_search',0.833529),('etiam',20,'ar','node_search',0.863659),('etiam',20,'en','node_search',0.863659),('etiam',21,'ar','node_search',0.705825),('etiam',21,'en','node_search',0.705825),('etiam',22,'ar','node_search',0.889397),('etiam',22,'en','node_search',0.889397),('etiam',23,'ar','node_search',2.22062),('etiam',23,'en','node_search',2.22062),('etiam',24,'ar','node_search',2.13439),('etiam',24,'en','node_search',2.13439),('etiam',26,'ar','node_search',1),('etiam',26,'en','node_search',1),('etiam',27,'ar','node_search',0.916736),('etiam',27,'en','node_search',0.916736),('etiam',29,'ar','node_search',0.657549),('etiam',29,'en','node_search',0.657549),('etiam',30,'ar','node_search',0.769219),('etiam',30,'en','node_search',0.769219),('etiam',31,'ar','node_search',0.916736),('etiam',31,'en','node_search',0.916736),('etiam',33,'ar','node_search',0.896076),('etiam',33,'en','node_search',0.896076),('etiam',34,'ar','node_search',0.993146),('etiam',34,'en','node_search',0.993146),('etiam',35,'ar','node_search',0.833529),('etiam',35,'en','node_search',0.833529),('etiam',36,'ar','node_search',0.808176),('etiam',36,'en','node_search',0.808176),('etiam',38,'en','node_search',3.92363),('etsy',33,'ar','node_search',28),('etsy',33,'en','node_search',28),('etsy',49,'en','node_search',19),('etsycom',33,'ar','node_search',1),('etsycom',33,'en','node_search',1),('euismod',5,'ar','node_search',0.876337),('euismod',5,'en','node_search',0.876337),('euismod',7,'ar','node_search',1.75952),('euismod',7,'en','node_search',1.75952),('euismod',8,'ar','node_search',2),('euismod',8,'en','node_search',2),('euismod',9,'ar','node_search',1.60318),('euismod',9,'en','node_search',1.60318),('euismod',11,'ar','node_search',0.683725),('euismod',11,'en','node_search',0.683725),('euismod',12,'ar','node_search',1.77549),('euismod',12,'en','node_search',1.77549),('euismod',13,'ar','node_search',0.786915),('euismod',13,'en','node_search',0.786915),('euismod',15,'ar','node_search',1.9534),('euismod',15,'en','node_search',1.9534),('euismod',16,'ar','node_search',1.68856),('euismod',16,'en','node_search',1.68856),('euismod',17,'ar','node_search',1.47514),('euismod',17,'en','node_search',1.47514),('euismod',18,'ar','node_search',1.86055),('euismod',18,'en','node_search',1.86055),('euismod',19,'ar','node_search',1.53195),('euismod',19,'en','node_search',1.53195),('euismod',20,'ar','node_search',1.66419),('euismod',20,'en','node_search',1.66419),('euismod',21,'ar','node_search',0.945829),('euismod',21,'en','node_search',0.945829),('euismod',23,'ar','node_search',0.961087),('euismod',23,'en','node_search',0.961087),('euismod',24,'ar','node_search',2.68232),('euismod',24,'en','node_search',2.68232),('euismod',26,'ar','node_search',3.86055),('euismod',26,'en','node_search',3.86055),('euismod',27,'ar','node_search',0.781775),('euismod',27,'en','node_search',0.781775),('euismod',28,'ar','node_search',1.85746),('euismod',28,'en','node_search',1.85746),('euismod',29,'ar','node_search',2.81282),('euismod',29,'en','node_search',2.81282),('euismod',30,'ar','node_search',2.19336),('euismod',30,'en','node_search',2.19336),('euismod',31,'ar','node_search',2.31685),('euismod',31,'en','node_search',2.31685),('euismod',33,'ar','node_search',2.53442),('euismod',33,'en','node_search',2.53442),('euismod',34,'ar','node_search',1.90359),('euismod',34,'en','node_search',1.90359),('euismod',35,'ar','node_search',2.36693),('euismod',35,'en','node_search',2.36693),('euismod',38,'en','node_search',2.33289),('europe',1,'ar','node_search',1),('europe',1,'en','node_search',1),('evade',19,'ar','node_search',1),('evade',19,'en','node_search',1),('even',9,'ar','node_search',27),('even',9,'en','node_search',27),('even',17,'ar','node_search',1),('even',17,'en','node_search',1),('even',27,'ar','node_search',1),('even',27,'en','node_search',1),('even',33,'ar','node_search',1),('even',33,'en','node_search',1),('even',36,'ar','node_search',27),('even',36,'en','node_search',27),('even',49,'en','node_search',19),('events',23,'ar','node_search',1),('events',23,'en','node_search',1),('ever',3,'ar','node_search',0.945829),('ever',3,'en','node_search',0.945829),('every',12,'ar','node_search',28),('every',12,'en','node_search',28),('every',29,'ar','node_search',2),('every',29,'en','node_search',2),('every',33,'ar','node_search',1),('every',33,'en','node_search',1),('everyone',12,'ar','node_search',1),('everyone',12,'en','node_search',1),('everything',2,'ar','node_search',1),('everything',2,'en','node_search',1),('everything',35,'ar','node_search',1),('everything',35,'en','node_search',1),('excepteur',38,'en','node_search',2.81257),('exceptional',14,'ar','node_search',1),('exceptional',14,'en','node_search',1),('excitement',3,'ar','node_search',1.92027),('excitement',3,'en','node_search',1.92027),('exerci',38,'en','node_search',2.47796),('exerci',48,'en','node_search',1),('exercisers',35,'ar','node_search',1),('exercisers',35,'en','node_search',1),('exhaling',32,'ar','node_search',1),('exhaling',32,'en','node_search',1),('existing',17,'ar','node_search',1),('existing',17,'en','node_search',1),('expansive',2,'ar','node_search',1),('expansive',2,'en','node_search',1),('expected',21,'ar','node_search',1),('expected',21,'en','node_search',1),('experience',20,'ar','node_search',1),('experience',20,'en','node_search',1),('export',21,'ar','node_search',1),('export',21,'en','node_search',1),('express',27,'ar','node_search',1),('express',27,'en','node_search',1),('exputo',48,'en','node_search',1.82313),('extends',35,'ar','node_search',1),('extends',35,'en','node_search',1),('extinguish',11,'ar','node_search',1),('extinguish',11,'en','node_search',1),('extract',34,'ar','node_search',28),('extract',34,'en','node_search',28),('extract',35,'ar','node_search',1),('extract',35,'en','node_search',1),('extract',49,'en','node_search',19),('extracts',13,'ar','node_search',2),('extracts',13,'en','node_search',2),('eye',36,'ar','node_search',1),('eye',36,'en','node_search',1),('eyelets',7,'ar','node_search',1),('eyelets',7,'en','node_search',1),('eyes',3,'ar','node_search',0.886095),('eyes',3,'en','node_search',0.886095),('eyes',36,'ar','node_search',27),('eyes',36,'en','node_search',27),('eyes',49,'en','node_search',19),('faceplanting',32,'ar','node_search',1),('faceplanting',32,'en','node_search',1),('facilisi',8,'ar','node_search',1),('facilisi',8,'en','node_search',1),('facilisi',19,'ar','node_search',0.869951),('facilisi',19,'en','node_search',0.869951),('facilisi',21,'ar','node_search',0.725015),('facilisi',21,'en','node_search',0.725015),('facilisi',28,'ar','node_search',1),('facilisi',28,'en','node_search',1),('facilisi',30,'ar','node_search',0.716357),('facilisi',30,'en','node_search',0.716357),('facilisi',31,'ar','node_search',0.989021),('facilisi',31,'en','node_search',0.989021),('facilisi',33,'ar','node_search',0.824901),('facilisi',33,'en','node_search',0.824901),('facilisi',35,'ar','node_search',0.771698),('facilisi',35,'en','node_search',0.771698),('facilisi',38,'en','node_search',1),('facilisi',48,'en','node_search',1.78605),('facilisis',2,'ar','node_search',0.757065),('facilisis',2,'en','node_search',0.759465),('facilisis',3,'ar','node_search',0.727213),('facilisis',3,'en','node_search',0.727213),('facilisis',4,'ar','node_search',0.757065),('facilisis',4,'en','node_search',0.759465),('facilisis',5,'ar','node_search',0.913226),('facilisis',5,'en','node_search',0.913226),('facilisis',6,'ar','node_search',0.738408),('facilisis',6,'en','node_search',0.738408),('facilisis',7,'ar','node_search',1),('facilisis',7,'en','node_search',1),('facilisis',10,'ar','node_search',1),('facilisis',10,'en','node_search',1),('facilisis',11,'ar','node_search',1.55492),('facilisis',11,'en','node_search',1.55492),('facilisis',12,'ar','node_search',1.97685),('facilisis',12,'en','node_search',1.97685),('facilisis',13,'ar','node_search',1.81925),('facilisis',13,'en','node_search',1.81925),('facilisis',14,'ar','node_search',0.845322),('facilisis',14,'en','node_search',0.845322),('facilisis',16,'ar','node_search',0.916736),('facilisis',16,'en','node_search',0.916736),('facilisis',17,'ar','node_search',0.792123),('facilisis',17,'en','node_search',0.792123),('facilisis',19,'ar','node_search',1),('facilisis',19,'en','node_search',1),('facilisis',20,'ar','node_search',0.945829),('facilisis',20,'en','node_search',0.945829),('facilisis',21,'ar','node_search',0.802752),('facilisis',21,'en','node_search',0.802752),('facilisis',22,'ar','node_search',0.854391),('facilisis',22,'en','node_search',0.854391),('facilisis',25,'ar','node_search',2.45666),('facilisis',25,'en','node_search',2.45666),('facilisis',26,'ar','node_search',0.886095),('facilisis',26,'en','node_search',0.886095),('facilisis',27,'ar','node_search',0.802752),('facilisis',27,'en','node_search',0.802752),('facilisis',29,'ar','node_search',0.653974),('facilisis',29,'en','node_search',0.653974),('facilisis',30,'ar','node_search',2.39134),('facilisis',30,'en','node_search',2.39134),('facilisis',32,'ar','node_search',3.50862),('facilisis',32,'en','node_search',3.50862),('facilisis',33,'ar','node_search',2.68173),('facilisis',33,'en','node_search',2.68173),('facilisis',34,'ar','node_search',1),('facilisis',34,'en','node_search',1),('facilisis',35,'ar','node_search',2.57125),('facilisis',35,'en','node_search',2.57125),('facilisis',36,'ar','node_search',2.7767),('facilisis',36,'en','node_search',2.7767),('facilisis',38,'en','node_search',0.705825),('fact',4,'ar','node_search',1),('fact',4,'en','node_search',1),('fall',9,'ar','node_search',1),('fall',9,'en','node_search',1),('fames',15,'ar','node_search',2),('fames',15,'en','node_search',2),('fames',16,'ar','node_search',0.842342),('fames',16,'en','node_search',0.842342),('fames',17,'ar','node_search',0.736141),('fames',17,'en','node_search',0.736141),('fames',18,'ar','node_search',0.827757),('fames',18,'en','node_search',0.827757),('fames',19,'ar','node_search',0.747619),('fames',19,'en','node_search',0.747619),('fames',20,'ar','node_search',0.836446),('fames',20,'en','node_search',0.836446),('fames',21,'ar','node_search',0.860547),('fames',21,'en','node_search',0.860547),('fames',24,'ar','node_search',0.863659),('fames',24,'en','node_search',0.863659),('fames',31,'ar','node_search',0.754681),('fames',31,'en','node_search',0.754681),('fames',34,'ar','node_search',0.957226),('fames',34,'en','node_search',0.957226),('families',2,'ar','node_search',1),('families',2,'en','node_search',1),('family',2,'ar','node_search',1),('family',2,'en','node_search',1),('family',3,'ar','node_search',1),('family',3,'en','node_search',1),('far',25,'ar','node_search',1),('far',25,'en','node_search',1),('far',27,'ar','node_search',2),('far',27,'en','node_search',2),('fashion',5,'ar','node_search',1),('fashion',5,'en','node_search',1),('fashion',49,'en','node_search',11),('fast',7,'ar','node_search',1),('fast',7,'en','node_search',1),('fast',35,'ar','node_search',1),('fast',35,'en','node_search',1),('fatal',29,'ar','node_search',1),('fatal',29,'en','node_search',1),('fatfighting',35,'ar','node_search',1),('fatfighting',35,'en','node_search',1),('fatherinlaw',6,'ar','node_search',1),('fatherinlaw',6,'en','node_search',1),('faucibus',1,'ar','node_search',1.75946),('faucibus',1,'en','node_search',1.75946),('faucibus',2,'ar','node_search',1.43074),('faucibus',2,'en','node_search',1.43502),('faucibus',3,'ar','node_search',1.35246),('faucibus',3,'en','node_search',1.35246),('faucibus',5,'ar','node_search',1.94602),('faucibus',5,'en','node_search',1.94602),('faucibus',6,'ar','node_search',0.716357),('faucibus',6,'en','node_search',0.716357),('faucibus',7,'ar','node_search',1.97685),('faucibus',7,'en','node_search',1.97685),('faucibus',9,'ar','node_search',0.899454),('faucibus',9,'en','node_search',0.899454),('faucibus',10,'ar','node_search',1.78691),('faucibus',10,'en','node_search',1.78691),('faucibus',11,'ar','node_search',0.76188),('faucibus',11,'en','node_search',0.76188),('faucibus',12,'ar','node_search',1.78605),('faucibus',12,'en','node_search',1.78605),('faucibus',13,'ar','node_search',1.66563),('faucibus',13,'en','node_search',1.66563),('faucibus',14,'ar','node_search',0.860547),('faucibus',14,'en','node_search',0.860547),('faucibus',15,'ar','node_search',3),('faucibus',15,'en','node_search',3),('faucibus',16,'ar','node_search',2.73614),('faucibus',16,'en','node_search',2.73614),('faucibus',17,'ar','node_search',2.36447),('faucibus',17,'en','node_search',2.36447),('faucibus',18,'ar','node_search',1.74711),('faucibus',18,'en','node_search',1.74711),('faucibus',19,'ar','node_search',3.05029),('faucibus',19,'en','node_search',3.05029),('faucibus',20,'ar','node_search',1.7538),('faucibus',20,'en','node_search',1.7538),('faucibus',21,'ar','node_search',2.62066),('faucibus',21,'en','node_search',2.62066),('faucibus',22,'ar','node_search',1.84832),('faucibus',22,'en','node_search',1.84832),('faucibus',24,'ar','node_search',2.65867),('faucibus',24,'en','node_search',2.65867),('faucibus',25,'ar','node_search',0.899454),('faucibus',25,'en','node_search',0.899454),('faucibus',26,'ar','node_search',1.83717),('faucibus',26,'en','node_search',1.83717),('faucibus',27,'ar','node_search',0.813674),('faucibus',27,'en','node_search',0.813674),('faucibus',29,'ar','node_search',0.661163),('faucibus',29,'en','node_search',0.661163),('faucibus',30,'ar','node_search',0.705825),('faucibus',30,'en','node_search',0.705825),('faucibus',31,'ar','node_search',3.14546),('faucibus',31,'en','node_search',3.14546),('faucibus',33,'ar','node_search',0.810915),('faucibus',33,'en','node_search',0.810915),('faucibus',34,'ar','node_search',2.76707),('faucibus',34,'en','node_search',2.76707),('faucibus',35,'ar','node_search',0.759465),('faucibus',35,'en','node_search',0.759465),('faucibus',38,'en','node_search',5.5835),('favorite',33,'ar','node_search',1),('favorite',33,'en','node_search',1),('favourite',4,'ar','node_search',1),('favourite',4,'en','node_search',1),('favourite',5,'ar','node_search',1),('favourite',5,'en','node_search',1),('feature',20,'ar','node_search',1),('feature',20,'en','node_search',1),('features',13,'ar','node_search',30),('features',13,'en','node_search',30),('featuring',33,'ar','node_search',1),('featuring',33,'en','node_search',1),('federal',19,'ar','node_search',1),('federal',19,'en','node_search',1),('fee',34,'ar','node_search',1),('fee',34,'en','node_search',1),('feel',1,'ar','node_search',27),('feel',1,'en','node_search',27),('feel',22,'ar','node_search',1),('feel',22,'en','node_search',1),('feel',31,'ar','node_search',1),('feel',31,'en','node_search',1),('feel',32,'ar','node_search',1),('feel',32,'en','node_search',1),('felis',1,'ar','node_search',2.23873),('felis',1,'en','node_search',2.23873),('felis',4,'ar','node_search',1.54658),('felis',4,'en','node_search',1.5516),('felis',5,'ar','node_search',0.707906),('felis',5,'en','node_search',0.707906),('felis',8,'ar','node_search',1.98493),('felis',8,'en','node_search',1.98493),('felis',10,'ar','node_search',2.29942),('felis',10,'en','node_search',2.29942),('felis',11,'ar','node_search',0.681785),('felis',11,'en','node_search',0.681785),('felis',12,'ar','node_search',1.81109),('felis',12,'en','node_search',1.81109),('felis',13,'ar','node_search',2.51614),('felis',13,'en','node_search',2.51614),('felis',15,'ar','node_search',1),('felis',15,'en','node_search',1),('felis',16,'ar','node_search',3.59449),('felis',16,'en','node_search',3.59449),('felis',17,'ar','node_search',3.19732),('felis',17,'en','node_search',3.19732),('felis',18,'ar','node_search',1.65108),('felis',18,'en','node_search',1.65108),('felis',19,'ar','node_search',4.83939),('felis',19,'en','node_search',4.83939),('felis',20,'ar','node_search',2.61071),('felis',20,'en','node_search',2.61071),('felis',21,'ar','node_search',3.1777),('felis',21,'en','node_search',3.1777),('felis',22,'ar','node_search',1.80547),('felis',22,'en','node_search',1.80547),('felis',24,'ar','node_search',3.64279),('felis',24,'en','node_search',3.64279),('felis',28,'ar','node_search',1.75395),('felis',28,'en','node_search',1.75395),('felis',29,'ar','node_search',2.16401),('felis',29,'en','node_search',2.16401),('felis',30,'ar','node_search',2.31444),('felis',30,'en','node_search',2.31444),('felis',31,'ar','node_search',4.00454),('felis',31,'en','node_search',4.00454),('felis',33,'ar','node_search',2.6979),('felis',33,'en','node_search',2.6979),('felis',34,'ar','node_search',2.86948),('felis',34,'en','node_search',2.86948),('felis',35,'ar','node_search',2.50876),('felis',35,'en','node_search',2.50876),('felis',36,'ar','node_search',0.742984),('felis',36,'en','node_search',0.742984),('felis',38,'en','node_search',1.53617),('felt',1,'ar','node_search',1),('felt',1,'en','node_search',1),('fere',48,'en','node_search',0.848323),('fermentum',1,'ar','node_search',2.19148),('fermentum',1,'en','node_search',2.19148),('fermentum',2,'ar','node_search',0.96498),('fermentum',2,'en','node_search',0.968904),('fermentum',5,'ar','node_search',0.714225),('fermentum',5,'en','node_search',0.714225),('fermentum',6,'ar','node_search',0.854391),('fermentum',6,'en','node_search',0.854391),('fermentum',7,'ar','node_search',1.69559),('fermentum',7,'en','node_search',1.69559),('fermentum',9,'ar','node_search',1.52905),('fermentum',9,'en','node_search',1.52905),('fermentum',10,'ar','node_search',1.70871),('fermentum',10,'en','node_search',1.70871),('fermentum',11,'ar','node_search',2.2489),('fermentum',11,'en','node_search',2.2489),('fermentum',13,'ar','node_search',0.876337),('fermentum',13,'en','node_search',0.876337),('fermentum',15,'ar','node_search',1),('fermentum',15,'en','node_search',1),('fermentum',16,'ar','node_search',1.80818),('fermentum',16,'en','node_search',1.80818),('fermentum',17,'ar','node_search',1.5994),('fermentum',17,'en','node_search',1.5994),('fermentum',18,'ar','node_search',0.869951),('fermentum',18,'en','node_search',0.869951),('fermentum',20,'ar','node_search',0.769219),('fermentum',20,'en','node_search',0.769219),('fermentum',21,'ar','node_search',0.980874),('fermentum',21,'en','node_search',0.980874),('fermentum',22,'ar','node_search',1),('fermentum',22,'en','node_search',1),('fermentum',23,'ar','node_search',0.742984),('fermentum',23,'en','node_search',0.742984),('fermentum',24,'ar','node_search',0.712106),('fermentum',24,'en','node_search',0.712106),('fermentum',26,'ar','node_search',0.98493),('fermentum',26,'en','node_search',0.98493),('fermentum',27,'ar','node_search',1.65141),('fermentum',27,'en','node_search',1.65141),('fermentum',29,'ar','node_search',1.49581),('fermentum',29,'en','node_search',1.49581),('fermentum',30,'ar','node_search',0.72066),('fermentum',30,'en','node_search',0.72066),('fermentum',33,'ar','node_search',0.830633),('fermentum',33,'en','node_search',0.830633),('fermentum',34,'ar','node_search',0.869951),('fermentum',34,'en','node_search',0.869951),('fermentum',35,'ar','node_search',0.776703),('fermentum',35,'en','node_search',0.776703),('fermentum',38,'en','node_search',1),('fernando',23,'ar','node_search',1),('fernando',23,'en','node_search',1),('fetching',24,'ar','node_search',1),('fetching',24,'en','node_search',1),('feugiat',2,'ar','node_search',1.43486),('feugiat',2,'en','node_search',1.43916),('feugiat',3,'ar','node_search',1.36551),('feugiat',3,'en','node_search',1.36551),('feugiat',5,'ar','node_search',1.58864),('feugiat',5,'en','node_search',1.58864),('feugiat',6,'ar','node_search',1.42633),('feugiat',6,'en','node_search',1.42633),('feugiat',10,'ar','node_search',0.873132),('feugiat',10,'en','node_search',0.873132),('feugiat',11,'ar','node_search',0.759465),('feugiat',11,'en','node_search',0.759465),('feugiat',12,'ar','node_search',1.6984),('feugiat',12,'en','node_search',1.6984),('feugiat',13,'ar','node_search',0.845322),('feugiat',13,'en','node_search',0.845322),('feugiat',14,'ar','node_search',1.70816),('feugiat',14,'en','node_search',1.70816),('feugiat',15,'ar','node_search',1.82776),('feugiat',15,'en','node_search',1.82776),('feugiat',16,'ar','node_search',1.75464),('feugiat',16,'en','node_search',1.75978),('feugiat',17,'ar','node_search',0.833529),('feugiat',17,'en','node_search',0.833529),('feugiat',18,'ar','node_search',1),('feugiat',18,'en','node_search',1),('feugiat',19,'ar','node_search',0.76188),('feugiat',19,'en','node_search',0.76188),('feugiat',20,'ar','node_search',1),('feugiat',20,'en','node_search',1),('feugiat',22,'ar','node_search',1.74308),('feugiat',22,'en','node_search',1.74308),('feugiat',23,'ar','node_search',0.800068),('feugiat',23,'en','node_search',0.800068),('feugiat',24,'ar','node_search',1.68137),('feugiat',24,'en','node_search',1.68137),('feugiat',25,'ar','node_search',2.55279),('feugiat',25,'en','node_search',2.55279),('feugiat',26,'ar','node_search',0.866793),('feugiat',26,'en','node_search',0.866793),('feugiat',27,'ar','node_search',1.65924),('feugiat',27,'en','node_search',1.65924),('feugiat',29,'ar','node_search',2.93706),('feugiat',29,'en','node_search',2.93706),('feugiat',30,'ar','node_search',0.693594),('feugiat',30,'en','node_search',0.693594),('feugiat',31,'ar','node_search',1.47851),('feugiat',31,'en','node_search',1.47851),('feugiat',32,'ar','node_search',1.81014),('feugiat',32,'en','node_search',1.81014),('feugiat',33,'ar','node_search',0.794753),('feugiat',33,'en','node_search',0.794753),('feugiat',34,'ar','node_search',1),('feugiat',34,'en','node_search',1),('feugiat',35,'ar','node_search',0.745294),('feugiat',35,'en','node_search',0.745294),('feugiat',36,'ar','node_search',1.80007),('feugiat',36,'en','node_search',1.80007),('feugiat',38,'en','node_search',2.15341),('feugiat',48,'en','node_search',1.84832),('few',1,'ar','node_search',1),('few',1,'en','node_search',1),('fiance',5,'ar','node_search',1),('fiance',5,'en','node_search',1),('field',18,'ar','node_search',1),('field',18,'en','node_search',1),('fields',26,'ar','node_search',1),('fields',26,'en','node_search',1),('fields',49,'en','node_search',0.808176),('fiercely',11,'ar','node_search',1),('fiercely',11,'en','node_search',1),('fifthgrade',9,'ar','node_search',0.98493),('fifthgrade',9,'en','node_search',0.98493),('figures',11,'ar','node_search',1),('figures',11,'en','node_search',1),('figures',23,'ar','node_search',1),('figures',23,'en','node_search',1),('filled',3,'ar','node_search',1),('filled',3,'en','node_search',1),('films',20,'ar','node_search',27),('films',20,'en','node_search',27),('finals',25,'ar','node_search',1),('finals',25,'en','node_search',1),('finance',19,'ar','node_search',1),('finance',19,'en','node_search',1),('finances',17,'ar','node_search',1),('finances',17,'en','node_search',1),('find',2,'ar','node_search',1),('find',2,'en','node_search',1),('find',4,'ar','node_search',1),('find',4,'en','node_search',1),('find',5,'ar','node_search',1),('find',5,'en','node_search',1),('find',17,'ar','node_search',1),('find',17,'en','node_search',1),('find',20,'ar','node_search',1),('find',20,'en','node_search',1),('find',35,'ar','node_search',1),('find',35,'en','node_search',1),('finding',17,'ar','node_search',1),('finding',17,'en','node_search',1),('findings',1,'ar','node_search',1),('findings',1,'en','node_search',1),('finds',1,'ar','node_search',27),('finds',1,'en','node_search',27),('fine',23,'ar','node_search',1),('fine',23,'en','node_search',1),('finland',1,'ar','node_search',1),('finland',1,'en','node_search',1),('fire',2,'ar','node_search',1),('fire',2,'en','node_search',1),('firm',9,'ar','node_search',1),('firm',9,'en','node_search',1),('firmly',3,'ar','node_search',0.879565),('firmly',3,'en','node_search',0.879565),('first',25,'ar','node_search',1),('first',25,'en','node_search',1),('first',32,'ar','node_search',1),('first',32,'en','node_search',1),('first',49,'en','node_search',0.997306),('fishing',4,'ar','node_search',1),('fishing',4,'en','node_search',1),('fitness',6,'ar','node_search',1),('fitness',6,'en','node_search',1),('five',3,'ar','node_search',1.91674),('five',3,'en','node_search',1.91674),('flavor',35,'ar','node_search',1),('flavor',35,'en','node_search',1),('flavored',35,'ar','node_search',1),('flavored',35,'en','node_search',1),('flexibility',6,'ar','node_search',1),('flexibility',6,'en','node_search',1),('floral',5,'ar','node_search',1),('floral',5,'en','node_search',1),('floral',26,'ar','node_search',1),('floral',26,'en','node_search',1),('florida',19,'ar','node_search',1),('florida',19,'en','node_search',1),('focus',29,'ar','node_search',1),('focus',29,'en','node_search',1),('focus',31,'ar','node_search',1),('focus',31,'en','node_search',1),('focused',32,'ar','node_search',1),('focused',32,'en','node_search',1),('follow',18,'ar','node_search',1),('follow',18,'en','node_search',1),('followed',1,'ar','node_search',1),('followed',1,'en','node_search',1),('following',24,'ar','node_search',1),('following',24,'en','node_search',1),('fooling',35,'ar','node_search',1),('fooling',35,'en','node_search',1),('for',1,'ar','node_search',1),('for',1,'en','node_search',1),('for',2,'ar','node_search',5),('for',2,'en','node_search',5),('for',4,'ar','node_search',2),('for',4,'en','node_search',2),('for',6,'ar','node_search',1),('for',6,'en','node_search',1),('for',7,'ar','node_search',3),('for',7,'en','node_search',3),('for',9,'ar','node_search',2),('for',9,'en','node_search',2),('for',10,'ar','node_search',1),('for',10,'en','node_search',1),('for',12,'ar','node_search',28),('for',12,'en','node_search',28),('for',13,'ar','node_search',1),('for',13,'en','node_search',1),('for',15,'ar','node_search',1),('for',15,'en','node_search',1),('for',17,'ar','node_search',29),('for',17,'en','node_search',29),('for',18,'ar','node_search',29),('for',18,'en','node_search',29),('for',20,'ar','node_search',28),('for',20,'en','node_search',28),('for',21,'ar','node_search',2),('for',21,'en','node_search',2),('for',22,'ar','node_search',2),('for',22,'en','node_search',2),('for',23,'ar','node_search',2),('for',23,'en','node_search',2),('for',24,'ar','node_search',1),('for',24,'en','node_search',1),('for',26,'ar','node_search',1),('for',26,'en','node_search',1),('for',27,'ar','node_search',27),('for',27,'en','node_search',27),('for',28,'ar','node_search',28),('for',28,'en','node_search',28),('for',29,'ar','node_search',1),('for',29,'en','node_search',1),('for',30,'ar','node_search',1),('for',30,'en','node_search',1),('for',31,'ar','node_search',3),('for',31,'en','node_search',3),('for',32,'ar','node_search',1),('for',32,'en','node_search',1),('for',33,'ar','node_search',2),('for',33,'en','node_search',2),('for',35,'ar','node_search',27),('for',35,'en','node_search',27),('for',49,'en','node_search',34.3913),('forbid',21,'ar','node_search',1),('forbid',21,'en','node_search',1),('forced',24,'ar','node_search',1),('forced',24,'en','node_search',1),('form',5,'ar','node_search',1),('form',5,'en','node_search',1),('formally',24,'ar','node_search',1),('formally',24,'en','node_search',1),('former',6,'ar','node_search',1),('former',6,'en','node_search',1),('forward',35,'ar','node_search',1),('forward',35,'en','node_search',1),('found',15,'ar','node_search',1),('found',15,'en','node_search',1),('found',19,'ar','node_search',29),('found',19,'en','node_search',29),('found',35,'ar','node_search',2),('found',35,'en','node_search',2),('founder',36,'ar','node_search',1),('founder',36,'en','node_search',1),('four',9,'ar','node_search',1),('four',9,'en','node_search',1),('fourth',31,'ar','node_search',1),('fourth',31,'en','node_search',1),('france',1,'ar','node_search',1),('france',1,'en','node_search',1),('free',27,'ar','node_search',1),('free',27,'en','node_search',1),('frequently',33,'ar','node_search',1),('frequently',33,'en','node_search',1),('friday',28,'ar','node_search',1),('friday',28,'en','node_search',1),('friend',29,'ar','node_search',1),('friend',29,'en','node_search',1),('friends',2,'ar','node_search',1),('friends',2,'en','node_search',1),('friends',3,'ar','node_search',1),('friends',3,'en','node_search',1),('friends',4,'ar','node_search',1),('friends',4,'en','node_search',1),('fringilla',1,'ar','node_search',0.916736),('fringilla',1,'en','node_search',0.916736),('fringilla',2,'ar','node_search',0.703756),('fringilla',2,'en','node_search',0.705825),('fringilla',3,'ar','node_search',0.659351),('fringilla',3,'en','node_search',0.659351),('fringilla',7,'ar','node_search',1),('fringilla',7,'en','node_search',1),('fringilla',8,'ar','node_search',1.96498),('fringilla',8,'en','node_search',1.96498),('fringilla',10,'ar','node_search',0.833529),('fringilla',10,'en','node_search',0.833529),('fringilla',11,'ar','node_search',0.674137),('fringilla',11,'en','node_search',0.674137),('fringilla',12,'ar','node_search',1),('fringilla',12,'en','node_search',1),('fringilla',13,'ar','node_search',0.957226),('fringilla',13,'en','node_search',0.957226),('fringilla',14,'ar','node_search',1),('fringilla',14,'en','node_search',1),('fringilla',16,'ar','node_search',1),('fringilla',16,'en','node_search',1),('fringilla',17,'ar','node_search',1),('fringilla',17,'en','node_search',1),('fringilla',19,'ar','node_search',1.73841),('fringilla',19,'en','node_search',1.73841),('fringilla',21,'ar','node_search',0.776703),('fringilla',21,'en','node_search',0.776703),('fringilla',22,'ar','node_search',0.934703),('fringilla',22,'en','node_search',0.934703),('fringilla',23,'ar','node_search',2.58159),('fringilla',23,'en','node_search',2.58159),('fringilla',24,'ar','node_search',3.10517),('fringilla',24,'en','node_search',3.10517),('fringilla',25,'ar','node_search',1),('fringilla',25,'en','node_search',1),('fringilla',26,'ar','node_search',1.99731),('fringilla',26,'en','node_search',1.99731),('fringilla',28,'ar','node_search',1.80545),('fringilla',28,'en','node_search',1.80545),('fringilla',29,'ar','node_search',2.7241),('fringilla',29,'en','node_search',2.7241),('fringilla',30,'ar','node_search',1.57289),('fringilla',30,'en','node_search',1.57289),('fringilla',31,'ar','node_search',2.16528),('fringilla',31,'en','node_search',2.16528),('fringilla',32,'ar','node_search',0.781775),('fringilla',32,'en','node_search',0.781775),('fringilla',33,'ar','node_search',1.82776),('fringilla',33,'en','node_search',1.82776),('fringilla',35,'ar','node_search',1.70889),('fringilla',35,'en','node_search',1.70889),('fringilla',36,'ar','node_search',0.759465),('fringilla',36,'en','node_search',0.759465),('fringilla',38,'en','node_search',4.91419),('from',1,'ar','node_search',1),('from',1,'en','node_search',1),('from',2,'ar','node_search',1),('from',2,'en','node_search',1),('from',3,'ar','node_search',2.91674),('from',3,'en','node_search',2.91674),('from',5,'ar','node_search',1),('from',5,'en','node_search',1),('from',6,'ar','node_search',1),('from',6,'en','node_search',1),('from',11,'ar','node_search',4.99315),('from',11,'en','node_search',4.99315),('from',12,'ar','node_search',1),('from',12,'en','node_search',1),('from',14,'ar','node_search',1),('from',14,'en','node_search',1),('from',19,'ar','node_search',1),('from',19,'en','node_search',1),('from',22,'ar','node_search',1),('from',22,'en','node_search',1),('from',23,'ar','node_search',1),('from',23,'en','node_search',1),('from',26,'ar','node_search',2),('from',26,'en','node_search',2),('from',27,'ar','node_search',1),('from',27,'en','node_search',1),('from',32,'ar','node_search',1),('from',32,'en','node_search',1),('from',33,'ar','node_search',1),('from',33,'en','node_search',1),('from',49,'en','node_search',1.63016),('front',2,'ar','node_search',1),('front',2,'en','node_search',1),('front',7,'ar','node_search',1),('front',7,'en','node_search',1),('frustrated',9,'ar','node_search',1),('frustrated',9,'en','node_search',1),('full',5,'ar','node_search',1),('full',5,'en','node_search',1),('full',28,'ar','node_search',1),('full',28,'en','node_search',1),('fusce',1,'ar','node_search',3.30521),('fusce',1,'en','node_search',3.30521),('fusce',2,'ar','node_search',2.26676),('fusce',2,'en','node_search',2.27403),('fusce',3,'ar','node_search',1.29397),('fusce',3,'en','node_search',1.29397),('fusce',4,'ar','node_search',0.714225),('fusce',4,'en','node_search',0.716357),('fusce',5,'ar','node_search',0.766757),('fusce',5,'en','node_search',0.766757),('fusce',6,'ar','node_search',1.81092),('fusce',6,'en','node_search',1.81092),('fusce',7,'ar','node_search',1.72619),('fusce',7,'en','node_search',1.72619),('fusce',8,'ar','node_search',2.91674),('fusce',8,'en','node_search',2.91674),('fusce',9,'ar','node_search',1.55718),('fusce',9,'en','node_search',1.55718),('fusce',11,'ar','node_search',1.47234),('fusce',11,'en','node_search',1.47234),('fusce',13,'ar','node_search',1),('fusce',13,'en','node_search',1),('fusce',14,'ar','node_search',0.889397),('fusce',14,'en','node_search',0.889397),('fusce',15,'ar','node_search',1.78671),('fusce',15,'en','node_search',1.78671),('fusce',18,'ar','node_search',0.876337),('fusce',18,'en','node_search',0.876337),('fusce',19,'ar','node_search',0.754681),('fusce',19,'en','node_search',0.754681),('fusce',21,'ar','node_search',0.997306),('fusce',21,'en','node_search',0.997306),('fusce',22,'ar','node_search',1.9496),('fusce',22,'en','node_search',1.9496),('fusce',24,'ar','node_search',0.909743),('fusce',24,'en','node_search',0.909743),('fusce',25,'ar','node_search',1.73017),('fusce',25,'en','node_search',1.73017),('fusce',26,'ar','node_search',0.800068),('fusce',26,'en','node_search',0.800068),('fusce',27,'ar','node_search',1),('fusce',27,'en','node_search',1),('fusce',28,'ar','node_search',2.52488),('fusce',28,'en','node_search',2.52488),('fusce',29,'ar','node_search',0.693594),('fusce',29,'en','node_search',0.693594),('fusce',30,'ar','node_search',3.06479),('fusce',30,'en','node_search',3.06479),('fusce',31,'ar','node_search',0.774192),('fusce',31,'en','node_search',0.774192),('fusce',32,'ar','node_search',1.64308),('fusce',32,'en','node_search',1.64308),('fusce',33,'ar','node_search',2.71601),('fusce',33,'en','node_search',2.71601),('fusce',35,'ar','node_search',2.59417),('fusce',35,'en','node_search',2.59417),('fusce',36,'ar','node_search',2.60029),('fusce',36,'en','node_search',2.60029),('fusce',38,'en','node_search',1.42282),('future',30,'ar','node_search',1),('future',30,'en','node_search',1),('gallate',35,'ar','node_search',1),('gallate',35,'en','node_search',1),('gallery',24,'ar','node_search',1),('gallery',24,'en','node_search',1),('games',3,'ar','node_search',0.869951),('games',3,'en','node_search',0.869951),('garnet',43,'en','node_search',27),('garnet',49,'en','node_search',19),('gases',3,'ar','node_search',1),('gases',3,'en','node_search',1),('gear',35,'ar','node_search',1),('gear',35,'en','node_search',1),('gemeos',19,'ar','node_search',1),('gemeos',19,'en','node_search',1),('gemino',48,'en','node_search',2.84532),('gems',12,'ar','node_search',1),('gems',12,'en','node_search',1),('generally',4,'ar','node_search',1),('generally',4,'en','node_search',1),('genetics',18,'ar','node_search',29),('genetics',18,'en','node_search',29),('genomewide',18,'ar','node_search',1),('genomewide',18,'en','node_search',1),('gently',30,'ar','node_search',1),('gently',30,'en','node_search',1),('geometric',23,'ar','node_search',1),('geometric',23,'en','node_search',1),('geometry',7,'ar','node_search',1),('geometry',7,'en','node_search',1),('german',25,'ar','node_search',1),('german',25,'en','node_search',1),('german',49,'en','node_search',0.993146),('germany',25,'ar','node_search',1),('germany',25,'en','node_search',1),('get',4,'ar','node_search',1),('get',4,'en','node_search',1),('get',17,'ar','node_search',27),('get',17,'en','node_search',27),('get',27,'ar','node_search',1),('get',27,'en','node_search',1),('get',30,'ar','node_search',1),('get',30,'en','node_search',1),('getting',18,'ar','node_search',1),('getting',18,'en','node_search',1),('getting',30,'ar','node_search',1),('getting',30,'en','node_search',1),('gilvus',48,'en','node_search',2.83177),('girl',10,'ar','node_search',27),('girl',10,'en','node_search',27),('give',27,'ar','node_search',1),('give',27,'en','node_search',1),('given',2,'ar','node_search',1),('given',2,'en','node_search',1),('gives',17,'ar','node_search',1),('gives',17,'en','node_search',1),('glastonbury',26,'ar','node_search',1),('glastonbury',26,'en','node_search',1),('glastonbury',49,'en','node_search',0.805455),('glittering',11,'ar','node_search',1),('glittering',11,'en','node_search',1),('glucose',29,'ar','node_search',1),('glucose',29,'en','node_search',1),('glued',3,'ar','node_search',0.876337),('glued',3,'en','node_search',0.876337),('goal',25,'ar','node_search',1),('goal',25,'en','node_search',1),('goal',49,'en','node_search',0.98493),('goals',25,'ar','node_search',2),('goals',25,'en','node_search',2),('goes',4,'ar','node_search',1),('goes',4,'en','node_search',1),('going',4,'ar','node_search',1),('going',4,'en','node_search',1),('golf',11,'ar','node_search',1),('golf',11,'en','node_search',1),('good',6,'ar','node_search',1),('good',6,'en','node_search',1),('google',6,'ar','node_search',27),('google',6,'en','node_search',27),('gorgeous',2,'ar','node_search',1),('gorgeous',2,'en','node_search',1),('got',32,'ar','node_search',1),('got',32,'en','node_search',1),('goto',33,'ar','node_search',1),('goto',33,'en','node_search',1),('gowns',11,'ar','node_search',1),('gowns',11,'en','node_search',1),('grace',5,'ar','node_search',1),('grace',5,'en','node_search',1),('graduates',11,'ar','node_search',1),('graduates',11,'en','node_search',1),('graduation',11,'ar','node_search',1),('graduation',11,'en','node_search',1),('graffiti',19,'ar','node_search',1),('graffiti',19,'en','node_search',1),('grammar',11,'ar','node_search',27),('grammar',11,'en','node_search',27),('gravida',1,'ar','node_search',2.53808),('gravida',1,'en','node_search',2.53808),('gravida',2,'ar','node_search',2.3695),('gravida',2,'en','node_search',2.37738),('gravida',3,'ar','node_search',1.46322),('gravida',3,'en','node_search',1.46322),('gravida',4,'ar','node_search',1.54126),('gravida',4,'en','node_search',1.54626),('gravida',5,'ar','node_search',2.42596),('gravida',5,'en','node_search',2.42596),('gravida',6,'ar','node_search',2.27428),('gravida',6,'en','node_search',2.27428),('gravida',7,'ar','node_search',2.79753),('gravida',7,'en','node_search',2.79753),('gravida',8,'ar','node_search',0.949597),('gravida',8,'en','node_search',0.949597),('gravida',9,'ar','node_search',2.55382),('gravida',9,'en','node_search',2.55382),('gravida',10,'ar','node_search',1.65314),('gravida',10,'en','node_search',1.65314),('gravida',11,'ar','node_search',0.792123),('gravida',11,'en','node_search',0.792123),('gravida',12,'ar','node_search',1.84528),('gravida',12,'en','node_search',1.84528),('gravida',13,'ar','node_search',0.879565),('gravida',13,'en','node_search',0.879565),('gravida',14,'ar','node_search',1.65602),('gravida',14,'en','node_search',1.65602),('gravida',15,'ar','node_search',0.842342),('gravida',15,'en','node_search',0.842342),('gravida',16,'ar','node_search',1.84532),('gravida',16,'en','node_search',1.84532),('gravida',17,'ar','node_search',1.63113),('gravida',17,'en','node_search',1.63113),('gravida',19,'ar','node_search',0.736141),('gravida',19,'en','node_search',0.736141),('gravida',20,'ar','node_search',0.845322),('gravida',20,'en','node_search',0.845322),('gravida',22,'ar','node_search',0.822065),('gravida',22,'en','node_search',0.822065),('gravida',24,'ar','node_search',0.813674),('gravida',24,'en','node_search',0.813674),('gravida',25,'ar','node_search',1.67422),('gravida',25,'en','node_search',1.67422),('gravida',26,'ar','node_search',0.931053),('gravida',26,'en','node_search',0.931053),('gravida',27,'ar','node_search',2.53742),('gravida',27,'en','node_search',2.53742),('gravida',28,'ar','node_search',0.794753),('gravida',28,'en','node_search',0.794753),('gravida',30,'ar','node_search',1.37457),('gravida',30,'en','node_search',1.37457),('gravida',31,'ar','node_search',0.733888),('gravida',31,'en','node_search',0.733888),('gravida',32,'ar','node_search',1.91674),('gravida',32,'en','node_search',1.91674),('gravida',33,'ar','node_search',0.813674),('gravida',33,'en','node_search',0.813674),('gravida',34,'ar','node_search',0.968904),('gravida',34,'en','node_search',0.968904),('gravida',35,'ar','node_search',0.76188),('gravida',35,'en','node_search',0.76188),('gravida',38,'en','node_search',1.72721),('gravis',48,'en','node_search',1.88282),('great',4,'ar','node_search',1),('great',4,'en','node_search',1),('great',20,'ar','node_search',1),('great',20,'en','node_search',1),('great',29,'ar','node_search',1),('great',29,'en','node_search',1),('green',35,'ar','node_search',34),('green',35,'en','node_search',34),('green',49,'en','node_search',19),('greenwell',9,'ar','node_search',1),('greenwell',9,'en','node_search',1),('grocery',35,'ar','node_search',1),('grocery',35,'en','node_search',1),('grooms',27,'ar','node_search',1),('grooms',27,'en','node_search',1),('ground',6,'ar','node_search',1),('ground',6,'en','node_search',1),('group',12,'ar','node_search',1),('group',12,'en','node_search',1),('grow',21,'ar','node_search',1),('grow',21,'en','node_search',1),('growth',29,'ar','node_search',1),('growth',29,'en','node_search',1),('gubergren',38,'en','node_search',2.94583),('guide',6,'ar','node_search',27),('guide',6,'en','node_search',27),('guided',12,'ar','node_search',27),('guided',12,'en','node_search',27),('guido',19,'ar','node_search',1),('guido',19,'en','node_search',1),('guidoccio',24,'ar','node_search',1),('guidoccio',24,'en','node_search',1),('guilty',31,'ar','node_search',1),('guilty',31,'en','node_search',1),('gustavo',19,'ar','node_search',1),('gustavo',19,'en','node_search',1),('gwas',18,'ar','node_search',2),('gwas',18,'en','node_search',2),('habitant',18,'ar','node_search',0.839384),('habitant',18,'en','node_search',0.839384),('habitant',21,'ar','node_search',0.879565),('habitant',21,'en','node_search',0.879565),('habitasse',2,'ar','node_search',0.729424),('habitasse',2,'en','node_search',0.731649),('habitasse',3,'ar','node_search',0.693594),('habitasse',3,'en','node_search',0.693594),('habitasse',5,'ar','node_search',0.976851),('habitasse',5,'en','node_search',0.976851),('habitasse',6,'ar','node_search',0.722831),('habitasse',6,'en','node_search',0.722831),('habitasse',12,'ar','node_search',0.836446),('habitasse',12,'en','node_search',0.836446),('habitasse',26,'ar','node_search',0.920273),('habitasse',26,'en','node_search',0.920273),('habitasse',38,'en','node_search',1),('hac',2,'ar','node_search',0.731649),('hac',2,'en','node_search',0.733888),('hac',3,'ar','node_search',0.695602),('hac',3,'en','node_search',0.695602),('hac',5,'ar','node_search',0.980874),('hac',5,'en','node_search',0.980874),('hac',6,'ar','node_search',0.725015),('hac',6,'en','node_search',0.725015),('hac',12,'ar','node_search',0.839384),('hac',12,'en','node_search',0.839384),('hac',26,'ar','node_search',0.923838),('hac',26,'en','node_search',0.923838),('hac',38,'en','node_search',1),('had',9,'ar','node_search',1),('had',9,'en','node_search',1),('had',11,'ar','node_search',1),('had',11,'en','node_search',1),('had',20,'ar','node_search',1),('had',20,'en','node_search',1),('had',25,'ar','node_search',1),('had',25,'en','node_search',1),('had',28,'ar','node_search',1),('had',28,'en','node_search',1),('had',35,'ar','node_search',1),('had',35,'en','node_search',1),('haero',48,'en','node_search',2.86995),('hair',30,'ar','node_search',1),('hair',30,'en','node_search',1),('half',28,'ar','node_search',28),('half',28,'en','node_search',28),('half',32,'ar','node_search',1),('half',32,'en','node_search',1),('half',49,'en','node_search',14.3372),('handle',10,'ar','node_search',1),('handle',10,'en','node_search',1),('handling',30,'ar','node_search',1),('handling',30,'en','node_search',1),('handmade',33,'ar','node_search',28),('handmade',33,'en','node_search',28),('handmade',49,'en','node_search',19),('handover',23,'ar','node_search',1),('handover',23,'en','node_search',1),('hang',30,'ar','node_search',1),('hang',30,'en','node_search',1),('harbour',3,'ar','node_search',1),('harbour',3,'en','node_search',1),('has',7,'ar','node_search',2),('has',7,'en','node_search',2),('has',8,'ar','node_search',27),('has',8,'en','node_search',27),('has',9,'ar','node_search',28),('has',9,'en','node_search',28),('has',10,'ar','node_search',1),('has',10,'en','node_search',1),('has',13,'ar','node_search',2),('has',13,'en','node_search',2),('has',21,'ar','node_search',2),('has',21,'en','node_search',2),('has',24,'ar','node_search',2),('has',24,'en','node_search',2),('has',25,'ar','node_search',2),('has',25,'en','node_search',2),('has',29,'ar','node_search',2),('has',29,'en','node_search',2),('has',33,'ar','node_search',1),('has',33,'en','node_search',1),('has',34,'ar','node_search',1),('has',34,'en','node_search',1),('has',35,'ar','node_search',1),('has',35,'en','node_search',1),('has',49,'en','node_search',1),('have',3,'ar','node_search',1.94583),('have',3,'en','node_search',1.94583),('have',6,'ar','node_search',1),('have',6,'en','node_search',1),('have',7,'ar','node_search',1),('have',7,'en','node_search',1),('have',14,'ar','node_search',1),('have',14,'en','node_search',1),('have',17,'ar','node_search',1),('have',17,'en','node_search',1),('have',18,'ar','node_search',1),('have',18,'en','node_search',1),('have',19,'ar','node_search',1),('have',19,'en','node_search',1),('have',20,'ar','node_search',1),('have',20,'en','node_search',1),('have',21,'ar','node_search',1),('have',21,'en','node_search',1),('have',23,'ar','node_search',1),('have',23,'en','node_search',1),('have',25,'ar','node_search',1),('have',25,'en','node_search',1),('have',29,'ar','node_search',0.957226),('have',29,'en','node_search',0.957226),('have',31,'ar','node_search',1),('have',31,'en','node_search',1),('have',34,'ar','node_search',1),('have',34,'en','node_search',1),('have',49,'en','node_search',1),('head',1,'ar','node_search',1),('head',1,'en','node_search',1),('head',4,'ar','node_search',0.98493),('head',4,'en','node_search',0.989021),('headquarters',21,'ar','node_search',1),('headquarters',21,'en','node_search',1),('healthboosting',35,'ar','node_search',1),('healthboosting',35,'en','node_search',1),('healthier',32,'ar','node_search',1),('healthier',32,'en','node_search',1),('heart',15,'ar','node_search',30),('heart',15,'en','node_search',30),('heart',27,'ar','node_search',1),('heart',27,'en','node_search',1),('heartattack',15,'ar','node_search',1),('heartattack',15,'en','node_search',1),('hearts',27,'ar','node_search',1),('hearts',27,'en','node_search',1),('heavy',30,'ar','node_search',1),('heavy',30,'en','node_search',1),('heels',5,'ar','node_search',1),('heels',5,'en','node_search',1),('heels',26,'ar','node_search',1),('heels',26,'en','node_search',1),('heels',35,'ar','node_search',1),('heels',35,'en','node_search',1),('help',9,'ar','node_search',0.989021),('help',9,'en','node_search',0.989021),('hendrerit',1,'ar','node_search',2.62858),('hendrerit',1,'en','node_search',2.62858),('hendrerit',4,'ar','node_search',0.685676),('hendrerit',4,'en','node_search',0.687638),('hendrerit',5,'ar','node_search',0.776703),('hendrerit',5,'en','node_search',0.776703),('hendrerit',6,'ar','node_search',0.949597),('hendrerit',6,'en','node_search',0.949597),('hendrerit',7,'ar','node_search',1.91674),('hendrerit',7,'en','node_search',1.91674),('hendrerit',8,'ar','node_search',2.88882),('hendrerit',8,'en','node_search',2.88882),('hendrerit',9,'ar','node_search',0.839384),('hendrerit',9,'en','node_search',0.839384),('hendrerit',10,'ar','node_search',7.08183),('hendrerit',10,'en','node_search',7.08183),('hendrerit',11,'ar','node_search',0.691597),('hendrerit',11,'en','node_search',0.691597),('hendrerit',12,'ar','node_search',0.866793),('hendrerit',12,'en','node_search',0.866793),('hendrerit',13,'ar','node_search',1.7503),('hendrerit',13,'en','node_search',1.7503),('hendrerit',14,'ar','node_search',2.7972),('hendrerit',14,'en','node_search',2.7972),('hendrerit',16,'ar','node_search',2.75908),('hendrerit',16,'en','node_search',2.75908),('hendrerit',17,'ar','node_search',2.49324),('hendrerit',17,'en','node_search',2.49324),('hendrerit',19,'ar','node_search',1.78691),('hendrerit',19,'en','node_search',1.78691),('hendrerit',20,'ar','node_search',1.79278),('hendrerit',20,'en','node_search',1.79278),('hendrerit',21,'ar','node_search',0.769219),('hendrerit',21,'en','node_search',0.769219),('hendrerit',22,'ar','node_search',0.968904),('hendrerit',22,'en','node_search',0.968904),('hendrerit',23,'ar','node_search',0.902857),('hendrerit',23,'en','node_search',0.902857),('hendrerit',24,'ar','node_search',1.7717),('hendrerit',24,'en','node_search',1.7717),('hendrerit',25,'ar','node_search',1.80545),('hendrerit',25,'en','node_search',1.80545),('hendrerit',26,'ar','node_search',0.805455),('hendrerit',26,'en','node_search',0.805455),('hendrerit',27,'ar','node_search',1.82026),('hendrerit',27,'en','node_search',1.82026),('hendrerit',28,'ar','node_search',2.42154),('hendrerit',28,'en','node_search',2.42154),('hendrerit',30,'ar','node_search',1.37509),('hendrerit',30,'en','node_search',1.37509),('hendrerit',31,'ar','node_search',1.53815),('hendrerit',31,'en','node_search',1.53815),('hendrerit',32,'ar','node_search',0.889397),('hendrerit',32,'en','node_search',0.889397),('hendrerit',33,'ar','node_search',0.819249),('hendrerit',33,'en','node_search',0.819249),('hendrerit',34,'ar','node_search',1.96109),('hendrerit',34,'en','node_search',1.96109),('hendrerit',35,'ar','node_search',0.766757),('hendrerit',35,'en','node_search',0.766757),('hendrerit',38,'en','node_search',2.87082),('hendrerit',48,'en','node_search',2.83645),('henry',24,'ar','node_search',1),('henry',24,'en','node_search',1),('hepburn',5,'ar','node_search',1),('hepburn',5,'en','node_search',1),('her',5,'ar','node_search',2),('her',5,'en','node_search',2),('her',9,'ar','node_search',2),('her',9,'en','node_search',2),('her',19,'ar','node_search',1),('her',19,'en','node_search',1),('her',30,'ar','node_search',2),('her',30,'en','node_search',2),('here',15,'ar','node_search',1),('here',15,'en','node_search',1),('hidden',19,'ar','node_search',29),('hidden',19,'en','node_search',29),('high',3,'ar','node_search',1),('high',3,'en','node_search',1),('high',29,'ar','node_search',1.94583),('high',29,'en','node_search',1.94583),('high',35,'ar','node_search',1),('high',35,'en','node_search',1),('higher',18,'ar','node_search',2),('higher',18,'en','node_search',2),('higherthannormal',29,'ar','node_search',0.953396),('higherthannormal',29,'en','node_search',0.953396),('highest',1,'ar','node_search',1),('highest',1,'en','node_search',1),('highs',1,'ar','node_search',1),('highs',1,'en','node_search',1),('himenaeos',8,'ar','node_search',0.866793),('himenaeos',8,'en','node_search',0.866793),('himenaeos',23,'ar','node_search',0.916736),('himenaeos',23,'en','node_search',0.916736),('himenaeos',24,'ar','node_search',0.776703),('himenaeos',24,'en','node_search',0.776703),('himenaeos',26,'ar','node_search',1),('himenaeos',26,'en','node_search',1),('himenaeos',27,'ar','node_search',0.754681),('himenaeos',27,'en','node_search',0.754681),('himenaeos',28,'ar','node_search',0.736141),('himenaeos',28,'en','node_search',0.736141),('himenaeos',31,'ar','node_search',0.705825),('himenaeos',31,'en','node_search',0.705825),('himenaeos',36,'ar','node_search',1.60893),('himenaeos',36,'en','node_search',1.60676),('himself',3,'ar','node_search',0.961087),('himself',3,'en','node_search',0.961087),('himself',15,'ar','node_search',1),('himself',15,'en','node_search',1),('hipsters',3,'ar','node_search',0.902857),('hipsters',3,'en','node_search',0.902857),('his',9,'ar','node_search',0.972861),('his',9,'en','node_search',0.972861),('his',15,'ar','node_search',1),('his',15,'en','node_search',1),('his',17,'ar','node_search',4),('his',17,'en','node_search',4),('his',24,'ar','node_search',1),('his',24,'en','node_search',1),('historic',12,'ar','node_search',1),('historic',12,'en','node_search',1),('history',23,'ar','node_search',2),('history',23,'en','node_search',2),('hit',20,'ar','node_search',1),('hit',20,'en','node_search',1),('hoard',23,'ar','node_search',1),('hoard',23,'en','node_search',1),('holden',17,'ar','node_search',1),('holden',17,'en','node_search',1),('hollywood',20,'ar','node_search',1),('hollywood',20,'en','node_search',1),('home',9,'ar','node_search',1),('home',9,'en','node_search',1),('homes',12,'ar','node_search',1),('homes',12,'en','node_search',1),('homeschool',9,'ar','node_search',1),('homeschool',9,'en','node_search',1),('homework',9,'ar','node_search',0.96498),('homework',9,'en','node_search',0.96498),('hopes',21,'ar','node_search',1),('hopes',21,'en','node_search',1),('horizon',3,'ar','node_search',1),('horizon',3,'en','node_search',1),('hormone',29,'ar','node_search',1),('hormone',29,'en','node_search',1),('hospital',14,'ar','node_search',28),('hospital',14,'en','node_search',28),('hospital',49,'en','node_search',12.896),('host',30,'ar','node_search',1),('host',30,'en','node_search',1),('hotel',30,'ar','node_search',1),('hotel',30,'en','node_search',1),('hour',29,'ar','node_search',1),('hour',29,'en','node_search',1),('hour',32,'ar','node_search',1),('hour',32,'en','node_search',1),('house',36,'ar','node_search',1),('house',36,'en','node_search',1),('house',49,'en','node_search',1),('how',11,'ar','node_search',1),('how',11,'en','node_search',1),('how',20,'ar','node_search',27),('how',20,'en','node_search',27),('how',21,'ar','node_search',1),('how',21,'en','node_search',1),('how',32,'ar','node_search',27),('how',32,'en','node_search',27),('how',49,'en','node_search',19),('however',6,'ar','node_search',1),('however',6,'en','node_search',1),('however',31,'ar','node_search',1),('however',31,'en','node_search',1),('hudson',6,'ar','node_search',1),('hudson',6,'en','node_search',1),('huebl',5,'ar','node_search',1),('huebl',5,'en','node_search',1),('huic',48,'en','node_search',2),('human',23,'ar','node_search',1),('human',23,'en','node_search',1),('humo',48,'en','node_search',4.54451),('husband',9,'ar','node_search',1),('husband',9,'en','node_search',1),('iaceo',48,'en','node_search',4.64713),('iaculis',1,'ar','node_search',1.49152),('iaculis',1,'en','node_search',1.49152),('iaculis',2,'ar','node_search',0.76188),('iaculis',2,'en','node_search',0.76431),('iaculis',3,'ar','node_search',0.731649),('iaculis',3,'en','node_search',0.731649),('iaculis',6,'ar','node_search',0.740689),('iaculis',6,'en','node_search',0.740689),('iaculis',7,'ar','node_search',1),('iaculis',7,'en','node_search',1),('iaculis',13,'ar','node_search',1.82776),('iaculis',13,'en','node_search',1.82776),('iaculis',14,'ar','node_search',1.76051),('iaculis',14,'en','node_search',1.76051),('iaculis',15,'ar','node_search',0.873132),('iaculis',15,'en','node_search',0.873132),('iaculis',16,'ar','node_search',0.942091),('iaculis',16,'en','node_search',0.942091),('iaculis',17,'ar','node_search',0.810915),('iaculis',17,'en','node_search',0.810915),('iaculis',18,'ar','node_search',0.845322),('iaculis',18,'en','node_search',0.845322),('iaculis',20,'ar','node_search',1),('iaculis',20,'en','node_search',1),('iaculis',21,'ar','node_search',0.896076),('iaculis',21,'en','node_search',0.896076),('iaculis',25,'ar','node_search',2.59269),('iaculis',25,'en','node_search',2.59269),('iaculis',27,'ar','node_search',2.69963),('iaculis',27,'en','node_search',2.69963),('iaculis',29,'ar','node_search',0.689612),('iaculis',29,'en','node_search',0.689612),('iaculis',30,'ar','node_search',1.3902),('iaculis',30,'en','node_search',1.3902),('iaculis',32,'ar','node_search',1.73529),('iaculis',32,'en','node_search',1.73529),('iaculis',33,'ar','node_search',0.839384),('iaculis',33,'en','node_search',0.839384),('iaculis',34,'ar','node_search',1),('iaculis',34,'en','node_search',1),('iaculis',35,'ar','node_search',0.784336),('iaculis',35,'en','node_search',0.784336),('iaculis',36,'ar','node_search',2.59609),('iaculis',36,'en','node_search',2.59392),('iaculis',38,'en','node_search',0.71),('ibidem',48,'en','node_search',0.882818),('ice',35,'ar','node_search',2),('ice',35,'en','node_search',2),('iced',35,'ar','node_search',1),('iced',35,'en','node_search',1),('idea',32,'ar','node_search',1),('idea',32,'en','node_search',1),('ideas',4,'ar','node_search',1),('ideas',4,'en','node_search',1),('identified',24,'ar','node_search',1),('identified',24,'en','node_search',1),('identify',11,'ar','node_search',1),('identify',11,'en','node_search',1),('ideo',48,'en','node_search',1.76253),('idols',23,'ar','node_search',1),('idols',23,'en','node_search',1),('ille',48,'en','node_search',1),('illum',48,'en','node_search',0.916736),('image',10,'ar','node_search',1),('image',10,'en','node_search',1),('imagine',17,'ar','node_search',1),('imagine',17,'en','node_search',1),('immitto',48,'en','node_search',1.87957),('imperdiet',1,'ar','node_search',1.65701),('imperdiet',1,'en','node_search',1.65701),('imperdiet',4,'ar','node_search',2.46386),('imperdiet',4,'en','node_search',2.47236),('imperdiet',5,'ar','node_search',0.731649),('imperdiet',5,'en','node_search',0.731649),('imperdiet',8,'ar','node_search',2.87367),('imperdiet',8,'en','node_search',2.87367),('imperdiet',11,'ar','node_search',1.40546),('imperdiet',11,'en','node_search',1.40546),('imperdiet',12,'ar','node_search',1.70271),('imperdiet',12,'en','node_search',1.70271),('imperdiet',13,'ar','node_search',1.77073),('imperdiet',13,'en','node_search',1.77073),('imperdiet',15,'ar','node_search',0.942091),('imperdiet',15,'en','node_search',0.942091),('imperdiet',16,'ar','node_search',1.92384),('imperdiet',16,'en','node_search',1.92384),('imperdiet',17,'ar','node_search',1.78642),('imperdiet',17,'en','node_search',1.78642),('imperdiet',19,'ar','node_search',0.949597),('imperdiet',19,'en','node_search',0.949597),('imperdiet',20,'ar','node_search',0.993146),('imperdiet',20,'en','node_search',0.993146),('imperdiet',21,'ar','node_search',0.745294),('imperdiet',21,'en','node_search',0.745294),('imperdiet',22,'ar','node_search',1.67022),('imperdiet',22,'en','node_search',1.67022),('imperdiet',27,'ar','node_search',1),('imperdiet',27,'en','node_search',1),('imperdiet',28,'ar','node_search',2.46767),('imperdiet',28,'en','node_search',2.46767),('imperdiet',29,'ar','node_search',1.52683),('imperdiet',29,'en','node_search',1.52683),('imperdiet',30,'ar','node_search',0.687638),('imperdiet',30,'en','node_search',0.687638),('imperdiet',34,'ar','node_search',1.83063),('imperdiet',34,'en','node_search',1.83063),('imperdiet',36,'ar','node_search',0.845322),('imperdiet',36,'en','node_search',0.845322),('imperdiet',38,'en','node_search',7.74185),('implementation',21,'ar','node_search',1),('implementation',21,'en','node_search',1),('implied',6,'ar','node_search',1),('implied',6,'en','node_search',1),('import',21,'ar','node_search',1),('import',21,'en','node_search',1),('important',23,'ar','node_search',1),('important',23,'en','node_search',1),('imposing',21,'ar','node_search',1),('imposing',21,'en','node_search',1),('imputo',48,'en','node_search',0.860547),('incassum',48,'en','node_search',2.74273),('inceptos',8,'ar','node_search',0.869951),('inceptos',8,'en','node_search',0.869951),('inceptos',23,'ar','node_search',0.920273),('inceptos',23,'en','node_search',0.920273),('inceptos',24,'ar','node_search',0.779231),('inceptos',24,'en','node_search',0.779231),('inceptos',26,'ar','node_search',1),('inceptos',26,'en','node_search',1),('inceptos',27,'ar','node_search',0.757065),('inceptos',27,'en','node_search',0.757065),('inceptos',28,'ar','node_search',0.738408),('inceptos',28,'en','node_search',0.738408),('inceptos',31,'ar','node_search',0.707906),('inceptos',31,'en','node_search',0.707906),('inceptos',36,'ar','node_search',1.61223),('inceptos',36,'en','node_search',1.61006),('inches',6,'ar','node_search',1),('inches',6,'en','node_search',1),('incidunt',38,'en','node_search',0.819249),('include',13,'ar','node_search',1),('include',13,'en','node_search',1),('includes',23,'ar','node_search',1),('includes',23,'en','node_search',1),('incorporating',34,'ar','node_search',1),('incorporating',34,'en','node_search',1),('incorporating',49,'en','node_search',1),('incorporation',13,'ar','node_search',1),('incorporation',13,'en','node_search',1),('incorporation',34,'ar','node_search',2),('incorporation',34,'en','node_search',2),('increase',29,'ar','node_search',1),('increase',29,'en','node_search',1),('increasingly',32,'ar','node_search',1),('increasingly',32,'en','node_search',1),('incredible',35,'ar','node_search',1),('incredible',35,'en','node_search',1),('india',21,'ar','node_search',2),('india',21,'en','node_search',2),('individuals',21,'ar','node_search',1),('individuals',21,'en','node_search',1),('inhaling',32,'ar','node_search',1),('inhaling',32,'en','node_search',1),('initial',10,'ar','node_search',1),('initial',10,'en','node_search',1),('innovative',14,'ar','node_search',1),('innovative',14,'en','node_search',1),('inspired',31,'ar','node_search',1),('inspired',31,'en','node_search',1),('instagram',10,'ar','node_search',1),('instagram',10,'en','node_search',1),('instantly',36,'ar','node_search',1),('instantly',36,'en','node_search',1),('institute',15,'ar','node_search',1),('institute',15,'en','node_search',1),('insulin',29,'ar','node_search',2.95723),('insulin',29,'en','node_search',2.95723),('integer',1,'ar','node_search',0.7017),('integer',1,'en','node_search',0.7017),('integer',7,'ar','node_search',0.836446),('integer',7,'en','node_search',0.836446),('integer',8,'ar','node_search',2),('integer',8,'en','node_search',2),('integer',9,'ar','node_search',0.747619),('integer',9,'en','node_search',0.747619),('integer',10,'ar','node_search',0.805455),('integer',10,'en','node_search',0.805455),('integer',11,'ar','node_search',1.36817),('integer',11,'en','node_search',1.36817),('integer',13,'ar','node_search',1),('integer',13,'en','node_search',1),('integer',14,'ar','node_search',1.90286),('integer',14,'en','node_search',1.90286),('integer',15,'ar','node_search',1),('integer',15,'en','node_search',1),('integer',18,'ar','node_search',0.899454),('integer',18,'en','node_search',0.899454),('integer',19,'ar','node_search',0.759465),('integer',19,'en','node_search',0.759465),('integer',21,'ar','node_search',1),('integer',21,'en','node_search',1),('integer',23,'ar','node_search',0.860547),('integer',23,'en','node_search',0.860547),('integer',24,'ar','node_search',1.69177),('integer',24,'en','node_search',1.69177),('integer',25,'ar','node_search',0.98493),('integer',25,'en','node_search',0.98493),('integer',26,'ar','node_search',1),('integer',26,'en','node_search',1),('integer',27,'ar','node_search',0.808176),('integer',27,'en','node_search',0.808176),('integer',28,'ar','node_search',1.75923),('integer',28,'en','node_search',1.75923),('integer',29,'ar','node_search',0.752312),('integer',29,'en','node_search',0.752312),('integer',31,'ar','node_search',1.47793),('integer',31,'en','node_search',1.47793),('integer',34,'ar','node_search',0.860547),('integer',34,'en','node_search',0.860547),('integer',38,'en','node_search',1.46497),('intending',13,'ar','node_search',1),('intending',13,'en','node_search',1),('interdico',48,'en','node_search',2.85439),('interdum',1,'ar','node_search',0.697623),('interdum',1,'en','node_search',0.697623),('interdum',2,'ar','node_search',0.972861),('interdum',2,'en','node_search',0.976851),('interdum',4,'ar','node_search',0.854391),('interdum',4,'en','node_search',0.857458),('interdum',5,'ar','node_search',1),('interdum',5,'en','node_search',1),('interdum',6,'ar','node_search',0.857458),('interdum',6,'en','node_search',0.857458),('interdum',7,'ar','node_search',2.54838),('interdum',7,'en','node_search',2.54838),('interdum',8,'ar','node_search',0.989021),('interdum',8,'en','node_search',0.989021),('interdum',9,'ar','node_search',1.37923),('interdum',9,'en','node_search',1.37923),('interdum',10,'ar','node_search',1.60734),('interdum',10,'en','node_search',1.60734),('interdum',11,'ar','node_search',2.38255),('interdum',11,'en','node_search',2.38255),('interdum',12,'ar','node_search',0.98493),('interdum',12,'en','node_search',0.98493),('interdum',14,'ar','node_search',2.6345),('interdum',14,'en','node_search',2.6345),('interdum',15,'ar','node_search',2),('interdum',15,'en','node_search',2),('interdum',16,'ar','node_search',2.51318),('interdum',16,'en','node_search',2.51318),('interdum',17,'ar','node_search',2.19779),('interdum',17,'en','node_search',2.19779),('interdum',18,'ar','node_search',0.896076),('interdum',18,'en','node_search',0.896076),('interdum',19,'ar','node_search',1.70101),('interdum',19,'en','node_search',1.70101),('interdum',20,'ar','node_search',2.47517),('interdum',20,'en','node_search',2.47517),('interdum',21,'ar','node_search',1.74529),('interdum',21,'en','node_search',1.74529),('interdum',24,'ar','node_search',0.869951),('interdum',24,'en','node_search',0.869951),('interdum',25,'ar','node_search',2.7143),('interdum',25,'en','node_search',2.7143),('interdum',26,'ar','node_search',1.9534),('interdum',26,'en','node_search',1.9534),('interdum',27,'ar','node_search',0.842342),('interdum',27,'en','node_search',0.842342),('interdum',28,'ar','node_search',0.822065),('interdum',28,'en','node_search',0.822065),('interdum',29,'ar','node_search',0.691597),('interdum',29,'en','node_search',0.691597),('interdum',30,'ar','node_search',0.953396),('interdum',30,'en','node_search',0.953396),('interdum',31,'ar','node_search',0.757065),('interdum',31,'en','node_search',0.757065),('interdum',32,'ar','node_search',2.76157),('interdum',32,'en','node_search',2.76157),('interdum',33,'ar','node_search',1),('interdum',33,'en','node_search',1),('interdum',34,'ar','node_search',2.8275),('interdum',34,'en','node_search',2.8275),('interdum',35,'ar','node_search',1),('interdum',35,'en','node_search',1),('interdum',36,'ar','node_search',0.784336),('interdum',36,'en','node_search',0.784336),('interdum',38,'en','node_search',1),('interference',30,'ar','node_search',1),('interference',30,'en','node_search',1),('international',1,'ar','node_search',2),('international',1,'en','node_search',2),('international',6,'ar','node_search',1),('international',6,'en','node_search',1),('international',31,'ar','node_search',2),('international',31,'en','node_search',2),('intervention',29,'ar','node_search',0.938382),('intervention',29,'en','node_search',0.938382),('inthepresent',32,'ar','node_search',1),('inthepresent',32,'en','node_search',1),('into',2,'ar','node_search',1),('into',2,'en','node_search',1),('into',3,'ar','node_search',1),('into',3,'en','node_search',1),('into',6,'ar','node_search',1),('into',6,'en','node_search',1),('into',10,'ar','node_search',1),('into',10,'en','node_search',1),('into',16,'ar','node_search',27),('into',16,'en','node_search',27),('into',20,'ar','node_search',1),('into',20,'en','node_search',1),('into',29,'ar','node_search',1),('into',29,'en','node_search',1),('into',31,'ar','node_search',1),('into',31,'en','node_search',1),('into',35,'ar','node_search',1),('into',35,'en','node_search',1),('intrigued',3,'ar','node_search',1),('intrigued',3,'en','node_search',1),('introduction',13,'ar','node_search',1),('introduction',13,'en','node_search',1),('investigation',23,'ar','node_search',1),('investigation',23,'en','node_search',1),('invidunt',38,'en','node_search',0.860547),('involved',25,'ar','node_search',1),('involved',25,'en','node_search',1),('involves',32,'ar','node_search',1),('involves',32,'en','node_search',1),('iphones',3,'ar','node_search',1),('iphones',3,'en','node_search',1),('ipsum',1,'ar','node_search',3.22731),('ipsum',1,'en','node_search',3.22731),('ipsum',4,'ar','node_search',3.66032),('ipsum',4,'en','node_search',3.67169),('ipsum',5,'ar','node_search',0.749958),('ipsum',5,'en','node_search',0.749958),('ipsum',6,'ar','node_search',2.80231),('ipsum',6,'en','node_search',2.80231),('ipsum',7,'ar','node_search',0.98493),('ipsum',7,'en','node_search',0.98493),('ipsum',9,'ar','node_search',0.906287),('ipsum',9,'en','node_search',0.906287),('ipsum',10,'ar','node_search',1.60664),('ipsum',10,'en','node_search',1.60664),('ipsum',11,'ar','node_search',0.776703),('ipsum',11,'en','node_search',0.776703),('ipsum',12,'ar','node_search',0.896076),('ipsum',12,'en','node_search',0.896076),('ipsum',13,'ar','node_search',2.73835),('ipsum',13,'en','node_search',2.73835),('ipsum',14,'ar','node_search',2.84281),('ipsum',14,'en','node_search',2.84281),('ipsum',15,'ar','node_search',2),('ipsum',15,'en','node_search',2),('ipsum',16,'ar','node_search',2.74224),('ipsum',16,'en','node_search',2.74224),('ipsum',17,'ar','node_search',2.47675),('ipsum',17,'en','node_search',2.47675),('ipsum',18,'ar','node_search',1),('ipsum',18,'en','node_search',1),('ipsum',19,'ar','node_search',2.69112),('ipsum',19,'en','node_search',2.69112),('ipsum',20,'ar','node_search',1.76096),('ipsum',20,'en','node_search',1.76096),('ipsum',21,'ar','node_search',1.55116),('ipsum',21,'en','node_search',1.55116),('ipsum',22,'ar','node_search',2.69142),('ipsum',22,'en','node_search',2.69142),('ipsum',23,'ar','node_search',1.85721),('ipsum',23,'en','node_search',1.85721),('ipsum',24,'ar','node_search',2.42479),('ipsum',24,'en','node_search',2.42479),('ipsum',25,'ar','node_search',1.91674),('ipsum',25,'en','node_search',1.91674),('ipsum',26,'ar','node_search',1.79212),('ipsum',26,'en','node_search',1.79212),('ipsum',27,'ar','node_search',4.51028),('ipsum',27,'en','node_search',4.51028),('ipsum',29,'ar','node_search',1.97396),('ipsum',29,'en','node_search',1.97396),('ipsum',30,'ar','node_search',2.08353),('ipsum',30,'en','node_search',2.08353),('ipsum',31,'ar','node_search',2.17936),('ipsum',31,'en','node_search',2.17936),('ipsum',33,'ar','node_search',0.857458),('ipsum',33,'en','node_search',0.857458),('ipsum',34,'ar','node_search',5.31865),('ipsum',34,'en','node_search',5.31865),('ipsum',35,'ar','node_search',0.800068),('ipsum',35,'en','node_search',0.800068),('ipsum',38,'en','node_search',10.7042),('island',3,'ar','node_search',2),('island',3,'en','node_search',2),('island',4,'ar','node_search',1),('island',4,'en','node_search',1),('island',22,'ar','node_search',1),('island',22,'en','node_search',1),('islands',4,'ar','node_search',1.99731),('islands',4,'en','node_search',2),('issues',1,'ar','node_search',1),('issues',1,'en','node_search',1),('its',3,'ar','node_search',1),('its',3,'en','node_search',1),('its',4,'ar','node_search',1),('its',4,'en','node_search',1),('its',28,'ar','node_search',1),('its',28,'en','node_search',1),('its',31,'ar','node_search',2),('its',31,'en','node_search',2),('its',33,'ar','node_search',1),('its',33,'en','node_search',1),('iusto',48,'en','node_search',2.85107),('jack',17,'ar','node_search',3),('jack',17,'en','node_search',3),('jack',36,'ar','node_search',18.8504),('jack',36,'en','node_search',18.7936),('james',20,'ar','node_search',1),('james',20,'en','node_search',1),('jancker',25,'ar','node_search',1),('jancker',25,'en','node_search',1),('jaunt',6,'ar','node_search',1),('jaunt',6,'en','node_search',1),('jeans',3,'ar','node_search',1),('jeans',3,'en','node_search',1),('jesus',23,'ar','node_search',1),('jesus',23,'en','node_search',1),('job',1,'ar','node_search',1),('job',1,'en','node_search',1),('johannes',5,'ar','node_search',1),('johannes',5,'en','node_search',1),('journal',32,'ar','node_search',1),('journal',32,'en','node_search',1),('journey',6,'ar','node_search',1),('journey',6,'en','node_search',1),('july',16,'ar','node_search',1),('july',16,'en','node_search',1),('jumper',5,'ar','node_search',1),('jumper',5,'en','node_search',1),('june',5,'ar','node_search',1),('june',5,'en','node_search',1),('june',15,'ar','node_search',1),('june',15,'en','node_search',1),('june',24,'ar','node_search',1),('june',24,'en','node_search',1),('june',31,'ar','node_search',1),('june',31,'en','node_search',1),('jus',48,'en','node_search',2),('just',11,'ar','node_search',1),('just',11,'en','node_search',1),('just',31,'ar','node_search',1),('just',31,'en','node_search',1),('just',33,'ar','node_search',1),('just',33,'en','node_search',1),('just',36,'ar','node_search',1),('just',36,'en','node_search',1),('justifiable',11,'ar','node_search',1),('justifiable',11,'en','node_search',1),('justo',1,'ar','node_search',0.842342),('justo',1,'en','node_search',0.842342),('justo',4,'ar','node_search',0.776703),('justo',4,'en','node_search',0.779231),('justo',5,'ar','node_search',1.48419),('justo',5,'en','node_search',1.48419),('justo',7,'ar','node_search',1.65266),('justo',7,'en','node_search',1.65266),('justo',8,'ar','node_search',2.84428),('justo',8,'en','node_search',2.84428),('justo',9,'ar','node_search',1.47683),('justo',9,'en','node_search',1.47683),('justo',10,'ar','node_search',1.55853),('justo',10,'en','node_search',1.55853),('justo',11,'ar','node_search',0.824901),('justo',11,'en','node_search',0.824901),('justo',12,'ar','node_search',1.86995),('justo',12,'en','node_search',1.86995),('justo',13,'ar','node_search',1.8249),('justo',13,'en','node_search',1.8249),('justo',14,'ar','node_search',1.71572),('justo',14,'en','node_search',1.71572),('justo',15,'ar','node_search',2.84905),('justo',15,'en','node_search',2.84905),('justo',16,'ar','node_search',0.931053),('justo',16,'en','node_search',0.931053),('justo',17,'ar','node_search',0.802752),('justo',17,'en','node_search',0.802752),('justo',18,'ar','node_search',1.67457),('justo',18,'en','node_search',1.67457),('justo',19,'ar','node_search',3.38131),('justo',19,'en','node_search',3.38131),('justo',20,'ar','node_search',1),('justo',20,'en','node_search',1),('justo',21,'ar','node_search',3.93992),('justo',21,'en','node_search',3.93992),('justo',22,'ar','node_search',2.61299),('justo',22,'en','node_search',2.61299),('justo',24,'ar','node_search',1),('justo',24,'en','node_search',1),('justo',25,'ar','node_search',3.35617),('justo',25,'en','node_search',3.35617),('justo',26,'ar','node_search',1.80275),('justo',26,'en','node_search',1.80275),('justo',28,'ar','node_search',2.55099),('justo',28,'en','node_search',2.55099),('justo',29,'ar','node_search',2.13112),('justo',29,'en','node_search',2.13112),('justo',30,'ar','node_search',0.851346),('justo',30,'en','node_search',0.851346),('justo',31,'ar','node_search',2.64706),('justo',31,'en','node_search',2.64706),('justo',32,'ar','node_search',3.47916),('justo',32,'en','node_search',3.47916),('justo',33,'ar','node_search',1),('justo',33,'en','node_search',1),('justo',34,'ar','node_search',1.83063),('justo',34,'en','node_search',1.83063),('justo',35,'ar','node_search',0.931053),('justo',35,'en','node_search',0.931053),('justo',36,'ar','node_search',3.55983),('justo',36,'en','node_search',3.55983),('justo',38,'en','node_search',3.8842),('kakalios',20,'ar','node_search',1),('kakalios',20,'en','node_search',1),('kasd',38,'en','node_search',2.94583),('kashuk',36,'ar','node_search',2),('kashuk',36,'en','node_search',2),('kayaking',4,'ar','node_search',1),('kayaking',4,'en','node_search',1),('keep',30,'ar','node_search',1),('keep',30,'en','node_search',1),('keeping',3,'ar','node_search',0.889397),('keeping',3,'en','node_search',0.889397),('kelly',5,'ar','node_search',1),('kelly',5,'en','node_search',1),('kept',23,'ar','node_search',1),('kept',23,'en','node_search',1),('kerry',26,'ar','node_search',1),('kerry',26,'en','node_search',1),('kevin',9,'ar','node_search',1),('kevin',9,'en','node_search',1),('kicked',35,'ar','node_search',1),('kicked',35,'en','node_search',1),('kid',3,'ar','node_search',1),('kid',3,'en','node_search',1),('kill',6,'ar','node_search',1),('kill',6,'en','node_search',1),('kind',3,'ar','node_search',1),('kind',3,'en','node_search',1),('king',31,'ar','node_search',1),('king',31,'en','node_search',1),('kirby',20,'ar','node_search',1),('kirby',20,'en','node_search',1),('kiwi',4,'ar','node_search',2),('kiwi',4,'en','node_search',2),('know',17,'ar','node_search',1),('know',17,'en','node_search',1),('know',29,'ar','node_search',1),('know',29,'en','node_search',1),('know',30,'ar','node_search',1),('know',30,'en','node_search',1),('know',36,'ar','node_search',1),('know',36,'en','node_search',1),('know',49,'en','node_search',1),('known',2,'ar','node_search',1),('known',2,'en','node_search',1),('known',4,'ar','node_search',1),('known',4,'en','node_search',1),('known',19,'ar','node_search',1),('known',19,'en','node_search',1),('korea',1,'ar','node_search',1),('korea',1,'en','node_search',1),('kroos',25,'ar','node_search',1),('kroos',25,'en','node_search',1),('kuta',22,'ar','node_search',28),('kuta',22,'en','node_search',28),('lab',20,'ar','node_search',1),('lab',20,'en','node_search',1),('labore',38,'en','node_search',1.67391),('laborum',38,'en','node_search',2.76217),('lacinia',1,'ar','node_search',2.18774),('lacinia',1,'en','node_search',2.18774),('lacinia',2,'ar','node_search',0.685676),('lacinia',2,'en','node_search',0.687638),('lacinia',3,'ar','node_search',0.635),('lacinia',3,'en','node_search',0.635),('lacinia',5,'ar','node_search',0.76431),('lacinia',5,'en','node_search',0.76431),('lacinia',7,'ar','node_search',0.805455),('lacinia',7,'en','node_search',0.805455),('lacinia',8,'ar','node_search',1.82302),('lacinia',8,'en','node_search',1.82302),('lacinia',9,'ar','node_search',0.718502),('lacinia',9,'en','node_search',0.718502),('lacinia',14,'ar','node_search',2),('lacinia',14,'en','node_search',2),('lacinia',15,'ar','node_search',1),('lacinia',15,'en','node_search',1),('lacinia',18,'ar','node_search',1),('lacinia',18,'en','node_search',1),('lacinia',19,'ar','node_search',0.749958),('lacinia',19,'en','node_search',0.749958),('lacinia',22,'ar','node_search',0.851346),('lacinia',22,'en','node_search',0.851346),('lacinia',24,'ar','node_search',0.886095),('lacinia',24,'en','node_search',0.886095),('lacinia',26,'ar','node_search',1.7974),('lacinia',26,'en','node_search',1.7974),('lacinia',27,'ar','node_search',1),('lacinia',27,'en','node_search',1),('lacinia',28,'ar','node_search',1.53601),('lacinia',28,'en','node_search',1.53601),('lacinia',29,'ar','node_search',2.20557),('lacinia',29,'en','node_search',2.20557),('lacinia',30,'ar','node_search',1.38554),('lacinia',30,'en','node_search',1.38554),('lacinia',31,'ar','node_search',0.766757),('lacinia',31,'en','node_search',0.766757),('lacinia',33,'ar','node_search',0.808176),('lacinia',33,'en','node_search',0.808176),('lacinia',35,'ar','node_search',0.757065),('lacinia',35,'en','node_search',0.757065),('lacinia',38,'en','node_search',1.71211),('lacus',1,'ar','node_search',2.22448),('lacus',1,'en','node_search',2.22448),('lacus',4,'ar','node_search',0.699655),('lacus',4,'en','node_search',0.7017),('lacus',5,'ar','node_search',2.15423),('lacus',5,'en','node_search',2.15423),('lacus',6,'ar','node_search',0.997306),('lacus',6,'en','node_search',0.997306),('lacus',7,'ar','node_search',2.86366),('lacus',7,'en','node_search',2.86366),('lacus',8,'ar','node_search',1),('lacus',8,'en','node_search',1),('lacus',9,'ar','node_search',0.781775),('lacus',9,'en','node_search',0.781775),('lacus',13,'ar','node_search',1.85746),('lacus',13,'en','node_search',1.85746),('lacus',14,'ar','node_search',0.824901),('lacus',14,'en','node_search',0.824901),('lacus',15,'ar','node_search',0.976851),('lacus',15,'en','node_search',0.976851),('lacus',16,'ar','node_search',3.44058),('lacus',16,'en','node_search',3.44568),('lacus',17,'ar','node_search',2.31194),('lacus',17,'en','node_search',2.31194),('lacus',18,'ar','node_search',3.52834),('lacus',18,'en','node_search',3.52834),('lacus',19,'ar','node_search',1.56111),('lacus',19,'en','node_search',1.56111),('lacus',20,'ar','node_search',1.62516),('lacus',20,'en','node_search',1.62516),('lacus',21,'ar','node_search',2.71335),('lacus',21,'en','node_search',2.71335),('lacus',22,'ar','node_search',1.66135),('lacus',22,'en','node_search',1.66135),('lacus',23,'ar','node_search',1.54646),('lacus',23,'en','node_search',1.54646),('lacus',24,'ar','node_search',3.44455),('lacus',24,'en','node_search',3.44455),('lacus',25,'ar','node_search',0.827757),('lacus',25,'en','node_search',0.827757),('lacus',27,'ar','node_search',2.68405),('lacus',27,'en','node_search',2.68405),('lacus',28,'ar','node_search',0.851346),('lacus',28,'en','node_search',0.851346),('lacus',29,'ar','node_search',1.35017),('lacus',29,'en','node_search',1.35017),('lacus',30,'ar','node_search',0.683725),('lacus',30,'en','node_search',0.683725),('lacus',31,'ar','node_search',2.3324),('lacus',31,'en','node_search',2.3324),('lacus',32,'ar','node_search',0.961087),('lacus',32,'en','node_search',0.961087),('lacus',34,'ar','node_search',1.85212),('lacus',34,'en','node_search',1.85212),('lacus',38,'en','node_search',1.6956),('lahm',25,'ar','node_search',1),('lahm',25,'en','node_search',1),('laidback',4,'ar','node_search',1),('laidback',4,'en','node_search',1),('lake',6,'ar','node_search',1),('lake',6,'en','node_search',1),('lakes',4,'ar','node_search',1),('lakes',4,'en','node_search',1),('lancaster',15,'ar','node_search',1),('lancaster',15,'en','node_search',1),('landing',49,'en','node_search',27),('lantern',14,'ar','node_search',28),('lantern',14,'en','node_search',28),('lantern',49,'en','node_search',0.949597),('laoreet',1,'ar','node_search',1.41381),('laoreet',1,'en','node_search',1.41381),('laoreet',2,'ar','node_search',0.934703),('laoreet',2,'en','node_search',0.938382),('laoreet',4,'ar','node_search',0.754681),('laoreet',4,'en','node_search',0.757065),('laoreet',6,'ar','node_search',0.836446),('laoreet',6,'en','node_search',0.836446),('laoreet',7,'ar','node_search',0.822065),('laoreet',7,'en','node_search',0.822065),('laoreet',8,'ar','node_search',1.90629),('laoreet',8,'en','node_search',1.90629),('laoreet',9,'ar','node_search',0.733888),('laoreet',9,'en','node_search',0.733888),('laoreet',11,'ar','node_search',1.48344),('laoreet',11,'en','node_search',1.48344),('laoreet',12,'ar','node_search',1),('laoreet',12,'en','node_search',1),('laoreet',13,'ar','node_search',3.42005),('laoreet',13,'en','node_search',3.42005),('laoreet',14,'ar','node_search',0.972861),('laoreet',14,'en','node_search',0.972861),('laoreet',15,'ar','node_search',0.886095),('laoreet',15,'en','node_search',0.886095),('laoreet',16,'ar','node_search',5.46735),('laoreet',16,'en','node_search',5.46735),('laoreet',17,'ar','node_search',4.86769),('laoreet',17,'en','node_search',4.86769),('laoreet',18,'ar','node_search',2.64214),('laoreet',18,'en','node_search',2.64214),('laoreet',19,'ar','node_search',0.899454),('laoreet',19,'en','node_search',0.899454),('laoreet',20,'ar','node_search',3.48693),('laoreet',20,'en','node_search',3.48693),('laoreet',21,'ar','node_search',2.43197),('laoreet',21,'en','node_search',2.43197),('laoreet',23,'ar','node_search',0.822065),('laoreet',23,'en','node_search',0.822065),('laoreet',24,'ar','node_search',0.749958),('laoreet',24,'en','node_search',0.749958),('laoreet',25,'ar','node_search',1),('laoreet',25,'en','node_search',1),('laoreet',26,'ar','node_search',1),('laoreet',26,'en','node_search',1),('laoreet',27,'ar','node_search',1.86995),('laoreet',27,'en','node_search',1.86995),('laoreet',28,'ar','node_search',1.59784),('laoreet',28,'en','node_search',1.59784),('laoreet',29,'ar','node_search',1.48505),('laoreet',29,'en','node_search',1.48505),('laoreet',30,'ar','node_search',2.45053),('laoreet',30,'en','node_search',2.45053),('laoreet',31,'ar','node_search',1.69359),('laoreet',31,'en','node_search',1.69359),('laoreet',32,'ar','node_search',0.808176),('laoreet',32,'en','node_search',0.808176),('laoreet',33,'ar','node_search',1.97286),('laoreet',33,'en','node_search',1.97286),('laoreet',34,'ar','node_search',3.86295),('laoreet',34,'en','node_search',3.86295),('laoreet',35,'ar','node_search',1.89945),('laoreet',35,'en','node_search',1.89945),('laoreet',36,'ar','node_search',1.53409),('laoreet',36,'en','node_search',1.53409),('laoreet',38,'en','node_search',1.66913),('laoreet',48,'en','node_search',1),('lash',36,'ar','node_search',1),('lash',36,'en','node_search',1),('last',1,'ar','node_search',1),('last',1,'en','node_search',1),('last',15,'ar','node_search',1),('last',15,'en','node_search',1),('last',25,'ar','node_search',1),('last',25,'en','node_search',1),('late',23,'ar','node_search',1),('late',23,'en','node_search',1),('latest',11,'ar','node_search',1),('latest',11,'en','node_search',1),('laugh',27,'ar','node_search',27),('laugh',27,'en','node_search',27),('launched',33,'ar','node_search',1),('launched',33,'en','node_search',1),('laundering',23,'ar','node_search',1),('laundering',23,'en','node_search',1),('lauren',10,'ar','node_search',1),('lauren',10,'en','node_search',1),('law',16,'ar','node_search',27),('law',16,'en','node_search',27),('laws',21,'ar','node_search',27),('laws',21,'en','node_search',27),('layered',5,'ar','node_search',1),('layered',5,'en','node_search',1),('lead',15,'ar','node_search',27),('lead',15,'en','node_search',27),('leadership',14,'ar','node_search',1),('leadership',14,'en','node_search',1),('leads',29,'ar','node_search',1),('leads',29,'en','node_search',1),('learn',36,'ar','node_search',1),('learn',36,'en','node_search',1),('learned',35,'ar','node_search',1),('learned',35,'en','node_search',1),('learning',1,'ar','node_search',1),('learning',1,'en','node_search',1),('learning',12,'ar','node_search',1),('learning',12,'en','node_search',1),('leary',6,'ar','node_search',1),('leary',6,'en','node_search',1),('leave',36,'ar','node_search',1),('leave',36,'en','node_search',1),('leave',49,'en','node_search',1),('lectus',1,'ar','node_search',1.76762),('lectus',1,'en','node_search',1.76762),('lectus',2,'ar','node_search',0.896076),('lectus',2,'en','node_search',0.899454),('lectus',4,'ar','node_search',0.727213),('lectus',4,'en','node_search',0.729424),('lectus',5,'ar','node_search',0.712106),('lectus',5,'en','node_search',0.712106),('lectus',6,'ar','node_search',0.816452),('lectus',6,'en','node_search',0.816452),('lectus',7,'ar','node_search',2.46743),('lectus',7,'en','node_search',2.46743),('lectus',9,'ar','node_search',2.2176),('lectus',9,'en','node_search',2.2176),('lectus',10,'ar','node_search',0.745294),('lectus',10,'en','node_search',0.745294),('lectus',11,'ar','node_search',2.40453),('lectus',11,'en','node_search',2.40453),('lectus',12,'ar','node_search',1.82163),('lectus',12,'en','node_search',1.82163),('lectus',18,'ar','node_search',0.873132),('lectus',18,'en','node_search',0.873132),('lectus',19,'ar','node_search',1.70865),('lectus',19,'en','node_search',1.70865),('lectus',21,'ar','node_search',2.41589),('lectus',21,'en','node_search',2.41589),('lectus',22,'ar','node_search',0.899454),('lectus',22,'en','node_search',0.899454),('lectus',23,'ar','node_search',0.718502),('lectus',23,'en','node_search',0.718502),('lectus',24,'ar','node_search',0.7017),('lectus',24,'en','node_search',0.7017),('lectus',26,'ar','node_search',1),('lectus',26,'en','node_search',1),('lectus',27,'ar','node_search',4.952),('lectus',27,'en','node_search',4.952),('lectus',29,'ar','node_search',2.15669),('lectus',29,'en','node_search',2.15669),('lectus',30,'ar','node_search',3.035),('lectus',30,'en','node_search',3.035),('lectus',31,'ar','node_search',1.89272),('lectus',31,'en','node_search',1.89272),('lectus',33,'ar','node_search',3.53216),('lectus',33,'en','node_search',3.53216),('lectus',34,'ar','node_search',0.854391),('lectus',34,'en','node_search',0.854391),('lectus',35,'ar','node_search',3.287),('lectus',35,'en','node_search',3.287),('lectus',36,'ar','node_search',1.49537),('lectus',36,'en','node_search',1.49537),('lectus',38,'en','node_search',2.40548),('left',3,'ar','node_search',1),('left',3,'en','node_search',1),('left',6,'ar','node_search',1),('left',6,'en','node_search',1),('legislation',16,'ar','node_search',1),('legislation',16,'en','node_search',1),('leo',1,'ar','node_search',1.53813),('leo',1,'en','node_search',1.53813),('leo',2,'ar','node_search',1.61839),('leo',2,'en','node_search',1.62397),('leo',3,'ar','node_search',0.670377),('leo',3,'en','node_search',0.670377),('leo',4,'ar','node_search',0.848323),('leo',4,'en','node_search',0.851346),('leo',5,'ar','node_search',3.3597),('leo',5,'en','node_search',3.3597),('leo',6,'ar','node_search',0.824901),('leo',6,'en','node_search',0.824901),('leo',7,'ar','node_search',2.44565),('leo',7,'en','node_search',2.44565),('leo',9,'ar','node_search',2.18685),('leo',9,'en','node_search',2.18685),('leo',10,'ar','node_search',1.80007),('leo',10,'en','node_search',1.80007),('leo',11,'ar','node_search',0.771698),('leo',11,'en','node_search',0.771698),('leo',12,'ar','node_search',3.73028),('leo',12,'en','node_search',3.73028),('leo',13,'ar','node_search',1.87313),('leo',13,'en','node_search',1.87313),('leo',14,'ar','node_search',0.813674),('leo',14,'en','node_search',0.813674),('leo',15,'ar','node_search',1),('leo',15,'en','node_search',1),('leo',16,'ar','node_search',1),('leo',16,'en','node_search',1),('leo',17,'ar','node_search',0.886095),('leo',17,'en','node_search',0.886095),('leo',18,'ar','node_search',2.80545),('leo',18,'en','node_search',2.80545),('leo',19,'ar','node_search',0.882818),('leo',19,'en','node_search',0.882818),('leo',21,'ar','node_search',1.54646),('leo',21,'en','node_search',1.54646),('leo',22,'ar','node_search',1.69455),('leo',22,'en','node_search',1.69455),('leo',23,'ar','node_search',1.63483),('leo',23,'en','node_search',1.63483),('leo',24,'ar','node_search',1.49537),('leo',24,'en','node_search',1.49537),('leo',25,'ar','node_search',0.813674),('leo',25,'en','node_search',0.813674),('leo',26,'ar','node_search',2.59805),('leo',26,'en','node_search',2.59805),('leo',27,'ar','node_search',0.869951),('leo',27,'en','node_search',0.869951),('leo',29,'ar','node_search',2.04771),('leo',29,'en','node_search',2.04771),('leo',30,'ar','node_search',1.43174),('leo',30,'en','node_search',1.43174),('leo',31,'ar','node_search',2.38321),('leo',31,'en','node_search',2.38321),('leo',32,'ar','node_search',0.916736),('leo',32,'en','node_search',0.916736),('leo',33,'ar','node_search',1.64875),('leo',33,'en','node_search',1.64875),('leo',35,'ar','node_search',1.54237),('leo',35,'en','node_search',1.54237),('leo',36,'ar','node_search',1.59596),('leo',36,'en','node_search',1.59379),('leo',38,'en','node_search',4.61646),('less',17,'ar','node_search',1),('less',17,'en','node_search',1),('less',27,'ar','node_search',1),('less',27,'en','node_search',1),('less',32,'ar','node_search',1),('less',32,'en','node_search',1),('letalis',48,'en','node_search',0.857458),('levels',29,'ar','node_search',1.9496),('levels',29,'en','node_search',1.9496),('liability',13,'ar','node_search',1),('liability',13,'en','node_search',1),('libero',1,'ar','node_search',1.41806),('libero',1,'en','node_search',1.41806),('libero',2,'ar','node_search',2.42277),('libero',2,'en','node_search',2.43099),('libero',3,'ar','node_search',1.56641),('libero',3,'en','node_search',1.56641),('libero',4,'ar','node_search',1.55532),('libero',4,'en','node_search',1.56043),('libero',5,'ar','node_search',3.0008),('libero',5,'en','node_search',3.0008),('libero',6,'ar','node_search',3.29901),('libero',6,'en','node_search',3.29901),('libero',7,'ar','node_search',1.78434),('libero',7,'en','node_search',1.78434),('libero',8,'ar','node_search',2.86593),('libero',8,'en','node_search',2.86593),('libero',9,'ar','node_search',0.7017),('libero',9,'en','node_search',0.7017),('libero',10,'ar','node_search',1.69427),('libero',10,'en','node_search',1.69427),('libero',11,'ar','node_search',1.45403),('libero',11,'en','node_search',1.45403),('libero',12,'ar','node_search',3.73679),('libero',12,'en','node_search',3.73679),('libero',13,'ar','node_search',1),('libero',13,'en','node_search',1),('libero',14,'ar','node_search',1.84234),('libero',14,'en','node_search',1.84234),('libero',15,'ar','node_search',0.813674),('libero',15,'en','node_search',0.813674),('libero',16,'ar','node_search',0.810915),('libero',16,'en','node_search',0.810915),('libero',17,'ar','node_search',0.712106),('libero',17,'en','node_search',0.712106),('libero',18,'ar','node_search',0.916736),('libero',18,'en','node_search',0.916736),('libero',19,'ar','node_search',1),('libero',19,'en','node_search',1),('libero',20,'ar','node_search',0.771698),('libero',20,'en','node_search',0.771698),('libero',21,'ar','node_search',0.771698),('libero',21,'en','node_search',0.771698),('libero',22,'ar','node_search',3.64786),('libero',22,'en','node_search',3.64786),('libero',23,'ar','node_search',0.740689),('libero',23,'en','node_search',0.740689),('libero',24,'ar','node_search',0.71),('libero',24,'en','node_search',0.71),('libero',25,'ar','node_search',1.65811),('libero',25,'en','node_search',1.65811),('libero',26,'ar','node_search',3.83938),('libero',26,'en','node_search',3.83938),('libero',27,'ar','node_search',0.800068),('libero',27,'en','node_search',0.800068),('libero',28,'ar','node_search',2.5046),('libero',28,'en','node_search',2.5046),('libero',29,'ar','node_search',1.38554),('libero',29,'en','node_search',1.38554),('libero',30,'ar','node_search',2.33696),('libero',30,'en','node_search',2.33696),('libero',32,'ar','node_search',1.83353),('libero',32,'en','node_search',1.83353),('libero',33,'ar','node_search',2.73135),('libero',33,'en','node_search',2.73135),('libero',34,'ar','node_search',0.873132),('libero',34,'en','node_search',0.873132),('libero',35,'ar','node_search',2.53647),('libero',35,'en','node_search',2.53647),('libero',36,'ar','node_search',4.13746),('libero',36,'en','node_search',4.13529),('libero',38,'en','node_search',5.99442),('liberty',12,'ar','node_search',1),('liberty',12,'en','node_search',1),('libraries',23,'ar','node_search',1),('libraries',23,'en','node_search',1),('library',24,'ar','node_search',29),('library',24,'en','node_search',29),('library',49,'en','node_search',1),('lifestyle',4,'ar','node_search',2),('lifestyle',4,'en','node_search',2),('light',6,'ar','node_search',1),('light',6,'en','node_search',1),('light',7,'ar','node_search',2),('light',7,'en','node_search',2),('ligula',1,'ar','node_search',0.786915),('ligula',1,'en','node_search',0.786915),('ligula',2,'ar','node_search',0.774192),('ligula',2,'en','node_search',0.776703),('ligula',3,'ar','node_search',0.752312),('ligula',3,'en','node_search',0.752312),('ligula',4,'ar','node_search',0.819249),('ligula',4,'en','node_search',0.822065),('ligula',5,'ar','node_search',1.63228),('ligula',5,'en','node_search',1.63228),('ligula',6,'ar','node_search',0.749958),('ligula',6,'en','node_search',0.749958),('ligula',7,'ar','node_search',0.916736),('ligula',7,'en','node_search',0.916736),('ligula',8,'ar','node_search',1.96498),('ligula',8,'en','node_search',1.96498),('ligula',9,'ar','node_search',0.836446),('ligula',9,'en','node_search',0.836446),('ligula',12,'ar','node_search',1.82916),('ligula',12,'en','node_search',1.82916),('ligula',14,'ar','node_search',1.77647),('ligula',14,'en','node_search',1.77647),('ligula',15,'ar','node_search',0.851346),('ligula',15,'en','node_search',0.851346),('ligula',16,'ar','node_search',21.8699),('ligula',16,'en','node_search',22.0077),('ligula',17,'ar','node_search',0.727213),('ligula',17,'en','node_search',0.727213),('ligula',18,'ar','node_search',1.96498),('ligula',18,'en','node_search',1.96498),('ligula',19,'ar','node_search',2.4932),('ligula',19,'en','node_search',2.4932),('ligula',20,'ar','node_search',0.813674),('ligula',20,'en','node_search',0.813674),('ligula',21,'ar','node_search',0.747619),('ligula',21,'en','node_search',0.747619),('ligula',22,'ar','node_search',0.997306),('ligula',22,'en','node_search',0.997306),('ligula',23,'ar','node_search',0.731649),('ligula',23,'en','node_search',0.731649),('ligula',24,'ar','node_search',2.63799),('ligula',24,'en','node_search',2.63799),('ligula',25,'ar','node_search',3.3828),('ligula',25,'en','node_search',3.3828),('ligula',26,'ar','node_search',0.879565),('ligula',26,'en','node_search',0.879565),('ligula',27,'ar','node_search',1.66837),('ligula',27,'en','node_search',1.66837),('ligula',28,'ar','node_search',1.66291),('ligula',28,'en','node_search',1.66291),('ligula',29,'ar','node_search',1.30456),('ligula',29,'en','node_search',1.30456),('ligula',31,'ar','node_search',1.59482),('ligula',31,'en','node_search',1.59482),('ligula',32,'ar','node_search',2.58736),('ligula',32,'en','node_search',2.58736),('ligula',34,'ar','node_search',1.79109),('ligula',34,'en','node_search',1.79109),('ligula',36,'ar','node_search',2.75601),('ligula',36,'en','node_search',2.75601),('ligula',38,'en','node_search',3.26698),('like',4,'ar','node_search',1),('like',4,'en','node_search',1),('like',5,'ar','node_search',27),('like',5,'en','node_search',27),('like',6,'ar','node_search',2),('like',6,'en','node_search',2),('like',7,'ar','node_search',27),('like',7,'en','node_search',27),('like',11,'ar','node_search',1),('like',11,'en','node_search',1),('like',18,'ar','node_search',1),('like',18,'en','node_search',1),('like',22,'ar','node_search',1),('like',22,'en','node_search',1),('limited',13,'ar','node_search',1),('limited',13,'en','node_search',1),('limited',16,'ar','node_search',3.79475),('limited',16,'en','node_search',3.80007),('limits',28,'ar','node_search',1),('limits',28,'en','node_search',1),('line',4,'ar','node_search',1),('line',4,'en','node_search',1),('line',6,'ar','node_search',1),('line',6,'en','node_search',1),('literally',4,'ar','node_search',1),('literally',4,'en','node_search',1),('litora',8,'ar','node_search',0.886095),('litora',8,'en','node_search',0.886095),('litora',23,'ar','node_search',0.938382),('litora',23,'en','node_search',0.938382),('litora',24,'ar','node_search',0.792123),('litora',24,'en','node_search',0.792123),('litora',26,'ar','node_search',1),('litora',26,'en','node_search',1),('litora',27,'ar','node_search',0.769219),('litora',27,'en','node_search',0.769219),('litora',28,'ar','node_search',0.749958),('litora',28,'en','node_search',0.749958),('litora',31,'ar','node_search',0.718502),('litora',31,'en','node_search',0.718502),('litora',36,'ar','node_search',1.62912),('litora',36,'en','node_search',1.62695),('little',3,'ar','node_search',0.993146),('little',3,'en','node_search',0.993146),('little',7,'ar','node_search',2),('little',7,'en','node_search',2),('little',17,'ar','node_search',1),('little',17,'en','node_search',1),('little',20,'ar','node_search',2),('little',20,'en','node_search',2),('little',30,'ar','node_search',1),('little',30,'en','node_search',1),('live',4,'ar','node_search',1),('live',4,'en','node_search',1),('lives',15,'ar','node_search',27),('lives',15,'en','node_search',27),('living',29,'ar','node_search',2),('living',29,'en','node_search',2),('living',49,'en','node_search',0.833529),('loan',17,'ar','node_search',1),('loan',17,'en','node_search',1),('lobortis',1,'ar','node_search',1.43559),('lobortis',1,'en','node_search',1.43559),('lobortis',2,'ar','node_search',0.886095),('lobortis',2,'en','node_search',0.889397),('lobortis',4,'ar','node_search',0.689612),('lobortis',4,'en','node_search',0.691597),('lobortis',5,'ar','node_search',1.52997),('lobortis',5,'en','node_search',1.52997),('lobortis',6,'ar','node_search',1.78654),('lobortis',6,'en','node_search',1.78654),('lobortis',8,'ar','node_search',4),('lobortis',8,'en','node_search',4),('lobortis',10,'ar','node_search',2.43958),('lobortis',10,'en','node_search',2.43958),('lobortis',11,'ar','node_search',3.16437),('lobortis',11,'en','node_search',3.16437),('lobortis',12,'ar','node_search',0.913226),('lobortis',12,'en','node_search',0.913226),('lobortis',13,'ar','node_search',0.851346),('lobortis',13,'en','node_search',0.851346),('lobortis',14,'ar','node_search',2.83063),('lobortis',14,'en','node_search',2.83063),('lobortis',15,'ar','node_search',1),('lobortis',15,'en','node_search',1),('lobortis',16,'ar','node_search',2.5791),('lobortis',16,'en','node_search',2.58424),('lobortis',17,'ar','node_search',1.55574),('lobortis',17,'en','node_search',1.55574),('lobortis',19,'ar','node_search',3.24998),('lobortis',19,'en','node_search',3.24998),('lobortis',20,'ar','node_search',1.78178),('lobortis',20,'en','node_search',1.78178),('lobortis',21,'ar','node_search',0.78951),('lobortis',21,'en','node_search',0.78951),('lobortis',22,'ar','node_search',1.85439),('lobortis',22,'en','node_search',1.85439),('lobortis',24,'ar','node_search',2.67845),('lobortis',24,'en','node_search',2.67845),('lobortis',25,'ar','node_search',2.41363),('lobortis',25,'en','node_search',2.41363),('lobortis',26,'ar','node_search',0.822065),('lobortis',26,'en','node_search',0.822065),('lobortis',27,'ar','node_search',0.797402),('lobortis',27,'en','node_search',0.797402),('lobortis',28,'ar','node_search',3.83063),('lobortis',28,'en','node_search',3.83063),('lobortis',29,'ar','node_search',2.90115),('lobortis',29,'en','node_search',2.90115),('lobortis',31,'ar','node_search',2.29855),('lobortis',31,'en','node_search',2.29855),('lobortis',32,'ar','node_search',2.68797),('lobortis',32,'en','node_search',2.68797),('lobortis',34,'ar','node_search',1.8861),('lobortis',34,'en','node_search',1.8861),('lobortis',36,'ar','node_search',1.99731),('lobortis',36,'en','node_search',1.99731),('lobortis',38,'en','node_search',2.46921),('lobortis',48,'en','node_search',1),('local',35,'ar','node_search',1),('local',35,'en','node_search',1),('localized',21,'ar','node_search',1),('localized',21,'en','node_search',1),('locals',2,'ar','node_search',1),('locals',2,'en','node_search',1),('locals',22,'ar','node_search',1),('locals',22,'en','node_search',1),('log',16,'ar','node_search',25.9134),('log',16,'en','node_search',26.0845),('log',36,'ar','node_search',7.95114),('log',36,'en','node_search',7.92726),('london',24,'ar','node_search',1),('london',24,'en','node_search',1),('long',7,'ar','node_search',1),('long',7,'en','node_search',1),('long',30,'ar','node_search',1),('long',30,'en','node_search',1),('longer',7,'ar','node_search',1),('longer',7,'en','node_search',1),('longer',15,'ar','node_search',27),('longer',15,'en','node_search',27),('look',5,'ar','node_search',1),('look',5,'en','node_search',1),('look',36,'ar','node_search',29),('look',36,'en','node_search',29),('look',49,'en','node_search',19),('looked',10,'ar','node_search',1),('looked',10,'en','node_search',1),('looked',11,'ar','node_search',1),('looked',11,'en','node_search',1),('looking',4,'ar','node_search',1),('looking',4,'en','node_search',1),('looking',33,'ar','node_search',1),('looking',33,'en','node_search',1),('looks',26,'ar','node_search',27),('looks',26,'en','node_search',27),('looks',49,'en','node_search',13.1984),('loquor',48,'en','node_search',1),('lorem',1,'ar','node_search',0.909743),('lorem',1,'en','node_search',0.909743),('lorem',4,'ar','node_search',1.61921),('lorem',4,'en','node_search',1.62479),('lorem',5,'ar','node_search',2.46142),('lorem',5,'en','node_search',2.46142),('lorem',7,'ar','node_search',0.949597),('lorem',7,'en','node_search',0.949597),('lorem',8,'ar','node_search',0.957226),('lorem',8,'en','node_search',0.957226),('lorem',9,'ar','node_search',0.869951),('lorem',9,'en','node_search',0.869951),('lorem',10,'ar','node_search',0.899454),('lorem',10,'en','node_search',0.899454),('lorem',11,'ar','node_search',1.37354),('lorem',11,'en','node_search',1.37354),('lorem',12,'ar','node_search',1.9689),('lorem',12,'en','node_search',1.9689),('lorem',13,'ar','node_search',0.882818),('lorem',13,'en','node_search',0.882818),('lorem',14,'ar','node_search',0.833529),('lorem',14,'en','node_search',0.833529),('lorem',15,'ar','node_search',1.76707),('lorem',15,'en','node_search',1.76707),('lorem',16,'ar','node_search',1),('lorem',16,'en','node_search',1),('lorem',17,'ar','node_search',0.899454),('lorem',17,'en','node_search',0.899454),('lorem',18,'ar','node_search',1),('lorem',18,'en','node_search',1),('lorem',19,'ar','node_search',2.83965),('lorem',19,'en','node_search',2.83965),('lorem',21,'ar','node_search',2.25409),('lorem',21,'en','node_search',2.25409),('lorem',22,'ar','node_search',2.73548),('lorem',22,'en','node_search',2.73548),('lorem',23,'ar','node_search',1.66908),('lorem',23,'en','node_search',1.66908),('lorem',24,'ar','node_search',1.505),('lorem',24,'en','node_search',1.505),('lorem',25,'ar','node_search',1.6271),('lorem',25,'en','node_search',1.6271),('lorem',26,'ar','node_search',2.49271),('lorem',26,'en','node_search',2.49271),('lorem',28,'ar','node_search',0.800068),('lorem',28,'en','node_search',0.800068),('lorem',29,'ar','node_search',1.47412),('lorem',29,'en','node_search',1.47412),('lorem',30,'ar','node_search',2.95583),('lorem',30,'en','node_search',2.95583),('lorem',31,'ar','node_search',2.36811),('lorem',31,'en','node_search',2.36811),('lorem',32,'ar','node_search',1.82378),('lorem',32,'en','node_search',1.82378),('lorem',33,'ar','node_search',3.42147),('lorem',33,'en','node_search',3.42147),('lorem',35,'ar','node_search',3.1926),('lorem',35,'en','node_search',3.1926),('lorem',36,'ar','node_search',1.70279),('lorem',36,'en','node_search',1.70279),('lorem',38,'en','node_search',8.64097),('los',26,'ar','node_search',2),('los',26,'en','node_search',2),('lose',35,'ar','node_search',1),('lose',35,'en','node_search',1),('loss',35,'ar','node_search',27),('loss',35,'en','node_search',27),('loss',49,'en','node_search',19),('lot',6,'ar','node_search',1),('lot',6,'en','node_search',1),('lot',22,'ar','node_search',1),('lot',22,'en','node_search',1),('love',1,'ar','node_search',1),('love',1,'en','node_search',1),('love',4,'ar','node_search',2),('love',4,'en','node_search',2),('love',18,'ar','node_search',27),('love',18,'en','node_search',27),('lower',1,'ar','node_search',1),('lower',1,'en','node_search',1),('lucidus',48,'en','node_search',2.74967),('luctus',1,'ar','node_search',2.41767),('luctus',1,'en','node_search',2.41767),('luctus',2,'ar','node_search',1.41567),('luctus',2,'en','node_search',1.41987),('luctus',3,'ar','node_search',1.33132),('luctus',3,'en','node_search',1.33132),('luctus',4,'ar','node_search',0.679856),('luctus',4,'en','node_search',0.681785),('luctus',5,'ar','node_search',0.769219),('luctus',5,'en','node_search',0.769219),('luctus',6,'ar','node_search',1.65245),('luctus',6,'en','node_search',1.65245),('luctus',7,'ar','node_search',1.75978),('luctus',7,'en','node_search',1.75978),('luctus',8,'ar','node_search',2),('luctus',8,'en','node_search',2),('luctus',9,'ar','node_search',1.59648),('luctus',9,'en','node_search',1.59648),('luctus',12,'ar','node_search',3.80329),('luctus',12,'en','node_search',3.80329),('luctus',13,'ar','node_search',2.80545),('luctus',13,'en','node_search',2.80545),('luctus',14,'ar','node_search',0.968904),('luctus',14,'en','node_search',0.968904),('luctus',15,'ar','node_search',1.83375),('luctus',15,'en','node_search',1.83375),('luctus',16,'ar','node_search',0.896076),('luctus',16,'en','node_search',0.896076),('luctus',17,'ar','node_search',0.776703),('luctus',17,'en','node_search',0.776703),('luctus',18,'ar','node_search',1.85135),('luctus',18,'en','node_search',1.85135),('luctus',19,'ar','node_search',3.62487),('luctus',19,'en','node_search',3.62487),('luctus',20,'ar','node_search',0.913226),('luctus',20,'en','node_search',0.913226),('luctus',21,'ar','node_search',3.84538),('luctus',21,'en','node_search',3.84538),('luctus',23,'ar','node_search',0.993146),('luctus',23,'en','node_search',0.993146),('luctus',24,'ar','node_search',0.808176),('luctus',24,'en','node_search',0.808176),('luctus',25,'ar','node_search',1),('luctus',25,'en','node_search',1),('luctus',26,'ar','node_search',1.80007),('luctus',26,'en','node_search',1.80007),('luctus',28,'ar','node_search',2),('luctus',28,'en','node_search',2),('luctus',29,'ar','node_search',0.718502),('luctus',29,'en','node_search',0.718502),('luctus',31,'ar','node_search',3.70229),('luctus',31,'en','node_search',3.70229),('luctus',34,'ar','node_search',1.81367),('luctus',34,'en','node_search',1.81367),('luctus',38,'en','node_search',3.85865),('luctus',48,'en','node_search',0.845322),('luptatum',48,'en','node_search',2.80377),('luther',31,'ar','node_search',1),('luther',31,'en','node_search',1),('macto',48,'en','node_search',2.66065),('made',5,'ar','node_search',1),('made',5,'en','node_search',1),('made',21,'ar','node_search',1),('made',21,'en','node_search',1),('made',24,'ar','node_search',1),('made',24,'en','node_search',1),('made',31,'ar','node_search',1),('made',31,'en','node_search',1),('made',49,'en','node_search',1),('madison',14,'ar','node_search',1),('madison',14,'en','node_search',1),('madison',49,'en','node_search',0.942091),('madrid',23,'ar','node_search',2),('madrid',23,'en','node_search',2),('maecenas',1,'ar','node_search',0.794753),('maecenas',1,'en','node_search',0.794753),('maecenas',2,'ar','node_search',0.693594),('maecenas',2,'en','node_search',0.695602),('maecenas',3,'ar','node_search',0.646943),('maecenas',3,'en','node_search',0.646943),('maecenas',4,'ar','node_search',0.876337),('maecenas',4,'en','node_search',0.879565),('maecenas',5,'ar','node_search',1.76916),('maecenas',5,'en','node_search',1.76916),('maecenas',7,'ar','node_search',0.808176),('maecenas',7,'en','node_search',0.808176),('maecenas',8,'ar','node_search',1),('maecenas',8,'en','node_search',1),('maecenas',9,'ar','node_search',0.72066),('maecenas',9,'en','node_search',0.72066),('maecenas',10,'ar','node_search',0.869951),('maecenas',10,'en','node_search',0.869951),('maecenas',12,'ar','node_search',0.845322),('maecenas',12,'en','node_search',0.845322),('maecenas',13,'ar','node_search',1.8374),('maecenas',13,'en','node_search',1.8374),('maecenas',15,'ar','node_search',1.81633),('maecenas',15,'en','node_search',1.81633),('maecenas',16,'ar','node_search',2),('maecenas',16,'en','node_search',2),('maecenas',17,'ar','node_search',1.86055),('maecenas',17,'en','node_search',1.86055),('maecenas',19,'ar','node_search',0.769219),('maecenas',19,'en','node_search',0.769219),('maecenas',23,'ar','node_search',1.57623),('maecenas',23,'en','node_search',1.57623),('maecenas',24,'ar','node_search',2.4213),('maecenas',24,'en','node_search',2.4213),('maecenas',26,'ar','node_search',1.73174),('maecenas',26,'en','node_search',1.73174),('maecenas',27,'ar','node_search',2.64641),('maecenas',27,'en','node_search',2.64641),('maecenas',28,'ar','node_search',0.942091),('maecenas',28,'en','node_search',0.942091),('maecenas',29,'ar','node_search',1.49787),('maecenas',29,'en','node_search',1.49787),('maecenas',30,'ar','node_search',0.827757),('maecenas',30,'en','node_search',0.827757),('maecenas',31,'ar','node_search',1.491),('maecenas',31,'en','node_search',1.491),('maecenas',33,'ar','node_search',0.976851),('maecenas',33,'en','node_search',0.976851),('maecenas',35,'ar','node_search',0.902857),('maecenas',35,'en','node_search',0.902857),('maecenas',36,'ar','node_search',1.56876),('maecenas',36,'en','node_search',1.56876),('maecenas',38,'en','node_search',3.87619),('magna',1,'ar','node_search',2.28263),('magna',1,'en','node_search',2.28263),('magna',2,'ar','node_search',1.43454),('magna',2,'en','node_search',1.43885),('magna',3,'ar','node_search',1.35339),('magna',3,'en','node_search',1.35339),('magna',5,'ar','node_search',1.5365),('magna',5,'en','node_search',1.5365),('magna',6,'ar','node_search',0.736141),('magna',6,'en','node_search',0.736141),('magna',7,'ar','node_search',1.5509),('magna',7,'en','node_search',1.5509),('magna',8,'ar','node_search',0.972861),('magna',8,'en','node_search',0.972861),('magna',9,'ar','node_search',1.38321),('magna',9,'en','node_search',1.38321),('magna',10,'ar','node_search',1.84234),('magna',10,'en','node_search',1.84234),('magna',12,'ar','node_search',1.86995),('magna',12,'en','node_search',1.86995),('magna',13,'ar','node_search',0.816452),('magna',13,'en','node_search',0.816452),('magna',14,'ar','node_search',4.54254),('magna',14,'en','node_search',4.54254),('magna',15,'ar','node_search',1.88438),('magna',15,'en','node_search',1.88438),('magna',16,'ar','node_search',1.75507),('magna',16,'en','node_search',1.75507),('magna',17,'ar','node_search',1.52532),('magna',17,'en','node_search',1.52532),('magna',18,'ar','node_search',1),('magna',18,'en','node_search',1),('magna',20,'ar','node_search',1.78003),('magna',20,'en','node_search',1.78003),('magna',22,'ar','node_search',0.892724),('magna',22,'en','node_search',0.892724),('magna',25,'ar','node_search',3.78289),('magna',25,'en','node_search',3.78289),('magna',26,'ar','node_search',2.8249),('magna',26,'en','node_search',2.8249),('magna',27,'ar','node_search',2.74664),('magna',27,'en','node_search',2.74664),('magna',28,'ar','node_search',0.810915),('magna',28,'en','node_search',0.810915),('magna',29,'ar','node_search',1.42153),('magna',29,'en','node_search',1.42153),('magna',30,'ar','node_search',3.03287),('magna',30,'en','node_search',3.03287),('magna',33,'ar','node_search',2.75083),('magna',33,'en','node_search',2.75083),('magna',34,'ar','node_search',1.9689),('magna',34,'en','node_search',1.9689),('magna',35,'ar','node_search',2.55431),('magna',35,'en','node_search',2.55431),('magna',36,'ar','node_search',2.31612),('magna',36,'en','node_search',2.31612),('magna',38,'en','node_search',4.042),('magna',48,'en','node_search',1),('magnificent',2,'ar','node_search',1),('magnificent',2,'en','node_search',1),('magnis',2,'ar','node_search',0.833529),('magnis',2,'en','node_search',0.836446),('magnis',3,'ar','node_search',0.851346),('magnis',3,'en','node_search',0.851346),('magnis',6,'ar','node_search',0.779231),('magnis',6,'en','node_search',0.779231),('magnis',8,'ar','node_search',1),('magnis',8,'en','node_search',1),('magnis',28,'ar','node_search',1),('magnis',28,'en','node_search',1),('magnis',38,'en','node_search',0.797402),('magnitude',29,'ar','node_search',1),('magnitude',29,'en','node_search',1),('main',9,'ar','node_search',1),('main',9,'en','node_search',1),('major',4,'ar','node_search',1),('major',4,'en','node_search',1),('major',15,'ar','node_search',1),('major',15,'en','node_search',1),('majority',29,'ar','node_search',1),('majority',29,'en','node_search',1),('make',27,'ar','node_search',27),('make',27,'en','node_search',27),('make',36,'ar','node_search',27),('make',36,'en','node_search',27),('make',49,'en','node_search',19),('makemeacurvemodel',10,'ar','node_search',1),('makemeacurvemodel',10,'en','node_search',1),('makes',18,'ar','node_search',1),('makes',18,'en','node_search',1),('makes',36,'ar','node_search',1),('makes',36,'en','node_search',1),('makeup',30,'ar','node_search',1),('makeup',30,'en','node_search',1),('makeup',36,'ar','node_search',1),('makeup',36,'en','node_search',1),('making',31,'ar','node_search',1),('making',31,'en','node_search',1),('making',36,'ar','node_search',1),('making',36,'en','node_search',1),('malaysia',1,'ar','node_search',1),('malaysia',1,'en','node_search',1),('malesuada',2,'ar','node_search',0.779231),('malesuada',2,'en','node_search',0.781775),('malesuada',3,'ar','node_search',0.76188),('malesuada',3,'en','node_search',0.76188),('malesuada',4,'ar','node_search',0.668514),('malesuada',4,'en','node_search',0.670377),('malesuada',5,'ar','node_search',0.845322),('malesuada',5,'en','node_search',0.845322),('malesuada',6,'ar','node_search',1.63188),('malesuada',6,'en','node_search',1.63188),('malesuada',8,'ar','node_search',0.913226),('malesuada',8,'en','node_search',0.913226),('malesuada',10,'ar','node_search',0.752312),('malesuada',10,'en','node_search',0.752312),('malesuada',11,'ar','node_search',1.35397),('malesuada',11,'en','node_search',1.35397),('malesuada',12,'ar','node_search',1.80255),('malesuada',12,'en','node_search',1.80255),('malesuada',13,'ar','node_search',0.813674),('malesuada',13,'en','node_search',0.813674),('malesuada',14,'ar','node_search',0.830633),('malesuada',14,'en','node_search',0.830633),('malesuada',15,'ar','node_search',3.96498),('malesuada',15,'en','node_search',3.96498),('malesuada',16,'ar','node_search',1.74863),('malesuada',16,'en','node_search',1.74863),('malesuada',17,'ar','node_search',1.52048),('malesuada',17,'en','node_search',1.52048),('malesuada',18,'ar','node_search',3.64421),('malesuada',18,'en','node_search',3.64421),('malesuada',19,'ar','node_search',2.56687),('malesuada',19,'en','node_search',2.56687),('malesuada',20,'ar','node_search',1.7675),('malesuada',20,'en','node_search',1.7675),('malesuada',21,'ar','node_search',3.16458),('malesuada',21,'en','node_search',3.16458),('malesuada',22,'ar','node_search',2.77826),('malesuada',22,'en','node_search',2.77826),('malesuada',23,'ar','node_search',0.848323),('malesuada',23,'en','node_search',0.848323),('malesuada',24,'ar','node_search',1.62147),('malesuada',24,'en','node_search',1.62147),('malesuada',25,'ar','node_search',0.833529),('malesuada',25,'en','node_search',0.833529),('malesuada',26,'ar','node_search',0.842342),('malesuada',26,'en','node_search',0.842342),('malesuada',27,'ar','node_search',1.81243),('malesuada',27,'en','node_search',1.81243),('malesuada',28,'ar','node_search',0.769219),('malesuada',28,'en','node_search',0.769219),('malesuada',29,'ar','node_search',1.35559),('malesuada',29,'en','node_search',1.35559),('malesuada',30,'ar','node_search',2.32749),('malesuada',30,'en','node_search',2.32749),('malesuada',31,'ar','node_search',2.34435),('malesuada',31,'en','node_search',2.34435),('malesuada',32,'ar','node_search',1.77982),('malesuada',32,'en','node_search',1.77982),('malesuada',33,'ar','node_search',1.7974),('malesuada',33,'en','node_search',1.7974),('malesuada',34,'ar','node_search',1.95723),('malesuada',34,'en','node_search',1.95723),('malesuada',35,'ar','node_search',1.74762),('malesuada',35,'en','node_search',1.74762),('malesuada',36,'ar','node_search',1.63151),('malesuada',36,'en','node_search',1.63151),('malesuada',38,'en','node_search',0.703756),('mama',30,'ar','node_search',1),('mama',30,'en','node_search',1),('managed',27,'ar','node_search',1),('managed',27,'en','node_search',1),('manchester',20,'ar','node_search',1),('manchester',20,'en','node_search',1),('manic',30,'ar','node_search',1),('manic',30,'en','node_search',1),('manifesta',31,'ar','node_search',1),('manifesta',31,'en','node_search',1),('manolo',5,'ar','node_search',1),('manolo',5,'en','node_search',1),('mantega',19,'ar','node_search',1),('mantega',19,'en','node_search',1),('many',1,'ar','node_search',28),('many',1,'en','node_search',28),('many',11,'ar','node_search',1),('many',11,'en','node_search',1),('many',12,'ar','node_search',2),('many',12,'en','node_search',2),('many',22,'ar','node_search',1),('many',22,'en','node_search',1),('map',6,'ar','node_search',2),('map',6,'en','node_search',2),('marathon',28,'ar','node_search',28),('marathon',28,'en','node_search',28),('marathon',49,'en','node_search',14.2836),('march',28,'ar','node_search',1),('march',28,'en','node_search',1),('march',31,'ar','node_search',1),('march',31,'en','node_search',1),('marketplace',33,'ar','node_search',1),('marketplace',33,'en','node_search',1),('marry',5,'ar','node_search',1),('marry',5,'en','node_search',1),('martin',31,'ar','node_search',1),('martin',31,'en','node_search',1),('mascara',36,'ar','node_search',31),('mascara',36,'en','node_search',31),('mascara',49,'en','node_search',20),('massa',2,'ar','node_search',1.49178),('massa',2,'en','node_search',1.49645),('massa',3,'ar','node_search',1.43499),('massa',3,'en','node_search',1.43499),('massa',4,'ar','node_search',0.677939),('massa',4,'en','node_search',0.679856),('massa',5,'ar','node_search',1.55208),('massa',5,'en','node_search',1.55208),('massa',6,'ar','node_search',1.6809),('massa',6,'en','node_search',1.6809),('massa',7,'ar','node_search',0.78951),('massa',7,'en','node_search',0.78951),('massa',8,'ar','node_search',0.902857),('massa',8,'en','node_search',0.902857),('massa',9,'ar','node_search',0.705825),('massa',9,'en','node_search',0.705825),('massa',10,'ar','node_search',1.62255),('massa',10,'en','node_search',1.62255),('massa',11,'ar','node_search',1.67706),('massa',11,'en','node_search',1.67706),('massa',12,'ar','node_search',1.89062),('massa',12,'en','node_search',1.89062),('massa',13,'ar','node_search',1.86995),('massa',13,'en','node_search',1.86995),('massa',14,'ar','node_search',1.81925),('massa',14,'en','node_search',1.81925),('massa',15,'ar','node_search',0.931053),('massa',15,'en','node_search',0.931053),('massa',16,'ar','node_search',1),('massa',16,'en','node_search',1),('massa',17,'ar','node_search',0.876337),('massa',17,'en','node_search',0.876337),('massa',19,'ar','node_search',1.66442),('massa',19,'en','node_search',1.66442),('massa',21,'ar','node_search',0.733888),('massa',21,'en','node_search',0.733888),('massa',22,'ar','node_search',1),('massa',22,'en','node_search',1),('massa',23,'ar','node_search',0.816452),('massa',23,'en','node_search',0.816452),('massa',24,'ar','node_search',1.66789),('massa',24,'en','node_search',1.66789),('massa',25,'ar','node_search',0.822065),('massa',25,'en','node_search',0.822065),('massa',26,'ar','node_search',2.6112),('massa',26,'en','node_search',2.6112),('massa',27,'ar','node_search',2.56026),('massa',27,'en','node_search',2.56026),('massa',28,'ar','node_search',0.76188),('massa',28,'en','node_search',0.76188),('massa',29,'ar','node_search',1.39346),('massa',29,'en','node_search',1.39346),('massa',30,'ar','node_search',1.37299),('massa',30,'en','node_search',1.37299),('massa',31,'ar','node_search',2.4703),('massa',31,'en','node_search',2.4703),('massa',32,'ar','node_search',0.938382),('massa',32,'en','node_search',0.938382),('massa',33,'ar','node_search',0.816452),('massa',33,'en','node_search',0.816452),('massa',34,'ar','node_search',0.830633),('massa',34,'en','node_search',0.830633),('massa',35,'ar','node_search',0.76431),('massa',35,'en','node_search',0.76431),('massa',36,'ar','node_search',1.6024),('massa',36,'en','node_search',1.60023),('massa',38,'en','node_search',2.27937),('massive',4,'ar','node_search',0.968904),('massive',4,'en','node_search',0.972861),('math',9,'ar','node_search',29),('math',9,'en','node_search',29),('mattis',1,'ar','node_search',1.67531),('mattis',1,'en','node_search',1.67531),('mattis',2,'ar','node_search',1.69421),('mattis',2,'en','node_search',1.70026),('mattis',3,'ar','node_search',0.797402),('mattis',3,'en','node_search',0.797402),('mattis',4,'ar','node_search',0.72066),('mattis',4,'en','node_search',0.722831),('mattis',5,'ar','node_search',0.771698),('mattis',5,'en','node_search',0.771698),('mattis',6,'ar','node_search',1.57871),('mattis',6,'en','node_search',1.57871),('mattis',7,'ar','node_search',0.802752),('mattis',7,'en','node_search',0.802752),('mattis',8,'ar','node_search',1),('mattis',8,'en','node_search',1),('mattis',9,'ar','node_search',0.716357),('mattis',9,'en','node_search',0.716357),('mattis',10,'ar','node_search',0.754681),('mattis',10,'en','node_search',0.754681),('mattis',11,'ar','node_search',0.725015),('mattis',11,'en','node_search',0.725015),('mattis',12,'ar','node_search',1),('mattis',12,'en','node_search',1),('mattis',13,'ar','node_search',1.76134),('mattis',13,'en','node_search',1.76134),('mattis',15,'ar','node_search',0.848323),('mattis',15,'en','node_search',0.848323),('mattis',16,'ar','node_search',1.91674),('mattis',16,'en','node_search',1.91674),('mattis',17,'ar','node_search',1.773),('mattis',17,'en','node_search',1.773),('mattis',18,'ar','node_search',1),('mattis',18,'en','node_search',1),('mattis',20,'ar','node_search',0.957226),('mattis',20,'en','node_search',0.957226),('mattis',26,'ar','node_search',0.802752),('mattis',26,'en','node_search',0.802752),('mattis',28,'ar','node_search',0.989021),('mattis',28,'en','node_search',0.989021),('mattis',29,'ar','node_search',0.646943),('mattis',29,'en','node_search',0.646943),('mattis',30,'ar','node_search',1.45028),('mattis',30,'en','node_search',1.45028),('mattis',33,'ar','node_search',1.67374),('mattis',33,'en','node_search',1.67374),('mattis',34,'ar','node_search',1),('mattis',34,'en','node_search',1),('mattis',35,'ar','node_search',1.56407),('mattis',35,'en','node_search',1.56407),('mattis',38,'en','node_search',0.699655),('mauris',1,'ar','node_search',3.84651),('mauris',1,'en','node_search',3.84651),('mauris',2,'ar','node_search',2.24176),('mauris',2,'en','node_search',2.24885),('mauris',3,'ar','node_search',1.28185),('mauris',3,'en','node_search',1.28185),('mauris',4,'ar','node_search',2.29951),('mauris',4,'en','node_search',2.30695),('mauris',5,'ar','node_search',1),('mauris',5,'en','node_search',1),('mauris',6,'ar','node_search',0.797402),('mauris',6,'en','node_search',0.797402),('mauris',7,'ar','node_search',1.87313),('mauris',7,'en','node_search',1.87313),('mauris',8,'ar','node_search',3.94209),('mauris',8,'en','node_search',3.94209),('mauris',9,'ar','node_search',1.75584),('mauris',9,'en','node_search',1.75584),('mauris',10,'ar','node_search',1.70335),('mauris',10,'en','node_search',1.70335),('mauris',11,'ar','node_search',0.827757),('mauris',11,'en','node_search',0.827757),('mauris',12,'ar','node_search',3.61695),('mauris',12,'en','node_search',3.61695),('mauris',13,'ar','node_search',5.4007),('mauris',13,'en','node_search',5.4007),('mauris',14,'ar','node_search',1),('mauris',14,'en','node_search',1),('mauris',15,'ar','node_search',2.82431),('mauris',15,'en','node_search',2.82431),('mauris',16,'ar','node_search',26.7865),('mauris',16,'en','node_search',26.9252),('mauris',17,'ar','node_search',5.14917),('mauris',17,'en','node_search',5.14917),('mauris',19,'ar','node_search',0.822065),('mauris',19,'en','node_search',0.822065),('mauris',20,'ar','node_search',3.82025),('mauris',20,'en','node_search',3.82025),('mauris',21,'ar','node_search',0.7017),('mauris',21,'en','node_search',0.7017),('mauris',22,'ar','node_search',2.71527),('mauris',22,'en','node_search',2.71527),('mauris',23,'ar','node_search',0.722831),('mauris',23,'en','node_search',0.722831),('mauris',24,'ar','node_search',0.705825),('mauris',24,'en','node_search',0.705825),('mauris',25,'ar','node_search',1.78178),('mauris',25,'en','node_search',1.78178),('mauris',26,'ar','node_search',5.88759),('mauris',26,'en','node_search',5.88759),('mauris',27,'ar','node_search',0.819249),('mauris',27,'en','node_search',0.819249),('mauris',28,'ar','node_search',3.49299),('mauris',28,'en','node_search',3.49299),('mauris',29,'ar','node_search',2.23844),('mauris',29,'en','node_search',2.23844),('mauris',30,'ar','node_search',2.50774),('mauris',30,'en','node_search',2.50774),('mauris',31,'ar','node_search',0.899454),('mauris',31,'en','node_search',0.899454),('mauris',32,'ar','node_search',2.4152),('mauris',32,'en','node_search',2.4152),('mauris',33,'ar','node_search',2.87634),('mauris',33,'en','node_search',2.87634),('mauris',34,'ar','node_search',4.79892),('mauris',34,'en','node_search',4.79892),('mauris',35,'ar','node_search',2.73913),('mauris',35,'en','node_search',2.73913),('mauris',36,'ar','node_search',3.35196),('mauris',36,'en','node_search',3.35196),('mauris',38,'en','node_search',3.14524),('mauris',48,'en','node_search',0.854391),('may',3,'ar','node_search',1),('may',3,'en','node_search',1),('may',17,'ar','node_search',1),('may',17,'en','node_search',1),('mazankowski',15,'ar','node_search',1),('mazankowski',15,'en','node_search',1),('meantime',18,'ar','node_search',1),('meantime',18,'en','node_search',1),('measured',6,'ar','node_search',1),('measured',6,'en','node_search',1),('measures',21,'ar','node_search',1),('measures',21,'en','node_search',1),('media',10,'ar','node_search',1),('media',10,'en','node_search',1),('media',20,'ar','node_search',2),('media',20,'en','node_search',2),('meditate',32,'ar','node_search',1),('meditate',32,'en','node_search',1),('meditation',32,'ar','node_search',2),('meditation',32,'en','node_search',2),('meltdown',30,'ar','node_search',1),('meltdown',30,'en','node_search',1),('mention',21,'ar','node_search',1),('mention',21,'en','node_search',1),('metabolism',35,'ar','node_search',1),('metabolism',35,'en','node_search',1),('methods',9,'ar','node_search',1),('methods',9,'en','node_search',1),('metuo',48,'en','node_search',4.73842),('metus',1,'ar','node_search',1.74069),('metus',1,'en','node_search',1.74069),('metus',2,'ar','node_search',1.62945),('metus',2,'en','node_search',1.63518),('metus',3,'ar','node_search',0.630018),('metus',3,'en','node_search',0.630018),('metus',4,'ar','node_search',1.57523),('metus',4,'en','node_search',1.58043),('metus',6,'ar','node_search',0.845322),('metus',6,'en','node_search',0.845322),('metus',7,'ar','node_search',2.61358),('metus',7,'en','node_search',2.61358),('metus',8,'ar','node_search',2.90629),('metus',8,'en','node_search',2.90629),('metus',9,'ar','node_search',1.44232),('metus',9,'en','node_search',1.44232),('metus',10,'ar','node_search',1.76653),('metus',10,'en','node_search',1.76653),('metus',13,'ar','node_search',0.892724),('metus',13,'en','node_search',0.892724),('metus',14,'ar','node_search',1.85488),('metus',14,'en','node_search',1.85488),('metus',15,'ar','node_search',1),('metus',15,'en','node_search',1),('metus',16,'ar','node_search',2.61568),('metus',16,'en','node_search',2.62078),('metus',17,'ar','node_search',1.64488),('metus',17,'en','node_search',1.64488),('metus',19,'ar','node_search',0.839384),('metus',19,'en','node_search',0.839384),('metus',20,'ar','node_search',0.830633),('metus',20,'en','node_search',0.830633),('metus',21,'ar','node_search',0.71),('metus',21,'en','node_search',0.71),('metus',23,'ar','node_search',0.851346),('metus',23,'en','node_search',0.851346),('metus',24,'ar','node_search',0.757065),('metus',24,'en','node_search',0.757065),('metus',25,'ar','node_search',2.69851),('metus',25,'en','node_search',2.69851),('metus',27,'ar','node_search',1.59968),('metus',27,'en','node_search',1.59968),('metus',28,'ar','node_search',2.43729),('metus',28,'en','node_search',2.43729),('metus',29,'ar','node_search',2.67599),('metus',29,'en','node_search',2.67599),('metus',30,'ar','node_search',3.78183),('metus',30,'en','node_search',3.78183),('metus',31,'ar','node_search',1.61743),('metus',31,'en','node_search',1.61743),('metus',32,'ar','node_search',1.62765),('metus',32,'en','node_search',1.62765),('metus',33,'ar','node_search',4.26584),('metus',33,'en','node_search',4.26584),('metus',34,'ar','node_search',0.949597),('metus',34,'en','node_search',0.949597),('metus',35,'ar','node_search',4.05711),('metus',35,'en','node_search',4.05711),('metus',36,'ar','node_search',1.7263),('metus',36,'en','node_search',1.7263),('metus',38,'en','node_search',3.87593),('meus',48,'en','node_search',1.83645),('middle',3,'ar','node_search',1.9347),('middle',3,'en','node_search',1.9347),('middle',11,'ar','node_search',1),('middle',11,'en','node_search',1),('might',30,'ar','node_search',4),('might',30,'en','node_search',4),('mil',30,'ar','node_search',1),('mil',30,'en','node_search',1),('mild',2,'ar','node_search',1),('mild',2,'en','node_search',1),('mile',4,'ar','node_search',0.953396),('mile',4,'en','node_search',0.957226),('miles',2,'ar','node_search',1),('miles',2,'en','node_search',1),('miles',28,'ar','node_search',1),('miles',28,'en','node_search',1),('milhazes',19,'ar','node_search',1),('milhazes',19,'en','node_search',1),('million',11,'ar','node_search',1),('million',11,'en','node_search',1),('million',29,'ar','node_search',1),('million',29,'en','node_search',1),('million',49,'en','node_search',0.842342),('mince',15,'ar','node_search',1),('mince',15,'en','node_search',1),('mind',17,'ar','node_search',1),('mind',17,'en','node_search',1),('mindful',32,'ar','node_search',1),('mindful',32,'en','node_search',1),('mini',35,'ar','node_search',1),('mini',35,'en','node_search',1),('minidress',26,'ar','node_search',1),('minidress',26,'en','node_search',1),('minim',38,'en','node_search',2.4869),('minim',48,'en','node_search',1.86044),('ministry',19,'ar','node_search',1),('ministry',19,'en','node_search',1),('ministry',23,'ar','node_search',1),('ministry',23,'en','node_search',1),('minutes',32,'ar','node_search',27),('minutes',32,'en','node_search',27),('minutes',49,'en','node_search',19),('misuse',16,'ar','node_search',1),('misuse',16,'en','node_search',1),('mix',11,'ar','node_search',0.980874),('mix',11,'en','node_search',0.980874),('model',5,'ar','node_search',1),('model',5,'en','node_search',1),('model',10,'ar','node_search',2),('model',10,'en','node_search',2),('models',10,'ar','node_search',3),('models',10,'en','node_search',3),('modest',9,'ar','node_search',1),('modest',9,'en','node_search',1),('modo',48,'en','node_search',2.76238),('module',48,'en','node_search',11),('molestie',1,'ar','node_search',2.36675),('molestie',1,'en','node_search',2.36675),('molestie',4,'ar','node_search',1.50898),('molestie',4,'en','node_search',1.51376),('molestie',8,'ar','node_search',2.89945),('molestie',8,'en','node_search',2.89945),('molestie',10,'ar','node_search',0.779231),('molestie',10,'en','node_search',0.779231),('molestie',11,'ar','node_search',0.78951),('molestie',11,'en','node_search',0.78951),('molestie',12,'ar','node_search',1.82206),('molestie',12,'en','node_search',1.82206),('molestie',13,'ar','node_search',0.792123),('molestie',13,'en','node_search',0.792123),('molestie',14,'ar','node_search',1.73211),('molestie',14,'en','node_search',1.73211),('molestie',15,'ar','node_search',1),('molestie',15,'en','node_search',1),('molestie',16,'ar','node_search',1.6864),('molestie',16,'en','node_search',1.6864),('molestie',17,'ar','node_search',1.47342),('molestie',17,'en','node_search',1.47342),('molestie',18,'ar','node_search',2.90286),('molestie',18,'en','node_search',2.90286),('molestie',20,'ar','node_search',1.65747),('molestie',20,'en','node_search',1.65747),('molestie',21,'ar','node_search',1),('molestie',21,'en','node_search',1),('molestie',22,'ar','node_search',1.706),('molestie',22,'en','node_search',1.706),('molestie',23,'ar','node_search',1.47676),('molestie',23,'en','node_search',1.47676),('molestie',24,'ar','node_search',1.42081),('molestie',24,'en','node_search',1.42081),('molestie',25,'ar','node_search',2.60499),('molestie',25,'en','node_search',2.60499),('molestie',26,'ar','node_search',1),('molestie',26,'en','node_search',1),('molestie',27,'ar','node_search',3.52415),('molestie',27,'en','node_search',3.52415),('molestie',28,'ar','node_search',2.52565),('molestie',28,'en','node_search',2.52565),('molestie',29,'ar','node_search',1.32097),('molestie',29,'en','node_search',1.32097),('molestie',30,'ar','node_search',0.681785),('molestie',30,'en','node_search',0.681785),('molestie',32,'ar','node_search',1.86055),('molestie',32,'en','node_search',1.86055),('molestie',34,'ar','node_search',2.72003),('molestie',34,'en','node_search',2.72003),('molestie',36,'ar','node_search',1),('molestie',36,'en','node_search',1),('molestie',38,'en','node_search',1),('mollis',1,'ar','node_search',0.71),('mollis',1,'en','node_search',0.71),('mollis',2,'ar','node_search',2.32528),('mollis',2,'en','node_search',2.33284),('mollis',3,'ar','node_search',2.2699),('mollis',3,'en','node_search',2.2699),('mollis',5,'ar','node_search',1.49547),('mollis',5,'en','node_search',1.49547),('mollis',6,'ar','node_search',2.24374),('mollis',6,'en','node_search',2.24374),('mollis',8,'ar','node_search',2.92384),('mollis',8,'en','node_search',2.92384),('mollis',10,'ar','node_search',0.942091),('mollis',10,'en','node_search',0.942091),('mollis',11,'ar','node_search',0.786915),('mollis',11,'en','node_search',0.786915),('mollis',12,'ar','node_search',0.863659),('mollis',12,'en','node_search',0.863659),('mollis',14,'ar','node_search',1.70958),('mollis',14,'en','node_search',1.70958),('mollis',15,'ar','node_search',0.961087),('mollis',15,'en','node_search',0.961087),('mollis',16,'ar','node_search',0.816452),('mollis',16,'en','node_search',0.816452),('mollis',17,'ar','node_search',0.716357),('mollis',17,'en','node_search',0.716357),('mollis',18,'ar','node_search',1.90974),('mollis',18,'en','node_search',1.90974),('mollis',19,'ar','node_search',2.62072),('mollis',19,'en','node_search',2.62072),('mollis',20,'ar','node_search',0.779231),('mollis',20,'en','node_search',0.779231),('mollis',21,'ar','node_search',1.52073),('mollis',21,'en','node_search',1.52073),('mollis',22,'ar','node_search',2.68011),('mollis',22,'en','node_search',2.68011),('mollis',23,'ar','node_search',0.779231),('mollis',23,'en','node_search',0.779231),('mollis',24,'ar','node_search',1.66719),('mollis',24,'en','node_search',1.66719),('mollis',25,'ar','node_search',1.77518),('mollis',25,'en','node_search',1.77518),('mollis',26,'ar','node_search',1.79475),('mollis',26,'en','node_search',1.79475),('mollis',27,'ar','node_search',3.59444),('mollis',27,'en','node_search',3.59444),('mollis',28,'ar','node_search',2.61315),('mollis',28,'en','node_search',2.61315),('mollis',30,'ar','node_search',2.33446),('mollis',30,'en','node_search',2.33446),('mollis',31,'ar','node_search',1.75464),('mollis',31,'en','node_search',1.75464),('mollis',32,'ar','node_search',1.79475),('mollis',32,'en','node_search',1.79475),('mollis',33,'ar','node_search',1.8861),('mollis',33,'en','node_search',1.8861),('mollis',34,'ar','node_search',0.882818),('mollis',34,'en','node_search',0.882818),('mollis',35,'ar','node_search',1.80577),('mollis',35,'en','node_search',1.80577),('mollis',36,'ar','node_search',0.76431),('mollis',36,'en','node_search',0.76431),('mollis',38,'en','node_search',2.88372),('mollit',38,'en','node_search',2.7698),('mom',30,'ar','node_search',1),('mom',30,'en','node_search',1),('moms',30,'ar','node_search',1),('moms',30,'en','node_search',1),('mon',48,'en','node_search',0.830633),('money',17,'ar','node_search',1),('money',17,'en','node_search',1),('money',23,'ar','node_search',1),('money',23,'en','node_search',1),('monkeys',22,'ar','node_search',1),('monkeys',22,'en','node_search',1),('montes',2,'ar','node_search',0.824901),('montes',2,'en','node_search',0.827757),('montes',3,'ar','node_search',0.842342),('montes',3,'en','node_search',0.842342),('montes',6,'ar','node_search',0.771698),('montes',6,'en','node_search',0.771698),('montes',8,'ar','node_search',1),('montes',8,'en','node_search',1),('montes',28,'ar','node_search',1),('montes',28,'en','node_search',1),('montes',38,'en','node_search',0.78951),('months',18,'ar','node_search',1),('months',18,'en','node_search',1),('montreal',6,'ar','node_search',28),('montreal',6,'en','node_search',28),('morbi',1,'ar','node_search',1.45578),('morbi',1,'en','node_search',1.45578),('morbi',5,'ar','node_search',0.725015),('morbi',5,'en','node_search',0.725015),('morbi',8,'ar','node_search',0.945829),('morbi',8,'en','node_search',0.945829),('morbi',10,'ar','node_search',1),('morbi',10,'en','node_search',1),('morbi',11,'ar','node_search',1.42902),('morbi',11,'en','node_search',1.42902),('morbi',12,'ar','node_search',0.886095),('morbi',12,'en','node_search',0.886095),('morbi',13,'ar','node_search',0.98493),('morbi',13,'en','node_search',0.98493),('morbi',14,'ar','node_search',1.72961),('morbi',14,'en','node_search',1.72961),('morbi',15,'ar','node_search',1.85668),('morbi',15,'en','node_search',1.85668),('morbi',16,'ar','node_search',1.81645),('morbi',16,'en','node_search',1.81645),('morbi',17,'ar','node_search',1.71636),('morbi',17,'en','node_search',1.71636),('morbi',18,'ar','node_search',1.6419),('morbi',18,'en','node_search',1.6419),('morbi',20,'ar','node_search',0.781775),('morbi',20,'en','node_search',0.781775),('morbi',21,'ar','node_search',1.69559),('morbi',21,'en','node_search',1.69559),('morbi',25,'ar','node_search',1.8133),('morbi',25,'en','node_search',1.8133),('morbi',26,'ar','node_search',1),('morbi',26,'en','node_search',1),('morbi',27,'ar','node_search',0.889397),('morbi',27,'en','node_search',0.889397),('morbi',28,'ar','node_search',0.792123),('morbi',28,'en','node_search',0.792123),('morbi',30,'ar','node_search',1.89579),('morbi',30,'en','node_search',1.89579),('morbi',32,'ar','node_search',2.61093),('morbi',32,'en','node_search',2.61093),('morbi',33,'ar','node_search',2),('morbi',33,'en','node_search',2),('morbi',34,'ar','node_search',0.886095),('morbi',34,'en','node_search',0.886095),('morbi',35,'ar','node_search',2),('morbi',35,'en','node_search',2),('morbi',36,'ar','node_search',1.56621),('morbi',36,'en','node_search',1.56621),('more',1,'ar','node_search',1),('more',1,'en','node_search',1),('more',4,'ar','node_search',2),('more',4,'en','node_search',2),('more',6,'ar','node_search',2),('more',6,'en','node_search',2),('more',9,'ar','node_search',1),('more',9,'en','node_search',1),('more',11,'ar','node_search',2),('more',11,'en','node_search',2),('more',20,'ar','node_search',1),('more',20,'en','node_search',1),('more',22,'ar','node_search',2),('more',22,'en','node_search',2),('more',25,'ar','node_search',2),('more',25,'en','node_search',2),('more',28,'ar','node_search',29),('more',28,'en','node_search',29),('more',29,'ar','node_search',2),('more',29,'en','node_search',2),('more',32,'ar','node_search',1),('more',32,'en','node_search',1),('more',36,'ar','node_search',30),('more',36,'en','node_search',30),('more',49,'en','node_search',155.573),('morning',28,'ar','node_search',1),('morning',28,'en','node_search',1),('mos',48,'en','node_search',0.873132),('moscow',31,'ar','node_search',1),('moscow',31,'en','node_search',1),('most',5,'ar','node_search',1),('most',5,'en','node_search',1),('most',22,'ar','node_search',1),('most',22,'en','node_search',1),('most',23,'ar','node_search',1),('most',23,'en','node_search',1),('most',29,'ar','node_search',1),('most',29,'en','node_search',1),('most',36,'ar','node_search',2),('most',36,'en','node_search',2),('most',49,'en','node_search',1),('mostly',1,'ar','node_search',1),('mostly',1,'en','node_search',1),('mountain',7,'ar','node_search',1),('mountain',7,'en','node_search',1),('mountainous',22,'ar','node_search',1),('mountainous',22,'en','node_search',1),('move',19,'ar','node_search',1),('move',19,'en','node_search',1),('move',21,'ar','node_search',1),('move',21,'en','node_search',1),('move',22,'ar','node_search',27),('move',22,'en','node_search',27),('moved',9,'ar','node_search',1),('moved',9,'en','node_search',1),('much',2,'ar','node_search',27),('much',2,'en','node_search',27),('much',22,'ar','node_search',1),('much',22,'en','node_search',1),('much',35,'ar','node_search',1),('much',35,'en','node_search',1),('muddy',26,'ar','node_search',1),('muddy',26,'en','node_search',1),('muddy',49,'en','node_search',0.810915),('muller',25,'ar','node_search',1),('muller',25,'en','node_search',1),('mum',3,'ar','node_search',0.913226),('mum',3,'en','node_search',0.913226),('munichbased',24,'ar','node_search',1),('munichbased',24,'en','node_search',1),('mus',2,'ar','node_search',0.816452),('mus',2,'en','node_search',0.819249),('mus',3,'ar','node_search',0.833529),('mus',3,'en','node_search',0.833529),('mus',6,'ar','node_search',0.76431),('mus',6,'en','node_search',0.76431),('mus',8,'ar','node_search',1),('mus',8,'en','node_search',1),('mus',28,'ar','node_search',1),('mus',28,'en','node_search',1),('mus',38,'en','node_search',0.781775),('muscles',32,'ar','node_search',1),('muscles',32,'en','node_search',1),('museum',23,'ar','node_search',29),('museum',23,'en','node_search',29),('nam',1,'ar','node_search',3.08002),('nam',1,'en','node_search',3.08002),('nam',5,'ar','node_search',1.82206),('nam',5,'en','node_search',1.82206),('nam',8,'ar','node_search',1.92027),('nam',8,'en','node_search',1.92027),('nam',10,'ar','node_search',1.8894),('nam',10,'en','node_search',1.8894),('nam',11,'ar','node_search',2.5979),('nam',11,'en','node_search',2.5979),('nam',12,'ar','node_search',0.851346),('nam',12,'en','node_search',0.851346),('nam',13,'ar','node_search',2.65569),('nam',13,'en','node_search',2.65569),('nam',14,'ar','node_search',1.66531),('nam',14,'en','node_search',1.66531),('nam',15,'ar','node_search',1.71895),('nam',15,'en','node_search',1.71895),('nam',16,'ar','node_search',3.6596),('nam',16,'en','node_search',3.66474),('nam',17,'ar','node_search',2.61702),('nam',17,'en','node_search',2.61702),('nam',20,'ar','node_search',1.9534),('nam',20,'en','node_search',1.9534),('nam',23,'ar','node_search',0.899454),('nam',23,'en','node_search',0.899454),('nam',24,'ar','node_search',0.771698),('nam',24,'en','node_search',0.771698),('nam',25,'ar','node_search',1.70364),('nam',25,'en','node_search',1.70364),('nam',26,'ar','node_search',1.78786),('nam',26,'en','node_search',1.78786),('nam',28,'ar','node_search',1.64414),('nam',28,'en','node_search',1.64414),('nam',29,'ar','node_search',1.93247),('nam',29,'en','node_search',1.93247),('nam',30,'ar','node_search',2.16303),('nam',30,'en','node_search',2.16303),('nam',31,'ar','node_search',0.7017),('nam',31,'en','node_search',0.7017),('nam',32,'ar','node_search',1.90974),('nam',32,'en','node_search',1.90974),('nam',33,'ar','node_search',2.49353),('nam',33,'en','node_search',2.49353),('nam',34,'ar','node_search',2),('nam',34,'en','node_search',2),('nam',35,'ar','node_search',2.33144),('nam',35,'en','node_search',2.33144),('nam',38,'en','node_search',5.19578),('name',17,'ar','node_search',1),('name',17,'en','node_search',1),('named',10,'ar','node_search',1),('named',10,'en','node_search',1),('named',24,'ar','node_search',2),('named',24,'en','node_search',2),('names',20,'ar','node_search',1),('names',20,'en','node_search',1),('narrow',6,'ar','node_search',1),('narrow',6,'en','node_search',1),('narrowed',15,'ar','node_search',1),('narrowed',15,'en','node_search',1),('nascetur',2,'ar','node_search',0.822065),('nascetur',2,'en','node_search',0.824901),('nascetur',3,'ar','node_search',0.839384),('nascetur',3,'en','node_search',0.839384),('nascetur',6,'ar','node_search',0.769219),('nascetur',6,'en','node_search',0.769219),('nascetur',8,'ar','node_search',1),('nascetur',8,'en','node_search',1),('nascetur',28,'ar','node_search',1),('nascetur',28,'en','node_search',1),('nascetur',38,'en','node_search',0.786915),('nation',4,'ar','node_search',1),('nation',4,'en','node_search',1),('national',21,'ar','node_search',1),('national',21,'en','node_search',1),('natoque',2,'ar','node_search',0.839384),('natoque',2,'en','node_search',0.842342),('natoque',3,'ar','node_search',0.857458),('natoque',3,'en','node_search',0.857458),('natoque',6,'ar','node_search',0.784336),('natoque',6,'en','node_search',0.784336),('natoque',8,'ar','node_search',1),('natoque',8,'en','node_search',1),('natoque',28,'ar','node_search',1),('natoque',28,'en','node_search',1),('natoque',38,'en','node_search',0.802752),('natu',48,'en','node_search',2.71827),('natural',3,'ar','node_search',1),('natural',3,'en','node_search',1),('nature',18,'ar','node_search',29),('nature',18,'en','node_search',29),('nature',20,'ar','node_search',1),('nature',20,'en','node_search',1),('nature',49,'en','node_search',11),('navigate',30,'ar','node_search',1),('navigate',30,'en','node_search',1),('nearly',23,'ar','node_search',2),('nearly',23,'en','node_search',2),('nec',1,'ar','node_search',3.06533),('nec',1,'en','node_search',3.06533),('nec',2,'ar','node_search',2.12542),('nec',2,'en','node_search',2.13172),('nec',3,'ar','node_search',1.99772),('nec',3,'en','node_search',1.99772),('nec',4,'ar','node_search',1.36025),('nec',4,'en','node_search',1.36412),('nec',5,'ar','node_search',1.54845),('nec',5,'en','node_search',1.54845),('nec',6,'ar','node_search',2.59292),('nec',6,'en','node_search',2.59292),('nec',7,'ar','node_search',4.32178),('nec',7,'en','node_search',4.32178),('nec',8,'ar','node_search',2.89945),('nec',8,'en','node_search',2.89945),('nec',9,'ar','node_search',2.98444),('nec',9,'en','node_search',2.98444),('nec',10,'ar','node_search',3.24798),('nec',10,'en','node_search',3.24798),('nec',11,'ar','node_search',3.74269),('nec',11,'en','node_search',3.74269),('nec',12,'ar','node_search',3.84719),('nec',12,'en','node_search',3.84719),('nec',13,'ar','node_search',2.69667),('nec',13,'en','node_search',2.69667),('nec',14,'ar','node_search',1.715),('nec',14,'en','node_search',1.715),('nec',15,'ar','node_search',0.860547),('nec',15,'en','node_search',0.860547),('nec',16,'ar','node_search',5.97942),('nec',16,'en','node_search',5.99481),('nec',17,'ar','node_search',3.1437),('nec',17,'en','node_search',3.1437),('nec',18,'ar','node_search',4.44306),('nec',18,'en','node_search',4.44306),('nec',19,'ar','node_search',2.68211),('nec',19,'en','node_search',2.68211),('nec',20,'ar','node_search',3.66739),('nec',20,'en','node_search',3.66739),('nec',21,'ar','node_search',4.20373),('nec',21,'en','node_search',4.20373),('nec',22,'ar','node_search',1.78521),('nec',22,'en','node_search',1.78521),('nec',23,'ar','node_search',0.747619),('nec',23,'en','node_search',0.747619),('nec',24,'ar','node_search',1.62745),('nec',24,'en','node_search',1.62745),('nec',25,'ar','node_search',3.36697),('nec',25,'en','node_search',3.36697),('nec',26,'ar','node_search',1.60824),('nec',26,'en','node_search',1.60824),('nec',27,'ar','node_search',3.48886),('nec',27,'en','node_search',3.48886),('nec',28,'ar','node_search',2.66777),('nec',28,'en','node_search',2.66777),('nec',29,'ar','node_search',2.79936),('nec',29,'en','node_search',2.79936),('nec',30,'ar','node_search',3.69226),('nec',30,'en','node_search',3.69226),('nec',31,'ar','node_search',0.776703),('nec',31,'en','node_search',0.776703),('nec',32,'ar','node_search',2.68572),('nec',32,'en','node_search',2.68572),('nec',33,'ar','node_search',3.527),('nec',33,'en','node_search',3.527),('nec',34,'ar','node_search',3.90729),('nec',34,'en','node_search',3.90729),('nec',35,'ar','node_search',3.28247),('nec',35,'en','node_search',3.28247),('nec',36,'ar','node_search',9.1189),('nec',36,'en','node_search',9.11456),('nec',38,'en','node_search',8.783),('necklaces',23,'ar','node_search',1),('necklaces',23,'en','node_search',1),('need',29,'ar','node_search',1),('need',29,'en','node_search',1),('needed',9,'ar','node_search',1),('needed',9,'en','node_search',1),('needs',17,'ar','node_search',1),('needs',17,'en','node_search',1),('needs',29,'ar','node_search',0.961087),('needs',29,'en','node_search',0.961087),('negotiates',17,'ar','node_search',1),('negotiates',17,'en','node_search',1),('neighbour',29,'ar','node_search',1),('neighbour',29,'en','node_search',1),('nelams',9,'ar','node_search',3),('nelams',9,'en','node_search',3),('nelson',20,'ar','node_search',1),('nelson',20,'en','node_search',1),('neo',48,'en','node_search',0.96498),('neque',1,'ar','node_search',1.70831),('neque',1,'en','node_search',1.70831),('neque',2,'ar','node_search',0.980874),('neque',2,'en','node_search',0.98493),('neque',4,'ar','node_search',0.681785),('neque',4,'en','node_search',0.683725),('neque',6,'ar','node_search',1.80264),('neque',6,'en','node_search',1.80264),('neque',8,'ar','node_search',1.90629),('neque',8,'en','node_search',1.90629),('neque',11,'ar','node_search',0.857458),('neque',11,'en','node_search',0.857458),('neque',12,'ar','node_search',4.64655),('neque',12,'en','node_search',4.64655),('neque',13,'ar','node_search',0.906287),('neque',13,'en','node_search',0.906287),('neque',14,'ar','node_search',1),('neque',14,'en','node_search',1),('neque',15,'ar','node_search',0.857458),('neque',15,'en','node_search',0.857458),('neque',16,'ar','node_search',2.65879),('neque',16,'en','node_search',2.65879),('neque',17,'ar','node_search',2.3872),('neque',17,'en','node_search',2.3872),('neque',20,'ar','node_search',1.62116),('neque',20,'en','node_search',1.62116),('neque',23,'ar','node_search',1),('neque',23,'en','node_search',1),('neque',24,'ar','node_search',0.810915),('neque',24,'en','node_search',0.810915),('neque',27,'ar','node_search',0.866793),('neque',27,'en','node_search',0.866793),('neque',28,'ar','node_search',1.6706),('neque',28,'en','node_search',1.6706),('neque',29,'ar','node_search',2.74607),('neque',29,'en','node_search',2.74607),('neque',30,'ar','node_search',1.42725),('neque',30,'en','node_search',1.42725),('neque',31,'ar','node_search',0.731649),('neque',31,'en','node_search',0.731649),('neque',33,'ar','node_search',1.64272),('neque',33,'en','node_search',1.64272),('neque',34,'ar','node_search',2.6925),('neque',34,'en','node_search',2.6925),('neque',35,'ar','node_search',1.53713),('neque',35,'en','node_search',1.53713),('neque',36,'ar','node_search',0.802752),('neque',36,'en','node_search',0.802752),('neque',38,'en','node_search',2.44445),('nerves',10,'ar','node_search',1),('nerves',10,'en','node_search',1),('nerves',29,'ar','node_search',0.98493),('nerves',29,'en','node_search',0.98493),('netus',18,'ar','node_search',0.830633),('netus',18,'en','node_search',0.830633),('netus',21,'ar','node_search',0.866793),('netus',21,'en','node_search',0.866793),('never',3,'ar','node_search',0.899454),('never',3,'en','node_search',0.899454),('new',4,'ar','node_search',2),('new',4,'en','node_search',2),('new',5,'ar','node_search',1),('new',5,'en','node_search',1),('new',6,'ar','node_search',1),('new',6,'en','node_search',1),('new',10,'ar','node_search',27),('new',10,'en','node_search',27),('new',13,'ar','node_search',32),('new',13,'en','node_search',32),('new',16,'ar','node_search',1),('new',16,'en','node_search',1),('new',21,'ar','node_search',1),('new',21,'en','node_search',1),('new',32,'ar','node_search',1),('new',32,'en','node_search',1),('new',33,'ar','node_search',1),('new',33,'en','node_search',1),('new',46,'en','node_search',27),('new',49,'en','node_search',19),('newly',29,'ar','node_search',1),('newly',29,'en','node_search',1),('news',6,'ar','node_search',1),('news',6,'en','node_search',1),('news',42,'en','node_search',27),('newspaper',24,'ar','node_search',1),('newspaper',24,'en','node_search',1),('nibh',1,'ar','node_search',1.39526),('nibh',1,'en','node_search',1.39526),('nibh',4,'ar','node_search',2.33095),('nibh',4,'en','node_search',2.33858),('nibh',5,'ar','node_search',0.733888),('nibh',5,'en','node_search',0.733888),('nibh',6,'ar','node_search',1),('nibh',6,'en','node_search',1),('nibh',7,'ar','node_search',2.54431),('nibh',7,'en','node_search',2.54431),('nibh',8,'ar','node_search',2.78082),('nibh',8,'en','node_search',2.78082),('nibh',9,'ar','node_search',2.29404),('nibh',9,'en','node_search',2.29404),('nibh',10,'ar','node_search',2.66837),('nibh',10,'en','node_search',2.66837),('nibh',11,'ar','node_search',0.670377),('nibh',11,'en','node_search',0.670377),('nibh',12,'ar','node_search',3.66428),('nibh',12,'en','node_search',3.66428),('nibh',14,'ar','node_search',1.84234),('nibh',14,'en','node_search',1.84234),('nibh',15,'ar','node_search',0.819249),('nibh',15,'en','node_search',0.819249),('nibh',16,'ar','node_search',1.68521),('nibh',16,'en','node_search',1.68521),('nibh',17,'ar','node_search',1.47263),('nibh',17,'en','node_search',1.47263),('nibh',18,'ar','node_search',4.43936),('nibh',18,'en','node_search',4.43936),('nibh',19,'ar','node_search',1.9347),('nibh',19,'en','node_search',1.9347),('nibh',20,'ar','node_search',1.66291),('nibh',20,'en','node_search',1.66291),('nibh',21,'ar','node_search',4.14878),('nibh',21,'en','node_search',4.14878),('nibh',22,'ar','node_search',0.961087),('nibh',22,'en','node_search',0.961087),('nibh',23,'ar','node_search',0.745294),('nibh',23,'en','node_search',0.745294),('nibh',24,'ar','node_search',0.714225),('nibh',24,'en','node_search',0.714225),('nibh',25,'ar','node_search',1.65946),('nibh',25,'en','node_search',1.65946),('nibh',26,'ar','node_search',2),('nibh',26,'en','node_search',2),('nibh',28,'ar','node_search',2.37263),('nibh',28,'en','node_search',2.37263),('nibh',29,'ar','node_search',2.12024),('nibh',29,'en','node_search',2.12024),('nibh',30,'ar','node_search',1.686),('nibh',30,'en','node_search',1.686),('nibh',32,'ar','node_search',2.66641),('nibh',32,'en','node_search',2.66641),('nibh',33,'ar','node_search',1.86679),('nibh',33,'en','node_search',1.86679),('nibh',34,'ar','node_search',3.58711),('nibh',34,'en','node_search',3.58711),('nibh',35,'ar','node_search',1.80818),('nibh',35,'en','node_search',1.80818),('nibh',36,'ar','node_search',1.7767),('nibh',36,'en','node_search',1.7767),('nibh',38,'en','node_search',2.35608),('nibh',48,'en','node_search',1.92384),('nimis',48,'en','node_search',2),('nine',25,'ar','node_search',1),('nine',25,'en','node_search',1),('nine',28,'ar','node_search',1),('nine',28,'en','node_search',1),('nine',29,'ar','node_search',1),('nine',29,'en','node_search',1),('nine',49,'en','node_search',1.81125),('ninety',4,'ar','node_search',0.957226),('ninety',4,'en','node_search',0.961087),('nisi',1,'ar','node_search',1.55928),('nisi',1,'en','node_search',1.55928),('nisi',2,'ar','node_search',3.12785),('nisi',2,'en','node_search',3.13821),('nisi',3,'ar','node_search',1.31702),('nisi',3,'en','node_search',1.31702),('nisi',4,'ar','node_search',1.58216),('nisi',4,'en','node_search',1.58741),('nisi',5,'ar','node_search',1.85668),('nisi',5,'en','node_search',1.85668),('nisi',6,'ar','node_search',1.60021),('nisi',6,'en','node_search',1.60021),('nisi',7,'ar','node_search',2.50018),('nisi',7,'en','node_search',2.50018),('nisi',8,'ar','node_search',2.93838),('nisi',8,'en','node_search',2.93838),('nisi',9,'ar','node_search',2.24885),('nisi',9,'en','node_search',2.24885),('nisi',10,'ar','node_search',0.749958),('nisi',10,'en','node_search',0.749958),('nisi',11,'ar','node_search',1.3833),('nisi',11,'en','node_search',1.3833),('nisi',12,'ar','node_search',3.79914),('nisi',12,'en','node_search',3.79914),('nisi',13,'ar','node_search',2.87313),('nisi',13,'en','node_search',2.87313),('nisi',14,'ar','node_search',2.89608),('nisi',14,'en','node_search',2.89608),('nisi',16,'ar','node_search',1.8249),('nisi',16,'en','node_search',1.8249),('nisi',17,'ar','node_search',1.60565),('nisi',17,'en','node_search',1.60565),('nisi',18,'ar','node_search',3.50303),('nisi',18,'en','node_search',3.50303),('nisi',19,'ar','node_search',1.61913),('nisi',19,'en','node_search',1.61913),('nisi',20,'ar','node_search',0.800068),('nisi',20,'en','node_search',0.800068),('nisi',21,'ar','node_search',4.03051),('nisi',21,'en','node_search',4.03051),('nisi',22,'ar','node_search',2.68809),('nisi',22,'en','node_search',2.68809),('nisi',23,'ar','node_search',1.60986),('nisi',23,'en','node_search',1.60986),('nisi',24,'ar','node_search',1.48845),('nisi',24,'en','node_search',1.48845),('nisi',25,'ar','node_search',0.968904),('nisi',25,'en','node_search',0.968904),('nisi',26,'ar','node_search',3.78262),('nisi',26,'en','node_search',3.78262),('nisi',27,'ar','node_search',1.80275),('nisi',27,'en','node_search',1.80275),('nisi',28,'ar','node_search',2.72524),('nisi',28,'en','node_search',2.72524),('nisi',29,'ar','node_search',0.655756),('nisi',29,'en','node_search',0.655756),('nisi',30,'ar','node_search',1.64511),('nisi',30,'en','node_search',1.64511),('nisi',31,'ar','node_search',3.12956),('nisi',31,'en','node_search',3.12956),('nisi',32,'ar','node_search',0.813674),('nisi',32,'en','node_search',0.813674),('nisi',33,'ar','node_search',1),('nisi',33,'en','node_search',1),('nisi',34,'ar','node_search',0.909743),('nisi',34,'en','node_search',0.909743),('nisi',35,'ar','node_search',1),('nisi',35,'en','node_search',1),('nisi',36,'ar','node_search',1.62565),('nisi',36,'en','node_search',1.62565),('nisi',38,'en','node_search',5.64605),('nisl',1,'ar','node_search',1.58745),('nisl',1,'en','node_search',1.58745),('nisl',2,'ar','node_search',1.60824),('nisl',2,'en','node_search',1.61367),('nisl',3,'ar','node_search',1.62752),('nisl',3,'en','node_search',1.62752),('nisl',4,'ar','node_search',2.09836),('nisl',4,'en','node_search',2.10451),('nisl',6,'ar','node_search',3.3103),('nisl',6,'en','node_search',3.3103),('nisl',7,'ar','node_search',1.57426),('nisl',7,'en','node_search',1.57426),('nisl',9,'ar','node_search',1.40186),('nisl',9,'en','node_search',1.40186),('nisl',10,'ar','node_search',3.1899),('nisl',10,'en','node_search',3.1899),('nisl',11,'ar','node_search',3.77111),('nisl',11,'en','node_search',3.77111),('nisl',12,'ar','node_search',1.84532),('nisl',12,'en','node_search',1.84532),('nisl',13,'ar','node_search',1.69142),('nisl',13,'en','node_search',1.69142),('nisl',15,'ar','node_search',0.889397),('nisl',15,'en','node_search',0.889397),('nisl',16,'ar','node_search',1.93838),('nisl',16,'en','node_search',1.93838),('nisl',17,'ar','node_search',1.67183),('nisl',17,'en','node_search',1.67183),('nisl',18,'ar','node_search',2.55389),('nisl',18,'en','node_search',2.55389),('nisl',19,'ar','node_search',1.90286),('nisl',19,'en','node_search',1.90286),('nisl',20,'ar','node_search',1),('nisl',20,'en','node_search',1),('nisl',21,'ar','node_search',4.26349),('nisl',21,'en','node_search',4.26349),('nisl',22,'ar','node_search',1.6998),('nisl',22,'en','node_search',1.6998),('nisl',23,'ar','node_search',0.774192),('nisl',23,'en','node_search',0.774192),('nisl',24,'ar','node_search',0.733888),('nisl',24,'en','node_search',0.733888),('nisl',27,'ar','node_search',0.949597),('nisl',27,'en','node_search',0.949597),('nisl',29,'ar','node_search',2.27601),('nisl',29,'en','node_search',2.27601),('nisl',30,'ar','node_search',3.87646),('nisl',30,'en','node_search',3.87646),('nisl',31,'ar','node_search',1),('nisl',31,'en','node_search',1),('nisl',32,'ar','node_search',0.78951),('nisl',32,'en','node_search',0.78951),('nisl',33,'ar','node_search',3.74751),('nisl',33,'en','node_search',3.74751),('nisl',34,'ar','node_search',1),('nisl',34,'en','node_search',1),('nisl',35,'ar','node_search',3.49984),('nisl',35,'en','node_search',3.49984),('nisl',36,'ar','node_search',3.0696),('nisl',36,'en','node_search',3.0696),('nisl',38,'en','node_search',4.17216),('non',1,'ar','node_search',3.9599),('non',1,'en','node_search',3.9599),('non',2,'ar','node_search',2.22957),('non',2,'en','node_search',2.23653),('non',3,'ar','node_search',2.15396),('non',3,'en','node_search',2.15396),('non',4,'ar','node_search',0.687638),('non',4,'en','node_search',0.689612),('non',5,'ar','node_search',2.36213),('non',5,'en','node_search',2.36213),('non',6,'ar','node_search',2.45058),('non',6,'en','node_search',2.45058),('non',7,'ar','node_search',1.59315),('non',7,'en','node_search',1.59315),('non',8,'ar','node_search',1.89947),('non',8,'en','node_search',1.89947),('non',9,'ar','node_search',1.42302),('non',9,'en','node_search',1.42302),('non',10,'ar','node_search',1.66326),('non',10,'en','node_search',1.66326),('non',11,'ar','node_search',2.94726),('non',11,'en','node_search',2.94726),('non',12,'ar','node_search',7.60872),('non',12,'en','node_search',7.60872),('non',13,'ar','node_search',3.9347),('non',13,'en','node_search',3.9347),('non',14,'ar','node_search',5.38849),('non',14,'en','node_search',5.38849),('non',15,'ar','node_search',4.47043),('non',15,'en','node_search',4.47043),('non',16,'ar','node_search',1.85746),('non',16,'en','node_search',1.85746),('non',17,'ar','node_search',1.72048),('non',17,'en','node_search',1.72048),('non',18,'ar','node_search',1.77878),('non',18,'en','node_search',1.77878),('non',19,'ar','node_search',1.81925),('non',19,'en','node_search',1.81925),('non',20,'ar','node_search',0.860547),('non',20,'en','node_search',0.860547),('non',21,'ar','node_search',2.39562),('non',21,'en','node_search',2.39562),('non',22,'ar','node_search',1.67039),('non',22,'en','node_search',1.67039),('non',23,'ar','node_search',0.712106),('non',23,'en','node_search',0.712106),('non',24,'ar','node_search',0.695602),('non',24,'en','node_search',0.695602),('non',25,'ar','node_search',3.50926),('non',25,'en','node_search',3.50926),('non',26,'ar','node_search',1.6503),('non',26,'en','node_search',1.6503),('non',27,'ar','node_search',2.625),('non',27,'en','node_search',2.625),('non',28,'ar','node_search',1.58967),('non',28,'en','node_search',1.58967),('non',29,'ar','node_search',3.79345),('non',29,'en','node_search',3.79345),('non',30,'ar','node_search',4.32004),('non',30,'en','node_search',4.32004),('non',31,'ar','node_search',0.892724),('non',31,'en','node_search',0.892724),('non',32,'ar','node_search',2.85144),('non',32,'en','node_search',2.85144),('non',33,'ar','node_search',4.22616),('non',33,'en','node_search',4.22616),('non',34,'ar','node_search',1.80827),('non',34,'en','node_search',1.80827),('non',35,'ar','node_search',3.94667),('non',35,'en','node_search',3.94667),('non',36,'ar','node_search',0.800068),('non',36,'en','node_search',0.800068),('non',38,'en','node_search',5.59824),('nonummy',38,'en','node_search',3.06918),('nonumy',38,'en','node_search',0.869951),('noodles',35,'ar','node_search',1),('noodles',35,'en','node_search',1),('noon',28,'ar','node_search',1),('noon',28,'en','node_search',1),('noon',30,'ar','node_search',1),('noon',30,'en','node_search',1),('north',4,'ar','node_search',0.980874),('north',4,'en','node_search',0.98493),('north',28,'ar','node_search',1),('north',28,'en','node_search',1),('northland',4,'ar','node_search',0.949597),('northland',4,'en','node_search',0.953396),('nostra',8,'ar','node_search',0.873132),('nostra',8,'en','node_search',0.873132),('nostra',23,'ar','node_search',0.923838),('nostra',23,'en','node_search',0.923838),('nostra',24,'ar','node_search',0.781775),('nostra',24,'en','node_search',0.781775),('nostra',26,'ar','node_search',1),('nostra',26,'en','node_search',1),('nostra',27,'ar','node_search',0.759465),('nostra',27,'en','node_search',0.759465),('nostra',28,'ar','node_search',0.740689),('nostra',28,'en','node_search',0.740689),('nostra',31,'ar','node_search',0.71),('nostra',31,'en','node_search',0.71),('nostra',36,'ar','node_search',1.61555),('nostra',36,'en','node_search',1.61338),('nostrud',38,'en','node_search',2.48092),('nostrud',48,'en','node_search',1.92743),('not',1,'ar','node_search',1),('not',1,'en','node_search',1),('not',7,'ar','node_search',2),('not',7,'en','node_search',2),('not',9,'ar','node_search',1),('not',9,'en','node_search',1),('not',11,'ar','node_search',1),('not',11,'en','node_search',1),('not',21,'ar','node_search',2),('not',21,'en','node_search',2),('not',24,'ar','node_search',1),('not',24,'en','node_search',1),('not',31,'ar','node_search',1),('not',31,'en','node_search',1),('not',35,'ar','node_search',1),('not',35,'en','node_search',1),('note',18,'ar','node_search',1),('note',18,'en','node_search',1),('now',15,'ar','node_search',1),('now',15,'en','node_search',1),('now',21,'ar','node_search',1),('now',21,'en','node_search',1),('now',29,'ar','node_search',1),('now',29,'en','node_search',1),('nulla',1,'ar','node_search',4.8241),('nulla',1,'en','node_search',4.8241),('nulla',2,'ar','node_search',1.43932),('nulla',2,'en','node_search',1.44366),('nulla',3,'ar','node_search',1.35944),('nulla',3,'en','node_search',1.35944),('nulla',4,'ar','node_search',2.14827),('nulla',4,'en','node_search',2.15474),('nulla',5,'ar','node_search',0.78951),('nulla',5,'en','node_search',0.78951),('nulla',6,'ar','node_search',2.58231),('nulla',6,'en','node_search',2.58231),('nulla',7,'ar','node_search',6.44105),('nulla',7,'en','node_search',6.44105),('nulla',8,'ar','node_search',3.92384),('nulla',8,'en','node_search',3.92384),('nulla',9,'ar','node_search',4.99434),('nulla',9,'en','node_search',4.99434),('nulla',10,'ar','node_search',1.88918),('nulla',10,'en','node_search',1.88918),('nulla',11,'ar','node_search',2.27564),('nulla',11,'en','node_search',2.27564),('nulla',12,'ar','node_search',4.86775),('nulla',12,'en','node_search',4.86775),('nulla',13,'ar','node_search',2.65266),('nulla',13,'en','node_search',2.65266),('nulla',14,'ar','node_search',3.55689),('nulla',14,'en','node_search',3.55689),('nulla',15,'ar','node_search',0.827757),('nulla',15,'en','node_search',0.827757),('nulla',16,'ar','node_search',3.53121),('nulla',16,'en','node_search',3.53121),('nulla',17,'ar','node_search',3.06569),('nulla',17,'en','node_search',3.06569),('nulla',18,'ar','node_search',1.86055),('nulla',18,'en','node_search',1.86055),('nulla',19,'ar','node_search',3.26151),('nulla',19,'en','node_search',3.26151),('nulla',20,'ar','node_search',3.6271),('nulla',20,'en','node_search',3.6271),('nulla',21,'ar','node_search',3.09171),('nulla',21,'en','node_search',3.09171),('nulla',23,'ar','node_search',1.70113),('nulla',23,'en','node_search',1.70113),('nulla',24,'ar','node_search',2.3524),('nulla',24,'en','node_search',2.3524),('nulla',25,'ar','node_search',5.23012),('nulla',25,'en','node_search',5.23012),('nulla',26,'ar','node_search',1.80822),('nulla',26,'en','node_search',1.80822),('nulla',27,'ar','node_search',3.50709),('nulla',27,'en','node_search',3.50709),('nulla',28,'ar','node_search',3.50969),('nulla',28,'en','node_search',3.50969),('nulla',30,'ar','node_search',1.39453),('nulla',30,'en','node_search',1.39453),('nulla',31,'ar','node_search',4.26544),('nulla',31,'en','node_search',4.26544),('nulla',32,'ar','node_search',3.53887),('nulla',32,'en','node_search',3.53887),('nulla',33,'ar','node_search',0.827757),('nulla',33,'en','node_search',0.827757),('nulla',34,'ar','node_search',5.53095),('nulla',34,'en','node_search',5.53095),('nulla',35,'ar','node_search',0.774192),('nulla',35,'en','node_search',0.774192),('nulla',36,'ar','node_search',1.91926),('nulla',36,'en','node_search',1.91926),('nulla',38,'en','node_search',6.2202),('nulla',48,'en','node_search',2.92007),('nullam',1,'ar','node_search',0.727213),('nullam',1,'en','node_search',0.727213),('nullam',4,'ar','node_search',0.731649),('nullam',4,'en','node_search',0.733888),('nullam',5,'ar','node_search',0.740689),('nullam',5,'en','node_search',0.740689),('nullam',7,'ar','node_search',1),('nullam',7,'en','node_search',1),('nullam',9,'ar','node_search',0.938382),('nullam',9,'en','node_search',0.938382),('nullam',10,'ar','node_search',3.38685),('nullam',10,'en','node_search',3.38685),('nullam',11,'ar','node_search',0.727213),('nullam',11,'en','node_search',0.727213),('nullam',12,'ar','node_search',3.53707),('nullam',12,'en','node_search',3.53707),('nullam',14,'ar','node_search',2.56129),('nullam',14,'en','node_search',2.56129),('nullam',15,'ar','node_search',3.57476),('nullam',15,'en','node_search',3.57476),('nullam',18,'ar','node_search',1.98902),('nullam',18,'en','node_search',1.98902),('nullam',19,'ar','node_search',0.860547),('nullam',19,'en','node_search',0.860547),('nullam',21,'ar','node_search',0.718502),('nullam',21,'en','node_search',0.718502),('nullam',25,'ar','node_search',2.66178),('nullam',25,'en','node_search',2.66178),('nullam',27,'ar','node_search',1.65624),('nullam',27,'en','node_search',1.65624),('nullam',29,'ar','node_search',2.10502),('nullam',29,'en','node_search',2.10502),('nullam',31,'ar','node_search',0.961087),('nullam',31,'en','node_search',0.961087),('nullam',32,'ar','node_search',2),('nullam',32,'en','node_search',2),('nullam',36,'ar','node_search',1.66121),('nullam',36,'en','node_search',1.65904),('nullam',38,'en','node_search',4.61761),('number',9,'ar','node_search',1),('number',9,'en','node_search',1),('number',11,'ar','node_search',1),('number',11,'en','node_search',1),('number',25,'ar','node_search',1),('number',25,'en','node_search',1),('number',49,'en','node_search',0.972861),('numerous',21,'ar','node_search',1),('numerous',21,'en','node_search',1),('nunc',1,'ar','node_search',4.93081),('nunc',1,'en','node_search',4.93081),('nunc',2,'ar','node_search',4.43343),('nunc',2,'en','node_search',4.4472),('nunc',3,'ar','node_search',4.26651),('nunc',3,'en','node_search',4.26651),('nunc',4,'ar','node_search',2.13159),('nunc',4,'en','node_search',2.13793),('nunc',5,'ar','node_search',2.5195),('nunc',5,'en','node_search',2.5195),('nunc',6,'ar','node_search',3.87361),('nunc',6,'en','node_search',3.87361),('nunc',7,'ar','node_search',1),('nunc',7,'en','node_search',1),('nunc',8,'ar','node_search',3.84411),('nunc',8,'en','node_search',3.84411),('nunc',10,'ar','node_search',1.9347),('nunc',10,'en','node_search',1.9347),('nunc',11,'ar','node_search',2.26506),('nunc',11,'en','node_search',2.26506),('nunc',12,'ar','node_search',1.94583),('nunc',12,'en','node_search',1.94583),('nunc',13,'ar','node_search',2.71872),('nunc',13,'en','node_search',2.71872),('nunc',14,'ar','node_search',2.83938),('nunc',14,'en','node_search',2.83938),('nunc',15,'ar','node_search',1),('nunc',15,'en','node_search',1),('nunc',16,'ar','node_search',3.76206),('nunc',16,'en','node_search',3.76206),('nunc',17,'ar','node_search',3.50738),('nunc',17,'en','node_search',3.50738),('nunc',18,'ar','node_search',0.96498),('nunc',18,'en','node_search',0.96498),('nunc',19,'ar','node_search',2.39825),('nunc',19,'en','node_search',2.39825),('nunc',20,'ar','node_search',1.79492),('nunc',20,'en','node_search',1.79492),('nunc',21,'ar','node_search',1.40995),('nunc',21,'en','node_search',1.40995),('nunc',22,'ar','node_search',7.49877),('nunc',22,'en','node_search',7.49877),('nunc',23,'ar','node_search',2.35436),('nunc',23,'en','node_search',2.35436),('nunc',24,'ar','node_search',3.02353),('nunc',24,'en','node_search',3.02353),('nunc',25,'ar','node_search',1.63923),('nunc',25,'en','node_search',1.63923),('nunc',26,'ar','node_search',2.78599),('nunc',26,'en','node_search',2.78599),('nunc',27,'ar','node_search',3.65892),('nunc',27,'en','node_search',3.65892),('nunc',28,'ar','node_search',3.43941),('nunc',28,'en','node_search',3.43941),('nunc',29,'ar','node_search',2.32878),('nunc',29,'en','node_search',2.32878),('nunc',30,'ar','node_search',2.82941),('nunc',30,'en','node_search',2.82941),('nunc',31,'ar','node_search',3.93954),('nunc',31,'en','node_search',3.93954),('nunc',32,'ar','node_search',1.83063),('nunc',32,'en','node_search',1.83063),('nunc',33,'ar','node_search',1.73112),('nunc',33,'en','node_search',1.73112),('nunc',34,'ar','node_search',1.9689),('nunc',34,'en','node_search',1.9689),('nunc',35,'ar','node_search',1.61362),('nunc',35,'en','node_search',1.61362),('nunc',36,'ar','node_search',1.71355),('nunc',36,'en','node_search',1.71355),('nunc',38,'en','node_search',12.3718),('nunc',48,'en','node_search',1.84832),('nuptials',33,'ar','node_search',1),('nuptials',33,'en','node_search',1),('nurses',14,'ar','node_search',28),('nurses',14,'en','node_search',28),('nurses',49,'en','node_search',0.957226),('nutus',48,'en','node_search',27),('nzco',13,'ar','node_search',2),('nzco',13,'en','node_search',2),('obcaecat',38,'en','node_search',2.80572),('object',33,'ar','node_search',28),('object',33,'en','node_search',28),('object',49,'en','node_search',19),('objects',33,'ar','node_search',1),('objects',33,'en','node_search',1),('obruo',48,'en','node_search',2),('occuro',48,'en','node_search',0.927431),('ocean',3,'ar','node_search',1),('ocean',3,'en','node_search',1),('odio',1,'ar','node_search',3.96381),('odio',1,'en','node_search',3.96381),('odio',2,'ar','node_search',0.689612),('odio',2,'en','node_search',0.691597),('odio',3,'ar','node_search',0.638366),('odio',3,'en','node_search',0.638366),('odio',4,'ar','node_search',1.42641),('odio',4,'en','node_search',1.43066),('odio',5,'ar','node_search',3.99522),('odio',5,'en','node_search',3.99522),('odio',6,'ar','node_search',1),('odio',6,'en','node_search',1),('odio',7,'ar','node_search',1.83938),('odio',7,'en','node_search',1.83938),('odio',8,'ar','node_search',3.96498),('odio',8,'en','node_search',3.96498),('odio',9,'ar','node_search',1.68336),('odio',9,'en','node_search',1.68336),('odio',11,'ar','node_search',1.38554),('odio',11,'en','node_search',1.38554),('odio',12,'ar','node_search',3.78931),('odio',12,'en','node_search',3.78931),('odio',13,'ar','node_search',2.54764),('odio',13,'en','node_search',2.54764),('odio',14,'ar','node_search',3.81268),('odio',14,'en','node_search',3.81268),('odio',15,'ar','node_search',2.6498),('odio',15,'en','node_search',2.6498),('odio',16,'ar','node_search',2.8126),('odio',16,'en','node_search',2.8126),('odio',17,'ar','node_search',2.51829),('odio',17,'en','node_search',2.51829),('odio',18,'ar','node_search',0.920273),('odio',18,'en','node_search',0.920273),('odio',20,'ar','node_search',1.86581),('odio',20,'en','node_search',1.86581),('odio',22,'ar','node_search',1.87634),('odio',22,'en','node_search',1.87634),('odio',25,'ar','node_search',3.54814),('odio',25,'en','node_search',3.54814),('odio',26,'ar','node_search',2.53072),('odio',26,'en','node_search',2.53072),('odio',27,'ar','node_search',1.82206),('odio',27,'en','node_search',1.82206),('odio',28,'ar','node_search',3.63898),('odio',28,'en','node_search',3.63898),('odio',29,'ar','node_search',0.66666),('odio',29,'en','node_search',0.66666),('odio',30,'ar','node_search',1.36632),('odio',30,'en','node_search',1.36632),('odio',32,'ar','node_search',1.69408),('odio',32,'en','node_search',1.69408),('odio',33,'ar','node_search',0.802752),('odio',33,'en','node_search',0.802752),('odio',34,'ar','node_search',2.85135),('odio',34,'en','node_search',2.85135),('odio',35,'ar','node_search',0.752312),('odio',35,'en','node_search',0.752312),('odio',36,'ar','node_search',1.98493),('odio',36,'en','node_search',1.98493),('odio',38,'en','node_search',0.736141),('odio',48,'en','node_search',0.961087),('off',4,'ar','node_search',2),('off',4,'en','node_search',2),('off',8,'ar','node_search',27),('off',8,'en','node_search',27),('office',13,'ar','node_search',28),('office',13,'en','node_search',28),('office',34,'ar','node_search',1),('office',34,'en','node_search',1),('officia',38,'en','node_search',2.77755),('official',23,'ar','node_search',1),('official',23,'en','node_search',1),('often',11,'ar','node_search',1),('often',11,'en','node_search',1),('often',29,'ar','node_search',1),('often',29,'en','node_search',1),('oil',24,'ar','node_search',1),('oil',24,'en','node_search',1),('oil',49,'en','node_search',1),('old',3,'ar','node_search',1.91674),('old',3,'en','node_search',1.91674),('olim',48,'en','node_search',1.87957),('olivia',5,'ar','node_search',2),('olivia',5,'en','node_search',2),('once',9,'ar','node_search',1),('once',9,'en','node_search',1),('once',17,'ar','node_search',1),('once',17,'en','node_search',1),('once',34,'ar','node_search',2),('once',34,'en','node_search',2),('oncenter',28,'ar','node_search',1),('oncenter',28,'en','node_search',1),('one',2,'ar','node_search',2),('one',2,'en','node_search',2),('one',3,'ar','node_search',1.9534),('one',3,'en','node_search',1.9534),('one',9,'ar','node_search',1),('one',9,'en','node_search',1),('one',11,'ar','node_search',1),('one',11,'en','node_search',1),('one',14,'ar','node_search',1),('one',14,'en','node_search',1),('one',23,'ar','node_search',1),('one',23,'en','node_search',1),('one',36,'ar','node_search',1),('one',36,'en','node_search',1),('oneofkind',33,'ar','node_search',1),('oneofkind',33,'en','node_search',1),('onepage',47,'en','node_search',27),('onepage',49,'en','node_search',19),('online',28,'ar','node_search',1),('online',28,'en','node_search',1),('online',33,'ar','node_search',1),('online',33,'en','node_search',1),('only',14,'ar','node_search',1),('only',14,'en','node_search',1),('only',25,'ar','node_search',1),('only',25,'en','node_search',1),('only',30,'ar','node_search',1),('only',30,'en','node_search',1),('ontario',29,'ar','node_search',1),('ontario',29,'en','node_search',1),('open',10,'ar','node_search',1),('open',10,'en','node_search',1),('opened',31,'ar','node_search',1),('opened',31,'en','node_search',1),('oppeto',48,'en','node_search',2),('optimal',29,'ar','node_search',1),('optimal',29,'en','node_search',1),('orci',1,'ar','node_search',3.47942),('orci',1,'en','node_search',3.47942),('orci',2,'ar','node_search',0.736141),('orci',2,'en','node_search',0.738408),('orci',3,'ar','node_search',0.7017),('orci',3,'en','node_search',0.7017),('orci',4,'ar','node_search',0.784336),('orci',4,'en','node_search',0.786915),('orci',5,'ar','node_search',0.792123),('orci',5,'en','node_search',0.792123),('orci',6,'ar','node_search',0.727213),('orci',6,'en','node_search',0.727213),('orci',7,'ar','node_search',1.78231),('orci',7,'en','node_search',1.78231),('orci',9,'ar','node_search',1.61458),('orci',9,'en','node_search',1.61458),('orci',10,'ar','node_search',1.89272),('orci',10,'en','node_search',1.89272),('orci',11,'ar','node_search',2.26949),('orci',11,'en','node_search',2.26949),('orci',12,'ar','node_search',1),('orci',12,'en','node_search',1),('orci',13,'ar','node_search',0.808176),('orci',13,'en','node_search',0.808176),('orci',14,'ar','node_search',2.86163),('orci',14,'en','node_search',2.86163),('orci',15,'ar','node_search',2.69927),('orci',15,'en','node_search',2.69927),('orci',16,'ar','node_search',1.72721),('orci',16,'en','node_search',1.72721),('orci',17,'ar','node_search',1.50425),('orci',17,'en','node_search',1.50425),('orci',18,'ar','node_search',1.87313),('orci',18,'en','node_search',1.87313),('orci',19,'ar','node_search',3.41244),('orci',19,'en','node_search',3.41244),('orci',20,'ar','node_search',1.71949),('orci',20,'en','node_search',1.71949),('orci',21,'ar','node_search',2.51362),('orci',21,'en','node_search',2.51362),('orci',22,'ar','node_search',0.923838),('orci',22,'en','node_search',0.923838),('orci',24,'ar','node_search',1.67039),('orci',24,'en','node_search',1.67039),('orci',25,'ar','node_search',2.74286),('orci',25,'en','node_search',2.74286),('orci',26,'ar','node_search',0.813674),('orci',26,'en','node_search',0.813674),('orci',29,'ar','node_search',2.92121),('orci',29,'en','node_search',2.92121),('orci',30,'ar','node_search',1.47733),('orci',30,'en','node_search',1.47733),('orci',31,'ar','node_search',1.48376),('orci',31,'en','node_search',1.48376),('orci',32,'ar','node_search',0.839384),('orci',32,'en','node_search',0.839384),('orci',33,'ar','node_search',1.70958),('orci',33,'en','node_search',1.70958),('orci',34,'ar','node_search',3.56043),('orci',34,'en','node_search',3.56043),('orci',35,'ar','node_search',1.59545),('orci',35,'en','node_search',1.59545),('orci',36,'ar','node_search',3.4948),('orci',36,'en','node_search',3.49263),('orci',38,'en','node_search',7.95696),('organisations',13,'ar','node_search',1),('organisations',13,'en','node_search',1),('organisations',16,'ar','node_search',1),('organisations',16,'en','node_search',1),('organization',1,'ar','node_search',1),('organization',1,'en','node_search',1),('organs',29,'ar','node_search',0.993146),('organs',29,'en','node_search',0.993146),('ornare',1,'ar','node_search',0.740689),('ornare',1,'en','node_search',0.740689),('ornare',4,'ar','node_search',0.863659),('ornare',4,'en','node_search',0.866793),('ornare',7,'ar','node_search',1),('ornare',7,'en','node_search',1),('ornare',8,'ar','node_search',1),('ornare',8,'en','node_search',1),('ornare',11,'ar','node_search',3.18465),('ornare',11,'en','node_search',3.18465),('ornare',13,'ar','node_search',0.869951),('ornare',13,'en','node_search',0.869951),('ornare',14,'ar','node_search',1.89608),('ornare',14,'en','node_search',1.89608),('ornare',16,'ar','node_search',1),('ornare',16,'en','node_search',1),('ornare',17,'ar','node_search',0.873132),('ornare',17,'en','node_search',0.873132),('ornare',18,'ar','node_search',1),('ornare',18,'en','node_search',1),('ornare',19,'ar','node_search',1.58059),('ornare',19,'en','node_search',1.58059),('ornare',21,'ar','node_search',0.703756),('ornare',21,'en','node_search',0.703756),('ornare',22,'ar','node_search',0.938382),('ornare',22,'en','node_search',0.938382),('ornare',23,'ar','node_search',1.66806),('ornare',23,'en','node_search',1.66806),('ornare',24,'ar','node_search',2.40076),('ornare',24,'en','node_search',2.40076),('ornare',25,'ar','node_search',0.972861),('ornare',25,'en','node_search',0.972861),('ornare',26,'ar','node_search',1.9689),('ornare',26,'en','node_search',1.9689),('ornare',27,'ar','node_search',0.749958),('ornare',27,'en','node_search',0.749958),('ornare',28,'ar','node_search',1),('ornare',28,'en','node_search',1),('ornare',29,'ar','node_search',0.72066),('ornare',29,'en','node_search',0.72066),('ornare',30,'ar','node_search',0.776703),('ornare',30,'en','node_search',0.776703),('ornare',31,'ar','node_search',3.06717),('ornare',31,'en','node_search',3.06717),('ornare',33,'ar','node_search',0.906287),('ornare',33,'en','node_search',0.906287),('ornare',35,'ar','node_search',0.842342),('ornare',35,'en','node_search',0.842342),('ornare',36,'ar','node_search',0.738408),('ornare',36,'en','node_search',0.738408),('otavio',19,'ar','node_search',1),('otavio',19,'en','node_search',1),('other',24,'ar','node_search',1),('other',24,'en','node_search',1),('other',25,'ar','node_search',2),('other',25,'en','node_search',2),('other',31,'ar','node_search',27),('other',31,'en','node_search',27),('other',49,'en','node_search',19),('others',30,'ar','node_search',1),('others',30,'en','node_search',1),('others',49,'en','node_search',11),('our',2,'ar','node_search',1),('our',2,'en','node_search',1),('our',3,'ar','node_search',3),('our',3,'en','node_search',3),('our',5,'ar','node_search',1),('our',5,'en','node_search',1),('our',6,'ar','node_search',2),('our',6,'en','node_search',2),('our',33,'ar','node_search',1),('our',33,'en','node_search',1),('out',4,'ar','node_search',1),('out',4,'en','node_search',1),('out',5,'ar','node_search',1),('out',5,'en','node_search',1),('out',17,'ar','node_search',2),('out',17,'en','node_search',2),('out',20,'ar','node_search',1),('out',20,'en','node_search',1),('out',26,'ar','node_search',1),('out',26,'en','node_search',1),('out',30,'ar','node_search',27),('out',30,'en','node_search',27),('out',35,'ar','node_search',1),('out',35,'en','node_search',1),('out',36,'ar','node_search',1),('out',36,'en','node_search',1),('out',49,'en','node_search',13.7687),('outcomes',29,'ar','node_search',1),('outcomes',29,'en','node_search',1),('outreach',11,'ar','node_search',1),('outreach',11,'en','node_search',1),('over',4,'ar','node_search',1),('over',4,'en','node_search',1),('over',5,'ar','node_search',1),('over',5,'en','node_search',1),('over',7,'ar','node_search',1),('over',7,'en','node_search',1),('over',11,'ar','node_search',1),('over',11,'en','node_search',1),('over',17,'ar','node_search',1),('over',17,'en','node_search',1),('over',21,'ar','node_search',2),('over',21,'en','node_search',2),('over',22,'ar','node_search',27),('over',22,'en','node_search',27),('over',26,'ar','node_search',1),('over',26,'en','node_search',1),('over',31,'ar','node_search',1),('over',31,'en','node_search',1),('over',33,'ar','node_search',1),('over',33,'en','node_search',1),('over',49,'en','node_search',0.816452),('overseas',16,'ar','node_search',1),('overseas',16,'en','node_search',1),('owing',17,'ar','node_search',1),('owing',17,'en','node_search',1),('own',18,'ar','node_search',1),('own',18,'en','node_search',1),('owner',24,'ar','node_search',1),('owner',24,'en','node_search',1),('pacific',2,'ar','node_search',1),('pacific',2,'en','node_search',1),('pacific',3,'ar','node_search',1),('pacific',3,'en','node_search',1),('page',13,'ar','node_search',1),('page',13,'en','node_search',1),('page',49,'en','node_search',27),('pages',38,'en','node_search',27),('pagus',48,'en','node_search',1),('paihia',4,'ar','node_search',1),('paihia',4,'en','node_search',1),('painted',24,'ar','node_search',27),('painted',24,'en','node_search',27),('painting',24,'ar','node_search',2),('painting',24,'en','node_search',2),('painting',49,'en','node_search',1),('pair',5,'ar','node_search',1),('pair',5,'en','node_search',1),('paki',4,'ar','node_search',0.96498),('paki',4,'en','node_search',0.968904),('pala',48,'en','node_search',3.76118),('palermo',5,'ar','node_search',2),('palermo',5,'en','node_search',2),('pandolfo',19,'ar','node_search',1),('pandolfo',19,'en','node_search',1),('panel',24,'ar','node_search',30),('panel',24,'en','node_search',30),('paper',18,'ar','node_search',1),('paper',18,'en','node_search',1),('papers',18,'ar','node_search',1),('papers',18,'en','node_search',1),('paratus',48,'en','node_search',4.7121),('parents',9,'ar','node_search',27),('parents',9,'en','node_search',27),('parents',11,'ar','node_search',1),('parents',11,'en','node_search',1),('part',24,'ar','node_search',1),('part',24,'en','node_search',1),('part',29,'ar','node_search',1),('part',29,'en','node_search',1),('parted',5,'ar','node_search',1),('parted',5,'en','node_search',1),('particular',13,'ar','node_search',1),('particular',13,'en','node_search',1),('partnerships',16,'ar','node_search',3.79475),('partnerships',16,'en','node_search',3.80007),('parturient',2,'ar','node_search',0.827757),('parturient',2,'en','node_search',0.830633),('parturient',3,'ar','node_search',0.845322),('parturient',3,'en','node_search',0.845322),('parturient',6,'ar','node_search',0.774192),('parturient',6,'en','node_search',0.774192),('parturient',8,'ar','node_search',1),('parturient',8,'en','node_search',1),('parturient',28,'ar','node_search',1),('parturient',28,'en','node_search',1),('parturient',38,'en','node_search',0.792123),('partying',4,'ar','node_search',1),('partying',4,'en','node_search',1),('passed',3,'ar','node_search',0.997306),('passed',3,'en','node_search',0.997306),('passes',16,'ar','node_search',27),('passes',16,'en','node_search',27),('past',21,'ar','node_search',1),('past',21,'en','node_search',1),('paulatim',48,'en','node_search',2.87957),('pavement',22,'ar','node_search',1),('pavement',22,'en','node_search',1),('peace',17,'ar','node_search',1),('peace',17,'en','node_search',1),('pecus',48,'en','node_search',1.83679),('pede',38,'en','node_search',3.62527),('peejay5',3,'ar','node_search',1),('peejay5',3,'en','node_search',1),('pellentesque',1,'ar','node_search',2.44365),('pellentesque',1,'en','node_search',2.44365),('pellentesque',4,'ar','node_search',0.833529),('pellentesque',4,'en','node_search',0.836446),('pellentesque',5,'ar','node_search',2.1588),('pellentesque',5,'en','node_search',2.1588),('pellentesque',7,'ar','node_search',0.797402),('pellentesque',7,'en','node_search',0.797402),('pellentesque',9,'ar','node_search',0.712106),('pellentesque',9,'en','node_search',0.712106),('pellentesque',10,'ar','node_search',2.36844),('pellentesque',10,'en','node_search',2.36844),('pellentesque',11,'ar','node_search',1.48411),('pellentesque',11,'en','node_search',1.48411),('pellentesque',12,'ar','node_search',5.55105),('pellentesque',12,'en','node_search',5.55105),('pellentesque',13,'ar','node_search',2.99731),('pellentesque',13,'en','node_search',2.99731),('pellentesque',14,'ar','node_search',3.51337),('pellentesque',14,'en','node_search',3.51337),('pellentesque',15,'ar','node_search',1.73395),('pellentesque',15,'en','node_search',1.73395),('pellentesque',16,'ar','node_search',22.8699),('pellentesque',16,'en','node_search',23.0077),('pellentesque',17,'ar','node_search',1.72721),('pellentesque',17,'en','node_search',1.72721),('pellentesque',18,'ar','node_search',3.45076),('pellentesque',18,'en','node_search',3.45076),('pellentesque',19,'ar','node_search',1.64369),('pellentesque',19,'en','node_search',1.64369),('pellentesque',20,'ar','node_search',0.816452),('pellentesque',20,'en','node_search',0.816452),('pellentesque',21,'ar','node_search',3.30297),('pellentesque',21,'en','node_search',3.30297),('pellentesque',22,'ar','node_search',1.92384),('pellentesque',22,'en','node_search',1.92384),('pellentesque',23,'ar','node_search',0.78951),('pellentesque',23,'en','node_search',0.78951),('pellentesque',24,'ar','node_search',1.62025),('pellentesque',24,'en','node_search',1.62025),('pellentesque',25,'ar','node_search',4.47219),('pellentesque',25,'en','node_search',4.47219),('pellentesque',26,'ar','node_search',1.98902),('pellentesque',26,'en','node_search',1.98902),('pellentesque',27,'ar','node_search',1.82019),('pellentesque',27,'en','node_search',1.82019),('pellentesque',29,'ar','node_search',3.13676),('pellentesque',29,'en','node_search',3.13676),('pellentesque',30,'ar','node_search',2.25286),('pellentesque',30,'en','node_search',2.25286),('pellentesque',31,'ar','node_search',2.45149),('pellentesque',31,'en','node_search',2.45149),('pellentesque',32,'ar','node_search',1.7734),('pellentesque',32,'en','node_search',1.7734),('pellentesque',33,'ar','node_search',1.86628),('pellentesque',33,'en','node_search',1.86628),('pellentesque',34,'ar','node_search',3.50654),('pellentesque',34,'en','node_search',3.50654),('pellentesque',35,'ar','node_search',1.73041),('pellentesque',35,'en','node_search',1.73041),('pellentesque',36,'ar','node_search',1.75231),('pellentesque',36,'en','node_search',1.75231),('pellentesque',38,'en','node_search',2.87324),('penatibus',2,'ar','node_search',0.836446),('penatibus',2,'en','node_search',0.839384),('penatibus',3,'ar','node_search',0.854391),('penatibus',3,'en','node_search',0.854391),('penatibus',6,'ar','node_search',0.781775),('penatibus',6,'en','node_search',0.781775),('penatibus',8,'ar','node_search',1),('penatibus',8,'en','node_search',1),('penatibus',28,'ar','node_search',1),('penatibus',28,'en','node_search',1),('penatibus',38,'en','node_search',0.800068),('penguins',3,'ar','node_search',0.98493),('penguins',3,'en','node_search',0.98493),('penguins',11,'ar','node_search',1),('penguins',11,'en','node_search',1),('peninsula',4,'ar','node_search',0.920273),('peninsula',4,'en','node_search',0.923838),('people',2,'ar','node_search',1),('people',2,'en','node_search',1),('people',22,'ar','node_search',1),('people',22,'en','node_search',1),('people',27,'ar','node_search',1),('people',27,'en','node_search',1),('people',29,'ar','node_search',3.88466),('people',29,'en','node_search',3.88466),('people',30,'ar','node_search',27),('people',30,'en','node_search',27),('people',31,'ar','node_search',1),('people',31,'en','node_search',1),('people',49,'en','node_search',13.8687),('per',8,'ar','node_search',1.74952),('per',8,'en','node_search',1.74952),('per',11,'ar','node_search',2),('per',11,'en','node_search',2),('per',23,'ar','node_search',1.85133),('per',23,'en','node_search',1.85133),('per',24,'ar','node_search',1.56615),('per',24,'en','node_search',1.56615),('per',26,'ar','node_search',2),('per',26,'en','node_search',2),('per',27,'ar','node_search',1.52138),('per',27,'en','node_search',1.52138),('per',28,'ar','node_search',1.4837),('per',28,'en','node_search',1.4837),('per',29,'ar','node_search',1.93105),('per',29,'en','node_search',1.93105),('per',31,'ar','node_search',1.42213),('per',31,'en','node_search',1.42213),('per',36,'ar','node_search',3.23451),('per',36,'en','node_search',3.23017),('percent',1,'ar','node_search',6),('percent',1,'en','node_search',6),('perfect',2,'ar','node_search',1),('perfect',2,'en','node_search',1),('perfectly',26,'ar','node_search',1),('perfectly',26,'en','node_search',1),('permalink',16,'ar','node_search',25.9425),('permalink',16,'en','node_search',26.114),('permalink',36,'ar','node_search',7.99934),('permalink',36,'en','node_search',7.97517),('persistence',6,'ar','node_search',1),('persistence',6,'en','node_search',1),('personal',17,'ar','node_search',1),('personal',17,'en','node_search',1),('personal',29,'ar','node_search',1),('personal',29,'en','node_search',1),('persto',48,'en','node_search',0.913226),('pertineo',48,'en','node_search',0.902857),('pests',21,'ar','node_search',1),('pests',21,'en','node_search',1),('petersburg',31,'ar','node_search',1),('petersburg',31,'en','node_search',1),('petroleum',9,'ar','node_search',1),('petroleum',9,'en','node_search',1),('pharetra',2,'ar','node_search',0.851346),('pharetra',2,'en','node_search',0.854391),('pharetra',5,'ar','node_search',0.822065),('pharetra',5,'en','node_search',0.822065),('pharetra',6,'ar','node_search',0.792123),('pharetra',6,'en','node_search',0.792123),('pharetra',7,'ar','node_search',2.56373),('pharetra',7,'en','node_search',2.56373),('pharetra',8,'ar','node_search',1.92384),('pharetra',8,'en','node_search',1.92384),('pharetra',9,'ar','node_search',2.31365),('pharetra',9,'en','node_search',2.31365),('pharetra',10,'ar','node_search',0.96498),('pharetra',10,'en','node_search',0.96498),('pharetra',11,'ar','node_search',0.672252),('pharetra',11,'en','node_search',0.672252),('pharetra',12,'ar','node_search',0.848323),('pharetra',12,'en','node_search',0.848323),('pharetra',15,'ar','node_search',1),('pharetra',15,'en','node_search',1),('pharetra',16,'ar','node_search',0.813674),('pharetra',16,'en','node_search',0.813674),('pharetra',17,'ar','node_search',0.714225),('pharetra',17,'en','node_search',0.714225),('pharetra',18,'ar','node_search',1),('pharetra',18,'en','node_search',1),('pharetra',19,'ar','node_search',0.776703),('pharetra',19,'en','node_search',0.776703),('pharetra',20,'ar','node_search',0.774192),('pharetra',20,'en','node_search',0.774192),('pharetra',23,'ar','node_search',1.64588),('pharetra',23,'en','node_search',1.64588),('pharetra',24,'ar','node_search',2.4796),('pharetra',24,'en','node_search',2.4796),('pharetra',26,'ar','node_search',1.83063),('pharetra',26,'en','node_search',1.83063),('pharetra',27,'ar','node_search',1.85883),('pharetra',27,'en','node_search',1.85883),('pharetra',28,'ar','node_search',1.7767),('pharetra',28,'en','node_search',1.7767),('pharetra',29,'ar','node_search',1.64698),('pharetra',29,'en','node_search',1.64698),('pharetra',30,'ar','node_search',0.661163),('pharetra',30,'en','node_search',0.661163),('pharetra',31,'ar','node_search',1.52095),('pharetra',31,'en','node_search',1.52095),('pharetra',34,'ar','node_search',0.876337),('pharetra',34,'en','node_search',0.876337),('pharetra',36,'ar','node_search',0.851346),('pharetra',36,'en','node_search',0.851346),('phasellus',2,'ar','node_search',1.63096),('phasellus',2,'en','node_search',1.63663),('phasellus',3,'ar','node_search',0.676032),('phasellus',3,'en','node_search',0.676032),('phasellus',5,'ar','node_search',2.37414),('phasellus',5,'en','node_search',2.37414),('phasellus',6,'ar','node_search',0.827757),('phasellus',6,'en','node_search',0.827757),('phasellus',7,'ar','node_search',0.784336),('phasellus',7,'en','node_search',0.784336),('phasellus',8,'ar','node_search',1.98902),('phasellus',8,'en','node_search',1.98902),('phasellus',9,'ar','node_search',0.699655),('phasellus',9,'en','node_search',0.699655),('phasellus',10,'ar','node_search',1.76676),('phasellus',10,'en','node_search',1.76676),('phasellus',11,'ar','node_search',0.934703),('phasellus',11,'en','node_search',0.934703),('phasellus',12,'ar','node_search',0.827757),('phasellus',12,'en','node_search',0.827757),('phasellus',13,'ar','node_search',1.63414),('phasellus',13,'en','node_search',1.63414),('phasellus',14,'ar','node_search',1.69369),('phasellus',14,'en','node_search',1.69369),('phasellus',15,'ar','node_search',1),('phasellus',15,'en','node_search',1),('phasellus',16,'ar','node_search',22.9525),('phasellus',16,'en','node_search',23.0912),('phasellus',17,'ar','node_search',1.59207),('phasellus',17,'en','node_search',1.59207),('phasellus',18,'ar','node_search',0.851346),('phasellus',18,'en','node_search',0.851346),('phasellus',19,'ar','node_search',1.79475),('phasellus',19,'en','node_search',1.79475),('phasellus',20,'ar','node_search',1.8894),('phasellus',20,'en','node_search',1.8894),('phasellus',21,'ar','node_search',1.71996),('phasellus',21,'en','node_search',1.71996),('phasellus',23,'ar','node_search',0.792123),('phasellus',23,'en','node_search',0.792123),('phasellus',24,'ar','node_search',1.74069),('phasellus',24,'en','node_search',1.74069),('phasellus',25,'ar','node_search',1.74994),('phasellus',25,'en','node_search',1.74994),('phasellus',26,'ar','node_search',3.44116),('phasellus',26,'en','node_search',3.44116),('phasellus',28,'ar','node_search',1.82206),('phasellus',28,'en','node_search',1.82206),('phasellus',29,'ar','node_search',1.56983),('phasellus',29,'en','node_search',1.56983),('phasellus',31,'ar','node_search',1.544),('phasellus',31,'en','node_search',1.544),('phasellus',32,'ar','node_search',2),('phasellus',32,'en','node_search',2),('phasellus',34,'ar','node_search',2),('phasellus',34,'en','node_search',2),('phasellus',36,'ar','node_search',1.64667),('phasellus',36,'en','node_search',1.6445),('phasellus',38,'en','node_search',5.95998),('philipp',25,'ar','node_search',1),('philipp',25,'en','node_search',1),('philly',12,'ar','node_search',1),('philly',12,'en','node_search',1),('phones',3,'ar','node_search',0.866793),('phones',3,'en','node_search',0.866793),('picture',24,'ar','node_search',1),('picture',24,'en','node_search',1),('pictures',9,'ar','node_search',1),('pictures',9,'en','node_search',1),('pieces',23,'ar','node_search',2),('pieces',23,'en','node_search',2),('pipe',9,'ar','node_search',1),('pipe',9,'en','node_search',1),('place',2,'ar','node_search',1),('place',2,'en','node_search',1),('place',4,'ar','node_search',1),('place',4,'en','node_search',1),('place',11,'ar','node_search',1),('place',11,'en','node_search',1),('placerat',1,'ar','node_search',0.78951),('placerat',1,'en','node_search',0.78951),('placerat',4,'ar','node_search',1.52919),('placerat',4,'en','node_search',1.53409),('placerat',5,'ar','node_search',1.63027),('placerat',5,'en','node_search',1.63027),('placerat',7,'ar','node_search',1.67457),('placerat',7,'en','node_search',1.67457),('placerat',8,'ar','node_search',2),('placerat',8,'en','node_search',2),('placerat',9,'ar','node_search',1.50425),('placerat',9,'en','node_search',1.50425),('placerat',10,'ar','node_search',1.78378),('placerat',10,'en','node_search',1.78378),('placerat',12,'ar','node_search',0.869951),('placerat',12,'en','node_search',0.869951),('placerat',14,'ar','node_search',2.73247),('placerat',14,'en','node_search',2.73247),('placerat',15,'ar','node_search',1),('placerat',15,'en','node_search',1),('placerat',18,'ar','node_search',0.819249),('placerat',18,'en','node_search',0.819249),('placerat',21,'ar','node_search',0.845322),('placerat',21,'en','node_search',0.845322),('placerat',25,'ar','node_search',1.82206),('placerat',25,'en','node_search',1.82206),('placerat',26,'ar','node_search',1.8861),('placerat',26,'en','node_search',1.8861),('placerat',27,'ar','node_search',1.66129),('placerat',27,'en','node_search',1.66129),('placerat',28,'ar','node_search',1.78023),('placerat',28,'en','node_search',1.78023),('placerat',29,'ar','node_search',1.5564),('placerat',29,'en','node_search',1.5564),('placerat',32,'ar','node_search',0.942091),('placerat',32,'en','node_search',0.942091),('placerat',38,'en','node_search',0.7017),('places',11,'ar','node_search',1),('places',11,'en','node_search',1),('places',27,'ar','node_search',1),('places',27,'en','node_search',1),('plaga',48,'en','node_search',0.866793),('plan',30,'ar','node_search',1),('plan',30,'en','node_search',1),('planned',6,'ar','node_search',1),('planned',6,'en','node_search',1),('planning',30,'ar','node_search',1),('planning',30,'en','node_search',1),('plans',9,'ar','node_search',1),('plans',9,'en','node_search',1),('plant',21,'ar','node_search',2),('plant',21,'en','node_search',2),('plants',21,'ar','node_search',1),('plants',21,'en','node_search',1),('platea',2,'ar','node_search',0.727213),('platea',2,'en','node_search',0.729424),('platea',3,'ar','node_search',0.691597),('platea',3,'en','node_search',0.691597),('platea',5,'ar','node_search',0.972861),('platea',5,'en','node_search',0.972861),('platea',6,'ar','node_search',0.72066),('platea',6,'en','node_search',0.72066),('platea',12,'ar','node_search',0.833529),('platea',12,'en','node_search',0.833529),('platea',26,'ar','node_search',0.916736),('platea',26,'en','node_search',0.916736),('platea',38,'en','node_search',1),('play',2,'ar','node_search',1),('play',2,'en','node_search',1),('play',36,'ar','node_search',1),('play',36,'en','node_search',1),('player',25,'ar','node_search',2),('player',25,'en','node_search',2),('playing',3,'ar','node_search',0.873132),('playing',3,'en','node_search',0.873132),('plentiful',3,'ar','node_search',27),('plentiful',3,'en','node_search',27),('plenty',3,'ar','node_search',27),('plenty',3,'en','node_search',27),('plume',3,'ar','node_search',1),('plume',3,'en','node_search',1),('pod',3,'ar','node_search',0.980874),('pod',3,'en','node_search',0.980874),('point',30,'ar','node_search',1),('point',30,'en','node_search',1),('police',23,'ar','node_search',1),('police',23,'en','node_search',1),('political',31,'ar','node_search',1),('political',31,'en','node_search',1),('pools',2,'ar','node_search',1),('pools',2,'en','node_search',1),('popular',32,'ar','node_search',1),('popular',32,'en','node_search',1),('populus',48,'en','node_search',2),('porta',1,'ar','node_search',1),('porta',1,'en','node_search',1),('porta',2,'ar','node_search',1.66846),('porta',2,'en','node_search',1.67432),('porta',3,'ar','node_search',0.781775),('porta',3,'en','node_search',0.781775),('porta',4,'ar','node_search',0.722831),('porta',4,'en','node_search',0.725015),('porta',5,'ar','node_search',2.55044),('porta',5,'en','node_search',2.55044),('porta',6,'ar','node_search',1.56798),('porta',6,'en','node_search',1.56798),('porta',11,'ar','node_search',1.39453),('porta',11,'en','node_search',1.39453),('porta',12,'ar','node_search',2),('porta',12,'en','node_search',2),('porta',14,'ar','node_search',1.99731),('porta',14,'en','node_search',1.99731),('porta',18,'ar','node_search',0.934703),('porta',18,'en','node_search',0.934703),('porta',19,'ar','node_search',2.42051),('porta',19,'en','node_search',2.42051),('porta',21,'ar','node_search',0.727213),('porta',21,'en','node_search',0.727213),('porta',22,'ar','node_search',2.8249),('porta',22,'en','node_search',2.8249),('porta',23,'ar','node_search',1.44825),('porta',23,'en','node_search',1.44825),('porta',24,'ar','node_search',3.34976),('porta',24,'en','node_search',3.34976),('porta',25,'ar','node_search',3.3608),('porta',25,'en','node_search',3.3608),('porta',26,'ar','node_search',2.76623),('porta',26,'en','node_search',2.76623),('porta',27,'ar','node_search',1),('porta',27,'en','node_search',1),('porta',29,'ar','node_search',0.736141),('porta',29,'en','node_search',0.736141),('porta',30,'ar','node_search',1.36987),('porta',30,'en','node_search',1.36987),('porta',31,'ar','node_search',2.60293),('porta',31,'en','node_search',2.60293),('porta',32,'ar','node_search',2.55484),('porta',32,'en','node_search',2.55484),('porta',33,'ar','node_search',0.800068),('porta',33,'en','node_search',0.800068),('porta',34,'ar','node_search',1.67322),('porta',34,'en','node_search',1.67322),('porta',35,'ar','node_search',0.749958),('porta',35,'en','node_search',0.749958),('porta',36,'ar','node_search',3.75973),('porta',36,'en','node_search',3.75973),('porta',38,'en','node_search',1),('porttitor',1,'ar','node_search',2.30872),('porttitor',1,'en','node_search',2.30872),('porttitor',2,'ar','node_search',1.74029),('porttitor',2,'en','node_search',1.74529),('porttitor',3,'ar','node_search',0.712106),('porttitor',3,'en','node_search',0.712106),('porttitor',4,'ar','node_search',0.797402),('porttitor',4,'en','node_search',0.800068),('porttitor',6,'ar','node_search',1.6016),('porttitor',6,'en','node_search',1.6016),('porttitor',7,'ar','node_search',0.769219),('porttitor',7,'en','node_search',0.769219),('porttitor',8,'ar','node_search',2.90336),('porttitor',8,'en','node_search',2.90336),('porttitor',9,'ar','node_search',0.683725),('porttitor',9,'en','node_search',0.683725),('porttitor',10,'ar','node_search',1.4906),('porttitor',10,'en','node_search',1.4906),('porttitor',11,'ar','node_search',2.21052),('porttitor',11,'en','node_search',2.21052),('porttitor',12,'ar','node_search',1.73702),('porttitor',12,'en','node_search',1.73702),('porttitor',14,'ar','node_search',2.7452),('porttitor',14,'en','node_search',2.7452),('porttitor',16,'ar','node_search',0.819249),('porttitor',16,'en','node_search',0.819249),('porttitor',17,'ar','node_search',0.718502),('porttitor',17,'en','node_search',0.718502),('porttitor',19,'ar','node_search',0.802752),('porttitor',19,'en','node_search',0.802752),('porttitor',20,'ar','node_search',0.78951),('porttitor',20,'en','node_search',0.78951),('porttitor',21,'ar','node_search',0.691597),('porttitor',21,'en','node_search',0.691597),('porttitor',22,'ar','node_search',3.64731),('porttitor',22,'en','node_search',3.64731),('porttitor',25,'ar','node_search',1.85268),('porttitor',25,'en','node_search',1.85268),('porttitor',27,'ar','node_search',1.91323),('porttitor',27,'en','node_search',1.91323),('porttitor',28,'ar','node_search',2.42882),('porttitor',28,'en','node_search',2.42882),('porttitor',30,'ar','node_search',0.677939),('porttitor',30,'en','node_search',0.677939),('porttitor',31,'ar','node_search',0.863659),('porttitor',31,'en','node_search',0.863659),('porttitor',32,'ar','node_search',1),('porttitor',32,'en','node_search',1),('porttitor',34,'ar','node_search',0.896076),('porttitor',34,'en','node_search',0.896076),('porttitor',38,'en','node_search',2.45401),('positive',32,'ar','node_search',1),('positive',32,'en','node_search',1),('possess',21,'ar','node_search',1),('possess',21,'en','node_search',1),('possession',17,'ar','node_search',1),('possession',17,'en','node_search',1),('possibly',5,'ar','node_search',1),('possibly',5,'en','node_search',1),('post',16,'ar','node_search',2.35052),('post',16,'en','node_search',2.366),('post',18,'ar','node_search',2),('post',18,'en','node_search',2),('post',36,'ar','node_search',0.718502),('post',36,'en','node_search',0.716357),('postentry',21,'ar','node_search',1),('postentry',21,'en','node_search',1),('posuere',1,'ar','node_search',0.747619),('posuere',1,'en','node_search',0.747619),('posuere',2,'ar','node_search',0.752312),('posuere',2,'en','node_search',0.754681),('posuere',3,'ar','node_search',0.722831),('posuere',3,'en','node_search',0.722831),('posuere',4,'ar','node_search',1.45705),('posuere',4,'en','node_search',1.46149),('posuere',5,'ar','node_search',1.56948),('posuere',5,'en','node_search',1.56948),('posuere',6,'ar','node_search',0.733888),('posuere',6,'en','node_search',0.733888),('posuere',7,'ar','node_search',1.76773),('posuere',7,'en','node_search',1.76773),('posuere',9,'ar','node_search',1.60245),('posuere',9,'en','node_search',1.60245),('posuere',11,'ar','node_search',0.742984),('posuere',11,'en','node_search',0.742984),('posuere',12,'ar','node_search',0.976851),('posuere',12,'en','node_search',0.976851),('posuere',13,'ar','node_search',0.805455),('posuere',13,'en','node_search',0.805455),('posuere',14,'ar','node_search',1),('posuere',14,'en','node_search',1),('posuere',15,'ar','node_search',1),('posuere',15,'en','node_search',1),('posuere',16,'ar','node_search',0.892724),('posuere',16,'en','node_search',0.892724),('posuere',17,'ar','node_search',0.774192),('posuere',17,'en','node_search',0.774192),('posuere',18,'ar','node_search',1.81645),('posuere',18,'en','node_search',1.81645),('posuere',19,'ar','node_search',2.38647),('posuere',19,'en','node_search',2.38647),('posuere',20,'ar','node_search',0.909743),('posuere',20,'en','node_search',0.909743),('posuere',21,'ar','node_search',1.5587),('posuere',21,'en','node_search',1.5587),('posuere',24,'ar','node_search',1.90629),('posuere',24,'en','node_search',1.90629),('posuere',25,'ar','node_search',0.792123),('posuere',25,'en','node_search',0.792123),('posuere',26,'ar','node_search',0.854391),('posuere',26,'en','node_search',0.854391),('posuere',27,'ar','node_search',0.805455),('posuere',27,'en','node_search',0.805455),('posuere',29,'ar','node_search',0.668514),('posuere',29,'en','node_search',0.668514),('posuere',30,'ar','node_search',0.792123),('posuere',30,'en','node_search',0.792123),('posuere',31,'ar','node_search',2.54817),('posuere',31,'en','node_search',2.54817),('posuere',32,'ar','node_search',0.866793),('posuere',32,'en','node_search',0.866793),('posuere',33,'ar','node_search',0.927431),('posuere',33,'en','node_search',0.927431),('posuere',34,'ar','node_search',1.81367),('posuere',34,'en','node_search',1.81367),('posuere',35,'ar','node_search',0.860547),('posuere',35,'en','node_search',0.860547),('posuere',36,'ar','node_search',2.58601),('posuere',36,'en','node_search',2.58601),('posuere',38,'en','node_search',6.32407),('potenti',4,'ar','node_search',0.733888),('potenti',4,'en','node_search',0.736141),('potenti',5,'ar','node_search',1.71),('potenti',5,'en','node_search',1.71),('potenti',8,'ar','node_search',1),('potenti',8,'en','node_search',1),('potenti',10,'ar','node_search',0.794753),('potenti',10,'en','node_search',0.794753),('potenti',26,'ar','node_search',0.934703),('potenti',26,'en','node_search',0.934703),('potenti',28,'ar','node_search',0.972861),('potenti',28,'en','node_search',0.972861),('potential',30,'ar','node_search',1),('potential',30,'en','node_search',1),('pounding',22,'ar','node_search',1),('pounding',22,'en','node_search',1),('power',10,'ar','node_search',1),('power',10,'en','node_search',1),('power',35,'ar','node_search',2),('power',35,'en','node_search',2),('powers',16,'ar','node_search',1),('powers',16,'en','node_search',1),('powers',36,'ar','node_search',1),('powers',36,'en','node_search',1),('ppsr',17,'ar','node_search',1),('ppsr',17,'en','node_search',1),('practice',14,'ar','node_search',1),('practice',14,'en','node_search',1),('practicing',32,'ar','node_search',1),('practicing',32,'en','node_search',1),('praemitto',48,'en','node_search',1.9534),('praesent',4,'ar','node_search',0.916736),('praesent',4,'en','node_search',0.920273),('praesent',8,'ar','node_search',1.96498),('praesent',8,'en','node_search',1.96498),('praesent',10,'ar','node_search',0.776703),('praesent',10,'en','node_search',0.776703),('praesent',11,'ar','node_search',2.11204),('praesent',11,'en','node_search',2.11204),('praesent',14,'ar','node_search',0.819249),('praesent',14,'en','node_search',0.819249),('praesent',15,'ar','node_search',2),('praesent',15,'en','node_search',2),('praesent',16,'ar','node_search',21.8728),('praesent',16,'en','node_search',22.0106),('praesent',17,'ar','node_search',0.729424),('praesent',17,'en','node_search',0.729424),('praesent',18,'ar','node_search',0.854391),('praesent',18,'en','node_search',0.854391),('praesent',19,'ar','node_search',1.62966),('praesent',19,'en','node_search',1.62966),('praesent',20,'ar','node_search',0.819249),('praesent',20,'en','node_search',0.819249),('praesent',21,'ar','node_search',1.63954),('praesent',21,'en','node_search',1.63954),('praesent',23,'ar','node_search',1),('praesent',23,'en','node_search',1),('praesent',24,'ar','node_search',1.81092),('praesent',24,'en','node_search',1.81092),('praesent',25,'ar','node_search',1.61665),('praesent',25,'en','node_search',1.61665),('praesent',27,'ar','node_search',0.752312),('praesent',27,'en','node_search',0.752312),('praesent',28,'ar','node_search',1.80545),('praesent',28,'en','node_search',1.80545),('praesent',29,'ar','node_search',1.65376),('praesent',29,'en','node_search',1.65376),('praesent',31,'ar','node_search',2.49411),('praesent',31,'en','node_search',2.49411),('praesent',32,'ar','node_search',1.80377),('praesent',32,'en','node_search',1.80377),('praesent',34,'ar','node_search',0.934703),('praesent',34,'en','node_search',0.934703),('praesent',36,'ar','node_search',1),('praesent',36,'en','node_search',1),('praesent',38,'en','node_search',2.10723),('praesent',48,'en','node_search',1.85439),('precious',23,'ar','node_search',1),('precious',23,'en','node_search',1),('prediabetes',29,'ar','node_search',1.95723),('prediabetes',29,'en','node_search',1.95723),('prediabetes',49,'en','node_search',0.827757),('premo',48,'en','node_search',2.92384),('present',33,'ar','node_search',1),('present',33,'en','node_search',1),('press',19,'ar','node_search',1),('press',19,'en','node_search',1),('prestigious',14,'ar','node_search',1),('prestigious',14,'en','node_search',1),('pretium',1,'ar','node_search',2.54939),('pretium',1,'en','node_search',2.54939),('pretium',4,'ar','node_search',0.800068),('pretium',4,'en','node_search',0.802752),('pretium',10,'ar','node_search',1.75707),('pretium',10,'en','node_search',1.75707),('pretium',11,'ar','node_search',0.685676),('pretium',11,'en','node_search',0.685676),('pretium',13,'ar','node_search',4.55298),('pretium',13,'en','node_search',4.55298),('pretium',14,'ar','node_search',0.931053),('pretium',14,'en','node_search',0.931053),('pretium',16,'ar','node_search',3.64915),('pretium',16,'en','node_search',3.65429),('pretium',17,'ar','node_search',2.53667),('pretium',17,'en','node_search',2.53667),('pretium',18,'ar','node_search',0.860547),('pretium',18,'en','node_search',0.860547),('pretium',19,'ar','node_search',0.76431),('pretium',19,'en','node_search',0.76431),('pretium',20,'ar','node_search',1.93105),('pretium',20,'en','node_search',1.93105),('pretium',21,'ar','node_search',0.942091),('pretium',21,'en','node_search',0.942091),('pretium',23,'ar','node_search',0.824901),('pretium',23,'en','node_search',0.824901),('pretium',24,'ar','node_search',1.69579),('pretium',24,'en','node_search',1.69579),('pretium',25,'ar','node_search',1),('pretium',25,'en','node_search',1),('pretium',26,'ar','node_search',2),('pretium',26,'en','node_search',2),('pretium',27,'ar','node_search',2.44029),('pretium',27,'en','node_search',2.44029),('pretium',31,'ar','node_search',1.48572),('pretium',31,'en','node_search',1.48572),('pretium',34,'ar','node_search',2.86055),('pretium',34,'en','node_search',2.86055),('pretium',38,'en','node_search',2.94669),('pretty',4,'ar','node_search',1),('pretty',4,'en','node_search',1),('prevention',16,'ar','node_search',1),('prevention',16,'en','node_search',1),('prevention',21,'ar','node_search',1),('prevention',21,'en','node_search',1),('previous',18,'ar','node_search',1),('previous',18,'en','node_search',1),('prewar',24,'ar','node_search',1),('prewar',24,'en','node_search',1),('price',17,'ar','node_search',2),('price',17,'en','node_search',2),('pride',11,'ar','node_search',1),('pride',11,'en','node_search',1),('prieto',23,'ar','node_search',1),('prieto',23,'en','node_search',1),('primis',7,'ar','node_search',0.980874),('primis',7,'en','node_search',0.980874),('primis',9,'ar','node_search',0.902857),('primis',9,'en','node_search',0.902857),('primis',13,'ar','node_search',0.810915),('primis',13,'en','node_search',0.810915),('primis',15,'ar','node_search',2),('primis',15,'en','node_search',2),('primis',16,'ar','node_search',1.74224),('primis',16,'en','node_search',1.74224),('primis',17,'ar','node_search',1.51566),('primis',17,'en','node_search',1.51566),('primis',19,'ar','node_search',0.745294),('primis',19,'en','node_search',0.745294),('primis',20,'ar','node_search',1.75737),('primis',20,'en','node_search',1.75737),('primis',24,'ar','node_search',0.854391),('primis',24,'en','node_search',0.854391),('primis',31,'ar','node_search',0.749958),('primis',31,'en','node_search',0.749958),('primis',34,'ar','node_search',2.76707),('primis',34,'en','node_search',2.76707),('primis',38,'en','node_search',2.12013),('prince',11,'ar','node_search',27),('prince',11,'en','node_search',27),('pristine',2,'ar','node_search',1),('pristine',2,'en','node_search',1),('privately',17,'ar','node_search',1),('privately',17,'en','node_search',1),('prize',11,'ar','node_search',1),('prize',11,'en','node_search',1),('problems',9,'ar','node_search',1),('problems',9,'en','node_search',1),('process',34,'ar','node_search',2),('process',34,'en','node_search',2),('process',49,'en','node_search',1),('produce',21,'ar','node_search',1),('produce',21,'en','node_search',1),('produce',29,'ar','node_search',1),('produce',29,'en','node_search',1),('produces',29,'ar','node_search',1),('produces',29,'en','node_search',1),('product',21,'ar','node_search',1),('product',21,'en','node_search',1),('product',36,'ar','node_search',1),('product',36,'en','node_search',1),('products',9,'ar','node_search',1),('products',9,'en','node_search',1),('products',21,'ar','node_search',1),('products',21,'en','node_search',1),('products',35,'ar','node_search',1),('products',35,'en','node_search',1),('professional',10,'ar','node_search',1),('professional',10,'en','node_search',1),('professional',29,'ar','node_search',1),('professional',29,'en','node_search',1),('professor',20,'ar','node_search',1),('professor',20,'en','node_search',1),('proident',38,'en','node_search',2.79345),('proin',1,'ar','node_search',0.766757),('proin',1,'en','node_search',0.766757),('proin',2,'ar','node_search',0.71),('proin',2,'en','node_search',0.712106),('proin',3,'ar','node_search',0.66666),('proin',3,'en','node_search',0.66666),('proin',5,'ar','node_search',0.71),('proin',5,'en','node_search',0.71),('proin',7,'ar','node_search',2.42152),('proin',7,'en','node_search',2.42152),('proin',8,'ar','node_search',3.76494),('proin',8,'en','node_search',3.76494),('proin',9,'ar','node_search',2.17399),('proin',9,'en','node_search',2.17399),('proin',10,'ar','node_search',1.74414),('proin',10,'en','node_search',1.74414),('proin',11,'ar','node_search',0.712106),('proin',11,'en','node_search',0.712106),('proin',12,'ar','node_search',2.94583),('proin',12,'en','node_search',2.94583),('proin',14,'ar','node_search',1.73692),('proin',14,'en','node_search',1.73692),('proin',18,'ar','node_search',1),('proin',18,'en','node_search',1),('proin',19,'ar','node_search',2.60748),('proin',19,'en','node_search',2.60748),('proin',21,'ar','node_search',1.48714),('proin',21,'en','node_search',1.48714),('proin',23,'ar','node_search',1.56951),('proin',23,'en','node_search',1.56951),('proin',24,'ar','node_search',2.30958),('proin',24,'en','node_search',2.30958),('proin',25,'ar','node_search',2.61261),('proin',25,'en','node_search',2.61261),('proin',26,'ar','node_search',1),('proin',26,'en','node_search',1),('proin',27,'ar','node_search',1.87634),('proin',27,'en','node_search',1.87634),('proin',28,'ar','node_search',3.17981),('proin',28,'en','node_search',3.17981),('proin',30,'ar','node_search',0.676032),('proin',30,'en','node_search',0.676032),('proin',31,'ar','node_search',2.41722),('proin',31,'en','node_search',2.41722),('proin',32,'ar','node_search',1.79776),('proin',32,'en','node_search',1.79776),('proin',34,'ar','node_search',0.827757),('proin',34,'en','node_search',0.827757),('proin',36,'ar','node_search',0.953396),('proin',36,'en','node_search',0.953396),('proin',38,'en','node_search',1),('properly',1,'ar','node_search',1),('properly',1,'en','node_search',1),('properly',29,'ar','node_search',1),('properly',29,'en','node_search',1),('property',17,'ar','node_search',1),('property',17,'en','node_search',1),('proprius',48,'en','node_search',4.84865),('prospect',10,'ar','node_search',1),('prospect',10,'en','node_search',1),('provided',34,'ar','node_search',1),('provided',34,'en','node_search',1),('provided',49,'en','node_search',1),('provides',16,'ar','node_search',1),('provides',16,'en','node_search',1),('psychoneuroendocrinology',32,'ar','node_search',1),('psychoneuroendocrinology',32,'en','node_search',1),('public',9,'ar','node_search',1),('public',9,'en','node_search',1),('published',1,'ar','node_search',1),('published',1,'en','node_search',1),('published',32,'ar','node_search',1),('published',32,'en','node_search',1),('pull',8,'ar','node_search',27),('pull',8,'en','node_search',27),('pulvinar',1,'ar','node_search',3.23207),('pulvinar',1,'en','node_search',3.23207),('pulvinar',4,'ar','node_search',1.48603),('pulvinar',4,'en','node_search',1.49065),('pulvinar',5,'ar','node_search',0.729424),('pulvinar',5,'en','node_search',0.729424),('pulvinar',7,'ar','node_search',2.63725),('pulvinar',7,'en','node_search',2.63725),('pulvinar',9,'ar','node_search',1.4703),('pulvinar',9,'en','node_search',1.4703),('pulvinar',12,'ar','node_search',1.94209),('pulvinar',12,'en','node_search',1.94209),('pulvinar',13,'ar','node_search',0.896076),('pulvinar',13,'en','node_search',0.896076),('pulvinar',14,'ar','node_search',1.86995),('pulvinar',14,'en','node_search',1.86995),('pulvinar',15,'ar','node_search',0.902857),('pulvinar',15,'en','node_search',0.902857),('pulvinar',16,'ar','node_search',1),('pulvinar',16,'en','node_search',1),('pulvinar',17,'ar','node_search',0.916736),('pulvinar',17,'en','node_search',0.916736),('pulvinar',19,'ar','node_search',1.67208),('pulvinar',19,'en','node_search',1.67208),('pulvinar',21,'ar','node_search',0.731649),('pulvinar',21,'en','node_search',0.731649),('pulvinar',22,'ar','node_search',0.839384),('pulvinar',22,'en','node_search',0.839384),('pulvinar',23,'ar','node_search',0.857458),('pulvinar',23,'en','node_search',0.857458),('pulvinar',24,'ar','node_search',1.72597),('pulvinar',24,'en','node_search',1.72597),('pulvinar',25,'ar','node_search',0.920273),('pulvinar',25,'en','node_search',0.920273),('pulvinar',30,'ar','node_search',0.76431),('pulvinar',30,'en','node_search',0.76431),('pulvinar',31,'ar','node_search',2.491),('pulvinar',31,'en','node_search',2.491),('pulvinar',33,'ar','node_search',0.889397),('pulvinar',33,'en','node_search',0.889397),('pulvinar',35,'ar','node_search',0.827757),('pulvinar',35,'en','node_search',0.827757),('pulvinar',38,'en','node_search',1.43629),('punter',10,'ar','node_search',1),('punter',10,'en','node_search',1),('pupils',11,'ar','node_search',0.997306),('pupils',11,'en','node_search',0.997306),('purus',1,'ar','node_search',1.70816),('purus',1,'en','node_search',1.70816),('purus',2,'ar','node_search',3.15682),('purus',2,'en','node_search',3.1675),('purus',3,'ar','node_search',2.07918),('purus',3,'en','node_search',2.07918),('purus',4,'ar','node_search',0.822065),('purus',4,'en','node_search',0.824901),('purus',5,'ar','node_search',0.759465),('purus',5,'en','node_search',0.759465),('purus',6,'ar','node_search',1.62001),('purus',6,'en','node_search',1.62001),('purus',7,'ar','node_search',1.61358),('purus',7,'en','node_search',1.61358),('purus',8,'ar','node_search',2.87344),('purus',8,'en','node_search',2.87344),('purus',9,'ar','node_search',1.43957),('purus',9,'en','node_search',1.43957),('purus',10,'ar','node_search',1.58406),('purus',10,'en','node_search',1.58406),('purus',13,'ar','node_search',0.902857),('purus',13,'en','node_search',0.902857),('purus',16,'ar','node_search',1),('purus',16,'en','node_search',1),('purus',17,'ar','node_search',0.923838),('purus',17,'en','node_search',0.923838),('purus',18,'ar','node_search',0.902857),('purus',18,'en','node_search',0.902857),('purus',19,'ar','node_search',2.41662),('purus',19,'en','node_search',2.41662),('purus',21,'ar','node_search',1.73165),('purus',21,'en','node_search',1.73165),('purus',22,'ar','node_search',1.86995),('purus',22,'en','node_search',1.86995),('purus',23,'ar','node_search',1.80418),('purus',23,'en','node_search',1.80418),('purus',24,'ar','node_search',3.36405),('purus',24,'en','node_search',3.36405),('purus',25,'ar','node_search',0.786915),('purus',25,'en','node_search',0.786915),('purus',26,'ar','node_search',1.79475),('purus',26,'en','node_search',1.79475),('purus',28,'ar','node_search',2.51729),('purus',28,'en','node_search',2.51729),('purus',29,'ar','node_search',0.636679),('purus',29,'en','node_search',0.636679),('purus',31,'ar','node_search',3.96782),('purus',31,'en','node_search',3.96782),('purus',32,'ar','node_search',0.851346),('purus',32,'en','node_search',0.851346),('purus',36,'ar','node_search',1),('purus',36,'en','node_search',1),('purus',38,'en','node_search',4.42062),('pushing',35,'ar','node_search',1),('pushing',35,'en','node_search',1),('put',36,'ar','node_search',1),('put',36,'en','node_search',1),('quadrum',48,'en','node_search',0.879565),('quam',1,'ar','node_search',1.68497),('quam',1,'en','node_search',1.68497),('quam',2,'ar','node_search',0.740689),('quam',2,'en','node_search',0.742984),('quam',3,'ar','node_search',0.705825),('quam',3,'en','node_search',0.705825),('quam',5,'ar','node_search',1.61754),('quam',5,'en','node_search',1.61754),('quam',6,'ar','node_search',0.729424),('quam',6,'en','node_search',0.729424),('quam',8,'ar','node_search',1.85498),('quam',8,'en','node_search',1.85498),('quam',10,'ar','node_search',0.757065),('quam',10,'en','node_search',0.757065),('quam',11,'ar','node_search',2.29854),('quam',11,'en','node_search',2.29854),('quam',12,'ar','node_search',1.82206),('quam',12,'en','node_search',1.82206),('quam',13,'ar','node_search',1),('quam',13,'en','node_search',1),('quam',14,'ar','node_search',2.72646),('quam',14,'en','node_search',2.72646),('quam',15,'ar','node_search',0.863659),('quam',15,'en','node_search',0.863659),('quam',16,'ar','node_search',0.851346),('quam',16,'en','node_search',0.851346),('quam',17,'ar','node_search',0.742984),('quam',17,'en','node_search',0.742984),('quam',18,'ar','node_search',1.91674),('quam',18,'en','node_search',1.91674),('quam',19,'ar','node_search',1.74762),('quam',19,'en','node_search',1.74762),('quam',20,'ar','node_search',0.851346),('quam',20,'en','node_search',0.851346),('quam',21,'ar','node_search',0.813674),('quam',21,'en','node_search',0.813674),('quam',22,'ar','node_search',1.86366),('quam',22,'en','node_search',1.86366),('quam',23,'ar','node_search',0.972861),('quam',23,'en','node_search',0.972861),('quam',24,'ar','node_search',1.68827),('quam',24,'en','node_search',1.68827),('quam',25,'ar','node_search',2.82778),('quam',25,'en','node_search',2.82778),('quam',26,'ar','node_search',2.64241),('quam',26,'en','node_search',2.64241),('quam',28,'ar','node_search',1.55853),('quam',28,'en','node_search',1.55853),('quam',29,'ar','node_search',1.38969),('quam',29,'en','node_search',1.38969),('quam',30,'ar','node_search',1.66048),('quam',30,'en','node_search',1.66048),('quam',31,'ar','node_search',1.49373),('quam',31,'en','node_search',1.49373),('quam',32,'ar','node_search',1.80275),('quam',32,'en','node_search',1.80275),('quam',33,'ar','node_search',1.84234),('quam',33,'en','node_search',1.84234),('quam',34,'ar','node_search',2.64187),('quam',34,'en','node_search',2.64187),('quam',35,'ar','node_search',1.78691),('quam',35,'en','node_search',1.78691),('quam',36,'ar','node_search',0.776703),('quam',36,'en','node_search',0.776703),('quam',38,'en','node_search',2.98562),('quarantine',21,'ar','node_search',4),('quarantine',21,'en','node_search',4),('question',18,'ar','node_search',1),('question',18,'en','node_search',1),('questioned',1,'ar','node_search',1),('questioned',1,'en','node_search',1),('qui',38,'en','node_search',2.78148),('qui',48,'en','node_search',1.72844),('quia',48,'en','node_search',1),('quibus',48,'en','node_search',1.87634),('quick',7,'ar','node_search',2),('quick',7,'en','node_search',2),('quickly',30,'ar','node_search',1),('quickly',30,'en','node_search',1),('quidem',48,'en','node_search',2.90629),('quidne',48,'en','node_search',1.79553),('quis',1,'ar','node_search',2.57273),('quis',1,'en','node_search',2.57273),('quis',2,'ar','node_search',0.72066),('quis',2,'en','node_search',0.722831),('quis',3,'ar','node_search',0.685676),('quis',3,'en','node_search',0.685676),('quis',4,'ar','node_search',3.65854),('quis',4,'en','node_search',3.66983),('quis',5,'ar','node_search',3.51674),('quis',5,'en','node_search',3.51674),('quis',6,'ar','node_search',3.6213),('quis',6,'en','node_search',3.6213),('quis',7,'ar','node_search',3.51643),('quis',7,'en','node_search',3.51643),('quis',8,'ar','node_search',7.7978),('quis',8,'en','node_search',7.7978),('quis',9,'ar','node_search',3.21924),('quis',9,'en','node_search',3.21924),('quis',11,'ar','node_search',4.57777),('quis',11,'en','node_search',4.57777),('quis',12,'ar','node_search',3.79256),('quis',12,'en','node_search',3.79256),('quis',13,'ar','node_search',4.46989),('quis',13,'en','node_search',4.46989),('quis',14,'ar','node_search',4.52279),('quis',14,'en','node_search',4.52279),('quis',15,'ar','node_search',1.71479),('quis',15,'en','node_search',1.71479),('quis',16,'ar','node_search',28.329),('quis',16,'en','node_search',28.4728),('quis',17,'ar','node_search',5.66201),('quis',17,'en','node_search',5.66201),('quis',18,'ar','node_search',5.564),('quis',18,'en','node_search',5.564),('quis',19,'ar','node_search',2.22913),('quis',19,'en','node_search',2.22913),('quis',20,'ar','node_search',3.42016),('quis',20,'en','node_search',3.42016),('quis',21,'ar','node_search',1.65584),('quis',21,'en','node_search',1.65584),('quis',22,'ar','node_search',2.88213),('quis',22,'en','node_search',2.88213),('quis',23,'ar','node_search',1.61787),('quis',23,'en','node_search',1.61787),('quis',24,'ar','node_search',4.03552),('quis',24,'en','node_search',4.03552),('quis',25,'ar','node_search',6.32618),('quis',25,'en','node_search',6.32618),('quis',26,'ar','node_search',4.71658),('quis',26,'en','node_search',4.71658),('quis',27,'ar','node_search',2.65238),('quis',27,'en','node_search',2.65238),('quis',28,'ar','node_search',7.05993),('quis',28,'en','node_search',7.05993),('quis',29,'ar','node_search',2.8249),('quis',29,'en','node_search',2.8249),('quis',30,'ar','node_search',1.42428),('quis',30,'en','node_search',1.42428),('quis',31,'ar','node_search',3.62719),('quis',31,'en','node_search',3.62719),('quis',32,'ar','node_search',2.64295),('quis',32,'en','node_search',2.64295),('quis',33,'ar','node_search',0.882818),('quis',33,'en','node_search',0.882818),('quis',34,'ar','node_search',5.40242),('quis',34,'en','node_search',5.40242),('quis',35,'ar','node_search',0.822065),('quis',35,'en','node_search',0.822065),('quis',36,'ar','node_search',4.43052),('quis',36,'en','node_search',4.42835),('quis',38,'en','node_search',13.7408),('quisque',2,'ar','node_search',1.74298),('quisque',2,'en','node_search',1.74529),('quisque',3,'ar','node_search',0.71),('quisque',3,'en','node_search',0.71),('quisque',4,'ar','node_search',0.670377),('quisque',4,'en','node_search',0.672252),('quisque',5,'ar','node_search',1.70666),('quisque',5,'en','node_search',1.70666),('quisque',6,'ar','node_search',2.49738),('quisque',6,'en','node_search',2.49738),('quisque',7,'ar','node_search',2.55196),('quisque',7,'en','node_search',2.55196),('quisque',9,'ar','node_search',2.3005),('quisque',9,'en','node_search',2.3005),('quisque',11,'ar','node_search',3.01344),('quisque',11,'en','node_search',3.01344),('quisque',12,'ar','node_search',1.87957),('quisque',12,'en','node_search',1.87957),('quisque',14,'ar','node_search',1.81092),('quisque',14,'en','node_search',1.81092),('quisque',16,'ar','node_search',1.61861),('quisque',16,'en','node_search',1.62372),('quisque',17,'ar','node_search',0.733888),('quisque',17,'en','node_search',0.733888),('quisque',18,'ar','node_search',1),('quisque',18,'en','node_search',1),('quisque',19,'ar','node_search',2.65514),('quisque',19,'en','node_search',2.65514),('quisque',20,'ar','node_search',0.833529),('quisque',20,'en','node_search',0.833529),('quisque',21,'ar','node_search',1.53934),('quisque',21,'en','node_search',1.53934),('quisque',22,'ar','node_search',0.833529),('quisque',22,'en','node_search',0.833529),('quisque',24,'ar','node_search',0.819249),('quisque',24,'en','node_search',0.819249),('quisque',25,'ar','node_search',0.810915),('quisque',25,'en','node_search',0.810915),('quisque',26,'ar','node_search',1.69408),('quisque',26,'en','node_search',1.69408),('quisque',29,'ar','node_search',1.41661),('quisque',29,'en','node_search',1.41661),('quisque',30,'ar','node_search',0.784336),('quisque',30,'en','node_search',0.784336),('quisque',31,'ar','node_search',1.73614),('quisque',31,'en','node_search',1.73614),('quisque',32,'ar','node_search',0.902857),('quisque',32,'en','node_search',0.902857),('quisque',33,'ar','node_search',0.916736),('quisque',33,'en','node_search',0.916736),('quisque',34,'ar','node_search',0.953396),('quisque',34,'en','node_search',0.953396),('quisque',35,'ar','node_search',0.851346),('quisque',35,'en','node_search',0.851346),('quisque',36,'ar','node_search',2.34406),('quisque',36,'en','node_search',2.34189),('quisque',38,'en','node_search',1.74529),('quite',5,'ar','node_search',1),('quite',5,'en','node_search',1),('race',6,'ar','node_search',1),('race',6,'en','node_search',1),('race',28,'ar','node_search',3),('race',28,'en','node_search',3),('racing',7,'ar','node_search',4),('racing',7,'en','node_search',4),('rack',7,'ar','node_search',1),('rack',7,'en','node_search',1),('rain',11,'ar','node_search',1),('rain',11,'en','node_search',1),('raise',21,'ar','node_search',1),('raise',21,'en','node_search',1),('ran',20,'ar','node_search',1),('ran',20,'en','node_search',1),('range',1,'ar','node_search',1),('range',1,'en','node_search',1),('range',7,'ar','node_search',1),('range',7,'en','node_search',1),('ranked',11,'ar','node_search',1),('ranked',11,'en','node_search',1),('ranting',32,'ar','node_search',1),('ranting',32,'en','node_search',1),('rare',3,'ar','node_search',0.972861),('rare',3,'en','node_search',0.972861),('rarest',3,'ar','node_search',0.953396),('rarest',3,'en','node_search',0.953396),('rate',28,'ar','node_search',1),('rate',28,'en','node_search',1),('rather',22,'ar','node_search',1),('rather',22,'en','node_search',1),('ratis',48,'en','node_search',2.87634),('read',49,'en','node_search',120.23),('reads',30,'ar','node_search',1),('reads',30,'en','node_search',1),('ready',3,'ar','node_search',1),('ready',3,'en','node_search',1),('real',22,'ar','node_search',27),('real',22,'en','node_search',27),('reality',31,'ar','node_search',1),('reality',31,'en','node_search',1),('rear',7,'ar','node_search',2),('rear',7,'en','node_search',2),('rearrange',30,'ar','node_search',0.997306),('rearrange',30,'en','node_search',0.997306),('reason',9,'ar','node_search',1),('reason',9,'en','node_search',1),('reason',31,'ar','node_search',1),('reason',31,'en','node_search',1),('reasons',27,'ar','node_search',27),('reasons',27,'en','node_search',27),('rebekah',9,'ar','node_search',1),('rebekah',9,'en','node_search',1),('rebum',38,'en','node_search',0.882818),('receive',14,'ar','node_search',27),('receive',14,'en','node_search',27),('receive',49,'en','node_search',0.953396),('received',16,'ar','node_search',1),('received',16,'en','node_search',1),('receiving',14,'ar','node_search',1),('receiving',14,'en','node_search',1),('recent',18,'ar','node_search',1),('recent',18,'en','node_search',1),('recent',23,'ar','node_search',1),('recent',23,'en','node_search',1),('recently',13,'ar','node_search',1),('recently',13,'en','node_search',1),('recipients',14,'ar','node_search',1),('recipients',14,'en','node_search',1),('recognize',9,'ar','node_search',1),('recognize',9,'en','node_search',1),('recognizes',14,'ar','node_search',1),('recognizes',14,'en','node_search',1),('recommendation',24,'ar','node_search',1),('recommendation',24,'en','node_search',1),('record',21,'ar','node_search',1),('record',21,'en','node_search',1),('recovered',23,'ar','node_search',2),('recovered',23,'en','node_search',2),('red',17,'ar','node_search',1),('red',17,'en','node_search',1),('reefs',2,'ar','node_search',1),('reefs',2,'en','node_search',1),('refero',48,'en','node_search',2),('referred',23,'ar','node_search',1),('referred',23,'en','node_search',1),('refoveo',48,'en','node_search',2),('region',21,'ar','node_search',1),('region',21,'en','node_search',1),('regional',21,'ar','node_search',1),('regional',21,'en','node_search',1),('register',13,'ar','node_search',1),('register',13,'en','node_search',1),('register',16,'ar','node_search',25.8844),('register',16,'en','node_search',26.0552),('register',17,'ar','node_search',1),('register',17,'en','node_search',1),('register',34,'ar','node_search',1),('register',34,'en','node_search',1),('register',36,'ar','node_search',7.92726),('register',36,'en','node_search',7.90352),('registered',13,'ar','node_search',1),('registered',13,'en','node_search',1),('registered',34,'ar','node_search',1),('registered',34,'en','node_search',1),('registers',17,'ar','node_search',1),('registers',17,'en','node_search',1),('registrar',16,'ar','node_search',1),('registrar',16,'en','node_search',1),('registrar',34,'ar','node_search',1),('registrar',34,'en','node_search',1),('regulation',21,'ar','node_search',1),('regulation',21,'en','node_search',1),('related',21,'ar','node_search',1),('related',21,'en','node_search',1),('relative',29,'ar','node_search',1),('relative',29,'en','node_search',1),('relax',2,'ar','node_search',1),('relax',2,'en','node_search',1),('relax',32,'ar','node_search',1),('relax',32,'en','node_search',1),('relaxed',7,'ar','node_search',1),('relaxed',7,'en','node_search',1),('released',13,'ar','node_search',1),('released',13,'en','node_search',1),('remains',11,'ar','node_search',0.976851),('remains',11,'en','node_search',0.976851),('remains',31,'ar','node_search',1),('remains',31,'en','node_search',1),('remote',22,'ar','node_search',1),('remote',22,'en','node_search',1),('renaissance',24,'ar','node_search',27),('renaissance',24,'en','node_search',27),('reply',16,'ar','node_search',0.784336),('reply',16,'en','node_search',0.78951),('report',24,'ar','node_search',1),('report',24,'en','node_search',1),('reports',19,'ar','node_search',1),('reports',19,'en','node_search',1),('research',14,'ar','node_search',1),('research',14,'en','node_search',1),('research',15,'ar','node_search',2),('research',15,'en','node_search',2),('research',35,'ar','node_search',1),('research',35,'en','node_search',1),('resource',33,'ar','node_search',1),('resource',33,'en','node_search',1),('responsible',21,'ar','node_search',1),('responsible',21,'en','node_search',1),('result',29,'ar','node_search',0.980874),('result',29,'en','node_search',0.980874),('return',13,'ar','node_search',1),('return',13,'en','node_search',1),('return',24,'ar','node_search',1),('return',24,'en','node_search',1),('return',49,'en','node_search',1),('returned',23,'ar','node_search',1),('returned',23,'en','node_search',1),('returns',23,'ar','node_search',27),('returns',23,'en','node_search',27),('returns',24,'ar','node_search',27),('returns',24,'en','node_search',27),('reveal',11,'ar','node_search',1),('reveal',11,'en','node_search',1),('rhoncus',1,'ar','node_search',4.22856),('rhoncus',1,'en','node_search',4.22856),('rhoncus',4,'ar','node_search',1.37828),('rhoncus',4,'en','node_search',1.38225),('rhoncus',5,'ar','node_search',1.44357),('rhoncus',5,'en','node_search',1.44357),('rhoncus',6,'ar','node_search',1.89945),('rhoncus',6,'en','node_search',1.89945),('rhoncus',7,'ar','node_search',0.786915),('rhoncus',7,'en','node_search',0.786915),('rhoncus',8,'ar','node_search',1.85532),('rhoncus',8,'en','node_search',1.85532),('rhoncus',9,'ar','node_search',0.703756),('rhoncus',9,'en','node_search',0.703756),('rhoncus',10,'ar','node_search',1.62396),('rhoncus',10,'en','node_search',1.62396),('rhoncus',12,'ar','node_search',0.920273),('rhoncus',12,'en','node_search',0.920273),('rhoncus',13,'ar','node_search',0.824901),('rhoncus',13,'en','node_search',0.824901),('rhoncus',14,'ar','node_search',1.77191),('rhoncus',14,'en','node_search',1.77191),('rhoncus',16,'ar','node_search',1.74029),('rhoncus',16,'en','node_search',1.74029),('rhoncus',17,'ar','node_search',1.51376),('rhoncus',17,'en','node_search',1.51376),('rhoncus',18,'ar','node_search',1.94583),('rhoncus',18,'en','node_search',1.94583),('rhoncus',20,'ar','node_search',1.75863),('rhoncus',20,'en','node_search',1.75863),('rhoncus',22,'ar','node_search',1),('rhoncus',22,'en','node_search',1),('rhoncus',23,'ar','node_search',0.76188),('rhoncus',23,'en','node_search',0.76188),('rhoncus',24,'ar','node_search',0.722831),('rhoncus',24,'en','node_search',0.722831),('rhoncus',25,'ar','node_search',1.84832),('rhoncus',25,'en','node_search',1.84832),('rhoncus',27,'ar','node_search',1.67494),('rhoncus',27,'en','node_search',1.67494),('rhoncus',28,'ar','node_search',1.55873),('rhoncus',28,'en','node_search',1.55873),('rhoncus',29,'ar','node_search',1.40055),('rhoncus',29,'en','node_search',1.40055),('rhoncus',30,'ar','node_search',0.813674),('rhoncus',30,'en','node_search',0.813674),('rhoncus',32,'ar','node_search',1),('rhoncus',32,'en','node_search',1),('rhoncus',33,'ar','node_search',0.957226),('rhoncus',33,'en','node_search',0.957226),('rhoncus',34,'ar','node_search',1.8861),('rhoncus',34,'en','node_search',1.8861),('rhoncus',35,'ar','node_search',0.886095),('rhoncus',35,'en','node_search',0.886095),('rhoncus',36,'ar','node_search',0.749958),('rhoncus',36,'en','node_search',0.749958),('rhoncus',38,'en','node_search',2.24326),('ride',17,'ar','node_search',27),('ride',17,'en','node_search',27),('ridiculus',2,'ar','node_search',0.819249),('ridiculus',2,'en','node_search',0.822065),('ridiculus',3,'ar','node_search',0.836446),('ridiculus',3,'en','node_search',0.836446),('ridiculus',6,'ar','node_search',0.766757),('ridiculus',6,'en','node_search',0.766757),('ridiculus',8,'ar','node_search',1),('ridiculus',8,'en','node_search',1),('ridiculus',28,'ar','node_search',1),('ridiculus',28,'en','node_search',1),('ridiculus',38,'en','node_search',0.784336),('right',3,'ar','node_search',1),('right',3,'en','node_search',1),('right',11,'ar','node_search',27),('right',11,'en','node_search',27),('right',15,'ar','node_search',1),('right',15,'en','node_search',1),('right',35,'ar','node_search',27),('right',35,'en','node_search',27),('right',49,'en','node_search',19),('rim',3,'ar','node_search',1),('rim',3,'en','node_search',1),('rising',3,'ar','node_search',1),('rising',3,'en','node_search',1),('risus',1,'ar','node_search',0.819249),('risus',1,'en','node_search',0.819249),('risus',2,'ar','node_search',0.691597),('risus',2,'en','node_search',0.693594),('risus',3,'ar','node_search',0.640063),('risus',3,'en','node_search',0.640063),('risus',4,'ar','node_search',0.712106),('risus',4,'en','node_search',0.714225),('risus',5,'ar','node_search',3.38754),('risus',5,'en','node_search',3.38754),('risus',6,'ar','node_search',1),('risus',6,'en','node_search',1),('risus',7,'ar','node_search',0.931053),('risus',7,'en','node_search',0.931053),('risus',8,'ar','node_search',4),('risus',8,'en','node_search',4),('risus',9,'ar','node_search',0.854391),('risus',9,'en','node_search',0.854391),('risus',10,'ar','node_search',0.781775),('risus',10,'en','node_search',0.781775),('risus',11,'ar','node_search',0.676032),('risus',11,'en','node_search',0.676032),('risus',12,'ar','node_search',1.8249),('risus',12,'en','node_search',1.8249),('risus',13,'ar','node_search',2.70688),('risus',13,'en','node_search',2.70688),('risus',14,'ar','node_search',3.77377),('risus',14,'en','node_search',3.77377),('risus',16,'ar','node_search',3.74286),('risus',16,'en','node_search',3.748),('risus',17,'ar','node_search',2.70447),('risus',17,'en','node_search',2.70447),('risus',18,'ar','node_search',0.882818),('risus',18,'en','node_search',0.882818),('risus',19,'ar','node_search',0.794753),('risus',19,'en','node_search',0.794753),('risus',20,'ar','node_search',1),('risus',20,'en','node_search',1),('risus',21,'ar','node_search',1),('risus',21,'en','node_search',1),('risus',22,'ar','node_search',1),('risus',22,'en','node_search',1),('risus',23,'ar','node_search',0.906287),('risus',23,'en','node_search',0.906287),('risus',24,'ar','node_search',1.7717),('risus',24,'en','node_search',1.7717),('risus',25,'ar','node_search',2.68463),('risus',25,'en','node_search',2.68463),('risus',26,'ar','node_search',4.64127),('risus',26,'en','node_search',4.64127),('risus',27,'ar','node_search',0.747619),('risus',27,'en','node_search',0.747619),('risus',28,'ar','node_search',3.74038),('risus',28,'en','node_search',3.74038),('risus',29,'ar','node_search',0.857458),('risus',29,'en','node_search',0.857458),('risus',31,'ar','node_search',1.55002),('risus',31,'en','node_search',1.55002),('risus',32,'ar','node_search',0.842342),('risus',32,'en','node_search',0.842342),('risus',34,'ar','node_search',1),('risus',34,'en','node_search',1),('risus',36,'ar','node_search',1),('risus',36,'en','node_search',1),('risus',38,'en','node_search',2.70583),('river',3,'ar','node_search',1),('river',3,'en','node_search',1),('river',6,'ar','node_search',1),('river',6,'en','node_search',1),('rivers',4,'ar','node_search',1),('rivers',4,'en','node_search',1),('road',6,'ar','node_search',1),('road',6,'en','node_search',1),('road',7,'ar','node_search',2),('road',7,'en','node_search',2),('roared',3,'ar','node_search',0.920273),('roared',3,'en','node_search',0.920273),('rocky',2,'ar','node_search',1),('rocky',2,'en','node_search',1),('rooted',31,'ar','node_search',1),('rooted',31,'en','node_search',1),('roto',48,'en','node_search',2),('rouge',9,'ar','node_search',1),('rouge',9,'en','node_search',1),('rounded',5,'ar','node_search',1),('rounded',5,'en','node_search',1),('row',2,'ar','node_search',1),('row',2,'en','node_search',1),('royal',16,'ar','node_search',1),('royal',16,'en','node_search',1),('run',10,'ar','node_search',1),('run',10,'en','node_search',1),('run',30,'ar','node_search',1),('run',30,'en','node_search',1),('runners',28,'ar','node_search',31),('runners',28,'en','node_search',31),('runners',49,'en','node_search',15.3867),('runs',31,'ar','node_search',1),('runs',31,'en','node_search',1),('russia',31,'ar','node_search',28),('russia',31,'en','node_search',28),('russia',49,'en','node_search',19),('rusticus',48,'en','node_search',1),('rutrum',1,'ar','node_search',1.7064),('rutrum',1,'en','node_search',1.7064),('rutrum',2,'ar','node_search',3.05326),('rutrum',2,'en','node_search',3.06304),('rutrum',3,'ar','node_search',2.98295),('rutrum',3,'en','node_search',2.98295),('rutrum',4,'ar','node_search',1.44271),('rutrum',4,'en','node_search',1.44708),('rutrum',5,'ar','node_search',2.60528),('rutrum',5,'en','node_search',2.60528),('rutrum',6,'ar','node_search',3.13301),('rutrum',6,'en','node_search',3.13301),('rutrum',7,'ar','node_search',0.913226),('rutrum',7,'en','node_search',0.913226),('rutrum',8,'ar','node_search',1),('rutrum',8,'en','node_search',1),('rutrum',9,'ar','node_search',0.833529),('rutrum',9,'en','node_search',0.833529),('rutrum',10,'ar','node_search',1.69345),('rutrum',10,'en','node_search',1.69345),('rutrum',11,'ar','node_search',1.49434),('rutrum',11,'en','node_search',1.49434),('rutrum',12,'ar','node_search',2.84548),('rutrum',12,'en','node_search',2.84548),('rutrum',13,'ar','node_search',0.854391),('rutrum',13,'en','node_search',0.854391),('rutrum',14,'ar','node_search',1),('rutrum',14,'en','node_search',1),('rutrum',15,'ar','node_search',1.79279),('rutrum',15,'en','node_search',1.79279),('rutrum',16,'ar','node_search',1.80547),('rutrum',16,'en','node_search',1.80547),('rutrum',17,'ar','node_search',1.56168),('rutrum',17,'en','node_search',1.56168),('rutrum',18,'ar','node_search',0.953396),('rutrum',18,'en','node_search',0.953396),('rutrum',19,'ar','node_search',0.757065),('rutrum',19,'en','node_search',0.757065),('rutrum',20,'ar','node_search',0.784336),('rutrum',20,'en','node_search',0.784336),('rutrum',22,'ar','node_search',2.77476),('rutrum',22,'en','node_search',2.77476),('rutrum',23,'ar','node_search',0.827757),('rutrum',23,'en','node_search',0.827757),('rutrum',24,'ar','node_search',1.67739),('rutrum',24,'en','node_search',1.67739),('rutrum',25,'ar','node_search',1.57129),('rutrum',25,'en','node_search',1.57129),('rutrum',26,'ar','node_search',1.82217),('rutrum',26,'en','node_search',1.82217),('rutrum',27,'ar','node_search',0.784336),('rutrum',27,'en','node_search',0.784336),('rutrum',28,'ar','node_search',0.957226),('rutrum',28,'en','node_search',0.957226),('rutrum',29,'ar','node_search',2.24191),('rutrum',29,'en','node_search',2.24191),('rutrum',31,'ar','node_search',1.47537),('rutrum',31,'en','node_search',1.47537),('rutrum',32,'ar','node_search',1.68502),('rutrum',32,'en','node_search',1.68502),('rutrum',34,'ar','node_search',1.73772),('rutrum',34,'en','node_search',1.73772),('rutrum',36,'ar','node_search',1.97286),('rutrum',36,'en','node_search',1.97286),('rutrum',38,'en','node_search',2.45112),('sadipscing',38,'en','node_search',0.876337),('sagittis',1,'ar','node_search',2.64065),('sagittis',1,'en','node_search',2.64065),('sagittis',4,'ar','node_search',1.75161),('sagittis',4,'en','node_search',1.75807),('sagittis',7,'ar','node_search',1.6628),('sagittis',7,'en','node_search',1.6628),('sagittis',9,'ar','node_search',1.50177),('sagittis',9,'en','node_search',1.50177),('sagittis',10,'ar','node_search',1.85439),('sagittis',10,'en','node_search',1.85439),('sagittis',11,'ar','node_search',1.66723),('sagittis',11,'en','node_search',1.66723),('sagittis',12,'ar','node_search',3.54336),('sagittis',12,'en','node_search',3.54336),('sagittis',13,'ar','node_search',1.71414),('sagittis',13,'en','node_search',1.71414),('sagittis',14,'ar','node_search',1.84234),('sagittis',14,'en','node_search',1.84234),('sagittis',15,'ar','node_search',0.909743),('sagittis',15,'en','node_search',0.909743),('sagittis',16,'ar','node_search',1.88282),('sagittis',16,'en','node_search',1.88282),('sagittis',17,'ar','node_search',1.71259),('sagittis',17,'en','node_search',1.71259),('sagittis',19,'ar','node_search',1.68971),('sagittis',19,'en','node_search',1.68971),('sagittis',20,'ar','node_search',0.896076),('sagittis',20,'en','node_search',0.896076),('sagittis',21,'ar','node_search',0.740689),('sagittis',21,'en','node_search',0.740689),('sagittis',23,'ar','node_search',0.738408),('sagittis',23,'en','node_search',0.738408),('sagittis',24,'ar','node_search',1.58104),('sagittis',24,'en','node_search',1.58104),('sagittis',25,'ar','node_search',0.879565),('sagittis',25,'en','node_search',0.879565),('sagittis',27,'ar','node_search',2.62116),('sagittis',27,'en','node_search',2.62116),('sagittis',29,'ar','node_search',1.41003),('sagittis',29,'en','node_search',1.41003),('sagittis',30,'ar','node_search',2.39639),('sagittis',30,'en','node_search',2.39639),('sagittis',31,'ar','node_search',0.759465),('sagittis',31,'en','node_search',0.759465),('sagittis',32,'ar','node_search',1.79475),('sagittis',32,'en','node_search',1.79475),('sagittis',33,'ar','node_search',1.99315),('sagittis',33,'en','node_search',1.99315),('sagittis',34,'ar','node_search',1),('sagittis',34,'en','node_search',1),('sagittis',35,'ar','node_search',1.90576),('sagittis',35,'en','node_search',1.90576),('sagittis',36,'ar','node_search',1.51907),('sagittis',36,'en','node_search',1.51907),('sagittis',38,'en','node_search',5.82424),('said',1,'ar','node_search',1),('said',1,'en','node_search',1),('said',6,'ar','node_search',1),('said',6,'en','node_search',1),('said',9,'ar','node_search',1),('said',9,'en','node_search',1),('said',10,'ar','node_search',1),('said',10,'en','node_search',1),('said',19,'ar','node_search',1),('said',19,'en','node_search',1),('said',23,'ar','node_search',1),('said',23,'en','node_search',1),('sailing',4,'ar','node_search',1),('sailing',4,'en','node_search',1),('sale',22,'ar','node_search',1),('sale',22,'en','node_search',1),('sale',24,'ar','node_search',1),('sale',24,'en','node_search',1),('saltzberg',20,'ar','node_search',1),('saltzberg',20,'en','node_search',1),('saluto',48,'en','node_search',1.83621),('san',2,'ar','node_search',30),('san',2,'en','node_search',30),('sanctus',38,'en','node_search',3.85212),('sand',2,'ar','node_search',1),('sand',2,'en','node_search',1),('sand',4,'ar','node_search',2.96109),('sand',4,'en','node_search',2.96498),('sandy',2,'ar','node_search',1),('sandy',2,'en','node_search',1),('sapien',1,'ar','node_search',1.61627),('sapien',1,'en','node_search',1.61627),('sapien',2,'ar','node_search',2.54769),('sapien',2,'en','node_search',2.55271),('sapien',3,'ar','node_search',1.52668),('sapien',3,'en','node_search',1.52668),('sapien',4,'ar','node_search',1.40928),('sapien',4,'en','node_search',1.41343),('sapien',5,'ar','node_search',0.786915),('sapien',5,'en','node_search',0.786915),('sapien',6,'ar','node_search',3.29212),('sapien',6,'en','node_search',3.29212),('sapien',7,'ar','node_search',0.833529),('sapien',7,'en','node_search',0.833529),('sapien',8,'ar','node_search',1.95723),('sapien',8,'en','node_search',1.95723),('sapien',9,'ar','node_search',0.745294),('sapien',9,'en','node_search',0.745294),('sapien',11,'ar','node_search',0.816452),('sapien',11,'en','node_search',0.816452),('sapien',12,'ar','node_search',1),('sapien',12,'en','node_search',1),('sapien',13,'ar','node_search',1.84599),('sapien',13,'en','node_search',1.84599),('sapien',16,'ar','node_search',2),('sapien',16,'en','node_search',2),('sapien',17,'ar','node_search',1.87957),('sapien',17,'en','node_search',1.87957),('sapien',18,'ar','node_search',0.931053),('sapien',18,'en','node_search',0.931053),('sapien',19,'ar','node_search',2.73083),('sapien',19,'en','node_search',2.73083),('sapien',21,'ar','node_search',1.5363),('sapien',21,'en','node_search',1.5363),('sapien',24,'ar','node_search',0.899454),('sapien',24,'en','node_search',0.899454),('sapien',26,'ar','node_search',1.81092),('sapien',26,'en','node_search',1.81092),('sapien',27,'ar','node_search',1.77923),('sapien',27,'en','node_search',1.77923),('sapien',28,'ar','node_search',1.72034),('sapien',28,'en','node_search',1.72034),('sapien',29,'ar','node_search',1.43942),('sapien',29,'en','node_search',1.43942),('sapien',30,'ar','node_search',1.57989),('sapien',30,'en','node_search',1.57989),('sapien',31,'ar','node_search',0.769219),('sapien',31,'en','node_search',0.769219),('sapien',32,'ar','node_search',0.800068),('sapien',32,'en','node_search',0.800068),('sapien',33,'ar','node_search',1),('sapien',33,'en','node_search',1),('sapien',34,'ar','node_search',0.857458),('sapien',34,'en','node_search',0.857458),('sapien',35,'ar','node_search',1),('sapien',35,'en','node_search',1),('sapien',36,'ar','node_search',0.769219),('sapien',36,'en','node_search',0.769219),('sapien',38,'en','node_search',3.16266),('saturday',11,'ar','node_search',1),('saturday',11,'en','node_search',1),('saudi',25,'ar','node_search',1),('saudi',25,'en','node_search',1),('saw',3,'ar','node_search',0.896076),('saw',3,'en','node_search',0.896076),('say',1,'ar','node_search',1),('say',1,'en','node_search',1),('saying',1,'ar','node_search',1),('saying',1,'en','node_search',1),('says',7,'ar','node_search',1),('says',7,'en','node_search',1),('says',31,'ar','node_search',2),('says',31,'en','node_search',2),('scanned',13,'ar','node_search',1),('scanned',13,'en','node_search',1),('scanner',21,'ar','node_search',27),('scanner',21,'en','node_search',27),('scelerisque',1,'ar','node_search',1.75189),('scelerisque',1,'en','node_search',1.75189),('scelerisque',4,'ar','node_search',0.771698),('scelerisque',4,'en','node_search',0.774192),('scelerisque',5,'ar','node_search',1.63743),('scelerisque',5,'en','node_search',1.63743),('scelerisque',7,'ar','node_search',1.80465),('scelerisque',7,'en','node_search',1.80465),('scelerisque',9,'ar','node_search',1.64958),('scelerisque',9,'en','node_search',1.64958),('scelerisque',11,'ar','node_search',0.923838),('scelerisque',11,'en','node_search',0.923838),('scelerisque',12,'ar','node_search',2.72979),('scelerisque',12,'en','node_search',2.72979),('scelerisque',13,'ar','node_search',1.83645),('scelerisque',13,'en','node_search',1.83645),('scelerisque',14,'ar','node_search',0.976851),('scelerisque',14,'en','node_search',0.976851),('scelerisque',15,'ar','node_search',1.90286),('scelerisque',15,'en','node_search',1.90286),('scelerisque',16,'ar','node_search',1.74286),('scelerisque',16,'en','node_search',1.748),('scelerisque',17,'ar','node_search',0.824901),('scelerisque',17,'en','node_search',0.824901),('scelerisque',18,'ar','node_search',0.98493),('scelerisque',18,'en','node_search',0.98493),('scelerisque',19,'ar','node_search',1),('scelerisque',19,'en','node_search',1),('scelerisque',20,'ar','node_search',1),('scelerisque',20,'en','node_search',1),('scelerisque',21,'ar','node_search',0.794753),('scelerisque',21,'en','node_search',0.794753),('scelerisque',22,'ar','node_search',1.98902),('scelerisque',22,'en','node_search',1.98902),('scelerisque',25,'ar','node_search',1.78178),('scelerisque',25,'en','node_search',1.78178),('scelerisque',26,'ar','node_search',0.892724),('scelerisque',26,'en','node_search',0.892724),('scelerisque',27,'ar','node_search',2.64697),('scelerisque',27,'en','node_search',2.64697),('scelerisque',29,'ar','node_search',0.842342),('scelerisque',29,'en','node_search',0.842342),('scelerisque',30,'ar','node_search',1.50018),('scelerisque',30,'en','node_search',1.50018),('scelerisque',32,'ar','node_search',0.827757),('scelerisque',32,'en','node_search',0.827757),('scelerisque',33,'ar','node_search',0.961087),('scelerisque',33,'en','node_search',0.961087),('scelerisque',34,'ar','node_search',1),('scelerisque',34,'en','node_search',1),('scelerisque',35,'ar','node_search',0.889397),('scelerisque',35,'en','node_search',0.889397),('scelerisque',36,'ar','node_search',1.70718),('scelerisque',36,'en','node_search',1.70718),('scelerisque',38,'en','node_search',0.725015),('scenario',17,'ar','node_search',1),('scenario',17,'en','node_search',1),('schedule',30,'ar','node_search',1),('schedule',30,'en','node_search',1),('school',1,'ar','node_search',1),('school',1,'en','node_search',1),('school',9,'ar','node_search',1),('school',9,'en','node_search',1),('school',11,'ar','node_search',1),('school',11,'en','node_search',1),('schoolbooks',3,'ar','node_search',1),('schoolbooks',3,'en','node_search',1),('schools',11,'ar','node_search',27),('schools',11,'en','node_search',27),('schoolteachers',1,'ar','node_search',1),('schoolteachers',1,'en','node_search',1),('schurrle',25,'ar','node_search',1),('schurrle',25,'en','node_search',1),('schurrle',49,'en','node_search',1),('science',20,'ar','node_search',29),('science',20,'en','node_search',29),('scientists',20,'ar','node_search',2),('scientists',20,'en','node_search',2),('scisco',48,'en','node_search',1.7001),('score',25,'ar','node_search',1),('score',25,'en','node_search',1),('score',49,'en','node_search',0.989021),('scored',1,'ar','node_search',1),('scored',1,'en','node_search',1),('scuba',4,'ar','node_search',0.938382),('scuba',4,'en','node_search',0.942091),('sculpture',19,'ar','node_search',1),('sculpture',19,'en','node_search',1),('sea',2,'ar','node_search',1),('sea',2,'en','node_search',1),('sea',11,'ar','node_search',1),('sea',11,'en','node_search',1),('sea',38,'en','node_search',3.85212),('search',17,'ar','node_search',2),('search',17,'en','node_search',2),('seat',2,'ar','node_search',1),('seat',2,'en','node_search',1),('seating',30,'ar','node_search',0.989021),('seating',30,'en','node_search',0.989021),('secluded',4,'ar','node_search',0.993146),('secluded',4,'en','node_search',0.997306),('second',19,'ar','node_search',1),('second',19,'en','node_search',1),('secondary',1,'ar','node_search',2),('secondary',1,'en','node_search',2),('secondhand',17,'ar','node_search',1),('secondhand',17,'en','node_search',1),('secrets',27,'ar','node_search',1),('secrets',27,'en','node_search',1),('section',33,'ar','node_search',1),('section',33,'en','node_search',1),('secundum',48,'en','node_search',1.88282),('securities',17,'ar','node_search',1),('securities',17,'en','node_search',1),('sed',1,'ar','node_search',6.9006),('sed',1,'en','node_search',6.9006),('sed',2,'ar','node_search',5.35442),('sed',2,'en','node_search',5.37172),('sed',3,'ar','node_search',4.24963),('sed',3,'en','node_search',4.24963),('sed',4,'ar','node_search',5.8097),('sed',4,'en','node_search',5.8274),('sed',5,'ar','node_search',4.75585),('sed',5,'en','node_search',4.75585),('sed',6,'ar','node_search',7.64351),('sed',6,'en','node_search',7.64351),('sed',7,'ar','node_search',5.22424),('sed',7,'en','node_search',5.22424),('sed',8,'ar','node_search',3.92384),('sed',8,'en','node_search',3.92384),('sed',9,'ar','node_search',3.81327),('sed',9,'en','node_search',3.81327),('sed',10,'ar','node_search',0.923838),('sed',10,'en','node_search',0.923838),('sed',11,'ar','node_search',3.33986),('sed',11,'en','node_search',3.33986),('sed',12,'ar','node_search',9.16868),('sed',12,'en','node_search',9.16868),('sed',13,'ar','node_search',5.35932),('sed',13,'en','node_search',5.35932),('sed',14,'ar','node_search',4.6117),('sed',14,'en','node_search',4.6117),('sed',15,'ar','node_search',4.48506),('sed',15,'en','node_search',4.48506),('sed',16,'ar','node_search',6.47688),('sed',16,'en','node_search',6.48202),('sed',17,'ar','node_search',5.05202),('sed',17,'en','node_search',5.05202),('sed',18,'ar','node_search',5.41813),('sed',18,'en','node_search',5.41813),('sed',19,'ar','node_search',8.92701),('sed',19,'en','node_search',8.92701),('sed',20,'ar','node_search',3.79717),('sed',20,'en','node_search',3.79717),('sed',21,'ar','node_search',7.89771),('sed',21,'en','node_search',7.89771),('sed',22,'ar','node_search',6.00304),('sed',22,'en','node_search',6.00304),('sed',23,'ar','node_search',0.810915),('sed',23,'en','node_search',0.810915),('sed',24,'ar','node_search',3.72048),('sed',24,'en','node_search',3.72048),('sed',25,'ar','node_search',6.21447),('sed',25,'en','node_search',6.21447),('sed',26,'ar','node_search',8.11929),('sed',26,'en','node_search',8.11929),('sed',27,'ar','node_search',5.95644),('sed',27,'en','node_search',5.95644),('sed',28,'ar','node_search',3.43797),('sed',28,'en','node_search',3.43797),('sed',29,'ar','node_search',2.73106),('sed',29,'en','node_search',2.73106),('sed',30,'ar','node_search',4.91087),('sed',30,'en','node_search',4.91087),('sed',31,'ar','node_search',6.09111),('sed',31,'en','node_search',6.09111),('sed',32,'ar','node_search',3.59357),('sed',32,'en','node_search',3.59357),('sed',33,'ar','node_search',4.13401),('sed',33,'en','node_search',4.13401),('sed',34,'ar','node_search',4.82217),('sed',34,'en','node_search',4.82217),('sed',35,'ar','node_search',3.86657),('sed',35,'en','node_search',3.86657),('sed',36,'ar','node_search',3.81367),('sed',36,'en','node_search',3.81367),('sed',38,'en','node_search',15.5189),('sed',48,'en','node_search',0.98493),('see',12,'ar','node_search',1),('see',12,'en','node_search',1),('see',26,'ar','node_search',1),('see',26,'en','node_search',1),('see',36,'ar','node_search',1),('see',36,'en','node_search',1),('see',49,'en','node_search',1.82206),('seems',3,'ar','node_search',1),('seems',3,'en','node_search',1),('seen',3,'ar','node_search',0.942091),('seen',3,'en','node_search',0.942091),('seen',29,'ar','node_search',1),('seen',29,'en','node_search',1),('selection',33,'ar','node_search',1),('selection',33,'en','node_search',1),('sell',17,'ar','node_search',1),('sell',17,'en','node_search',1),('seller',17,'ar','node_search',1),('seller',17,'en','node_search',1),('sellers',33,'ar','node_search',1),('sellers',33,'en','node_search',1),('selling',33,'ar','node_search',1),('selling',33,'en','node_search',1),('sem',1,'ar','node_search',0.754681),('sem',1,'en','node_search',0.754681),('sem',2,'ar','node_search',2.31429),('sem',2,'en','node_search',2.32194),('sem',3,'ar','node_search',1.28712),('sem',3,'en','node_search',1.28712),('sem',4,'ar','node_search',1.52804),('sem',4,'en','node_search',1.53298),('sem',5,'ar','node_search',1.65742),('sem',5,'en','node_search',1.65742),('sem',6,'ar','node_search',1.8144),('sem',6,'en','node_search',1.8144),('sem',7,'ar','node_search',2),('sem',7,'en','node_search',2),('sem',8,'ar','node_search',1),('sem',8,'en','node_search',1),('sem',10,'ar','node_search',1.72883),('sem',10,'en','node_search',1.72883),('sem',11,'ar','node_search',3.74127),('sem',11,'en','node_search',3.74127),('sem',12,'ar','node_search',2.88282),('sem',12,'en','node_search',2.88282),('sem',13,'ar','node_search',1.79475),('sem',13,'en','node_search',1.79475),('sem',14,'ar','node_search',1.86366),('sem',14,'en','node_search',1.86366),('sem',15,'ar','node_search',3.54093),('sem',15,'en','node_search',3.54093),('sem',16,'ar','node_search',0.876337),('sem',16,'en','node_search',0.876337),('sem',17,'ar','node_search',0.76188),('sem',17,'en','node_search',0.76188),('sem',18,'ar','node_search',1.81162),('sem',18,'en','node_search',1.81162),('sem',19,'ar','node_search',1.50516),('sem',19,'en','node_search',1.50516),('sem',20,'ar','node_search',0.879565),('sem',20,'en','node_search',0.879565),('sem',21,'ar','node_search',0.931053),('sem',21,'en','node_search',0.931053),('sem',24,'ar','node_search',1.77929),('sem',24,'en','node_search',1.77929),('sem',25,'ar','node_search',1.70714),('sem',25,'en','node_search',1.70714),('sem',26,'ar','node_search',1.8861),('sem',26,'en','node_search',1.8861),('sem',27,'ar','node_search',0.876337),('sem',27,'en','node_search',0.876337),('sem',28,'ar','node_search',1),('sem',28,'en','node_search',1),('sem',29,'ar','node_search',0.759465),('sem',29,'en','node_search',0.759465),('sem',30,'ar','node_search',1.51453),('sem',30,'en','node_search',1.51453),('sem',31,'ar','node_search',1.53089),('sem',31,'en','node_search',1.53089),('sem',32,'ar','node_search',0.876337),('sem',32,'en','node_search',0.876337),('sem',33,'ar','node_search',1.76028),('sem',33,'en','node_search',1.76028),('sem',34,'ar','node_search',1.84532),('sem',34,'en','node_search',1.84532),('sem',35,'ar','node_search',1.63923),('sem',35,'en','node_search',1.63923),('sem',36,'ar','node_search',1.74069),('sem',36,'en','node_search',1.74069),('sem',38,'en','node_search',3.65202),('seminyak',22,'ar','node_search',1),('seminyak',22,'en','node_search',1),('semper',1,'ar','node_search',2.19817),('semper',1,'en','node_search',2.19817),('semper',2,'ar','node_search',1.58736),('semper',2,'en','node_search',1.59269),('semper',3,'ar','node_search',0.677939),('semper',3,'en','node_search',0.677939),('semper',4,'ar','node_search',0.909743),('semper',4,'en','node_search',0.913226),('semper',5,'ar','node_search',0.860547),('semper',5,'en','node_search',0.860547),('semper',6,'ar','node_search',0.808176),('semper',6,'en','node_search',0.808176),('semper',10,'ar','node_search',1),('semper',10,'en','node_search',1),('semper',12,'ar','node_search',1.94583),('semper',12,'en','node_search',1.94583),('semper',15,'ar','node_search',1),('semper',15,'en','node_search',1),('semper',16,'ar','node_search',0.824901),('semper',16,'en','node_search',0.824901),('semper',17,'ar','node_search',0.722831),('semper',17,'en','node_search',0.722831),('semper',18,'ar','node_search',0.938382),('semper',18,'en','node_search',0.938382),('semper',19,'ar','node_search',1),('semper',19,'en','node_search',1),('semper',20,'ar','node_search',0.797402),('semper',20,'en','node_search',0.797402),('semper',21,'ar','node_search',0.792123),('semper',21,'en','node_search',0.792123),('semper',22,'ar','node_search',0.842342),('semper',22,'en','node_search',0.842342),('semper',23,'ar','node_search',0.889397),('semper',23,'en','node_search',0.889397),('semper',24,'ar','node_search',0.766757),('semper',24,'en','node_search',0.766757),('semper',25,'ar','node_search',0.805455),('semper',25,'en','node_search',0.805455),('semper',26,'ar','node_search',0.851346),('semper',26,'en','node_search',0.851346),('semper',27,'ar','node_search',1.59783),('semper',27,'en','node_search',1.59783),('semper',29,'ar','node_search',1.42636),('semper',29,'en','node_search',1.42636),('semper',31,'ar','node_search',0.699655),('semper',31,'en','node_search',0.699655),('semper',32,'ar','node_search',0.886095),('semper',32,'en','node_search',0.886095),('semper',34,'ar','node_search',0.906287),('semper',34,'en','node_search',0.906287),('semper',36,'ar','node_search',1),('semper',36,'en','node_search',1),('semper',38,'en','node_search',3.493),('senectus',18,'ar','node_search',0.833529),('senectus',18,'en','node_search',0.833529),('senectus',21,'ar','node_search',0.869951),('senectus',21,'en','node_search',0.869951),('sense',32,'ar','node_search',1),('sense',32,'en','node_search',1),('sentences',27,'ar','node_search',1),('sentences',27,'en','node_search',1),('sergio',19,'ar','node_search',1),('sergio',19,'en','node_search',1),('set',9,'ar','node_search',1),('set',9,'en','node_search',1),('set',24,'ar','node_search',1),('set',24,'en','node_search',1),('set',28,'ar','node_search',1),('set',28,'en','node_search',1),('settles',17,'ar','node_search',1),('settles',17,'en','node_search',1),('seven',9,'ar','node_search',1),('seven',9,'en','node_search',1),('seven',25,'ar','node_search',1),('seven',25,'en','node_search',1),('several',15,'ar','node_search',1),('several',15,'en','node_search',1),('several',20,'ar','node_search',1),('several',20,'en','node_search',1),('shape',3,'ar','node_search',1),('shape',3,'en','node_search',1),('shape',36,'ar','node_search',1),('shape',36,'en','node_search',1),('share',18,'ar','node_search',1),('share',18,'en','node_search',1),('share',27,'ar','node_search',1),('share',27,'en','node_search',1),('shareholders',24,'ar','node_search',1),('shareholders',24,'en','node_search',1),('shark',3,'ar','node_search',0.968904),('shark',3,'en','node_search',0.968904),('sharper',29,'ar','node_search',1),('sharper',29,'en','node_search',1),('she',9,'ar','node_search',1),('she',9,'en','node_search',1),('she',30,'ar','node_search',2),('she',30,'en','node_search',2),('sheer',9,'ar','node_search',1),('sheer',9,'en','node_search',1),('sheets',9,'ar','node_search',1),('sheets',9,'en','node_search',1),('shell',16,'ar','node_search',1),('shell',16,'en','node_search',1),('shield',11,'ar','node_search',1),('shield',11,'en','node_search',1),('shift',35,'ar','node_search',1),('shift',35,'en','node_search',1),('shipping',19,'ar','node_search',28),('shipping',19,'en','node_search',28),('shirt',25,'ar','node_search',1),('shirt',25,'en','node_search',1),('shoes',3,'ar','node_search',1),('shoes',3,'en','node_search',1),('shopping',22,'ar','node_search',1),('shopping',22,'en','node_search',1),('shopping',46,'en','node_search',27),('shopping',49,'en','node_search',19),('shoppingcartfull',35,'ar','node_search',1),('shoppingcartfull',35,'en','node_search',1),('short',6,'ar','node_search',1),('short',6,'en','node_search',1),('shorter',7,'ar','node_search',1),('shorter',7,'en','node_search',1),('shorts',5,'ar','node_search',1),('shorts',5,'en','node_search',1),('shot',6,'ar','node_search',1),('shot',6,'en','node_search',1),('should',21,'ar','node_search',1),('should',21,'en','node_search',1),('should',30,'ar','node_search',1),('should',30,'en','node_search',1),('show',6,'ar','node_search',1),('show',6,'en','node_search',1),('show',30,'ar','node_search',1),('show',30,'en','node_search',1),('show',31,'ar','node_search',1),('show',31,'en','node_search',1),('show',32,'ar','node_search',1),('show',32,'en','node_search',1),('showcase',49,'en','node_search',19),('shows',20,'ar','node_search',28),('shows',20,'en','node_search',28),('sides',28,'ar','node_search',1),('sides',28,'en','node_search',1),('sienese',24,'ar','node_search',1),('sienese',24,'en','node_search',1),('sienese',49,'en','node_search',1),('sight',22,'ar','node_search',1),('sight',22,'en','node_search',1),('sign',30,'ar','node_search',1),('sign',30,'en','node_search',1),('signed',28,'ar','node_search',27),('signed',28,'en','node_search',27),('signed',49,'en','node_search',14.4457),('signup',28,'ar','node_search',1),('signup',28,'en','node_search',1),('similar',1,'ar','node_search',1),('similar',1,'en','node_search',1),('simple',5,'ar','node_search',1),('simple',5,'en','node_search',1),('simple',36,'ar','node_search',1),('simple',36,'en','node_search',1),('simpler',32,'ar','node_search',1),('simpler',32,'en','node_search',1),('simplified',34,'ar','node_search',1),('simplified',34,'en','node_search',1),('simplified',49,'en','node_search',1),('simply',2,'ar','node_search',1),('simply',2,'en','node_search',1),('since',23,'ar','node_search',1),('since',23,'en','node_search',1),('since',25,'ar','node_search',1),('since',25,'en','node_search',1),('since',33,'ar','node_search',1),('since',33,'en','node_search',1),('sincere',27,'ar','node_search',1),('sincere',27,'en','node_search',1),('singapore',1,'ar','node_search',1),('singapore',1,'en','node_search',1),('singularis',48,'en','node_search',27.9973),('sino',48,'en','node_search',3.60683),('sint',38,'en','node_search',2.80988),('sip',35,'ar','node_search',27),('sip',35,'en','node_search',27),('sip',49,'en','node_search',19),('sit',1,'ar','node_search',4.42795),('sit',1,'en','node_search',4.42795),('sit',2,'ar','node_search',3.11019),('sit',2,'en','node_search',3.12041),('sit',3,'ar','node_search',2.1197),('sit',3,'en','node_search',2.1197),('sit',4,'ar','node_search',4.55452),('sit',4,'en','node_search',4.56911),('sit',5,'ar','node_search',0.747619),('sit',5,'en','node_search',0.747619),('sit',6,'ar','node_search',4.28618),('sit',6,'en','node_search',4.28618),('sit',7,'ar','node_search',1.62805),('sit',7,'en','node_search',1.62805),('sit',8,'ar','node_search',1.90629),('sit',8,'en','node_search',1.90629),('sit',9,'ar','node_search',1.4579),('sit',9,'en','node_search',1.4579),('sit',10,'ar','node_search',3.01939),('sit',10,'en','node_search',3.01939),('sit',11,'ar','node_search',2.5246),('sit',11,'en','node_search',2.5246),('sit',12,'ar','node_search',2.8941),('sit',12,'en','node_search',2.8941),('sit',13,'ar','node_search',4.79776),('sit',13,'en','node_search',4.79776),('sit',14,'ar','node_search',5.55166),('sit',14,'en','node_search',5.55166),('sit',15,'ar','node_search',1),('sit',15,'en','node_search',1),('sit',16,'ar','node_search',23.7908),('sit',16,'en','node_search',23.9287),('sit',17,'ar','node_search',2.52242),('sit',17,'en','node_search',2.52242),('sit',18,'ar','node_search',7.47555),('sit',18,'en','node_search',7.47555),('sit',19,'ar','node_search',2.4865),('sit',19,'en','node_search',2.4865),('sit',20,'ar','node_search',1.79585),('sit',20,'en','node_search',1.79585),('sit',21,'ar','node_search',3.17339),('sit',21,'en','node_search',3.17339),('sit',22,'ar','node_search',1.82776),('sit',22,'en','node_search',1.82776),('sit',23,'ar','node_search',1.61703),('sit',23,'en','node_search',1.61703),('sit',24,'ar','node_search',2.42528),('sit',24,'en','node_search',2.42528),('sit',25,'ar','node_search',4.2224),('sit',25,'en','node_search',4.2224),('sit',26,'ar','node_search',1.79212),('sit',26,'en','node_search',1.79212),('sit',27,'ar','node_search',0.792123),('sit',27,'en','node_search',0.792123),('sit',28,'ar','node_search',1.76431),('sit',28,'en','node_search',1.76431),('sit',29,'ar','node_search',1.31654),('sit',29,'en','node_search',1.31654),('sit',30,'ar','node_search',3.26362),('sit',30,'en','node_search',3.26362),('sit',31,'ar','node_search',3.35654),('sit',31,'en','node_search',3.35654),('sit',32,'ar','node_search',5.17104),('sit',32,'en','node_search',5.17104),('sit',33,'ar','node_search',3.77705),('sit',33,'en','node_search',3.77705),('sit',34,'ar','node_search',2.77823),('sit',34,'en','node_search',2.77823),('sit',35,'ar','node_search',3.55676),('sit',35,'en','node_search',3.55676),('sit',36,'ar','node_search',4.24532),('sit',36,'en','node_search',4.24532),('sit',38,'en','node_search',13.0371),('site',33,'ar','node_search',1),('site',33,'en','node_search',1),('sites',3,'ar','node_search',0.949597),('sites',3,'en','node_search',0.949597),('situated',4,'ar','node_search',1),('situated',4,'en','node_search',1),('situation',29,'ar','node_search',1),('situation',29,'en','node_search',1),('six',30,'ar','node_search',1),('six',30,'en','node_search',1),('size',10,'ar','node_search',1),('size',10,'en','node_search',1),('sizes',10,'ar','node_search',1),('sizes',10,'en','node_search',1),('skinny',3,'ar','node_search',1),('skinny',3,'en','node_search',1),('skirt',5,'ar','node_search',1),('skirt',5,'en','node_search',1),('sky',2,'ar','node_search',1),('sky',2,'en','node_search',1),('slim',35,'ar','node_search',27),('slim',35,'en','node_search',27),('slim',49,'en','node_search',19),('slow',18,'ar','node_search',1),('slow',18,'en','node_search',1),('slowly',32,'ar','node_search',1),('slowly',32,'en','node_search',1),('slurping',22,'ar','node_search',1),('slurping',22,'en','node_search',1),('small',17,'ar','node_search',1),('small',17,'en','node_search',1),('small',23,'ar','node_search',28),('small',23,'en','node_search',28),('smallerscale',1,'ar','node_search',1),('smallerscale',1,'en','node_search',1),('snapping',3,'ar','node_search',0.931053),('snapping',3,'en','node_search',0.931053),('social',10,'ar','node_search',1),('social',10,'en','node_search',1),('social',11,'ar','node_search',0.98493),('social',11,'en','node_search',0.98493),('society',1,'ar','node_search',2),('society',1,'en','node_search',2),('sociis',2,'ar','node_search',0.842342),('sociis',2,'en','node_search',0.845322),('sociis',3,'ar','node_search',0.860547),('sociis',3,'en','node_search',0.860547),('sociis',6,'ar','node_search',0.786915),('sociis',6,'en','node_search',0.786915),('sociis',8,'ar','node_search',1),('sociis',8,'en','node_search',1),('sociis',28,'ar','node_search',1),('sociis',28,'en','node_search',1),('sociis',38,'en','node_search',0.805455),('sociosqu',8,'ar','node_search',0.889397),('sociosqu',8,'en','node_search',0.889397),('sociosqu',23,'ar','node_search',0.942091),('sociosqu',23,'en','node_search',0.942091),('sociosqu',24,'ar','node_search',0.794753),('sociosqu',24,'en','node_search',0.794753),('sociosqu',26,'ar','node_search',1),('sociosqu',26,'en','node_search',1),('sociosqu',27,'ar','node_search',0.771698),('sociosqu',27,'en','node_search',0.771698),('sociosqu',28,'ar','node_search',0.752312),('sociosqu',28,'en','node_search',0.752312),('sociosqu',31,'ar','node_search',0.72066),('sociosqu',31,'en','node_search',0.72066),('sociosqu',36,'ar','node_search',1.63257),('sociosqu',36,'en','node_search',1.6304),('sodales',4,'ar','node_search',2.34643),('sodales',4,'en','node_search',2.35418),('sodales',5,'ar','node_search',2.35517),('sodales',5,'en','node_search',2.35517),('sodales',6,'ar','node_search',0.96498),('sodales',6,'en','node_search',0.96498),('sodales',8,'ar','node_search',1),('sodales',8,'en','node_search',1),('sodales',13,'ar','node_search',1.9689),('sodales',13,'en','node_search',1.9689),('sodales',14,'ar','node_search',0.882818),('sodales',14,'en','node_search',0.882818),('sodales',16,'ar','node_search',1),('sodales',16,'en','node_search',1),('sodales',17,'ar','node_search',1),('sodales',17,'en','node_search',1),('sodales',19,'ar','node_search',0.805455),('sodales',19,'en','node_search',0.805455),('sodales',21,'ar','node_search',0.693594),('sodales',21,'en','node_search',0.693594),('sodales',22,'ar','node_search',2.85746),('sodales',22,'en','node_search',2.85746),('sodales',23,'ar','node_search',0.71),('sodales',23,'en','node_search',0.71),('sodales',24,'ar','node_search',0.693594),('sodales',24,'en','node_search',0.693594),('sodales',25,'ar','node_search',0.934703),('sodales',25,'en','node_search',0.934703),('sodales',26,'ar','node_search',2.65559),('sodales',26,'en','node_search',2.65559),('sodales',27,'ar','node_search',0.989021),('sodales',27,'en','node_search',0.989021),('sodales',28,'ar','node_search',0.993146),('sodales',28,'en','node_search',0.993146),('sodales',30,'ar','node_search',2.22813),('sodales',30,'en','node_search',2.22813),('sodales',31,'ar','node_search',0.866793),('sodales',31,'en','node_search',0.866793),('sodales',32,'ar','node_search',0.786915),('sodales',32,'en','node_search',0.786915),('sodales',33,'ar','node_search',1.80275),('sodales',33,'en','node_search',1.80275),('sodales',34,'ar','node_search',0.816452),('sodales',34,'en','node_search',0.816452),('sodales',35,'ar','node_search',1.69814),('sodales',35,'en','node_search',1.69814),('sodales',36,'ar','node_search',2.3515),('sodales',36,'en','node_search',2.34933),('sodales',38,'en','node_search',2.15224),('sold',24,'ar','node_search',1),('sold',24,'en','node_search',1),('sollicitudin',1,'ar','node_search',1.49864),('sollicitudin',1,'en','node_search',1.49864),('sollicitudin',2,'ar','node_search',0.742984),('sollicitudin',2,'en','node_search',0.745294),('sollicitudin',3,'ar','node_search',0.707906),('sollicitudin',3,'en','node_search',0.707906),('sollicitudin',4,'ar','node_search',0.725015),('sollicitudin',4,'en','node_search',0.727213),('sollicitudin',5,'ar','node_search',1.78178),('sollicitudin',5,'en','node_search',1.78178),('sollicitudin',6,'ar','node_search',0.731649),('sollicitudin',6,'en','node_search',0.731649),('sollicitudin',7,'ar','node_search',2.77419),('sollicitudin',7,'en','node_search',2.77419),('sollicitudin',8,'ar','node_search',0.953396),('sollicitudin',8,'en','node_search',0.953396),('sollicitudin',9,'ar','node_search',1.64301),('sollicitudin',9,'en','node_search',1.64301),('sollicitudin',10,'ar','node_search',1.77492),('sollicitudin',10,'en','node_search',1.77492),('sollicitudin',13,'ar','node_search',1.8249),('sollicitudin',13,'en','node_search',1.8249),('sollicitudin',15,'ar','node_search',0.830633),('sollicitudin',15,'en','node_search',0.830633),('sollicitudin',16,'ar','node_search',0.927431),('sollicitudin',16,'en','node_search',0.927431),('sollicitudin',17,'ar','node_search',0.800068),('sollicitudin',17,'en','node_search',0.800068),('sollicitudin',20,'ar','node_search',0.997306),('sollicitudin',20,'en','node_search',0.997306),('sollicitudin',22,'ar','node_search',1),('sollicitudin',22,'en','node_search',1),('sollicitudin',25,'ar','node_search',0.784336),('sollicitudin',25,'en','node_search',0.784336),('sollicitudin',26,'ar','node_search',1.77316),('sollicitudin',26,'en','node_search',1.77316),('sollicitudin',27,'ar','node_search',1),('sollicitudin',27,'en','node_search',1),('sollicitudin',28,'ar','node_search',0.797402),('sollicitudin',28,'en','node_search',0.797402),('sollicitudin',29,'ar','node_search',1.40464),('sollicitudin',29,'en','node_search',1.40464),('sollicitudin',30,'ar','node_search',1.52135),('sollicitudin',30,'en','node_search',1.52135),('sollicitudin',32,'ar','node_search',0.845322),('sollicitudin',32,'en','node_search',0.845322),('sollicitudin',33,'ar','node_search',1),('sollicitudin',33,'en','node_search',1),('sollicitudin',34,'ar','node_search',1),('sollicitudin',34,'en','node_search',1),('sollicitudin',35,'ar','node_search',0.923838),('sollicitudin',35,'en','node_search',0.923838),('sollicitudin',36,'ar','node_search',1.75468),('sollicitudin',36,'en','node_search',1.75468),('sollicitudin',38,'en','node_search',0.697623),('solve',9,'ar','node_search',1),('solve',9,'en','node_search',1),('some',5,'ar','node_search',1),('some',5,'en','node_search',1),('some',9,'ar','node_search',1),('some',9,'en','node_search',1),('some',20,'ar','node_search',1),('some',20,'en','node_search',1),('some',30,'ar','node_search',1.99315),('some',30,'en','node_search',1.99315),('someone',29,'ar','node_search',2),('someone',29,'en','node_search',2),('something',5,'ar','node_search',1),('something',5,'en','node_search',1),('sometimes',27,'ar','node_search',1),('sometimes',27,'en','node_search',1),('sometimes',29,'ar','node_search',1),('sometimes',29,'en','node_search',1),('son',9,'ar','node_search',0.980874),('son',9,'en','node_search',0.980874),('son',30,'ar','node_search',1),('son',30,'en','node_search',1),('sonia',36,'ar','node_search',2),('sonia',36,'en','node_search',2),('soon',15,'ar','node_search',1),('soon',15,'en','node_search',1),('sorted',17,'ar','node_search',1),('sorted',17,'en','node_search',1),('sotheby',24,'ar','node_search',1),('sotheby',24,'en','node_search',1),('source',29,'ar','node_search',0.96498),('source',29,'en','node_search',0.96498),('south',1,'ar','node_search',1),('south',1,'en','node_search',1),('south',28,'ar','node_search',1),('south',28,'en','node_search',1),('spain',23,'ar','node_search',29),('spain',23,'en','node_search',29),('spanish',23,'ar','node_search',1),('spanish',23,'en','node_search',1),('spanning',23,'ar','node_search',1),('spanning',23,'en','node_search',1),('sparkling',4,'ar','node_search',0.997306),('sparkling',4,'en','node_search',1),('special',23,'ar','node_search',1),('special',23,'en','node_search',1),('specific',36,'ar','node_search',1),('specific',36,'en','node_search',1),('spectacular',4,'ar','node_search',1),('spectacular',4,'en','node_search',1),('speech',31,'ar','node_search',1),('speech',31,'en','node_search',1),('speeds',4,'ar','node_search',0.942091),('speeds',4,'en','node_search',0.945829),('spend',2,'ar','node_search',1),('spend',2,'en','node_search',1),('spend',32,'ar','node_search',1),('spend',32,'en','node_search',1),('spending',11,'ar','node_search',1),('spending',11,'en','node_search',1),('spending',22,'ar','node_search',1),('spending',22,'en','node_search',1),('spends',17,'ar','node_search',1),('spends',17,'en','node_search',1),('spiderman',20,'ar','node_search',1),('spiderman',20,'en','node_search',1),('splashed',11,'ar','node_search',1),('splashed',11,'en','node_search',1),('spoiled',4,'ar','node_search',1),('spoiled',4,'en','node_search',1),('spoliated',24,'ar','node_search',1),('spoliated',24,'en','node_search',1),('spoliated',49,'en','node_search',1),('spoliation',24,'ar','node_search',2),('spoliation',24,'en','node_search',2),('sport',5,'ar','node_search',27),('sport',5,'en','node_search',27),('sport',7,'ar','node_search',28),('sport',7,'en','node_search',28),('sports',7,'ar','node_search',1),('sports',7,'en','node_search',1),('sports',49,'en','node_search',11),('sportsday',25,'ar','node_search',27),('sportsday',25,'en','node_search',27),('sportsday',49,'en','node_search',20),('spot',2,'ar','node_search',1),('spot',2,'en','node_search',1),('spread',21,'ar','node_search',2),('spread',21,'en','node_search',2),('springs',9,'ar','node_search',1),('springs',9,'en','node_search',1),('stamps',23,'ar','node_search',1),('stamps',23,'en','node_search',1),('standard',18,'ar','node_search',1),('standard',18,'en','node_search',1),('standards',9,'ar','node_search',1),('standards',9,'en','node_search',1),('star',30,'ar','node_search',1),('star',30,'en','node_search',1),('start',28,'ar','node_search',1),('start',28,'en','node_search',1),('starting',9,'ar','node_search',1),('starting',9,'en','node_search',1),('stash',19,'ar','node_search',1),('stash',19,'en','node_search',1),('state',9,'ar','node_search',1),('state',9,'en','node_search',1),('state',11,'ar','node_search',1),('state',11,'en','node_search',1),('stateeducated',11,'ar','node_search',1),('stateeducated',11,'en','node_search',1),('statement',5,'ar','node_search',1),('statement',5,'en','node_search',1),('states',9,'ar','node_search',1),('states',9,'en','node_search',1),('states',21,'ar','node_search',1),('states',21,'en','node_search',1),('static',11,'ar','node_search',0.968904),('static',11,'en','node_search',0.968904),('status',13,'ar','node_search',27),('status',13,'en','node_search',27),('steering',30,'ar','node_search',1),('steering',30,'en','node_search',1),('steps',9,'ar','node_search',1),('steps',9,'en','node_search',1),('stereotypical',3,'ar','node_search',1),('stereotypical',3,'en','node_search',1),('stet',38,'en','node_search',2.94583),('sticks',3,'ar','node_search',1),('sticks',3,'en','node_search',1),('still',3,'ar','node_search',1),('still',3,'en','node_search',1),('still',11,'ar','node_search',1),('still',11,'en','node_search',1),('still',17,'ar','node_search',1),('still',17,'en','node_search',1),('stones',23,'ar','node_search',1),('stones',23,'en','node_search',1),('store',35,'ar','node_search',1),('store',35,'en','node_search',1),('stormy',11,'ar','node_search',1),('stormy',11,'en','node_search',1),('story',20,'ar','node_search',1),('story',20,'en','node_search',1),('story',33,'ar','node_search',1),('story',33,'en','node_search',1),('stouter',7,'ar','node_search',1),('stouter',7,'en','node_search',1),('straight',6,'ar','node_search',1),('straight',6,'en','node_search',1),('strategic',36,'ar','node_search',1),('strategic',36,'en','node_search',1),('street',11,'ar','node_search',1),('street',11,'en','node_search',1),('streets',28,'ar','node_search',1),('streets',28,'en','node_search',1),('streets',49,'en','node_search',0.876337),('stress',30,'ar','node_search',30),('stress',30,'en','node_search',30),('stress',32,'ar','node_search',28),('stress',32,'en','node_search',28),('stress',49,'en','node_search',32.7687),('stressfree',30,'ar','node_search',1),('stressfree',30,'en','node_search',1),('stroll',12,'ar','node_search',1),('stroll',12,'en','node_search',1),('stubbornly',11,'ar','node_search',0.972861),('stubbornly',11,'en','node_search',0.972861),('students',11,'ar','node_search',1),('students',11,'en','node_search',1),('studied',23,'ar','node_search',1),('studied',23,'en','node_search',1),('studies',18,'ar','node_search',1),('studies',18,'en','node_search',1),('study',15,'ar','node_search',27),('study',15,'en','node_search',27),('study',32,'ar','node_search',1),('study',32,'en','node_search',1),('stuff',35,'ar','node_search',1),('stuff',35,'en','node_search',1),('stumbling',9,'ar','node_search',27),('stumbling',9,'en','node_search',27),('stylish',5,'ar','node_search',1),('stylish',5,'en','node_search',1),('stylista',5,'ar','node_search',1),('stylista',5,'en','node_search',1),('submitted',16,'ar','node_search',2.37429),('submitted',16,'en','node_search',2.3846),('submitted',34,'ar','node_search',1),('submitted',34,'en','node_search',1),('submitted',36,'ar','node_search',0.733888),('submitted',36,'en','node_search',0.733888),('suburb',9,'ar','node_search',1),('suburb',9,'en','node_search',1),('such',19,'ar','node_search',1),('such',19,'en','node_search',1),('sudo',48,'en','node_search',1),('suffered',15,'ar','node_search',1),('suffered',15,'en','node_search',1),('sugar',29,'ar','node_search',2.9185),('sugar',29,'en','node_search',2.9185),('suggesting',35,'ar','node_search',1),('suggesting',35,'en','node_search',1),('suite',30,'ar','node_search',1),('suite',30,'en','node_search',1),('summer',26,'ar','node_search',1),('summer',26,'en','node_search',1),('summing',15,'ar','node_search',1),('summing',15,'en','node_search',1),('sun',1,'en','node_search',1),('sun',2,'ar','node_search',1),('sun',2,'en','node_search',2),('sun',3,'en','node_search',1),('sun',4,'ar','node_search',1),('sun',4,'en','node_search',2),('sun',5,'en','node_search',1),('sun',6,'en','node_search',1),('sun',7,'en','node_search',1),('sun',8,'en','node_search',1),('sun',9,'en','node_search',1),('sun',10,'en','node_search',1),('sun',11,'en','node_search',1),('sun',12,'en','node_search',1),('sun',13,'en','node_search',1),('sun',14,'en','node_search',1),('sun',15,'en','node_search',1),('sun',16,'ar','node_search',2.37157),('sun',16,'en','node_search',3.38188),('sun',17,'en','node_search',1),('sun',18,'en','node_search',1),('sun',19,'en','node_search',1),('sun',20,'en','node_search',1),('sun',21,'en','node_search',1),('sun',22,'en','node_search',1),('sun',23,'en','node_search',1),('sun',24,'en','node_search',1),('sun',25,'en','node_search',1),('sun',26,'en','node_search',1),('sun',27,'en','node_search',1),('sun',28,'en','node_search',1),('sun',29,'en','node_search',1),('sun',30,'en','node_search',1),('sun',31,'en','node_search',1),('sun',32,'en','node_search',1),('sun',33,'en','node_search',1),('sun',34,'en','node_search',1),('sun',35,'en','node_search',1),('sun',36,'en','node_search',1),('sun',38,'en','node_search',1),('sun',40,'en','node_search',1),('sun',41,'en','node_search',1),('sun',42,'en','node_search',1),('sun',43,'en','node_search',1),('sun',44,'en','node_search',1),('sun',45,'en','node_search',1),('sun',46,'en','node_search',1),('sun',47,'en','node_search',1),('sun',49,'en','node_search',1),('sunning',3,'ar','node_search',0.96498),('sunning',3,'en','node_search',0.96498),('sunny',26,'ar','node_search',1),('sunny',26,'en','node_search',1),('sunny',49,'en','node_search',0.802752),('sunshine',2,'ar','node_search',1),('sunshine',2,'en','node_search',1),('sunt',38,'en','node_search',2.78942),('supermodel',10,'ar','node_search',1),('supermodel',10,'en','node_search',1),('sure',2,'ar','node_search',1),('sure',2,'en','node_search',1),('surf',2,'ar','node_search',1),('surf',2,'en','node_search',1),('surface',3,'ar','node_search',0.957226),('surface',3,'en','node_search',0.957226),('surfers',2,'ar','node_search',1),('surfers',2,'en','node_search',1),('surfing',4,'ar','node_search',1),('surfing',4,'en','node_search',1),('surprised',3,'ar','node_search',1),('surprised',3,'en','node_search',1),('surrounded',4,'ar','node_search',1),('surrounded',4,'en','node_search',1),('survey',1,'ar','node_search',30),('survey',1,'en','node_search',30),('survivor',15,'ar','node_search',1),('survivor',15,'en','node_search',1),('suscipere',48,'en','node_search',0.949597),('suscipit',1,'ar','node_search',2.68064),('suscipit',1,'en','node_search',2.68064),('suscipit',2,'ar','node_search',0.866793),('suscipit',2,'en','node_search',0.869951),('suscipit',4,'ar','node_search',0.78951),('suscipit',4,'en','node_search',0.792123),('suscipit',5,'ar','node_search',1.68085),('suscipit',5,'en','node_search',1.68085),('suscipit',6,'ar','node_search',0.802752),('suscipit',6,'en','node_search',0.802752),('suscipit',8,'ar','node_search',3),('suscipit',8,'en','node_search',3),('suscipit',10,'ar','node_search',0.800068),('suscipit',10,'en','node_search',0.800068),('suscipit',11,'ar','node_search',1.56797),('suscipit',11,'en','node_search',1.56797),('suscipit',12,'ar','node_search',3.58416),('suscipit',12,'en','node_search',3.58416),('suscipit',14,'ar','node_search',1),('suscipit',14,'en','node_search',1),('suscipit',15,'ar','node_search',1.6529),('suscipit',15,'en','node_search',1.6529),('suscipit',16,'ar','node_search',2.461),('suscipit',16,'en','node_search',2.4661),('suscipit',17,'ar','node_search',1.47006),('suscipit',17,'en','node_search',1.47006),('suscipit',20,'ar','node_search',1.66724),('suscipit',20,'en','node_search',1.66724),('suscipit',26,'ar','node_search',3.68324),('suscipit',26,'en','node_search',3.68324),('suscipit',27,'ar','node_search',0.824901),('suscipit',27,'en','node_search',0.824901),('suscipit',28,'ar','node_search',2.57168),('suscipit',28,'en','node_search',2.57168),('suscipit',29,'ar','node_search',1.49152),('suscipit',29,'en','node_search',1.49152),('suscipit',30,'ar','node_search',2.42037),('suscipit',30,'en','node_search',2.42037),('suscipit',32,'ar','node_search',0.816452),('suscipit',32,'en','node_search',0.816452),('suscipit',33,'ar','node_search',2.6642),('suscipit',33,'en','node_search',2.6642),('suscipit',34,'ar','node_search',2.77073),('suscipit',34,'en','node_search',2.77073),('suscipit',35,'ar','node_search',2.55597),('suscipit',35,'en','node_search',2.55597),('suscipit',36,'ar','node_search',0.794753),('suscipit',36,'en','node_search',0.794753),('suscipit',38,'en','node_search',4.87481),('suspect',19,'ar','node_search',1),('suspect',19,'en','node_search',1),('suspendisse',2,'ar','node_search',1.70292),('suspendisse',2,'en','node_search',1.70904),('suspendisse',3,'ar','node_search',0.810915),('suspendisse',3,'en','node_search',0.810915),('suspendisse',4,'ar','node_search',0.736141),('suspendisse',4,'en','node_search',0.738408),('suspendisse',5,'ar','node_search',3.36452),('suspendisse',5,'en','node_search',3.36452),('suspendisse',6,'ar','node_search',1.58153),('suspendisse',6,'en','node_search',1.58153),('suspendisse',7,'ar','node_search',2.84279),('suspendisse',7,'en','node_search',2.84279),('suspendisse',8,'ar','node_search',2.99731),('suspendisse',8,'en','node_search',2.99731),('suspendisse',9,'ar','node_search',1.68725),('suspendisse',9,'en','node_search',1.68725),('suspendisse',10,'ar','node_search',0.797402),('suspendisse',10,'en','node_search',0.797402),('suspendisse',11,'ar','node_search',0.797402),('suspendisse',11,'en','node_search',0.797402),('suspendisse',12,'ar','node_search',1),('suspendisse',12,'en','node_search',1),('suspendisse',13,'ar','node_search',2),('suspendisse',13,'en','node_search',2),('suspendisse',14,'ar','node_search',0.822065),('suspendisse',14,'en','node_search',0.822065),('suspendisse',15,'ar','node_search',0.882818),('suspendisse',15,'en','node_search',0.882818),('suspendisse',18,'ar','node_search',1),('suspendisse',18,'en','node_search',1),('suspendisse',22,'ar','node_search',1.7734),('suspendisse',22,'en','node_search',1.7734),('suspendisse',23,'ar','node_search',0.714225),('suspendisse',23,'en','node_search',0.714225),('suspendisse',24,'ar','node_search',0.697623),('suspendisse',24,'en','node_search',0.697623),('suspendisse',25,'ar','node_search',1.61441),('suspendisse',25,'en','node_search',1.61441),('suspendisse',26,'ar','node_search',3.60425),('suspendisse',26,'en','node_search',3.60425),('suspendisse',27,'ar','node_search',1.79212),('suspendisse',27,'en','node_search',1.79212),('suspendisse',28,'ar','node_search',2.80062),('suspendisse',28,'en','node_search',2.80062),('suspendisse',30,'ar','node_search',0.689612),('suspendisse',30,'en','node_search',0.689612),('suspendisse',32,'ar','node_search',1.80638),('suspendisse',32,'en','node_search',1.80638),('suspendisse',34,'ar','node_search',1.68886),('suspendisse',34,'en','node_search',1.68886),('suspendisse',36,'ar','node_search',1),('suspendisse',36,'en','node_search',1),('suspendisse',38,'en','node_search',1.6956),('sweden',1,'ar','node_search',1),('sweden',1,'en','node_search',1),('sweet',4,'ar','node_search',1),('sweet',4,'en','node_search',1),('swept',32,'ar','node_search',1),('swept',32,'en','node_search',1),('swim',4,'ar','node_search',1),('swim',4,'en','node_search',1),('swipe',36,'ar','node_search',1),('swipe',36,'en','node_search',1),('sword',11,'ar','node_search',1),('sword',11,'en','node_search',1),('syra',49,'en','node_search',0.873132),('syracuse',28,'ar','node_search',30),('syracuse',28,'en','node_search',30),('syracuse',49,'en','node_search',15.2807),('tables',30,'ar','node_search',0.993146),('tables',30,'en','node_search',0.993146),('taciti',8,'ar','node_search',0.892724),('taciti',8,'en','node_search',0.892724),('taciti',23,'ar','node_search',0.945829),('taciti',23,'en','node_search',0.945829),('taciti',24,'ar','node_search',0.797402),('taciti',24,'en','node_search',0.797402),('taciti',26,'ar','node_search',1),('taciti',26,'en','node_search',1),('taciti',27,'ar','node_search',0.774192),('taciti',27,'en','node_search',0.774192),('taciti',28,'ar','node_search',0.754681),('taciti',28,'en','node_search',0.754681),('taciti',31,'ar','node_search',0.722831),('taciti',31,'en','node_search',0.722831),('taciti',36,'ar','node_search',1.63606),('taciti',36,'en','node_search',1.63389),('tacky',22,'ar','node_search',1),('tacky',22,'en','node_search',1),('take',17,'ar','node_search',1),('take',17,'en','node_search',1),('take',28,'ar','node_search',2),('take',28,'en','node_search',2),('take',49,'en','node_search',0.882818),('taken',17,'ar','node_search',27),('taken',17,'en','node_search',27),('takes',17,'ar','node_search',1),('takes',17,'en','node_search',1),('takimata',38,'en','node_search',3.85212),('taking',12,'ar','node_search',1),('taking',12,'en','node_search',1),('talented',11,'ar','node_search',1),('talented',11,'en','node_search',1),('tamen',48,'en','node_search',1.85135),('taste',12,'ar','node_search',27),('taste',12,'en','node_search',27),('tation',38,'en','node_search',2.47502),('tation',48,'en','node_search',3.80582),('taxes',19,'ar','node_search',1),('taxes',19,'en','node_search',1),('taylor',5,'ar','node_search',1),('taylor',5,'en','node_search',1),('tea',35,'ar','node_search',34),('tea',35,'en','node_search',34),('tea',49,'en','node_search',19),('teachers',1,'ar','node_search',31),('teachers',1,'en','node_search',31),('teaching',1,'ar','node_search',1),('teaching',1,'en','node_search',1),('teaching',9,'ar','node_search',1),('teaching',9,'en','node_search',1),('teeter',30,'ar','node_search',1),('teeter',30,'en','node_search',1),('tego',48,'en','node_search',1.90974),('tellus',1,'ar','node_search',2.877),('tellus',1,'en','node_search',2.877),('tellus',2,'ar','node_search',2.51541),('tellus',2,'en','node_search',2.52023),('tellus',3,'ar','node_search',1.48574),('tellus',3,'en','node_search',1.48574),('tellus',5,'ar','node_search',1.87596),('tellus',5,'en','node_search',1.87596),('tellus',6,'ar','node_search',2.35003),('tellus',6,'en','node_search',2.35003),('tellus',7,'ar','node_search',1.66531),('tellus',7,'en','node_search',1.66531),('tellus',8,'ar','node_search',1.90629),('tellus',8,'en','node_search',1.90629),('tellus',9,'ar','node_search',1.49177),('tellus',9,'en','node_search',1.49177),('tellus',10,'ar','node_search',0.808176),('tellus',10,'en','node_search',0.808176),('tellus',11,'ar','node_search',1.55052),('tellus',11,'en','node_search',1.55052),('tellus',12,'ar','node_search',2.94991),('tellus',12,'en','node_search',2.94991),('tellus',13,'ar','node_search',2.7527),('tellus',13,'en','node_search',2.7527),('tellus',14,'ar','node_search',1),('tellus',14,'en','node_search',1),('tellus',15,'ar','node_search',0.845322),('tellus',15,'en','node_search',0.845322),('tellus',16,'ar','node_search',2),('tellus',16,'en','node_search',2),('tellus',17,'ar','node_search',1.77889),('tellus',17,'en','node_search',1.77889),('tellus',18,'ar','node_search',0.993146),('tellus',18,'en','node_search',0.993146),('tellus',19,'ar','node_search',0.863659),('tellus',19,'en','node_search',0.863659),('tellus',21,'ar','node_search',0.72066),('tellus',21,'en','node_search',0.72066),('tellus',22,'ar','node_search',0.816452),('tellus',22,'en','node_search',0.816452),('tellus',23,'ar','node_search',0.776703),('tellus',23,'en','node_search',0.776703),('tellus',24,'ar','node_search',0.736141),('tellus',24,'en','node_search',0.736141),('tellus',25,'ar','node_search',2.37649),('tellus',25,'en','node_search',2.37649),('tellus',26,'ar','node_search',2.79422),('tellus',26,'en','node_search',2.79422),('tellus',27,'ar','node_search',1.94209),('tellus',27,'en','node_search',1.94209),('tellus',28,'ar','node_search',1.62486),('tellus',28,'en','node_search',1.62486),('tellus',30,'ar','node_search',2.82608),('tellus',30,'en','node_search',2.82608),('tellus',31,'ar','node_search',0.96498),('tellus',31,'en','node_search',0.96498),('tellus',32,'ar','node_search',2.59146),('tellus',32,'en','node_search',2.59146),('tellus',33,'ar','node_search',1.72066),('tellus',33,'en','node_search',1.72066),('tellus',34,'ar','node_search',1.67002),('tellus',34,'en','node_search',1.67002),('tellus',35,'ar','node_search',1.60479),('tellus',35,'en','node_search',1.60479),('tellus',36,'ar','node_search',3.73841),('tellus',36,'en','node_search',3.73841),('tellus',38,'en','node_search',3.94027),('temperatures',2,'ar','node_search',1),('temperatures',2,'en','node_search',1),('tempor',1,'ar','node_search',1.71753),('tempor',1,'en','node_search',1.71753),('tempor',2,'ar','node_search',1.47992),('tempor',2,'en','node_search',1.48454),('tempor',3,'ar','node_search',1.43547),('tempor',3,'en','node_search',1.43547),('tempor',4,'ar','node_search',0.7017),('tempor',4,'en','node_search',0.703756),('tempor',5,'ar','node_search',1.89945),('tempor',5,'en','node_search',1.89945),('tempor',6,'ar','node_search',1.75946),('tempor',6,'en','node_search',1.75946),('tempor',7,'ar','node_search',0.857458),('tempor',7,'en','node_search',0.857458),('tempor',8,'ar','node_search',1),('tempor',8,'en','node_search',1),('tempor',9,'ar','node_search',0.771698),('tempor',9,'en','node_search',0.771698),('tempor',10,'ar','node_search',2.40222),('tempor',10,'en','node_search',2.40222),('tempor',11,'ar','node_search',0.733888),('tempor',11,'en','node_search',0.733888),('tempor',12,'ar','node_search',1.75763),('tempor',12,'en','node_search',1.75763),('tempor',14,'ar','node_search',1.84234),('tempor',14,'en','node_search',1.84234),('tempor',15,'ar','node_search',1),('tempor',15,'en','node_search',1),('tempor',19,'ar','node_search',4.02398),('tempor',19,'en','node_search',4.02398),('tempor',21,'ar','node_search',1.42973),('tempor',21,'en','node_search',1.42973),('tempor',23,'ar','node_search',0.729424),('tempor',23,'en','node_search',0.729424),('tempor',24,'ar','node_search',3.4606),('tempor',24,'en','node_search',3.4606),('tempor',25,'ar','node_search',0.866793),('tempor',25,'en','node_search',0.866793),('tempor',26,'ar','node_search',1.82593),('tempor',26,'en','node_search',1.82593),('tempor',27,'ar','node_search',1),('tempor',27,'en','node_search',1),('tempor',28,'ar','node_search',0.873132),('tempor',28,'en','node_search',0.873132),('tempor',29,'ar','node_search',2.19452),('tempor',29,'en','node_search',2.19452),('tempor',30,'ar','node_search',1.39168),('tempor',30,'en','node_search',1.39168),('tempor',31,'ar','node_search',3.23386),('tempor',31,'en','node_search',3.23386),('tempor',32,'ar','node_search',1),('tempor',32,'en','node_search',1),('tempor',33,'ar','node_search',0.836446),('tempor',33,'en','node_search',0.836446),('tempor',35,'ar','node_search',0.781775),('tempor',35,'en','node_search',0.781775),('tempor',38,'en','node_search',1.68291),('tempus',2,'ar','node_search',0.681785),('tempus',2,'en','node_search',0.683725),('tempus',3,'ar','node_search',0.63167),('tempus',3,'en','node_search',0.63167),('tempus',7,'ar','node_search',0.819249),('tempus',7,'en','node_search',0.819249),('tempus',9,'ar','node_search',0.731649),('tempus',9,'en','node_search',0.731649),('tempus',11,'ar','node_search',1.57034),('tempus',11,'en','node_search',1.57034),('tempus',12,'ar','node_search',1.98902),('tempus',12,'en','node_search',1.98902),('tempus',13,'ar','node_search',0.819249),('tempus',13,'en','node_search',0.819249),('tempus',14,'ar','node_search',2.95813),('tempus',14,'en','node_search',2.95813),('tempus',16,'ar','node_search',0.913226),('tempus',16,'en','node_search',0.913226),('tempus',17,'ar','node_search',0.78951),('tempus',17,'en','node_search',0.78951),('tempus',18,'ar','node_search',1),('tempus',18,'en','node_search',1),('tempus',19,'ar','node_search',0.819249),('tempus',19,'en','node_search',0.819249),('tempus',20,'ar','node_search',0.942091),('tempus',20,'en','node_search',0.942091),('tempus',21,'ar','node_search',0.699655),('tempus',21,'en','node_search',0.699655),('tempus',22,'ar','node_search',0.902857),('tempus',22,'en','node_search',0.902857),('tempus',25,'ar','node_search',2),('tempus',25,'en','node_search',2),('tempus',27,'ar','node_search',3.56133),('tempus',27,'en','node_search',3.56133),('tempus',29,'ar','node_search',0.683725),('tempus',29,'en','node_search',0.683725),('tempus',30,'ar','node_search',0.662985),('tempus',30,'en','node_search',0.662985),('tempus',31,'ar','node_search',0.889397),('tempus',31,'en','node_search',0.889397),('tempus',34,'ar','node_search',1.83353),('tempus',34,'en','node_search',1.83353),('tempus',36,'ar','node_search',0.830633),('tempus',36,'en','node_search',0.830633),('tempus',38,'en','node_search',3.17833),('tension',32,'ar','node_search',1),('tension',32,'en','node_search',1),('territory',30,'ar','node_search',1),('territory',30,'en','node_search',1),('testy',30,'ar','node_search',1),('testy',30,'en','node_search',1),('than',1,'ar','node_search',1),('than',1,'en','node_search',1),('than',6,'ar','node_search',2),('than',6,'en','node_search',2),('than',7,'ar','node_search',3),('than',7,'en','node_search',3),('than',9,'ar','node_search',1),('than',9,'en','node_search',1),('than',11,'ar','node_search',2),('than',11,'en','node_search',2),('than',17,'ar','node_search',1),('than',17,'en','node_search',1),('than',22,'ar','node_search',1),('than',22,'en','node_search',1),('than',25,'ar','node_search',2),('than',25,'en','node_search',2),('than',28,'ar','node_search',29),('than',28,'en','node_search',29),('than',29,'ar','node_search',2),('than',29,'en','node_search',2),('than',32,'ar','node_search',1),('than',32,'en','node_search',1),('than',49,'en','node_search',16.3434),('that',1,'ar','node_search',1),('that',1,'en','node_search',1),('that',2,'ar','node_search',1),('that',2,'en','node_search',1),('that',4,'ar','node_search',2),('that',4,'en','node_search',2),('that',6,'ar','node_search',1),('that',6,'en','node_search',1),('that',9,'ar','node_search',1),('that',9,'en','node_search',1),('that',10,'ar','node_search',1),('that',10,'en','node_search',1),('that',11,'ar','node_search',1),('that',11,'en','node_search',1),('that',13,'ar','node_search',1),('that',13,'en','node_search',1),('that',14,'ar','node_search',2),('that',14,'en','node_search',2),('that',18,'ar','node_search',3),('that',18,'en','node_search',3),('that',20,'ar','node_search',1),('that',20,'en','node_search',1),('that',21,'ar','node_search',1),('that',21,'en','node_search',1),('that',27,'ar','node_search',1),('that',27,'en','node_search',1),('that',29,'ar','node_search',2.9496),('that',29,'en','node_search',2.9496),('that',30,'ar','node_search',1),('that',30,'en','node_search',1),('that',32,'ar','node_search',1),('that',32,'en','node_search',1),('that',35,'ar','node_search',1),('that',35,'en','node_search',1),('that',36,'ar','node_search',2),('that',36,'en','node_search',2),('the',1,'ar','node_search',4),('the',1,'en','node_search',4),('the',2,'ar','node_search',37),('the',2,'en','node_search',37),('the',3,'ar','node_search',43.6067),('the',3,'en','node_search',43.6067),('the',4,'ar','node_search',14.8927),('the',4,'en','node_search',14.9003),('the',5,'ar','node_search',5),('the',5,'en','node_search',5),('the',6,'ar','node_search',7),('the',6,'en','node_search',7),('the',7,'ar','node_search',6),('the',7,'en','node_search',6),('the',9,'ar','node_search',8),('the',9,'en','node_search',8),('the',10,'ar','node_search',59),('the',10,'en','node_search',59),('the',11,'ar','node_search',36),('the',11,'en','node_search',36),('the',12,'ar','node_search',1),('the',12,'en','node_search',1),('the',13,'ar','node_search',9),('the',13,'en','node_search',9),('the',14,'ar','node_search',4),('the',14,'en','node_search',4),('the',15,'ar','node_search',3),('the',15,'en','node_search',3),('the',16,'ar','node_search',8.38426),('the',16,'en','node_search',8.4002),('the',17,'ar','node_search',9),('the',17,'en','node_search',9),('the',18,'ar','node_search',4),('the',18,'en','node_search',4),('the',19,'ar','node_search',9),('the',19,'en','node_search',9),('the',20,'ar','node_search',8),('the',20,'en','node_search',8),('the',21,'ar','node_search',10),('the',21,'en','node_search',10),('the',22,'ar','node_search',34),('the',22,'en','node_search',34),('the',23,'ar','node_search',11),('the',23,'en','node_search',11),('the',24,'ar','node_search',15),('the',24,'en','node_search',15),('the',25,'ar','node_search',4),('the',25,'en','node_search',4),('the',26,'ar','node_search',32),('the',26,'en','node_search',32),('the',27,'ar','node_search',29),('the',27,'en','node_search',29),('the',28,'ar','node_search',9),('the',28,'en','node_search',9),('the',29,'ar','node_search',37.9611),('the',29,'en','node_search',37.9611),('the',30,'ar','node_search',5),('the',30,'en','node_search',5),('the',31,'ar','node_search',6),('the',31,'en','node_search',6),('the',32,'ar','node_search',3),('the',32,'en','node_search',3),('the',33,'ar','node_search',29),('the',33,'en','node_search',29),('the',34,'ar','node_search',6),('the',34,'en','node_search',6),('the',35,'ar','node_search',33),('the',35,'en','node_search',33),('the',36,'ar','node_search',5),('the',36,'en','node_search',5),('the',49,'en','node_search',76.6332),('their',1,'ar','node_search',2),('their',1,'en','node_search',2),('their',3,'ar','node_search',4.75289),('their',3,'en','node_search',4.75289),('their',9,'ar','node_search',1.98493),('their',9,'en','node_search',1.98493),('their',10,'ar','node_search',3),('their',10,'en','node_search',3),('their',11,'ar','node_search',3),('their',11,'en','node_search',3),('their',27,'ar','node_search',3),('their',27,'en','node_search',3),('their',33,'ar','node_search',2),('their',33,'en','node_search',2),('them',2,'ar','node_search',1),('them',2,'en','node_search',1),('them',4,'ar','node_search',2),('them',4,'en','node_search',2),('themselves',10,'ar','node_search',1),('themselves',10,'en','node_search',1),('then',4,'ar','node_search',1),('then',4,'en','node_search',1),('then',10,'ar','node_search',1),('then',10,'en','node_search',1),('then',23,'ar','node_search',1),('then',23,'en','node_search',1),('theory',20,'ar','node_search',1),('theory',20,'en','node_search',1),('there',12,'ar','node_search',2),('there',12,'en','node_search',2),('there',22,'ar','node_search',2),('there',22,'en','node_search',2),('there',28,'ar','node_search',1),('there',28,'en','node_search',1),('there',29,'ar','node_search',1),('there',29,'en','node_search',1),('there',33,'ar','node_search',1),('there',33,'en','node_search',1),('there',36,'ar','node_search',1),('there',36,'en','node_search',1),('these',13,'ar','node_search',1),('these',13,'en','node_search',1),('these',27,'ar','node_search',27),('these',27,'en','node_search',27),('these',30,'ar','node_search',1),('these',30,'en','node_search',1),('they',1,'ar','node_search',2),('they',1,'en','node_search',2),('they',5,'ar','node_search',1),('they',5,'en','node_search',1),('they',6,'ar','node_search',1),('they',6,'en','node_search',1),('they',9,'ar','node_search',1),('they',9,'en','node_search',1),('they',13,'ar','node_search',1),('they',13,'en','node_search',1),('they',22,'ar','node_search',1),('they',22,'en','node_search',1),('they',27,'ar','node_search',2),('they',27,'en','node_search',2),('they',31,'ar','node_search',1),('they',31,'en','node_search',1),('thing',2,'ar','node_search',2),('thing',2,'en','node_search',2),('thing',3,'ar','node_search',0.892724),('thing',3,'en','node_search',0.892724),('thing',4,'ar','node_search',1),('thing',4,'en','node_search',1),('things',4,'ar','node_search',1),('things',4,'en','node_search',1),('things',12,'ar','node_search',1),('things',12,'en','node_search',1),('think',7,'ar','node_search',2),('think',7,'en','node_search',2),('think',30,'ar','node_search',1),('think',30,'en','node_search',1),('this',3,'ar','node_search',1),('this',3,'en','node_search',1),('this',6,'ar','node_search',1),('this',6,'en','node_search',1),('this',9,'ar','node_search',2),('this',9,'en','node_search',2),('this',11,'ar','node_search',1),('this',11,'en','node_search',1),('this',14,'ar','node_search',1),('this',14,'en','node_search',1),('this',16,'ar','node_search',1),('this',16,'en','node_search',1),('this',17,'ar','node_search',1),('this',17,'en','node_search',1),('this',18,'ar','node_search',1),('this',18,'en','node_search',1),('this',20,'ar','node_search',1),('this',20,'en','node_search',1),('this',22,'ar','node_search',27),('this',22,'en','node_search',27),('this',25,'ar','node_search',1),('this',25,'en','node_search',1),('this',29,'ar','node_search',1),('this',29,'en','node_search',1),('this',30,'ar','node_search',1),('this',30,'en','node_search',1),('this',32,'ar','node_search',1),('this',32,'en','node_search',1),('this',49,'en','node_search',0.927431),('thomas',25,'ar','node_search',1),('thomas',25,'en','node_search',1),('those',10,'ar','node_search',1),('those',10,'en','node_search',1),('those',14,'ar','node_search',1),('those',14,'en','node_search',1),('those',27,'ar','node_search',1),('those',27,'en','node_search',1),('those',29,'ar','node_search',0.931053),('those',29,'en','node_search',0.931053),('those',35,'ar','node_search',1),('those',35,'en','node_search',1),('though',17,'ar','node_search',1),('though',17,'en','node_search',1),('three',3,'ar','node_search',1),('three',3,'en','node_search',1),('three',13,'ar','node_search',1),('three',13,'en','node_search',1),('thrilling',4,'ar','node_search',0.945829),('thrilling',4,'en','node_search',0.949597),('through',3,'ar','node_search',1),('through',3,'en','node_search',1),('through',12,'ar','node_search',1),('through',12,'en','node_search',1),('through',28,'ar','node_search',1),('through',28,'en','node_search',1),('thu',25,'ar','node_search',1),('thu',26,'ar','node_search',1),('thu',27,'ar','node_search',1),('thu',28,'ar','node_search',1),('thu',30,'ar','node_search',1),('thu',32,'ar','node_search',1),('thu',36,'ar','node_search',1.73165),('thu',36,'en','node_search',0.731649),('thursday',31,'ar','node_search',1),('thursday',31,'en','node_search',1),('tide',2,'ar','node_search',1),('tide',2,'en','node_search',1),('tidy',17,'ar','node_search',1),('tidy',17,'en','node_search',1),('time',5,'ar','node_search',1),('time',5,'en','node_search',1),('time',22,'ar','node_search',1),('time',22,'en','node_search',1),('time',31,'ar','node_search',1),('time',31,'en','node_search',1),('tincidunt',1,'ar','node_search',6.57465),('tincidunt',1,'en','node_search',6.57465),('tincidunt',2,'ar','node_search',2.38165),('tincidunt',2,'en','node_search',2.38972),('tincidunt',3,'ar','node_search',1.36061),('tincidunt',3,'en','node_search',1.36061),('tincidunt',5,'ar','node_search',0.722831),('tincidunt',5,'en','node_search',0.722831),('tincidunt',6,'ar','node_search',1.5644),('tincidunt',6,'en','node_search',1.5644),('tincidunt',7,'ar','node_search',0.882818),('tincidunt',7,'en','node_search',0.882818),('tincidunt',8,'ar','node_search',3.80575),('tincidunt',8,'en','node_search',3.80575),('tincidunt',9,'ar','node_search',0.805455),('tincidunt',9,'en','node_search',0.805455),('tincidunt',10,'ar','node_search',2.79635),('tincidunt',10,'en','node_search',2.79635),('tincidunt',11,'ar','node_search',1.49851),('tincidunt',11,'en','node_search',1.49851),('tincidunt',12,'ar','node_search',2.74137),('tincidunt',12,'en','node_search',2.74137),('tincidunt',13,'ar','node_search',1.8861),('tincidunt',13,'en','node_search',1.8861),('tincidunt',14,'ar','node_search',3.4899),('tincidunt',14,'en','node_search',3.4899),('tincidunt',15,'ar','node_search',2.94216),('tincidunt',15,'en','node_search',2.94216),('tincidunt',16,'ar','node_search',1),('tincidunt',16,'en','node_search',1),('tincidunt',17,'ar','node_search',0.906287),('tincidunt',17,'en','node_search',0.906287),('tincidunt',18,'ar','node_search',0.842342),('tincidunt',18,'en','node_search',0.842342),('tincidunt',19,'ar','node_search',0.800068),('tincidunt',19,'en','node_search',0.800068),('tincidunt',21,'ar','node_search',1.57901),('tincidunt',21,'en','node_search',1.57901),('tincidunt',22,'ar','node_search',1.75353),('tincidunt',22,'en','node_search',1.75353),('tincidunt',23,'ar','node_search',1.5416),('tincidunt',23,'en','node_search',1.5416),('tincidunt',24,'ar','node_search',1.45919),('tincidunt',24,'en','node_search',1.45919),('tincidunt',25,'ar','node_search',2.53604),('tincidunt',25,'en','node_search',2.53604),('tincidunt',26,'ar','node_search',2.94978),('tincidunt',26,'en','node_search',2.94978),('tincidunt',27,'ar','node_search',3.47011),('tincidunt',27,'en','node_search',3.47011),('tincidunt',28,'ar','node_search',3.31296),('tincidunt',28,'en','node_search',3.31296),('tincidunt',29,'ar','node_search',3.08015),('tincidunt',29,'en','node_search',3.08015),('tincidunt',30,'ar','node_search',2.25594),('tincidunt',30,'en','node_search',2.25594),('tincidunt',31,'ar','node_search',1.55016),('tincidunt',31,'en','node_search',1.55016),('tincidunt',32,'ar','node_search',3.68616),('tincidunt',32,'en','node_search',3.68616),('tincidunt',33,'ar','node_search',1),('tincidunt',33,'en','node_search',1),('tincidunt',34,'ar','node_search',0.836446),('tincidunt',34,'en','node_search',0.836446),('tincidunt',35,'ar','node_search',1),('tincidunt',35,'en','node_search',1),('tincidunt',36,'ar','node_search',0.771698),('tincidunt',36,'en','node_search',0.771698),('tincidunt',38,'en','node_search',6.54342),('tincidunt',48,'en','node_search',2.89608),('title',31,'ar','node_search',1),('title',31,'en','node_search',1),('today',23,'ar','node_search',1),('today',23,'en','node_search',1),('today',34,'ar','node_search',1),('today',34,'en','node_search',1),('today',49,'en','node_search',1),('together',36,'ar','node_search',1),('together',36,'en','node_search',1),('tom',15,'ar','node_search',1),('tom',15,'en','node_search',1),('toni',25,'ar','node_search',1),('toni',25,'en','node_search',1),('took',6,'ar','node_search',1),('took',6,'en','node_search',1),('top',2,'ar','node_search',1),('top',2,'en','node_search',1),('top',4,'ar','node_search',1),('top',4,'en','node_search',1),('top',5,'ar','node_search',1),('top',5,'en','node_search',1),('topperforming',9,'ar','node_search',1),('topperforming',9,'en','node_search',1),('torquent',8,'ar','node_search',0.882818),('torquent',8,'en','node_search',0.882818),('torquent',23,'ar','node_search',0.934703),('torquent',23,'en','node_search',0.934703),('torquent',24,'ar','node_search',0.78951),('torquent',24,'en','node_search',0.78951),('torquent',26,'ar','node_search',1),('torquent',26,'en','node_search',1),('torquent',27,'ar','node_search',0.766757),('torquent',27,'en','node_search',0.766757),('torquent',28,'ar','node_search',0.747619),('torquent',28,'en','node_search',0.747619),('torquent',31,'ar','node_search',0.716357),('torquent',31,'en','node_search',0.716357),('torquent',36,'ar','node_search',1.62569),('torquent',36,'en','node_search',1.62352),('torqueo',48,'en','node_search',0.836446),('tortor',1,'ar','node_search',2.3195),('tortor',1,'en','node_search',2.3195),('tortor',4,'ar','node_search',1.67583),('tortor',4,'en','node_search',1.68173),('tortor',5,'ar','node_search',1.71814),('tortor',5,'en','node_search',1.71814),('tortor',7,'ar','node_search',2.8249),('tortor',7,'en','node_search',2.8249),('tortor',8,'ar','node_search',2),('tortor',8,'en','node_search',2),('tortor',9,'ar','node_search',0.738408),('tortor',9,'en','node_search',0.738408),('tortor',10,'ar','node_search',0.857458),('tortor',10,'en','node_search',0.857458),('tortor',12,'ar','node_search',0.824901),('tortor',12,'en','node_search',0.824901),('tortor',13,'ar','node_search',5.47157),('tortor',13,'en','node_search',5.47157),('tortor',14,'ar','node_search',0.827757),('tortor',14,'en','node_search',0.827757),('tortor',15,'ar','node_search',0.869951),('tortor',15,'en','node_search',0.869951),('tortor',16,'ar','node_search',6.21435),('tortor',16,'en','node_search',6.22463),('tortor',17,'ar','node_search',4.15463),('tortor',17,'en','node_search',4.15463),('tortor',19,'ar','node_search',1),('tortor',19,'en','node_search',1),('tortor',20,'ar','node_search',3.70413),('tortor',20,'en','node_search',3.70413),('tortor',21,'ar','node_search',0.797402),('tortor',21,'en','node_search',0.797402),('tortor',22,'ar','node_search',2.72843),('tortor',22,'en','node_search',2.72843),('tortor',25,'ar','node_search',0.830633),('tortor',25,'en','node_search',0.830633),('tortor',26,'ar','node_search',2.69279),('tortor',26,'en','node_search',2.69279),('tortor',28,'ar','node_search',1.87364),('tortor',28,'en','node_search',1.87364),('tortor',29,'ar','node_search',0.643484),('tortor',29,'en','node_search',0.643484),('tortor',30,'ar','node_search',2.14353),('tortor',30,'en','node_search',2.14353),('tortor',32,'ar','node_search',0.96498),('tortor',32,'en','node_search',0.96498),('tortor',33,'ar','node_search',2.4675),('tortor',33,'en','node_search',2.4675),('tortor',34,'ar','node_search',4.69881),('tortor',34,'en','node_search',4.69881),('tortor',35,'ar','node_search',2.30873),('tortor',35,'en','node_search',2.30873),('tortor',38,'en','node_search',2.11143),('touches',20,'ar','node_search',1),('touches',20,'en','node_search',1),('touches',25,'ar','node_search',1),('touches',25,'en','node_search',1),('touches',33,'ar','node_search',1),('touches',33,'en','node_search',1),('tour',12,'ar','node_search',1),('tour',12,'en','node_search',1),('touring',5,'ar','node_search',27),('touring',5,'en','node_search',27),('touring',7,'ar','node_search',32),('touring',7,'en','node_search',32),('tourist',22,'ar','node_search',1),('tourist',22,'en','node_search',1),('tourists',22,'ar','node_search',1),('tourists',22,'en','node_search',1),('tours',12,'ar','node_search',27),('tours',12,'en','node_search',27),('toward',30,'ar','node_search',1),('toward',30,'en','node_search',1),('towns',2,'ar','node_search',1),('towns',2,'en','node_search',1),('tradition',5,'ar','node_search',1),('tradition',5,'en','node_search',1),('trafficking',23,'ar','node_search',1),('trafficking',23,'en','node_search',1),('tramping',3,'ar','node_search',1),('tramping',3,'en','node_search',1),('transform',36,'ar','node_search',1),('transform',36,'en','node_search',1),('transport',17,'ar','node_search',1),('transport',17,'en','node_search',1),('travel',49,'en','node_search',11),('travelling',3,'ar','node_search',1.97685),('travelling',3,'en','node_search',1.97685),('travelling',6,'ar','node_search',1),('travelling',6,'en','node_search',1),('treasure',23,'ar','node_search',1),('treasure',23,'en','node_search',1),('treasury',24,'ar','node_search',1),('treasury',24,'en','node_search',1),('tricks',36,'ar','node_search',28),('tricks',36,'en','node_search',28),('tricks',49,'en','node_search',19),('trinity',11,'ar','node_search',1),('trinity',11,'en','node_search',1),('trip',3,'ar','node_search',1),('trip',3,'en','node_search',1),('trip',4,'ar','node_search',1),('trip',4,'en','node_search',1),('trip',6,'ar','node_search',1),('trip',6,'en','node_search',1),('trip',22,'ar','node_search',1),('trip',22,'en','node_search',1),('triple',7,'ar','node_search',1),('triple',7,'en','node_search',1),('trips',6,'ar','node_search',1),('trips',6,'en','node_search',1),('tristique',1,'ar','node_search',0.707906),('tristique',1,'en','node_search',0.707906),('tristique',2,'ar','node_search',1.47994),('tristique',2,'en','node_search',1.48454),('tristique',3,'ar','node_search',1.41544),('tristique',3,'en','node_search',1.41544),('tristique',4,'ar','node_search',0.676032),('tristique',4,'en','node_search',0.677939),('tristique',5,'ar','node_search',0.854391),('tristique',5,'en','node_search',0.854391),('tristique',6,'ar','node_search',1.67495),('tristique',6,'en','node_search',1.67495),('tristique',7,'ar','node_search',1.73884),('tristique',7,'en','node_search',1.73884),('tristique',8,'ar','node_search',1.97286),('tristique',8,'en','node_search',1.97286),('tristique',9,'ar','node_search',1.56921),('tristique',9,'en','node_search',1.56921),('tristique',10,'ar','node_search',0.76188),('tristique',10,'en','node_search',0.76188),('tristique',12,'ar','node_search',0.993146),('tristique',12,'en','node_search',0.993146),('tristique',13,'ar','node_search',2.50961),('tristique',13,'en','node_search',2.50961),('tristique',14,'ar','node_search',1.61909),('tristique',14,'en','node_search',1.61909),('tristique',15,'ar','node_search',0.816452),('tristique',15,'en','node_search',0.816452),('tristique',16,'ar','node_search',4.43209),('tristique',16,'en','node_search',4.44237),('tristique',17,'ar','node_search',2.46381),('tristique',17,'en','node_search',2.46381),('tristique',18,'ar','node_search',2.55972),('tristique',18,'en','node_search',2.55972),('tristique',19,'ar','node_search',0.98493),('tristique',19,'en','node_search',0.98493),('tristique',20,'ar','node_search',3),('tristique',20,'en','node_search',3),('tristique',21,'ar','node_search',2.46373),('tristique',21,'en','node_search',2.46373),('tristique',23,'ar','node_search',0.805455),('tristique',23,'en','node_search',0.805455),('tristique',24,'ar','node_search',0.745294),('tristique',24,'en','node_search',0.745294),('tristique',25,'ar','node_search',2.39541),('tristique',25,'en','node_search',2.39541),('tristique',26,'ar','node_search',0.848323),('tristique',26,'en','node_search',0.848323),('tristique',27,'ar','node_search',1.8861),('tristique',27,'en','node_search',1.8861),('tristique',28,'ar','node_search',1.76431),('tristique',28,'en','node_search',1.76431),('tristique',29,'ar','node_search',0.882818),('tristique',29,'en','node_search',0.882818),('tristique',30,'ar','node_search',0.679856),('tristique',30,'en','node_search',0.679856),('tristique',31,'ar','node_search',0.693594),('tristique',31,'en','node_search',0.693594),('tristique',32,'ar','node_search',2.63119),('tristique',32,'en','node_search',2.63119),('tristique',34,'ar','node_search',3),('tristique',34,'en','node_search',3),('tristique',36,'ar','node_search',1),('tristique',36,'en','node_search',1),('tristique',38,'en','node_search',1),('tue',1,'ar','node_search',1),('tue',2,'ar','node_search',1),('tue',3,'ar','node_search',1),('tue',4,'ar','node_search',1),('tue',5,'ar','node_search',1),('tue',6,'ar','node_search',1),('tue',7,'ar','node_search',1),('tue',8,'ar','node_search',1),('tue',9,'ar','node_search',1),('tue',10,'ar','node_search',1),('tue',11,'ar','node_search',1),('tue',12,'ar','node_search',1),('tue',13,'ar','node_search',1),('tue',14,'ar','node_search',1),('tue',15,'ar','node_search',1),('tue',16,'ar','node_search',1),('tue',17,'ar','node_search',1),('tue',18,'ar','node_search',1),('tue',19,'ar','node_search',1),('tue',20,'ar','node_search',1),('tue',21,'ar','node_search',1),('tue',22,'ar','node_search',1),('tue',23,'ar','node_search',1),('tue',24,'ar','node_search',1),('tue',29,'ar','node_search',1),('tue',31,'ar','node_search',1),('tue',33,'ar','node_search',1),('tue',34,'ar','node_search',1),('tue',35,'ar','node_search',1),('tue',49,'en','node_search',0.923838),('tuesday',23,'ar','node_search',1),('tuesday',23,'en','node_search',1),('tulle',5,'ar','node_search',1),('tulle',5,'en','node_search',1),('tum',48,'en','node_search',1),('turf',6,'ar','node_search',1),('turf',6,'en','node_search',1),('turned',26,'ar','node_search',1),('turned',26,'en','node_search',1),('turns',6,'ar','node_search',1),('turns',6,'en','node_search',1),('turns',36,'ar','node_search',1),('turns',36,'en','node_search',1),('turpis',1,'ar','node_search',0.725015),('turpis',1,'en','node_search',0.725015),('turpis',7,'ar','node_search',1),('turpis',7,'en','node_search',1),('turpis',8,'ar','node_search',0.993146),('turpis',8,'en','node_search',0.993146),('turpis',9,'ar','node_search',0.923838),('turpis',9,'en','node_search',0.923838),('turpis',10,'ar','node_search',0.813674),('turpis',10,'en','node_search',0.813674),('turpis',11,'ar','node_search',1.47431),('turpis',11,'en','node_search',1.47431),('turpis',12,'ar','node_search',0.927431),('turpis',12,'en','node_search',0.927431),('turpis',13,'ar','node_search',1.83645),('turpis',13,'en','node_search',1.83645),('turpis',14,'ar','node_search',2.64171),('turpis',14,'en','node_search',2.64171),('turpis',15,'ar','node_search',2.75461),('turpis',15,'en','node_search',2.75461),('turpis',16,'ar','node_search',1.739),('turpis',16,'en','node_search',1.74414),('turpis',17,'ar','node_search',0.822065),('turpis',17,'en','node_search',0.822065),('turpis',18,'ar','node_search',1.63036),('turpis',18,'en','node_search',1.63036),('turpis',19,'ar','node_search',0.792123),('turpis',19,'en','node_search',0.792123),('turpis',20,'ar','node_search',1),('turpis',20,'en','node_search',1),('turpis',21,'ar','node_search',1.67391),('turpis',21,'en','node_search',1.67391),('turpis',22,'ar','node_search',0.860547),('turpis',22,'en','node_search',0.860547),('turpis',23,'ar','node_search',0.957226),('turpis',23,'en','node_search',0.957226),('turpis',24,'ar','node_search',1.80275),('turpis',24,'en','node_search',1.80275),('turpis',25,'ar','node_search',1.65378),('turpis',25,'en','node_search',1.65378),('turpis',28,'ar','node_search',0.824901),('turpis',28,'en','node_search',0.824901),('turpis',29,'ar','node_search',4.44726),('turpis',29,'en','node_search',4.44726),('turpis',30,'ar','node_search',0.722831),('turpis',30,'en','node_search',0.722831),('turpis',31,'ar','node_search',1.56956),('turpis',31,'en','node_search',1.56956),('turpis',32,'ar','node_search',1.8834),('turpis',32,'en','node_search',1.8834),('turpis',33,'ar','node_search',0.833529),('turpis',33,'en','node_search',0.833529),('turpis',34,'ar','node_search',1),('turpis',34,'en','node_search',1),('turpis',35,'ar','node_search',0.779231),('turpis',35,'en','node_search',0.779231),('turpis',38,'en','node_search',6.22748),('turpis',48,'en','node_search',0.851346),('twenties',3,'ar','node_search',1),('twenties',3,'en','node_search',1),('twice',35,'ar','node_search',1),('twice',35,'en','node_search',1),('twin',19,'ar','node_search',1),('twin',19,'en','node_search',1),('twists',6,'ar','node_search',1),('twists',6,'en','node_search',1),('two',3,'ar','node_search',1),('two',3,'en','node_search',1),('two',31,'ar','node_search',1),('two',31,'en','node_search',1),('type',29,'ar','node_search',4.86236),('type',29,'en','node_search',4.86236),('type',32,'ar','node_search',1),('type',32,'en','node_search',1),('typical',7,'ar','node_search',1),('typical',7,'en','node_search',1),('typicus',48,'en','node_search',0.945829),('ubud',22,'ar','node_search',1),('ubud',22,'en','node_search',1),('ukraine',31,'ar','node_search',1),('ukraine',31,'en','node_search',1),('ulciscor',48,'en','node_search',0.896076),('ullamcorper',2,'ar','node_search',1.74298),('ullamcorper',2,'en','node_search',1.74529),('ullamcorper',3,'ar','node_search',0.714225),('ullamcorper',3,'en','node_search',0.714225),('ullamcorper',4,'ar','node_search',0.745294),('ullamcorper',4,'en','node_search',0.747619),('ullamcorper',5,'ar','node_search',1.55717),('ullamcorper',5,'en','node_search',1.55717),('ullamcorper',6,'ar','node_search',1.60478),('ullamcorper',6,'en','node_search',1.60478),('ullamcorper',8,'ar','node_search',0.906287),('ullamcorper',8,'en','node_search',0.906287),('ullamcorper',11,'ar','node_search',0.819249),('ullamcorper',11,'en','node_search',0.819249),('ullamcorper',13,'ar','node_search',2.52189),('ullamcorper',13,'en','node_search',2.52189),('ullamcorper',14,'ar','node_search',3.71377),('ullamcorper',14,'en','node_search',3.71377),('ullamcorper',16,'ar','node_search',3.6667),('ullamcorper',16,'en','node_search',3.67184),('ullamcorper',17,'ar','node_search',2.48285),('ullamcorper',17,'en','node_search',2.48285),('ullamcorper',19,'ar','node_search',2.40598),('ullamcorper',19,'en','node_search',2.40598),('ullamcorper',20,'ar','node_search',1.97685),('ullamcorper',20,'en','node_search',1.97685),('ullamcorper',21,'ar','node_search',1.41388),('ullamcorper',21,'en','node_search',1.41388),('ullamcorper',22,'ar','node_search',2.64431),('ullamcorper',22,'en','node_search',2.64431),('ullamcorper',24,'ar','node_search',0.830633),('ullamcorper',24,'en','node_search',0.830633),('ullamcorper',25,'ar','node_search',1.80406),('ullamcorper',25,'en','node_search',1.80406),('ullamcorper',26,'ar','node_search',0.845322),('ullamcorper',26,'en','node_search',0.845322),('ullamcorper',27,'ar','node_search',1),('ullamcorper',27,'en','node_search',1),('ullamcorper',28,'ar','node_search',0.76431),('ullamcorper',28,'en','node_search',0.76431),('ullamcorper',29,'ar','node_search',1.5438),('ullamcorper',29,'en','node_search',1.5438),('ullamcorper',30,'ar','node_search',7.77882),('ullamcorper',30,'en','node_search',7.77882),('ullamcorper',31,'ar','node_search',2.58031),('ullamcorper',31,'en','node_search',2.58031),('ullamcorper',32,'ar','node_search',2.50659),('ullamcorper',32,'en','node_search',2.50659),('ullamcorper',33,'ar','node_search',8.13173),('ullamcorper',33,'en','node_search',8.13173),('ullamcorper',34,'ar','node_search',2),('ullamcorper',34,'en','node_search',2),('ullamcorper',35,'ar','node_search',7.67334),('ullamcorper',35,'en','node_search',7.67334),('ullamcorper',36,'ar','node_search',3.04416),('ullamcorper',36,'en','node_search',3.04416),('ullamcorper',38,'en','node_search',3.92091),('ullamcorper',48,'en','node_search',2),('ultrices',1,'ar','node_search',0.745294),('ultrices',1,'en','node_search',0.745294),('ultrices',4,'ar','node_search',2.12159),('ultrices',4,'en','node_search',2.12788),('ultrices',6,'ar','node_search',1.86581),('ultrices',6,'en','node_search',1.86581),('ultrices',7,'ar','node_search',1.7431),('ultrices',7,'en','node_search',1.7431),('ultrices',8,'ar','node_search',0.976851),('ultrices',8,'en','node_search',0.976851),('ultrices',9,'ar','node_search',1.57703),('ultrices',9,'en','node_search',1.57703),('ultrices',10,'ar','node_search',1),('ultrices',10,'en','node_search',1),('ultrices',11,'ar','node_search',1.53661),('ultrices',11,'en','node_search',1.53661),('ultrices',12,'ar','node_search',2.66359),('ultrices',12,'en','node_search',2.66359),('ultrices',13,'ar','node_search',1.6419),('ultrices',13,'en','node_search',1.6419),('ultrices',14,'ar','node_search',2.76573),('ultrices',14,'en','node_search',2.76573),('ultrices',15,'ar','node_search',3.62216),('ultrices',15,'en','node_search',3.62216),('ultrices',16,'ar','node_search',3.44435),('ultrices',16,'en','node_search',3.44949),('ultrices',17,'ar','node_search',2.3098),('ultrices',17,'en','node_search',2.3098),('ultrices',18,'ar','node_search',0.810915),('ultrices',18,'en','node_search',0.810915),('ultrices',19,'ar','node_search',1.69447),('ultrices',19,'en','node_search',1.69447),('ultrices',20,'ar','node_search',2.69152),('ultrices',20,'en','node_search',2.69152),('ultrices',21,'ar','node_search',1.55879),('ultrices',21,'en','node_search',1.55879),('ultrices',22,'ar','node_search',1.71926),('ultrices',22,'en','node_search',1.71926),('ultrices',23,'ar','node_search',0.752312),('ultrices',23,'en','node_search',0.752312),('ultrices',24,'ar','node_search',1.71636),('ultrices',24,'en','node_search',1.71636),('ultrices',25,'ar','node_search',2.66643),('ultrices',25,'en','node_search',2.66643),('ultrices',26,'ar','node_search',2),('ultrices',26,'en','node_search',2),('ultrices',28,'ar','node_search',0.813674),('ultrices',28,'en','node_search',0.813674),('ultrices',29,'ar','node_search',0.645209),('ultrices',29,'en','node_search',0.645209),('ultrices',31,'ar','node_search',0.816452),('ultrices',31,'en','node_search',0.816452),('ultrices',32,'ar','node_search',0.830633),('ultrices',32,'en','node_search',0.830633),('ultrices',34,'ar','node_search',3.69977),('ultrices',34,'en','node_search',3.69977),('ultrices',36,'ar','node_search',0.96498),('ultrices',36,'en','node_search',0.96498),('ultrices',38,'en','node_search',2.82587),('ultricies',1,'ar','node_search',3.30671),('ultricies',1,'en','node_search',3.30671),('ultricies',2,'ar','node_search',2.14468),('ultricies',2,'en','node_search',2.15111),('ultricies',3,'ar','node_search',2.02005),('ultricies',3,'en','node_search',2.02005),('ultricies',4,'ar','node_search',1.43656),('ultricies',4,'en','node_search',1.44089),('ultricies',5,'ar','node_search',1),('ultricies',5,'en','node_search',1),('ultricies',6,'ar','node_search',1.65504),('ultricies',6,'en','node_search',1.65504),('ultricies',8,'ar','node_search',2),('ultricies',8,'en','node_search',2),('ultricies',10,'ar','node_search',2.51105),('ultricies',10,'en','node_search',2.51105),('ultricies',11,'ar','node_search',0.7017),('ultricies',11,'en','node_search',0.7017),('ultricies',12,'ar','node_search',1.70488),('ultricies',12,'en','node_search',1.70488),('ultricies',13,'ar','node_search',0.989021),('ultricies',13,'en','node_search',0.989021),('ultricies',15,'ar','node_search',1.83938),('ultricies',15,'en','node_search',1.83938),('ultricies',16,'ar','node_search',1.82206),('ultricies',16,'en','node_search',1.82206),('ultricies',17,'ar','node_search',1.72066),('ultricies',17,'en','node_search',1.72066),('ultricies',18,'ar','node_search',0.968904),('ultricies',18,'en','node_search',0.968904),('ultricies',19,'ar','node_search',1.71762),('ultricies',19,'en','node_search',1.71762),('ultricies',20,'ar','node_search',0.794753),('ultricies',20,'en','node_search',0.794753),('ultricies',21,'ar','node_search',1.43112),('ultricies',21,'en','node_search',1.43112),('ultricies',22,'ar','node_search',0.819249),('ultricies',22,'en','node_search',0.819249),('ultricies',23,'ar','node_search',0.781775),('ultricies',23,'en','node_search',0.781775),('ultricies',24,'ar','node_search',0.738408),('ultricies',24,'en','node_search',0.738408),('ultricies',26,'ar','node_search',1.9496),('ultricies',26,'en','node_search',1.9496),('ultricies',27,'ar','node_search',1),('ultricies',27,'en','node_search',1),('ultricies',28,'ar','node_search',1.89608),('ultricies',28,'en','node_search',1.89608),('ultricies',29,'ar','node_search',2.11598),('ultricies',29,'en','node_search',2.11598),('ultricies',30,'ar','node_search',2.21304),('ultricies',30,'en','node_search',2.21304),('ultricies',31,'ar','node_search',2.59247),('ultricies',31,'en','node_search',2.59247),('ultricies',33,'ar','node_search',1.78768),('ultricies',33,'en','node_search',1.78768),('ultricies',34,'ar','node_search',0.902857),('ultricies',34,'en','node_search',0.902857),('ultricies',35,'ar','node_search',1.66205),('ultricies',35,'en','node_search',1.66205),('ultricies',36,'ar','node_search',1.6067),('ultricies',36,'en','node_search',1.6067),('ultricies',38,'en','node_search',7.69113),('umbrellas',11,'ar','node_search',1),('umbrellas',11,'en','node_search',1),('under',9,'ar','node_search',28),('under',9,'en','node_search',28),('under',21,'ar','node_search',27),('under',21,'en','node_search',27),('undervalued',1,'ar','node_search',27),('undervalued',1,'en','node_search',27),('unique',33,'ar','node_search',1),('unique',33,'en','node_search',1),('university',11,'ar','node_search',2),('university',11,'en','node_search',2),('university',14,'ar','node_search',1),('university',14,'en','node_search',1),('university',20,'ar','node_search',1),('university',20,'en','node_search',1),('university',49,'en','node_search',0.934703),('until',31,'ar','node_search',1),('until',31,'en','node_search',1),('unusual',3,'ar','node_search',1),('unusual',3,'en','node_search',1),('upset',8,'ar','node_search',27),('upset',8,'en','node_search',27),('urna',1,'ar','node_search',2.2946),('urna',1,'en','node_search',2.2946),('urna',2,'ar','node_search',1.55627),('urna',2,'en','node_search',1.56134),('urna',3,'ar','node_search',1.5126),('urna',3,'en','node_search',1.5126),('urna',5,'ar','node_search',1.52514),('urna',5,'en','node_search',1.52514),('urna',6,'ar','node_search',1.50236),('urna',6,'en','node_search',1.50236),('urna',7,'ar','node_search',3.62858),('urna',7,'en','node_search',3.62858),('urna',8,'ar','node_search',0.920273),('urna',8,'en','node_search',0.920273),('urna',9,'ar','node_search',1.45686),('urna',9,'en','node_search',1.45686),('urna',10,'ar','node_search',2.58715),('urna',10,'en','node_search',2.58715),('urna',12,'ar','node_search',2.90629),('urna',12,'en','node_search',2.90629),('urna',13,'ar','node_search',1.63974),('urna',13,'en','node_search',1.63974),('urna',14,'ar','node_search',1),('urna',14,'en','node_search',1),('urna',15,'ar','node_search',3.71311),('urna',15,'en','node_search',3.71311),('urna',16,'ar','node_search',2.6335),('urna',16,'en','node_search',2.63864),('urna',17,'ar','node_search',1.59739),('urna',17,'en','node_search',1.59739),('urna',18,'ar','node_search',0.889397),('urna',18,'en','node_search',0.889397),('urna',19,'ar','node_search',1.66787),('urna',19,'en','node_search',1.66787),('urna',20,'ar','node_search',1.89272),('urna',20,'en','node_search',1.89272),('urna',21,'ar','node_search',1.72721),('urna',21,'en','node_search',1.72721),('urna',22,'ar','node_search',1.70409),('urna',22,'en','node_search',1.70409),('urna',23,'ar','node_search',0.757065),('urna',23,'en','node_search',0.757065),('urna',24,'ar','node_search',1.7185),('urna',24,'en','node_search',1.7185),('urna',26,'ar','node_search',0.824901),('urna',26,'en','node_search',0.824901),('urna',27,'ar','node_search',4.15135),('urna',27,'en','node_search',4.15135),('urna',28,'ar','node_search',0.774192),('urna',28,'en','node_search',0.774192),('urna',30,'ar','node_search',1.34915),('urna',30,'en','node_search',1.34915),('urna',31,'ar','node_search',1.8249),('urna',31,'en','node_search',1.8249),('urna',33,'ar','node_search',0.792123),('urna',33,'en','node_search',0.792123),('urna',34,'ar','node_search',2),('urna',34,'en','node_search',2),('urna',35,'ar','node_search',0.742984),('urna',35,'en','node_search',0.742984),('urna',38,'en','node_search',1.6956),('use',9,'ar','node_search',1),('use',9,'en','node_search',1),('use',29,'ar','node_search',1.9689),('use',29,'en','node_search',1.9689),('used',7,'ar','node_search',1),('used',7,'en','node_search',1),('used',9,'ar','node_search',1),('used',9,'en','node_search',1),('used',19,'ar','node_search',1),('used',19,'en','node_search',1),('users',27,'ar','node_search',1),('users',27,'en','node_search',1),('usitas',48,'en','node_search',1),('utilizing',10,'ar','node_search',1),('utilizing',10,'en','node_search',1),('utrum',48,'en','node_search',2.62689),('uxor',48,'en','node_search',1.93105),('valde',48,'en','node_search',1.87634),('valetudo',48,'en','node_search',1.89608),('validus',48,'en','node_search',2.82045),('value',15,'ar','node_search',1),('value',15,'en','node_search',1),('valued',1,'ar','node_search',2),('valued',1,'en','node_search',2),('valued',19,'ar','node_search',2),('valued',19,'en','node_search',2),('varied',2,'ar','node_search',1),('varied',2,'en','node_search',1),('variety',29,'ar','node_search',0.976851),('variety',29,'en','node_search',0.976851),('varius',1,'ar','node_search',2.63582),('varius',1,'en','node_search',2.63582),('varius',4,'ar','node_search',0.813674),('varius',4,'en','node_search',0.816452),('varius',5,'ar','node_search',1.53281),('varius',5,'en','node_search',1.53281),('varius',7,'ar','node_search',0.794753),('varius',7,'en','node_search',0.794753),('varius',8,'ar','node_search',2.81257),('varius',8,'en','node_search',2.81257),('varius',9,'ar','node_search',0.71),('varius',9,'en','node_search',0.71),('varius',10,'ar','node_search',3.51278),('varius',10,'en','node_search',3.51278),('varius',11,'ar','node_search',0.714225),('varius',11,'en','node_search',0.714225),('varius',14,'ar','node_search',1),('varius',14,'en','node_search',1),('varius',19,'ar','node_search',0.810915),('varius',19,'en','node_search',0.810915),('varius',21,'ar','node_search',0.695602),('varius',21,'en','node_search',0.695602),('varius',23,'ar','node_search',0.808176),('varius',23,'en','node_search',0.808176),('varius',24,'ar','node_search',0.747619),('varius',24,'en','node_search',0.747619),('varius',25,'ar','node_search',0.781775),('varius',25,'en','node_search',0.781775),('varius',26,'ar','node_search',0.827757),('varius',26,'en','node_search',0.827757),('varius',27,'ar','node_search',0.886095),('varius',27,'en','node_search',0.886095),('varius',28,'ar','node_search',2.52862),('varius',28,'en','node_search',2.52862),('varius',29,'ar','node_search',1.31044),('varius',29,'en','node_search',1.31044),('varius',31,'ar','node_search',1.56993),('varius',31,'en','node_search',1.56993),('varius',32,'ar','node_search',0.822065),('varius',32,'en','node_search',0.822065),('varius',36,'ar','node_search',0.942091),('varius',36,'en','node_search',0.942091),('varius',38,'en','node_search',1.44322),('vases',23,'ar','node_search',1),('vases',23,'en','node_search',1),('vehicula',1,'ar','node_search',0.776703),('vehicula',1,'en','node_search',0.776703),('vehicula',2,'ar','node_search',3.0972),('vehicula',2,'en','node_search',3.10738),('vehicula',3,'ar','node_search',2.08797),('vehicula',3,'en','node_search',2.08797),('vehicula',4,'ar','node_search',1.39764),('vehicula',4,'en','node_search',1.40172),('vehicula',6,'ar','node_search',3.55087),('vehicula',6,'en','node_search',3.55087),('vehicula',8,'ar','node_search',2.86813),('vehicula',8,'en','node_search',2.86813),('vehicula',10,'ar','node_search',0.892724),('vehicula',10,'en','node_search',0.892724),('vehicula',11,'ar','node_search',1.70772),('vehicula',11,'en','node_search',1.70772),('vehicula',12,'ar','node_search',1.87957),('vehicula',12,'en','node_search',1.87957),('vehicula',13,'ar','node_search',0.889397),('vehicula',13,'en','node_search',0.889397),('vehicula',14,'ar','node_search',0.913226),('vehicula',14,'en','node_search',0.913226),('vehicula',15,'ar','node_search',4.28155),('vehicula',15,'en','node_search',4.28155),('vehicula',16,'ar','node_search',1),('vehicula',16,'en','node_search',1),('vehicula',17,'ar','node_search',0.909743),('vehicula',17,'en','node_search',0.909743),('vehicula',18,'ar','node_search',0.866793),('vehicula',18,'en','node_search',0.866793),('vehicula',19,'ar','node_search',1.57129),('vehicula',19,'en','node_search',1.57129),('vehicula',21,'ar','node_search',0.976851),('vehicula',21,'en','node_search',0.976851),('vehicula',23,'ar','node_search',0.997306),('vehicula',23,'en','node_search',0.997306),('vehicula',24,'ar','node_search',2.80818),('vehicula',24,'en','node_search',2.80818),('vehicula',25,'ar','node_search',1),('vehicula',25,'en','node_search',1),('vehicula',28,'ar','node_search',2.3977),('vehicula',28,'en','node_search',2.3977),('vehicula',29,'ar','node_search',0.71),('vehicula',29,'en','node_search',0.71),('vehicula',30,'ar','node_search',0.774192),('vehicula',30,'en','node_search',0.774192),('vehicula',31,'ar','node_search',2.39371),('vehicula',31,'en','node_search',2.39371),('vehicula',33,'ar','node_search',0.902857),('vehicula',33,'en','node_search',0.902857),('vehicula',35,'ar','node_search',0.839384),('vehicula',35,'en','node_search',0.839384),('vehicula',36,'ar','node_search',0.736141),('vehicula',36,'en','node_search',0.736141),('vel',1,'ar','node_search',4.18174),('vel',1,'en','node_search',4.18174),('vel',2,'ar','node_search',1.54905),('vel',2,'en','node_search',1.55414),('vel',3,'ar','node_search',0.641769),('vel',3,'en','node_search',0.641769),('vel',4,'ar','node_search',1.43773),('vel',4,'en','node_search',1.44207),('vel',5,'ar','node_search',1.46231),('vel',5,'en','node_search',1.46231),('vel',6,'ar','node_search',1.68085),('vel',6,'en','node_search',1.68085),('vel',7,'ar','node_search',1.61441),('vel',7,'en','node_search',1.61441),('vel',8,'ar','node_search',4.76831),('vel',8,'en','node_search',4.76831),('vel',9,'ar','node_search',1.44197),('vel',9,'en','node_search',1.44197),('vel',10,'ar','node_search',1.80007),('vel',10,'en','node_search',1.80007),('vel',11,'ar','node_search',3.2492),('vel',11,'en','node_search',3.2492),('vel',12,'ar','node_search',4.90974),('vel',12,'en','node_search',4.90974),('vel',13,'ar','node_search',1.97402),('vel',13,'en','node_search',1.97402),('vel',14,'ar','node_search',1.86055),('vel',14,'en','node_search',1.86055),('vel',16,'ar','node_search',3.65266),('vel',16,'en','node_search',3.65266),('vel',17,'ar','node_search',3.44785),('vel',17,'en','node_search',3.44785),('vel',18,'ar','node_search',1.66021),('vel',18,'en','node_search',1.66021),('vel',19,'ar','node_search',3.46708),('vel',19,'en','node_search',3.46708),('vel',20,'ar','node_search',1.60286),('vel',20,'en','node_search',1.60286),('vel',21,'ar','node_search',3.27702),('vel',21,'en','node_search',3.27702),('vel',22,'ar','node_search',4.68778),('vel',22,'en','node_search',4.68778),('vel',23,'ar','node_search',0.839384),('vel',23,'en','node_search',0.839384),('vel',24,'ar','node_search',2.67615),('vel',24,'en','node_search',2.67615),('vel',25,'ar','node_search',0.902857),('vel',25,'en','node_search',0.902857),('vel',26,'ar','node_search',0.794753),('vel',26,'en','node_search',0.794753),('vel',27,'ar','node_search',4.25753),('vel',27,'en','node_search',4.25753),('vel',28,'ar','node_search',4.06731),('vel',28,'en','node_search',4.06731),('vel',29,'ar','node_search',5.03047),('vel',29,'en','node_search',5.03047),('vel',30,'ar','node_search',2.35177),('vel',30,'en','node_search',2.35177),('vel',31,'ar','node_search',2.31815),('vel',31,'en','node_search',2.31815),('vel',32,'ar','node_search',0.784336),('vel',32,'en','node_search',0.784336),('vel',33,'ar','node_search',1.9689),('vel',33,'en','node_search',1.9689),('vel',34,'ar','node_search',1.82302),('vel',34,'en','node_search',1.82302),('vel',35,'ar','node_search',1.83446),('vel',35,'en','node_search',1.83446),('vel',36,'ar','node_search',1.51419),('vel',36,'en','node_search',1.51419),('vel',38,'en','node_search',5.25029),('vel',48,'en','node_search',1.92384),('velit',1,'ar','node_search',1.40143),('velit',1,'en','node_search',1.40143),('velit',2,'ar','node_search',0.863659),('velit',2,'en','node_search',0.866793),('velit',5,'ar','node_search',1.50589),('velit',5,'en','node_search',1.50589),('velit',6,'ar','node_search',0.800068),('velit',6,'en','node_search',0.800068),('velit',7,'ar','node_search',1),('velit',7,'en','node_search',1),('velit',9,'ar','node_search',0.942091),('velit',9,'en','node_search',0.942091),('velit',10,'ar','node_search',4.12101),('velit',10,'en','node_search',4.12101),('velit',11,'ar','node_search',3.05585),('velit',11,'en','node_search',3.05585),('velit',12,'ar','node_search',3.72629),('velit',12,'en','node_search',3.72629),('velit',13,'ar','node_search',0.927431),('velit',13,'en','node_search',0.927431),('velit',14,'ar','node_search',2.68132),('velit',14,'en','node_search',2.68132),('velit',15,'ar','node_search',1),('velit',15,'en','node_search',1),('velit',16,'ar','node_search',22.867),('velit',16,'en','node_search',23.0048),('velit',17,'ar','node_search',1.68224),('velit',17,'en','node_search',1.68224),('velit',18,'ar','node_search',1.79115),('velit',18,'en','node_search',1.79115),('velit',19,'ar','node_search',0.742984),('velit',19,'en','node_search',0.742984),('velit',20,'ar','node_search',0.810915),('velit',20,'en','node_search',0.810915),('velit',21,'ar','node_search',0.899454),('velit',21,'en','node_search',0.899454),('velit',22,'ar','node_search',0.949597),('velit',22,'en','node_search',0.949597),('velit',23,'ar','node_search',1.7974),('velit',23,'en','node_search',1.7974),('velit',24,'ar','node_search',2.39922),('velit',24,'en','node_search',2.39922),('velit',25,'ar','node_search',3.59496),('velit',25,'en','node_search',3.59496),('velit',26,'ar','node_search',0.819249),('velit',26,'en','node_search',0.819249),('velit',27,'ar','node_search',3.48633),('velit',27,'en','node_search',3.48633),('velit',29,'ar','node_search',1.54798),('velit',29,'en','node_search',1.54798),('velit',30,'ar','node_search',0.664818),('velit',30,'en','node_search',0.664818),('velit',31,'ar','node_search',2.16854),('velit',31,'en','node_search',2.16854),('velit',32,'ar','node_search',1.75662),('velit',32,'en','node_search',1.75662),('velit',34,'ar','node_search',1.74309),('velit',34,'en','node_search',1.74309),('velit',36,'ar','node_search',2.6431),('velit',36,'en','node_search',2.64093),('velit',38,'en','node_search',3.12452),('velit',48,'en','node_search',3.7399),('vendors',33,'ar','node_search',1),('vendors',33,'en','node_search',1),('venenatis',1,'ar','node_search',3.00498),('venenatis',1,'en','node_search',3.00498),('venenatis',2,'ar','node_search',1.47642),('venenatis',2,'en','node_search',1.48098),('venenatis',3,'ar','node_search',1.40465),('venenatis',3,'en','node_search',1.40465),('venenatis',5,'ar','node_search',0.736141),('venenatis',5,'en','node_search',0.736141),('venenatis',6,'ar','node_search',0.742984),('venenatis',6,'en','node_search',0.742984),('venenatis',10,'ar','node_search',0.845322),('venenatis',10,'en','node_search',0.845322),('venenatis',11,'ar','node_search',1.45263),('venenatis',11,'en','node_search',1.45263),('venenatis',13,'ar','node_search',0.797402),('venenatis',13,'en','node_search',0.797402),('venenatis',14,'ar','node_search',1.84234),('venenatis',14,'en','node_search',1.84234),('venenatis',15,'ar','node_search',0.949597),('venenatis',15,'en','node_search',0.949597),('venenatis',16,'ar','node_search',1.71057),('venenatis',16,'en','node_search',1.71057),('venenatis',17,'ar','node_search',1.49177),('venenatis',17,'en','node_search',1.49177),('venenatis',19,'ar','node_search',1),('venenatis',19,'en','node_search',1),('venenatis',20,'ar','node_search',1.69818),('venenatis',20,'en','node_search',1.69818),('venenatis',21,'ar','node_search',0.786915),('venenatis',21,'en','node_search',0.786915),('venenatis',23,'ar','node_search',0.794753),('venenatis',23,'en','node_search',0.794753),('venenatis',24,'ar','node_search',0.742984),('venenatis',24,'en','node_search',0.742984),('venenatis',25,'ar','node_search',0.863659),('venenatis',25,'en','node_search',0.863659),('venenatis',27,'ar','node_search',1.61843),('venenatis',27,'en','node_search',1.61843),('venenatis',30,'ar','node_search',0.7017),('venenatis',30,'en','node_search',0.7017),('venenatis',31,'ar','node_search',0.691597),('venenatis',31,'en','node_search',0.691597),('venenatis',32,'ar','node_search',1),('venenatis',32,'en','node_search',1),('venenatis',33,'ar','node_search',0.805455),('venenatis',33,'en','node_search',0.805455),('venenatis',34,'ar','node_search',1.91674),('venenatis',34,'en','node_search',1.91674),('venenatis',35,'ar','node_search',0.754681),('venenatis',35,'en','node_search',0.754681),('venenatis',38,'en','node_search',4.18896),('veniam',38,'en','node_search',2.4839),('veniam',48,'en','node_search',1.88282),('venio',48,'en','node_search',2),('veritable',2,'ar','node_search',1),('veritable',2,'en','node_search',1),('vero',38,'en','node_search',1.80574),('vero',48,'en','node_search',2),('verto',48,'en','node_search',0.976851),('very',23,'ar','node_search',1),('very',23,'en','node_search',1),('vessel',3,'ar','node_search',1),('vessel',3,'en','node_search',1),('vessels',15,'ar','node_search',1),('vessels',15,'en','node_search',1),('vessels',29,'ar','node_search',0.989021),('vessels',29,'en','node_search',0.989021),('vestibulum',1,'ar','node_search',0.802752),('vestibulum',1,'en','node_search',0.802752),('vestibulum',2,'ar','node_search',0.697623),('vestibulum',2,'en','node_search',0.699655),('vestibulum',3,'ar','node_search',0.653974),('vestibulum',3,'en','node_search',0.653974),('vestibulum',4,'ar','node_search',0.674137),('vestibulum',4,'en','node_search',0.676032),('vestibulum',5,'ar','node_search',0.718502),('vestibulum',5,'en','node_search',0.718502),('vestibulum',6,'ar','node_search',0.916736),('vestibulum',6,'en','node_search',0.916736),('vestibulum',7,'ar','node_search',2.85977),('vestibulum',7,'en','node_search',2.85977),('vestibulum',8,'ar','node_search',1.88882),('vestibulum',8,'en','node_search',1.88882),('vestibulum',9,'ar','node_search',2.61989),('vestibulum',9,'en','node_search',2.61989),('vestibulum',10,'ar','node_search',2.72205),('vestibulum',10,'en','node_search',2.72205),('vestibulum',11,'ar','node_search',1.39886),('vestibulum',11,'en','node_search',1.39886),('vestibulum',12,'ar','node_search',2.82297),('vestibulum',12,'en','node_search',2.82297),('vestibulum',13,'ar','node_search',2.52049),('vestibulum',13,'en','node_search',2.52049),('vestibulum',15,'ar','node_search',3.67364),('vestibulum',15,'en','node_search',3.67364),('vestibulum',16,'ar','node_search',45.8389),('vestibulum',16,'en','node_search',46.1155),('vestibulum',17,'ar','node_search',3.21126),('vestibulum',17,'en','node_search',3.21126),('vestibulum',19,'ar','node_search',3.26219),('vestibulum',19,'en','node_search',3.26219),('vestibulum',20,'ar','node_search',2.73835),('vestibulum',20,'en','node_search',2.73835),('vestibulum',21,'ar','node_search',1.4523),('vestibulum',21,'en','node_search',1.4523),('vestibulum',22,'ar','node_search',3.61057),('vestibulum',22,'en','node_search',3.61057),('vestibulum',24,'ar','node_search',1.65012),('vestibulum',24,'en','node_search',1.65012),('vestibulum',27,'ar','node_search',0.827757),('vestibulum',27,'en','node_search',0.827757),('vestibulum',28,'ar','node_search',1.58216),('vestibulum',28,'en','node_search',1.58216),('vestibulum',29,'ar','node_search',3.42575),('vestibulum',29,'en','node_search',3.42575),('vestibulum',30,'ar','node_search',0.781775),('vestibulum',30,'en','node_search',0.781775),('vestibulum',31,'ar','node_search',2.36067),('vestibulum',31,'en','node_search',2.36067),('vestibulum',33,'ar','node_search',0.913226),('vestibulum',33,'en','node_search',0.913226),('vestibulum',34,'ar','node_search',6.29473),('vestibulum',34,'en','node_search',6.29473),('vestibulum',35,'ar','node_search',0.848323),('vestibulum',35,'en','node_search',0.848323),('vestibulum',36,'ar','node_search',1.59895),('vestibulum',36,'en','node_search',1.59895),('vestibulum',38,'en','node_search',7.34968),('vibrant',5,'ar','node_search',1),('vibrant',5,'en','node_search',1),('vicis',48,'en','node_search',0.931053),('video',9,'ar','node_search',1),('video',9,'en','node_search',1),('view',15,'ar','node_search',1),('view',15,'en','node_search',1),('vindico',48,'en','node_search',28.8828),('virtus',48,'en','node_search',1.82166),('visit',4,'ar','node_search',1),('visit',4,'en','node_search',1),('visit',40,'en','node_search',11),('visit',41,'en','node_search',11),('visit',42,'en','node_search',11),('visit',43,'en','node_search',11),('visit',44,'en','node_search',11),('visit',45,'en','node_search',11),('visit',46,'en','node_search',11),('visit',47,'en','node_search',11),('visit',49,'en','node_search',66),('visitors',2,'ar','node_search',1),('visitors',2,'en','node_search',1),('vitae',1,'ar','node_search',3.78206),('vitae',1,'en','node_search',3.78206),('vitae',2,'ar','node_search',3.19287),('vitae',2,'en','node_search',3.20373),('vitae',3,'ar','node_search',2.12653),('vitae',3,'en','node_search',2.12653),('vitae',4,'ar','node_search',1.42269),('vitae',4,'en','node_search',1.42693),('vitae',5,'ar','node_search',4.11695),('vitae',5,'en','node_search',4.11695),('vitae',6,'ar','node_search',3.23079),('vitae',6,'en','node_search',3.23079),('vitae',8,'ar','node_search',3.8661),('vitae',8,'en','node_search',3.8661),('vitae',10,'ar','node_search',4.29423),('vitae',10,'en','node_search',4.29423),('vitae',11,'ar','node_search',2.2314),('vitae',11,'en','node_search',2.2314),('vitae',12,'ar','node_search',4.8941),('vitae',12,'en','node_search',4.8941),('vitae',13,'ar','node_search',3.43425),('vitae',13,'en','node_search',3.43425),('vitae',14,'ar','node_search',4.51533),('vitae',14,'en','node_search',4.51533),('vitae',15,'ar','node_search',4.62227),('vitae',15,'en','node_search',4.62227),('vitae',16,'ar','node_search',4.62357),('vitae',16,'en','node_search',4.62357),('vitae',17,'ar','node_search',4.13492),('vitae',17,'en','node_search',4.13492),('vitae',18,'ar','node_search',3.75969),('vitae',18,'en','node_search',3.75969),('vitae',19,'ar','node_search',3.24165),('vitae',19,'en','node_search',3.24165),('vitae',20,'ar','node_search',2.69046),('vitae',20,'en','node_search',2.69046),('vitae',21,'ar','node_search',1.72993),('vitae',21,'en','node_search',1.72993),('vitae',22,'ar','node_search',3.71868),('vitae',22,'en','node_search',3.71868),('vitae',23,'ar','node_search',2.34255),('vitae',23,'en','node_search',2.34255),('vitae',24,'ar','node_search',4.91804),('vitae',24,'en','node_search',4.91804),('vitae',25,'ar','node_search',5.60315),('vitae',25,'en','node_search',5.60315),('vitae',26,'ar','node_search',3.62198),('vitae',26,'en','node_search',3.62198),('vitae',27,'ar','node_search',2.62309),('vitae',27,'en','node_search',2.62309),('vitae',28,'ar','node_search',3.30968),('vitae',28,'en','node_search',3.30968),('vitae',30,'ar','node_search',3.0062),('vitae',30,'en','node_search',3.0062),('vitae',31,'ar','node_search',3.01168),('vitae',31,'en','node_search',3.01168),('vitae',32,'ar','node_search',2.67109),('vitae',32,'en','node_search',2.67109),('vitae',33,'ar','node_search',2.68185),('vitae',33,'en','node_search',2.68185),('vitae',34,'ar','node_search',4.64879),('vitae',34,'en','node_search',4.64879),('vitae',35,'ar','node_search',2.54026),('vitae',35,'en','node_search',2.54026),('vitae',36,'ar','node_search',1.76188),('vitae',36,'en','node_search',1.76188),('vitae',38,'en','node_search',6.65112),('vivamus',1,'ar','node_search',1.73841),('vivamus',1,'en','node_search',1.73841),('vivamus',2,'ar','node_search',0.716357),('vivamus',2,'en','node_search',0.718502),('vivamus',3,'ar','node_search',0.681785),('vivamus',3,'en','node_search',0.681785),('vivamus',7,'ar','node_search',1),('vivamus',7,'en','node_search',1),('vivamus',11,'ar','node_search',0.689612),('vivamus',11,'en','node_search',0.689612),('vivamus',12,'ar','node_search',0.892724),('vivamus',12,'en','node_search',0.892724),('vivamus',15,'ar','node_search',2.99315),('vivamus',15,'en','node_search',2.99315),('vivamus',19,'ar','node_search',2.47115),('vivamus',19,'en','node_search',2.47115),('vivamus',21,'ar','node_search',0.742984),('vivamus',21,'en','node_search',0.742984),('vivamus',24,'ar','node_search',1.82776),('vivamus',24,'en','node_search',1.82776),('vivamus',27,'ar','node_search',1),('vivamus',27,'en','node_search',1),('vivamus',29,'ar','node_search',1.71249),('vivamus',29,'en','node_search',1.71249),('vivamus',30,'ar','node_search',2.32322),('vivamus',30,'en','node_search',2.32322),('vivamus',31,'ar','node_search',1.57194),('vivamus',31,'en','node_search',1.57194),('vivamus',32,'ar','node_search',0.805455),('vivamus',32,'en','node_search',0.805455),('vivamus',33,'ar','node_search',1.7974),('vivamus',33,'en','node_search',1.7974),('vivamus',35,'ar','node_search',1.74762),('vivamus',35,'en','node_search',1.74762),('vivamus',36,'ar','node_search',0.779231),('vivamus',36,'en','node_search',0.779231),('vivamus',38,'en','node_search',1.75231),('viverra',1,'ar','node_search',1.57775),('viverra',1,'en','node_search',1.57775),('viverra',2,'ar','node_search',0.882818),('viverra',2,'en','node_search',0.886095),('viverra',6,'ar','node_search',0.813674),('viverra',6,'en','node_search',0.813674),('viverra',7,'ar','node_search',1.90974),('viverra',7,'en','node_search',1.90974),('viverra',9,'ar','node_search',0.830633),('viverra',9,'en','node_search',0.830633),('viverra',10,'ar','node_search',0.839384),('viverra',10,'en','node_search',0.839384),('viverra',11,'ar','node_search',2.49259),('viverra',11,'en','node_search',2.49259),('viverra',12,'ar','node_search',1.87313),('viverra',12,'en','node_search',1.87313),('viverra',13,'ar','node_search',0.830633),('viverra',13,'en','node_search',0.830633),('viverra',14,'ar','node_search',1.62463),('viverra',14,'en','node_search',1.62463),('viverra',15,'ar','node_search',2.61816),('viverra',15,'en','node_search',2.61816),('viverra',16,'ar','node_search',2.61363),('viverra',16,'en','node_search',2.61363),('viverra',17,'ar','node_search',2.27302),('viverra',17,'en','node_search',2.27302),('viverra',18,'ar','node_search',0.961087),('viverra',18,'en','node_search',0.961087),('viverra',19,'ar','node_search',1.6371),('viverra',19,'en','node_search',1.6371),('viverra',20,'ar','node_search',2.63312),('viverra',20,'en','node_search',2.63312),('viverra',21,'ar','node_search',1.40172),('viverra',21,'en','node_search',1.40172),('viverra',22,'ar','node_search',1.6527),('viverra',22,'en','node_search',1.6527),('viverra',23,'ar','node_search',1.4797),('viverra',23,'en','node_search',1.4797),('viverra',24,'ar','node_search',1.42433),('viverra',24,'en','node_search',1.42433),('viverra',25,'ar','node_search',1.62191),('viverra',25,'en','node_search',1.62191),('viverra',26,'ar','node_search',1.9689),('viverra',26,'en','node_search',1.9689),('viverra',29,'ar','node_search',0.662985),('viverra',29,'en','node_search',0.662985),('viverra',31,'ar','node_search',1.78182),('viverra',31,'en','node_search',1.78182),('viverra',32,'ar','node_search',1.80993),('viverra',32,'en','node_search',1.80993),('viverra',34,'ar','node_search',3.67662),('viverra',34,'en','node_search',3.67662),('viverra',38,'en','node_search',1.49993),('voila',6,'ar','node_search',1),('voila',6,'en','node_search',1),('volcano',3,'ar','node_search',1),('volcano',3,'en','node_search',1),('volleyball',2,'ar','node_search',1),('volleyball',2,'en','node_search',1),('voluptua',38,'en','node_search',1.7542),('volutpat',2,'ar','node_search',1.6345),('volutpat',2,'en','node_search',1.6402),('volutpat',3,'ar','node_search',0.674137),('volutpat',3,'en','node_search',0.674137),('volutpat',5,'ar','node_search',1.76458),('volutpat',5,'en','node_search',1.76458),('volutpat',6,'ar','node_search',0.830633),('volutpat',6,'en','node_search',0.830633),('volutpat',8,'ar','node_search',1),('volutpat',8,'en','node_search',1),('volutpat',10,'ar','node_search',1.53195),('volutpat',10,'en','node_search',1.53195),('volutpat',11,'ar','node_search',2.252),('volutpat',11,'en','node_search',2.252),('volutpat',12,'ar','node_search',1.8967),('volutpat',12,'en','node_search',1.8967),('volutpat',13,'ar','node_search',0.980874),('volutpat',13,'en','node_search',0.980874),('volutpat',14,'ar','node_search',0.923838),('volutpat',14,'en','node_search',0.923838),('volutpat',15,'ar','node_search',0.824901),('volutpat',15,'en','node_search',0.824901),('volutpat',16,'ar','node_search',1),('volutpat',16,'en','node_search',1),('volutpat',17,'ar','node_search',1),('volutpat',17,'en','node_search',1),('volutpat',19,'ar','node_search',1.73528),('volutpat',19,'en','node_search',1.73528),('volutpat',21,'ar','node_search',0.749958),('volutpat',21,'en','node_search',0.749958),('volutpat',22,'ar','node_search',1.81367),('volutpat',22,'en','node_search',1.81367),('volutpat',23,'ar','node_search',1.69927),('volutpat',23,'en','node_search',1.69927),('volutpat',24,'ar','node_search',2.51193),('volutpat',24,'en','node_search',2.51193),('volutpat',25,'ar','node_search',1),('volutpat',25,'en','node_search',1),('volutpat',26,'ar','node_search',1.72961),('volutpat',26,'en','node_search',1.72961),('volutpat',27,'ar','node_search',1),('volutpat',27,'en','node_search',1),('volutpat',28,'ar','node_search',0.830633),('volutpat',28,'en','node_search',0.830633),('volutpat',29,'ar','node_search',2.60127),('volutpat',29,'en','node_search',2.60127),('volutpat',30,'ar','node_search',0.685676),('volutpat',30,'en','node_search',0.685676),('volutpat',31,'ar','node_search',2.20489),('volutpat',31,'en','node_search',2.20489),('volutpat',34,'ar','node_search',0.822065),('volutpat',34,'en','node_search',0.822065),('volutpat',36,'ar','node_search',1.65753),('volutpat',36,'en','node_search',1.65536),('volutpat',38,'en','node_search',3.00677),('volutpat',48,'en','node_search',2.92384),('vow',27,'ar','node_search',27),('vow',27,'en','node_search',27),('vows',27,'ar','node_search',2),('vows',27,'en','node_search',2),('vulpes',48,'en','node_search',2.88282),('vulputate',4,'ar','node_search',0.705825),('vulputate',4,'en','node_search',0.707906),('vulputate',5,'ar','node_search',0.76188),('vulputate',5,'en','node_search',0.76188),('vulputate',6,'ar','node_search',1),('vulputate',6,'en','node_search',1),('vulputate',7,'ar','node_search',0.779231),('vulputate',7,'en','node_search',0.779231),('vulputate',8,'ar','node_search',1),('vulputate',8,'en','node_search',1),('vulputate',9,'ar','node_search',0.695602),('vulputate',9,'en','node_search',0.695602),('vulputate',10,'ar','node_search',0.769219),('vulputate',10,'en','node_search',0.769219),('vulputate',11,'ar','node_search',2.24655),('vulputate',11,'en','node_search',2.24655),('vulputate',13,'ar','node_search',1.9534),('vulputate',13,'en','node_search',1.9534),('vulputate',14,'ar','node_search',1.7508),('vulputate',14,'en','node_search',1.7508),('vulputate',16,'ar','node_search',1),('vulputate',16,'en','node_search',1),('vulputate',17,'ar','node_search',1),('vulputate',17,'en','node_search',1),('vulputate',18,'ar','node_search',1),('vulputate',18,'en','node_search',1),('vulputate',19,'ar','node_search',2.53316),('vulputate',19,'en','node_search',2.53316),('vulputate',21,'ar','node_search',0.784336),('vulputate',21,'en','node_search',0.784336),('vulputate',24,'ar','node_search',1.82206),('vulputate',24,'en','node_search',1.82206),('vulputate',25,'ar','node_search',2.65316),('vulputate',25,'en','node_search',2.65316),('vulputate',26,'ar','node_search',0.797402),('vulputate',26,'en','node_search',0.797402),('vulputate',27,'ar','node_search',1),('vulputate',27,'en','node_search',1),('vulputate',28,'ar','node_search',0.863659),('vulputate',28,'en','node_search',0.863659),('vulputate',29,'ar','node_search',1.49723),('vulputate',29,'en','node_search',1.49723),('vulputate',30,'ar','node_search',0.668514),('vulputate',30,'en','node_search',0.668514),('vulputate',31,'ar','node_search',1.58749),('vulputate',31,'en','node_search',1.58749),('vulputate',32,'ar','node_search',1.85135),('vulputate',32,'en','node_search',1.85135),('vulputate',34,'ar','node_search',0.833529),('vulputate',34,'en','node_search',0.833529),('vulputate',36,'ar','node_search',1),('vulputate',36,'en','node_search',1),('vulputate',38,'en','node_search',3.94091),('vulputate',48,'en','node_search',0.842342),('walked',5,'ar','node_search',1),('walked',5,'en','node_search',1),('walking',3,'ar','node_search',1),('walking',3,'en','node_search',1),('walking',10,'ar','node_search',1),('walking',10,'en','node_search',1),('wand',36,'ar','node_search',1),('wand',36,'en','node_search',1),('wanted',10,'ar','node_search',1),('wanted',10,'en','node_search',1),('wares',22,'ar','node_search',1),('wares',22,'en','node_search',1),('wares',33,'ar','node_search',1),('wares',33,'en','node_search',1),('warn',3,'ar','node_search',1),('warn',3,'en','node_search',1),('was',3,'ar','node_search',2),('was',3,'en','node_search',2),('was',11,'ar','node_search',1),('was',11,'en','node_search',1),('was',15,'ar','node_search',1),('was',15,'en','node_search',1),('was',19,'ar','node_search',1),('was',19,'en','node_search',1),('was',24,'ar','node_search',3),('was',24,'en','node_search',3),('was',26,'ar','node_search',1),('was',26,'en','node_search',1),('was',31,'ar','node_search',1),('was',31,'en','node_search',1),('was',35,'ar','node_search',2),('was',35,'en','node_search',2),('washington',26,'ar','node_search',1),('washington',26,'en','node_search',1),('washington',31,'ar','node_search',1),('washington',31,'en','node_search',1),('watch',2,'ar','node_search',1),('watch',2,'en','node_search',1),('watch',9,'ar','node_search',1),('watch',9,'en','node_search',1),('water',3,'ar','node_search',0.938382),('water',3,'en','node_search',0.938382),('water',4,'ar','node_search',3),('water',4,'en','node_search',3),('waterford',7,'ar','node_search',1),('waterford',7,'en','node_search',1),('way',3,'ar','node_search',1),('way',3,'en','node_search',1),('way',32,'ar','node_search',2),('way',32,'en','node_search',2),('way',35,'ar','node_search',27),('way',35,'en','node_search',27),('way',49,'en','node_search',19),('ways',27,'ar','node_search',1),('ways',27,'en','node_search',1),('ways',36,'ar','node_search',1),('ways',36,'en','node_search',1),('wear',5,'ar','node_search',1),('wear',5,'en','node_search',1),('wearing',3,'ar','node_search',1),('wearing',3,'en','node_search',1),('wearing',25,'ar','node_search',1),('wearing',25,'en','node_search',1),('wearing',49,'en','node_search',0.976851),('website',13,'ar','node_search',1),('website',13,'en','node_search',1),('wedding',27,'ar','node_search',29),('wedding',27,'en','node_search',29),('wedding',30,'ar','node_search',28),('wedding',30,'en','node_search',28),('wedding',33,'ar','node_search',1),('wedding',33,'en','node_search',1),('wedding',49,'en','node_search',14.5676),('weddings',30,'ar','node_search',1),('weddings',30,'en','node_search',1),('weddings',33,'ar','node_search',28),('weddings',33,'en','node_search',28),('weddings',49,'en','node_search',19),('week',1,'ar','node_search',1),('week',1,'en','node_search',1),('week',20,'ar','node_search',1),('week',20,'en','node_search',1),('week',33,'ar','node_search',28),('week',33,'en','node_search',28),('week',49,'en','node_search',19),('weekend',26,'ar','node_search',1),('weekend',26,'en','node_search',1),('weekend',28,'ar','node_search',1),('weekend',28,'en','node_search',1),('weekend',49,'en','node_search',0.813674),('weeks',17,'ar','node_search',1),('weeks',17,'en','node_search',1),('weight',7,'ar','node_search',1),('weight',7,'en','node_search',1),('weight',35,'ar','node_search',28),('weight',35,'en','node_search',28),('weight',49,'en','node_search',19),('weightloss',35,'ar','node_search',2),('weightloss',35,'en','node_search',2),('welcome',30,'ar','node_search',1),('welcome',30,'en','node_search',1),('welcome',49,'en','node_search',0.851346),('well',4,'ar','node_search',1),('well',4,'en','node_search',1),('were',2,'ar','node_search',1),('were',2,'en','node_search',1),('were',3,'ar','node_search',0.934703),('were',3,'en','node_search',0.934703),('were',9,'ar','node_search',2),('were',9,'en','node_search',2),('were',10,'ar','node_search',1),('were',10,'en','node_search',1),('were',19,'ar','node_search',2),('were',19,'en','node_search',2),('were',23,'ar','node_search',2),('were',23,'en','node_search',2),('weren',15,'ar','node_search',1),('weren',15,'en','node_search',1),('west',4,'ar','node_search',1),('west',4,'en','node_search',1),('west',28,'ar','node_search',1),('west',28,'en','node_search',1),('western',2,'ar','node_search',1),('western',2,'en','node_search',1),('whakatane',3,'ar','node_search',2),('whakatane',3,'en','node_search',2),('what',5,'ar','node_search',27),('what',5,'en','node_search',27),('what',7,'ar','node_search',27),('what',7,'en','node_search',27),('what',18,'ar','node_search',1),('what',18,'en','node_search',1),('what',27,'ar','node_search',1),('what',27,'en','node_search',1),('what',34,'ar','node_search',1),('what',34,'en','node_search',1),('what',49,'en','node_search',1),('whatsoever',31,'ar','node_search',1),('whatsoever',31,'en','node_search',1),('wheel',7,'ar','node_search',2),('wheel',7,'en','node_search',2),('when',4,'ar','node_search',1),('when',4,'en','node_search',1),('when',7,'ar','node_search',1),('when',7,'en','node_search',1),('when',15,'ar','node_search',1),('when',15,'en','node_search',1),('when',17,'ar','node_search',27),('when',17,'en','node_search',27),('when',30,'ar','node_search',1),('when',30,'en','node_search',1),('when',35,'ar','node_search',2),('when',35,'en','node_search',2),('where',15,'ar','node_search',1),('where',15,'en','node_search',1),('where',23,'ar','node_search',1),('where',23,'en','node_search',1),('where',27,'ar','node_search',1),('where',27,'en','node_search',1),('where',29,'ar','node_search',1),('where',29,'en','node_search',1),('whether',4,'ar','node_search',1),('whether',4,'en','node_search',1),('which',13,'ar','node_search',1),('which',13,'en','node_search',1),('which',29,'ar','node_search',1),('which',29,'en','node_search',1),('which',31,'ar','node_search',2),('which',31,'en','node_search',2),('while',21,'ar','node_search',1),('while',21,'en','node_search',1),('while',25,'ar','node_search',1),('while',25,'en','node_search',1),('while',30,'ar','node_search',1),('while',30,'en','node_search',1),('while',31,'ar','node_search',1),('while',31,'en','node_search',1),('while',49,'en','node_search',0.980874),('whisper',27,'ar','node_search',1),('whisper',27,'en','node_search',1),('white',3,'ar','node_search',1),('white',3,'en','node_search',1),('white',4,'ar','node_search',1),('white',4,'en','node_search',1),('white',26,'ar','node_search',1),('white',26,'en','node_search',1),('who',5,'ar','node_search',1),('who',5,'en','node_search',1),('who',9,'ar','node_search',1),('who',9,'en','node_search',1),('who',10,'ar','node_search',1),('who',10,'en','node_search',1),('who',20,'ar','node_search',1),('who',20,'en','node_search',1),('who',29,'ar','node_search',1),('who',29,'en','node_search',1),('who',30,'ar','node_search',27),('who',30,'en','node_search',27),('who',31,'ar','node_search',1),('who',31,'en','node_search',1),('who',35,'ar','node_search',3),('who',35,'en','node_search',3),('who',49,'en','node_search',13.8185),('why',36,'ar','node_search',1),('why',36,'en','node_search',1),('why',49,'en','node_search',1),('wider',7,'ar','node_search',1),('wider',7,'en','node_search',1),('wider',10,'ar','node_search',1),('wider',10,'en','node_search',1),('wielded',11,'ar','node_search',1),('wielded',11,'en','node_search',1),('wild',4,'ar','node_search',1),('wild',4,'en','node_search',1),('wildly',3,'ar','node_search',0.927431),('wildly',3,'en','node_search',0.927431),('will',7,'ar','node_search',1),('will',7,'en','node_search',1),('will',13,'ar','node_search',1),('will',13,'en','node_search',1),('will',16,'ar','node_search',1.79475),('will',16,'en','node_search',1.80007),('will',27,'ar','node_search',27),('will',27,'en','node_search',27),('will',28,'ar','node_search',4),('will',28,'en','node_search',4),('will',29,'ar','node_search',0.927431),('will',29,'en','node_search',0.927431),('will',30,'ar','node_search',28),('will',30,'en','node_search',28),('will',49,'en','node_search',14.6548),('winner',10,'ar','node_search',2),('winner',10,'en','node_search',2),('wisconsin',14,'ar','node_search',2),('wisconsin',14,'en','node_search',2),('wisconsin',49,'en','node_search',1.86943),('wisi',38,'en','node_search',2.48992),('wisi',48,'en','node_search',1.86055),('with',1,'ar','node_search',2),('with',1,'en','node_search',2),('with',2,'ar','node_search',2),('with',2,'en','node_search',2),('with',3,'ar','node_search',4),('with',3,'en','node_search',4),('with',4,'ar','node_search',4),('with',4,'en','node_search',4),('with',5,'ar','node_search',3),('with',5,'en','node_search',3),('with',6,'ar','node_search',27),('with',6,'en','node_search',27),('with',7,'ar','node_search',1),('with',7,'en','node_search',1),('with',9,'ar','node_search',0.976851),('with',9,'en','node_search',0.976851),('with',10,'ar','node_search',2),('with',10,'en','node_search',2),('with',11,'ar','node_search',1),('with',11,'en','node_search',1),('with',13,'ar','node_search',1),('with',13,'en','node_search',1),('with',15,'ar','node_search',1),('with',15,'en','node_search',1),('with',16,'ar','node_search',2),('with',16,'en','node_search',2),('with',17,'ar','node_search',2),('with',17,'en','node_search',2),('with',18,'ar','node_search',1),('with',18,'en','node_search',1),('with',20,'ar','node_search',1),('with',20,'en','node_search',1),('with',21,'ar','node_search',1),('with',21,'en','node_search',1),('with',23,'ar','node_search',3),('with',23,'en','node_search',3),('with',24,'ar','node_search',1),('with',24,'en','node_search',1),('with',27,'ar','node_search',1),('with',27,'en','node_search',1),('with',28,'ar','node_search',2),('with',28,'en','node_search',2),('with',29,'ar','node_search',4.89932),('with',29,'en','node_search',4.89932),('with',30,'ar','node_search',2),('with',30,'en','node_search',2),('with',32,'ar','node_search',1),('with',32,'en','node_search',1),('with',33,'ar','node_search',1),('with',33,'en','node_search',1),('with',36,'ar','node_search',2),('with',36,'en','node_search',2),('with',49,'en','node_search',0.830633),('within',28,'ar','node_search',1),('within',28,'en','node_search',1),('without',29,'ar','node_search',0.942091),('without',29,'en','node_search',0.942091),('without',36,'ar','node_search',1),('without',36,'en','node_search',1),('without',49,'en','node_search',1),('woman',19,'ar','node_search',1),('woman',19,'en','node_search',1),('women',10,'ar','node_search',1),('women',10,'en','node_search',1),('women',36,'ar','node_search',1),('women',36,'en','node_search',1),('women',49,'en','node_search',1),('won',36,'ar','node_search',1),('won',36,'en','node_search',1),('won',49,'en','node_search',1),('wondered',11,'ar','node_search',1),('wondered',11,'en','node_search',1),('wonderland',2,'ar','node_search',1),('wonderland',2,'en','node_search',1),('words',15,'ar','node_search',1),('words',15,'en','node_search',1),('work',1,'ar','node_search',1),('work',1,'en','node_search',1),('work',9,'ar','node_search',1),('work',9,'en','node_search',1),('work',11,'ar','node_search',1),('work',11,'en','node_search',1),('work',18,'ar','node_search',1),('work',18,'en','node_search',1),('works',19,'ar','node_search',3),('works',19,'en','node_search',3),('works',23,'ar','node_search',2),('works',23,'en','node_search',2),('world',1,'ar','node_search',1),('world',1,'en','node_search',1),('world',2,'ar','node_search',1),('world',2,'en','node_search',1),('world',4,'ar','node_search',1),('world',4,'en','node_search',1),('world',8,'ar','node_search',27),('world',8,'en','node_search',27),('world',11,'ar','node_search',1),('world',11,'en','node_search',1),('world',25,'ar','node_search',30),('world',25,'en','node_search',30),('world',31,'ar','node_search',2),('world',31,'en','node_search',2),('world',49,'en','node_search',20.9849),('worth',17,'ar','node_search',1),('worth',17,'en','node_search',1),('worth',19,'ar','node_search',27),('worth',19,'en','node_search',27),('worth',21,'ar','node_search',1),('worth',21,'en','node_search',1),('would',2,'ar','node_search',1),('would',2,'en','node_search',1),('would',5,'ar','node_search',27),('would',5,'en','node_search',27),('would',6,'ar','node_search',1),('would',6,'en','node_search',1),('would',7,'ar','node_search',27),('would',7,'en','node_search',27),('would',18,'ar','node_search',1),('would',18,'en','node_search',1),('wouldn',15,'ar','node_search',1),('wouldn',15,'en','node_search',1),('wrong',27,'ar','node_search',27),('wrong',27,'en','node_search',27),('year',2,'ar','node_search',1),('year',2,'en','node_search',1),('year',3,'ar','node_search',1.91674),('year',3,'en','node_search',1.91674),('year',11,'ar','node_search',1),('year',11,'en','node_search',1),('year',14,'ar','node_search',1),('year',14,'en','node_search',1),('yeararound',2,'ar','node_search',1),('yeararound',2,'en','node_search',1),('years',9,'ar','node_search',1),('years',9,'en','node_search',1),('years',23,'ar','node_search',1),('years',23,'en','node_search',1),('yes',35,'ar','node_search',1),('yes',35,'en','node_search',1),('ymo',48,'en','node_search',0.923838),('york',5,'ar','node_search',1),('york',5,'en','node_search',1),('york',6,'ar','node_search',1),('york',6,'en','node_search',1),('you',2,'ar','node_search',2),('you',2,'en','node_search',2),('you',3,'ar','node_search',1),('you',3,'en','node_search',1),('you',4,'ar','node_search',4),('you',4,'en','node_search',4),('you',17,'ar','node_search',4),('you',17,'en','node_search',4),('you',27,'ar','node_search',27),('you',27,'en','node_search',27),('you',29,'ar','node_search',1),('you',29,'en','node_search',1),('you',30,'ar','node_search',32),('you',30,'en','node_search',32),('you',32,'ar','node_search',2),('you',32,'en','node_search',2),('you',33,'ar','node_search',1),('you',33,'en','node_search',1),('you',34,'ar','node_search',1),('you',34,'en','node_search',1),('you',36,'ar','node_search',2),('you',36,'en','node_search',2),('you',49,'en','node_search',14.7687),('young',3,'ar','node_search',0.906287),('young',3,'en','node_search',0.906287),('young',31,'ar','node_search',2),('young',31,'en','node_search',2),('your',4,'ar','node_search',2),('your',4,'en','node_search',2),('your',29,'ar','node_search',1),('your',29,'en','node_search',1),('your',30,'ar','node_search',33.989),('your',30,'en','node_search',33.989),('your',32,'ar','node_search',3),('your',32,'en','node_search',3),('your',34,'ar','node_search',2),('your',34,'en','node_search',2),('your',35,'ar','node_search',1),('your',35,'en','node_search',1),('your',36,'ar','node_search',31),('your',36,'en','node_search',31),('your',49,'en','node_search',33.5676),('youtube',9,'ar','node_search',1),('youtube',9,'en','node_search',1),('zealand',4,'ar','node_search',1),('zealand',4,'en','node_search',1),('zealand',13,'ar','node_search',2),('zealand',13,'en','node_search',2),('zealand',16,'ar','node_search',1),('zealand',16,'en','node_search',1),('zircon',44,'en','node_search',27),('zircon',49,'en','node_search',19),('zone',30,'ar','node_search',1),('zone',30,'en','node_search',1);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf''s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.0511525),('10',0.0669468),('1000',0.00603655),('100000',0.176091),('10182022',0.30103),('10232022',0.30103),('10am',0.176091),('1100',0.176091),('12',0.09691),('1200',0.30103),('12132015',0.00864283),('12142015',0.30103),('131',0.176091),('1400',0.176091),('144',0.176091),('1488',0.176091),('15000',0.176091),('16th',0.176091),('17',0.09691),('18plus',0.176091),('1903',0.30103),('1907',0.30103),('1908',0.124939),('1912',0.124939),('1915',0.09691),('1928',0.30103),('1930',0.09691),('1934',0.124939),('1936',0.176091),('1937',0.09691),('1942',0.0579919),('1949',0.0791812),('1950',0.176091),('1968',0.176091),('1977',0.176091),('1995',0.176091),('2',0.0355457),('20',0.09691),('2002',0.176091),('2003',0.176091),('2005',0.09691),('2008',0.176091),('201314',0.176091),('2014',0.00634847),('20yearold',0.176091),('2133',0.176091),('2134',0.30103),('2135',0.30103),('2136',0.30103),('2139',0.30103),('2140',0.0879178),('2141',0.30103),('2150',0.124939),('2151',0.176091),('2152',0.176091),('2153',0.124939),('2154',0.0791812),('2155',0.0791812),('2230',0.30103),('2249',0.11877),('2250',0.214175),('2253',0.30103),('228',0.176091),('2311',0.30103),('2312',0.0791812),('2320',0.176091),('24',0.176091),('25',0.00590886),('250',0.30103),('252',0.30103),('253',0.30103),('254',0.09691),('26',0.176091),('28',0.09691),('3000',0.176091),('34',0.176091),('370mile',0.176091),('4',0.176091),('40',0.176091),('400',0.176091),('437',0.176091),('45m',0.00768683),('473',0.176091),('49',0.176091),('5',0.00560388),('50',0.186088),('5052016',0.0579919),('5102016',0.0147233),('586',0.176091),('6',0.00634766),('60',0.176091),('61',0.176091),('63',0.176091),('6500',0.176091),('665',0.176091),('676',0.176091),('68',0.176091),('691',0.176091),('7',0.176091),('70',0.176091),('700',0.176091),('7212016',0.226452),('75',0.176091),('75yearold',0.176091),('8',0.176091),('80000',0.176091),('81yearold',0.176091),('838',0.176091),('885',0.176091),('90',0.176091),('900000',0.176091),('abbas',0.131922),('abdo',0.30103),('abico',0.30103),('abigo',0.134833),('aboard',0.176091),('about',0.0263289),('above',0.176091),('abroad',0.176091),('absolutely',0.00796893),('abu',0.176091),('academic',0.176091),('accelerating',0.176091),('accepting',0.09691),('accessioned',0.176091),('according',0.09691),('accounts',0.176091),('accumsan',0.00479137),('accusam',0.30103),('acquired',0.176091),('across',0.176091),('acsi',0.30103),('act',0.00616813),('actions',0.176091),('activities',0.176091),('added',0.176091),('adding',0.176091),('additional',0.176091),('address',0.176091),('adds',0.176091),('adept',0.176091),('adipiscing',0.00531403),('adipisici',0.30103),('admin',0.00476628),('admission',0.176091),('admit',0.176091),('adopted',0.176091),('advance',0.176091),('adventure',0.00796893),('adventurous',0.176091),('adviser',0.00796893),('advisers',0.176091),('advisory',0.176091),('advocacy',0.176091),('aenean',0.00575747),('affects',0.176091),('after',0.0669468),('against',0.176091),('aged',0.068325),('agency',0.09691),('ages',0.176091),('ago',0.176091),('agreed',0.124939),('agricultural',0.176091),('air',0.176091),('aisle',0.176091),('aka',0.176091),('alberta',0.176091),('alike',0.176091),('aliqua',0.30103),('aliquam',0.00236575),('aliquet',0.00623154),('aliquip',0.090529),('aliquyam',0.30103),('alive',0.176091),('all',0.00634018),('allow',0.176091),('almost',0.176091),('alone',0.176091),('along',0.176091),('although',0.176091),('always',0.176091),('amazing',0.00560388),('ambassador',0.176091),('amendment',0.00354787),('americas',0.176091),('amet',0.0016209),('among',0.0413927),('and',0.00122594),('andre',0.124939),('angele',0.176091),('angeles',0.176091),('anim',0.134029),('animal',0.09691),('animals',0.176091),('annual',0.176091),('anonymously',0.176091),('another',0.176091),('answers',0.176091),('ante',0.00234887),('antehabeo',0.187562),('antioxidant',0.176091),('any',0.0413927),('anyway',0.176091),('app',0.176091),('appearance',0.176091),('appears',0.176091),('applicants',0.176091),('apply',0.176091),('appoint',0.176091),('appointment',0.176091),('appreciated',0.176091),('approaches',0.09691),('aptent',0.0263892),('arabia',0.176091),('archaeology',0.176091),('architecture',0.176091),('archives',0.176091),('arcu',0.0037368),('are',0.0122911),('area',0.176091),('areas',0.176091),('aren',0.0991498),('around',0.0347621),('arrival',0.176091),('art',0.00315852),('artefacts',0.00742402),('artery',0.176091),('arthur',0.176091),('article',0.176091),('artist',0.176091),('artists',0.09691),('arts',0.176091),('asked',0.09691),('asks',0.176091),('asos',0.176091),('assent',0.176091),('assists',0.09691),('associated',0.176091),('association',0.09691),('assuaging',0.176091),('attached',0.176091),('attack',0.00768683),('attention',0.194894),('attributed',0.176091),('auctions',0.176091),('auctor',0.00480124),('audience',0.176091),('audrey',0.176091),('augue',0.0032712),('august',0.176091),('australia',0.176091),('australians',0.176091),('autem',0.187312),('authorities',0.09691),('authority',0.09691),('autox',0.0157943),('awake',0.176091),('award',0.00706808),('back',0.00768683),('backgrounds',0.177695),('bad',0.176091),('bag',0.176091),('bagged',0.176091),('bali',0.00742402),('bananacrazy',0.176091),('bang',0.176091),('banish',0.00590886),('bars',0.176091),('base',0.09691),('baton',0.176091),('bay',0.00393029),('bays',0.177392),('beach',0.0350343),('beaches',0.00337974),('beatriz',0.176091),('beautiful',0.176091),('beautifully',0.176091),('beauty',0.09691),('became',0.124939),('because',0.09691),('become',0.00742402),('been',0.0177288),('before',0.0670025),('began',0.176091),('behind',0.09691),('being',0.0299632),('belgium',0.00796893),('believe',0.176091),('believed',0.176091),('bell',0.176091),('belongings',0.176091),('below',0.09691),('bendir',0.176091),('bene',0.30103),('benefits',0.176091),('bestdressed',0.131731),('bet',0.176091),('between',0.0511525),('beyond',0.176091),('bibendum',0.00484909),('biccherna',0.176091),('bicycle',0.176091),('biennale',0.176091),('biennial',0.00575233),('big',0.0669468),('biggest',0.176091),('bike',0.00360412),('bikes',0.176091),('bill',0.0065709),('binding',0.124939),('biosecurity',0.00768683),('bizarre',0.176091),('black',0.176091),('blahnik',0.176091),('blandit',0.00806546),('blissfilled',0.176091),('block',0.00796893),('blockbusters',0.176091),('blocked',0.176091),('blog',0.0202034),('blood',0.0682408),('blue',0.0516652),('board',0.179809),('boat',0.176091),('boats',0.00796893),('body',0.0682122),('bombs',0.176091),('bonfire',0.176091),('book',0.00796893),('bookbindings',0.176091),('bookers',0.176091),('boosting',0.176091),('border',0.176091),('born',0.176091),('both',0.176091),('bought',0.176091),('bracket',0.176091),('brain',0.176091),('branding',0.00590886),('brazilian',0.00673338),('breaking',0.176091),('breathing',0.176091),('breed',0.176091),('brick',0.176091),('bridal',0.176091),('bride',0.176091),('brides',0.09691),('bridesmaid',0.176091),('bridesmaids',0.176091),('brightened',0.176091),('bring',0.00796893),('bringing',0.176091),('british',0.00706185),('brought',0.176091),('built',0.176091),('business',0.00755314),('businesses',0.176091),('busts',0.176091),('but',0.0234811),('buying',0.00742402),('caecus',0.0989326),('california',0.176091),('camargo',0.176091),('cambridge',0.0672599),('came',0.09691),('cameras',0.176091),('camur',0.30103),('can',0.0193052),('canada',0.176091),('canadians',0.131037),('cannot',0.09691),('cantab',0.176091),('capital',0.176091),('capitals',0.176091),('capto',0.176589),('car',0.00694886),('card',0.176091),('care',0.176091),('careers',0.176091),('carrillo',0.176091),('carsten',0.176091),('cases',0.176091),('cashmere',0.176091),('catagory',0.176091),('categories',0.0222764),('cathedral',0.186384),('caught',0.176091),('causa',0.19251),('cbs',0.176091),('celebration',0.176091),('cent',0.051998),('center',0.176091),('centres',0.176091),('century',0.176091),('ceramics',0.176091),('ceremony',0.176091),('certificates',0.176091),('champlain',0.176091),('chance',0.00768683),('chances',0.176091),('changes',0.00590886),('chart',0.178301),('cheap',0.176091),('check',0.00768683),('cheers',0.187865),('children',0.09691),('chilled',0.176091),('chips',0.176091),('choice',0.176091),('chose',0.09691),('chronic',0.176091),('cities',0.176091),('city',0.0463461),('clarify',0.176091),('clarity',0.176091),('class',0.0278007),('classes',0.176091),('classic',0.176091),('clever',0.176091),('cli',0.30103),('click',0.00281098),('client',0.176091),('cliffs',0.176091),('climbed',0.176091),('climes',0.176091),('clinics',0.127485),('clita',0.126931),('cloned',0.176091),('closer',0.09691),('clutching',0.176091),('coast',0.0669468),('coastline',0.09691),('cocktails',0.176091),('code',0.09691),('coffee',0.176091),('cog',0.09691),('collaboration',0.176091),('colombia',0.00742402),('colombian',0.09691),('come',0.0669468),('comes',0.09691),('comfort',0.176091),('coming',0.176091),('comis',0.30103),('comments',0.0655113),('commodo',0.00400988),('common',0.00768683),('commoveo',0.125487),('communication',0.176091),('community',0.176091),('comp',0.30103),('companies',0.00237559),('companions',0.176091),('company',0.0048525),('compared',0.176091),('competition',0.09691),('complex',0.176091),('complications',0.180111),('condimentum',0.00596027),('confessions',0.00796893),('confirms',0.176091),('congue',0.00790302),('conical',0.176091),('consectetuer',0.0591627),('consectetur',0.00768381),('consequat',0.00432076),('conservation',0.176091),('consetetur',0.30103),('considering',0.176091),('consulting',0.176091),('contain',0.176091),('container',0.00742402),('contemporary',0.0669468),('contestant',0.176091),('controversy',0.176091),('conubia',0.0283106),('convallis',0.00532822),('converse',0.176091),('cooperation',0.176091),('cop',0.176091),('core',0.00768683),('coromandel',0.187569),('could',0.00695038),('countries',0.176091),('country',0.09691),('couple',0.068325),('couples',0.176091),('course',0.176091),('cove',0.186977),('coveted',0.176091),('coworker',0.176091),('coworkers',0.176091),('cozzarelli',0.176091),('crafted',0.176091),('crank',0.09691),('cras',0.00533997),('crater',0.176091),('cream',0.0511525),('create',0.106591),('creatures',0.176091),('credit',0.176091),('criminal',0.176091),('cringeworthy',0.176091),('criteria',0.176091),('criticism',0.09691),('crossing',0.176091),('cry',0.00796893),('cubilia',0.0260617),('cui',0.183954),('culpa',0.133223),('cultural',0.0669468),('culture',0.09691),('cum',0.0421642),('cup',0.00315887),('cupiditat',0.132561),('curabitur',0.00580814),('curae',0.0261247),('curated',0.176091),('curator',0.176091),('current',0.176091),('cursus',0.00620719),('curve',0.176091),('dad',0.190221),('damage',0.176482),('damnum',0.133072),('dapibus',0.00488882),('date',0.176091),('daughter',0.176091),('daunting',0.176091),('dave',0.176091),('david',0.0511525),('day',0.00285399),('days',0.0669468),('deal',0.176091),('dealing',0.176091),('death',0.176091),('debilitating',0.176091),('decet',0.176091),('decided',0.176091),('dedicated',0.176091),('deeper',0.176091),('deeply',0.176091),('degree',0.176091),('deliver',0.176091),('demonstrated',0.176091),('department',0.00719184),('departments',0.176091),('deprived',0.177089),('descents',0.176091),('deserunt',0.13371),('designer',0.176091),('designs',0.176091),('despite',0.176091),('destination',0.176091),('detail',0.176091),('details',0.176091),('determine',0.176091),('develop',0.187865),('development',0.0321847),('dhabi',0.176091),('diabetes',0.005132),('diagnosed',0.0681663),('diam',0.00338838),('dictum',0.00654074),('dictumst',0.038823),('did',0.0669468),('diego',0.00717858),('differences',0.176091),('different',0.176091),('dig',0.176091),('dignissim',0.0049247),('direct',0.176091),('directly',0.176091),('directorgeneral',0.176091),('dis',0.0425745),('discover',0.176091),('discovered',0.09691),('disease',0.0669468),('diseases',0.09691),('display',0.176091),('distance',0.0808155),('distances',0.176091),('distineo',0.30103),('districts',0.176091),('diving',0.185791),('division',0.180713),('diy',0.176091),('dodging',0.176091),('does',0.09691),('doesn',0.176091),('dogs',0.176091),('dolor',0.00310242),('dolore',0.141743),('dolores',0.30103),('dolphins',0.097926),('dolus',0.10284),('domestic',0.09691),('don',0.00768683),('donated',0.176091),('done',0.176091),('donec',0.00327569),('donna',0.09691),('doodled',0.176091),('door',0.176091),('doors',0.176091),('dots',0.176091),('down',0.00508299),('downpour',0.176091),('dream',0.0669468),('dreams',0.09691),('drenched',0.176091),('dress',0.176091),('drey',0.176091),('drifted',0.176091),('drink',0.00575233),('drug',0.176091),('dui',0.00411578),('duis',0.0118698),('dunes',0.181613),('duo',0.30103),('during',0.0418997),('earlier',0.176091),('early',0.09691),('east',0.176091),('easy',0.124939),('easybreezy',0.176091),('economic',0.176091),('edited',0.176091),('edmontonian',0.176091),('education',0.00729924),('effects',0.176091),('egcg',0.176091),('egestas',0.00583281),('eget',0.00212219),('eirmod',0.30103),('either',0.176091),('eiusmod',0.30103),('eleifend',0.00575117),('elementaryage',0.176091),('elementum',0.00497556),('elevate',0.176091),('eligo',0.30103),('elit',0.00344648),('elitr',0.30103),('elizabeth',0.176091),('elliott',0.09691),('email',0.09691),('emergency',0.00674463),('emerging',0.176091),('emotions',0.176091),('ena',0.176091),('encountering',0.176091),('encouraged',0.189045),('end',0.176091),('energy',0.180713),('engage',0.176091),('engineering',0.176091),('english',0.176091),('enim',0.00287657),('enjoy',0.09691),('enough',0.184304),('ensure',0.176091),('entered',0.176091),('entertaining',0.176091),('entire',0.176091),('entrance',0.176091),('entry',0.176091),('eos',0.30103),('epic',0.176091),('epidemic',0.00638444),('epigallocatechin',0.176091),('equates',0.176091),('equivalent',0.176091),('erat',0.0031209),('eros',0.00579423),('escape',0.176091),('especially',0.176091),('est',0.00273847),('establish',0.176091),('etc',0.176091),('etiam',0.00628951),('etsy',0.00575233),('etsycom',0.176091),('euismod',0.00469082),('europe',0.176091),('evade',0.176091),('even',0.00325316),('events',0.176091),('ever',0.184304),('every',0.00694886),('everyone',0.176091),('everything',0.09691),('excepteur',0.132114),('exceptional',0.176091),('excitement',0.100501),('exerci',0.109756),('exercisers',0.176091),('exhaling',0.176091),('existing',0.176091),('expansive',0.176091),('expected',0.176091),('experience',0.176091),('export',0.176091),('express',0.176091),('exputo',0.189913),('extends',0.176091),('extinguish',0.176091),('extract',0.00560388),('extracts',0.09691),('eye',0.176091),('eyelets',0.176091),('eyes',0.00576974),('faceplanting',0.176091),('facilisi',0.0254344),('facilisis',0.00575453),('fact',0.176091),('fall',0.176091),('fames',0.0224459),('families',0.176091),('family',0.09691),('far',0.0669468),('fashion',0.0321847),('fast',0.09691),('fatal',0.176091),('fatfighting',0.176091),('fatherinlaw',0.176091),('faucibus',0.00400896),('favorite',0.176091),('favourite',0.09691),('feature',0.176091),('features',0.00717858),('featuring',0.176091),('federal',0.176091),('fee',0.176091),('feel',0.00717858),('felis',0.0036568),('felt',0.176091),('fere',0.30103),('fermentum',0.0071553),('fernando',0.176091),('fetching',0.176091),('feugiat',0.00520793),('few',0.176091),('fiance',0.176091),('field',0.176091),('fields',0.132293),('fiercely',0.176091),('fifthgrade',0.178301),('figures',0.09691),('filled',0.176091),('films',0.00796893),('finals',0.176091),('finance',0.176091),('finances',0.176091),('find',0.0347621),('finding',0.176091),('findings',0.176091),('finds',0.00796893),('fine',0.176091),('finland',0.176091),('fire',0.176091),('firm',0.176091),('firmly',0.195474),('first',0.0792203),('fishing',0.176091),('fitness',0.176091),('five',0.100667),('flavor',0.176091),('flavored',0.176091),('flexibility',0.176091),('floral',0.09691),('florida',0.176091),('focus',0.09691),('focused',0.176091),('follow',0.176091),('followed',0.176091),('following',0.176091),('fooling',0.176091),('for',0.000881117),('forbid',0.176091),('forced',0.176091),('form',0.176091),('formally',0.176091),('former',0.176091),('forward',0.176091),('found',0.00673338),('founder',0.176091),('four',0.176091),('fourth',0.176091),('france',0.176091),('free',0.176091),('frequently',0.176091),('friday',0.176091),('friend',0.176091),('friends',0.0669468),('fringilla',0.00544272),('from',0.00945184),('front',0.09691),('frustrated',0.176091),('full',0.09691),('fusce',0.00451441),('future',0.176091),('gallate',0.176091),('gallery',0.176091),('games',0.19721),('garnet',0.00934003),('gases',0.176091),('gear',0.176091),('gemeos',0.176091),('gemino',0.130801),('gems',0.176091),('generally',0.176091),('genetics',0.00742402),('genomewide',0.176091),('gently',0.176091),('geometric',0.176091),('geometry',0.176091),('german',0.125187),('germany',0.176091),('get',0.00717858),('getting',0.09691),('gilvus',0.131341),('girl',0.00796893),('give',0.176091),('given',0.176091),('gives',0.176091),('glastonbury',0.132403),('glittering',0.176091),('glucose',0.176091),('glued',0.196054),('goal',0.125487),('goals',0.09691),('goes',0.176091),('going',0.176091),('golf',0.176091),('good',0.176091),('google',0.00796893),('gorgeous',0.176091),('got',0.176091),('goto',0.176091),('gowns',0.176091),('grace',0.176091),('graduates',0.176091),('graduation',0.176091),('graffiti',0.176091),('grammar',0.00796893),('gravida',0.0046298),('gravis',0.185009),('great',0.0669468),('green',0.00496342),('greenwell',0.176091),('grocery',0.176091),('grooms',0.176091),('ground',0.176091),('group',0.176091),('grow',0.176091),('growth',0.176091),('gubergren',0.126931),('guide',0.00796893),('guided',0.00796893),('guido',0.176091),('guidoccio',0.176091),('guilty',0.176091),('gustavo',0.176091),('gwas',0.09691),('habitant',0.110884),('habitasse',0.0385914),('hac',0.0384754),('had',0.0347621),('haero',0.129831),('hair',0.176091),('half',0.00596263),('handle',0.176091),('handling',0.176091),('handmade',0.00575233),('handover',0.176091),('hang',0.176091),('harbour',0.176091),('has',0.00302645),('have',0.0138737),('head',0.097479),('headquarters',0.176091),('healthboosting',0.176091),('healthier',0.176091),('heart',0.00694886),('heartattack',0.176091),('hearts',0.176091),('heavy',0.176091),('heels',0.0669468),('help',0.177695),('hendrerit',0.00398988),('henry',0.176091),('hepburn',0.176091),('her',0.0299632),('here',0.176091),('hidden',0.00742402),('high',0.0518145),('higher',0.09691),('higherthannormal',0.183111),('highest',0.176091),('highs',0.176091),('himenaeos',0.028527),('himself',0.0986301),('hipsters',0.191394),('his',0.0300759),('historic',0.176091),('history',0.09691),('hit',0.176091),('hoard',0.176091),('holden',0.176091),('hollywood',0.176091),('home',0.176091),('homes',0.176091),('homeschool',0.176091),('homework',0.181313),('hopes',0.176091),('horizon',0.176091),('hormone',0.176091),('hospital',0.00625831),('host',0.176091),('hotel',0.176091),('hour',0.09691),('house',0.124939),('how',0.00330264),('however',0.09691),('hudson',0.176091),('huebl',0.176091),('huic',0.176091),('human',0.176091),('humo',0.0863761),('husband',0.176091),('iaceo',0.084643),('iaculis',0.00758906),('ibidem',0.30103),('ice',0.09691),('iced',0.176091),('idea',0.176091),('ideas',0.176091),('identified',0.176091),('identify',0.176091),('ideo',0.195171),('idols',0.176091),('ille',0.30103),('illum',0.30103),('image',0.176091),('imagine',0.176091),('immitto',0.18527),('imperdiet',0.00636826),('implementation',0.176091),('implied',0.176091),('import',0.176091),('important',0.176091),('imposing',0.176091),('imputo',0.30103),('incassum',0.135005),('inceptos',0.028455),('inches',0.176091),('incidunt',0.30103),('include',0.176091),('includes',0.176091),('incorporating',0.124939),('incorporation',0.0669468),('increase',0.176091),('increasingly',0.176091),('incredible',0.176091),('india',0.09691),('individuals',0.176091),('inhaling',0.176091),('initial',0.176091),('innovative',0.176091),('inspired',0.176091),('instagram',0.176091),('instantly',0.176091),('institute',0.176091),('insulin',0.0678433),('integer',0.00897369),('intending',0.176091),('interdico',0.130442),('interdum',0.00441648),('interference',0.176091),('international',0.0413927),('intervention',0.185495),('inthepresent',0.176091),('into',0.00616031),('intrigued',0.176091),('introduction',0.176091),('investigation',0.176091),('invidunt',0.30103),('involved',0.176091),('involves',0.176091),('iphones',0.176091),('ipsum',0.00312771),('island',0.0511525),('islands',0.0969685),('issues',0.176091),('its',0.0347621),('iusto',0.130573),('jack',0.00983855),('james',0.176091),('jancker',0.176091),('jaunt',0.176091),('jeans',0.176091),('jesus',0.176091),('job',0.176091),('johannes',0.176091),('journal',0.176091),('journey',0.176091),('july',0.176091),('jumper',0.176091),('june',0.0511525),('jus',0.176091),('just',0.0511525),('justifiable',0.176091),('justo',0.00353684),('kakalios',0.176091),('kasd',0.126931),('kashuk',0.09691),('kayaking',0.176091),('keep',0.176091),('keeping',0.193731),('kelly',0.176091),('kept',0.176091),('kerry',0.176091),('kevin',0.176091),('kicked',0.176091),('kid',0.176091),('kill',0.176091),('kind',0.176091),('king',0.176091),('kirby',0.176091),('kiwi',0.09691),('know',0.0457575),('known',0.0669468),('korea',0.176091),('kroos',0.176091),('kuta',0.00768683),('lab',0.176091),('labore',0.203415),('laborum',0.134188),('lacinia',0.00852566),('lacus',0.00444457),('lahm',0.176091),('laidback',0.176091),('lake',0.176091),('lakes',0.176091),('lancaster',0.176091),('landing',0.0157943),('lantern',0.00755976),('laoreet',0.00366224),('lash',0.176091),('last',0.0669468),('late',0.176091),('latest',0.176091),('laugh',0.00796893),('launched',0.176091),('laundering',0.176091),('lauren',0.176091),('law',0.00796893),('laws',0.00796893),('layered',0.176091),('lead',0.00796893),('leadership',0.176091),('leads',0.176091),('learn',0.176091),('learned',0.176091),('learning',0.09691),('leary',0.176091),('leave',0.124939),('lectus',0.00476684),('left',0.09691),('legislation',0.176091),('leo',0.0040335),('less',0.0669468),('letalis',0.30103),('levels',0.0991498),('liability',0.176091),('libero',0.00323491),('liberty',0.176091),('libraries',0.176091),('library',0.00729924),('lifestyle',0.09691),('light',0.0669468),('ligula',0.00327741),('like',0.00360412),('limited',0.0430567),('limits',0.176091),('line',0.09691),('literally',0.176091),('litora',0.0280929),('little',0.0299916),('live',0.176091),('lives',0.00796893),('living',0.081667),('loan',0.176091),('lobortis',0.00376729),('local',0.176091),('localized',0.176091),('locals',0.09691),('log',0.00635165),('london',0.176091),('long',0.09691),('longer',0.00768683),('look',0.0054629),('looked',0.09691),('looking',0.09691),('looks',0.00641525),('loquor',0.30103),('lorem',0.00388967),('los',0.09691),('lose',0.176091),('loss',0.00590886),('lot',0.09691),('love',0.00717858),('lower',0.176091),('lucidus',0.134712),('luctus',0.00431002),('luptatum',0.132472),('luther',0.176091),('macto',0.13857),('made',0.0457575),('madison',0.127071),('madrid',0.09691),('maecenas',0.00601826),('magna',0.00386784),('magnificent',0.176091),('magnis',0.042493),('magnitude',0.176091),('main',0.176091),('major',0.09691),('majority',0.176091),('make',0.00340625),('makemeacurvemodel',0.176091),('makes',0.09691),('makeup',0.09691),('making',0.09691),('malaysia',0.176091),('malesuada',0.00397846),('mama',0.176091),('managed',0.176091),('manchester',0.176091),('manic',0.176091),('manifesta',0.176091),('manolo',0.176091),('mantega',0.176091),('many',0.00673338),('map',0.09691),('marathon',0.00613563),('march',0.09691),('marketplace',0.176091),('marry',0.176091),('martin',0.176091),('mascara',0.00526424),('massa',0.00481041),('massive',0.180411),('math',0.00742402),('mattis',0.00743058),('mauris',0.00193934),('may',0.09691),('mazankowski',0.176091),('meantime',0.176091),('measured',0.176091),('measures',0.176091),('media',0.0669468),('meditate',0.176091),('meditation',0.09691),('meltdown',0.176091),('mention',0.176091),('metabolism',0.176091),('methods',0.176091),('metuo',0.0831588),('metus',0.00382444),('meus',0.188796),('middle',0.068325),('might',0.0511525),('mil',0.176091),('mild',0.176091),('mile',0.182811),('miles',0.09691),('milhazes',0.176091),('million',0.0815315),('mince',0.176091),('mind',0.176091),('mindful',0.176091),('mini',0.176091),('minidress',0.176091),('minim',0.0899142),('ministry',0.09691),('minutes',0.00590886),('misuse',0.176091),('mix',0.178905),('model',0.0669468),('models',0.0669468),('modest',0.176091),('modo',0.134179),('module',0.0377886),('molestie',0.00482507),('mollis',0.00406514),('mollit',0.13387),('mom',0.176091),('moms',0.176091),('mon',0.30103),('money',0.09691),('monkeys',0.176091),('montes',0.0427369),('months',0.176091),('montreal',0.00768683),('morbi',0.00631825),('more',0.00141893),('morning',0.176091),('mos',0.30103),('moscow',0.176091),('most',0.0321847),('mostly',0.176091),('mountain',0.176091),('mountainous',0.176091),('move',0.00742402),('moved',0.176091),('much',0.00742402),('muddy',0.132182),('muller',0.176091),('mum',0.189633),('munichbased',0.176091),('mus',0.0429786),('muscles',0.176091),('museum',0.00742402),('nam',0.00437623),('name',0.176091),('named',0.0669468),('names',0.176091),('narrow',0.176091),('narrowed',0.176091),('nascetur',0.0428177),('nation',0.176091),('national',0.176091),('natoque',0.0423291),('natu',0.136048),('natural',0.176091),('nature',0.00607415),('navigate',0.176091),('nearly',0.09691),('nec',0.00192406),('necklaces',0.176091),('need',0.176091),('needed',0.176091),('needs',0.0986301),('negotiates',0.176091),('neighbour',0.176091),('nelams',0.0669468),('nelson',0.176091),('neo',0.30103),('neque',0.00550885),('nerves',0.097569),('netus',0.112123),('never',0.19198),('new',0.00240607),('newly',0.176091),('news',0.0147233),('newspaper',0.176091),('nibh',0.00336949),('nimis',0.176091),('nine',0.052317),('ninety',0.182212),('nisi',0.00298519),('nisl',0.00340979),('non',0.00232619),('nonummy',0.122484),('nonumy',0.30103),('noodles',0.176091),('noon',0.09691),('north',0.0976583),('northland',0.183409),('nostra',0.0283829),('nostrud',0.0887887),('not',0.0211893),('note',0.176091),('now',0.0669468),('nulla',0.00208405),('nullam',0.0061871),('number',0.0582032),('numerous',0.176091),('nunc',0.00210279),('nuptials',0.176091),('nurses',0.00755876),('nutus',0.0157943),('nzco',0.09691),('obcaecat',0.132393),('object',0.00575233),('objects',0.176091),('obruo',0.176091),('occuro',0.30103),('ocean',0.176091),('odio',0.00328319),('off',0.00742402),('office',0.00742402),('officia',0.133548),('official',0.176091),('often',0.09691),('oil',0.124939),('old',0.100667),('olim',0.18527),('olivia',0.09691),('once',0.0511525),('oncenter',0.176091),('one',0.0236001),('oneofkind',0.176091),('onepage',0.00934003),('online',0.09691),('only',0.0669468),('ontario',0.176091),('open',0.176091),('opened',0.176091),('oppeto',0.176091),('optimal',0.176091),('orci',0.00348208),('organisations',0.09691),('organization',0.176091),('organs',0.177089),('ornare',0.00684706),('otavio',0.176091),('other',0.0054629),('others',0.0321847),('our',0.0263289),('out',0.00515374),('outcomes',0.176091),('outreach',0.176091),('over',0.00576635),('overseas',0.176091),('owing',0.176091),('own',0.176091),('owner',0.176091),('pacific',0.09691),('page',0.0147233),('pages',0.0157943),('pagus',0.30103),('paihia',0.176091),('painted',0.00796893),('painting',0.0791812),('pair',0.176091),('paki',0.181013),('pala',0.102391),('palermo',0.09691),('pandolfo',0.176091),('panel',0.00717858),('paper',0.176091),('papers',0.176091),('paratus',0.0835813),('parents',0.00768683),('part',0.09691),('parted',0.176091),('particular',0.176091),('partnerships',0.0537193),('parturient',0.0426559),('partying',0.176091),('passed',0.176482),('passes',0.00796893),('past',0.176091),('paulatim',0.129456),('pavement',0.176091),('peace',0.176091),('pecus',0.188768),('pede',0.105797),('peejay5',0.176091),('pellentesque',0.00237979),('penatibus',0.0424112),('penguins',0.097569),('peninsula',0.188159),('people',0.00516175),('per',0.0114249),('percent',0.0347621),('perfect',0.176091),('perfectly',0.176091),('permalink',0.00633731),('persistence',0.176091),('personal',0.09691),('persto',0.30103),('pertineo',0.30103),('pests',0.176091),('petersburg',0.176091),('petroleum',0.176091),('pharetra',0.00673734),('phasellus',0.00313587),('philipp',0.176091),('philly',0.176091),('phones',0.197787),('picture',0.176091),('pictures',0.176091),('pieces',0.09691),('pipe',0.176091),('place',0.0669468),('placerat',0.00791662),('places',0.09691),('plaga',0.30103),('plan',0.176091),('planned',0.176091),('planning',0.176091),('plans',0.176091),('plant',0.09691),('plants',0.176091),('platea',0.0387073),('play',0.09691),('player',0.09691),('playing',0.196632),('plentiful',0.00796893),('plenty',0.00796893),('plume',0.176091),('pod',0.178905),('point',0.176091),('police',0.176091),('political',0.176091),('pools',0.176091),('popular',0.176091),('populus',0.176091),('porta',0.00456998),('porttitor',0.0056724),('positive',0.176091),('possess',0.176091),('possession',0.176091),('possibly',0.176091),('post',0.0408035),('postentry',0.176091),('posuere',0.00528939),('potenti',0.0339607),('potential',0.176091),('pounding',0.176091),('power',0.0669468),('powers',0.09691),('ppsr',0.176091),('practice',0.176091),('practicing',0.176091),('praemitto',0.179531),('praesent',0.00407348),('precious',0.176091),('prediabetes',0.0830982),('premo',0.127758),('present',0.176091),('press',0.176091),('prestigious',0.176091),('pretium',0.00603288),('pretty',0.176091),('prevention',0.09691),('previous',0.176091),('prewar',0.176091),('price',0.09691),('pride',0.176091),('prieto',0.176091),('primis',0.0134578),('prince',0.00796893),('pristine',0.176091),('privately',0.176091),('prize',0.176091),('problems',0.176091),('process',0.0791812),('produce',0.09691),('produces',0.176091),('product',0.09691),('products',0.0669468),('professional',0.09691),('professor',0.176091),('proident',0.132894),('proin',0.00500131),('properly',0.09691),('property',0.176091),('proprius',0.0814348),('prospect',0.176091),('provided',0.124939),('provides',0.176091),('psychoneuroendocrinology',0.176091),('public',0.176091),('published',0.09691),('pull',0.00796893),('pulvinar',0.00729372),('punter',0.176091),('pupils',0.176482),('purus',0.00466044),('pushing',0.176091),('put',0.176091),('quadrum',0.30103),('quam',0.00430707),('quarantine',0.0511525),('question',0.176091),('questioned',0.176091),('qui',0.0869765),('quia',0.30103),('quibus',0.185529),('quick',0.09691),('quickly',0.176091),('quidem',0.128426),('quidne',0.192272),('quis',0.00141195),('quisque',0.00511497),('quite',0.176091),('race',0.0511525),('racing',0.0511525),('rack',0.176091),('rain',0.176091),('raise',0.176091),('ran',0.176091),('range',0.09691),('ranked',0.176091),('ranting',0.176091),('rare',0.180111),('rarest',0.183111),('rate',0.176091),('rather',0.176091),('ratis',0.129582),('read',0.00359727),('reads',0.176091),('ready',0.176091),('real',0.00796893),('reality',0.176091),('rear',0.09691),('rearrange',0.176482),('reason',0.09691),('reasons',0.00796893),('rebekah',0.176091),('rebum',0.30103),('receive',0.00783191),('received',0.176091),('receiving',0.176091),('recent',0.09691),('recently',0.176091),('recipients',0.176091),('recognize',0.176091),('recognizes',0.176091),('recommendation',0.176091),('record',0.176091),('recovered',0.09691),('red',0.176091),('reefs',0.176091),('refero',0.176091),('referred',0.176091),('refoveo',0.176091),('region',0.176091),('regional',0.176091),('register',0.00584757),('registered',0.09691),('registers',0.176091),('registrar',0.09691),('regulation',0.176091),('related',0.176091),('relative',0.176091),('relax',0.09691),('relaxed',0.176091),('released',0.176091),('remains',0.097926),('remote',0.176091),('renaissance',0.00796893),('reply',0.21362),('report',0.176091),('reports',0.176091),('research',0.0511525),('resource',0.176091),('responsible',0.176091),('result',0.178905),('return',0.0791812),('returned',0.176091),('returns',0.00400274),('reveal',0.176091),('rhoncus',0.00529256),('ride',0.00796893),('ridiculus',0.0428983),('right',0.00330264),('rim',0.176091),('rising',0.176091),('risus',0.00392862),('river',0.09691),('rivers',0.176091),('road',0.0669468),('roared',0.188455),('rocky',0.176091),('rooted',0.176091),('roto',0.176091),('rouge',0.176091),('rounded',0.176091),('row',0.176091),('royal',0.176091),('run',0.09691),('runners',0.00557606),('runs',0.176091),('russia',0.00575233),('rusticus',0.30103),('rutrum',0.00400472),('sadipscing',0.30103),('sagittis',0.00454534),('said',0.0347621),('sailing',0.176091),('sale',0.09691),('saltzberg',0.176091),('saluto',0.188816),('san',0.00717858),('sanctus',0.100232),('sand',0.0516024),('sandy',0.176091),('sapien',0.00496724),('saturday',0.176091),('saudi',0.176091),('saw',0.192564),('say',0.176091),('saying',0.176091),('says',0.0669468),('scanned',0.176091),('scanner',0.00796893),('scelerisque',0.0057164),('scenario',0.176091),('schedule',0.176091),('school',0.0669468),('schoolbooks',0.176091),('schools',0.00796893),('schoolteachers',0.176091),('schurrle',0.124939),('science',0.00742402),('scientists',0.09691),('scisco',0.200905),('score',0.125337),('scored',0.176091),('scuba',0.185197),('sculpture',0.176091),('sea',0.0520604),('search',0.09691),('seat',0.176091),('seating',0.177695),('secluded',0.176785),('second',0.176091),('secondary',0.09691),('secondhand',0.176091),('secrets',0.176091),('section',0.176091),('secundum',0.185009),('securities',0.176091),('sed',0.0011436),('see',0.0522488),('seems',0.176091),('seen',0.0994923),('selection',0.176091),('sell',0.176091),('seller',0.176091),('sellers',0.176091),('selling',0.176091),('sem',0.00390052),('seminyak',0.176091),('semper',0.00755686),('senectus',0.111772),('sense',0.176091),('sentences',0.176091),('sergio',0.176091),('set',0.0669468),('settles',0.176091),('seven',0.09691),('several',0.09691),('shape',0.09691),('share',0.09691),('shareholders',0.176091),('shark',0.180713),('sharper',0.176091),('she',0.0669468),('sheer',0.176091),('sheets',0.176091),('shell',0.176091),('shield',0.176091),('shift',0.176091),('shipping',0.00768683),('shirt',0.176091),('shoes',0.176091),('shopping',0.00895484),('shoppingcartfull',0.176091),('short',0.176091),('shorter',0.176091),('shorts',0.176091),('shot',0.176091),('should',0.09691),('show',0.0511525),('showcase',0.0222764),('shows',0.00768683),('sides',0.176091),('sienese',0.124939),('sight',0.176091),('sign',0.176091),('signed',0.00629919),('signup',0.176091),('similar',0.176091),('simple',0.09691),('simpler',0.176091),('simplified',0.124939),('simply',0.176091),('since',0.0669468),('sincere',0.176091),('singapore',0.176091),('singularis',0.0152414),('sino',0.106276),('sint',0.132224),('sip',0.00590886),('sit',0.00162018),('site',0.176091),('sites',0.183708),('situated',0.176091),('situation',0.176091),('six',0.176091),('size',0.176091),('sizes',0.176091),('skinny',0.176091),('skirt',0.176091),('sky',0.176091),('slim',0.00590886),('slow',0.176091),('slowly',0.176091),('slurping',0.176091),('small',0.00742402),('smallerscale',0.176091),('snapping',0.186681),('social',0.097569),('society',0.09691),('sociis',0.0422468),('sociosqu',0.02802),('sodales',0.00625247),('sold',0.176091),('sollicitudin',0.00655658),('solve',0.176091),('some',0.0414469),('someone',0.09691),('something',0.176091),('sometimes',0.09691),('son',0.0977479),('sonia',0.09691),('soon',0.176091),('sorted',0.176091),('sotheby',0.176091),('source',0.181313),('south',0.09691),('spain',0.00742402),('spanish',0.176091),('spanning',0.176091),('sparkling',0.176286),('special',0.176091),('specific',0.176091),('spectacular',0.176091),('speech',0.176091),('speeds',0.184602),('spend',0.09691),('spending',0.09691),('spends',0.176091),('spiderman',0.176091),('splashed',0.176091),('spoiled',0.176091),('spoliated',0.124939),('spoliation',0.09691),('sport',0.00393029),('sports',0.0321847),('sportsday',0.00582954),('spot',0.176091),('spread',0.09691),('springs',0.176091),('stamps',0.176091),('standard',0.176091),('standards',0.176091),('star',0.176091),('start',0.176091),('starting',0.176091),('stash',0.176091),('state',0.09691),('stateeducated',0.176091),('statement',0.176091),('states',0.09691),('static',0.180713),('status',0.00796893),('steering',0.176091),('steps',0.176091),('stereotypical',0.176091),('stet',0.126931),('sticks',0.176091),('still',0.0669468),('stones',0.176091),('store',0.176091),('stormy',0.176091),('story',0.09691),('stouter',0.176091),('straight',0.176091),('strategic',0.176091),('street',0.176091),('streets',0.129582),('stress',0.00290949),('stressfree',0.176091),('stroll',0.176091),('stubbornly',0.180111),('students',0.176091),('studied',0.176091),('studies',0.176091),('study',0.00768683),('stuff',0.176091),('stumbling',0.00796893),('stylish',0.176091),('stylista',0.176091),('submitted',0.0498209),('suburb',0.176091),('such',0.176091),('sudo',0.30103),('suffered',0.176091),('sugar',0.0686759),('suggesting',0.176091),('suite',0.176091),('summer',0.176091),('summing',0.176091),('sun',0.00786026),('sunning',0.181313),('sunny',0.132513),('sunshine',0.176091),('sunt',0.133059),('supermodel',0.176091),('sure',0.176091),('surf',0.176091),('surface',0.182512),('surfers',0.176091),('surfing',0.176091),('surprised',0.176091),('surrounded',0.176091),('survey',0.00717858),('survivor',0.176091),('suscipere',0.30103),('suscipit',0.00458986),('suspect',0.176091),('suspendisse',0.00513277),('sweden',0.176091),('sweet',0.176091),('swept',0.176091),('swim',0.176091),('swipe',0.176091),('sword',0.176091),('syra',0.30103),('syracuse',0.00573102),('tables',0.177089),('taciti',0.0279471),('tacky',0.176091),('take',0.0589152),('taken',0.00796893),('takes',0.176091),('takimata',0.100232),('taking',0.176091),('talented',0.176091),('tamen',0.187562),('taste',0.00796893),('tation',0.0641638),('taxes',0.176091),('taylor',0.176091),('tea',0.00496342),('teachers',0.00694886),('teaching',0.09691),('teeter',0.176091),('tego',0.18288),('tellus',0.00356938),('temperatures',0.176091),('tempor',0.00492386),('tempus',0.00760089),('tension',0.176091),('territory',0.176091),('testy',0.176091),('than',0.00406481),('that',0.00861737),('the',0.000372195),('their',0.0108645),('them',0.0669468),('themselves',0.176091),('then',0.0669468),('theory',0.176091),('there',0.0263289),('these',0.00742402),('they',0.0211893),('thing',0.0524803),('things',0.09691),('think',0.0669468),('this',0.00520572),('thomas',0.176091),('those',0.0419444),('though',0.176091),('three',0.09691),('thrilling',0.184006),('through',0.0669468),('thu',0.0485029),('thursday',0.176091),('tide',0.176091),('tidy',0.176091),('time',0.0669468),('tincidunt',0.00290469),('title',0.176091),('today',0.0791812),('together',0.176091),('tom',0.176091),('toni',0.176091),('took',0.176091),('top',0.0669468),('topperforming',0.176091),('torquent',0.0281656),('torqueo',0.30103),('tortor',0.00370148),('touches',0.0669468),('tour',0.176091),('touring',0.00366495),('tourist',0.176091),('tourists',0.176091),('tours',0.00796893),('toward',0.176091),('towns',0.176091),('tradition',0.176091),('trafficking',0.176091),('tramping',0.176091),('transform',0.176091),('transport',0.176091),('travel',0.0377886),('travelling',0.067429),('treasure',0.176091),('treasury',0.176091),('tricks',0.00575233),('trinity',0.176091),('trip',0.0511525),('triple',0.176091),('trips',0.176091),('tristique',0.00411385),('tue',0.0142761),('tuesday',0.176091),('tulle',0.176091),('tum',0.30103),('turf',0.176091),('turned',0.176091),('turns',0.09691),('turpis',0.00506476),('twenties',0.176091),('twice',0.176091),('twin',0.176091),('twists',0.176091),('two',0.09691),('type',0.0355457),('typical',0.176091),('typicus',0.30103),('ubud',0.176091),('ukraine',0.176091),('ulciscor',0.30103),('ullamcorper',0.00298959),('ultrices',0.00409227),('ultricies',0.00402642),('umbrellas',0.176091),('under',0.00393029),('undervalued',0.00796893),('unique',0.176091),('university',0.0460748),('until',0.176091),('unusual',0.176091),('upset',0.00796893),('urna',0.0039922),('use',0.0675961),('used',0.0669468),('users',0.176091),('usitas',0.30103),('utilizing',0.176091),('utrum',0.140093),('uxor',0.18123),('valde',0.185529),('valetudo',0.183954),('validus',0.131796),('value',0.176091),('valued',0.0511525),('varied',0.176091),('variety',0.179508),('varius',0.00769208),('vases',0.176091),('vehicula',0.00499379),('vel',0.0024297),('velit',0.00277891),('vendors',0.176091),('venenatis',0.00674873),('veniam',0.0895537),('venio',0.176091),('veritable',0.176091),('vero',0.101321),('verto',0.30103),('very',0.176091),('vessel',0.176091),('vessels',0.0973892),('vestibulum',0.00198431),('vibrant',0.176091),('vicis',0.30103),('video',0.176091),('view',0.176091),('vindico',0.014782),('virtus',0.190038),('visit',0.00277505),('visitors',0.176091),('vitae',0.00187274),('vivamus',0.00815799),('viverra',0.00483701),('voila',0.176091),('volcano',0.176091),('volleyball',0.176091),('voluptua',0.195916),('volutpat',0.00535209),('vow',0.00796893),('vows',0.09691),('vulpes',0.12933),('vulputate',0.00616958),('walked',0.176091),('walking',0.09691),('wand',0.176091),('wanted',0.176091),('wares',0.09691),('warn',0.176091),('was',0.0177288),('washington',0.09691),('watch',0.09691),('water',0.0519068),('waterford',0.176091),('way',0.0054629),('ways',0.09691),('wear',0.176091),('wearing',0.0795178),('website',0.176091),('wedding',0.00331353),('weddings',0.00560388),('week',0.0054629),('weekend',0.081974),('weeks',0.176091),('weight',0.00560388),('weightloss',0.09691),('welcome',0.130563),('well',0.176091),('were',0.0236481),('weren',0.176091),('west',0.09691),('western',0.176091),('whakatane',0.09691),('what',0.00376015),('whatsoever',0.176091),('wheel',0.09691),('when',0.00653087),('where',0.0511525),('whether',0.176091),('which',0.0511525),('while',0.04585),('whisper',0.176091),('white',0.0669468),('who',0.00503136),('why',0.124939),('wider',0.09691),('wielded',0.176091),('wild',0.176091),('wildly',0.187273),('will',0.00304546),('winner',0.09691),('wisconsin',0.0683247),('wisi',0.0898558),('with',0.00291312),('within',0.176091),('without',0.0808943),('woman',0.176091),('women',0.0791812),('won',0.124939),('wondered',0.176091),('wonderland',0.176091),('words',0.176091),('work',0.0511525),('works',0.0413927),('world',0.00294468),('worth',0.00742402),('would',0.00379299),('wouldn',0.176091),('wrong',0.00796893),('year',0.0420608),('yeararound',0.176091),('years',0.09691),('yes',0.176091),('ymo',0.30103),('york',0.09691),('you',0.00256572),('young',0.0689427),('your',0.00238564),('youtube',0.176091),('zealand',0.0511525),('zircon',0.00934003),('zone',0.176091);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Table for holding semaphores, locks, flags, etc. that…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (42);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) CHARACTER SET ascii NOT NULL COMMENT 'A session ID (hashed). The value is generated by Drupal''s session handlers.',
  `hostname` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `session` longblob DEFAULT NULL COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Drupal''s session handlers read and write into the sessions…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'e0PO9RZUkEs86ZljwahmIl6d_HnIDlfHUBCGl0UCAPY','192.168.1.105',1668151413,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1668151414;s:1:\"c\";i:1668150612;s:1:\"l\";i:2000000;s:1:\"s\";s:43:\"H40PB9Fk8hzhMoE_oTKTOh8XdBEwN8U_yvTIQyEhAi8\";}'),(1,'F09v1XeAJA6NUlB5IQiY-i7bTWYLztujo0nu_GlN0MI','192.168.1.105',1668163001,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1668163002;s:1:\"c\";i:1668131706;s:1:\"l\";i:2000000;s:1:\"s\";s:43:\"NTEb3u8YAncqJppuLFkJKdXvVNEgRfztReHqc-29JyY\";}'),(1,'JaliPc_gUG52o0FYzljsh05jgm_7L0I25QmC7a7n9VU','192.168.1.105',1668159595,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1668159595;s:1:\"c\";i:1668067942;s:1:\"l\";i:2000000;s:1:\"s\";s:43:\"xr_8bRC_RaRB8eU0-RkLFUg1R5oqKWNikt5y6xDoL-w\";}'),(1,'VBUV1iQYo1uT9JjcXsKJ1Rl1pbZZdXcKojyNi__NDQk','192.168.1.105',1668069408,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1668069408;s:1:\"c\";i:1667277200;s:1:\"l\";i:2000000;s:1:\"s\";s:43:\"_ZKnXho56TIvbu57XXFrqnxD-f5puddZwgSyt82x660\";}');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut`
--

DROP TABLE IF EXISTS `shortcut`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `shortcut_set` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `shortcut_field__uuid__value` (`uuid`),
  KEY `shortcut_field__shortcut_set__target_id` (`shortcut_set`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for shortcut entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut`
--

LOCK TABLES `shortcut` WRITE;
/*!40000 ALTER TABLE `shortcut` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut` VALUES (1,'default','64844a76-ea2e-4723-b460-9607209779fc','en'),(2,'default','b09b0173-497f-4466-a100-cdd782f58d99','en');
/*!40000 ALTER TABLE `shortcut` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_field_data`
--

DROP TABLE IF EXISTS `shortcut_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_field_data` (
  `id` int(10) unsigned NOT NULL,
  `shortcut_set` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `shortcut__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `shortcut_field__shortcut_set__target_id` (`shortcut_set`),
  KEY `shortcut_field__link__uri` (`link__uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for shortcut entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_field_data`
--

LOCK TABLES `shortcut_field_data` WRITE;
/*!40000 ALTER TABLE `shortcut_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_field_data` VALUES (1,'default','en','Add content',-20,'internal:/node/add',NULL,'a:0:{}',1),(2,'default','en','All content',-19,'internal:/admin/content',NULL,'a:0:{}',1);
/*!40000 ALTER TABLE `shortcut_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_mail_spool`
--

DROP TABLE IF EXISTS `simplenews_mail_spool`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_mail_spool` (
  `msid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a mail spool record.',
  `entity_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The entity type of this newsletter issue.',
  `entity_id` int(11) NOT NULL DEFAULT 0 COMMENT 'The entity id of this newsletter issue.',
  `newsletter_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The simplenews_newsletter.id this issue belongs to.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'The sent status of the email (0 = hold, 1 = pending, 2 = done).',
  `timestamp` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The time status was set or changed.',
  `data` longtext DEFAULT NULL COMMENT 'A serialized array of name value pairs that are related to the email address.',
  `snid` int(11) DEFAULT NULL COMMENT 'Foreign key for subscriber table ("simplenews_subscriber".id).',
  PRIMARY KEY (`msid`),
  KEY `newsletter_id` (`newsletter_id`(191)),
  KEY `status` (`status`),
  KEY `snid_newsletter_id` (`snid`,`newsletter_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Spool for temporary storage of newsletter emails.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_mail_spool`
--

LOCK TABLES `simplenews_mail_spool` WRITE;
/*!40000 ALTER TABLE `simplenews_mail_spool` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_mail_spool` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscriber`
--

DROP TABLE IF EXISTS `simplenews_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscriber` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `changes` longtext DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `simplenews_subscriber_field__uuid__value` (`uuid`),
  KEY `simplenews_subscriber_field__uid__target_id` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for simplenews_subscriber entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscriber`
--

LOCK TABLES `simplenews_subscriber` WRITE;
/*!40000 ALTER TABLE `simplenews_subscriber` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_subscriber` VALUES (1,'27f6c9c0-816b-4282-9673-022b2df7a35e',1,'abc03.tester+200921@gmail.com',0,'en','a:1:{s:7:\"default\";s:9:\"subscribe\";}',1632795476),(2,'627305ce-9b73-43a1-aa68-dd636f84ec6c',1,'abc02.tester@gmail.com',0,'en','a:1:{s:7:\"default\";s:9:\"subscribe\";}',1635144762);
/*!40000 ALTER TABLE `simplenews_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscriber__subscriptions`
--

DROP TABLE IF EXISTS `simplenews_subscriber__subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscriber__subscriptions` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `subscriptions_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `subscriptions_status` tinyint(4) DEFAULT NULL COMMENT 'A flag indicating whether the user is subscribed (1) or unsubscribed (0).',
  `subscriptions_timestamp` int(10) unsigned DEFAULT NULL COMMENT 'UNIX timestamp of when the user is (un)subscribed.',
  `subscriptions_source` varchar(24) DEFAULT NULL COMMENT 'The source via which the user is (un)subscription.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `subscriptions_target_id` (`subscriptions_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for simplenews_subscriber field subscriptions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscriber__subscriptions`
--

LOCK TABLES `simplenews_subscriber__subscriptions` WRITE;
/*!40000 ALTER TABLE `simplenews_subscriber__subscriptions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_subscriber__subscriptions` VALUES ('simplenews_subscriber',0,1,1,'und',0,'default',2,1632795476,'website'),('simplenews_subscriber',0,2,2,'und',0,'default',2,1635144762,'website');
/*!40000 ALTER TABLE `simplenews_subscriber__subscriptions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The term ID.',
  `status` int(11) NOT NULL DEFAULT 1 COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `sticky` tinyint(4) DEFAULT 0 COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when the node was created.',
  PRIMARY KEY (`nid`,`tid`),
  KEY `term_node` (`tid`,`status`,`sticky`,`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maintains denormalized information about node/term…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (32,2,1,0,1462442090),(1,2,1,0,1462942231),(11,3,1,0,1462942228),(9,3,1,0,1462942230),(1,3,1,0,1462942231),(6,4,1,0,1462942446),(12,4,1,0,1462942448),(4,4,1,0,1462942449),(3,4,1,0,1462942451),(2,4,1,0,1462942456),(5,5,1,0,1462942274),(22,5,1,0,1462942341),(6,5,1,0,1462942446),(12,5,1,0,1462942448),(4,5,1,0,1462942449),(3,5,1,0,1462942451),(2,5,1,0,1462942456),(26,6,1,0,1462442080),(10,6,1,0,1462942273),(5,6,1,0,1462942274),(28,7,1,0,1462442011),(8,7,1,0,1462941566),(7,7,1,0,1462942339),(7,8,1,0,1462942339),(26,9,1,0,1462442080),(10,9,1,0,1462942273),(34,10,1,0,1462941646),(17,10,1,0,1462941657),(16,10,1,0,1462941659),(13,10,1,0,1462941660),(34,11,1,0,1462941646),(13,11,1,0,1462941660),(17,12,1,0,1462941657),(16,12,1,0,1462941659),(13,12,1,0,1462941660),(29,13,1,0,1462941228),(15,13,1,0,1462941287),(14,13,1,0,1462941303),(15,14,1,0,1462941287),(14,14,1,0,1462941303),(14,15,1,0,1462941303),(15,16,1,0,1462941287),(21,17,1,0,1462942382),(20,17,1,0,1462942383),(18,17,1,0,1462942385),(18,18,1,0,1462942385),(21,19,1,0,1462942382),(18,19,1,0,1462942385),(23,20,1,0,1462942549),(24,20,1,0,1462942551),(31,20,1,0,1462942552),(19,20,1,0,1462942554),(23,21,1,0,1462942549),(24,21,1,0,1462942551),(31,21,1,0,1462942552),(19,21,1,0,1462942554),(20,22,1,0,1462942383),(22,23,1,0,1462942341),(23,24,1,0,1462942549),(24,24,1,0,1462942551),(31,24,1,0,1462942552),(27,25,1,0,1462442087),(30,25,1,0,1462442089),(33,25,1,0,1462942511),(27,26,1,0,1462442087),(30,26,1,0,1462442089),(33,26,1,0,1462942511),(27,27,1,0,1462442087),(30,27,1,0,1462442089),(33,27,1,0,1462942511),(28,28,1,0,1462442011),(29,29,1,0,1462941228),(36,30,1,0,1462441832),(32,30,1,0,1462442090),(35,30,1,0,1462941380),(35,31,1,0,1462941380),(35,32,1,0,1462941380),(36,33,1,0,1462441832),(48,36,1,0,1450162409),(25,42,1,0,1462441950),(25,43,1,0,1462441950);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term__field_image`
--

DROP TABLE IF EXISTS `taxonomy_term__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term__field_image`
--

LOCK TABLES `taxonomy_term__field_image` WRITE;
/*!40000 ALTER TABLE `taxonomy_term__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term__field_image` VALUES ('categories',0,3,3,'en',0,38,'Education','',750,500),('categories',0,4,4,'en',0,50,'Travel','',750,500),('categories',0,6,6,'en',0,39,'Fashion','',750,1061),('categories',0,7,7,'en',0,49,'Sport','',250,134),('categories',0,10,10,'en',0,37,'Business','',750,564),('categories',0,13,13,'en',0,41,'Hospital','',750,683),('categories',0,17,17,'en',0,47,'Nature','',250,333),('categories',0,20,20,'en',0,48,'Others','',250,167),('categories',0,23,23,'en',0,46,'More','',750,511),('categories',0,25,25,'en',0,51,'Wedding','',750,500),('categories',0,30,30,'en',0,40,'Health and Beauty','',750,563);
/*!40000 ALTER TABLE `taxonomy_term__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term__forum_container`
--

DROP TABLE IF EXISTS `taxonomy_term__forum_container`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term__forum_container` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `forum_container_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field forum_container.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term__forum_container`
--

LOCK TABLES `taxonomy_term__forum_container` WRITE;
/*!40000 ALTER TABLE `taxonomy_term__forum_container` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term__forum_container` VALUES ('forums',0,34,34,'en',0,1),('forums',0,35,35,'en',0,1),('forums',0,36,36,'en',0,0),('forums',0,37,37,'en',0,0),('forums',0,38,38,'en',0,0),('forums',0,39,39,'en',0,0),('forums',0,40,40,'en',0,0),('forums',0,41,41,'en',0,0);
/*!40000 ALTER TABLE `taxonomy_term__forum_container` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term__parent`
--

DROP TABLE IF EXISTS `taxonomy_term__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`),
  KEY `bundle_delta_target_id` (`bundle`,`delta`,`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term__parent`
--

LOCK TABLES `taxonomy_term__parent` WRITE;
/*!40000 ALTER TABLE `taxonomy_term__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term__parent` VALUES ('tags',0,2,2,'en',0,0),('categories',0,3,3,'en',0,0),('categories',0,4,4,'en',0,0),('tags',0,5,5,'en',0,0),('categories',0,6,6,'en',0,0),('categories',0,7,7,'en',0,0),('tags',0,8,8,'en',0,0),('tags',0,9,9,'en',0,0),('categories',0,10,10,'en',0,0),('tags',0,11,11,'en',0,0),('tags',0,12,12,'en',0,0),('categories',0,13,13,'en',0,0),('tags',0,14,14,'en',0,0),('tags',0,15,15,'en',0,0),('tags',0,16,16,'en',0,0),('categories',0,17,17,'en',0,0),('tags',0,18,18,'en',0,0),('tags',0,19,19,'en',0,0),('categories',0,20,20,'en',0,0),('tags',0,21,21,'en',0,0),('tags',0,22,22,'en',0,0),('categories',0,23,23,'en',0,0),('tags',0,24,24,'en',0,0),('categories',0,25,25,'en',0,0),('tags',0,26,26,'en',0,0),('tags',0,27,27,'en',0,0),('tags',0,28,28,'en',0,0),('tags',0,29,29,'en',0,0),('categories',0,30,30,'en',0,0),('tags',0,31,31,'en',0,0),('tags',0,32,32,'en',0,0),('tags',0,33,33,'en',0,0),('forums',0,34,34,'en',0,0),('forums',0,35,35,'en',0,0),('forums',0,36,36,'en',0,35),('forums',0,37,37,'en',0,35),('forums',0,38,38,'en',0,35),('forums',0,39,39,'en',0,34),('forums',0,40,40,'en',0,34),('forums',0,41,41,'en',0,34),('tags',0,43,43,'en',0,0),('component_types',0,44,44,'en',0,0),('component_types',0,45,45,'en',0,0),('component_types',0,46,46,'en',0,0),('component_types',0,47,47,'en',0,0),('component_types',0,48,48,'en',0,0),('component_types',0,49,49,'en',0,0),('component_types',0,50,50,'en',0,0),('component_types',0,51,51,'en',0,0),('component_types',0,52,52,'en',0,0),('component_types',0,53,53,'en',0,0),('component_types',0,54,54,'en',0,0),('component_types',0,55,55,'en',0,0),('component_types',0,56,56,'en',0,0),('component_types',0,57,57,'en',0,0),('component_types',0,58,58,'en',0,0),('component_types',0,59,59,'en',0,0),('component_types',0,60,60,'en',0,0),('component_types',0,61,61,'en',0,0),('component_types',0,62,62,'en',0,0),('component_types',0,63,63,'en',0,0),('component_types',0,64,64,'en',0,0),('component_types',0,65,65,'en',0,0),('component_types',0,66,66,'en',0,0),('component_types',0,67,67,'en',0,0),('component_types',0,68,68,'en',0,0),('component_types',0,69,69,'en',0,0),('component_types',0,70,70,'en',0,0),('component_types',0,71,71,'en',0,0),('component_types',0,72,72,'en',0,0);
/*!40000 ALTER TABLE `taxonomy_term__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  UNIQUE KEY `taxonomy_term__revision_id` (`revision_id`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (2,2,'tags','f31ee61d-ad32-4527-a101-1c333c88a679','en'),(3,3,'categories','4cd5d5ab-b2d6-4b8a-9e01-01db59cc7d6f','en'),(4,4,'categories','c7cb3fc2-b199-4818-9600-d4658d8cb94a','en'),(5,5,'tags','3b28ac32-5772-4f33-bf00-dbfef578748c','en'),(6,6,'categories','4a22b749-5eec-40f2-9008-8e460bff4cdf','en'),(7,7,'categories','7001d617-172f-4dff-be00-c4ff4fe1e0da','en'),(8,8,'tags','626b8203-f3db-4a5c-8e06-6a3ce54d11e6','en'),(9,9,'tags','3cc6eb78-2642-46b1-8200-ff5f30ad9019','en'),(10,10,'categories','3c8edc49-64de-4f33-8857-877631445f4f','en'),(11,11,'tags','0b7aa986-0ca5-4b27-b500-e5f8438c012c','en'),(12,12,'tags','94932e95-442f-4295-a44d-776351cb799d','en'),(13,13,'categories','de02d3fe-c5e4-4471-8310-16d27844e597','en'),(14,14,'tags','58ce0bc3-2548-4a71-a200-0b55ba176f08','en'),(15,15,'tags','11d9862c-0f51-4630-b100-ae6219055f61','en'),(16,16,'tags','c45127ae-b25e-47cb-8e08-8c2a29b9eea7','en'),(17,17,'categories','9f091ec4-c8a6-44e8-a315-21fbf81a8fcd','en'),(18,18,'tags','ec4c1cd5-8389-4bbf-8b0b-114376da18b3','en'),(19,19,'tags','905424a2-eea7-4318-9008-8fd54d9e9584','en'),(20,20,'categories','37a7b323-75b9-40d5-a45f-95f16869af5f','en'),(21,21,'tags','58d7b05c-22f6-4ed1-9907-7bccab118b0d','en'),(22,22,'tags','0a993614-6da3-41f8-b502-2d04ec288e40','en'),(23,23,'categories','20be78d5-a6e1-4aa4-a414-202adfe1e7a8','en'),(24,24,'tags','c2ac8d92-7fdb-4a12-a102-0290473969fa','en'),(25,25,'categories','33b3f693-304d-4409-8200-e1f80f0e9981','en'),(26,26,'tags','73aa5f0f-b34f-446a-b300-e116248c1a98','en'),(27,27,'tags','63a995f6-e873-4b9e-aa00-c13808a57ead','en'),(28,28,'tags','b95a8ca7-10b0-48a6-9e03-3df295e3b50b','en'),(29,29,'tags','6b2664df-56e0-48c9-9909-9a0eded12e3b','en'),(30,30,'categories','1368d8d0-b897-446d-9507-07a8a784204b','en'),(31,31,'tags','77f59a78-713e-4a34-bf61-9730dc8857a8','en'),(32,32,'tags','fa7f834a-1b15-4ac8-b114-20732b4e0bba','en'),(33,33,'tags','92c45290-097c-45fb-a000-db015b5e19f0','en'),(34,34,'forums','dfe83362-661e-42ef-912c-44f65c3de1ee','en'),(35,35,'forums','5b6aee1e-09a0-428a-a700-dd3113d38605','en'),(36,36,'forums','a5fde6a8-bd84-4b72-9d33-51c787ca1f3d','en'),(37,37,'forums','89b8ad38-b8d4-4615-8203-3c6e424c7e4f','en'),(38,38,'forums','99ee675c-caca-4f8c-8800-ccd7d36871ef','en'),(39,39,'forums','7d5ec80c-278b-4f82-8d11-17abf33ae676','en'),(40,40,'forums','c9632025-2c76-430a-8504-04b85da6d057','en'),(41,41,'forums','536558fd-d4fa-4ad6-ba2c-449c6c5309ef','en'),(43,43,'tags','65b7e782-e772-419d-8f4b-757017b30642','en'),(44,44,'component_types','c0e36cb5-b53c-4f97-9b61-a3534d31e88f','en'),(45,45,'component_types','b8ff5af4-c26e-4db4-ba11-bee32da4793a','en'),(46,46,'component_types','1ff573f8-c729-4a14-9e64-bacfa2b5c2b1','en'),(47,47,'component_types','e8f99c1f-27ad-4859-8605-ebfe88790582','en'),(48,48,'component_types','07d1ac93-3aec-42dc-bc71-1fdd33dcbd87','en'),(49,49,'component_types','0a319954-9540-439e-804b-1fea2b41c220','en'),(50,50,'component_types','03fd565f-9423-4ef2-a749-936be5489533','en'),(51,51,'component_types','5700c82c-0295-4842-bfe6-c974daf321f8','en'),(52,52,'component_types','ead41f2f-f05e-4968-b6b7-0d67b774649e','en'),(53,53,'component_types','8f0a0fc3-c292-4204-943f-977f585592a8','en'),(54,54,'component_types','74454c7a-7403-490a-94c4-ca55fa16e46a','en'),(55,55,'component_types','ec1c7199-1d3e-419b-8b8a-aef3200384cb','en'),(56,56,'component_types','a325614b-e4a9-44fb-9192-6634a5fb31eb','en'),(57,57,'component_types','2476be48-e7fd-4168-a030-9914d90fe173','en'),(58,58,'component_types','98928b0a-ba86-4ad1-8b43-dc899d93e0fc','en'),(59,59,'component_types','3ba5d24d-7bc3-43ae-9aaf-d180b35ba29c','en'),(60,60,'component_types','b84e357a-edfc-4efb-9d75-82d85866131b','en'),(61,61,'component_types','ec53b2fa-112d-4882-b309-f0dfc4f52220','en'),(62,62,'component_types','6e85ae83-b688-4f42-ae7c-6028e00a2d30','en'),(63,63,'component_types','da85d0cc-e0ef-4b55-b05f-bf25df80890f','en'),(64,64,'component_types','c31ba39d-9377-4624-b27e-48afeefa6ad1','en'),(65,65,'component_types','e6605075-a082-4870-8118-ad486a7b872d','en'),(66,66,'component_types','190630e0-c866-42c3-adce-1610bf11f8ad','en'),(67,67,'component_types','7aaa6833-4df1-4c28-b219-5298931bed7a','en'),(68,68,'component_types','3aed0826-64a4-4ea8-92b7-9af9672e08a3','en'),(69,69,'component_types','1dc56e98-3351-4e11-bd79-d740a081b482','en'),(70,70,'component_types','68035347-018f-438f-afb9-88a5434572ef','en'),(71,71,'component_types','4a486552-c015-41bc-96f9-c787669483e6','en'),(72,72,'component_types','df1c5436-959b-4fbc-b329-75f6a9ac54a9','en');
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_field_data`
--

DROP TABLE IF EXISTS `taxonomy_term_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term__revision_id` (`revision_id`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_field_data`
--

LOCK TABLES `taxonomy_term_field_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_field_data` VALUES (2,2,'tags','en','Health & Beauty',NULL,NULL,0,1450062390,1,1,1),(3,3,'categories','en','Education',NULL,NULL,0,1450074873,1,1,1),(4,4,'categories','en','Travel',NULL,NULL,0,1450075486,1,1,1),(5,5,'tags','en','Travel',NULL,NULL,0,1450062546,1,1,1),(6,6,'categories','en','Fashion',NULL,NULL,0,1450074957,1,1,1),(7,7,'categories','en','Sports',NULL,NULL,0,1450075462,1,1,1),(8,8,'tags','en','Sport',NULL,NULL,0,1450062868,1,1,1),(9,9,'tags','en','Fashion',NULL,NULL,0,1450063027,1,1,1),(10,10,'categories','en','Business',NULL,NULL,0,1450074850,1,1,1),(11,11,'tags','en','Business',NULL,NULL,0,1450063800,1,1,1),(12,12,'tags','en','Company',NULL,NULL,0,1450063800,1,1,1),(13,13,'categories','en','Hospital',NULL,NULL,0,1450075017,1,1,1),(14,14,'tags','en','Hospital',NULL,NULL,0,1450063874,1,1,1),(15,15,'tags','en','Doctors',NULL,NULL,0,1450063874,1,1,1),(16,16,'tags','en','Health',NULL,NULL,0,1450063938,1,1,1),(17,17,'categories','en','Nature',NULL,NULL,0,1450075381,1,1,1),(18,18,'tags','en','Moutain',NULL,NULL,0,1450064123,1,1,1),(19,19,'tags','en','Forest',NULL,NULL,0,1450064123,1,1,1),(20,20,'categories','en','Others',NULL,NULL,0,1450075418,1,1,1),(21,21,'tags','en','Art',NULL,NULL,0,1450064173,1,1,1),(22,22,'tags','en','Nature',NULL,NULL,0,1450064230,1,1,1),(23,23,'categories','en','More',NULL,NULL,0,1450075353,1,1,1),(24,24,'tags','en','Photograph',NULL,NULL,0,1450064405,1,1,1),(25,25,'categories','en','Wedding',NULL,NULL,0,1450075520,1,1,1),(26,26,'tags','en','Party',NULL,NULL,0,1450064724,1,1,1),(27,27,'tags','en','Wedding',NULL,NULL,0,1450064724,1,1,1),(28,28,'tags','en','Running',NULL,NULL,0,1450064770,1,1,1),(29,29,'tags','en','Doctor',NULL,NULL,0,1450064827,1,1,1),(30,30,'categories','en','Health & Beauty',NULL,NULL,0,1450074991,1,1,1),(31,31,'tags','en','Stress',NULL,NULL,0,1450065309,1,1,1),(32,32,'tags','en','Beauty',NULL,NULL,0,1450065309,1,1,1),(33,33,'tags','en','Nail',NULL,NULL,0,1450065363,1,1,1),(34,34,'forums','en','Helps and Supports',NULL,NULL,4,1450162349,1,1,1),(35,35,'forums','en','General discussion',NULL,NULL,1,1450162349,1,1,1),(36,36,'forums','en','Module development',NULL,NULL,0,1450162349,1,1,1),(37,37,'forums','en','Post installation',NULL,NULL,1,1450162349,1,1,1),(38,38,'forums','en','Theme development',NULL,NULL,2,1450162349,1,1,1),(39,39,'forums','en','Before you start',NULL,NULL,0,1450162349,1,1,1),(40,40,'forums','en','Installing Drupal',NULL,NULL,1,1450162349,1,1,1),(41,41,'forums','en','Upgrading Drupal',NULL,NULL,2,1450162349,1,1,1),(43,43,'tags','en','Football',NULL,NULL,0,1451359975,1,1,1),(44,44,'component_types','en','Accordion',NULL,NULL,0,1666585204,1,1,1),(45,45,'component_types','en','Banner Grid',NULL,NULL,0,1666585204,1,1,1),(46,46,'component_types','en','Basic component',NULL,NULL,0,1666585204,1,1,1),(47,47,'component_types','en','Card',NULL,NULL,0,1666585204,1,1,1),(48,48,'component_types','en','Carousel',NULL,NULL,0,1666585204,1,1,1),(49,49,'component_types','en','Classified Ads',NULL,NULL,0,1666585204,1,1,1),(50,50,'component_types','en','Composite',NULL,NULL,0,1666585204,1,1,1),(51,51,'component_types','en','Grid',NULL,NULL,0,1666585204,1,1,1),(52,52,'component_types','en','Grid Carousel',NULL,NULL,0,1666585204,1,1,1),(53,53,'component_types','en','Horizontal push image',NULL,NULL,0,1666585204,1,1,1),(54,54,'component_types','en','Push Image',NULL,NULL,0,1666585204,1,1,1),(55,55,'component_types','en','Quote',NULL,NULL,0,1666585204,1,1,1),(56,56,'component_types','en','Related Content',NULL,NULL,0,1666585204,1,1,1),(57,57,'component_types','en','Sidebar Link Text',NULL,NULL,0,1666585204,1,1,1),(58,58,'component_types','en','Sidebar Service',NULL,NULL,0,1666585204,1,1,1),(59,59,'component_types','en','Slideshow',NULL,NULL,0,1666585204,1,1,1),(60,60,'component_types','en','Slideshow Flexible',NULL,NULL,0,1666585204,1,1,1),(61,61,'component_types','en','Summary Information',NULL,NULL,0,1666585204,1,1,1),(62,62,'component_types','en','Table',NULL,NULL,0,1666585204,1,1,1),(63,63,'component_types','en','Testimonial',NULL,NULL,0,1666585240,1,1,1),(64,64,'component_types','en','Topic Summary',NULL,NULL,0,1666585204,1,1,1),(65,65,'component_types','en','Article Summary',NULL,NULL,0,1666585887,1,1,1),(66,66,'component_types','en','Counter',NULL,NULL,0,1666585887,1,1,1),(67,67,'component_types','en','Divider Section',NULL,NULL,0,1666585887,1,1,1),(68,68,'component_types','en','Push Video',NULL,NULL,0,1666585887,1,1,1),(69,69,'component_types','en','Service Block',NULL,NULL,0,1666585887,1,1,1),(70,70,'component_types','en','Sidebar Summary',NULL,NULL,0,1666585887,1,1,1),(71,71,'component_types','en','Statistic Bar',NULL,NULL,0,1666585887,1,1,1),(72,72,'component_types','en','Timeline',NULL,NULL,0,1666585887,1,1,1);
/*!40000 ALTER TABLE `taxonomy_term_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_field_revision`
--

DROP TABLE IF EXISTS `taxonomy_term_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_field_revision` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term_field__description__format` (`description__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_field_revision`
--

LOCK TABLES `taxonomy_term_field_revision` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_field_revision` VALUES (2,2,'en','Health & Beauty',NULL,NULL,1450062390,1,1,1),(3,3,'en','Education',NULL,NULL,1450074873,1,1,1),(4,4,'en','Travel',NULL,NULL,1450075486,1,1,1),(5,5,'en','Travel',NULL,NULL,1450062546,1,1,1),(6,6,'en','Fashion',NULL,NULL,1450074957,1,1,1),(7,7,'en','Sports',NULL,NULL,1450075462,1,1,1),(8,8,'en','Sport',NULL,NULL,1450062868,1,1,1),(9,9,'en','Fashion',NULL,NULL,1450063027,1,1,1),(10,10,'en','Business',NULL,NULL,1450074850,1,1,1),(11,11,'en','Business',NULL,NULL,1450063800,1,1,1),(12,12,'en','Company',NULL,NULL,1450063800,1,1,1),(13,13,'en','Hospital',NULL,NULL,1450075017,1,1,1),(14,14,'en','Hospital',NULL,NULL,1450063874,1,1,1),(15,15,'en','Doctors',NULL,NULL,1450063874,1,1,1),(16,16,'en','Health',NULL,NULL,1450063938,1,1,1),(17,17,'en','Nature',NULL,NULL,1450075381,1,1,1),(18,18,'en','Moutain',NULL,NULL,1450064123,1,1,1),(19,19,'en','Forest',NULL,NULL,1450064123,1,1,1),(20,20,'en','Others',NULL,NULL,1450075418,1,1,1),(21,21,'en','Art',NULL,NULL,1450064173,1,1,1),(22,22,'en','Nature',NULL,NULL,1450064230,1,1,1),(23,23,'en','More',NULL,NULL,1450075353,1,1,1),(24,24,'en','Photograph',NULL,NULL,1450064405,1,1,1),(25,25,'en','Wedding',NULL,NULL,1450075520,1,1,1),(26,26,'en','Party',NULL,NULL,1450064724,1,1,1),(27,27,'en','Wedding',NULL,NULL,1450064724,1,1,1),(28,28,'en','Running',NULL,NULL,1450064770,1,1,1),(29,29,'en','Doctor',NULL,NULL,1450064827,1,1,1),(30,30,'en','Health & Beauty',NULL,NULL,1450074991,1,1,1),(31,31,'en','Stress',NULL,NULL,1450065309,1,1,1),(32,32,'en','Beauty',NULL,NULL,1450065309,1,1,1),(33,33,'en','Nail',NULL,NULL,1450065363,1,1,1),(34,34,'en','Helps and Supports',NULL,NULL,1450162349,1,1,1),(35,35,'en','General discussion',NULL,NULL,1450162349,1,1,1),(36,36,'en','Module development',NULL,NULL,1450162349,1,1,1),(37,37,'en','Post installation',NULL,NULL,1450162349,1,1,1),(38,38,'en','Theme development',NULL,NULL,1450162349,1,1,1),(39,39,'en','Before you start',NULL,NULL,1450162349,1,1,1),(40,40,'en','Installing Drupal',NULL,NULL,1450162349,1,1,1),(41,41,'en','Upgrading Drupal',NULL,NULL,1450162349,1,1,1),(43,43,'en','Football',NULL,NULL,1451359975,1,1,1),(44,44,'en','Accordion',NULL,NULL,1666585204,1,1,1),(45,45,'en','Banner Grid',NULL,NULL,1666585204,1,1,1),(46,46,'en','Basic component',NULL,NULL,1666585204,1,1,1),(47,47,'en','Card',NULL,NULL,1666585204,1,1,1),(48,48,'en','Carousel',NULL,NULL,1666585204,1,1,1),(49,49,'en','Classified Ads',NULL,NULL,1666585204,1,1,1),(50,50,'en','Composite',NULL,NULL,1666585204,1,1,1),(51,51,'en','Grid',NULL,NULL,1666585204,1,1,1),(52,52,'en','Grid Carousel',NULL,NULL,1666585204,1,1,1),(53,53,'en','Horizontal push image',NULL,NULL,1666585204,1,1,1),(54,54,'en','Push Image',NULL,NULL,1666585204,1,1,1),(55,55,'en','Quote',NULL,NULL,1666585204,1,1,1),(56,56,'en','Related Content',NULL,NULL,1666585204,1,1,1),(57,57,'en','Sidebar Link Text',NULL,NULL,1666585204,1,1,1),(58,58,'en','Sidebar Service',NULL,NULL,1666585204,1,1,1),(59,59,'en','Slideshow',NULL,NULL,1666585204,1,1,1),(60,60,'en','Slideshow Flexible',NULL,NULL,1666585204,1,1,1),(61,61,'en','Summary Information',NULL,NULL,1666585204,1,1,1),(62,62,'en','Table',NULL,NULL,1666585204,1,1,1),(63,63,'en','Testimonial',NULL,NULL,1666585240,1,1,1),(64,64,'en','Topic Summary',NULL,NULL,1666585204,1,1,1),(65,65,'en','Article Summary',NULL,NULL,1666585887,1,1,1),(66,66,'en','Counter',NULL,NULL,1666585887,1,1,1),(67,67,'en','Divider Section',NULL,NULL,1666585887,1,1,1),(68,68,'en','Push Video',NULL,NULL,1666585887,1,1,1),(69,69,'en','Service Block',NULL,NULL,1666585887,1,1,1),(70,70,'en','Sidebar Summary',NULL,NULL,1666585887,1,1,1),(71,71,'en','Statistic Bar',NULL,NULL,1666585887,1,1,1),(72,72,'en','Timeline',NULL,NULL,1666585887,1,1,1);
/*!40000 ALTER TABLE `taxonomy_term_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_revision`
--

DROP TABLE IF EXISTS `taxonomy_term_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_revision` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_created` int(11) DEFAULT NULL,
  `revision_log_message` longtext DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `taxonomy_term__tid` (`tid`),
  KEY `taxonomy_term_field__revision_user__target_id` (`revision_user`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_revision`
--

LOCK TABLES `taxonomy_term_revision` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_revision` VALUES (2,2,'en',1,NULL,NULL,NULL),(3,3,'en',1,NULL,NULL,NULL),(4,4,'en',1,NULL,NULL,NULL),(5,5,'en',1,NULL,NULL,NULL),(6,6,'en',1,NULL,NULL,NULL),(7,7,'en',1,NULL,NULL,NULL),(8,8,'en',1,NULL,NULL,NULL),(9,9,'en',1,NULL,NULL,NULL),(10,10,'en',1,NULL,NULL,NULL),(11,11,'en',1,NULL,NULL,NULL),(12,12,'en',1,NULL,NULL,NULL),(13,13,'en',1,NULL,NULL,NULL),(14,14,'en',1,NULL,NULL,NULL),(15,15,'en',1,NULL,NULL,NULL),(16,16,'en',1,NULL,NULL,NULL),(17,17,'en',1,NULL,NULL,NULL),(18,18,'en',1,NULL,NULL,NULL),(19,19,'en',1,NULL,NULL,NULL),(20,20,'en',1,NULL,NULL,NULL),(21,21,'en',1,NULL,NULL,NULL),(22,22,'en',1,NULL,NULL,NULL),(23,23,'en',1,NULL,NULL,NULL),(24,24,'en',1,NULL,NULL,NULL),(25,25,'en',1,NULL,NULL,NULL),(26,26,'en',1,NULL,NULL,NULL),(27,27,'en',1,NULL,NULL,NULL),(28,28,'en',1,NULL,NULL,NULL),(29,29,'en',1,NULL,NULL,NULL),(30,30,'en',1,NULL,NULL,NULL),(31,31,'en',1,NULL,NULL,NULL),(32,32,'en',1,NULL,NULL,NULL),(33,33,'en',1,NULL,NULL,NULL),(34,34,'en',1,NULL,NULL,NULL),(35,35,'en',1,NULL,NULL,NULL),(36,36,'en',1,NULL,NULL,NULL),(37,37,'en',1,NULL,NULL,NULL),(38,38,'en',1,NULL,NULL,NULL),(39,39,'en',1,NULL,NULL,NULL),(40,40,'en',1,NULL,NULL,NULL),(41,41,'en',1,NULL,NULL,NULL),(43,43,'en',1,NULL,NULL,NULL),(44,44,'en',1,NULL,1666585204,NULL),(45,45,'en',1,NULL,1666585204,NULL),(46,46,'en',1,NULL,1666585204,NULL),(47,47,'en',1,NULL,1666585204,NULL),(48,48,'en',1,NULL,1666585204,NULL),(49,49,'en',1,NULL,1666585204,NULL),(50,50,'en',1,NULL,1666585204,NULL),(51,51,'en',1,NULL,1666585204,NULL),(52,52,'en',1,NULL,1666585204,NULL),(53,53,'en',1,NULL,1666585204,NULL),(54,54,'en',1,NULL,1666585204,NULL),(55,55,'en',1,NULL,1666585204,NULL),(56,56,'en',1,NULL,1666585204,NULL),(57,57,'en',1,NULL,1666585204,NULL),(58,58,'en',1,NULL,1666585204,NULL),(59,59,'en',1,NULL,1666585204,NULL),(60,60,'en',1,NULL,1666585204,NULL),(61,61,'en',1,NULL,1666585204,NULL),(62,62,'en',1,NULL,1666585204,NULL),(63,63,'en',1,NULL,1666585240,NULL),(64,64,'en',1,NULL,1666585204,NULL),(65,65,'en',1,NULL,1666585887,NULL),(66,66,'en',1,NULL,1666585887,NULL),(67,67,'en',1,NULL,1666585887,NULL),(68,68,'en',1,NULL,1666585887,NULL),(69,69,'en',1,NULL,1666585887,NULL),(70,70,'en',1,NULL,1666585887,NULL),(71,71,'en',1,NULL,1666585887,NULL),(72,72,'en',1,NULL,1666585887,NULL);
/*!40000 ALTER TABLE `taxonomy_term_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_revision__field_image`
--

DROP TABLE IF EXISTS `taxonomy_term_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for taxonomy_term field field…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_revision__field_image`
--

LOCK TABLES `taxonomy_term_revision__field_image` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_revision__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_revision__field_image` VALUES ('categories',0,3,3,'en',0,38,'Education','',750,500),('categories',0,4,4,'en',0,50,'Travel','',750,500),('categories',0,6,6,'en',0,39,'Fashion','',750,1061),('categories',0,7,7,'en',0,49,'Sport','',250,134),('categories',0,10,10,'en',0,37,'Business','',750,564),('categories',0,13,13,'en',0,41,'Hospital','',750,683),('categories',0,17,17,'en',0,47,'Nature','',250,333),('categories',0,20,20,'en',0,48,'Others','',250,167),('categories',0,23,23,'en',0,46,'More','',750,511),('categories',0,25,25,'en',0,51,'Wedding','',750,500),('categories',0,30,30,'en',0,40,'Health and Beauty','',750,563);
/*!40000 ALTER TABLE `taxonomy_term_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_revision__forum_container`
--

DROP TABLE IF EXISTS `taxonomy_term_revision__forum_container`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_revision__forum_container` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `forum_container_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for taxonomy_term field forum…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_revision__forum_container`
--

LOCK TABLES `taxonomy_term_revision__forum_container` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_revision__forum_container` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_revision__forum_container` VALUES ('forums',0,34,34,'en',0,1),('forums',0,35,35,'en',0,1),('forums',0,36,36,'en',0,0),('forums',0,37,37,'en',0,0),('forums',0,38,38,'en',0,0),('forums',0,39,39,'en',0,0),('forums',0,40,40,'en',0,0),('forums',0,41,41,'en',0,0);
/*!40000 ALTER TABLE `taxonomy_term_revision__forum_container` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_revision__parent`
--

DROP TABLE IF EXISTS `taxonomy_term_revision__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_revision__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_revision__parent`
--

LOCK TABLES `taxonomy_term_revision__parent` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_revision__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_revision__parent` VALUES ('tags',0,2,2,'en',0,0),('categories',0,3,3,'en',0,0),('categories',0,4,4,'en',0,0),('tags',0,5,5,'en',0,0),('categories',0,6,6,'en',0,0),('categories',0,7,7,'en',0,0),('tags',0,8,8,'en',0,0),('tags',0,9,9,'en',0,0),('categories',0,10,10,'en',0,0),('tags',0,11,11,'en',0,0),('tags',0,12,12,'en',0,0),('categories',0,13,13,'en',0,0),('tags',0,14,14,'en',0,0),('tags',0,15,15,'en',0,0),('tags',0,16,16,'en',0,0),('categories',0,17,17,'en',0,0),('tags',0,18,18,'en',0,0),('tags',0,19,19,'en',0,0),('categories',0,20,20,'en',0,0),('tags',0,21,21,'en',0,0),('tags',0,22,22,'en',0,0),('categories',0,23,23,'en',0,0),('tags',0,24,24,'en',0,0),('categories',0,25,25,'en',0,0),('tags',0,26,26,'en',0,0),('tags',0,27,27,'en',0,0),('tags',0,28,28,'en',0,0),('tags',0,29,29,'en',0,0),('categories',0,30,30,'en',0,0),('tags',0,31,31,'en',0,0),('tags',0,32,32,'en',0,0),('tags',0,33,33,'en',0,0),('forums',0,34,34,'en',0,0),('forums',0,35,35,'en',0,0),('forums',0,36,36,'en',0,35),('forums',0,37,37,'en',0,35),('forums',0,38,38,'en',0,35),('forums',0,39,39,'en',0,34),('forums',0,40,40,'en',0,34),('forums',0,41,41,'en',0,34),('tags',0,43,43,'en',0,0),('component_types',0,44,44,'en',0,0),('component_types',0,45,45,'en',0,0),('component_types',0,46,46,'en',0,0),('component_types',0,47,47,'en',0,0),('component_types',0,48,48,'en',0,0),('component_types',0,49,49,'en',0,0),('component_types',0,50,50,'en',0,0),('component_types',0,51,51,'en',0,0),('component_types',0,52,52,'en',0,0),('component_types',0,53,53,'en',0,0),('component_types',0,54,54,'en',0,0),('component_types',0,55,55,'en',0,0),('component_types',0,56,56,'en',0,0),('component_types',0,57,57,'en',0,0),('component_types',0,58,58,'en',0,0),('component_types',0,59,59,'en',0,0),('component_types',0,60,60,'en',0,0),('component_types',0,61,61,'en',0,0),('component_types',0,62,62,'en',0,0),('component_types',0,63,63,'en',0,0),('component_types',0,64,64,'en',0,0),('component_types',0,65,65,'en',0,0),('component_types',0,66,66,'en',0,0),('component_types',0,67,67,'en',0,0),('component_types',0,68,68,'en',0,0),('component_types',0,69,69,'en',0,0),('component_types',0,70,70,'en',0,0),('component_types',0,71,71,'en',0,0),('component_types',0,72,72,'en',0,0);
/*!40000 ALTER TABLE `taxonomy_term_revision__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `user__roles`
--

DROP TABLE IF EXISTS `user__roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user__roles` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `roles_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `roles_target_id` (`roles_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for user field roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user__roles`
--

LOCK TABLES `user__roles` WRITE;
/*!40000 ALTER TABLE `user__roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `user__roles` VALUES ('user',0,1,1,'en',0,'administrator');
/*!40000 ALTER TABLE `user__roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `user__user_picture`
--

DROP TABLE IF EXISTS `user__user_picture`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user__user_picture` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `user_picture_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `user_picture_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `user_picture_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `user_picture_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `user_picture_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `user_picture_target_id` (`user_picture_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for user field user_picture.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user__user_picture`
--

LOCK TABLES `user__user_picture` WRITE;
/*!40000 ALTER TABLE `user__user_picture` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `user__user_picture` VALUES ('user',0,1,1,'en',0,52,'','',60,60);
/*!40000 ALTER TABLE `user__user_picture` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`uid`),
  UNIQUE KEY `user_field__uuid__value` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for user entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'59ea2ed1-a0de-4525-b800-eabff080b975','en'),(1,'fb4ee3e2-c502-4fdf-a700-d16ea32c232d','en');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_data`
--

DROP TABLE IF EXISTS `users_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_data` (
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Primary key: users.uid for user.',
  `module` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The name of the module declaring the variable.',
  `name` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The identifier of the data.',
  `value` longblob DEFAULT NULL COMMENT 'The value.',
  `serialized` tinyint(3) unsigned DEFAULT 0 COMMENT 'Whether value is serialized.',
  PRIMARY KEY (`uid`,`module`,`name`),
  KEY `module` (`module`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores module data as key/value pairs per user.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_data`
--

LOCK TABLES `users_data` WRITE;
/*!40000 ALTER TABLE `users_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_data` VALUES (1,'contact','enabled','1',0);
/*!40000 ALTER TABLE `users_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_field_data`
--

DROP TABLE IF EXISTS `users_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_field_data` (
  `uid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `preferred_langcode` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `preferred_admin_langcode` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `name` varchar(60) NOT NULL,
  `pass` varchar(255) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `timezone` varchar(32) DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `access` int(11) NOT NULL,
  `login` int(11) DEFAULT NULL,
  `init` varchar(254) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`uid`,`langcode`),
  UNIQUE KEY `user__name` (`name`,`langcode`),
  KEY `user__id__default_langcode__langcode` (`uid`,`default_langcode`,`langcode`),
  KEY `user_field__mail` (`mail`(191)),
  KEY `user_field__created` (`created`),
  KEY `user_field__access` (`access`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for user entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_field_data`
--

LOCK TABLES `users_field_data` WRITE;
/*!40000 ALTER TABLE `users_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_field_data` VALUES (0,'en','en',NULL,'',NULL,NULL,'',0,1449816843,1449816843,0,0,NULL,1),(1,'en','en',NULL,'admin','$S$EQkSXsrqVcpx17FmL/q81KavZVGNhghgjEoQeUKutmgjHxuY2Dzn','contact@weebpal.com','America/Los_Angeles',1,1449816843,1450076009,1668163001,1668150612,'contact@weebpal.com',1);
/*!40000 ALTER TABLE `users_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'The severity level of the event. ranges from 0 (Emergency) to 7 (Debug)',
  `link` text DEFAULT NULL COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text DEFAULT NULL COMMENT 'URL of referring page.',
  `hostname` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=236 DEFAULT CHARSET=utf8mb4 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475535),(2,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475535),(3,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475535),(4,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475535),(5,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475535),(6,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(7,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(8,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(9,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(10,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(11,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(12,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(13,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(14,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(15,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(16,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(17,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(18,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(19,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(20,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(21,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(22,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(23,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(24,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(25,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(26,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(27,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(28,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(29,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(30,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(31,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(32,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(33,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(34,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(35,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(36,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(37,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(38,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(39,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(40,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475537),(41,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(42,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(43,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(44,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(45,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(46,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(47,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(48,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(49,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(50,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(51,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(52,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(53,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(54,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(55,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(56,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:33:\"Undefined array key \"field_video\"\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(57,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(58,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"Trying to access array offset on value of type null\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:64;s:17:\"@backtrace_string\";s:5936:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(64): _drupal_error_handler()\n#2 [internal function]: pinteros_preprocess_node()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#7 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#11 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#17 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#18 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#21 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#31 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#33 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#37 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#40 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#42 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#44 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#45 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(59,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:65;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(65): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(60,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated\";}s:9:\"%function\";s:26:\"pinteros_preprocess_node()\";s:5:\"%file\";s:62:\"/home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme\";s:5:\"%line\";i:67;s:17:\"@backtrace_string\";s:5970:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/themes/pinteros/pinteros.theme(67): strpos()\n#3 [internal function]: pinteros_preprocess_node()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(287): call_user_func_array()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#8 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view-unformatted.ht_fYmtppOYdl4mdUsS9lrv4CUDZ/cGuMqEQB0kVEMGnrctpwME0pYXE6vmew1n6ZqHzaJrk.php(60): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_fdd9f6d18a41204d0e49b4cb4c7a3385->doDisplay()\n#10 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#11 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#12 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#18 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_views-view.html.twig_HkKAgxsMdOLHvVrmd6bFkDlk6/sdajBZ63-LqFvyLcNVi4dKXqUC8UO0F2oqbMFQiW8yI.php(110): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#19 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_3641d060425a93896a8b4515ae44e0ba->doDisplay()\n#20 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#21 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#22 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#25 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(241): Drupal\\Core\\Render\\Renderer->render()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(242): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(132): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475538),(61,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"\"main_content_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:4239:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#26 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#31 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#32 {main}\";}',3,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475552),(62,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:123:\"Optional parameter $theme_name declared before required parameter $child_item is implicitly treated as a required parameter\";}s:9:\"%function\";s:9:\"include()\";s:5:\"%file\";s:63:\"/home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php\";s:5:\"%line\";i:571;s:17:\"@backtrace_string\";s:6293:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php(571): _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php(571): include(\'...\')\n#3 /home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php(428): Composer\\Autoload\\includeFile()\n#4 /home/frontend/drupal9/pinteros/modules/contrib/we_megamenu/src/Plugin/Block/WeMegaMenuBlock.php(28): Composer\\Autoload\\ClassLoader->loadClass()\n#5 /home/frontend/drupal9/pinteros/core/modules/block/src/BlockViewBuilder.php(171): Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock->build()\n#6 [internal function]: Drupal\\block\\BlockViewBuilder::preRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php(101): call_user_func_array()\n#8 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(772): Drupal\\Core\\Render\\Renderer->doTrustedCallback()\n#9 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(363): Drupal\\Core\\Render\\Renderer->doCallback()\n#10 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#13 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_page.html.twig_zkUp5N4Mc-yuR6I-JT1Qfj2zZ/yfIHXKnp6ZKTJwF3km_ZEHM61pnpYGFsgZfZzipqidc.php(226): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#14 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_a2f32c6e36de8e7ea1bab814bcfc4e00->doDisplay()\n#15 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#16 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#17 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#18 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#20 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#21 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#22 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#23 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#24 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#25 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#26 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#34 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#36 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#37 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#38 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#39 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#41 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#42 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#45 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#46 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#47 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#48 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475553),(63,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:19:\"Deprecated function\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:123:\"Optional parameter $theme_name declared before required parameter $child_item is implicitly treated as a required parameter\";}s:9:\"%function\";s:9:\"include()\";s:5:\"%file\";s:63:\"/home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php\";s:5:\"%line\";i:571;s:17:\"@backtrace_string\";s:6293:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php(571): _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php(571): include(\'...\')\n#3 /home/frontend/drupal9/pinteros/vendor/composer/ClassLoader.php(428): Composer\\Autoload\\includeFile()\n#4 /home/frontend/drupal9/pinteros/modules/contrib/we_megamenu/src/Plugin/Block/WeMegaMenuBlock.php(28): Composer\\Autoload\\ClassLoader->loadClass()\n#5 /home/frontend/drupal9/pinteros/core/modules/block/src/BlockViewBuilder.php(171): Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock->build()\n#6 [internal function]: Drupal\\block\\BlockViewBuilder::preRender()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php(101): call_user_func_array()\n#8 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(772): Drupal\\Core\\Render\\Renderer->doTrustedCallback()\n#9 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(363): Drupal\\Core\\Render\\Renderer->doCallback()\n#10 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(435): Drupal\\Core\\Render\\Renderer->doRender()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#13 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_page.html.twig_zkUp5N4Mc-yuR6I-JT1Qfj2zZ/yfIHXKnp6ZKTJwF3km_ZEHM61pnpYGFsgZfZzipqidc.php(226): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#14 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_a2f32c6e36de8e7ea1bab814bcfc4e00->doDisplay()\n#15 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#16 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#17 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#18 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#20 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#21 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#22 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#23 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#24 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#25 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#26 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#32 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#34 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#35 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#36 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#37 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#38 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#39 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#41 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#42 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#43 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#45 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#46 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#47 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#48 {main}\";}',7,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475553),(64,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:23:\"Undefined variable $key\";}s:9:\"%function\";s:74:\"Drupal\\component_builder\\Plugin\\ComponentBuilder\\MapSimple->getLibraries()\";s:5:\"%file\";s:107:\"/home/frontend/drupal9/pinteros/modules/contrib/component_builder/src/Plugin/ComponentBuilder/MapSimple.php\";s:5:\"%line\";i:83;s:17:\"@backtrace_string\";s:4823:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 /home/frontend/drupal9/pinteros/modules/contrib/component_builder/src/Plugin/ComponentBuilder/MapSimple.php(83): _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/modules/contrib/component_builder/component_builder.module(264): Drupal\\component_builder\\Plugin\\ComponentBuilder\\MapSimple->getLibraries()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): component_builder_library_info_alter()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(374): Drupal\\Core\\Extension\\ModuleHandler->alter()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(126): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo()\n#6 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension()\n#7 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions()\n#8 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss()\n#9 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get()\n#10 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(312): Drupal\\Core\\Asset\\AssetResolver->getCssAssets()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(158): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(192): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(180): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse()\n#22 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#24 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#26 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#27 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#30 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#32 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#33 {main}\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475557),(65,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(66,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:3:\"1ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(67,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"7.93ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(68,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"8.04ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(69,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"1.18ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(70,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.04ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(71,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(72,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"32.48ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(73,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"21.83ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475558),(74,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"277.54ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475559),(75,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"799.58ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475559),(76,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"1958.21ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475561),(77,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com:8080/','','209.141.36.112',1672475561),(78,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"\"main_content_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:4239:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#26 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#31 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#32 {main}\";}',3,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(79,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(80,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"30.62ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(81,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"5.06ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(82,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"1.76ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(83,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"24.04ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(84,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.56ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(85,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.04ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(86,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:5:\"6.7ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(87,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"18.86ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756759),(88,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:6:\"65.4ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756760),(89,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"370.97ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756760),(90,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"4017.19ms\";}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756764),(91,0,'cron','Cron run completed.','a:0:{}',6,'','https://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672756764),(92,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"\"main_content_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:4239:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#26 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#31 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#32 {main}\";}',3,'','http://www.pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672759177),(93,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"\"main_content_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:4239:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#26 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#31 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#32 {main}\";}',3,'','https://www.pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672759179),(94,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"\"main_content_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:4239:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#26 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#28 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#31 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#32 {main}\";}',3,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(95,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(96,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:5:\"1.4ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(97,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"0.93ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(98,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:3:\"2ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(99,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"4.37ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(100,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"0.55ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(101,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(102,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"5.57ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(103,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:5:\"4.5ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(104,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"23.44ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767822),(105,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"25.98ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767823),(106,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:8:\"439.35ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767823),(107,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/','','192.168.1.105',1672767823),(108,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863716),(109,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"\"main_content_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:6356:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#28 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/DefaultExceptionHtmlSubscriber.php(166): Stack\\StackedHttpKernel->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/DefaultExceptionHtmlSubscriber.php(122): Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber->makeSubrequest()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/HttpExceptionSubscriberBase.php(109): Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber->on404()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\HttpExceptionSubscriberBase->onException()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(219): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(92): Symfony\\Component\\HttpKernel\\HttpKernel->handleThrowable()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',3,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863717),(110,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:52:\"\"sidebar_first_width\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:71:\"/home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:98;s:17:\"@backtrace_string\";s:6356:\"#0 /home/frontend/drupal9/pinteros/core/includes/bootstrap.inc(347): _drupal_error_handler_real()\n#1 [internal function]: _drupal_error_handler()\n#2 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Element.php(98): trigger_error()\n#3 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(393): Drupal\\Core\\Render\\Element::children()\n#4 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#5 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render()\n#6 /home/frontend/drupal9/pinteros/sites/default/files/php/twig/63aff38bbb579_html.html.twig_eqYxn9N_XkipWqrPs2YvE2F1z/x5ndUZWXpUg3DoHqVVOsF3UDEF5dQJTz7OUu0v070PQ.php(81): Drupal\\Core\\Template\\TwigExtension->escapeFilter()\n#7 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(405): __TwigTemplate_8e036efb8c415100824a6ced5a897ed6->doDisplay()\n#8 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling()\n#9 /home/frontend/drupal9/pinteros/vendor/twig/twig/src/Template.php(390): Twig\\Template->display()\n#10 /home/frontend/drupal9/pinteros/core/themes/engines/twig/twig.engine(55): Twig\\Template->render()\n#11 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template()\n#12 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(422): Drupal\\Core\\Theme\\ThemeManager->render()\n#13 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(201): Drupal\\Core\\Render\\Renderer->doRender()\n#14 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render()\n#15 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/Renderer.php(564): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#16 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext()\n#17 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse()\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray()\n#19 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#20 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(164): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#21 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw()\n#22 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#23 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#24 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#25 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass()\n#26 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#27 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#28 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#29 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/DefaultExceptionHtmlSubscriber.php(166): Stack\\StackedHttpKernel->handle()\n#30 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/DefaultExceptionHtmlSubscriber.php(122): Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber->makeSubrequest()\n#31 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/EventSubscriber/HttpExceptionSubscriberBase.php(109): Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber->on404()\n#32 [internal function]: Drupal\\Core\\EventSubscriber\\HttpExceptionSubscriberBase->onException()\n#33 /home/frontend/drupal9/pinteros/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func()\n#34 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(219): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch()\n#35 /home/frontend/drupal9/pinteros/vendor/symfony/http-kernel/HttpKernel.php(92): Symfony\\Component\\HttpKernel\\HttpKernel->handleThrowable()\n#36 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle()\n#37 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle()\n#38 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle()\n#39 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch()\n#40 /home/frontend/drupal9/pinteros/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup()\n#41 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle()\n#42 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle()\n#43 /home/frontend/drupal9/pinteros/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle()\n#44 /home/frontend/drupal9/pinteros/core/lib/Drupal/Core/DrupalKernel.php(709): Stack\\StackedHttpKernel->handle()\n#45 /home/frontend/drupal9/pinteros/index.php(19): Drupal\\Core\\DrupalKernel->handle()\n#46 {main}\";}',3,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863717),(111,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(112,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"2.83ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(113,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"5.14ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(114,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"1.12ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(115,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"8.78ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(116,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.05ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(117,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(118,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"3.91ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(119,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"46.47ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(120,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"37.68ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(121,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"359.11ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863720),(122,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:8:\"3580.6ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863724),(123,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1672863724),(124,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120639),(125,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(126,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"12.44ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(127,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"5.49ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(128,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"7.07ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(129,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"75.41ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(130,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.48ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(131,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.48ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(132,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"21.65ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(133,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"45.78ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(134,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"106.6ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120640),(135,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"383.87ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120641),(136,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"4407.57ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120645),(137,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673120645),(138,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298105),(139,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(140,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"16.77ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(141,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"5.82ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(142,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"6.83ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(143,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"76.51ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(144,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.26ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(145,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:5:\"0.5ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(146,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"26.95ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(147,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"42.62ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(148,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"113.49ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(149,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"375.89ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298106),(150,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3646.68ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298110),(151,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673298110),(152,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(153,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(154,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"23.35ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(155,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"6.31ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(156,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:5:\"1.9ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(157,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"45.21ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(158,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.43ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(159,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.54ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(160,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"26.73ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457975),(161,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"79.25ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457976),(162,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"98.19ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457976),(163,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"398.1ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457976),(164,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3280.82ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457979),(165,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673457979),(166,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(167,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(168,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"20.62ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(169,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"6.16ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(170,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:5:\"1.9ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(171,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"70.67ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(172,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.47ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(173,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.49ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(174,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"24.86ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(175,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"51.11ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(176,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"91.38ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657289),(177,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"369.68ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657290),(178,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3417.88ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657293),(179,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673657293),(180,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976292),(181,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(182,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"14.09ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(183,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"6.15ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(184,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"9.85ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(185,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"75.82ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(186,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.42ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(187,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.49ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(188,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"27.61ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(189,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"55.08ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(190,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"110.62ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(191,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"397.29ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976293),(192,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:8:\"3501.2ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976297),(193,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1673976297),(194,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076401),(195,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076402),(196,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"26.2ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076402),(197,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"5.94ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076402),(198,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:7:\"11.38ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076402),(199,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:8:\"329.24ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076403),(200,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"3.82ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076403),(201,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.47ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076403),(202,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:8:\"149.16ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076403),(203,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:8:\"265.57ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076403),(204,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"747.15ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076404),(205,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:9:\"1183.56ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076405),(206,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"5107.67ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076410),(207,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674076410),(208,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(209,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(210,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"18.75ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(211,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"6.31ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(212,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"1.84ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(213,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"75.93ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(214,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.48ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170567),(215,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:5:\"0.5ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170568),(216,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"30.52ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170568),(217,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"44.88ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170568),(218,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"98.38ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170568),(219,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"375.57ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170568),(220,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3284.82ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170571),(221,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674170571),(222,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:13:\"/wp-login.php\";}',4,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418705),(223,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(224,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"39.51ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(225,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"6.24ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(226,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"33.5ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(227,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:8:\"217.31ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(228,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"3.05ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(229,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.54ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(230,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"76.61ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(231,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:8:\"229.27ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418706),(232,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"355.05ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418707),(233,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"622.23ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418707),(234,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"7622.24ms\";}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418715),(235,0,'cron','Cron run completed.','a:0:{}',6,'','http://pinteros-d9.frontend.local2.weebpal.com/wp-login.php','','192.168.1.105',1674418715);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_megamenu`
--

DROP TABLE IF EXISTS `we_megamenu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_megamenu` (
  `menu_name` varchar(150) NOT NULL,
  `theme` varchar(100) NOT NULL,
  `data_config` longtext DEFAULT NULL,
  PRIMARY KEY (`menu_name`,`theme`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_megamenu`
--

LOCK TABLES `we_megamenu` WRITE;
/*!40000 ALTER TABLE `we_megamenu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `we_megamenu` VALUES ('categories-menu','pinteros','{\"menu_update_flag\":0,\"menu_config\":{\"fd92bc46-e9e1-436a-9f04-4ae46fa5b016\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"fd92bc46-e9e1-436a-9f04-4ae46fa5b016\",\"title\":\"Business\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"172c78c7-def1-4223-8a02-2fe370de8159\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"172c78c7-def1-4223-8a02-2fe370de8159\",\"title\":\"Education\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"a87533f7-ef49-4443-992f-47788a5b1dae\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"a87533f7-ef49-4443-992f-47788a5b1dae\",\"title\":\"Fashion\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"2fc6e920-c293-4e23-bd07-7d5080159edf\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"2fc6e920-c293-4e23-bd07-7d5080159edf\",\"title\":\"Health & Beauty\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"f6fb6125-edd4-459a-b400-c24827d008e9\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"f6fb6125-edd4-459a-b400-c24827d008e9\",\"title\":\"Hospital\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"76326b7a-b3ca-4629-ac2b-432607c6a83f\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"76326b7a-b3ca-4629-ac2b-432607c6a83f\",\"title\":\"Sports\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"a8d01f6b-3277-427a-9400-eaa7806644f9\":{\"rows_content\":[[{\"col_config\":{\"hidewhencollapse\":\"\",\"type\":\"we-mega-menu-col\",\"width\":12,\"block\":\"\",\"class\":\"\",\"block_title\":0},\"col_content\":[{\"mlid\":\"5aeb6703-c454-4d41-9b49-73e04f8078db\",\"type\":\"we-mega-menu-li\",\"title\":\"Nature\",\"item_config\":{}},{\"mlid\":\"fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27\",\"type\":\"we-mega-menu-li\",\"title\":\"Travel\",\"item_config\":{}},{\"mlid\":\"45df0c1b-5560-49da-8761-9789fa68299e\",\"type\":\"we-mega-menu-li\",\"title\":\"Wedding\",\"item_config\":{}},{\"mlid\":\"58fba109-dc9e-4d88-ba04-4a67217ccfc6\",\"type\":\"we-mega-menu-li\",\"title\":\"Others\",\"item_config\":{}}]}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"a8d01f6b-3277-427a-9400-eaa7806644f9\",\"title\":\"More\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"5aeb6703-c454-4d41-9b49-73e04f8078db\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"5aeb6703-c454-4d41-9b49-73e04f8078db\",\"title\":\"Nature\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"fd2cbe1b-1ea9-426c-a508-8a61e2b8cd27\",\"title\":\"Travel\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"45df0c1b-5560-49da-8761-9789fa68299e\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"45df0c1b-5560-49da-8761-9789fa68299e\",\"title\":\"Wedding\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"58fba109-dc9e-4d88-ba04-4a67217ccfc6\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"58fba109-dc9e-4d88-ba04-4a67217ccfc6\",\"title\":\"Others\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}}},\"block_config\":{\"style\":\"Default\",\"animation\":\"None\",\"delay\":\"\",\"duration\":\"\",\"auto-arrow\":\"\",\"always-show-submenu\":\"\",\"action\":\"hover\",\"auto-mobile-collapse\":0}}'),('main','pinteros','{\"menu_update_flag\":0,\"menu_config\":{\"\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":null,\"title\":\"Home\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"d29ce013-0882-4097-8800-bb5160bf01bb\":{\"rows_content\":[[{\"col_config\":{\"hidewhencollapse\":\"\",\"type\":\"we-mega-menu-col\",\"width\":12,\"block\":\"\",\"class\":\"\",\"block_title\":0},\"col_content\":[{\"mlid\":\"ea317148-07e9-4d7c-a300-f6fac4d9f9e4\",\"type\":\"we-mega-menu-li\",\"title\":\"Forums\",\"item_config\":{}},{\"mlid\":\"13010224-23c2-4f52-a821-33e998c7b67a\",\"type\":\"we-mega-menu-li\",\"title\":\"Categories\",\"item_config\":{}}]}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"d29ce013-0882-4097-8800-bb5160bf01bb\",\"title\":\"Pages\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"ea317148-07e9-4d7c-a300-f6fac4d9f9e4\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"ea317148-07e9-4d7c-a300-f6fac4d9f9e4\",\"title\":\"Forums\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"13010224-23c2-4f52-a821-33e998c7b67a\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"13010224-23c2-4f52-a821-33e998c7b67a\",\"title\":\"Categories\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"90715f0e-4a87-49e4-8700-ac85484106b2\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"90715f0e-4a87-49e4-8700-ac85484106b2\",\"title\":\"Showcase\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"3a682f53-74f2-4d7d-b652-825d873ffaa2\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"3a682f53-74f2-4d7d-b652-825d873ffaa2\",\"title\":\"Blog\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}},\"5d61c9f4-a774-49f9-9e02-2a8c41acf283\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"5d61c9f4-a774-49f9-9e02-2a8c41acf283\",\"title\":\"Contact\",\"submenu\":0,\"hide_sub_when_collapse\":\"\",\"group\":0,\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\",\"data-target\":\"\"}}},\"block_config\":{\"style\":\"Default\",\"animation\":\"None\",\"delay\":\"\",\"duration\":\"\",\"auto-arrow\":\"\",\"always-show-submenu\":\"\",\"action\":\"hover\",\"auto-mobile-collapse\":0}}');
/*!40000 ALTER TABLE `we_megamenu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform`
--

DROP TABLE IF EXISTS `webform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform` (
  `webform_id` varchar(32) NOT NULL COMMENT 'The webform id.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT 1 COMMENT 'The serial number to give to the next submission to this webform.',
  PRIMARY KEY (`webform_id`,`next_serial`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores all webform data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform`
--

LOCK TABLES `webform` WRITE;
/*!40000 ALTER TABLE `webform` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform` VALUES ('contact',14);
/*!40000 ALTER TABLE `webform` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submission`
--

DROP TABLE IF EXISTS `webform_submission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submission` (
  `sid` int(11) NOT NULL AUTO_INCREMENT,
  `webform_id` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `serial` int(11) DEFAULT NULL,
  `token` varchar(255) DEFAULT NULL,
  `uri` varchar(2000) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  `completed` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `in_draft` tinyint(4) DEFAULT NULL,
  `current_page` varchar(128) DEFAULT NULL,
  `remote_addr` varchar(128) DEFAULT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `entity_type` varchar(32) CHARACTER SET ascii DEFAULT NULL,
  `entity_id` varchar(255) DEFAULT NULL,
  `locked` tinyint(4) DEFAULT NULL,
  `sticky` tinyint(4) DEFAULT NULL,
  `notes` longtext DEFAULT NULL,
  PRIMARY KEY (`sid`),
  UNIQUE KEY `webform_submission_field__uuid__value` (`uuid`),
  KEY `webform_submission_field__webform_id__target_id` (`webform_id`),
  KEY `webform_submission_field__uid__target_id` (`uid`),
  KEY `webform_submission__token` (`token`(191))
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for webform_submission entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submission`
--

LOCK TABLES `webform_submission` WRITE;
/*!40000 ALTER TABLE `webform_submission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_submission` VALUES (1,'contact','9cf13ced-226a-4148-add6-d2665e8f4a4d','en',1,'_sZqOyN1WZzjDXQreMuVWIY2ViqB1VbUlU_E3kEzCgY','/contact',1545901536,1545901536,1545901536,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(2,'contact','1f13997c-8f78-4117-b2b6-8d391f87ac84','en',2,'X8DQMzj8FMLYbF6FrDbNooI607KaFsw8gh-4NUpoDJk','/contact',1545901576,1545901576,1545901576,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(3,'contact','5146d692-0456-42e7-a8b2-9c8ae7517be5','en',3,'cNCTo6JXmhPTxQE45FVYZc1UOQoFNO7J1Cmz3mFBh80','/contact',1545901773,1545901773,1545901773,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(4,'contact','97ef16a7-5f66-485a-a6b5-24e169ceac18','en',4,'s5VBR_uNlpC8VD00S3Zu3Bg8_zcpNMMoNQUTm3OfO9Q','/contact',1545902077,1545902077,1545902077,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(5,'contact','155cb2cc-00e6-4f31-b318-08c4e1d76df3','en',5,'y7Bo6fIYxqDz1huN8ihar4Dwhoqb-bYfFMePMGCEP_E','/contact',1545902112,1545902112,1545902112,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(6,'contact','44bc6309-8626-420c-9324-0fd685e46392','ar',6,'A4-0UsU9yekze9oxcYDD4XLaWEnwgPpcEsRxBZ4KG_c','/ar/contact',1545902161,1545902161,1545902161,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(7,'contact','87448b4f-22d0-4437-815f-e9bd34611128','en',7,'vF_9IgQR91KdLptCZO5OSows7CH2gf20gmHsThD2kRs','/contact',1545902230,1545902230,1545902230,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(8,'contact','befe81af-fa89-45b7-b0f4-37238e76a85f','ar',8,'AmRhaRhwMOEqQL8wHuJ0ESutPWMkhEL253f5fpRatuU','/ar/contact',1545902399,1545902399,1545902399,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(9,'contact','fbe65680-f5ae-49c9-9451-73e73cac269e','en',9,'zUHjIn0_WmhD3wqrpVDHtM7-VzWQ7q60oUD7EHkVxEE','/contact',1545902423,1545902423,1545902423,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(10,'contact','1158c1d7-6edd-4f1e-aec1-f357d919eae5','en',10,'SFvR1nAVOQMGC7kW4DYEMQOufSAjcvSBwdEDi6iu_Kc','/contact',1545902434,1545902434,1545902434,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(11,'contact','c94696b9-d58e-4788-8925-b649db28acdd','en',11,'Zed8DhpvdIOc0-k-CBqGRVQMzkgBDt5O9D6iOCLbQZA','/contact',1545902472,1545902472,1545902472,0,NULL,'192.168.1.33',0,'taxonomy_term','27',0,0,NULL),(12,'contact','49bcb8be-9b51-4b86-825f-f01b776ed605','en',12,'xTnfdPJdzvIfFY65Cff_NGJ-8RCCuXYUk7GKPgUm8KU','/contact',1546421306,1546421306,1546421306,0,NULL,'192.168.1.22',0,'taxonomy_term','27',0,0,NULL),(13,'contact','37be0c4c-a99c-47d3-8812-73077f320c59','ar',13,'d0qAWPqlxULkAPliGD4VnoMMrsPO-z_CQozXmUbUyFc','/ar/contact',1546500523,1546500523,1546500523,0,NULL,'192.168.1.49',0,'taxonomy_term','27',0,0,NULL);
/*!40000 ALTER TABLE `webform_submission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submission_data`
--

DROP TABLE IF EXISTS `webform_submission_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submission_data` (
  `webform_id` varchar(32) NOT NULL COMMENT 'The webform id.',
  `sid` int(10) unsigned NOT NULL COMMENT 'The unique identifier for this submission.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the element.',
  `property` varchar(128) NOT NULL DEFAULT '' COMMENT 'The property of the element''s value.',
  `delta` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The delta of the element''s value.',
  `value` mediumtext NOT NULL COMMENT 'The element''s value.',
  PRIMARY KEY (`sid`,`name`,`property`,`delta`),
  KEY `webform_id` (`webform_id`),
  KEY `sid_webform_id` (`sid`,`webform_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores all submitted data for webform submissions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submission_data`
--

LOCK TABLES `webform_submission_data` WRITE;
/*!40000 ALTER TABLE `webform_submission_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_submission_data` VALUES ('contact',1,'email','',0,'2@g'),('contact',1,'message','',0,'a'),('contact',1,'name','',0,'a'),('contact',1,'phone','',0,'a'),('contact',2,'email','',0,'3@3'),('contact',2,'message','',0,'42'),('contact',2,'name','',0,'4'),('contact',2,'phone','',0,'3'),('contact',3,'email','',0,'q@gmail.com'),('contact',3,'message','',0,'w'),('contact',3,'name','',0,'s'),('contact',3,'phone','',0,'q'),('contact',4,'email','',0,'s@3'),('contact',4,'message','',0,'s'),('contact',4,'name','',0,'s'),('contact',4,'phone','',0,'s'),('contact',5,'email','',0,'d@3'),('contact',5,'message','',0,'3'),('contact',5,'name','',0,'s'),('contact',5,'phone','',0,'s'),('contact',6,'email','',0,'d@e'),('contact',6,'message','',0,'d'),('contact',6,'name','',0,'d'),('contact',6,'phone','',0,'d'),('contact',7,'email','',0,'a@2'),('contact',7,'message','',0,'2'),('contact',7,'name','',0,'deepscore_MiniData'),('contact',7,'phone','',0,'2'),('contact',8,'email','',0,'mileycyrus1909@gmail.com'),('contact',8,'message','',0,'s'),('contact',8,'name','',0,'f'),('contact',8,'phone','',0,''),('contact',9,'email','',0,'q@gmail.com'),('contact',9,'message','',0,'s'),('contact',9,'name','',0,'h'),('contact',9,'phone','',0,''),('contact',10,'email','',0,'3@3'),('contact',10,'message','',0,'42'),('contact',10,'name','',0,'4'),('contact',10,'phone','',0,''),('contact',11,'email','',0,'1@2'),('contact',11,'message','',0,'s'),('contact',11,'name','',0,'s'),('contact',11,'phone','',0,''),('contact',12,'email','',0,'test@gmail.com'),('contact',12,'message','',0,'test'),('contact',12,'name','',0,'test'),('contact',12,'phone','',0,'098754321'),('contact',13,'email','',0,'test@gmail.com'),('contact',13,'message','',0,'test'),('contact',13,'name','',0,'test'),('contact',13,'phone','',0,'test');
/*!40000 ALTER TABLE `webform_submission_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submission_log`
--

DROP TABLE IF EXISTS `webform_submission_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submission_log` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique log event ID.',
  `webform_id` varchar(32) NOT NULL COMMENT 'The webform id.',
  `sid` int(10) unsigned DEFAULT NULL COMMENT 'The webform submission id.',
  `handler_id` varchar(64) DEFAULT NULL COMMENT 'The webform handler id.',
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid of the user who triggered the event.',
  `operation` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Type of operation, for example "save", "sent", or "update."',
  `message` longtext NOT NULL COMMENT 'Text of log message.',
  `data` longblob NOT NULL COMMENT 'Serialized array of data.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`lid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Table that contains logs of all webform submission events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submission_log`
--

LOCK TABLES `webform_submission_log` WRITE;
/*!40000 ALTER TABLE `webform_submission_log` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submission_log` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-01-27 14:20:14
